<?php
/**
* @version		2.0
* @package		DJ Classifieds
* @subpackage 	DJ Classifieds Component
* @copyright 	Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.
* @license 		http://www.gnu.org/licenses GNU/GPL
* @author 		url: http://design-joomla.eu
* @author 		email contact@design-joomla.eu
* @developer 	Łukasz Ciastek - lukasz.ciastek@design-joomla.eu
*
*
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
*
*/

// No direct access.
defined('_JEXEC') or die;
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_djclassifieds'.DS.'tables');
jimport('joomla.application.component.controlleradmin');

class DJClassifiedsControllerOffers extends JControllerAdmin
{
	/*public function getModel($name = 'Payment', $prefix = 'DJClassifiedsModel', $config = array('ignore_request' => true))
	{
		$model = parent::getModel($name, $prefix, $config);

		return $model;
	}
	*/
	
	function changeStatus(){
		$app = JFactory::getApplication();
		$db = JFactory::getDBO();
		$ids = JRequest::getVar('cid', array (), '', 'array');
		$par = JComponentHelper::getParams( 'com_djclassifieds' );
				
		if(isset($ids[0])){
			$id = 	$ids[0];
			$status = JRequest::getVar('change_status_'.$id,'');
		}else{
			$redirect = 'index.php?option=com_djclassifieds&view=offers';
	    	$app->redirect($redirect, JText::_('COM_DJCLASSIFIEDS_WRONG_OFFER'));
		}


		$query = "SELECT o.* FROM #__djcf_offers o WHERE o.id=".$id." LIMIT 1";		
		$db->setQuery($query);
		$offer = $db->loadObject();
		
		$query = "SELECT i.*, c.name as c_name,c.alias as c_alias, u.name as u_name, u.email as u_email FROM #__djcf_items i, #__djcf_categories c, #__users u  "
				."WHERE c.id=i.cat_id AND u.id=i.user_id AND i.id= ".$offer->item_id." LIMIT 1 ";
			
		$db->setQuery($query);
		$item=$db->loadObject();

			if($status==6){																			
				$query="UPDATE #__djcf_offers SET status=1, paid=1, confirmed=1,request=1,admin_paid=1 "
						." WHERE id=".$id;								
			}else if($status==5){																			
				$query="UPDATE #__djcf_offers SET status=1, paid=1, confirmed=1,request=1,admin_paid=0 "
						." WHERE id=".$id;								
			}else if($status==4){																			
				$query="UPDATE #__djcf_offers SET status=1, paid=1, confirmed=1,request=0,admin_paid=0 "
						." WHERE id=".$id;	
				$bidder = JFactory::getUser($offer->user_id);									
				DJClassifiedsNotify::notifyConfirmOfferAuthor($offer->item_id,$bidder,$offer->price,$offer->quantity);				
			}else if($status==3){																			
				$query="UPDATE #__djcf_offers SET status=1, paid=1, confirmed=0,request=0,admin_paid=0 "
					." WHERE id=".$id;								
			}else if($status==2){																			
				$query="UPDATE #__djcf_offers SET status=2, paid=0, confirmed=0,request=0,admin_paid=0 "
					." WHERE id=".$id;		
					
					$bidder = JFactory::getUser($offer->user_id);
						
					$offer_info = array();
					$offer_info['price'] = $offer->price;
					$offer_info['quantity'] = $offer->quantity;
					$offer_info['msg'] = $offer->message;
					$offer_info['offerer_name'] = $bidder->name;
					$offer_info['offerer_email'] = $bidder->email;
					$offer_info['status'] = 2;
					$offer_info['response'] = $offer->response;
						
					DJClassifiedsNotify::messageOfferAuthorToOfferer($id,$bidder,$item,$offer_info);					
											
			}else if($status==1){																			
				$query="UPDATE #__djcf_offers SET status=1, paid=0, confirmed=0,request=0,admin_paid=0 "
					." WHERE id=".$id;								
									
					$bidder = JFactory::getUser($offer->user_id);
						
					$offer_info = array();
					$offer_info['price'] = $offer->price;
					$offer_info['quantity'] = $offer->quantity;
					$offer_info['msg'] = $offer->message;
					$offer_info['offerer_name'] = $bidder->name;
					$offer_info['offerer_email'] = $bidder->email;
					$offer_info['status'] = 1;
					$offer_info['response'] = $offer->response;
						
					DJClassifiedsNotify::messageOfferAuthorToOfferer($id,$bidder,$item,$offer_info);
					
			}else{																			
				$query="UPDATE #__djcf_offers SET status=0, paid=0, confirmed=0,request=0,admin_paid=0 "
					." WHERE id=".$id;								
			}      
			$db->setQuery($query);
			$db->query();						
		$message = JText::_('COM_DJCLASSIFIEDS_STATUS_CHANGED');
		$redirect = 'index.php?option=com_djclassifieds&view=offers';
	    $app->redirect($redirect, $message);

	}
	
	function sendMessage(){		
		$app 	= JFactory::getApplication();
		$config = JFactory::getConfig();
		$par 	= JComponentHelper::getParams( 'com_djclassifieds' );
		$db 	= JFactory::getDBO();
		$session = JFactory::getSession();
		
		$mailto = $app->input->getVar('djmsg_email','');
		$subject = $app->input->getVar('djmsg_title','');
		$message = $app->input->get('djmsg_description','','RAW');
		$id = $app->input->getInt('djmsg_id',0);
		
		$session->set('djmsg_email',$mailto);
		$session->set('djmsg_title',$subject);
		$session->set('djmsg_description',$message);
		$session->set('djmsg_id',$id);		
		
		if($mailto==''){
			$msg = JText::_('COM_DJCLASSIFIEDS_MISSING_EMAIL');
			$link = 'index.php?option=com_djclassifieds&view=offers';
			$app->redirect($link, $msg,'error');
		}else if($subject==''){
			$msg = JText::_('COM_DJCLASSIFIEDS_MISSING_TITLE');
			$link = 'index.php?option=com_djclassifieds&view=offers';
			$app->redirect($link, $msg,'error');
		}else if($message==''){
			$msg = JText::_('COM_DJCLASSIFIEDS_MISSING_MESSAGE');
			$link = 'index.php?option=com_djclassifieds&view=offers';
			$app->redirect($link, $msg,'error');
		}else{
			$mailfrom = $app->getCfg( 'mailfrom' );
			$fromname = $config->get('sitename');
				
			$mailer = JFactory::getMailer();
			$mailer->sendMail($mailfrom, $fromname, $mailto, $subject, $message,$mode=1);
			
			$session->set('djmsg_email','');
			$session->set('djmsg_title','');
			$session->set('djmsg_description','');
			$session->set('djmsg_id','');
			
			$msg = JText::_('COM_DJCLASSIFIEDS_MESSAGE_SENT');
			$link = 'index.php?option=com_djclassifieds&view=offers';
			$app->redirect($link, $msg);
		}						
		
		
		return true;
		
		
	}


	public function exportCSV(){
		$app = JFactory::getApplication();
		$db = JFactory::getDBO();
		$ids = implode(',', $app->input->get('cid'));

		$db= JFactory::getDBO();				
			
		$query = "SELECT o.*, i.name as i_name, u.name as u_name, u.email as u_email, i.ui_name, i.ui_email,ui_id, p.date as p_date, p.id as p_id FROM #__djcf_offers o "
				."LEFT JOIN (SELECT i.*, u.name as ui_name, u.email as ui_email, u.id as ui_id FROM #__djcf_items i, #__users u 
							WHERE u.id=i.user_id ) i ON i.id=o.item_id "
				."LEFT JOIN (SELECT p.* FROM #__djcf_payments p
							WHERE p.type=5 AND p.status='Completed' ) p ON p.item_id=o.id "			
				."LEFT JOIN #__users u ON u.id=o.user_id "
				."WHERE o.id IN (".$ids.") ORDER BY o.id DESC";
		
		$db->setQuery($query);
		$offers = $db->loadObjectList();
		
		
			
			$fh = fopen('php://output', 'w');						
			ob_start();					
			foreach ($offers as $offer) {
				$line = array('','paypal',$offer->u_name,$offer->p_date,$offer->item_id,$offer->p_id,$offer->price,$offer->currency,$offer->date,'response_code','vendor_name','vendor_bank_info');
				fputcsv($fh, $line);
			}
			
			$csv_content = ob_get_clean();
			
			$filename = 'DJ-Classifieds_offers_' . date('Y-m-d_His');
			
			header('Pragma: public');
			header('Expires: 0');
			header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
			header('Cache-Control: private', false);
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename="' . $filename . '.csv";');
			header('Content-Transfer-Encoding: binary');

			exit($csv_content);
			
	}

}