<?php
/**
* @version		2.0
* @package		DJ Classifieds
* @subpackage 	DJ Classifieds Component
* @copyright 	Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.
* @license 		http://www.gnu.org/licenses GNU/GPL
* @author 		url: http://design-joomla.eu
* @author 		email contact@design-joomla.eu
* @developer 	Łukasz Ciastek - lukasz.ciastek@design-joomla.eu
*
*
* DJ Classifieds is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* DJ Classifieds is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.
*
*/
defined ('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');


class DjClassifiedsViewProfiles extends JViewLegacy
{
	protected $items;
	protected $pagination;
	
	function display($tpl = null)
	{	
		$this->state		= $this->get('State');
		$this->items		= $this->get('Items');
		$this->countItems	= $this->get('CountItems');
		$this->pagination	= $this->get('Pagination');
		


		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();		
		
		$version = new JVersion;
		if (version_compare($version->getShortVersion(), '3.0.0', '<')) {
			$tpl = 'legacy';
		}else{			  								
			$this->sidebar = JHtmlSidebar::render();		
		}
		
		parent::display($tpl);
	}
		
	
	protected function addToolbar()
	{
		$user = JFactory::getUser();
		$par = JComponentHelper::getParams( 'com_djclassifieds' );
		JToolBarHelper::title(JText::_('COM_DJCLASSIFIEDS_USERS_PROFILES'), 'generic.png');
		
		if ($user->authorise('core.edit', 'com_djclassifieds')) {		
			JToolBarHelper::editList('profile.edit','JTOOLBAR_EDIT');
			JToolBarHelper::divider();		
		}
		if ($user->authorise('core.admin', 'com_djclassifieds')) {
			if($par->get('store_org_img','1')==1){
				JToolBarHelper::custom('profiles.recreateAvatarts','move','move',JText::_('COM_DJCLASSIFIEDS_RECREATE_AVATARS'),true,true);
			}
		}
		
		if ($user->authorise('core.delete', 'com_djclassifieds')) {
			JToolBarHelper::divider();
			JToolBarHelper::deleteList('', 'profiles.cleardata','COM_DJCLASSIFIEDS_CLEAR_DATA');
		}
		
		if ($user->authorise('core.admin', 'com_djclassifieds')) {
			JToolBarHelper::preferences('com_djclassifieds', 450, 800);
			JToolBarHelper::divider();
		}
	}
}
?>