/**
 * @version $Id$
 * @package DJ-MediaTools
 * @subpackage DJ-MediaTools galleryGrid layout
 * @copyright Copyright (C) 2017 DJ-Extensions.com, All rights reserved.
 * @license DJ-Extensions.com Proprietary Use License
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Szymon Woronowski - szymon.woronowski@design-joomla.eu
 *
 */

function updateFolderList(field_id) {
	
	var folder = jQuery('#'+field_id);
	var button = jQuery('#'+field_id+'_button');
	var list = jQuery('#'+field_id+'_list');
	list.slideUp(200);
	var loader = jQuery('<img src="components/com_djmediatools/assets/ajax-loader.gif" class="ajax-loader" />');
	button.after(loader);
	
	jQuery.ajax('index.php?option=com_djmediatools&view=category&tmpl=component', {
		method: 'post',
		data: 'task=getfolderlist&folder='+encodeURIComponent(folder.val())+'&root='+encodeURIComponent(folder.attr('data-root'))
	}).done(function(response){

		list.find('.djfolderlist').html(response);
			
		list.find('.djfolderlist a').each(function(){
			jQuery(this).on('click', function(e){
				e.preventDefault();
				folder.val(jQuery(this).attr('data-folder'));
				updateFolderList(field_id);
			});
		});
		
		list.slideDown(200);
	}).fail(function( jqXHR, textStatus ) {
		  alert( "Request failed: " + textStatus );
	}).always(function(){
		loader.remove();
	});
	
	return false;
}

function addFolder(field_id) {
	
	var folder = jQuery('#'+field_id);
	var button = jQuery('#'+field_id+'_addbutton');
	var newFolder = jQuery('#'+field_id+'_add');
	var loader = jQuery('<img src="components/com_djmediatools/assets/ajax-loader.gif" class="ajax-loader" />');
	button.after(loader);
	
	jQuery.ajax('index.php?option=com_djmediatools&view=category&tmpl=component', {
		method: 'post',
		data: 'task=createfolder&folder='+encodeURIComponent(folder.val())+'&name='+encodeURIComponent(newFolder.val())+'&root='+encodeURIComponent(folder.attr('data-root'))
	}).done(function(response){

		if(response) {
			
			if(/success/.test(response)){
				newFolder.val('');
				updateFolderList(field_id);
			} else {
        		alert(response);
        	}
		}
		
	}).fail(function( jqXHR, textStatus ) {
		  alert( "Request failed: " + textStatus );
	}).always(function(){
		loader.remove();
	});
	
	return false;
	
}

jQuery(document).ready( function(){
	
	jQuery('.djfolder').each(function(){
		jQuery(this).slideUp(0);
	});
	
});