/**
 * @version $Id$
 * @package DJ-MediaTools
 * @subpackage DJ-MediaTools galleryGrid layout
 * @copyright Copyright (C) 2017 DJ-Extensions.com, All rights reserved.
 * @license DJ-Extensions.com Proprietary Use License
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Szymon Woronowski - szymon.woronowski@design-joomla.eu
 *
 */

function parseVideo(video_id, image, title, callback) {
	
	var videoField = jQuery('#'+video_id);
	var imageField = image.length ? jQuery('#'+image) : null;
	var titleField = title.length ? jQuery('#'+title) : null;
	var preview = jQuery('#'+videoField.attr('id')+'_preview');
	var loader = jQuery('<img src="components/com_djmediatools/assets/ajax-loader.gif" class="ajax-loader" />');
	videoField.after(loader);
	videoField.trigger('blur');
	preview.empty();
	
	jQuery.ajax('index.php?option=com_djmediatools&view=category&tmpl=component', {
		method: 'post',
		data: 'task=getvideo&video='+encodeURIComponent(videoField.val())
	}).done(function(response){

		if(response) {
			var video = jQuery.parseJSON(response);
			//console.log(video);
			if(!video.error){
				
				// if callback function is set pass the video object, otherwise do default action
				if(callback) {
					callback(video, video_id);
				} else {
					
					videoField.val(video.embed);
					// put video preview
					
					preview.after(jQuery('<ifarme src="'+video.embed.replace('autoplay=1','')+'" height="180" width="320" frameborder="0" allowfullscreen></iframe>'));
										
					if(titleField.length && (!titleField.val() || confirm(COM_DJMEDIATOOLS_CONFIRM_UPDATE_TITLE_FIELD))) {
						titleField.val(video.title);
					}
					if(imageField.length && (!imageField.val() || confirm(COM_DJMEDIATOOLS_CONFIRM_UPDATE_IMAGE_FIELD))) {
						imageField.val(video.thumbnail);
						// set thumbnail preview
						preview.after(jQuery('<img src="'+video.thumbnail+'" style="height: 180px;" alt="" />'));
					}
				}
			} else {
				videoField.val('');
				var msg = jQuery('<div class="alert alert-error alert-danger"><button type="button" class="close" data-dismiss="alert">&times;</button>'
						+ video.error +'</div>');
				preview.after(jQuery(msg));
        		//alert(video.error);
        	}
		}
		
	}).fail(function( jqXHR, textStatus ) {
		  alert( "Request failed: " + textStatus );
	}).always(function(){
		loader.remove();
	});
	
	return false;
}

jQuery(document).ready(function(){
	
	jQuery('.djvideo_desc').each(function(){
		
		var desc = jQuery(this);
		
		desc.find('.djv_short a').click(function(e){
			e.preventDefault();
			desc.find('.djv_short').css('display','none');
			desc.find('.djv_long').css('display','inline');
		});
		desc.find('.djv_long a').click(function(e){
			e.preventDefault();
			desc.find('.djv_long').css('display','none');
			desc.find('.djv_short').css('display','inline');
		});
	});
	
	jQuery('.djvideo_clear').click(function(e){
		e.preventDefault();
		var id = jQuery(this).data('field');
		jQuery('#'+id).val('');
		jQuery('#'+id+'_preview').empty();
	});
});