<?php
/**
 * @version $Id$
 * @package DJ-MediaTools
 * @copyright Copyright (C) 2017 DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Szymon Woronowski - szymon.woronowski@design-joomla.eu
 *
 * DJ-MediaTools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DJ-MediaTools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DJ-MediaTools. If not, see <http://www.gnu.org/licenses/>.
 *
 */

// No direct access.
defined('_JEXEC') or die;

JHtml::_('behavior.framework');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidator');
JHtml::_('formbehavior.chosen', 'select');
?>

<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'item.cancel' || document.formvalidator.isValid(document.getElementById('item-form'))) {
			<?php echo $this->form->getField('description')->save(); ?>
			Joomla.submitform(task, document.getElementById('item-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('COM_DJMEDIATOOLS_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_djmediatools&view=item&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate form-horizontal">
	<div class="<?php echo $this->classes->row ?>">
		<div class="<?php echo $this->classes->col ?>7 well">
		<fieldset class="adminform">
			
			<h3><?php echo empty($this->item->id) ? JText::_('COM_DJMEDIATOOLS_NEW') : JText::sprintf('COM_DJMEDIATOOLS_EDIT', $this->item->id); ?></h3>
			
			<div class="tab-content">
				
				<?php echo $this->form->renderField('title') ?>
				<?php echo $this->form->renderField('image') ?>
				<?php echo $this->form->renderField('bgvideo') ?>
				<?php echo $this->form->renderField('video') ?>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('description'); ?></div>
					<div style="clear:both"></div>
					<div><?php echo $this->form->getInput('description'); ?></div>
				</div>
				
			</div>
		</fieldset>
		</div>
		
		<div class="<?php echo $this->classes->col ?>5 well">
		
		<fieldset class="panelform" >
		
			<h3><?php echo JText::_('COM_DJMEDIATOOLS_PUBLISHING_OPTIONS'); ?></h3>
			
				<?php echo $this->form->renderField('catid') ?>
				<?php echo $this->form->renderField('catid_desc') ?>
				<?php echo $this->form->renderField('published') ?>
				<?php echo $this->form->renderField('publish_up') ?>
				<?php echo $this->form->renderField('publish_down') ?>
				<?php echo $this->form->renderField('id') ?>				
		</fieldset>
		
		<?php echo $this->loadTemplate('params'); ?>
		
		</div>
		
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
<div class="clr"></div>
