SET session wait_timeout=28800;

DROP TABLE IF EXISTS #__action_log_config;
CREATE TABLE `#__action_log_config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `id_holder` varchar(255) DEFAULT NULL,
  `title_holder` varchar(255) DEFAULT NULL,
  `table_name` varchar(255) DEFAULT NULL,
  `text_prefix` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_log_config` VALUES 
('1','article','com_content.article','id','title','#__content','PLG_ACTIONLOG_JOOMLA'),
('2','article','com_content.form','id','title','#__content','PLG_ACTIONLOG_JOOMLA'),
('3','banner','com_banners.banner','id','name','#__banners','PLG_ACTIONLOG_JOOMLA'),
('4','user_note','com_users.note','id','subject','#__user_notes','PLG_ACTIONLOG_JOOMLA'),
('5','media','com_media.file','','name','','PLG_ACTIONLOG_JOOMLA'),
('6','category','com_categories.category','id','title','#__categories','PLG_ACTIONLOG_JOOMLA'),
('7','menu','com_menus.menu','id','title','#__menu_types','PLG_ACTIONLOG_JOOMLA'),
('8','menu_item','com_menus.item','id','title','#__menu','PLG_ACTIONLOG_JOOMLA'),
('9','newsfeed','com_newsfeeds.newsfeed','id','name','#__newsfeeds','PLG_ACTIONLOG_JOOMLA'),
('10','link','com_redirect.link','id','old_url','#__redirect_links','PLG_ACTIONLOG_JOOMLA'),
('11','tag','com_tags.tag','id','title','#__tags','PLG_ACTIONLOG_JOOMLA'),
('12','style','com_templates.style','id','title','#__template_styles','PLG_ACTIONLOG_JOOMLA'),
('13','plugin','com_plugins.plugin','extension_id','name','#__extensions','PLG_ACTIONLOG_JOOMLA'),
('14','component_config','com_config.component','extension_id','name','','PLG_ACTIONLOG_JOOMLA'),
('15','contact','com_contact.contact','id','name','#__contact_details','PLG_ACTIONLOG_JOOMLA'),
('16','module','com_modules.module','id','title','#__modules','PLG_ACTIONLOG_JOOMLA'),
('17','access_level','com_users.level','id','title','#__viewlevels','PLG_ACTIONLOG_JOOMLA'),
('18','banner_client','com_banners.client','id','name','#__banner_clients','PLG_ACTIONLOG_JOOMLA'),
('19','application_config','com_config.application','','name','','PLG_ACTIONLOG_JOOMLA');

DROP TABLE IF EXISTS #__action_logs;
CREATE TABLE `#__action_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `message_language_key` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  `log_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `item_id` int(11) NOT NULL DEFAULT '0',
  `ip_address` varchar(40) NOT NULL DEFAULT '0.0.0.0',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_user_id_logdate` (`user_id`,`log_date`),
  KEY `idx_user_id_extension` (`user_id`,`extension`),
  KEY `idx_extension_item_id` (`extension`,`item_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__action_logs_extensions;
CREATE TABLE `#__action_logs_extensions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `extension` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

INSERT INTO `#__action_logs_extensions` VALUES 
('1','com_banners'),
('2','com_cache'),
('3','com_categories'),
('4','com_config'),
('5','com_contact'),
('6','com_content'),
('7','com_installer'),
('8','com_media'),
('9','com_menus'),
('10','com_messages'),
('11','com_modules'),
('12','com_newsfeeds'),
('13','com_plugins'),
('14','com_redirect'),
('15','com_tags'),
('16','com_templates'),
('17','com_users'),
('18','com_checkin');

DROP TABLE IF EXISTS #__action_logs_users;
CREATE TABLE `#__action_logs_users` (
  `user_id` int(11) unsigned NOT NULL,
  `notify` tinyint(1) unsigned NOT NULL,
  `extensions` text NOT NULL,
  PRIMARY KEY (`user_id`),
  KEY `idx_notify` (`notify`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__akeeba_common;
CREATE TABLE `#__akeeba_common` (
  `key` varchar(192) NOT NULL,
  `value` longtext NOT NULL,
  PRIMARY KEY (`key`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__akeeba_common` VALUES 
('stats_lastrun','1538730589'),
('stats_siteid','116cf9b7c7b31be3f03fb8153a2f47f4984d9868'),
('stats_siteurl','8dc5dfc1da0131cdc2650dcbaf385c6b'),
('fof30','[]'),
('file_fef','[]');

DROP TABLE IF EXISTS #__assets;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) AUTO_INCREMENT=595 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` VALUES 
('1','0','1','526','0','root.1','Root Asset','{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('2','1','2','3','1','com_admin','com_admin','{}'),
('3','1','4','7','1','com_banners','com_banners','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('4','1','8','9','1','com_cache','com_cache','{"core.admin":{"7":1},"core.manage":{"7":1}}'),
('5','1','10','11','1','com_checkin','com_checkin','{"core.admin":{"7":1},"core.manage":{"7":1}}'),
('6','1','12','13','1','com_config','com_config','{}'),
('7','1','14','21','1','com_contact','com_contact','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
('8','1','22','105','1','com_content','com_content','{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
('9','1','106','107','1','com_cpanel','com_cpanel','{}'),
('10','1','108','109','1','com_installer','com_installer','{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
('11','1','110','111','1','com_languages','com_languages','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('12','1','112','113','1','com_login','com_login','{}'),
('13','1','114','115','1','com_mailto','com_mailto','{}'),
('14','1','116','117','1','com_massmail','com_massmail','{}'),
('15','1','118','119','1','com_media','com_media','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
('16','1','120','133','1','com_menus','com_menus','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('18','1','136','393','1','com_modules','com_modules','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('19','1','394','397','1','com_newsfeeds','com_newsfeeds','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('20','1','398','399','1','com_plugins','com_plugins','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('21','1','400','401','1','com_redirect','com_redirect','{"core.admin":{"7":1},"core.manage":[]}'),
('22','1','402','403','1','com_search','com_search','{"core.admin":{"7":1},"core.manage":{"6":1}}'),
('23','1','404','405','1','com_templates','com_templates','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('24','1','406','409','1','com_users','com_users','{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('25','1','410','417','1','com_weblinks','com_weblinks','{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1,"10":0,"12":0},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
('26','1','418','419','1','com_wrapper','com_wrapper','{}'),
('33','1','480','481','1','com_finder','com_finder','{"core.admin":{"7":1},"core.manage":{"6":1}}'),
('41','7','19','20','2','com_contact.category.16','Sample Data-Contact','{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('100','8','41','42','2','com_content.category.71','Milky Way','{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('169','24','407','408','2','com_users.category.77','Uncategorised',''),
('173','1','482','483','1','com_joomlaupdate','com_joomlaupdate','{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
('174','205','62','63','3','com_content.article.71','Typography','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('178','1','484','485','1','com_djmediatools','com_djmediatools','{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('184','1','486','487','1','com_djclassifieds','djclassifieds','{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('186','8','45','46','2','com_content.category.79','Offer ','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('187','8','47','48','2','com_content.category.80','Information','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('188','8','49','56','2','com_content.category.81','Latest','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('194','188','50','51','3','com_content.article.81','Duis vestibulum justo','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('195','188','52','53','3','com_content.article.82','Lorem ipsum dolor','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('196','188','54','55','3','com_content.article.83','Phasellus ut quam tristique non metus','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('197','1','488','489','1','com_tags','com_tags','{}'),
('198','1','490','491','1','com_contenthistory','com_contenthistory','{}'),
('199','1','492','493','1','com_ajax','com_ajax','{}'),
('200','1','494','495','1','com_postinstall','com_postinstall','{}'),
('202','18','137','138','2','com_modules.module.141','DJ-MegaMenu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('203','18','139','140','2','com_modules.module.103','Content-top','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('204','18','141','142','2','com_modules.module.104','Content-Bottom','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('205','8','57','84','2','com_content.category.82','JM-Sample-Data','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('206','205','60','61','3','com_content.article.84','All Template\'s Positions','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('207','205','58','59','3','com_content.article.85','Module Settings','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('208','18','143','144','2','com_modules.module.91','Top1-1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}');
INSERT INTO `#__assets` VALUES 
('209','18','145','146','2','com_modules.module.92','Top1-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('210','18','147','148','2','com_modules.module.93','Top1-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('211','18','149','150','2','com_modules.module.94','Top1-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('218','18','151','152','2','com_modules.module.105','Bottom1-1','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('219','18','153','154','2','com_modules.module.106','Bottom1-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('220','18','155','156','2','com_modules.module.107','Bottom1-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('221','18','157','158','2','com_modules.module.108','Bottom1-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('231','18','159','160','2','com_modules.module.110','Footer Mod-2','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('232','18','161','162','2','com_modules.module.111','Footer Mod-3','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('233','18','163','164','2','com_modules.module.112','Footer Mod-4','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('235','18','165','166','2','com_modules.module.194','Offer','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('236','18','167','168','2','com_modules.module.195','Information','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('237','18','169','170','2','com_modules.module.95','Left-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('238','18','171','172','2','com_modules.module.96','Left-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('239','18','173','174','2','com_modules.module.152','Left-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('240','18','175','176','2','com_modules.module.97','Left-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('241','18','177','178','2','com_modules.module.98','Right-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('242','18','179','180','2','com_modules.module.99','Right-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('243','18','181','182','2','com_modules.module.100','Right-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('244','18','183','184','2','com_modules.module.153','Right-column','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('248','18','185','186','2','com_modules.module.211',' Header-mod Search','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('251','8','85','102','2','com_content.category.83','JM-Sample-Blog','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('252','205','64','65','3','com_content.article.86','Content Area','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('253','205','66','67','3','com_content.article.87','Single Article','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('254','205','68','69','3','com_content.article.88','Tabs','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('255','251','86','87','3','com_content.article.89','Ut vitae varius','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('256','251','88','89','3','com_content.article.90','Praesent porttitor','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('257','251','90','91','3','com_content.article.91','Etiam malesuada','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('258','251','92','93','3','com_content.article.92','Sapien in efficitur','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('259','251','94','95','3','com_content.article.93','Nam egestas','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('260','251','96','97','3','com_content.article.94','Consectetur adipiscing elit','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('261','251','98','99','3','com_content.article.95','Dolor sit amet','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('262','251','100','101','3','com_content.article.96','Lorem ipsum','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('267','18','187','188','2','com_modules.module.212','Pages','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('269','18','189','190','2','com_modules.module.214','Elements','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('270','18','191','192','2','com_modules.module.215','J! Content','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('271','18','193','194','2','com_modules.module.216','Blog','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('272','18','195','196','2','com_modules.module.217','J! Other pages','{}'),
('273','18','197','198','2','com_modules.module.218','About the template','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('274','18','199','200','2','com_modules.module.219','Custom pages','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('275','18','201','202','2','com_modules.module.220','Contact Component','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('276','18','203','204','2','com_modules.module.221','Contact Component','{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
('277','18','205','206','2','com_modules.module.222','DJ-MediaTools','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('279','18','207','208','2','com_modules.module.224','DJ-Classifieds','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('299','18','209','210','2','com_modules.module.240','Classifieds Albums','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('304','18','211','212','2','com_modules.module.114','Copyrights','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('321','18','213','214','2','com_modules.module.257','Search Horizontal','{}'),
('322','18','215','216','2','com_modules.module.258','DJ-Classifieds Menu 2','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('324','18','217','218','2','com_modules.module.260','Custom Banner','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('330','18','219','220','2','com_modules.module.265','Main Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}');
INSERT INTO `#__assets` VALUES 
('331','18','221','222','2','com_modules.module.266','Our site is coming soon','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('335','18','223','224','2','com_modules.module.52','Breadcrumbs','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('336','205','70','71','3','com_content.article.97','Coming Soon','{"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1}}'),
('337','205','72','73','3','com_content.article.98','Error 404','{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
('338','205','74','75','3','com_content.article.99','Frequently Asked Questions','{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
('340','8','103','104','2','com_content.category.84','DJ-Classifieds Views','{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
('370','18','225','226','2','com_modules.module.289','DJ-Tabs','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('371','18','227','228','2','com_modules.module.290','DJ-Tabs','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('379','18','229','230','2','com_modules.module.297','Template styles','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('390','18','231','232','2','com_modules.module.308','Top2-1','{}'),
('391','18','233','234','2','com_modules.module.309','Top2-2','{}'),
('392','18','235','236','2','com_modules.module.310','Top2-3','{}'),
('393','18','237','238','2','com_modules.module.311','Top2-4','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('394','18','239','240','2','com_modules.module.312','Top3-1','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('395','18','241','242','2','com_modules.module.313','Top3-2','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('396','18','243','244','2','com_modules.module.314','Top3-3','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('397','18','245','246','2','com_modules.module.315','Top3-4','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('398','18','247','248','2','com_modules.module.316','Bottom2-1','{}'),
('399','18','249','250','2','com_modules.module.317','Bottom2-2','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('400','18','251','252','2','com_modules.module.318','Bottom3-3','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('401','18','253','254','2','com_modules.module.319','Bottom4-2','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('402','18','255','256','2','com_modules.module.320','Bottom2-4','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('403','18','257','258','2','com_modules.module.321','Bottom3-1','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('404','18','259','260','2','com_modules.module.322','Bottom2-3','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('405','18','261','262','2','com_modules.module.323','Bottom3-2','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('406','18','263','264','2','com_modules.module.324','Bottom3-4','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('407','18','265','266','2','com_modules.module.325','Bottom4-1','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('408','18','267','268','2','com_modules.module.326','Bottom4-3','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('409','18','269','270','2','com_modules.module.327','Bottom4-4','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('410','18','271','272','2','com_modules.module.328','Footer Mod-1','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('412','18','273','274','2','com_modules.module.330','Topbar Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('431','18','275','276','2','com_modules.module.349','Company','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('432','18','277','278','2','com_modules.module.350','Getting Started','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('434','18','279','280','2','com_modules.module.352','Payment','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('437','205','76','77','3','com_content.article.110','Other available modules','{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
('443','205','78','79','3','com_content.article.111','Offline Page','{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
('448','205','80','81','3','com_content.article.112','Contact form','{"core.admin":{"7":1},"core.options":[],"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
('450','18','281','282','2','com_modules.module.364','Latest news','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('451','18','283','284','2','com_modules.module.365','Most read','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('452','18','285','286','2','com_modules.module.366','Tags','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('453','1','496','497','1','#__ucm_content.3','#__ucm_content.3','{}'),
('454','1','498','499','1','#__ucm_content.4','#__ucm_content.4','[]'),
('455','1','500','501','1','#__ucm_content.5','#__ucm_content.5','[]'),
('456','1','502','503','1','#__ucm_content.6','#__ucm_content.6','[]'),
('457','1','504','505','1','#__ucm_content.7','#__ucm_content.7','[]'),
('458','1','506','507','1','#__ucm_content.8','#__ucm_content.8','[]'),
('459','1','508','509','1','#__ucm_content.9','#__ucm_content.9','[]'),
('460','1','510','511','1','#__ucm_content.10','#__ucm_content.10','[]'),
('461','18','287','288','2','com_modules.module.367','DJ-MediaTools Album with module suffix "arrows-nav-ms"','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('473','18','289','290','2','com_modules.module.379','Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}');
INSERT INTO `#__assets` VALUES 
('477','18','291','292','2','com_modules.module.383','Custom Column Banner','{}'),
('479','1','512','513','1','com_djreviews','com_djreviews','{"review.create":{"2":1},"review.edit.own":{"2":1},"review.delete.own":{"2":1}}'),
('486','18','293','294','2','com_modules.module.391','DJ-Classifieds Category Tree','{}'),
('487','18','295','296','2','com_modules.module.392','User Menu','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('497','16','121','122','2','com_menus.menu.24','Company','{}'),
('502','1','514','515','1','#__languages.2','#__languages.2','{}'),
('503','1','516','517','1','#__languages.1','#__languages.1','{}'),
('505','18','297','298','2','com_modules.module.401','DJ-MegaMenu Mobile Menu Info','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('513','18','299','300','2','com_modules.module.404','Contact Map','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('518','18','301','302','2','com_modules.module.408','DJ-MediaTools','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('519','18','303','304','2','com_modules.module.409','DJ-Classifieds','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('520','18','305','306','2','com_modules.module.410','DJ-Classifieds','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
('523','18','307','308','2','com_modules.module.412','Search','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('524','18','309','310','2','com_modules.module.413','JM Social Icons','{}'),
('525','1','518','519','1','com_fields','com_fields','{}'),
('526','1','520','521','1','com_associations','com_associations','{}'),
('527','18','311','312','2','com_modules.module.414','Advanced search header','{}'),
('529','18','313','314','2','com_modules.module.416','Header 1','{"core.delete":[],"core.edit":[],"core.edit.state":[],"module.edit.frontend":[]}'),
('531','18','315','316','2','com_modules.module.418','More categories','{}'),
('593','1','522','523','1','com_privacy','com_privacy','{}'),
('537','18','317','318','2','com_modules.module.422','DJ-MediaTools','{}'),
('538','18','319','320','2','com_modules.module.423','DJ-Classifieds Regions Select','{}'),
('539','18','321','322','2','com_modules.module.424','DJ-Classifieds Maps','{}'),
('540','18','323','324','2','com_modules.module.425','DJ-Classifieds Menu','{}'),
('541','18','325','326','2','com_modules.module.426','DJ-Classifieds Stats','{}'),
('542','18','327','328','2','com_modules.module.427','DJ-Classifieds User Menu','{}'),
('544','18','329','330','2','com_modules.module.428','Header Categories','{}'),
('545','18','331','332','2','com_modules.module.429','Header categories','{}'),
('547','18','333','334','2','com_modules.module.430','Search','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('548','18','335','336','2','com_modules.module.431','Search subpage','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('550','18','337','338','2','com_modules.module.433','My other offers','{}'),
('553','18','339','340','2','com_modules.module.434','Other useful modules','{}'),
('554','205','82','83','3','com_content.article.119','Available DJ-Classifieds modules','{}'),
('555','18','341','342','2','com_modules.module.435','DJ-Classifieds Regions','{}'),
('556','18','343','344','2','com_modules.module.436','DJ-Classifieds Regions with module suffix "regions-ms col3"','{}'),
('557','18','345','346','2','com_modules.module.437','DJ-Classifieds Search - vertical','{}'),
('558','18','347','348','2','com_modules.module.438','DJ-Classifieds Search - one line','{}'),
('559','18','349','350','2','com_modules.module.439','DJ-Classifieds Search - horizontal','{}'),
('560','18','351','352','2','com_modules.module.440','DJ-Classifieds Items','{}'),
('561','18','353','354','2','com_modules.module.441','DJ-Classifieds Items with module suffix "items-boxed-ms"','{}'),
('562','18','355','356','2','com_modules.module.442','DJ-Classifieds Search with module suffix "search-ms"','{}'),
('563','18','357','358','2','com_modules.module.443','DJ-Classifieds Search with module suffix "search-ms locationcategory-ms"','{}'),
('564','18','359','360','2','com_modules.module.444','DJ-Classifieds Search with module suffix "search-ms category-ms"','{}'),
('565','18','361','362','2','com_modules.module.445','DJ-Classifieds Search with module suffix "search-ms location-ms"','{}'),
('566','18','363','364','2','com_modules.module.446','JM Social Icons','{}'),
('567','18','365','366','2','com_modules.module.447','Joomla menu module with module class "horizontal-ms"','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('568','18','367','368','2','com_modules.module.448','Custom Banner','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('570','18','369','370','2','com_modules.module.449','Category filter','{}'),
('571','18','371','372','2','com_modules.module.450','Custom Banner','{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
('574','16','123','124','2','com_menus.menu.15','Pages','{}');
INSERT INTO `#__assets` VALUES 
('575','16','125','126','2','com_menus.menu.36','Languages','{}'),
('576','16','127','128','2','com_menus.menu.37','About the template','{}'),
('577','16','129','130','2','com_menus.menu.38','Elements','{}'),
('578','16','131','132','2','com_menus.menu.14','Blog','{}'),
('579','18','373','374','2','com_modules.module.453','Languages','{}'),
('581','18','375','376','2','com_modules.module.455','Search','{}'),
('582','18','377','378','2','com_modules.module.456','Contact Map','{}'),
('583','18','379','380','2','com_modules.module.457','Contact Info','{}'),
('584','18','381','382','2','com_modules.module.458','DJClassifieds Profiles Search','{}'),
('586','18','383','384','2','com_modules.module.459','Recently added','{}'),
('587','18','385','386','2','com_modules.module.460','Banner front top','{}'),
('590','18','387','388','2','com_modules.module.463','Header image','{}'),
('591','18','389','390','2','com_modules.module.464','DJ-MediaTools Albums Grid','{}'),
('592','18','391','392','2','com_modules.module.465','Banner front top (2)','{}'),
('594','1','524','525','1','com_actionlogs','com_actionlogs','{}');

DROP TABLE IF EXISTS #__associations;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__banner_clients;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` mediumtext NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__banner_tracks;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__banners;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` mediumtext NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `params` mediumtext NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__categories;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(400) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` VALUES 
('1','0','0','0','17','0','','system','ROOT','root','','','1','0','0000-00-00 00:00:00','1','{}','','','','867','2011-01-01 00:00:01','0','0000-00-00 00:00:00','0','*','1'),
('16','41','1','1','2','1','sample-data-contact','com_contact','Sample Data-Contact','sample-data-contact','','','1','0','0000-00-00 00:00:00','1','{"target":"","image":""}','','','{"page_title":"","author":"","robots":""}','867','2011-01-01 00:00:01','0','0000-00-00 00:00:00','0','*','1'),
('77','169','1','3','4','1','uncategorised','com_users','Uncategorised','uncategorised','','','1','0','0000-00-00 00:00:00','1','{"target":"","image":""}','','','{"page_title":"","author":"","robots":""}','867','2011-01-01 00:00:01','0','0000-00-00 00:00:00','0','*','1'),
('79','186','1','5','6','1','joomclassifieds-offer','com_content','Offer ','joomclassifieds-offer','','','-2','0','0000-00-00 00:00:00','1','{"category_layout":"","image":""}','','','{"author":"","robots":""}','867','2013-11-14 15:09:19','152','2014-02-12 12:56:58','0','*','1'),
('80','187','1','7','8','1','joomclassifieds-information','com_content','Information','joomclassifieds-information','','','-2','0','0000-00-00 00:00:00','1','{"category_layout":"","image":""}','','','{"author":"","robots":""}','867','2013-11-14 15:09:41','152','2014-02-12 12:56:48','0','*','1'),
('81','188','1','9','10','1','latest','com_content','Latest','latest','','','1','0','0000-00-00 00:00:00','1','{"category_layout":"","image":""}','','','{"author":"","robots":""}','867','2013-11-14 15:10:05','152','2014-02-12 12:56:38','0','*','1'),
('82','205','1','11','12','1','jm-sample-data','com_content','JM-Sample-Data','jm-sample-data','','','1','0','0000-00-00 00:00:00','1','{"category_layout":"","image":""}','','','{"author":"","robots":""}','867','2013-11-19 09:36:51','152','2014-02-12 12:56:17','0','*','1'),
('83','251','1','13','14','1','jm-sample-blog','com_content','JM-Sample-Blog','jm-sample-blog','','','1','0','0000-00-00 00:00:00','1','{"category_layout":"","image":""}','','','{"author":"","robots":""}','867','2014-02-12 13:02:22','0','0000-00-00 00:00:00','0','*','1'),
('84','340','1','15','16','1','dj-classifieds-views','com_content','DJ-Classifieds Views','dj-classifieds-views','','','-2','0','0000-00-00 00:00:00','1','{"category_layout":"","image":"","image_alt":""}','','','{"author":"","robots":""}','867','2015-03-30 08:33:57','867','2016-08-29 20:31:57','0','*','1');

DROP TABLE IF EXISTS #__contact_details;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(400) NOT NULL,
  `con_position` varchar(255) DEFAULT NULL,
  `address` mediumtext,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` longtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` mediumtext NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL DEFAULT '',
  `sortname2` varchar(255) NOT NULL DEFAULT '',
  `sortname3` varchar(255) NOT NULL DEFAULT '',
  `language` varchar(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` VALUES 
('1','Contact','single-contact','','153 Bakery Street','London','','UK','N211AA','+44 789 100 100','+44 789 300 300','','images/logo-dark.png','templates@joomla-monster.com','1','1','0','0000-00-00 00:00:00','1','{"show_contact_category":"","show_contact_list":"0","presentation_style":"plain","show_tags":"","show_info":"0","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","show_misc":"","allow_vcard":"0","show_articles":"","articles_display_num":"","show_profile":"","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":false,"contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}','0','16','1','+44 789 200 200','http://www.joomla-monster.com','','','','en-GB','2011-01-01 00:00:01','867','Joomla','2018-05-21 14:34:59','867','','','{"robots":"","rights":""}','1','','0000-00-00 00:00:00','0000-00-00 00:00:00','20','582'),
('2','Tabs','tabs','','7 Green Lane, Peterborough','','','','','+44 7893 784 654','','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula, nunc quis aliquet tincidunt, massa arcu eleifend velit, posuere gravida nisl mi et magna.\r\n','images/logo-dark.png','contact@jomla-monster.com','0','1','0','0000-00-00 00:00:00','2','{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"tabs","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","articles_display_num":"","show_profile":"0","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":false,"contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}','969','16','1','','','','','','*','2015-03-30 07:20:03','867','','2016-07-28 08:40:50','867','','','{"robots":"","rights":""}','0','','0000-00-00 00:00:00','0000-00-00 00:00:00','5','707'),
('3','Accordion','accordion','','','','','','','123456','','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula, nunc quis aliquet tincidunt, massa arcu eleifend velit, posuere gravida nisl mi et magna.','images/logo-dark.png','info@joomla-monster.com','0','1','0','0000-00-00 00:00:00','3','{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","articles_display_num":"","show_profile":"0","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":false,"contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}','969','16','1','','','','','','*','2015-03-30 07:21:50','867','','2016-07-04 07:46:06','867','','','{"robots":"","rights":""}','0','','0000-00-00 00:00:00','0000-00-00 00:00:00','3','714'),
('4','test','test',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'test2.joomlamonster@gmail.com','0','0','0','0000-00-00 00:00:00','0','','873','34','1','','','','','','*','2019-06-11 13:04:43','0','','2019-06-11 13:04:43','0','','','','0','','0000-00-00 00:00:00','0000-00-00 00:00:00','1','0');

DROP TABLE IF EXISTS #__content;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) NOT NULL DEFAULT '',
  `introtext` longtext NOT NULL,
  `fulltext` longtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext NOT NULL,
  `urls` mediumtext NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`),
  KEY `idx_alias` (`alias`(191))
) AUTO_INCREMENT=120 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` VALUES 
('71','174','Typography','typography','<h3 class="jm-typo-title">Image Borders</h3>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<pre>&lt;img class="img-rounded" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-rounded" src="images/sample/article.png" alt="Typography" border="0" /></div>\r\n<p></p>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;img class="img-circle" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-circle" src="images/sample/article.png" alt="Typography" border="0" /></div>\r\n<p></p>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;img class="img-polaroid" src="image.jpg" /&gt;</pre>\r\n<div style="text-align: center;"><img class="img-polaroid" src="images/sample/article.png" alt="Typography" border="0" /></div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Headings</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<h1>This is Heading One (h1)</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h2>This is Heading Two (h2)</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h3>This is Heading Three (h3)</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n</div>\r\n<div class="span6">\r\n<h4>This is Heading Four (h4)</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h5>This is Heading Five (h5)</h5>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n<br />\r\n<h6>This is Heading Six (h6)</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris convallis porta lacinia bibendum felis.</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Numered blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<pre>&lt;p class="jm-block"&gt;&lt;span class="jm"&gt;01&lt;/span&gt;Text goes here&lt;/p&gt;</pre>\r\n<p class="jm-block"><span class="jm">01</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block"><span class="jm">02</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block"><span class="jm">03</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n</div>\r\n<div class="span6">\r\n<pre>&lt;p class="jm-block second"&gt;&lt;span class="jm"&gt;a&lt;/span&gt;Text goes here&lt;/p&gt;</pre>\r\n<p class="jm-block second"><span class="jm">a</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block second"><span class="jm">b</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n<p class="jm-block second"><span class="jm">c</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis viverra leo sed turpis convallis sit amet condimentum diam vehicula. Morbi suscipit nisl odio, nec sodales tellus. Aenean quis sapien suscipit mauris.</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title" style="margin-bottom: 0;">Colored Blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<div class="alert">&lt;div class="alert"&gt;Text goes here&lt;/div&gt;</div>\r\n<div class="alert alert-error">&lt;div class="alert alert-error"&gt;Text goes here&lt;/div&gt;</div>\r\n</div>\r\n<div class="span6">\r\n<div class="alert alert-success">&lt;div class="alert alert-success"&gt;Text goes here&lt;/div&gt;</div>\r\n<div class="alert alert-info">&lt;div class="alert alert-info"&gt;Text goes here&lt;/div&gt;</div>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Icon blocks</h3>\r\n<div class="row-fluid">\r\n<div class="span6">\r\n<p class="jmbadge">&lt;p class="jmbadge" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmcalendar">&lt;p class="jmcalendar" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmchat">&lt;p class="jmchat" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmcheck">&lt;p class="jmcheck" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmcloud">&lt;p class="jmcloud" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmdirection">&lt;p class="jmdirection" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmdivide">&lt;p class="jmdivide" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmerror">&lt;p class="jmerror" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmfire">&lt;p class="jmfire" &gt;Text goes here&lt;/p&gt;</p>\r\n</div>\r\n<div class="span6">\r\n<p class="jmflag">&lt;p class="jmflag" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmheart">&lt;p class="jmheart" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmhome">&lt;p class="jmhome" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jminfo">&lt;p class="jminfo" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmlist">&lt;p class="jmlist" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmmail">&lt;p class="jmmail" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmpeople">&lt;p class="jmpeople" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmstar">&lt;p class="jmstar" &gt;Text goes here&lt;/p&gt;</p>\r\n<p class="jmstat">&lt;p class="jmstat" &gt;Text goes here&lt;/p&gt;</p>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Blockquote</h3>\r\n<div class="row-fluid">\r\n<div class="span12">\r\n<pre>&lt;blockquote&gt;<br />&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;<br />&lt;small&gt;John Doe&lt;/small&gt;<br />&lt;/blockquote&gt;</pre>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>John Doe</small></blockquote>\r\n</div>\r\n<div class="span12">\r\n<pre>&lt;blockquote class="pull-right"&gt;<br />&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;<br />&lt;small&gt;John Doe&lt;/small&gt;<br />&lt;/blockquote&gt;</pre>\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>John Doe</small></blockquote>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Unordered lists</h3>\r\n<div class="row-fluid" style="margin-bottom: 30px;">\r\n<div class="span4">\r\n<pre>&lt;ul&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ul class="jm-color1"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-color1">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ul class="jm-color2"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ul&gt;</pre>\r\n<ul class="jm-color2">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ul>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Ordered lists</h3>\r\n<div class="row-fluid">\r\n<div class="span4">\r\n<pre>&lt;ol&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ol class="jm-roman"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol class="jm-roman">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n<div class="span4">\r\n<pre>&lt;ol class="jm-alpha"&gt;<br />&lt;-- list goes here --&gt;<br />&lt;/ol&gt;</pre>\r\n<ol class="jm-alpha">\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum\r\n<ol>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n<li>Duis tincidunt nunc sit amet ipsum</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</li>\r\n</ol>\r\n</div>\r\n</div>\r\n<h3 class="jm-typo-title">Read More and Button</h3>\r\n<pre>&lt;a class="readmore" href="#"&gt;Read more&lt;/a&gt;</pre>\r\n<p style="margin-bottom: 30px;"><a href="#" class="readmore">Read more</a></p>\r\n<pre>&lt;a class="btn" href="#"&gt;Button&lt;/a&gt;</pre>\r\n<p style="margin-bottom: 30px;"><a href="#" class="btn">Button</a></p>\r\n<h3 class="jm-typo-title">Advanced Search</h3>\r\n<pre>&lt;p&gt;&lt;a href="#"&gt;Advanced search &lt;span class="toggle"&gt;&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;</pre>\r\n<p class="advanced-ms"><a href="#">Advanced search <span class="toggle"></span></a></p>\r\n<h3 class="jm-typo-title">Glyphicon Font</h3>\r\n<div>\r\n<pre>&lt;span class="icon-joomla"&gt;&amp;nbsp&lt;/span&gt;</pre>\r\n</div>\r\n<div class="row-fluid">\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-asterisk"> </span> icon-asterisk</div>\r\n<div style="padding: 2px 0;"><span class="icon-plus"> </span> icon-plus</div>\r\n<div style="padding: 2px 0;"><span class="icon-euro"> </span> icon-euro</div>\r\n<div style="padding: 2px 0;"><span class="icon-minus"> </span> icon-minus</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud"> </span> icon-cloud</div>\r\n<div style="padding: 2px 0;"><span class="icon-envelope"> </span> icon-envelope</div>\r\n<div style="padding: 2px 0;"><span class="icon-pencil"> </span> icon-pencil</div>\r\n<div style="padding: 2px 0;"><span class="icon-glass"> </span> icon-glass</div>\r\n<div style="padding: 2px 0;"><span class="icon-music"> </span> icon-music</div>\r\n<div style="padding: 2px 0;"><span class="icon-search"> </span> icon-search</div>\r\n<div style="padding: 2px 0;"><span class="icon-heart"> </span> icon-heart</div>\r\n<div style="padding: 2px 0;"><span class="icon-star"> </span> icon-star</div>\r\n<div style="padding: 2px 0;"><span class="icon-star-empty"> </span> icon-star-empty</div>\r\n<div style="padding: 2px 0;"><span class="icon-user"> </span> icon-user</div>\r\n<div style="padding: 2px 0;"><span class="icon-film"> </span> icon-film</div>\r\n<div style="padding: 2px 0;"><span class="icon-th-large"> </span> icon-th-large</div>\r\n<div style="padding: 2px 0;"><span class="icon-th"> </span> icon-th</div>\r\n<div style="padding: 2px 0;"><span class="icon-th-list"> </span> icon-th-list</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok"> </span> icon-ok</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove"> </span> icon-remove</div>\r\n<div style="padding: 2px 0;"><span class="icon-zoom-in"> </span> icon-zoom-in</div>\r\n<div style="padding: 2px 0;"><span class="icon-zoom-out"> </span> icon-zoom-out</div>\r\n<div style="padding: 2px 0;"><span class="icon-off"> </span> icon-off</div>\r\n<div style="padding: 2px 0;"><span class="icon-signal"> </span> icon-signal</div>\r\n<div style="padding: 2px 0;"><span class="icon-cog"> </span> icon-cog</div>\r\n<div style="padding: 2px 0;"><span class="icon-trash"> </span> icon-trash</div>\r\n<div style="padding: 2px 0;"><span class="icon-home"> </span> icon-home</div>\r\n<div style="padding: 2px 0;"><span class="icon-file"> </span> icon-file</div>\r\n<div style="padding: 2px 0;"><span class="icon-time"> </span> icon-time</div>\r\n<div style="padding: 2px 0;"><span class="icon-road"> </span> icon-road</div>\r\n<div style="padding: 2px 0;"><span class="icon-download-alt"> </span> icon-download-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-download"> </span> icon-download</div>\r\n<div style="padding: 2px 0;"><span class="icon-upload"> </span> icon-upload</div>\r\n<div style="padding: 2px 0;"><span class="icon-inbox"> </span> icon-inbox</div>\r\n<div style="padding: 2px 0;"><span class="icon-play-circle"> </span> icon-play-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-repeat"> </span> icon-repeat</div>\r\n<div style="padding: 2px 0;"><span class="icon-refresh"> </span> icon-refresh</div>\r\n<div style="padding: 2px 0;"><span class="icon-list-alt"> </span> icon-list-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-lock"> </span> icon-lock</div>\r\n<div style="padding: 2px 0;"><span class="icon-flag"> </span> icon-flag</div>\r\n<div style="padding: 2px 0;"><span class="icon-headphones"> </span> icon-headphones</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-off"> </span> icon-volume-off</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-down"> </span> icon-volume-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-volume-up"> </span> icon-volume-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-qrcode"> </span> icon-qrcode</div>\r\n<div style="padding: 2px 0;"><span class="icon-barcode"> </span> icon-barcode</div>\r\n<div style="padding: 2px 0;"><span class="icon-tag"> </span> icon-tag</div>\r\n<div style="padding: 2px 0;"><span class="icon-tags"> </span> icon-tags</div>\r\n<div style="padding: 2px 0;"><span class="icon-book"> </span> icon-book</div>\r\n<div style="padding: 2px 0;"><span class="icon-bookmark"> </span> icon-bookmark</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-print"> </span> icon-print</div>\r\n<div style="padding: 2px 0;"><span class="icon-camera"> </span> icon-camera</div>\r\n<div style="padding: 2px 0;"><span class="icon-font"> </span> icon-font</div>\r\n<div style="padding: 2px 0;"><span class="icon-bold"> </span> icon-bold</div>\r\n<div style="padding: 2px 0;"><span class="icon-italic"> </span> icon-italic</div>\r\n<div style="padding: 2px 0;"><span class="icon-text-height"> </span> icon-text-height</div>\r\n<div style="padding: 2px 0;"><span class="icon-text-width"> </span> icon-text-width</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-left"> </span> icon-align-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-center"> </span> icon-align-center</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-right"> </span> icon-align-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-align-justify"> </span> icon-align-justify</div>\r\n<div style="padding: 2px 0;"><span class="icon-list"> </span> icon-list</div>\r\n<div style="padding: 2px 0;"><span class="icon-indent-left"> </span> icon-indent-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-indent-right"> </span> icon-indent-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-facetime-video"> </span> icon-facetime-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-picture"> </span> icon-picture</div>\r\n<div style="padding: 2px 0;"><span class="icon-map-marker"> </span> icon-map-marker</div>\r\n<div style="padding: 2px 0;"><span class="icon-adjust"> </span> icon-adjust</div>\r\n<div style="padding: 2px 0;"><span class="icon-tint"> </span> icon-tint</div>\r\n<div style="padding: 2px 0;"><span class="icon-edit"> </span> icon-edit</div>\r\n<div style="padding: 2px 0;"><span class="icon-share"> </span> icon-share</div>\r\n<div style="padding: 2px 0;"><span class="icon-check"> </span> icon-check</div>\r\n<div style="padding: 2px 0;"><span class="icon-move"> </span> icon-move</div>\r\n<div style="padding: 2px 0;"><span class="icon-step-backward"> </span> icon-step-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-fast-backward"> </span> icon-fast-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-backward"> </span> icon-backward</div>\r\n<div style="padding: 2px 0;"><span class="icon-play"> </span> icon-play</div>\r\n<div style="padding: 2px 0;"><span class="icon-pause"> </span> icon-pause</div>\r\n<div style="padding: 2px 0;"><span class="icon-stop"> </span> icon-stop</div>\r\n<div style="padding: 2px 0;"><span class="icon-forward"> </span> icon-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-fast-forward"> </span> icon-fast-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-step-forward"> </span> icon-step-forward</div>\r\n<div style="padding: 2px 0;"><span class="icon-eject"> </span> icon-eject</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-left"> </span> icon-chevron-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-right"> </span> icon-chevron-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-plus-sign"> </span> icon-plus-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-minus-sign"> </span> icon-minus-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove-sign"> </span> icon-remove-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok-sign"> </span> icon-ok-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-question-sign"> </span> icon-question-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-info-sign"> </span> icon-info-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-screenshot"> </span> icon-screenshot</div>\r\n<div style="padding: 2px 0;"><span class="icon-remove-circle"> </span> icon-remove-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-ok-circle"> </span> icon-ok-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-ban-circle"> </span> icon-ban-circle</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-left"> </span> icon-arrow-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-right"> </span> icon-arrow-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-up"> </span> icon-arrow-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-arrow-down"> </span> icon-arrow-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-share-alt"> </span> icon-share-alt</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-resize-full"> </span> icon-resize-full</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-small"> </span> icon-resize-small</div>\r\n<div style="padding: 2px 0;"><span class="icon-exclamation-sign"> </span> icon-exclamation-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-gift"> </span> icon-gift</div>\r\n<div style="padding: 2px 0;"><span class="icon-leaf"> </span> icon-leaf</div>\r\n<div style="padding: 2px 0;"><span class="icon-fire"> </span> icon-fire</div>\r\n<div style="padding: 2px 0;"><span class="icon-eye-open"> </span> icon-eye-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-eye-close"> </span> icon-eye-close</div>\r\n<div style="padding: 2px 0;"><span class="icon-warning-sign"> </span> icon-warning-sign</div>\r\n<div style="padding: 2px 0;"><span class="icon-plane"> </span> icon-plane</div>\r\n<div style="padding: 2px 0;"><span class="icon-calendar"> </span> icon-calendar</div>\r\n<div style="padding: 2px 0;"><span class="icon-random"> </span> icon-random</div>\r\n<div style="padding: 2px 0;"><span class="icon-comment"> </span> icon-comment</div>\r\n<div style="padding: 2px 0;"><span class="icon-magnet"> </span> icon-magnet</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-up"> </span> icon-chevron-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-chevron-down"> </span> icon-chevron-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-retweet"> </span> icon-retweet</div>\r\n<div style="padding: 2px 0;"><span class="icon-shopping-cart"> </span> icon-shopping-cart</div>\r\n<div style="padding: 2px 0;"><span class="icon-folder-close"> </span> icon-folder-close</div>\r\n<div style="padding: 2px 0;"><span class="icon-folder-open"> </span> icon-folder-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-vertical"> </span> icon-resize-vertical</div>\r\n<div style="padding: 2px 0;"><span class="icon-resize-horizontal"> </span> icon-resize-horizontal</div>\r\n<div style="padding: 2px 0;"><span class="icon-hdd"> </span> icon-hdd</div>\r\n<div style="padding: 2px 0;"><span class="icon-bullhorn"> </span> icon-bullhorn</div>\r\n<div style="padding: 2px 0;"><span class="icon-bell"> </span> icon-bell</div>\r\n<div style="padding: 2px 0;"><span class="icon-certificate"> </span> icon-certificate</div>\r\n<div style="padding: 2px 0;"><span class="icon-thumbs-up"> </span> icon-thumbs-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-thumbs-down"> </span> icon-thumbs-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-right"> </span> icon-hand-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-left"> </span> icon-hand-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-up"> </span> icon-hand-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-hand-down"> </span> icon-hand-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-right"> </span> icon-circle-arrow-right</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-left"> </span> icon-circle-arrow-left</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-up"> </span> icon-circle-arrow-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-circle-arrow-down"> </span> icon-circle-arrow-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-globe"> </span> icon-globe</div>\r\n<div style="padding: 2px 0;"><span class="icon-wrench"> </span> icon-wrench</div>\r\n<div style="padding: 2px 0;"><span class="icon-tasks"> </span> icon-tasks</div>\r\n<div style="padding: 2px 0;"><span class="icon-filter"> </span> icon-filter</div>\r\n<div style="padding: 2px 0;"><span class="icon-briefcase"> </span> icon-briefcase</div>\r\n<div style="padding: 2px 0;"><span class="icon-fullscreen"> </span> icon-fullscreen</div>\r\n<div style="padding: 2px 0;"><span class="icon-dashboard"> </span> icon-dashboard</div>\r\n<div style="padding: 2px 0;"><span class="icon-paperclip"> </span> icon-paperclip</div>\r\n<div style="padding: 2px 0;"><span class="icon-heart-empty"> </span> icon-heart-empty</div>\r\n<div style="padding: 2px 0;"><span class="icon-link"> </span> icon-link</div>\r\n<div style="padding: 2px 0;"><span class="icon-phone"> </span> icon-phone</div>\r\n<div style="padding: 2px 0;"><span class="icon-pushpin"> </span> icon-pushpin</div>\r\n<div style="padding: 2px 0;"><span class="icon-usd"> </span> icon-usd</div>\r\n<div style="padding: 2px 0;"><span class="icon-gbp"> </span> icon-gbp</div>\r\n</div>\r\n<div class="span3">\r\n<div style="padding: 2px 0;"><span class="icon-sort"> </span> icon-sort</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-alphabet"> </span> icon-sort-by-alphabet</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-alphabet-alt"> </span> icon-sort-by-alphabet-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-order"> </span> icon-sort-by-order</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-order-alt"> </span> icon-sort-by-order-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-attributes"> </span> icon-sort-by-attributes</div>\r\n<div style="padding: 2px 0;"><span class="icon-sort-by-attributes-alt"> </span> icon-sort-by-attributes-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-unchecked"> </span> icon-unchecked</div>\r\n<div style="padding: 2px 0;"><span class="icon-expand"> </span> icon-expand</div>\r\n<div style="padding: 2px 0;"><span class="icon-collapse-down"> </span> icon-collapse-down</div>\r\n<div style="padding: 2px 0;"><span class="icon-collapse-up"> </span> icon-collapse-up</div>\r\n<div style="padding: 2px 0;"><span class="icon-log-in"> </span> icon-log-in</div>\r\n<div style="padding: 2px 0;"><span class="icon-flash"> </span> icon-flash</div>\r\n<div style="padding: 2px 0;"><span class="icon-log-out"> </span> icon-log-out</div>\r\n<div style="padding: 2px 0;"><span class="icon-new-window"> </span> icon-new-window</div>\r\n<div style="padding: 2px 0;"><span class="icon-record"> </span> icon-record</div>\r\n<div style="padding: 2px 0;"><span class="icon-save"> </span> icon-save</div>\r\n<div style="padding: 2px 0;"><span class="icon-open"> </span> icon-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-saved"> </span> icon-saved</div>\r\n<div style="padding: 2px 0;"><span class="icon-import"> </span> icon-import</div>\r\n<div style="padding: 2px 0;"><span class="icon-export"> </span> icon-export</div>\r\n<div style="padding: 2px 0;"><span class="icon-send"> </span> icon-send</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-disk"> </span> icon-floppy-disk</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-saved"> </span> icon-floppy-saved</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-remove"> </span> icon-floppy-remove</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-save"> </span> icon-floppy-save</div>\r\n<div style="padding: 2px 0;"><span class="icon-floppy-open"> </span> icon-floppy-open</div>\r\n<div style="padding: 2px 0;"><span class="icon-credit-card"> </span> icon-credit-card</div>\r\n<div style="padding: 2px 0;"><span class="icon-transfer"> </span> icon-transfer</div>\r\n<div style="padding: 2px 0;"><span class="icon-cutlery"> </span> icon-cutlery</div>\r\n<div style="padding: 2px 0;"><span class="icon-header"> </span> icon-header</div>\r\n<div style="padding: 2px 0;"><span class="icon-compressed"> </span> icon-compressed</div>\r\n<div style="padding: 2px 0;"><span class="icon-earphone"> </span> icon-earphone</div>\r\n<div style="padding: 2px 0;"><span class="icon-phone-alt"> </span> icon-phone-alt</div>\r\n<div style="padding: 2px 0;"><span class="icon-tower"> </span> icon-tower</div>\r\n<div style="padding: 2px 0;"><span class="icon-stats"> </span> icon-stats</div>\r\n<div style="padding: 2px 0;"><span class="icon-sd-video"> </span> icon-sd-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-hd-video"> </span> icon-hd-video</div>\r\n<div style="padding: 2px 0;"><span class="icon-subtitles"> </span> icon-subtitles</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-stereo"> </span> icon-sound-stereo</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-dolby"> </span> icon-sound-dolby</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-5-1"> </span> icon-sound-5-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-6-1"> </span> icon-sound-6-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-sound-7-1"> </span> icon-sound-7-1</div>\r\n<div style="padding: 2px 0;"><span class="icon-copyright-mark"> </span> icon-copyright-mark</div>\r\n<div style="padding: 2px 0;"><span class="icon-registration-mark"> </span> icon-registration-mark</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud-download"> </span> icon-cloud-download</div>\r\n<div style="padding: 2px 0;"><span class="icon-cloud-upload"> </span> icon-cloud-upload</div>\r\n<div style="padding: 2px 0;"><span class="icon-tree-conifer"> </span> icon-tree-conifer</div>\r\n<div style="padding: 2px 0;"><span class="icon-tree-deciduous"> </span> icon-tree-deciduous</div>\r\n</div>\r\n</div>','','1','82','2013-02-20 09:05:10','867','','2017-11-24 16:11:53','867','0','0000-00-00 00:00:00','2013-02-20 09:05:10','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','80','13','','','1','1470','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('81','194','Duis vestibulum justo','duis-vestibulum-justo','<p>Curabitur tempus magna in enim vehicula vestibulum eu sed dui. Donec interdum lorem ante.</p>\r\n','\r\n<p>Donec a nisl sollicitudin, condimentum purus quis, tristique massa.</p>\r\n<p>Nunc velit turpis, ornare quis scelerisque ut, varius sit amet sem. Integer eu varius dui, sed placerat turpis. Phasellus ut quam a urna ullamcorper aliquam non nec nisl. <a href="index.php">Quisque</a> imperdiet ligula urna, vel fermentum dui pretium vel. Maecenas commodo viverra mi et porta.</p>\r\n<p>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p class="jm-block"><span>1</span>Sed et tellus a tellus consequat tincidunt. <br />Proin a imperdiet massa, quis consectetur neque. Aenean <a href="#">ut tincidunt nulla</a>. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p class="jm-block"><span>2</span>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. <br />Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p><br /><strong>Fusce at nisi mauris.</strong> <br />Mauris pretium, metus sed condimentum ullamcorper, erat nisi ultrices ipsum, quis pretium massa magna id justo. Mauris vitae venenatis tellus. Suspendisse id augue mauris. Morbi et velit sit amet erat consectetur pretium ac eleifend arcu.</p>\r\n<ul>\r\n<li>Duis vestibulum justo vitae turpis sagittis vestibulum. Donec <a href="#">posuere urna nulla, tempus venenatis</a> tortor gravida id.</li>\r\n<li>Quisque viverra est eu erat semper, ac ultricies dolor luctus. Sed ut erat egestas lacus pretium venenatis.</li>\r\n<li>Aliquam at sagittis enim. Nam varius condimentum porttitor. Aenean massa tellus, vestibulum in tempus sed, adipiscing eu odio. Mauris blandit porttitor convallis.</li>\r\n</ul>\r\n<p><br />Phasellus ut quam a urna ullamcorper aliquam non nec nisl. Quisque imperdiet ligula urna, vel fermentum dui pretium vel. Maecenas commodo viverra mi et porta.</p>\r\n<p>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>','1','81','2013-11-14 15:14:33','867','','2016-07-05 13:19:26','867','0','0000-00-00 00:00:00','2013-11-14 15:14:33','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/latest\\/latest3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/latest\\/latest3.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','4','2','','','1','379','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('82','195','Lorem ipsum dolor','lorem-ipsum-dolor','<p>Phasellus ut quam a urna ullamcorper aliquam non nec nisl. Quisque imperdiet ligula urna morbi et velit sit.</p>\r\n','\r\n<p>Donec a nisl sollicitudin, condimentum purus quis, tristique massa.</p>\r\n<p>Nunc velit turpis, ornare quis scelerisque ut, varius sit amet sem. Integer eu varius dui, sed placerat turpis. Phasellus ut quam a urna ullamcorper aliquam non nec nisl. <a href="index.php">Quisque</a> imperdiet ligula urna, vel fermentum dui pretium vel. Maecenas commodo viverra mi et porta.</p>\r\n<p>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p class="jm-block"><span>1</span>Sed et tellus a tellus consequat tincidunt. <br />Proin a imperdiet massa, quis consectetur neque. Aenean <a href="#">ut tincidunt nulla</a>. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p class="jm-block"><span>2</span>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. <br />Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p><br /><strong>Fusce at nisi mauris.</strong> <br />Mauris pretium, metus sed condimentum ullamcorper, erat nisi ultrices ipsum, quis pretium massa magna id justo. Mauris vitae venenatis tellus. Suspendisse id augue mauris. Morbi et velit sit amet erat consectetur pretium ac eleifend arcu.</p>\r\n<ul>\r\n<li>Duis vestibulum justo vitae turpis sagittis vestibulum. Donec <a href="#">posuere urna nulla, tempus venenatis</a> tortor gravida id.</li>\r\n<li>Quisque viverra est eu erat semper, ac ultricies dolor luctus. Sed ut erat egestas lacus pretium venenatis.</li>\r\n<li>Aliquam at sagittis enim. Nam varius condimentum porttitor. Aenean massa tellus, vestibulum in tempus sed, adipiscing eu odio. Mauris blandit porttitor convallis.</li>\r\n</ul>\r\n<p><br />Phasellus ut quam a urna ullamcorper aliquam non nec nisl. Quisque imperdiet ligula urna, vel fermentum dui pretium vel. Maecenas commodo viverra mi et porta.</p>\r\n<p>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>','1','81','2013-11-14 15:15:04','867','','2016-07-05 13:19:14','867','0','0000-00-00 00:00:00','2013-11-14 15:15:04','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/latest\\/latest2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/latest\\/latest2.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','4','1','','','1','348','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('83','196','Phasellus ut quam tristique non metus','phasellus-ut-quam','<p>Duis vestibulum justo vitae turpis sagittis vestibulum. Donec posuere urna nulla.</p>\r\n','\r\n<p>Donec a nisl sollicitudin, condimentum purus quis, tristique massa.</p>\r\n<p>Nunc velit turpis, ornare quis scelerisque ut, varius sit amet sem. Integer eu varius dui, sed placerat turpis. Phasellus ut quam a urna ullamcorper aliquam non nec nisl. <a href="index.php">Quisque</a> imperdiet ligula urna, vel fermentum dui pretium vel. Maecenas commodo viverra mi et porta.</p>\r\n<p>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p class="jm-block"><span>1</span>Sed et tellus a tellus consequat tincidunt. <br />Proin a imperdiet massa, quis consectetur neque. Aenean <a href="#">ut tincidunt nulla</a>. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p class="jm-block"><span>2</span>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. <br />Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>\r\n<p><br /><strong>Fusce at nisi mauris.</strong> <br />Mauris pretium, metus sed condimentum ullamcorper, erat nisi ultrices ipsum, quis pretium massa magna id justo. Mauris vitae venenatis tellus. Suspendisse id augue mauris. Morbi et velit sit amet erat consectetur pretium ac eleifend arcu.</p>\r\n<ul>\r\n<li>Duis vestibulum justo vitae turpis sagittis vestibulum. Donec <a href="#">posuere urna nulla, tempus venenatis</a> tortor gravida id.</li>\r\n<li>Quisque viverra est eu erat semper, ac ultricies dolor luctus. Sed ut erat egestas lacus pretium venenatis.</li>\r\n<li>Aliquam at sagittis enim. Nam varius condimentum porttitor. Aenean massa tellus, vestibulum in tempus sed, adipiscing eu odio. Mauris blandit porttitor convallis.</li>\r\n</ul>\r\n<p><br />Phasellus ut quam a urna ullamcorper aliquam non nec nisl. Quisque imperdiet ligula urna, vel fermentum dui pretium vel. Maecenas commodo viverra mi et porta.</p>\r\n<p>Sed et tellus a tellus consequat tincidunt. Proin a imperdiet massa, quis consectetur neque. Aenean ut tincidunt nulla. In consequat purus eu condimentum hendrerit. In tristique non metus ut mattis.</p>','1','81','2013-11-14 15:15:31','867','','2016-07-05 13:19:01','867','0','0000-00-00 00:00:00','2013-11-14 15:15:31','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/latest\\/latest1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/latest\\/latest1.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','6','0','','','1','346','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('84','206','All Template\'s Positions','all-template-s-positions','<p><strong>JM MyOffers</strong> Joomla template is using fully responsive layout that adjusts to various screens: desktops, tablets or mobiles.<br /><a title="EF4 Framework" href="http://www.joomla-monster.com/index.php?option=com_content&amp;id=137&amp;view=category&amp;Itemid=548" target="_blank" rel="noopener noreferrer">EF4 Framework</a> includes <a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer">Layout Builder</a> tool which allows you to customize template layout for different screen dimensions.</p>\r\n','\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for normal and large screen <small>usually desktop and tablet landscape (980px and higher)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer"><img title="Module positions for normal and large screen" src="images/sample/normal-positions.png" alt="Module positions for normal and large screen" border="0" /></a></p>\r\n<p> </p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for medium screen <small>usually tablet (768px-979px)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer"><img title="Module positions for medium screen" src="images/sample/medium-positions.png" alt="Module positions for medium screen" border="0" /></a></p>\r\n<p> </p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for small screen <small>usually tablet portrait and mobile landscape (481px-767px)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer"><img title="Module positions for small screen" src="images/sample/small-positions.png" alt="Module positions for small screen" border="0" /></a></p>\r\n<p> </p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer">Check out more details about layout customization!</a></p>\r\n<p> </p>\r\n<h3 style="text-align: center;">Module positions for extra small screen <small>usually mobile portrait (480px and smaller)</small></h3>\r\n<p> </p>\r\n<p style="text-align: center;"><a title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer"><img title="Module positions for extra small screen" src="images/sample/extrasmall-positions.png" alt="Module positions for extra small screen" border="0" /></a></p>\r\n<p> </p>\r\n<p style="text-align: center;"><a class="btn" title="Layout Builder" href="http://www.joomla-monster.com/index.php?option=com_content&amp;catid=137&amp;id=901&amp;view=article&amp;Itemid=1034" target="_blank" rel="noopener noreferrer">Check out more details about layout customization!</a></p>','1','82','2013-11-19 09:38:06','867','','2017-11-12 12:35:11','867','0','0000-00-00 00:00:00','2013-11-19 09:38:06','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','14','11','','','1','1371','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('85','207','Module Settings','module-suffixes','<p>There are additional module designs available that you can control by entering a correct suffix name as a module parameter.<br /> If you need to mix suffixes then separate classes with some space.</p>\r\n<p></p>\r\n<p><img src="images/sample/1.jpg" alt="" /></p>\r\n<p></p>\r\n','\r\n<p><br />1. Available module designs.</p>\r\n<p><br /><img src="images/sample/module-suffixes.png" alt="" /></p>\r\n<p><br /><strong>Suffix name:</strong> color1-ms<br /><strong>Suffix name:</strong> color2-ms<br /><br /></p>\r\n<p><br />2. Use the suffix for menu item if you want to get the following view for "Post an ad" item.</p>\r\n<p><br /><img class="border_img" src="images/sample/button-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> button-ms</p>\r\n<p><br />3. Use the suffix if you want remove top/right/bottom/left/all margin of module.</p>\r\n<p><br /><strong>Suffix name:</strong> margin-top-ms<br /><strong>Suffix name:</strong> margin-right-ms<br /><strong>Suffix name:</strong> margin-bottom-ms<br /><strong>Suffix name:</strong> margin-left-ms<br /><strong>Suffix name:</strong> margin-ms</p>\r\n<p><br />4. Use the suffix for a DJ-Classifieds Search module if you want to get the following view.</p>\r\n<p><br /><strong>Suffix name:</strong> search-ms</p>\r\n<p><br /><img class="border_img" src="images/sample/search-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> search-ms location-ms</p>\r\n<p><br /><img class="border_img" src="images/sample/location-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> search-ms category-ms</p>\r\n<p><br /><img class="border_img" src="images/sample/category-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> search-ms locationcategory-ms</p>\r\n<p><br /><img class="border_img" src="images/sample/locationcategory-ms.png" alt="" border="0" /></p>\r\n<p><br />5. Use the suffix for a DJ-Classifieds Items module if you want to get the following view of the module items.</p>\r\n<p><br /><img class="border_img" src="images/sample/items-boxed-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> items-boxed-ms</p>\r\n<p><br />6. Use the suffix for a DJ-Classifieds Regions module if you want to get the following view.</p>\r\n<p><br /><img class="border_img" src="images/sample/regions-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> regions-ms col4</p>\r\n<p><br />You can also display other number of columns if needed:</p>\r\n<p><strong>Suffix name:</strong> col2</p>\r\n<p><strong>Suffix name:</strong> col3</p>\r\n<p><strong>Suffix name:</strong> col5</p>\r\n<p><br />7. Use the suffix for a DJ-MediaTools Album module if you want to get the following view of the navigation arrows.</p>\r\n<p><br /><img class="border_img" src="images/sample/top-right-nav-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> top-right-nav-ms</p>\r\n<p><br />You can also display the navigation on other positions:</p>\r\n<p><strong>Suffix name:</strong> top-left-nav-ms</p>\r\n<p><strong>Suffix name:</strong> bot-left-nav-ms</p>\r\n<p><strong>Suffix name:</strong> bot-right-nav-ms</p>\r\n<p><br />8. Use the suffix for a DJ-MediaTools Album module if you want to get the following view of the navigation arrows.</p>\r\n<p><br /><img class="border_img" src="images/sample/arrows-nav-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> arrows-nav-ms</p>\r\n<p><br />9. Use the suffix for a Joomla menu module if you want to get the following view.</p>\r\n<p><br /><img class="border_img" src="images/sample/horizontal-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> horizontal-ms</p>\r\n<p><br />10. Use the suffix for a DJ-MegaMenu menu module if you want center the module as follows.</p>\r\n<p><br /><img class="border_img" src="images/sample/header-category-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> header-category-ms</p>\r\n<p><br />11. Use the suffix for a custom HTML module with a link which should work as the advanced search toggle button.</p>\r\n<p><br /><img class="border_img" src="images/sample/advanced-ms.png" alt="" border="0" /></p>\r\n<p><br /><strong>Suffix name:</strong> advanced-ms</p>\r\n<p><br />12. Additional and very useful suffix to make your modules height the same.<br />You just have to put a suffix at a module configuration to get the specified module height. <br /><br />See here the screenshot:</p>\r\n<p><img class="border_img" src="images/sample/height1.jpg" alt="" border="0" /></p>\r\n<p><strong>_mod300</strong> means that your module will be of 300 pixels high.<br /><br /></p>','1','82','2013-11-19 09:39:13','867','','2017-11-24 16:08:31','867','0','0000-00-00 00:00:00','2013-11-19 09:39:13','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','68','12','','','1','2031','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('86','252','Content Area','content-area','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit.<br /><br />Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa.</p>\r\n<p>Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus.</p>\r\n<p>Sed dignissim ligula eget vestibulum scelerisque. Nam risus diam, tincidunt accumsan mauris dictum, tempor dapibus augue. Curabitur congue eros eget sapien fringilla, nec condimentum.</p>','','1','82','2014-02-12 13:04:13','867','','2014-03-10 11:19:11','385','0','0000-00-00 00:00:00','2014-02-12 13:04:13','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','6','10','','','1','4435','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('87','253','Single Article','single-article','<p><strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum.</strong></p>\r\n<p>Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar. Fusce felis ante, pulvinar ac metus et, adipiscing consequat lectus. Integer quam nibh, varius nec lacus elementum, bibendum posuere ante. Mauris vehicula. Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut.</p>\r\n','\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','82','2014-02-12 13:05:53','867','','2016-07-05 06:58:31','867','0','0000-00-00 00:00:00','2014-02-12 13:05:53','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article01.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article01.jpg","float_fulltext":"","image_fulltext_alt":"Banner","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','9','9','','','1','1074','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('88','254','Tabs','tabs','<hr title="Tab 1" class="system-pagebreak" />\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo.</p>\r\n<p>Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt. Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat.</p>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<hr title="Tab 2" class="system-pagebreak" />\r\n<p>Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<hr title="Tab 3" class="system-pagebreak" />\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus.</p>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec accumsan.</p>','','1','82','2014-02-12 13:06:38','867','','2014-03-10 13:19:22','385','0','0000-00-00 00:00:00','2014-02-12 13:06:38','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','2','8','','','1','593','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('89','255','Ut vitae varius','blog-article-1','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:08:13','867','','2016-07-28 08:36:39','867','0','0000-00-00 00:00:00','2014-02-12 13:08:13','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article04.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article04.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','10','7','','','1','219','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('90','256','Praesent porttitor','blog-article-2','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:08:30','867','','2016-07-28 08:37:24','867','0','0000-00-00 00:00:00','2014-02-12 13:08:30','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article08.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article08.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','10','6','','','1','210','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('91','257','Etiam malesuada','blog-article-3','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:08:46','867','','2016-07-28 08:36:25','867','0','0000-00-00 00:00:00','2014-02-12 13:08:46','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article01.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article01.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','9','5','','','1','220','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('92','258','Sapien in efficitur','blog-article-4','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:09:01','867','','2016-07-28 08:36:20','867','0','0000-00-00 00:00:00','2014-02-12 13:09:01','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article07.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article07.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','9','4','','','1','281','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('93','259','Nam egestas','blog-article-5','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:09:16','867','','2016-07-28 08:36:14','867','0','0000-00-00 00:00:00','2014-02-12 13:09:16','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article06.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article06.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','9','3','','','1','249','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('94','260','Consectetur adipiscing elit','blog-article-6','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:09:33','867','','2016-07-28 08:36:02','867','0','0000-00-00 00:00:00','2014-02-12 13:09:33','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article05.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article05.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','9','2','','','1','246','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('95','261','Dolor sit amet','blog-article-7','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>','1','83','2014-02-12 13:09:51','867','','2016-07-28 08:35:50','867','0','0000-00-00 00:00:00','2014-02-12 13:09:51','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article03.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article03.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','9','1','','','1','268','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('96','262','Lorem ipsum','leading-article','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec. Duis id erat nunc.</p>\r\n<p> </p>\r\n<h4>Lorem ipsum dolor</h4>\r\n<p>Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat. Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat.</p>\r\n<p class="jm-block second"><span class="jm">1</span>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p class="jm-block second"><span class="jm">2</span>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque magna et orci porttitor ullamcorper. Proin euismod pretium dolor non consectetur. Aliquam feugiat nunc ac justo hendrerit, non lobortis lacus condimentum. Duis id erat nunc. Nam eu aliquam velit. Donec pretium sed quam quis pulvinar.</p>\r\n<p class="jm-block second"><span class="jm">3</span>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu.</p>\r\n<p>Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus. Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus. Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p> </p>\r\n<h4>Consectetur adipiscing elit</h4>\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla. Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec.</p>\r\n<p class="jmpeople">Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Nulla interdum varius arcu nec accumsan.</p>\r\n<p class="jmmail">Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac. Nulla porttitor commodo velit nec rhoncus.</p>\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur. Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt.</p>\r\n<p><a href="#"> Check our offer </a></p>','1','83','2014-02-12 13:10:05','867','','2018-05-18 12:48:43','867','0','0000-00-00 00:00:00','2014-02-12 13:10:05','0000-00-00 00:00:00','{"image_intro":"images\\/modules\\/articles\\/article02.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article02.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','12','0','','','1','3719','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('97','336','Coming Soon','coming-soon','<div style="display: block;">\r\n<p><img class="border_img1" style="display: block; margin-left: auto; margin-right: auto;" src="images/sample/comingsoon.png" alt="" /></p>\r\n<br />\r\n<p></p>\r\n<p>You can make your Joomla! website unavailable to visitors until selected date. To enable this option login to Administrator back-end.</p>\r\n<p>1. Click the <strong>Extensions → Template Manager → JM-Template-Name → Basic Settings</strong> menu item</p>\r\n<p>2. Find field <strong>Coming Soon</strong> and click Enable button.</p>\r\n<p>3. Next set date in filed <strong>Coming Soon Date</strong>.</p>\r\n<p>Click the Save button to implement the new settings.</p>\r\n<p></p>\r\n<p>Title and description you can change in <strong>Extensions → Module Manager</strong>. Find module <strong>Our site is coming soon</strong> on position <strong>coming-soon</strong>. You can also publish different type of module if you like.</p>\r\n<p></p>\r\n<p>Coming Soon page can be easily customised in file - <strong>/templates/jm-template-name/tpl/comingsoon.php</strong></p>\r\n</div>','','1','82','2015-03-30 07:10:31','867','','2015-09-30 07:11:07','841','0','0000-00-00 00:00:00','2015-03-30 07:10:31','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','2','7','','','1','802','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('98','337','Error 404','error-404','<p></p>\r\n<div class="jm-error-page">\r\n<h1>404 OOPS!</h1>\r\n<h2>page Not found!</h2>\r\n<p>"Sorry, it appears the page you were looking for doesn\'t exist anymore or might have been moved.<br />Please try your luck again."</p>\r\n<a class="btn" href="index.php">Take me home</a>\r\n<p></p>\r\n</div>\r\n<p style="text-align: center;">This is Joomla! Article, You can change text and titile in Article Manager, click the <strong>Content → Article Manager</strong> menu item and find article <strong>Error 404</strong>.</p>\r\n<p style="text-align: center;">If you want select other article you can change article ID in <strong>/templates/template-name/error.php</strong></p>','','1','82','2015-03-30 07:11:12','867','','2015-03-30 07:11:12','0','0','0000-00-00 00:00:00','2015-03-30 07:11:12','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','1','6','','','1','726','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('99','338','Frequently Asked Questions','frequently-asked-questions','<hr class="system-pagebreak" title="Question 1" />\r\n<p>Ut lectus felis, facilisis nec erat at, pretium pellentesque lectus. Donec sit amet nibh est. Morbi augue libero, pretium vitae nulla ac, malesuada ultricies neque. Donec eget neque erat. Nam dictum justo sit amet placerat consectetur.</p>\r\n<p>Maecenas laoreet, ligula vel scelerisque ultricies, lorem urna luctus odio, eget convallis urna erat quis justo. Morbi vel placerat nisl, ut tempor odio. Sed lacinia purus sit amet lorem dictum tincidunt. Nunc placerat egestas vehicula. Fusce eu risus sit amet metus sagittis volutpat vehicula porttitor elit. Sed fringilla purus sed mi scelerisque scelerisque. Donec vel enim ligula. Phasellus vulputate ac dui aliquet dapibus. Suspendisse ut vestibulum tellus, sed gravida arcu. Aliquam erat volutpat.</p>\r\n<p>Donec sit amet eleifend tortor. In mattis velit ut nunc luctus ultrices. Nunc aliquet risus eget lorem dignissim, id imperdiet nulla ultricies. Sed euismod bibendum dui, vel faucibus quam tempor at. Etiam sagittis massa in urna sagittis, non viverra nibh placerat.</p>\r\n<hr class="system-pagebreak" title="Question 2" />\r\n<p>Cras eu quam vitae magna cursus adipiscing. Etiam quis mi lacus. Proin fermentum velit non ligula malesuada imperdiet. Sed sapien enim, porta vel tempus sed, suscipit quis nisl. In vestibulum ut massa eu feugiat. Nulla vestibulum ultrices felis sit amet dapibus. Suspendisse et ligula hendrerit, auctor justo vel, sagittis metus.</p>\r\n<p>Mauris tincidunt quam eu pulvinar sagittis. Pellentesque imperdiet, purus vel feugiat pharetra, lectus velit scelerisque nisi, a aliquam nibh augue vel urna. In volutpat tellus et pulvinar varius. Aenean ultricies euismod rhoncus.</p>\r\n<p>Nunc tincidunt eros ut mauris ullamcorper, vitae semper ligula convallis. Morbi tincidunt congue venenatis. Fusce at vestibulum nisl, et congue nisi. Vestibulum sollicitudin tellus id arcu vulputate, sit amet vestibulum est pulvinar.</p>\r\n<hr class="system-pagebreak" title="Question 3" />\r\n<p>Cras eleifend iaculis purus sed hendrerit. Nulla facilisi. Sed congue semper consequat. Nam viverra semper libero, a luctus eros. Nulla porttitor commodo velit nec rhoncus. Vivamus blandit tellus risus, et hendrerit nisi aliquet ut. Ut imperdiet orci tellus, in tristique urna mattis eu. Pellentesque ligula nisl, hendrerit nec facilisis sit amet, faucibus ac nulla.</p>\r\n<p>Morbi et consectetur ante. Etiam eu sodales tortor, ac dapibus lectus. In laoreet tempor felis, in ornare urna consequat sit amet. Praesent vehicula libero ac tellus rutrum ultrices. Sed eu consectetur libero, id varius massa. Quisque vestibulum tempus felis. Nulla interdum varius arcu nec accumsan.</p>\r\n<p>Suspendisse pellentesque placerat risus id porttitor. Morbi elit nulla, tincidunt sit amet justo sit amet, adipiscing molestie quam. Proin hendrerit eleifend egestas. In erat enim, ultricies nec nunc mattis, sodales placerat lacus. Nam ultrices adipiscing volutpat.</p>','','1','82','2015-03-30 07:11:47','867','','2015-03-30 07:11:47','0','0','0000-00-00 00:00:00','2015-03-30 07:11:47','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','1','5','','','1','609','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('110','437','Other available modules','other-available-modules','','','1','82','2016-07-01 12:48:44','867','','2017-11-07 13:42:15','867','0','0000-00-00 00:00:00','2016-07-01 12:48:44','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"article_layout":"_:default","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','14','3','','','1','35261','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('111','443','Offline Page','offline-page','<p style="text-align: center;"><img class="border_img1" src="images/sample/offline.png" alt="Offline Page" /></p>\r\n<p> </p>\r\n<p>There is a possibility to disable access to the front of your site.</p>\r\n<p><strong>How to enable the offline page?</strong><br /> <strong>Step 1:</strong> Go to "System -&gt; Global Configuration -&gt; Site".<br /><strong>Step 2:</strong> Click on "Yes" for "Site Offline" option.<br /> <strong>Step 3:</strong> Fill in a text for "Offline Message" to give your visitors some explanation about why your website is unavailable.<br /> <strong>Step 4:</strong> Click on "Save" to save your settings.</p>\r\n<p><strong>How to customize the offline page?</strong><br /> You need to edit the following file: /templates/jm-template/offline.php</p>','','1','82','2016-07-04 08:23:09','867','','2016-07-04 08:23:09','0','0','0000-00-00 00:00:00','2016-07-04 08:23:09','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','1','2','','','1','577','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('112','448','Contact form','contact-form','<div>{loadposition contactpage}</div>','','1','82','2016-07-05 11:04:25','867','','2016-08-26 09:47:31','867','0','0000-00-00 00:00:00','2016-07-05 11:04:25','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','5','1','','','1','1236','{"robots":"","author":"","rights":"","xreference":""}','0','*','',''),
('119','554','Available DJ-Classifieds modules','available-dj-classifieds-modules','','','1','82','2016-07-01 12:48:44','867','','2017-11-06 15:00:12','867','0','0000-00-00 00:00:00','2016-07-01 12:48:44','0000-00-00 00:00:00','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','{"article_layout":"_:default","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','2','0','','','1','634','{"robots":"","author":"","rights":"","xreference":""}','0','*','','');

DROP TABLE IF EXISTS #__content_frontpage;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` VALUES 
('8','2'),
('24','1'),
('35','4'),
('50','3');

DROP TABLE IF EXISTS #__content_rating;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__content_rating` VALUES 
('10','4','1','212.109.165.124'),
('53','3','1','212.109.165.124'),
('87','5','1','212.109.165.124');

DROP TABLE IF EXISTS #__content_types;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(400) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` mediumtext NOT NULL,
  `field_mappings` mediumtext NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) AUTO_INCREMENT=10005 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` VALUES 
('1','Article','com_content.article','{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id", "note":"note"}, "special":{"fulltext":"fulltext"}}','ContentHelperRoute::getArticleRoute','{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
('2','Weblink','com_weblinks.weblink','{"special":{"dbtable":"#__weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"url", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {}}','WeblinksHelperRoute::getWeblinkRoute','{"formFile":"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
('3','Contact','com_contact.contact','{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}','ContactHelperRoute::getContactRoute','{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
('4','Newsfeed','com_newsfeeds.newsfeed','{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}','NewsfeedsHelperRoute::getNewsfeedRoute','{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
('5','User','com_users.user','{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {}}','UsersHelperRoute::getUserRoute',''),
('6','Article Category','com_content.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','ContentHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
('7','Contact Category','com_contact.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','ContactHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
('8','Newsfeeds Category','com_newsfeeds.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','NewsfeedsHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
('9','Weblinks Category','com_weblinks.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','WeblinksHelperRoute::getCategoryRoute','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
('10','Tag','com_tags.tag','{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}','TagsHelperRoute::getTagRoute','{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
('10000','Banner','com_banners.banner','{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}','','{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
('10001','Banners Category','com_banners.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
('10002','Banner Client','com_banners.client','{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}','','','','{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
('10003','User Notes','com_users.note','{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}','','','','{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
('10004','User Notes Category','com_users.category','{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}','','{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}','','{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS #__contentitem_tag_map;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';

INSERT INTO `#__contentitem_tag_map` VALUES 
('com_content.article','3','96','6','2018-05-18 14:48:43','1'),
('com_content.article','3','96','4','2018-05-18 14:48:43','1'),
('com_content.article','3','96','2','2018-05-18 14:48:43','1'),
('com_content.article','4','95','5','2016-07-28 10:35:50','1'),
('com_content.article','4','95','3','2016-07-28 10:35:50','1'),
('com_content.article','5','94','5','2016-07-28 10:36:02','1'),
('com_content.article','5','94','2','2016-07-28 10:36:02','1'),
('com_content.article','6','93','5','2016-07-28 10:36:14','1'),
('com_content.article','6','93','4','2016-07-28 10:36:14','1'),
('com_content.article','7','92','6','2016-07-28 10:36:21','1'),
('com_content.article','7','92','3','2016-07-28 10:36:21','1'),
('com_content.article','7','92','2','2016-07-28 10:36:21','1'),
('com_content.article','8','91','6','2016-07-28 10:36:25','1'),
('com_content.article','8','91','3','2016-07-28 10:36:25','1'),
('com_content.article','9','90','4','2016-07-28 10:37:24','1'),
('com_content.article','9','90','2','2016-07-28 10:37:24','1'),
('com_content.article','10','89','4','2016-07-28 10:36:39','1'),
('com_content.article','10','89','3','2016-07-28 10:36:39','1');

DROP TABLE IF EXISTS #__core_log_searches;
CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_auctions;
CREATE TABLE `#__djcf_auctions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `ip_address` varchar(50) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `price` float(12,2) NOT NULL,
  `win` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_auctions` VALUES 
('7','38','841','212.109.165.124','2015-09-01 08:01:36','390.00','0'),
('8','44','842','212.109.165.124','2015-09-29 11:09:52','676.00','0'),
('9','44','845','212.109.165.124','2015-09-29 11:12:51','700.00','0'),
('10','44','842','212.109.165.124','2015-09-29 11:13:20','710.00','0'),
('11','46','842','212.109.165.124','2015-09-29 11:14:37','10.00','0'),
('12','97','869','212.109.165.124','2016-07-20 08:30:04','20.00','0'),
('13','97','870','212.109.165.124','2016-07-25 14:33:17','40.00','0'),
('14','97','869','212.109.165.124','2016-07-25 14:34:33','60.00','0'),
('15','113','870','212.109.165.124','2016-07-28 11:40:57','20.00','0'),
('16','113','869','212.109.165.124','2016-07-28 11:42:26','40.00','0'),
('17','113','870','212.109.165.124','2016-07-28 11:43:03','60.00','0'),
('18','114','870','212.109.165.124','2016-08-22 14:50:30','20.00','0'),
('19','114','869','212.109.165.124','2016-08-22 16:00:34','40.00','0'),
('20','114','870','212.109.165.124','2016-08-22 17:15:40','110.00','0'),
('21','114','869','212.109.165.124','2016-08-22 17:19:06','180.00','0'),
('23','114','869','212.109.165.124','2016-08-22 17:37:16','270.00','0'),
('24','114','870','212.109.165.124','2016-08-23 09:40:17','310.00','0'),
('25','114','869','212.109.165.124','2016-08-23 11:52:32','380.00','0'),
('26','114','870','212.109.165.124','2016-08-23 12:21:08','400.00','0');

DROP TABLE IF EXISTS #__djcf_categories;
CREATE TABLE `#__djcf_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `alias` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL,
  `price` int(11) NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `icon_url` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` int(11) NOT NULL DEFAULT '1',
  `autopublish` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(11) NOT NULL,
  `points` int(11) NOT NULL,
  `ads_disabled` int(11) NOT NULL,
  `theme` varchar(255) NOT NULL,
  `access_view` int(11) NOT NULL DEFAULT '1',
  `access_item_view` int(11) NOT NULL DEFAULT '1',
  `restriction_18` int(11) NOT NULL,
  `price_special` float(12,2) NOT NULL,
  `rev_group_id` int(11) NOT NULL,
  `schema_type` varchar(255) NOT NULL,
  `metarobots` text NOT NULL,
  `metatitle` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  KEY `parent_id` (`parent_id`)
) AUTO_INCREMENT=100 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_categories` VALUES 
('49','Home & garden','home-garden','0','0','','','9','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('50','Sports & outdoors','sports-outdoors','0','0','','','8','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('69','Books','books','0','0','','','10','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('76','Beauty & health','beauty-health','0','0','','','2','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('77','Clothing','clothing','0','0','','','1','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('92','Cars','cars','0','0','','','3','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('93','Furnitures','furnitures','0','0','','','4','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('95','Household','household','0','0','','','5','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('96','Baby & kids','baby-kids','0','0','','','6','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('97','Electronics','electronics','0','0','','','7','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('98','Men','men','77','0','','','1','1','0','','','0','0','0','','1','1','0','0.00','0','Product','',''),
('99','Woman','woman','77','0','','','2','1','0','','','0','0','0','','1','1','0','0.00','0','Product','','');

DROP TABLE IF EXISTS #__djcf_categories_groups;
CREATE TABLE `#__djcf_categories_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_coupons;
CREATE TABLE `#__djcf_coupons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `coupon_code` varchar(55) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `groups_restriction` text NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `published` int(11) NOT NULL,
  `usage_count` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_coupons_groups;
CREATE TABLE `#__djcf_coupons_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `coupon_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_days;
CREATE TABLE `#__djcf_days` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `days` int(11) NOT NULL,
  `price` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  `price_renew` float(12,2) NOT NULL,
  `points_renew` int(11) NOT NULL,
  `img_price` float(12,2) NOT NULL,
  `img_points` int(11) NOT NULL,
  `img_price_renew` float(12,2) NOT NULL,
  `img_points_renew` int(11) NOT NULL,
  `img_price_default` int(11) NOT NULL DEFAULT '1',
  `char_price` float(12,2) NOT NULL,
  `char_points` int(11) NOT NULL,
  `char_price_renew` float(12,2) NOT NULL,
  `char_points_renew` int(11) NOT NULL,
  `char_price_default` int(11) NOT NULL DEFAULT '1',
  `price_special` float(12,2) NOT NULL,
  `price_renew_special` float(12,2) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_days` VALUES 
('1','7','0.00','0','1','0.00','0','0.00','0','0.00','0','1','0.00','0','0.00','0','1','0.00','0.00'),
('2','14','1.00','0','1','0.00','0','0.00','0','0.00','0','1','0.00','0','0.00','0','1','0.00','0.00'),
('3','21','2.00','0','1','0.00','0','0.00','0','0.00','0','1','0.00','0','0.00','0','1','0.00','0.00'),
('4','30','3.00','0','1','0.00','0','0.00','0','0.00','0','1','0.00','0','0.00','0','1','0.00','0.00');

DROP TABLE IF EXISTS #__djcf_days_xref;
CREATE TABLE `#__djcf_days_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL,
  `day_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_emails;
CREATE TABLE `#__djcf_emails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_emails` VALUES 
('1','COM_DJCLASSIFIEDS_ET_AUCTIONS_OFFER_AUTHOR_EMAIL','New offer on your auction','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>New offer on your auction [[advert_title_link]].</p>\r\n<p>Bid offer [[bid_value]]</p>\r\n<p>Bidder [[bidder_name]]</p>\r\n<p>Bidder email [[bidder_email]]</p>\r\n<p> </p>'),
('2','COM_DJCLASSIFIEDS_ET_AUCTIONS_OFFER_BIDDER_EMAIL','You made new offer on your auction','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>You made new offer on auction [[advert_title_link]]</p>\r\n<p>Offer [[bid_value]]</p>\r\n<p> </p>'),
('3','COM_DJCLASSIFIEDS_ET_AUCTIONS_OFFER_OUTBID_EMAIL','Your bid has been outbid','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Your bid has been outbid [[advert_title_link]]</p>\r\n<p>Offer [[bid_value]]</p>\r\n<p>Bidder [[bidder_name]]</p>\r\n<p> </p>'),
('4','COM_DJCLASSIFIEDS_ET_AUCTIONS_END_AUTHOR_EMAIL','End of your auction','<p>Hello [[user_name]],</p>\n<p> </p>\n<p>Your auction [[advert_title_link]] has ended.</p>\n<p>Biggest offer [[bid_value]]</p>\n<p>Bidder [[bidder_name]]</p>\n<p>Bidder email [[bidder_email]]</p>\n<p> </p>'),
('5','COM_DJCLASSIFIEDS_ET_AUCTIONS_END_WINNER_EMAIL','You won auction','<p>Hello [[user_name]],</p>\n<p> </p>\n<p>Your offer won auction [[advert_title_link]].</p>\n<p>Please contact with advert author: </p>\n<p>[[advert_author_name]]</p>\n<p>[[advert_author_email]]</p>'),
('6','COM_DJCLASSIFIEDS_ET_AUCTIONS_BIDDER_CONTACT','Message from auction owner','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Message from [[contact_author_name]]</p>\r\n<p>owner of advert [[advert_title_link]].</p>\r\n<p> </p>\r\n<p>[[contact_message]]</p>\r\n<p> </p>\r\n<p> </p>'),
('7','COM_DJCLASSIFIEDS_ET_ASK_FORM_CONTACT','Your advertisement enquiry','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Message from:</p>\r\n<p>User name: [[contact_author_name]]</p>\r\n<p>User email: [[contact_author_email]]</p>\r\n<p></p>\r\n<p>Your advertisement \'\'[[advert_title_link]]\'\' enquiry:</p>\r\n<p></p>\r\n[[contact_message]]'),
('8','COM_DJCLASSIFIEDS_ET_ABUSE_FORM_REPORT','Abuse Report','<p>Hello,</p>\r\n<p> </p>\r\n<p>Message from: [[abuse_author_name]]</p>\r\n<p></p>\r\n<p>Advert: \'\'[[advert_title_link]]\'\'</p>\r\n<p></p>\r\n<p>Abuse reason:<br />\r\n[[abuse_message]]</p>'),
('9','COM_DJCLASSIFIEDS_ET_NEW_ADVERT_ADMINISTRATOR','New advert','<p>Hello,</p>\r\n<p> </p>\r\n<p>New advert: \'\'[[advert_title_link]]\'\'</p>\r\n<p></p>\r\n<p>Category: [[advert_category]]</p>\r\n<p></p>\r\n<p>Author name: [[advert_author_name]]</p>\r\n<p>Author email: [[advert_author_email]]</p>\r\n<p></p>\r\n<p>Intro description: [[advert_intro_desc]]</p>\r\n<p></p>\r\n<p>Description:<br /> [[advert_desc]]</p>'),
('10','COM_DJCLASSIFIEDS_ET_ADVERT_EDITION_ADMINISTRATOR','Advert edition','<p>Hello,</p>\r\n<p> </p>\r\n<p>Edition of advert: \'\'[[advert_title_link]]\'\'</p>\r\n<p></p>\r\n<p>Category: [[advert_category]]</p>\r\n<p></p>\r\n<p>Author name: [[advert_author_name]]</p>\r\n<p>Author email: [[advert_author_email]]</p>\r\n<p></p>\r\n<p>Intro description: [[advert_intro_desc]]</p>\r\n<p></p>\r\n<p>Description:<br /> [[advert_desc]]</p>'),
('11','COM_DJCLASSIFIEDS_ET_NEW_ADVERT_USER','New advert','<p>Hello,</p>\r\n<p> </p>\r\n<p>Your new advert: \'\'[[advert_title_link]]\'\'</p>\r\n<p></p>\r\n<p>Category: [[advert_category]]</p>\r\n<p></p>\r\n<p>Status: [[advert_status]]</p>\r\n<p></p>\r\n<p>Intro description: [[advert_intro_desc]]</p>\r\n'),
('12','COM_DJCLASSIFIEDS_ET_AUCTIONS_END_AUTHOR_NO_BIDS_EMAIL','End of your auction','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Your auction [[advert_title_link]] has ended.</p>\r\n<p>There was no offers</p>\r\n<p> </p>'),
('13','COM_DJCLASSIFIEDS_ET_AUCTIONS_END_AUTHOR_NO_PRICE_RESERVED_EMAIL','End of your auction','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Your auction [[advert_title_link]] has ended.</p>\r\n<p>Your reserve price hasn\'t been reached.</p>\r\n<p>Biggest offer [[bid_value]]</p>\r\n<p>Bidder [[bidder_name]]</p>\r\n<p>Bidder email [[bidder_email]]</p>\r\n<p> </p>'),
('14','COM_DJCLASSIFIEDS_ET_AUCTIONS_END_WINNER_NO_PRICE_RESERVED_EMAIL','You won auction','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Your offer won auction [[advert_title_link]].</p>\r\n<p>Unfortunately your offer haven\'t  reached reserve price.</p>\r\n<p>You can try to contact advert author: </p>\r\n<p>[[advert_author_name]]</p>\r\n<p>[[advert_author_email]]</p>'),
('15','COM_DJCLASSIFIEDS_ET_AUCTIONS_END_BIDDERS_EMAIL','Auctions was ended','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Your offer didn\'t won the auction [[advert_title_link]].</p>\r\n'),
('16','COM_DJCLASSIFIEDS_ET_BUYNOW_BUYER_EMAIL','You bought product','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Your made the purchase on the page [[advert_title_link]].</p>\r\n<p>Quantity : [[buynow_quantity]].</p>\r\n<p>Price per product: [[buynow_price]].</p>\r\n<p>Total price: [[buynow_price_total]].</p>\r\n<p>Please contact with advert author: </p>\r\n<p>[[advert_author_name]]</p>\r\n<p>[[advert_author_email]]</p>'),
('17','COM_DJCLASSIFIEDS_ET_BUYNOW_AUTHOR_EMAIL','New purchase on your advert','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>New offer on your advert [[advert_title_link]].</p>\r\n<p>Quantity : [[buynow_quantity]].</p>\r\n<p>Price per product: [[buynow_price]].</p>\r\n<p>Total price: [[buynow_price_total]].</p>\r\n<p>Buyer [[buyer_name]]</p>\r\n<p>Buyer email [[buyer_email]]</p>'),
('18','COM_DJCLASSIFIEDS_ET_ADVERT_EXPIRE_NOTIFICATION','Advert expire notification','<p>Hello,</p>\r\n<p> </p>\r\n<p>Your advert \'\'[[advert_title_link]]\'\' will expire in [[advert_expire_days]] days.</p>\r\n<p> </p>\r\n<p>You can renew it on your adverts list.</p>\r\n<p> </p>'),
('19','COM_DJCLASSIFIEDS_ET_ADVERT_STATUS_CHANGE','Advert status change','<p>Hello,</p>\r\n<p> </p>\r\n<p>Status change of your advert \'\'[[advert_title_link]]\'\'.</p>\r\n<p> </p>\r\n<p>New status \'\'[[advert_status]]\'\'.</p>\r\n<p> </p>'),
('20','COM_DJCLASSIFIEDS_ET_PAYMENTS_BANKTRANSFER_PAYMENT_INFO','Bank Transfer Payment informations','<p>Hello</p>\r\n<p>Payment for:  [[payment_item_name]]<br /><br />Price: [[payment_price]]<br /><br />Payment Information:<br /><br />[[payment_info]]<br /><br /><br />Payment ID: [[payment_id]]</p>'),
('21','COM_DJCLASSIFIEDS_ET_NEW_ADVERT_USER_GUEST','New advert','<p>Hello,</p>\r\n<p> </p>\r\n<p>Your new advert: \'\'[[advert_title_link]]\'\'</p>\r\n<p> </p>\r\n<p>Category: [[advert_category]]</p>\r\n<p> </p>\r\n<p>Status: [[advert_status]]</p>\r\n<p> </p>\r\n<p>Intro description: [[advert_intro_desc]]</p>\r\n<p> </p>\r\n<p>Edition link: [[advert_edit]]</p>\r\n<p> </p>\r\n<p>Remove link: [[advert_delete]]</p>'),
('22','COM_DJCLASSIFIEDS_ET_NEW_POINTS_USER_NOTICE','New points on your account.','<p>Hello,</p>\r\n<p> </p>\r\n<p>New points on your account.</p>\r\n<p> </p>\r\n<p>Points: [[points_value]]</p>\r\n<p> </p>\r\n<p>Description: [[points_description]]</p>'),
('23','COM_DJCLASSIFIEDS_ET_PAYMENTS_ADMIN_POINTS_PAYMENT','Points payment notification','<p>Hello</p>\r\n<p>New points payment for:  [[payment_item_name]]<br /><br />Points value: [[payment_price]]<br /><br />Payment Information:<br /><br />[[payment_info]]<br /><br /></p>'),
('24','COM_DJCLASSIFIEDS_ET_BUYNOW_OFFER_BUYER_EMAIL','You made offer to product','<p>Hello [[user_name]],</p>\r\n<p>&nbsp;</p>\r\n<p>Your made the purchase on the page [[advert_title_link]].</p>\r\n<p>Quantity : [[offer_quantity]].</p>\r\n<p>Price per product: [[offer_price]].</p>\r\n<p>Total price: [[offer_price_total]].</p>\r\n<p>Offer message: [[offer_message]].</p>\r\n<p>Please contact with advert author:</p>\r\n<p>[[advert_author_name]]</p>\r\n<p>[[advert_author_email]]</p>'),
('25','COM_DJCLASSIFIEDS_ET_BUYNOW_OFFER_AUTHOR_EMAIL','New offer on your advert','<p>Hello [[user_name]],</p>\r\n<p>&nbsp;</p>\r\n<p>New offer on your advert [[advert_title_link]].</p>\r\n<p>Offerer [[offerer_name]]</p>\r\n<p>Offerer email [[offerer_email]]</p>\r\n<p>Quantity : [[offer_quantity]].</p>\r\n<p>Price per product: [[offer_price]].</p>\r\n<p>Total price: [[offer_price_total]].</p>\r\n<p>Offer message: [[offer_message]].</p>'),
('26','COM_DJCLASSIFIEDS_ET_BUYNOW_OFFER_OFFERER_CONTACT','Message from product owner','<p>Hello [[user_name]],</p>\r\n<p>&nbsp;</p>\r\n<p>Message from [[advert_author_name]]</p>\r\n<p>owner of advert [[advert_title_link]].</p>\r\n<p>Response to your offer</p>\r\n<p>Quantity : [[offer_quantity]].</p>\r\n<p>Price per product: [[offer_price]].</p>\r\n<p>Total price: [[offer_price_total]].</p>\r\n<p>&nbsp;</p>\r\n<p>Offer status: [[offer_status]]</p>\r\n<p>Message from owner:</p>\r\n<p>[[offer_response]]</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>'),
('27','COM_DJCLASSIFIEDS_ET_ASK_FORM_NOTIFICATION','New enquiry about advert','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>New enquiry regarding to \'\'[[advert_title_link]]\'\'</p>\r\n<p>From</p>\r\n<p>User name: [[contact_author_name]]</p>\r\n<p>User email: [[contact_author_email]]</p>\r\n<p>Please check message content on our website</p>'),
('28','COM_DJCLASSIFIEDS_ET_SAVED_SEARCH_NOTIFICATION','New adverts','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>We found new [[search_total]] adverts that suits your "Saved Search" rules</p>\r\n<p>[[search_adverts]]</p>'),
('29','COM_DJCLASSIFIEDS_ET_ADVERT_RENEW_ADMINISTRATOR','Advert renew','<p>Hello,</p>\r\n<p> </p>\r\n<p>Renewing of advert: \'\'[[advert_title_link]]\'\'</p>\r\n<p> </p>\r\n<p>Category: [[advert_category]]</p>\r\n<p> </p>\r\n<p>Author name: [[advert_author_name]]</p>\r\n<p>Author email: [[advert_author_email]]</p>\r\n<p> </p>\r\n<p>Intro description: [[advert_intro_desc]]</p>\r\n<p> </p>\r\n<p>Description:<br /> [[advert_desc]]</p>'),
('31','COM_DJCLASSIFIEDS_ET_BUYNOW_OFFER_AUTHOR_CONFIRMATION_EMAIL','Offer confirmation on your advert','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Buyer confirmed service in offer from your advert [[advert_title_link]].</p>\r\n<p>Offerer [[offerer_name]]</p>\r\n<p>Offerer email [[offerer_email]]</p>\r\n<p>Total price: [[offer_price_total]].</p>\r\n<p>You can login to your account and request for payment.</p>'),
('32','COM_DJCLASSIFIEDS_ET_BUYNOW_OFFER_ADMIN_REQUEST_EMAIL','Offer Payment request','<p>Hello,</p>\r\n<p> </p>\r\n<p>New request for offer from [[advert_title_link]].</p>\r\n<p>Author name [[advert_author_name]]</p>\r\n<p>Author email [[advert_author_email]]</p>\r\n<p>Total price: [[offer_price_total]].</p>'),
('33','COM_DJCLASSIFIEDS_ET_ASK_FORM_CONTACT_COPY','Copy of advertisement enquiry for [[advert_title]]','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Message from:</p>\r\n<p>User name: [[contact_author_name]]</p>\r\n<p>User email: [[contact_author_email]]</p>\r\n<p> </p>\r\n<p>Your advertisement \'\'[[advert_title_link]]\'\' enquiry:</p>\r\n<div class="control-label">[[contact_custom_fields_message]]</div>\r\n<p> </p>\r\n<p>[[contact_message]]</p>\r\n<p> </p>\r\n<p>Inputbox : [[contact_message_inputbox]]</p>'),
('34','COM_DJCLASSIFIEDS_ET_ASK_FORM_PROFILE_CONTACT','Profile Contact','<p>Hello [[user_name]],</p>\r\n<p> </p>\r\n<p>Message from:</p>\r\n<p>User name: [[contact_author_name]]</p>\r\n<p>User email: [[contact_author_email]]</p>\r\n<p></p>\r\n[[contact_message]]');

DROP TABLE IF EXISTS #__djcf_favourites;
CREATE TABLE `#__djcf_favourites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_favourites` VALUES 
('1','1','19'),
('2','38','385'),
('3','38','969'),
('4','39','969'),
('8','41','841'),
('9','38','841'),
('11','37','841'),
('12','90','841'),
('14','96','867'),
('15','92','867'),
('16','101','867'),
('17','95','867'),
('18','99','867'),
('19','108','867'),
('20','110','867'),
('21','107','867'),
('22','111','867'),
('23','114','867'),
('25','114','871'),
('26','130','871'),
('28','132','871');

DROP TABLE IF EXISTS #__djcf_fields;
CREATE TABLE `#__djcf_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `label` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `values` text NOT NULL,
  `default_value` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `in_search` int(11) NOT NULL DEFAULT '0',
  `search_type` varchar(255) NOT NULL,
  `search_value1` text NOT NULL,
  `search_value2` text NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  `required` int(11) NOT NULL,
  `description` text NOT NULL,
  `access` int(11) NOT NULL DEFAULT '0',
  `in_table` int(11) NOT NULL DEFAULT '0',
  `in_blog` int(11) NOT NULL DEFAULT '0',
  `in_item` int(11) NOT NULL DEFAULT '0',
  `source` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `numbers_only` text NOT NULL,
  `in_registration` int(11) NOT NULL,
  `in_buynow` int(11) NOT NULL,
  `buynow_values` text NOT NULL,
  `hide_on_start` int(11) NOT NULL,
  `profile_source` int(11) NOT NULL,
  `in_module` int(11) NOT NULL,
  `in_search_on_start` int(11) NOT NULL,
  `date_format` varchar(55) NOT NULL,
  `core_source` varchar(255) NOT NULL,
  `edition_blocked` int(11) NOT NULL,
  `group_id` int(11) NOT NULL DEFAULT '0',
  `chx_filter_logic` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `published` (`published`)
) AUTO_INCREMENT=109 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_fields` VALUES 
('54','about_me','About me','textarea','','','','0','','','','1','0','','0','0','0','0','2','1','0','0','0','','0','0','0','0','','','0','0','0'),
('75','paypal_email','PayPal email','inputbox','','','','0','','','','1','0','','1','0','0','0','2','5','0','0','0','','0','0','0','0','','','0','0','0'),
('101','any_other_custom_field','Any other custom field','inputbox','','','','0','','','','1','0','','0','0','0','0','2','3','0','0','0','','0','0','0','0','','','0','0','0'),
('102','add_custom_fields','Add custom fields:','inputbox','','- you may create any custom fields','','0','','','','1','0','','0','0','0','0','0','1','0','0','0','','0','0','0','0','','','0','0','0'),
('103','custom_fields','Custom fields:','inputbox','','- you may add different custom fields to each category','','0','','','','1','0','','0','0','0','0','0','2','0','0','0','','0','0','0','0','','','0','0','0'),
('105','available_formats','Available formats:','inputbox','','- radio, checkbox, date/calendar, select list, text area, input box','','0','','','','1','0','','0','0','0','0','0','4','0','0','0','','0','0','0','0','','','0','0','0'),
('106','search_filters','Search filters:','inputbox','','- you may select custom fields to be included in the search filters','','0','','','','1','0','','0','0','0','0','0','5','0','0','0','','0','0','0','0','','','0','0','0'),
('107','unlimited_extra_fields','Unlimited extra fields:','inputbox','','- set an unlimited amount of custom fields ','','0','','','','1','0','','0','0','0','0','0','6','0','0','0','','0','0','0','0','','','0','0','0');

DROP TABLE IF EXISTS #__djcf_fields_groups;
CREATE TABLE `#__djcf_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `source` varchar(255) NOT NULL,
  `groups_assignment` text NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_fields_values;
CREATE TABLE `#__djcf_fields_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `value` text NOT NULL,
  `value_date` date NOT NULL,
  `value_date_to` date NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`),
  KEY `item_id` (`item_id`)
) AUTO_INCREMENT=3930 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_fields_values` VALUES 
('3270','102','180','you may create any custom fields','0000-00-00','0000-00-00'),
('3271','103','180','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3272','105','180','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3273','106','180','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3274','107','180','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3300','102','174','you may create any custom fields','0000-00-00','0000-00-00'),
('3301','103','174','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3302','105','174','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3303','106','174','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3304','107','174','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3320','102','170','you may create any custom fields','0000-00-00','0000-00-00'),
('3321','103','170','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3322','105','170','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3323','106','170','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3324','107','170','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3370','102','160','you may create any custom fields','0000-00-00','0000-00-00'),
('3371','103','160','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3372','105','160','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3373','106','160','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3374','107','160','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3380','102','158','you may create any custom fields','0000-00-00','0000-00-00'),
('3381','103','158','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3382','105','158','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3383','106','158','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3384','107','158','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3420','102','150','you may create any custom fields','0000-00-00','0000-00-00'),
('3421','103','150','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3422','105','150','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3423','106','150','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3424','107','150','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3440','102','145','you may create any custom fields','0000-00-00','0000-00-00'),
('3441','103','145','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3442','105','145','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3443','106','145','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3444','107','145','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3460','102','141','you may create any custom fields','0000-00-00','0000-00-00'),
('3461','103','141','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3462','105','141','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3463','106','141','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3464','107','141','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3475','102','136','you may create any custom fields','0000-00-00','0000-00-00'),
('3476','103','136','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3477','105','136','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3478','106','136','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3479','107','136','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3485','102','132','you may create any custom fields','0000-00-00','0000-00-00'),
('3486','103','132','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3487','105','132','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3488','106','132','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3489','107','132','set an unlimited amount of custom fields','0000-00-00','0000-00-00');
INSERT INTO `#__djcf_fields_values` VALUES 
('3495','102','130','you may create any custom fields','0000-00-00','0000-00-00'),
('3496','103','130','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3497','105','130','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3498','106','130','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3499','107','130','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3515','102','126','you may create any custom fields','0000-00-00','0000-00-00'),
('3516','103','126','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3517','105','126','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3518','106','126','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3519','107','126','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3525','102','114','you may create any custom fields','0000-00-00','0000-00-00'),
('3526','103','114','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3527','105','114','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3528','106','114','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3529','107','114','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3540','102','111','you may create any custom fields','0000-00-00','0000-00-00'),
('3541','103','111','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3542','105','111','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3543','106','111','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3544','107','111','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3570','102','105','you may create any custom fields','0000-00-00','0000-00-00'),
('3571','103','105','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3572','105','105','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3573','106','105','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3574','107','105','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3590','102','128','you may create any custom fields','0000-00-00','0000-00-00'),
('3591','103','128','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3592','105','128','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3593','106','128','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3594','107','128','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3595','102','179','you may create any custom fields','0000-00-00','0000-00-00'),
('3596','103','179','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3597','105','179','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3598','106','179','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3599','107','179','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3625','102','140','you may create any custom fields','0000-00-00','0000-00-00'),
('3626','103','140','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3627','105','140','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3628','106','140','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3629','107','140','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3640','102','147','you may create any custom fields','0000-00-00','0000-00-00'),
('3641','103','147','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3642','105','147','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3643','106','147','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3644','107','147','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3650','102','172','you may create any custom fields','0000-00-00','0000-00-00'),
('3651','103','172','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3652','105','172','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3653','106','172','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3654','107','172','set an unlimited amount of custom fields','0000-00-00','0000-00-00');
INSERT INTO `#__djcf_fields_values` VALUES 
('3660','102','162','you may create any custom fields','0000-00-00','0000-00-00'),
('3661','103','162','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3662','105','162','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3663','106','162','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3664','107','162','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3670','102','168','you may create any custom fields','0000-00-00','0000-00-00'),
('3671','103','168','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3672','105','168','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3673','106','168','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3674','107','168','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3685','102','181','you may create any custom fields','0000-00-00','0000-00-00'),
('3686','103','181','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3687','105','181','','0000-00-00','0000-00-00'),
('3688','106','181','','0000-00-00','0000-00-00'),
('3689','107','181','','0000-00-00','0000-00-00'),
('3690','102','178','you may create any custom fields','0000-00-00','0000-00-00'),
('3691','103','178','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3692','105','178','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3693','106','178','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3694','107','178','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3695','102','177','you may create any custom fields','0000-00-00','0000-00-00'),
('3696','103','177','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3697','105','177','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3698','106','177','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3699','107','177','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3700','102','176','you may create any custom fields','0000-00-00','0000-00-00'),
('3701','103','176','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3702','105','176','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3703','106','176','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3704','107','176','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3705','102','175','you may create any custom fields','0000-00-00','0000-00-00'),
('3706','103','175','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3707','105','175','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3708','106','175','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3709','107','175','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3710','102','173','you may create any custom fields','0000-00-00','0000-00-00'),
('3711','103','173','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3712','105','173','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3713','106','173','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3714','107','173','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3715','102','171','you may create any custom fields','0000-00-00','0000-00-00'),
('3716','103','171','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3717','105','171','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3718','106','171','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3719','107','171','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3720','102','169','you may create any custom fields','0000-00-00','0000-00-00'),
('3721','103','169','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3722','105','169','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3723','106','169','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3724','107','169','set an unlimited amount of custom fields','0000-00-00','0000-00-00');
INSERT INTO `#__djcf_fields_values` VALUES 
('3725','102','167','you may create any custom fields','0000-00-00','0000-00-00'),
('3726','103','167','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3727','105','167','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3728','106','167','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3729','107','167','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3730','102','166','you may create any custom fields','0000-00-00','0000-00-00'),
('3731','103','166','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3732','105','166','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3733','106','166','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3734','107','166','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3735','102','165','you may create any custom fields','0000-00-00','0000-00-00'),
('3736','103','165','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3737','105','165','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3738','106','165','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3739','107','165','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3740','102','164','you may create any custom fields','0000-00-00','0000-00-00'),
('3741','103','164','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3742','105','164','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3743','106','164','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3744','107','164','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3750','102','161','you may create any custom fields','0000-00-00','0000-00-00'),
('3751','103','161','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3752','105','161','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3753','106','161','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3754','107','161','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3755','102','159','you may create any custom fields','0000-00-00','0000-00-00'),
('3756','103','159','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3757','105','159','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3758','106','159','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3759','107','159','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3760','102','157','you may create any custom fields','0000-00-00','0000-00-00'),
('3761','103','157','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3762','105','157','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3763','106','157','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3764','107','157','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3765','102','156','you may create any custom fields','0000-00-00','0000-00-00'),
('3766','103','156','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3767','105','156','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3768','106','156','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3769','107','156','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3770','102','155','you may create any custom fields','0000-00-00','0000-00-00'),
('3771','103','155','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3772','105','155','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3773','106','155','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3774','107','155','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3775','102','154','you may create any custom fields','0000-00-00','0000-00-00'),
('3776','103','154','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3777','105','154','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3778','106','154','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3779','107','154','set an unlimited amount of custom fields','0000-00-00','0000-00-00');
INSERT INTO `#__djcf_fields_values` VALUES 
('3780','102','153','you may create any custom fields','0000-00-00','0000-00-00'),
('3781','103','153','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3782','105','153','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3783','106','153','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3784','107','153','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3785','102','152','you may create any custom fields','0000-00-00','0000-00-00'),
('3786','103','152','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3787','105','152','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3788','106','152','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3789','107','152','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3790','102','151','you may create any custom fields','0000-00-00','0000-00-00'),
('3791','103','151','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3792','105','151','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3793','106','151','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3794','107','151','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3795','102','148','you may create any custom fields','0000-00-00','0000-00-00'),
('3796','103','148','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3797','105','148','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3798','106','148','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3799','107','148','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3800','102','146','you may create any custom fields','0000-00-00','0000-00-00'),
('3801','103','146','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3802','105','146','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3803','106','146','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3804','107','146','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3805','102','144','you may create any custom fields','0000-00-00','0000-00-00'),
('3806','103','144','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3807','105','144','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3808','106','144','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3809','107','144','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3810','102','143','you may create any custom fields','0000-00-00','0000-00-00'),
('3811','103','143','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3812','105','143','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3813','106','143','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3814','107','143','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3815','102','142','you may create any custom fields','0000-00-00','0000-00-00'),
('3816','103','142','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3817','105','142','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3818','106','142','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3819','107','142','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3820','102','139','you may create any custom fields','0000-00-00','0000-00-00'),
('3821','103','139','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3822','105','139','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3823','106','139','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3824','107','139','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3825','102','135','you may create any custom fields','0000-00-00','0000-00-00'),
('3826','103','135','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3827','105','135','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3828','106','135','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3829','107','135','set an unlimited amount of custom fields','0000-00-00','0000-00-00');
INSERT INTO `#__djcf_fields_values` VALUES 
('3830','102','131','you may create any custom fields','0000-00-00','0000-00-00'),
('3831','103','131','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3832','105','131','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3833','106','131','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3834','107','131','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3840','102','129','you may create any custom fields','0000-00-00','0000-00-00'),
('3841','103','129','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3842','105','129','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3843','106','129','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3844','107','129','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3850','102','127','you may create any custom fields','0000-00-00','0000-00-00'),
('3851','103','127','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3852','105','127','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3853','106','127','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3854','107','127','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3860','102','113','you may create any custom fields','0000-00-00','0000-00-00'),
('3861','103','113','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3862','105','113','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3863','106','113','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3864','107','113','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3865','102','112','you may create any custom fields','0000-00-00','0000-00-00'),
('3866','103','112','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3867','105','112','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3868','106','112','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3869','107','112','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3870','102','110','you may create any custom fields','0000-00-00','0000-00-00'),
('3871','103','110','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3872','105','110','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3873','106','110','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3874','107','110','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3880','102','109','you may create any custom fields','0000-00-00','0000-00-00'),
('3881','103','109','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3882','105','109','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3883','106','109','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3884','107','109','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3885','102','108','you may create any custom fields','0000-00-00','0000-00-00'),
('3886','103','108','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3887','105','108','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3888','106','108','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3889','107','108','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3890','102','106','you may create any custom fields','0000-00-00','0000-00-00'),
('3891','103','106','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3892','105','106','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3893','106','106','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3894','107','106','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3900','102','103','you may create any custom fields','0000-00-00','0000-00-00'),
('3901','103','103','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3902','105','103','radio, checkbox, date/calendar, select list, text area, input boxx','0000-00-00','0000-00-00'),
('3903','106','103','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3904','107','103','set an unlimited amount of custom fields','0000-00-00','0000-00-00');
INSERT INTO `#__djcf_fields_values` VALUES 
('3910','102','163','you may create any custom fields','0000-00-00','0000-00-00'),
('3911','103','163','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3912','105','163','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3913','106','163','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3914','107','163','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3915','102','104','you may create any custom fields','0000-00-00','0000-00-00'),
('3916','103','104','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3917','105','104','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3918','106','104','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3919','107','104','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3920','102','107','you may create any custom fields','0000-00-00','0000-00-00'),
('3921','103','107','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3922','105','107','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3923','106','107','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3924','107','107','set an unlimited amount of custom fields','0000-00-00','0000-00-00'),
('3925','102','124','you may create any custom fields','0000-00-00','0000-00-00'),
('3926','103','124','you may add different custom fields to each category','0000-00-00','0000-00-00'),
('3927','105','124','radio, checkbox, date/calendar, select list, text area, input box','0000-00-00','0000-00-00'),
('3928','106','124','you may select custom fields to be included in the search filters','0000-00-00','0000-00-00'),
('3929','107','124','set an unlimited amount of custom fields','0000-00-00','0000-00-00');

DROP TABLE IF EXISTS #__djcf_fields_values_profile;
CREATE TABLE `#__djcf_fields_values_profile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `value` text NOT NULL,
  `value_date` date NOT NULL,
  `value_date_to` date NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_fields_values_profile` VALUES 
('1','36','969','Optional seller details, you may create your own custom fields.','0000-00-00','0000-00-00'),
('2','37','969','Nullam at feugiat diam. Maecenas quis est vel lacus tempor condimentum ut quis enim. Donec et placerat lorem. Integer convallis est tortor, id euismod libero vehicula sit amet. Maecenas eu porta leo, in posuere nunc. Donec ultrices convallis libero et consectetur. Aliquam tempus aliquam laoreet. Praesent aliquet hendrerit augue a congue. Sed turpis justo, imperdiet sit amet vestibulum vestibulum, mattis a odio.','0000-00-00','0000-00-00'),
('3','38','969','72 Red Lion Street, London, United Kingdom','0000-00-00','0000-00-00'),
('4','39','969','www.joomla-monster.com','0000-00-00','0000-00-00'),
('5','40','969','info@joomla-monster.com','0000-00-00','0000-00-00'),
('6','41','969','012 345-6789','0000-00-00','0000-00-00'),
('7','42','969','40.7056308, -73.9780035','0000-00-00','0000-00-00'),
('17','55','844','','0000-00-00','0000-00-00'),
('18','54','841','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris aliquam augue nec venenatis volutpat. Praesent vel odio a felis dapibus lacinia id sit amet mi. Duis cursus mattis lacus in molestie. Ut massa metus, finibus in ullamcorper ut, consequat eget tellus. Mauris gravida dignissim sem ut faucibus. Nullam varius diam orci, quis mattis nibh commodo in. Donec lacinia sem purus, sit amet venenatis nibh rhoncus at. In dapibus, metus in vestibulum placerat, purus diam accumsan massa, eu imperdiet arcu nisl non massa.','0000-00-00','0000-00-00'),
('19','55','841','London, United Kingdom','0000-00-00','0000-00-00'),
('24','54','868','','0000-00-00','0000-00-00'),
('25','55','868','','0000-00-00','0000-00-00'),
('49','54','870','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation','0000-00-00','0000-00-00'),
('50','101','870','You may create a custom field for an advertiser profile view like address, website URL or any filed you need to give advertiser to fill in.','0000-00-00','0000-00-00'),
('51','75','870','templates@joomla-monster.com','0000-00-00','0000-00-00'),
('70','54','871','','0000-00-00','0000-00-00'),
('71','101','871','','0000-00-00','0000-00-00'),
('72','75','871','','0000-00-00','0000-00-00'),
('73','54','869','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation','0000-00-00','0000-00-00'),
('74','101','869','You may create a custom field for an advertiser profile view like address, website URL or any filed you need to give advertiser to fill in.','0000-00-00','0000-00-00'),
('75','75','869','templates@joomla-monster.com','0000-00-00','0000-00-00'),
('79','54','872','You may create a custom field for an advertiser profile view like address, website URL or any field you need to give advertiser to fill in.','0000-00-00','0000-00-00'),
('80','75','872','templates@joomla-monster.com','0000-00-00','0000-00-00'),
('81','101','872','You may create a custom field for an advertiser profile view like address, website URL or any filed you need to give advertiser to fill in.','0000-00-00','0000-00-00'),
('82','54','867','You may create a custom field for an advertiser profile view like address, website URL or any field you need to give advertiser to fill in.','0000-00-00','0000-00-00'),
('83','75','867','templates@joomla-monster.com','0000-00-00','0000-00-00'),
('84','101','867','You may create a custom field for an advertiser profile view like address, website URL or any filed you need to give advertiser to fill in.','0000-00-00','0000-00-00');

DROP TABLE IF EXISTS #__djcf_fields_values_sale;
CREATE TABLE `#__djcf_fields_values_sale` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `options` text NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_fields_values_sale` VALUES 
('4','38','79','[{"id":"47","name":"degree","label":"Degree","value":"test, test2"}]'),
('5','38','1','[{"id":"47","name":"degree","label":"Degree","value":"test, test2"}]'),
('6','121','4','[{"id":"63","name":"test_checkbox","label":"Test checkbox","value":"option1"}]'),
('7','121','5','[{"id":"63","name":"test_checkbox","label":"Test checkbox","value":"option3"}]'),
('8','122','54','[{"id":"63","name":"test_checkbox","label":"Test checkbox","value":"option3"}]');

DROP TABLE IF EXISTS #__djcf_fields_xref;
CREATE TABLE `#__djcf_fields_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=540 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_fields_xref` VALUES 
('455','77','102','1'),
('456','77','103','2'),
('457','77','107','3'),
('458','77','105','4'),
('459','77','106','5'),
('460','76','102','1'),
('461','76','105','4'),
('462','76','106','5'),
('463','76','103','2'),
('464','76','107','3'),
('475','92','102','1'),
('476','92','103','2'),
('477','92','107','3'),
('478','92','105','4'),
('479','92','106','5'),
('485','93','102','1'),
('486','93','103','2'),
('487','93','107','3'),
('488','93','105','4'),
('489','93','106','5'),
('490','95','102','1'),
('491','95','107','3'),
('492','95','105','4'),
('493','95','106','5'),
('494','95','103','2'),
('495','96','102','1'),
('496','96','107','3'),
('497','96','105','4'),
('498','96','106','5'),
('499','96','103','2'),
('500','97','102','1'),
('501','97','107','3'),
('502','97','105','4'),
('503','97','106','5'),
('504','97','103','2'),
('505','50','102','1'),
('506','50','107','3'),
('507','50','105','4'),
('508','50','106','5'),
('509','50','103','2'),
('510','49','102','1'),
('511','49','107','3'),
('512','49','105','4'),
('513','49','106','5'),
('514','49','103','2'),
('515','69','102','1'),
('516','69','107','3'),
('517','69','105','4'),
('518','69','106','5'),
('519','69','103','2');
INSERT INTO `#__djcf_fields_xref` VALUES 
('530','98','102','1'),
('531','98','107','3'),
('532','98','105','4'),
('533','98','106','5'),
('534','98','103','2'),
('535','99','102','1'),
('536','99','107','3'),
('537','99','105','4'),
('538','99','106','5'),
('539','99','103','2');

DROP TABLE IF EXISTS #__djcf_files;
CREATE TABLE `#__djcf_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `type` varchar(64) NOT NULL,
  `fullname` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `ext` varchar(255) NOT NULL,
  `path` varchar(255) DEFAULT NULL,
  `fullpath` varchar(255) DEFAULT NULL,
  `caption` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_type_item` (`type`,`item_id`),
  KEY `idx_item_type` (`item_id`,`type`),
  KEY `idx_item_type_ordering` (`item_id`,`type`,`ordering`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_files` VALUES 
('1','38','item','plg_system_ef4_jmframework-update2_manufacturing-engineer.zip','plg_system_ef4_jmframework-update2_manufacturing-engineer','zip','item/0','item/0/plg_system_ef4_jmframework-update2_manufacturing-engineer.zip','plg_system_ef4_jmframework-update2','1','0'),
('2','114','item','1-item_fast-skateboard.jpg','1-item_fast-skateboard','jpg','item/1','item/1/1-item_fast-skateboard.jpg','1-item','1','0'),
('3','114','item','2-item_fast-skateboard.jpg','2-item_fast-skateboard','jpg','item/1','item/1/2-item_fast-skateboard.jpg','2-item','2','0');

DROP TABLE IF EXISTS #__djcf_groups_prices;
CREATE TABLE `#__djcf_groups_prices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(55) NOT NULL,
  `item_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `price` float(12,2) NOT NULL,
  `price_special` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_images;
CREATE TABLE `#__djcf_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `type` varchar(55) NOT NULL,
  `name` varchar(255) NOT NULL,
  `ext` varchar(55) NOT NULL,
  `path` varchar(512) NOT NULL,
  `caption` varchar(512) NOT NULL,
  `ordering` int(11) NOT NULL,
  `optimized` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `type` (`type`)
) AUTO_INCREMENT=627 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_images` VALUES 
('145','969','profile','969_206_av2','png','/components/com_djclassifieds/images/profile/','','1','0'),
('300','868','profile','868_01','jpg','/components/com_djclassifieds/images/profile/','','1','0'),
('314','103','item','103_01','jpg','/components/com_djclassifieds/images/item/','01','1','1'),
('315','103','item','103_01a','jpg','/components/com_djclassifieds/images/item/','01a','2','1'),
('316','103','item','103_01b','jpg','/components/com_djclassifieds/images/item/','01b','3','1'),
('320','104','item','104_02','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('347','108','item','108_01','jpg','/components/com_djclassifieds/images/item/','01','1','1'),
('348','108','item','108_01a','jpg','/components/com_djclassifieds/images/item/','01a','2','1'),
('349','108','item','108_01b','jpg','/components/com_djclassifieds/images/item/','01b','3','1'),
('355','109','item','109_02','jpg','/components/com_djclassifieds/images/item/','02','1','1'),
('359','110','item','110_03','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('371','112','item','112_02','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('427','128','item','128_06','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('429','130','item','130_08','jpg','/components/com_djclassifieds/images/item/','08','1','1'),
('436','127','item','127_04','jpg','/components/com_djclassifieds/images/item/','04','1','1'),
('473','139','item','139_pexels-photo-119435','jpeg','/components/com_djclassifieds/images/item/','','1','1'),
('474','140','item','140_pexels-photo-100653','jpeg','/components/com_djclassifieds/images/item/','','1','1'),
('475','141','item','141_pexels-photo-452099','jpeg','/components/com_djclassifieds/images/item/','pexels-photo-452099','1','1'),
('476','142','item','142_pexels-photo-441176','jpeg','/components/com_djclassifieds/images/item/','pexels-photo-441176','1','1'),
('477','143','item','143_pexels-photo-366223','jpeg','/components/com_djclassifieds/images/item/','pexels-photo-366223','1','1'),
('478','144','item','144_pexels-photo-244281','jpeg','/components/com_djclassifieds/images/item/','pexels-photo-244281','1','1'),
('479','145','item','145_pexels-photo-244208','jpeg','/components/com_djclassifieds/images/item/','pexels-photo-244208','1','1'),
('480','146','item','146_pexels-photo-244207','jpeg','/components/com_djclassifieds/images/item/','pexels-photo-244207','1','1'),
('481','147','item','147_pexels-photo-276566','jpeg','/components/com_djclassifieds/images/item/','','1','1'),
('484','148','item','148_hax','png','/components/com_djclassifieds/images/item/','hax','1','1'),
('485','150','item','150_xa','png','/components/com_djclassifieds/images/item/','xa','1','1'),
('486','107','item','107_andrew-jasso-220776','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('487','114','item','114_2','jpg','/components/com_djclassifieds/images/item/','2','1','1'),
('488','129','item','129_pexels-photo-441963','jpeg','/components/com_djclassifieds/images/item/','','1','1'),
('490','131','item','131_4','jpg','/components/com_djclassifieds/images/item/','4','1','1'),
('492','135','item','135_6','jpg','/components/com_djclassifieds/images/item/','6','1','1'),
('493','872','profile','872_member1','jpg','/components/com_djclassifieds/images/profile/','','1','0'),
('494','867','profile','867_member2','jpg','/components/com_djclassifieds/images/profile/','','1','0'),
('495','870','profile','870_member4','jpg','/components/com_djclassifieds/images/profile/','','1','0'),
('496','869','profile','869_member6','jpg','/components/com_djclassifieds/images/profile/','','1','0'),
('498','871','profile','871_member3','jpg','/components/com_djclassifieds/images/profile/','','1','0'),
('501','151','item','151_1','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('502','152','item','152_2','jpg','/components/com_djclassifieds/images/item/','2','1','1'),
('503','153','item','153_3','jpg','/components/com_djclassifieds/images/item/','3','1','1'),
('504','154','item','154_4','jpg','/components/com_djclassifieds/images/item/','4','1','1'),
('505','155','item','155_5','jpg','/components/com_djclassifieds/images/item/','5','1','1'),
('507','156','item','156_6','jpg','/components/com_djclassifieds/images/item/','6','1','1'),
('508','157','item','157_7','jpg','/components/com_djclassifieds/images/item/','7','1','1'),
('509','158','item','158_car-1','jpg','/components/com_djclassifieds/images/item/','car-1','1','1'),
('510','159','item','159_car-2','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('511','160','item','160_car-3','jpg','/components/com_djclassifieds/images/item/','car-3','1','1'),
('512','161','item','161_car-4','jpg','/components/com_djclassifieds/images/item/','car-4','1','1'),
('513','162','item','162_car-5','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('514','163','item','163_car-6','jpg','/components/com_djclassifieds/images/item/','car-6','1','1'),
('515','164','item','164_car-8','jpg','/components/com_djclassifieds/images/item/','car-8','1','1');
INSERT INTO `#__djcf_images` VALUES 
('516','165','item','165_car-7','jpg','/components/com_djclassifieds/images/item/','car-7','1','1'),
('517','166','item','166_car-9','jpg','/components/com_djclassifieds/images/item/','car-9','1','1'),
('518','167','item','167_3','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('519','168','item','168_4','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('520','169','item','169_1','jpg','/components/com_djclassifieds/images/item/','1','1','1'),
('521','170','item','170_5','jpg','/components/com_djclassifieds/images/item/','5','1','1'),
('522','171','item','171_6','jpg','/components/com_djclassifieds/images/item/','6','1','1'),
('523','113','item','113_e-1','jpg','/components/com_djclassifieds/images/item/','e-1','1','1'),
('524','105','item','105_e-2','jpg','/components/com_djclassifieds/images/item/','e-2','1','1'),
('525','106','item','106_e-3','jpg','/components/com_djclassifieds/images/item/','e-3','1','1'),
('526','124','item','124_e-4','jpg','/components/com_djclassifieds/images/item/','e-4','1','1'),
('527','126','item','126_e-5','jpg','/components/com_djclassifieds/images/item/','e-5','1','1'),
('528','111','item','111_e-6','jpg','/components/com_djclassifieds/images/item/','e-6','1','1'),
('530','132','item','132_e-8','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('531','136','item','136_e-9','jpg','/components/com_djclassifieds/images/item/','e-9','1','1'),
('533','172','item','172_e-10','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('534','173','item','173_e-11','jpg','/components/com_djclassifieds/images/item/','e-11','1','1'),
('535','174','item','174_e-12','jpg','/components/com_djclassifieds/images/item/','e-12','1','1'),
('536','175','item','175_e-13','jpg','/components/com_djclassifieds/images/item/','e-13','1','1'),
('537','176','item','176_e-14','jpg','/components/com_djclassifieds/images/item/','e-14','1','1'),
('538','177','item','177_e-15','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('539','178','item','178_e-16','jpg','/components/com_djclassifieds/images/item/','e-16','1','1'),
('540','179','item','179_e-18','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('541','180','item','180_e-19','jpg','/components/com_djclassifieds/images/item/','e-19','1','1'),
('542','181','item','181_e-20','jpg','/components/com_djclassifieds/images/item/','','1','1'),
('544','129','item','129_more','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('545','129','item','129_1_more','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('546','129','item','129_2_more','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('547','132','item','132_more2','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('548','132','item','132_1_more2','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('549','132','item','132_2_more2','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('550','107','item','107_more3','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('551','107','item','107_1_more3','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('552','107','item','107_2_more3','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('553','128','item','128_more4','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('554','128','item','128_1_more4','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('555','128','item','128_2_more4','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('556','179','item','179_more5','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('557','179','item','179_1_more5','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('558','179','item','179_2_more5','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('559','104','item','104_more6','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('560','104','item','104_1_more6','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('561','104','item','104_2_more6','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('562','110','item','110_more7','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('563','110','item','110_1_more7','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('564','110','item','110_2_more7','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('565','112','item','112_more8','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('566','112','item','112_1_more8','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('567','112','item','112_2_more8','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('568','177','item','177_more9','jpg','/components/com_djclassifieds/images/item/','','2','1');
INSERT INTO `#__djcf_images` VALUES 
('569','177','item','177_1_more9','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('570','177','item','177_2_more9','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('571','140','item','140_more10','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('572','140','item','140_1_more10','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('573','140','item','140_2_more10','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('574','139','item','139_more11','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('575','139','item','139_1_more11','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('576','139','item','139_2_more11','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('577','152','item','152_more12','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('578','152','item','152_1_more12','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('579','152','item','152_2_more12','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('580','147','item','147_more12','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('581','147','item','147_1_more12','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('582','147','item','147_2_more12','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('583','172','item','172_more13','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('584','172','item','172_1_more13','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('585','172','item','172_2_more13','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('586','151','item','151_more14','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('587','151','item','151_1_more14','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('588','151','item','151_2_more14','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('589','162','item','162_more15','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('590','162','item','162_1_more15','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('591','162','item','162_2_more15','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('592','159','item','159_more16','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('593','159','item','159_1_more16','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('594','159','item','159_2_more16','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('595','168','item','168_more17','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('596','168','item','168_1_more17','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('597','168','item','168_2_more17','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('598','167','item','167_more18','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('599','167','item','167_1_more18','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('600','167','item','167_2_more18','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('601','181','item','181_more19','jpg','/components/com_djclassifieds/images/item/','','2','1'),
('602','181','item','181_1_more19','jpg','/components/com_djclassifieds/images/item/','','3','1'),
('603','181','item','181_2_more19','jpg','/components/com_djclassifieds/images/item/','','4','1'),
('614','77','category','77_77_dress_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('615','76','category','76_76_first-aid-kit_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('616','92','category','92_92_bus_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('617','93','category','93_93_sit-down_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('626','95','category','95_95_shovel_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('620','95','category','95_95_shovel_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('621','96','category','96_96_boy_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('622','97','category','97_97_gamepad_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('623','50','category','50_50_american-football_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('624','49','category','49_49_house_ths','png','/components/com_djclassifieds/images/category/0/','','1','0'),
('625','69','category','69_69_books_ths','png','/components/com_djclassifieds/images/category/0/','','1','0');

DROP TABLE IF EXISTS #__djcf_items;
CREATE TABLE `#__djcf_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text,
  `intro_desc` text,
  `image_url` text,
  `date_start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_exp` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_mod` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date_sort` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `display` int(11) NOT NULL DEFAULT '0',
  `special` int(11) NOT NULL DEFAULT '0',
  `paypal_token` varchar(12) NOT NULL,
  `payed` int(11) NOT NULL DEFAULT '0',
  `notify` int(11) NOT NULL DEFAULT '0',
  `published` int(11) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `price` varchar(255) DEFAULT NULL,
  `price_negotiable` int(11) DEFAULT '0',
  `contact` text,
  `pay_type` varchar(255) DEFAULT NULL,
  `address` varchar(255) NOT NULL,
  `region_id` int(11) NOT NULL DEFAULT '0',
  `exp_days` int(11) NOT NULL,
  `promotions` text NOT NULL,
  `post_code` varchar(55) NOT NULL,
  `video` text NOT NULL,
  `website` varchar(255) NOT NULL,
  `ip_address` varchar(55) NOT NULL,
  `currency` varchar(55) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `latitude` decimal(18,15) NOT NULL,
  `longitude` decimal(18,15) NOT NULL,
  `email` varchar(255) NOT NULL,
  `token` varchar(55) NOT NULL,
  `access_view` int(11) NOT NULL DEFAULT '0',
  `extra_images` int(11) NOT NULL DEFAULT '0',
  `extra_images_to_pay` int(11) NOT NULL DEFAULT '0',
  `extra_chars` int(11) NOT NULL DEFAULT '0',
  `extra_chars_to_pay` int(11) NOT NULL DEFAULT '0',
  `auction` int(11) NOT NULL,
  `bid_min` float(12,2) NOT NULL,
  `bid_max` float(12,2) NOT NULL,
  `bid_autoclose` int(11) NOT NULL,
  `price_reserve` float(12,2) NOT NULL,
  `price_start` float(12,2) NOT NULL,
  `quantity` int(11) NOT NULL,
  `buynow` int(11) NOT NULL,
  `unit_id` int(11) NOT NULL,
  `offer` int(11) NOT NULL,
  `blocked` int(11) NOT NULL,
  `metarobots` text NOT NULL,
  `new_draft` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `cat_id` (`cat_id`),
  KEY `type_id` (`type_id`),
  KEY `region_id` (`region_id`),
  KEY `user_id` (`user_id`),
  KEY `name` (`name`),
  KEY `published` (`published`),
  KEY `blocked` (`blocked`)
) AUTO_INCREMENT=182 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_items` VALUES 
('103','97','0','872','Mackbook Pro','mackbook-pro','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 13:05:27','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 13:05:27','710','0','','0','0','1','0','5000','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','3','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','300','1','1','0','0','','0'),
('104','97','0','869','Video gampad','video-games','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 13:18:22','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 13:18:22','2551','0','','0','0','1','0','300','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','4','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','0','20.00','50.00','0','5000.00','0.00','299','0','1','0','0','','0'),
('105','97','0','867','Clock','clock','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 13:25:21','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 13:25:21','1183','0','','0','0','1','0','300','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','12','0','p_special,','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','300','1','1','0','0','','0'),
('106','97','0','869','Vintage alarm','vintage-alarm','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 13:29:26','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 13:29:26','808','0','','0','0','1','0','300','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','12','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','295','1','1','0','0','','0'),
('107','93','6','867','Black hair','black-hair','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 14:31:43','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 14:31:43','1503','0','','0','0','1','0','300','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','12','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','0','20.00','50.00','0','5000.00','0.00','296','1','1','0','0','','0'),
('108','97','0','872','SLR camera Nikon','slr-camera-nikon','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 14:34:31','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 14:34:31','1314','0','','0','0','1','0','300','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','12','0','p_special,','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','300','1','1','0','0','','0'),
('109','97','0','869','Apple IPHONE 5s','apple-iphone-5s','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 14:41:22','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 14:41:22','1388','0','','0','0','1','0','300','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','18','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','297','1','1','0','0','','0'),
('110','97','2','869','Canon camera','canon-camera','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 14:43:07','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 14:43:07','1076','0','','0','0','1','0','115.99','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','13','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','300','1','1','0','0','','0'),
('111','97','0','867','Speaker','speaker','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 15:17:50','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 15:17:50','1485','0','','0','0','1','0','115.99','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','13','0','p_special,','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','300','1','1','0','0','','0'),
('112','97','0','869','Classic guitar','classic-guitar','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 15:20:25','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 15:20:25','1134','0','','0','0','1','0','115.99','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','13','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','0.00','300','1','1','0','0','','0'),
('113','97','0','869','Keyboard','key','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-27 15:22:14','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-27 15:22:14','2146','0','','0','0','1','0','30','0','Flushing Ave 202 New York',NULL,'Flushing Ave 202','13','0','p_special,','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','5000.00','30.00','300','1','1','0','0','','0'),
('114','93','0','867','White table','white-table','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-08-15 15:33:04','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-08-15 15:33:04','3070','1','','1','0','1','0','400.00','1','Flushing Ave 202 New York','','Flushing Ave 202','13','0','p_first,p_border,p_bg,','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.697595700000000','-73.967102800000000','','','0','0','0','0','0','1','20.00','50.00','0','500.00','30.00','300','1','1','0','0','','0'),
('124','96','6','870','Amazing sunglasses','amazing-sunglasses','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-14 16:13:05','2025-07-14 00:00:00','0000-00-00 00:00:00','2016-07-14 16:13:05','889','0','','1','0','1','0','','0','20 Fleet Street, Los Angeles','','20 Fleet Street, Los Angeles','6','0','','40-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','33.976098600000000','-118.463459000000000','','','0','0','0','0','0','0','20.00','50.00','0','500.00','0.00','300','0','1','1','0','','0'),
('126','96','0','867','Star Wars Toys','star','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-25 17:48:17','2026-09-06 17:46:00','0000-00-00 00:00:00','2016-07-25 17:48:17','651','0','','0','0','1','0','650','0','E Whitton Ave, Phoenix',NULL,'E Whitton Ave, Phoenix','3','7','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','212.109.165.124','$','','','33.489378900000000','-112.069402800000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('127','97','0','872','EOS camera','eos-camera','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1781','0','','0','0','1','0','650','0','E Whitton Ave, Phoenix',NULL,'E Whitton Ave','3','0','','20-220, Phoenix','https://www.youtube.com/watch?v=3P_jooM-ycA','','212.109.165.124','$','','','33.489378900000000','-112.069402800000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('128','95','1','867','Suede jacket','suede-jacket','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-10 18:26:08','2026-08-30 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','676','0','','0','0','1','0','70','1','E Whitton Ave, Phoenix',NULL,'E Whitton Ave, Phoenix','3','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','33.489378900000000','-112.069402800000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('129','97','0','872','Notebook','notebook','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1571','0','','0','0','1','0','350','0','E Whitton Ave, Phoenix',NULL,'E Whitton Ave, Phoenix','3','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','33.489378900000000','-112.069402800000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('130','95','0','867','Gainerprotein shake','gainerprotein-shake','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1975','0','','0','0','1','0','20','0','Fleet Ave, Cleveland',NULL,'Fleet Ave, Cleveland','24','0','','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','41.456070300000000','-81.646766700000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('131','93','0','872','Vintage brown armchair','vintage-brown','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1248','0','','0','0','1','0','299','0','Fleet Ave, Cleveland',NULL,'Fleet Ave, Cleveland','24','0','p_special,','20-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','41.456070300000000','-81.646766700000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('132','96','0','867','Colorfull crayons','pink-flamingo','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1701','0','','0','0','1','0','49','0','Fleet Ave, Miami',NULL,'Fleet Ave, Miami','9','0','','67-908','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','40.053029100000000','-84.221882000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('135','97','0','872','Sunglasses','sunglasses','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1027','0','','0','0','1','0','99','0','Fleet Ave, Chicago',NULL,'Fleet Ave, Chicago','13','0','','40-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','41.842755500000000','-87.888911200000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('136','96','1','867','Football','football','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2016-07-10 18:26:08','2026-09-06 17:52:00','0000-00-00 00:00:00','2016-07-10 18:26:08','1230','0','','0','0','1','0','48','0','Fleet Ave, Chicago',NULL,'Fleet Ave, Chicago','13','0','','40-220','https://www.youtube.com/watch?v=3P_jooM-ycA','','','$','','','41.842755500000000','-87.888911200000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('139','92','0','870','Jeep Grand Cheroke','jeep-grand-cheroke','<p>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.\r\nAenean ut malesu','','2017-09-13 13:10:58','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:10:58','219','0','','0','1','1','0','941','0','',NULL,'','0','7','','','','','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('140','92','0','867','BMW F30 Series 3','bmw-f30-series-3','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec.\r\nAenean ut malesu','','2017-09-13 13:21:17','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:21:17','443','0','','0','1','1','0','9122','0','',NULL,'','0','7','','','','','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('141','92','0','867','BMW E91 Coupe','bmw-e91-coupe','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:23:15','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:23:15','391','0','','0','1','1','0','25000','0','',NULL,'','0','7','','','','','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('142','92','0','869','Mercedes S Coupe','mercedes-s-coupe','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:24:26','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:24:26','308','0','','0','1','1','0','120000','0','',NULL,'','0','7','','','','http://joomla-monster.com','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('143','92','0','869','Smart Brabus ','smart-brabus','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:25:28','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:25:28','249','0','','0','1','1','0','25000','0','',NULL,'','0','7','','','','http://www.example.com','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('144','92','0','869','New Smart for Two','new-smart-for-two','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:26:48','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:26:48','193','0','','0','1','1','0','90000','0','',NULL,'','0','7','','','','http://www.example.com','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('145','92','0','867','Audi A7 Sportback','audi-a7-sportback','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:28:06','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:28:06','258','0','','0','1','1','0','50000','0','',NULL,'','0','7','','','','http://www.example.com','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('146','92','0','869','Audi A4 Combi','audi-a4-combi','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:29:01','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:29:01','139','0','','0','1','1','0','90000','0','',NULL,'','0','7','','','',' http://www.example.com','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('147','93','0','867','Brown Sofa','brown-sofa','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:30:33','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:30:33','249','0','','0','1','1','0','','0','',NULL,'','0','7','','','','','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('148','93','0','872','Hair wood','hair-wood','<p><span>Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec. Aenean ut malesu','','2017-09-13 13:32:04','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-13 13:32:04','146','0','','0','1','1','0','','0','',NULL,'','0','7','','','','','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('150','93','0','867','Hair table','hair-table','<p><span>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-14 09:34:25','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-14 09:34:25','239','0','','0','1','1','0','15','0','Fleet Ave, Cleveland',NULL,'','0','7','','','https://www.youtube.com/watch?v=3P_jooM-ycA','','212.109.165.124','$','','','0.000000000000000','0.000000000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('151','93','1','869','Kitchen table','kitchen-table','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:01:28','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:01:28','239','0','','0','1','1','0','33','1','Fleet Ave, Chicago',NULL,'','3','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('152','93','10','867','Brown Sofa','brown-sofa','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:07:43','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:07:43','248','0','','0','1','1','0','991','0','Fleet Ave, Chicago',NULL,'','6','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('153','93','2','872','Kitchen grey table','kitchen-grey-table','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:11:02','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:11:02','226','0','','0','1','1','0','72','0','',NULL,'','21','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('154','93','1','869','Wood coffe table','wood-coffe-table','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:21:52','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:21:52','203','0','','0','1','1','0','280','1','',NULL,'','22','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('155','93','0','867','Vintage armchair','vintage-armchair','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:25:44','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:25:44','211','0','','0','1','1','0','99','0','',NULL,'','4','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('156','93','0','872','Modern stool','modern-stool','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:28:38','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:28:38','326','0','','0','1','1','0','15','0','Fleet Ave, Chicago',NULL,'','15','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('157','93','0','869','Designer yellow chair','designer-yellow-chair','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:32:31','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:32:31','272','0','','0','1','1','0','52','0','',NULL,'','7','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('158','92','1','867','Audi A5','audi-a5','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:37:21','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:37:21','367','0','','0','1','1','0','','0','+48 123 456 789',NULL,'','13','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('159','92','2','869','Brabus smart','brabus-smart','<p><span>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:39:17','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:39:17','267','0','','0','1','1','0','','0','+48 123 456 789',NULL,'','6','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('160','92','0','867','Bmw e90','bmw-e90','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:43:17','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:43:17','368','0','','0','1','1','0','5000','0','+48 123 456 789',NULL,'','15','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('161','92','0','872','Mercedes S Coupe','mercedes-s-coupe','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:48:06','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:48:06','310','0','','0','1','1','0','80000','1','+48 123 456 789',NULL,'','7','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','1','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('162','92','0','867','BMW Z4','bmw-z4','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:51:20','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:51:20','307','0','','0','1','1','0','50','0','+48 123 456 789',NULL,'','3','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('163','92','1','869','Audi A6 2015','audi-a6-2015','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 12:55:46','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 12:55:46','684','0','','0','1','1','0','211','0','+48 123 456 789',NULL,'','25','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','1','1','1','1','0','','0'),
('164','92','0','869','Green 50','green-50','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:01:01','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:01:01','231','0','','0','1','1','0','678','0','+48 123 456 789',NULL,'','4','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('165','92','0','869','Motorcycle Yamaha','motorcycle-yamaha','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:02:00','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:02:00','403','0','','0','1','1','0','847','0','+48 132 456 789',NULL,'','11','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('166','92','0','872','KTM supermoto','ktm-supermoto','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:05:53','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:05:53','402','0','','0','1','1','0','750','0','',NULL,'','3','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('167','95','0','869','Bike decoration','bike-decoration','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:20:06','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:20:06','294','0','','0','1','1','0','','0','',NULL,'','27','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0');
INSERT INTO `#__djcf_items` VALUES 
('168','95','0','867','Vintage glass','vintage-glass','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:22:07','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:22:07','320','0','','0','1','1','0','','0','+48 123 456 789',NULL,'','4','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('169','95','0','869','Cactus','cactus','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:25:54','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:25:54','222','0','','0','1','1','0','','0','+48 123 456 789',NULL,'','6','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('170','95','6','867','Kitchen blender','kitchen-blender','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:27:45','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:27:45','296','0','','0','1','1','0','88','0','+48 123 456 789',NULL,'','4','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('171','95','0','870','Blackboard','blackboard','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-27 13:29:52','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-27 13:29:52','222','0','','0','1','1','0','75','0','+48 123 456 789',NULL,'','21','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('172','96','1','867','Grey shoes','grey-shoes','','','','2017-09-28 06:36:30','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:36:30','310','0','','0','1','1','0','280','0','+48 123 465 798',NULL,'','3','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('173','96','2','870','School Bag','school-bag','','','','2017-09-28 06:39:01','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:39:01','304','0','','0','1','1','0','15','0','+48 123 456 789',NULL,'','3','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('174','95','2','867','Bag','bag','','','','2017-09-28 06:40:39','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:40:39','329','0','','0','1','1','0','45','0','',NULL,'','4','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('175','97','0','870','New age watch','new-age-watch','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 06:48:10','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:48:10','270','0','','0','1','1','0','341','0','+48 132 465 798',NULL,'','6','7','','','','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('176','99','0','870','Jeans Leo','jeans-leo','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 06:51:58','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:51:58','282','0','','0','1','1','0','','0','',NULL,'','3','7','','','https://www.youtube.com/watch?v=3P_jooM-ycA','','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('177','99','0','869','Oldschool jeans','oldschool-jeans','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 06:53:24','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:53:24','327','0','','0','1','1','0','11','0','Fleet Ave, Cleveland',NULL,'','22','7','','','https://www.youtube.com/watch?v=3P_jooM-ycA','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('178','99','0','870','Pink skirt','pink-skirt','<p><span>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 06:55:32','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:55:32','327','0','','0','1','1','0','20','0','Fleet Ave, Cleveland',NULL,'','24','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('179','98','0','867','Unisex bag','unisex-bag','<p><span>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 06:57:31','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 06:57:31','450','0','','0','1','1','0','41','0','Fleet Ave, Cleveland',NULL,'','7','7','','','https://www.youtube.com/watch?v=3P_jooM-ycA','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('180','76','7','867','Beauty wax candle','beauty-wax-candle','<p><span>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</span></p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 07:00:01','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 07:00:01','376','0','','0','1','1','0','123','0','Fleet Ave, Cleveland',NULL,'','7','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0'),
('181','76','7','872','Oil vegetable','oil-vegetable','<p>Aenean ut malesuada enim aliquam purus. Integer vestibulum iaculis. Curabitur magna dictum vel, lacinia scelerisque, quam placerat nec, dignissim enim interdum euismod id, ante. Proin cursus, mi porttitor odio. Suspendisse ac quam at lorem eget lectus. Curabitur est lacus quis orci. Cum sociis natoque penatibus et augue. Aenean facilisis libero. Aenean dui aliquam arcu. Vestibulum rutrum et, enim. Mauris fringilla tempus enim. Sed aliquet eget, volutpat metus. Vestibulum tempus. Quisque urna. Proin quis diam eu mi vel mauris sit amet quam. Nullam sit amet, sodales sapien enim quis velit. Praesent gravida eros bibendum varius felis sagittis lorem. Maecenas eget nulla.</p>','Phasellus ornare varius magna, in consequat augue accumsan nec.','','2017-09-28 07:03:37','2020-01-01 00:00:00','0000-00-00 00:00:00','2017-09-28 07:03:37','400','0','','0','1','1','0','12','0','',NULL,'','3','7','','','','http://joomla-monster.com','212.109.165.124','$','','','37.090240000000000','-95.712891000000000','','','0','0','0','0','0','0','0.00','0.00','0','0.00','0.00','0','0','1','0','0','','0');

DROP TABLE IF EXISTS #__djcf_items_abuse;
CREATE TABLE `#__djcf_items_abuse` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `message` text NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_items_categories;
CREATE TABLE `#__djcf_items_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `cat_id` (`cat_id`)
) AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_items_categories` VALUES 
('9','125','56','0');

DROP TABLE IF EXISTS #__djcf_items_promotions;
CREATE TABLE `#__djcf_items_promotions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `prom_id` int(11) NOT NULL,
  `date_start` datetime NOT NULL,
  `date_exp` datetime NOT NULL,
  `days` int(11) NOT NULL,
  `updated` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item_id` (`item_id`),
  KEY `prom_id` (`prom_id`),
  KEY `date_exp` (`date_exp`)
) AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_items_promotions` VALUES 
('1','105','5','2016-07-27 13:25:21','2025-07-14 00:00:00','7','0'),
('2','108','5','2016-07-27 14:34:31','2025-07-14 00:00:00','7','0'),
('3','111','5','2016-07-27 15:17:50','2025-07-14 00:00:00','7','0'),
('4','113','5','2016-07-27 15:22:14','2025-07-14 00:00:00','7','0'),
('5','114','1','2016-08-15 15:33:04','2025-07-14 00:00:00','7','0'),
('6','114','3','2016-08-15 15:33:04','2025-07-14 00:00:00','7','0'),
('7','114','4','2016-08-15 15:33:04','2025-07-14 00:00:00','7','0'),
('8','131','5','2016-07-10 18:26:08','2026-09-06 17:52:00','7','0'),
('9','134','5','2016-07-10 18:26:08','2026-09-06 17:52:00','7','0'),
('10','138','1','2016-10-28 09:48:44','2016-11-04 09:48:44','7','1');

DROP TABLE IF EXISTS #__djcf_items_shipping;
CREATE TABLE `#__djcf_items_shipping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `shipping_id` int(11) NOT NULL,
  `price` decimal(12,2) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=41 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_items_shipping` VALUES 
('6','39','1','5.00',''),
('16','38','1','5.00',''),
('20','46','1','5.00',''),
('25','44','1','5.00',''),
('26','123','1','5.00',''),
('39','114','1','5.00',''),
('40','114','2','0.00','');

DROP TABLE IF EXISTS #__djcf_items_units;
CREATE TABLE `#__djcf_items_units` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_items_units` VALUES 
('1','pieces','1','1'),
('2','sets','2','1'),
('3','pairs','3','1');

DROP TABLE IF EXISTS #__djcf_itemsask;
CREATE TABLE `#__djcf_itemsask` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `ip_address` varchar(50) NOT NULL,
  `message` text NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `custom_fields` text NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_itemsask` VALUES 
('1','110','0','197.237.198.248','dsfsdfsdfdsfd','2016-09-20 16:51:08',''),
('2','134','0','95.105.160.160','tst mesage soryy. but template has many bugs. please update :)','2017-01-21 12:05:42','');

DROP TABLE IF EXISTS #__djcf_offers;
CREATE TABLE `#__djcf_offers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `quantity` int(11) NOT NULL,
  `price` float(12,2) NOT NULL,
  `currency` varchar(55) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ip_address` varchar(50) NOT NULL,
  `message` text NOT NULL,
  `response` text NOT NULL,
  `status` int(11) NOT NULL,
  `paid` int(11) NOT NULL,
  `confirmed` int(11) NOT NULL,
  `request` int(11) NOT NULL,
  `admin_paid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_orders;
CREATE TABLE `#__djcf_orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `ip_address` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `price` float(12,2) NOT NULL,
  `currency` varchar(55) NOT NULL,
  `quantity` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `item_name` varchar(255) NOT NULL,
  `item_option` text NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_orders` VALUES 
('2','39','841','212109','2015-08-25 12:04:48','5.00','','1','1','test',''),
('3','38','842','212109','2015-08-28 07:58:15','380.00','','1','1',' Manufacturing Engineer',''),
('4','38','841','212109','2015-08-28 15:25:08','380.00','','1','1',' Manufacturing Engineer',''),
('5','38','841','212109','2015-09-01 08:14:03','380.00','','1','1',' Manufacturing Engineer',''),
('6','38','841','212109','2015-09-03 15:00:46','380.00','','1','1',' Manufacturing Engineer',''),
('7','38','841','212109','2015-09-11 11:01:07','380.00','','1','1',' Manufacturing Engineer','Degree: test, test2'),
('8','109','870','212109','2016-07-28 13:50:11','300.00','','1','1','Apple IPHONE s5',''),
('9','107','870','212109','2016-07-28 13:50:28','300.00','','1','1','Men tools',''),
('10','106','870','212109','2016-07-28 13:50:44','300.00','','1','1','Wooden abacus',''),
('11','104','867','212109','2016-08-18 14:35:44','300.00','','1','1','Video games',''),
('12','107','870','4629','2016-08-23 20:38:09','300.00','','1','1','Men tools','');

DROP TABLE IF EXISTS #__djcf_orders_shipping;
CREATE TABLE `#__djcf_orders_shipping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `shipping_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `price` decimal(12,2) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_orders_shipping` VALUES 
('1','1','1','Poczta Polska','5.00'),
('2','2','1','Poczta Polska','5.00'),
('3','3','1','Poczta Polska','5.00'),
('4','4','1','Poczta Polska','5.00'),
('5','5','1','UPS','5.00'),
('6','6','1','UPS','5.00'),
('7','7','1','UPS','5.00');

DROP TABLE IF EXISTS #__djcf_payments;
CREATE TABLE `#__djcf_payments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `method` varchar(255) NOT NULL,
  `transaction_id` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` varchar(255) NOT NULL,
  `price` float(12,2) NOT NULL,
  `ip_address` varchar(55) NOT NULL,
  `type` int(11) NOT NULL,
  `transaction_hash` varchar(255) DEFAULT NULL,
  `coupon` varchar(55) NOT NULL,
  `coupon_discount` float(12,2) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=59 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_payments` VALUES 
('1','1','969','djcfPaypal','0','2015-03-26 10:43:33','Start','1.00','212.109.165.124','1',NULL,'','0.00'),
('2','2','841','djcfPaypal','0','2015-08-24 13:31:00','Start','2.00','212.109.165.124','1',NULL,'','0.00'),
('3','1','841','djcfAuthorizeNET','0','2015-08-31 14:33:30','Start','1.00','212.109.165.124','1',NULL,'','0.00'),
('4','1','841','djcfBankTransfer','0','2015-08-31 14:35:32','Start','1.00','212.109.165.124','1',NULL,'','0.00'),
('6','2','841','djcfAuthorizeNET','0','2015-09-03 15:05:41','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('7','2','841','djcfAuthorizeNET','0','2015-09-03 15:07:35','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('8','2','841','djcfAuthorizeNET','0','2015-09-03 15:10:13','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('9','2','841','djcfAuthorizeNET','0','2015-09-03 15:10:23','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('10','2','841','djcfAuthorizeNET','0','2015-09-03 15:12:56','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('11','2','841','djcfAuthorizeNET','0','2015-09-03 15:12:58','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('12','2','841','djcfAuthorizeNET','0','2015-09-03 15:13:21','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('13','2','841','djcfAuthorizeNET','0','2015-09-03 15:13:29','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('14','2','841','djcfAuthorizeNET','0','2015-09-03 15:14:28','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('15','2','841','djcfAuthorizeNET','0','2015-09-03 15:15:02','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('16','2','841','djcfAuthorizeNET','0','2015-09-03 15:15:07','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('17','2','841','djcfAuthorizeNET','0','2015-09-03 15:15:11','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('18','2','841','djcfAuthorizeNET','0','2015-09-03 15:16:33','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('19','2','841','djcfAuthorizeNET','0','2015-09-03 15:16:59','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('20','2','841','djcfAuthorizeNET','0','2015-09-03 15:17:35','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('21','2','841','djcfAuthorizeNET','0','2015-09-03 15:17:36','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('22','2','841','djcfAuthorizeNET','0','2015-09-03 15:17:41','Start','100.00','31.182.86.53','3',NULL,'','0.00'),
('23','1','841','djcfAuthorizeNET','0','2015-09-14 14:52:08','Start','1.00','212.109.165.124','1',NULL,'','0.00'),
('24','8','870','djcfBankTransfer','0','2016-07-28 13:50:11','Cancelled','300.00','212.109.165.124','4',NULL,'','0.00'),
('25','9','870','djcfBankTransfer','0','2016-07-28 13:50:28','Cancelled','300.00','212.109.165.124','4',NULL,'','0.00'),
('26','10','870','djcfBankTransfer','0','2016-07-28 13:50:44','Cancelled','300.00','212.109.165.124','4',NULL,'','0.00'),
('29','11','867','djcfBankTransfer','0','2016-08-18 14:35:44','Completed','300.00','212.109.165.124','4',NULL,'','0.00'),
('30','12','870','djcfBankTransfer','0','2016-08-23 20:38:09','Completed','300.00','46.29.149.186','4',NULL,'','0.00'),
('31','1','867','points','0','2016-08-24 11:57:26','Completed','66.00','212.109.165.124','3',NULL,'','0.00'),
('35','2','867','points','0','2016-08-30 21:46:07','Completed','100.00','46.29.149.186','3',NULL,'','0.00'),
('37','2','871','djcfPaypal','0','2016-11-10 23:19:08','Start','2.00','78.69.92.130','1',NULL,'','0.00'),
('38','1','871','djcfBankTransfer','0','2016-12-06 14:40:57','Start','1.00','79.167.73.67','1',NULL,'','0.00'),
('39','1','871','djcfPaypal','0','2017-01-05 13:20:37','Start','66.00','83.9.222.251','3',NULL,'','0.00'),
('40','1','871','djcfBankTransfer','0','2017-01-05 13:21:09','Start','66.00','83.9.222.251','3',NULL,'','0.00'),
('41','1','871','djcfBankTransfer','0','2017-01-10 06:39:46','Start','66.00','186.219.132.155','3',NULL,'','0.00'),
('42','1','871','djcfPaypal','0','2017-01-10 06:40:16','Start','66.00','186.219.132.155','3',NULL,'','0.00'),
('43','1','871','djcfBankTransfer','0','2017-01-11 20:49:04','Start','66.00','62.85.54.221','3',NULL,'','0.00'),
('44','1','871','djcfBankTransfer','0','2017-01-11 20:49:15','Start','66.00','62.85.54.221','3',NULL,'','0.00'),
('45','1','871','djcfBankTransfer','0','2017-01-11 20:49:15','Start','66.00','62.85.54.221','3',NULL,'','0.00'),
('46','1','871','djcfBankTransfer','0','2017-01-11 20:49:16','Start','66.00','62.85.54.221','3',NULL,'','0.00'),
('47','1','871','djcfBankTransfer','0','2017-01-11 20:49:17','Start','66.00','62.85.54.221','3',NULL,'','0.00'),
('48','1','871','djcfBankTransfer','0','2017-01-11 20:49:29','Start','66.00','62.85.54.221','3',NULL,'','0.00'),
('49','2','871','djcfBankTransfer','0','2017-01-24 23:47:47','Start','100.00','186.64.209.119','3',NULL,'','0.00'),
('50','3','871','djcfBankTransfer','0','2017-02-06 06:28:25','Start','500.00','2.62.156.140','1',NULL,'','0.00'),
('51','2','871','djcfBankTransfer','0','2017-03-05 15:04:25','Start','100.00','77.30.223.177','3',NULL,'','0.00'),
('52','3','871','djcfBankTransfer','0','2017-04-10 19:40:09','Start','500.00','5.238.244.40','1',NULL,'','0.00'),
('53','2','871','djcfPaypal','0','2017-04-13 22:53:24','Start','2.00','201.22.183.168','1',NULL,'','0.00'),
('54','1','871','djcfBankTransfer','0','2017-05-26 11:38:59','Start','66.00','194.176.105.148','3',NULL,'','0.00'),
('55','2','871','djcfPaypal','0','2017-09-10 23:04:41','Start','2.00','86.120.202.245','1',NULL,'','0.00'),
('56','3','871','djcfPaypal','0','2017-09-10 23:06:19','Start','500.00','86.120.202.245','1',NULL,'','0.00'),
('57','2','871','djcfBankTransfer','0','2017-12-13 16:52:55','Start','2.00','91.72.176.114','1',NULL,'','0.00');
INSERT INTO `#__djcf_payments` VALUES 
('58','2','871','djcfPaypal','0','2017-12-13 16:53:28','Start','2.00','91.72.176.114','1',NULL,'','0.00');

DROP TABLE IF EXISTS #__djcf_plans;
CREATE TABLE `#__djcf_plans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `price` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `groups_assignment` text NOT NULL,
  `groups_restriction` text NOT NULL,
  `params` text NOT NULL,
  `price_special` float(12,2) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_plans` VALUES 
('1','Plan 1','<p>First plan</p>','66.00','66','1','1','1','','{"ad_limit":"5","days_limit":"5","img_limit":"3","chars_limit":"0","duration":"1","video":"0","website":"0","buynow":"1","auction":"1","pay_categories":"1","user_profile_ad":"1"}','0.00'),
('2','Plan 2','Second plan','100.00','100','1','2','1','','{"ad_limit":"5","days_limit":"5","img_limit":"3","chars_limit":"0","duration":"4","promotions":["1","2","3","4","5"],"video":"1","website":"1","buynow":"1","auction":"1","pay_categories":"1","user_profile_ad":"1"}','0.00'),
('3','Plan 3','Lorem ipsum dolor.','150.00','150','1','3','1','','{"ad_limit":"25","days_limit":"5","img_limit":"3","chars_limit":"0","duration":"4","promotions":["1","2","3","4","5"],"video":"0","website":"1","buynow":"1","auction":"1","pay_categories":"1","user_profile_ad":"1"}','0.00');

DROP TABLE IF EXISTS #__djcf_plans_groups;
CREATE TABLE `#__djcf_plans_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `plan_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_plans_subscr;
CREATE TABLE `#__djcf_plans_subscr` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `plan_id` int(11) NOT NULL,
  `adverts_limit` int(11) NOT NULL,
  `adverts_available` int(11) NOT NULL,
  `date_start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_exp` datetime NOT NULL,
  `plan_params` text NOT NULL,
  `notify` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_plans_subscr` VALUES 
('1','841','1','5','4','2015-08-24 10:31:04','2015-08-29 10:31:04','{"ad_limit":"5","days_limit":"5","img_limit":"3","chars_limit":"0","duration":"1","video":"1","website":"1","buynow":"1","auction":"1","pay_categories":"1","user_profile_ad":"1"}','0'),
('2','867','1','5','5','2016-08-24 11:57:25','2016-08-29 11:57:25','{"ad_limit":"5","days_limit":"5","img_limit":"3","chars_limit":"0","duration":"1","video":"0","website":"0","buynow":"1","auction":"1","pay_categories":"1","user_profile_ad":"1"}','0'),
('3','867','2','5','5','2016-08-30 21:46:07','2016-09-04 21:46:07','{"ad_limit":"5","days_limit":"5","img_limit":"3","chars_limit":"0","duration":"4","promotions":["1","2","3","4","5"],"video":"1","website":"1","buynow":"1","auction":"1","pay_categories":"1","user_profile_ad":"1"}','0');

DROP TABLE IF EXISTS #__djcf_plans_subscr_items;
CREATE TABLE `#__djcf_plans_subscr_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subscr_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `item_name` text NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_plans_subscr_items` VALUES 
('1','1','39','test','2015-08-24 13:39:47');

DROP TABLE IF EXISTS #__djcf_points;
CREATE TABLE `#__djcf_points` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `price` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  `price_special` float(12,2) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_points` VALUES 
('1','Points','1.00','1000','1','1','0.00',''),
('2','Points 2','2.00','500','2','1','0.00',''),
('3','Points 3','500.00','500','3','1','0.00','');

DROP TABLE IF EXISTS #__djcf_points_groups;
CREATE TABLE `#__djcf_points_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `points_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_profiles;
CREATE TABLE `#__djcf_profiles` (
  `user_id` int(11) NOT NULL,
  `region_id` int(11) NOT NULL,
  `address` varchar(255) NOT NULL,
  `post_code` varchar(55) NOT NULL,
  `latitude` decimal(18,15) NOT NULL,
  `longitude` decimal(18,15) NOT NULL,
  `verified` int(11) NOT NULL,
  `group_id` int(11) NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_profiles` VALUES 
('867','4','New York','','40.712775300000000','-74.005972800000000','1','0'),
('869','0','Washington','','47.751074100000000','-120.740138500000000','0','0'),
('872','6','Los Angeles','','34.052234200000000','-118.243684900000000','0','0'),
('870','0','','','0.000000000000000','0.000000000000000','0','0'),
('871','0','Boston','','42.360082500000000','-71.058880100000000','0','0'),
('873','0','','','0.000000000000000','0.000000000000000','0','0');

DROP TABLE IF EXISTS #__djcf_profiles_msg;
CREATE TABLE `#__djcf_profiles_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_to` int(11) NOT NULL,
  `user_from` int(11) NOT NULL,
  `ip_address` varchar(50) NOT NULL,
  `message` text NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `custom_fields` text NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_promotions;
CREATE TABLE `#__djcf_promotions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `label` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `price` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `price_special` float(12,2) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_promotions` VALUES 
('1','p_first','COM_DJCLASSIFIEDS_PROMOTION_FIRST','COM_DJCLASSIFIEDS_PROMOTION_FIRST_DESC','1.00','0','1','1','0.00'),
('2','p_bold','COM_DJCLASSIFIEDS_PROMOTION_BOLD','COM_DJCLASSIFIEDS_PROMOTION_BOLD_DESC','1.00','0','1','2','0.00'),
('3','p_border','COM_DJCLASSIFIEDS_PROMOTION_BORDER','COM_DJCLASSIFIEDS_PROMOTION_BORDER_DESC','1.00','0','1','3','0.00'),
('4','p_bg','COM_DJCLASSIFIEDS_PROMOTION_BG','COM_DJCLASSIFIEDS_PROMOTION_BG_DESC','1.00','0','1','4','0.00'),
('5','p_special','COM_DJCLASSIFIEDS_PROMOTION_SPECIAL','COM_DJCLASSIFIEDS_PROMOTION_SPECIAL_DESC','1.00','0','1','5','0.00');

DROP TABLE IF EXISTS #__djcf_promotions_prices;
CREATE TABLE `#__djcf_promotions_prices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `prom_id` int(11) NOT NULL,
  `days` int(11) NOT NULL,
  `price` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_promotions_prices` VALUES 
('1','1','7','1.00','0'),
('2','2','7','1.00','0'),
('3','3','7','1.00','0'),
('4','4','7','1.00','0'),
('5','5','7','1.00','0');

DROP TABLE IF EXISTS #__djcf_regions;
CREATE TABLE `#__djcf_regions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `country` int(11) NOT NULL DEFAULT '0',
  `city` int(11) NOT NULL DEFAULT '0',
  `published` int(11) NOT NULL,
  `latitude` varchar(255) NOT NULL,
  `longitude` varchar(255) NOT NULL,
  `country_iso` varchar(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `parent_id` (`parent_id`),
  KEY `published` (`published`)
) AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_regions` VALUES 
('1','North America','0','0','0','1','','',''),
('2','United States','1','1','0','1','','',''),
('3','Arizona','2','0','0','1','','',''),
('4','Alaska','2','0','0','1','','',''),
('6','California','2','0','0','1','','',''),
('7','Colorado','2','0','0','1','','',''),
('9','Florida','2','0','0','1','','',''),
('11','Hawaii','2','0','0','1','','',''),
('12','Idaho','2','0','0','1','','',''),
('13','Illinois','2','0','0','1','','',''),
('15','Kansas','2','0','0','1','','',''),
('18','Maine','2','0','0','1','','',''),
('21','Nevada','2','0','0','1','','',''),
('22','New Jersey','2','0','0','1','','',''),
('23','New York','2','0','0','1','','',''),
('24','Ohio','2','0','0','1','','',''),
('25','Texas','2','0','0','1','','',''),
('27','Washington','2','0','0','1','','','');

DROP TABLE IF EXISTS #__djcf_search_alerts;
CREATE TABLE `#__djcf_search_alerts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `search_url` text NOT NULL,
  `search_query` text NOT NULL,
  `created` datetime NOT NULL,
  `last_check` datetime NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_search_notifications;
CREATE TABLE `#__djcf_search_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `search_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `created` datetime NOT NULL,
  UNIQUE KEY `user_item` (`search_id`,`user_id`,`item_id`),
  UNIQUE KEY `id` (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_shipping_methods;
CREATE TABLE `#__djcf_shipping_methods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  `published` tinyint(4) NOT NULL,
  `plugin` varchar(255) NOT NULL,
  `price` decimal(12,2) DEFAULT NULL,
  `tax_rate_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `shipping_details` tinyint(4) NOT NULL,
  `params` text,
  PRIMARY KEY (`id`),
  KEY `idx_published` (`published`),
  KEY `idx_name` (`name`),
  KEY `idx_plugin` (`plugin`)
) AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_shipping_methods` VALUES 
('1','UPS','Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce cursus dui metus, sit amet rutrum augue semper et. Aenean ut mattis odio. In neque mi, semper in consectetur ac, aliquam vel felis. Quisque interdum varius auctor. Aenean orci tellus, mollis in sodales vitae, ultrices eget neque. Maecenas nec blandit nisi. Curabitur vitae hendrerit mi, fringilla sodales lectus. Curabitur et massa ultricies, porta dui vitae, iaculis justo. Cras pulvinar cursus vestibulum. Pellentesque at leo ut nunc euismod bibendum. Ut eget nisi et lectus tincidunt finibus id vitae nulla. Quisque sit amet orci turpis.','1','djcfStandard','5.00','0','1','0',NULL),
('2','Post','','1','djcfstandard','0.00','0','2','0',NULL);

DROP TABLE IF EXISTS #__djcf_tax_rates;
CREATE TABLE `#__djcf_tax_rates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `value` decimal(10,4) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djcf_types;
CREATE TABLE `#__djcf_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL,
  `params` text NOT NULL,
  `price` float(12,2) NOT NULL,
  `price_special` float(12,2) NOT NULL,
  `points` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_types` VALUES 
('1','FOR SALE','1','1','{"bt_class":"bt_forsale","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#FAB649","bt_border_color":"#A2691B","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('2','EXCHANGE','2','1','{"bt_class":"bt_exchange","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#9A12F2","bt_border_color":"#44086B","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('5','FREE','4','1','{"bt_class":"","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#CC5092","bt_border_color":"#E32B75","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('6','URGENT','5','1','{"bt_class":"","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#D14141","bt_border_color":"#571B1B","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('7','LIMITED','6','1','{"bt_class":"","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#12B3CC","bt_border_color":"#0E8FA3","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('8','LAST CHANCE','7','1','{"bt_class":"","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#1DCC10","bt_border_color":"#DEDEDE","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('9','ANY CUSTOM TYPE','8','1','{"bt_class":"","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#175DE8","bt_border_color":"#3910DE","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0'),
('10','PROMOTION','9','1','{"bt_class":"","bt_use_styles":"1","bt_color":"#FFFFFF","bt_bg":"#CC081C","bt_border_color":"#DEDEDE","bt_border_size":"0","bt_style":"font-size:10px;font-weight: 400;line-height: 19px;padding: 0 8px;border-radius: 2px;vertical-align:top;letter-spacing:1px;"}','0.00','0.00','0');

DROP TABLE IF EXISTS #__djcf_users_points;
CREATE TABLE `#__djcf_users_points` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `points` float(12,0) NOT NULL,
  `description` text NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  UNIQUE KEY `id` (`id`)
) AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `#__djcf_users_points` VALUES 
('2','841','1000','<p>Lorem ipsum dolor sit amet.</p>','2014-03-03 11:23:42'),
('3','841','-66','Payment for Subscription Plan<br />Plan ID: 1<br />Plan: Plan 1','2015-08-24 10:31:04'),
('4','841','-100','Payment for advert<br />Advert ID: 42<br />Title: test','2015-08-31 14:45:37'),
('5','867','500','','2016-07-28 13:58:23'),
('6','867','200','','2016-07-28 13:58:34'),
('7','867','-66','Payment for Subscription Plan<br />Plan ID: 1<br />Plan: Plan 1','2016-08-24 11:57:25'),
('8','867','-100','Payment for Subscription Plan<br />Plan ID: 2<br />Plan: Plan 2','2016-08-30 21:46:07');

DROP TABLE IF EXISTS #__djmt_albums;
CREATE TABLE `#__djmt_albums` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `source` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `folder` varchar(255) DEFAULT NULL,
  `image` varchar(255) NOT NULL,
  `description` text,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text,
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`,`published`),
  KEY `visible` (`visible`)
) AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

INSERT INTO `#__djmt_albums` VALUES 
('3','4','component','Album 3','album-3',NULL,'images/modules/slider/700x575.jpg','','1','0000-00-00 00:00:00','0','1','0','0000-00-00 00:00:00','2','{"plg_content_type":"featured","plg_content_id":"0","plg_content_maxlevel":"0","plg_content_order":"a.ordering","plg_content_order_dir":"ASC","plg_content_image":"","plg_catalog2_featured_only":"0","plg_catalog2_featured_first":"0","plg_catalog2_orderby":"i.ordering","plg_catalog2_orderdir":"0","plg_folder_path":"","plg_folder_link":"","layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}'),
('8','0','component','Album Group','album-group',NULL,'','','1','0000-00-00 00:00:00','0','1','0','0000-00-00 00:00:00','3','{"plg_content_type":"featured","plg_content_id":"0","plg_content_maxlevel":"0","plg_content_order":"a.ordering","plg_content_order_dir":"ASC","plg_content_image":"","plg_classifieds_catid":"0","plg_classifieds_items_ord":"0","plg_classifieds_items_ids":"","plg_classifieds_image":"","plg_folder_path":"","plg_folder_link":"","layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}'),
('14','8','component','Album 3','album-3','images/djmediatools/14-album-3','images/djmediatools/22-album-1/media4.jpg','','1','0000-00-00 00:00:00','0','1','0','0000-00-00 00:00:00','3','{"layout":"_:mslider","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"300","image_height":"205","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"0","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"0","show_arrows":"0","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}'),
('22','8','component','Album 1','album-1','images/djmediatools/22-album-1','images/djmediatools/22-album-1/media5.jpg','','1','0000-00-00 00:00:00','0','1','0','0000-00-00 00:00:00','1','{"layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}'),
('23','8','component','Album 2','album-2','images/djmediatools/23-album-2','images/djmediatools/23-album-2/media1.jpg','','1','0000-00-00 00:00:00','0','1','0','0000-00-00 00:00:00','2','{"layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"1","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}'),
('25','0','djclassifieds','DJ-Classifieds - Featured Ads','dj-classifieds-featured-ads','images/djmediatools/25-dj-classifieds-featured-ads','','','1','0000-00-00 00:00:00','0','1','0','0000-00-00 00:00:00','2','{"plg_content_type":"articles","plg_content_id":"0","plg_content_maxlevel":"0","plg_content_order":"a.ordering","plg_content_order_dir":"ASC","plg_content_image":"","plg_classifieds_items_source":"0","plg_classifieds_follow_category":"0","plg_classifieds_follow_region":"0","plg_classifieds_items_ids":"","plg_classifieds_users_ids":"","plg_classifieds_items_ord":"0","plg_classifieds_only_promoted":["p_special"],"plg_classifieds_show_date":"0","plg_classifieds_show_cat":"0","plg_classifieds_cat_link":"0","plg_classifieds_show_type":"0","plg_classifieds_show_region":"0","plg_classifieds_show_price":"0","plg_classifieds_image":"","plg_folder_path":"images","plg_folder_link":"","layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}'),
('26','0','djclassifieds','DJ-Classifieds - All Products','dj-classifieds-products','images/djmediatools/26-dj-classifieds-products','','','1','2017-11-08 14:38:40','867','1','0','0000-00-00 00:00:00','1','{"plg_classifieds_items_source":"0","plg_classifieds_follow_category":"0","plg_classifieds_follow_region":"0","plg_classifieds_items_ids":"","plg_classifieds_users_ids":"","plg_classifieds_items_ord":"0","plg_classifieds_show_date":"0","plg_classifieds_show_cat":"0","plg_classifieds_cat_link":"1","plg_classifieds_show_type":"0","plg_classifieds_show_region":"0","plg_classifieds_show_price":"0","plg_classifieds_image":"","layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":""}');

DROP TABLE IF EXISTS #__djmt_items;
CREATE TABLE `#__djmt_items` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `image` varchar(255) NOT NULL,
  `bgvideo` varchar(255) DEFAULT NULL,
  `video` varchar(255) DEFAULT NULL,
  `description` text,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`,`published`)
) AUTO_INCREMENT=45 DEFAULT CHARSET=utf8;

INSERT INTO `#__djmt_items` VALUES 
('16','14','Sed dictum eros','sed-dictum-eros','images/djmediatools/22-album-1/media1.jpg',NULL,'http://www.youtube.com/embed/qGMXIkE3d70','','1','0000-00-00 00:00:00','0','2013-11-15 07:20:54','0000-00-00 00:00:00','0','0000-00-00 00:00:00','21','{"link_type":"","link_menu":"470","link_url":"","link_article":""}'),
('17','14','Mercedes Cabrio','mercedes-cabrio','images/djmediatools/22-album-1/media2.jpg',NULL,'http://www.youtube.com/embed/A6UJcBf8cqM','','1','0000-00-00 00:00:00','0','2013-11-15 07:21:42','0000-00-00 00:00:00','0','0000-00-00 00:00:00','20','{"link_type":"","link_menu":"470","link_url":"","link_article":""}'),
('18','14','Cras bibendum','cras-bibendum','images/djmediatools/22-album-1/media3.jpg',NULL,'http://www.youtube.com/embed/bu9g1Jxw_c8','','1','0000-00-00 00:00:00','0','2013-11-15 07:22:19','0000-00-00 00:00:00','0','0000-00-00 00:00:00','19','{"link_type":"","link_menu":"470","link_url":"","link_article":""}'),
('19','14','Mauris accumsan','mauris-accumsan','images/djmediatools/22-album-1/media4.jpg',NULL,'http://www.youtube.com/embed/FokhELMcKg4','','1','0000-00-00 00:00:00','0','2013-11-15 07:23:01','0000-00-00 00:00:00','0','0000-00-00 00:00:00','18','{"link_type":"","link_menu":"470","link_url":"","link_article":""}'),
('20','14','Sed eu sapien','sed-eu-sapien','images/djmediatools/22-album-1/media5.jpg',NULL,'http://www.youtube.com/embed/qGMXIkE3d70','','1','0000-00-00 00:00:00','0','2013-11-15 07:23:38','0000-00-00 00:00:00','0','0000-00-00 00:00:00','15','{"link_type":"","link_menu":"470","link_url":"","link_article":""}'),
('29','22','Mauris lacus','mauris-lacus','images/djmediatools/22-album-1/media1.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:45:25','0000-00-00 00:00:00','0','0000-00-00 00:00:00','8','{"link_type":"menu;link_menu","link_menu":"532","link_url":"","link_article":""}'),
('30','22','Lorem ipsum dolor','lorem-ipsum-dolor','images/djmediatools/22-album-1/media2.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2015-09-29 09:45:25','0000-00-00 00:00:00','0','0000-00-00 00:00:00','3','{"link_type":"url","link_menu":"532","link_url":"index.php?option=com_djclassifieds&view=items&layout=blog&cid=0&Itemid=532&lang=en","link_article":"","link_target":"","link_rel":""}'),
('31','22','Vestibulum aliquam','vestibulum-aliquam','images/djmediatools/22-album-1/media3.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2015-09-29 09:45:25','0000-00-00 00:00:00','0','0000-00-00 00:00:00','4','{"link_type":"menu","link_menu":"532","link_url":"","link_article":"","link_target":"","link_rel":""}'),
('32','22','Duis ac enim','duis-ac-enim','images/djmediatools/22-album-1/media4.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:45:25','0000-00-00 00:00:00','0','0000-00-00 00:00:00','11','{"link_type":"menu;link_menu","link_menu":"532","link_url":"","link_article":""}'),
('33','22','Sed vel purus','sed-vel-purus','images/djmediatools/22-album-1/media5.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:45:25','0000-00-00 00:00:00','0','0000-00-00 00:00:00','13','{"link_type":"menu;link_menu","link_menu":"532","link_url":"","link_article":""}'),
('34','22','Nullam id nisl','nullam-id-nisl','images/djmediatools/22-album-1/media6.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:45:25','0000-00-00 00:00:00','0','0000-00-00 00:00:00','14','{"link_type":"menu;link_menu","link_menu":"532","link_url":"","link_article":""}'),
('35','23','Donec quis aliquet','donec-quis-aliquet','images/djmediatools/23-album-2/media1.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2015-09-29 09:46:34','0000-00-00 00:00:00','0','0000-00-00 00:00:00','1','{"link_type":"menu","link_menu":"532","link_url":"","link_article":"","link_target":"","link_rel":""}'),
('36','23','Vestibulum efficitur','vestibulum-efficitur','images/djmediatools/23-album-2/media2.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:46:34','0000-00-00 00:00:00','0','0000-00-00 00:00:00','2','{"link_type":"","link_menu":"532","link_url":"","link_article":""}'),
('37','23','Proin lacinia','proin-lacinia','images/djmediatools/23-album-2/media3.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:46:34','0000-00-00 00:00:00','0','0000-00-00 00:00:00','5','{"link_type":"","link_menu":"532","link_url":"","link_article":""}'),
('38','23','Maecenas rutrum','maecenas-rutrum','images/djmediatools/23-album-2/media4.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:46:34','0000-00-00 00:00:00','0','0000-00-00 00:00:00','6','{"link_type":"","link_menu":"532","link_url":"","link_article":""}'),
('39','23','Nulla pharetra','nulla-pharetra','images/djmediatools/23-album-2/media5.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:46:34','0000-00-00 00:00:00','0','0000-00-00 00:00:00','7','{"link_type":"","link_menu":"532","link_url":"","link_article":""}'),
('40','23','Mauris feugiat','mauris-feugiat','images/djmediatools/23-album-2/media6.jpg',NULL,'','Phasellus ornare varius magna, in consequat augue accumsan nec.','1','0000-00-00 00:00:00','0','2015-09-29 09:46:34','0000-00-00 00:00:00','0','0000-00-00 00:00:00','9','{"link_type":"","link_menu":"532","link_url":"","link_article":""}'),
('41','22','Merol lorod','merol-lorod','images/djmediatools/22-album-1/130_08.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2016-11-03 10:58:45','0000-00-00 00:00:00','0','0000-00-00 00:00:00','16','{"link_type":"menu","link_menu":"532","link_url":"index.php?option=com_djclassifieds&view=items&layout=blog&cid=0&Itemid=532&lang=en","link_article":"","link_target":"","link_rel":""}'),
('42','22','Des lev surpus','des-lev-surpus','images/djmediatools/22-album-1/132_10.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2016-11-03 10:58:45','0000-00-00 00:00:00','0','0000-00-00 00:00:00','17','{"link_type":"menu","link_menu":"532","link_url":"index.php?option=com_djclassifieds&view=items&layout=blog&cid=0&Itemid=532&lang=en","link_article":"","link_target":"","link_rel":""}'),
('43','23','Des lev surpus','des-lev-surpus','images/djmediatools/23-album-2/132_10.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2016-11-03 10:59:26','0000-00-00 00:00:00','0','0000-00-00 00:00:00','10','{"link_type":"menu","link_menu":"532","link_url":"","link_article":"","link_target":"","link_rel":""}'),
('44','23','Merol lorod','merol-lorod','images/djmediatools/23-album-2/130_08.jpg',NULL,'','<p>Phasellus ornare varius magna, in consequat augue accumsan nec.</p>','1','0000-00-00 00:00:00','0','2016-11-03 10:59:26','0000-00-00 00:00:00','0','0000-00-00 00:00:00','12','{"link_type":"menu","link_menu":"532","link_url":"","link_article":"","link_target":"","link_rel":""}');

DROP TABLE IF EXISTS #__djmt_resmushit;
CREATE TABLE `#__djmt_resmushit` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(255) NOT NULL,
  `original_size` int(8) unsigned NOT NULL DEFAULT '0',
  `size` int(8) unsigned NOT NULL DEFAULT '0',
  `percent` double(4,2) NOT NULL DEFAULT '0.00',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=1612 DEFAULT CHARSET=utf8;

INSERT INTO `#__djmt_resmushit` VALUES 
('304','/media/djmediatools/cache/22-album-1/1200x630-towidth-75-media4.jpg','52311','52250','0.12','2017-11-16 14:35:04'),
('306','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-130_08.jpg','414883','171889','58.57','2017-11-16 14:35:06'),
('307','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-132_10.jpg','723825','333551','53.92','2017-11-16 14:35:07'),
('308','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-media1.jpg','457492','194375','57.51','2017-11-16 14:35:09'),
('309','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-media2.jpg','990821','498790','49.66','2017-11-16 14:35:10'),
('310','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-media3.jpg','360047','148631','58.72','2017-11-16 14:35:11'),
('311','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-media4.jpg','392120','165723','57.74','2017-11-16 14:35:11'),
('312','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-media5.jpg','377268','162244','57.00','2017-11-16 14:35:12'),
('313','/media/djmediatools/cache/22-album-1/1600x0-towidth-100-media6.jpg','391936','170788','56.42','2017-11-16 14:35:13'),
('316','/media/djmediatools/cache/22-album-1/220x220-crop-80-media4.jpg','8077','8016','0.76','2017-11-16 14:35:15'),
('317','/media/djmediatools/cache/22-album-1/220x220-crop-80-media5.jpg','6468','6407','0.94','2017-11-16 14:35:15'),
('326','/media/djmediatools/cache/22-album-1/230x230-crop-80-media4.jpg','8586','8525','0.71','2017-11-16 14:35:19'),
('327','/media/djmediatools/cache/22-album-1/230x230-crop-80-media5.jpg','6830','6769','0.89','2017-11-16 14:35:20'),
('328','/media/djmediatools/cache/22-album-1/300x205-crop-100-media1.jpg','35499','13538','61.86','2017-11-16 14:35:20'),
('329','/media/djmediatools/cache/22-album-1/300x205-crop-100-media2.jpg','68115','32206','52.72','2017-11-16 14:35:22'),
('330','/media/djmediatools/cache/22-album-1/300x205-crop-100-media3.jpg','34785','13651','60.76','2017-11-16 14:35:22'),
('331','/media/djmediatools/cache/22-album-1/300x205-crop-100-media4.jpg','34983','13877','60.33','2017-11-16 14:35:23'),
('332','/media/djmediatools/cache/22-album-1/300x205-crop-100-media5.jpg','30991','11889','61.64','2017-11-16 14:35:23'),
('333','/media/djmediatools/cache/22-album-1/356x315-crop-80-media4.jpg','14120','14059','0.43','2017-11-16 14:35:24'),
('334','/media/djmediatools/cache/22-album-1/356x315-crop-80-media5.jpg','11589','11528','0.53','2017-11-16 14:35:24'),
('343','/media/djmediatools/cache/22-album-1/380x380-crop-100-130_08.jpg','78639','26643','66.12','2017-11-16 14:35:29'),
('344','/media/djmediatools/cache/22-album-1/380x380-crop-100-132_10.jpg','100946','37987','62.37','2017-11-16 14:35:30'),
('345','/media/djmediatools/cache/22-album-1/380x380-crop-100-media1.jpg','74820','25675','65.68','2017-11-16 14:35:31'),
('346','/media/djmediatools/cache/22-album-1/380x380-crop-100-media2.jpg','147189','65832','55.27','2017-11-16 14:35:34'),
('347','/media/djmediatools/cache/22-album-1/380x380-crop-100-media3.jpg','66294','24005','63.79','2017-11-16 14:35:34'),
('348','/media/djmediatools/cache/22-album-1/380x380-crop-100-media4.jpg','69755','25173','63.91','2017-11-16 14:35:35'),
('349','/media/djmediatools/cache/22-album-1/380x380-crop-100-media5.jpg','62808','20910','66.71','2017-11-16 14:35:35'),
('350','/media/djmediatools/cache/22-album-1/380x380-crop-100-media6.jpg','69126','23713','65.70','2017-11-16 14:35:36'),
('351','/media/djmediatools/cache/22-album-1/60x40-crop-80-130_08.jpg','1419','1358','4.30','2017-11-16 14:35:36'),
('352','/media/djmediatools/cache/22-album-1/60x40-crop-80-132_10.jpg','1443','1382','4.23','2017-11-16 14:35:37'),
('353','/media/djmediatools/cache/22-album-1/60x40-crop-80-media1.jpg','1344','1283','4.54','2017-11-16 14:35:37'),
('354','/media/djmediatools/cache/22-album-1/60x40-crop-80-media2.jpg','1592','1531','3.83','2017-11-16 14:35:38'),
('355','/media/djmediatools/cache/22-album-1/60x40-crop-80-media3.jpg','1457','1396','4.19','2017-11-16 14:35:38'),
('358','/media/djmediatools/cache/22-album-1/60x40-crop-80-media6.jpg','1347','1286','4.53','2017-11-16 14:35:40'),
('359','/media/djmediatools/cache/22-album-1/650x450-crop-100-130_08.jpg','142087','45332','68.10','2017-11-16 14:35:41'),
('360','/media/djmediatools/cache/22-album-1/650x450-crop-100-132_10.jpg','207725','77955','62.47','2017-11-16 14:35:42'),
('361','/media/djmediatools/cache/22-album-1/650x450-crop-100-media1.jpg','135163','43404','67.89','2017-11-16 14:35:42'),
('362','/media/djmediatools/cache/22-album-1/650x450-crop-100-media2.jpg','282552','123565','56.27','2017-11-16 14:35:43'),
('363','/media/djmediatools/cache/22-album-1/650x450-crop-100-media3.jpg','123047','42125','65.77','2017-11-16 14:35:44'),
('364','/media/djmediatools/cache/22-album-1/650x450-crop-100-media4.jpg','125892','41997','66.64','2017-11-16 14:35:44'),
('365','/media/djmediatools/cache/22-album-1/650x450-crop-100-media5.jpg','119804','37140','69.00','2017-11-16 14:35:45'),
('366','/media/djmediatools/cache/22-album-1/650x450-crop-100-media6.jpg','125439','39923','68.17','2017-11-16 14:35:45'),
('375','/media/djmediatools/cache/22-album-1/_120w/300x205-crop-100-media1.jpg','7814','3568','54.34','2017-11-16 14:35:49'),
('376','/media/djmediatools/cache/22-album-1/_120w/300x205-crop-100-media2.jpg','10827','5385','50.26','2017-11-16 14:35:50'),
('377','/media/djmediatools/cache/22-album-1/_120w/300x205-crop-100-media3.jpg','8185','3747','54.22','2017-11-16 14:35:51'),
('378','/media/djmediatools/cache/22-album-1/_120w/300x205-crop-100-media4.jpg','8423','3921','53.45','2017-11-16 14:35:51'),
('379','/media/djmediatools/cache/22-album-1/_120w/300x205-crop-100-media5.jpg','7366','3438','53.33','2017-11-16 14:35:52'),
('388','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-130_08.jpg','11059','4706','57.45','2017-11-16 14:35:56'),
('389','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-132_10.jpg','12040','5152','57.21','2017-11-16 14:35:58'),
('390','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-media1.jpg','10672','4595','56.94','2017-11-16 14:35:58');
INSERT INTO `#__djmt_resmushit` VALUES 
('391','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-media2.jpg','15513','7490','51.72','2017-11-16 14:35:59'),
('392','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-media3.jpg','10754','4687','56.42','2017-11-16 14:35:59'),
('393','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-media4.jpg','11178','4991','55.35','2017-11-16 14:35:59'),
('394','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-media5.jpg','9371','4073','56.54','2017-11-16 14:36:00'),
('395','/media/djmediatools/cache/22-album-1/_120w/380x380-crop-100-media6.jpg','10306','4444','56.88','2017-11-16 14:36:01'),
('396','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-130_08.jpg','8403','3767','55.17','2017-11-16 14:36:01'),
('397','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-132_10.jpg','9265','4207','54.59','2017-11-16 14:36:02'),
('398','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-media1.jpg','8006','3652','54.38','2017-11-16 14:36:02'),
('399','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-media2.jpg','11157','5522','50.51','2017-11-16 14:36:03'),
('400','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-media3.jpg','8329','3856','53.70','2017-11-16 14:36:03'),
('401','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-media4.jpg','8574','4014','53.18','2017-11-16 14:36:03'),
('402','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-media5.jpg','7459','3481','53.33','2017-11-16 14:36:04'),
('403','/media/djmediatools/cache/22-album-1/_120w/650x450-crop-100-media6.jpg','7710','3502','54.58','2017-11-16 14:36:04'),
('412','/media/djmediatools/cache/22-album-1/_160w/300x205-crop-100-media1.jpg','12191','5191','57.42','2017-11-16 14:36:09'),
('413','/media/djmediatools/cache/22-album-1/_160w/300x205-crop-100-media2.jpg','18879','9122','51.68','2017-11-16 14:36:09'),
('414','/media/djmediatools/cache/22-album-1/_160w/300x205-crop-100-media3.jpg','12466','5443','56.34','2017-11-16 14:36:10'),
('415','/media/djmediatools/cache/22-album-1/_160w/300x205-crop-100-media4.jpg','12814','5577','56.48','2017-11-16 14:36:11'),
('416','/media/djmediatools/cache/22-album-1/_160w/300x205-crop-100-media5.jpg','11106','4828','56.53','2017-11-16 14:36:12'),
('425','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-130_08.jpg','17140','6838','60.11','2017-11-16 14:36:17'),
('426','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-132_10.jpg','19382','7962','58.92','2017-11-16 14:36:17'),
('427','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-media1.jpg','16518','6730','59.26','2017-11-16 14:36:18'),
('428','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-media2.jpg','26381','12563','52.38','2017-11-16 14:36:19'),
('429','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-media3.jpg','16202','6743','58.38','2017-11-16 14:36:19'),
('430','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-media4.jpg','16955','7115','58.04','2017-11-16 14:36:20'),
('431','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-media5.jpg','14117','5736','59.37','2017-11-16 14:36:20'),
('432','/media/djmediatools/cache/22-album-1/_160w/380x380-crop-100-media6.jpg','15836','6446','59.30','2017-11-16 14:36:21'),
('433','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-130_08.jpg','13022','5395','58.57','2017-11-16 14:36:21'),
('434','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-132_10.jpg','15047','6491','56.86','2017-11-16 14:36:22'),
('435','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-media1.jpg','12414','5249','57.72','2017-11-16 14:36:22'),
('436','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-media2.jpg','18883','9187','51.35','2017-11-16 14:36:23'),
('437','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-media3.jpg','12635','5451','56.86','2017-11-16 14:36:23'),
('438','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-media4.jpg','13001','5636','56.65','2017-11-16 14:36:24'),
('439','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-media5.jpg','11346','4882','56.97','2017-11-16 14:36:25'),
('440','/media/djmediatools/cache/22-album-1/_160w/650x450-crop-100-media6.jpg','11811','4986','57.79','2017-11-16 14:36:25'),
('441','/media/djmediatools/cache/22-album-1/_240w/300x205-crop-100-media1.jpg','23651','9429','60.13','2017-11-16 14:36:26'),
('442','/media/djmediatools/cache/22-album-1/_240w/300x205-crop-100-media2.jpg','41162','19257','53.22','2017-11-16 14:36:26'),
('443','/media/djmediatools/cache/22-album-1/_240w/300x205-crop-100-media3.jpg','23325','9592','58.88','2017-11-16 14:36:27'),
('444','/media/djmediatools/cache/22-album-1/_240w/300x205-crop-100-media4.jpg','23827','9813','58.82','2017-11-16 14:36:27'),
('445','/media/djmediatools/cache/22-album-1/_240w/300x205-crop-100-media5.jpg','20672','8323','59.74','2017-11-16 14:36:28'),
('454','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-130_08.jpg','32960','12383','62.43','2017-11-16 14:36:33'),
('455','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-132_10.jpg','38959','15342','60.62','2017-11-16 14:36:33'),
('456','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-media1.jpg','31743','12130','61.79','2017-11-16 14:36:34'),
('457','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-media2.jpg','55163','25405','53.95','2017-11-16 14:36:34'),
('458','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-media3.jpg','30583','11885','61.14','2017-11-16 14:36:35'),
('459','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-media4.jpg','31581','12426','60.65','2017-11-16 14:36:35'),
('460','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-media5.jpg','27165','10077','62.90','2017-11-16 14:36:36'),
('461','/media/djmediatools/cache/22-album-1/_240w/380x380-crop-100-media6.jpg','29990','11361','62.12','2017-11-16 14:36:36'),
('462','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-130_08.jpg','24620','9647','60.82','2017-11-16 14:36:37'),
('463','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-132_10.jpg','30465','12481','59.03','2017-11-16 14:36:38'),
('464','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-media1.jpg','23902','9473','60.37','2017-11-16 14:36:38');
INSERT INTO `#__djmt_resmushit` VALUES 
('465','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-media2.jpg','40222','18753','53.38','2017-11-16 14:36:39'),
('466','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-media3.jpg','23828','9619','59.63','2017-11-16 14:36:39'),
('467','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-media4.jpg','24197','9870','59.21','2017-11-16 14:36:40'),
('468','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-media5.jpg','21367','8430','60.55','2017-11-16 14:36:40'),
('469','/media/djmediatools/cache/22-album-1/_240w/650x450-crop-100-media6.jpg','22517','8830','60.79','2017-11-16 14:36:41'),
('478','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-130_08.jpg','53796','19298','64.13','2017-11-16 14:36:47'),
('479','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-132_10.jpg','66479','25524','61.61','2017-11-16 14:36:48'),
('480','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-media1.jpg','51321','18617','63.72','2017-11-16 14:36:48'),
('481','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-media2.jpg','95962','43302','54.88','2017-11-16 14:36:49'),
('482','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-media3.jpg','47648','17954','62.32','2017-11-16 14:36:50'),
('483','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-media4.jpg','49645','18802','62.13','2017-11-16 14:36:50'),
('484','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-media5.jpg','43000','15308','64.40','2017-11-16 14:36:52'),
('485','/media/djmediatools/cache/22-album-1/_320w/380x380-crop-100-media6.jpg','47977','17534','63.45','2017-11-16 14:36:52'),
('486','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-130_08.jpg','39613','14681','62.94','2017-11-16 14:36:53'),
('487','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-132_10.jpg','51744','20561','60.26','2017-11-16 14:36:54'),
('488','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-media1.jpg','38245','14420','62.30','2017-11-16 14:36:55'),
('489','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-media2.jpg','70455','32402','54.01','2017-11-16 14:36:55'),
('490','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-media3.jpg','37576','14496','61.42','2017-11-16 14:36:56'),
('491','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-media4.jpg','37800','14564','61.47','2017-11-16 14:36:56'),
('492','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-media5.jpg','33837','12617','62.71','2017-11-16 14:36:57'),
('493','/media/djmediatools/cache/22-album-1/_320w/650x450-crop-100-media6.jpg','35682','13308','62.70','2017-11-16 14:36:57'),
('494','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-130_08.jpg','79294','27437','65.40','2017-11-16 14:36:58'),
('495','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-132_10.jpg','109686','42528','61.23','2017-11-16 14:36:59'),
('496','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-media1.jpg','75970','26538','65.07','2017-11-16 14:36:59'),
('497','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-media2.jpg','151335','67630','55.31','2017-11-16 14:37:00'),
('498','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-media3.jpg','71893','26243','63.50','2017-11-16 14:37:01'),
('499','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-media4.jpg','73193','26357','63.99','2017-11-16 14:37:01'),
('500','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-media5.jpg','66895','22896','65.77','2017-11-16 14:37:02'),
('501','/media/djmediatools/cache/22-album-1/_480w/650x450-crop-100-media6.jpg','70570','24409','65.41','2017-11-16 14:37:03'),
('510','/media/djmediatools/cache/22-album-1/_80w/300x205-crop-100-media1.jpg','4315','2132','50.59','2017-11-16 14:37:08'),
('511','/media/djmediatools/cache/22-album-1/_80w/300x205-crop-100-media2.jpg','5420','2827','47.84','2017-11-16 14:37:09'),
('512','/media/djmediatools/cache/22-album-1/_80w/300x205-crop-100-media3.jpg','4579','2278','50.25','2017-11-16 14:37:09'),
('513','/media/djmediatools/cache/22-album-1/_80w/300x205-crop-100-media4.jpg','4756','2400','49.54','2017-11-16 14:37:10'),
('514','/media/djmediatools/cache/22-album-1/_80w/300x205-crop-100-media5.jpg','4072','2065','49.29','2017-11-16 14:37:10'),
('523','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-130_08.jpg','5915','2743','53.63','2017-11-16 14:37:15'),
('524','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-132_10.jpg','6102','2859','53.15','2017-11-16 14:37:15'),
('525','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-media1.jpg','5589','2649','52.60','2017-11-16 14:37:16'),
('526','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-media2.jpg','7386','3822','48.25','2017-11-16 14:37:17'),
('527','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-media3.jpg','5771','2768','52.04','2017-11-16 14:37:17'),
('528','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-media4.jpg','5981','2905','51.43','2017-11-16 14:37:18'),
('529','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-media5.jpg','5031','2433','51.64','2017-11-16 14:37:18'),
('530','/media/djmediatools/cache/22-album-1/_80w/380x380-crop-100-media6.jpg','5425','2566','52.70','2017-11-16 14:37:19'),
('531','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-130_08.jpg','4648','2274','51.08','2017-11-16 14:37:19'),
('532','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-132_10.jpg','4806','2346','51.19','2017-11-16 14:37:20'),
('533','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-media1.jpg','4319','2133','50.61','2017-11-16 14:37:20'),
('534','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-media2.jpg','5403','2812','47.95','2017-11-16 14:37:21'),
('535','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-media3.jpg','4569','2283','50.03','2017-11-16 14:37:21'),
('536','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-media4.jpg','4749','2396','49.55','2017-11-16 14:37:22'),
('537','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-media5.jpg','4123','2058','50.08','2017-11-16 14:37:22'),
('538','/media/djmediatools/cache/22-album-1/_80w/650x450-crop-100-media6.jpg','4265','2092','50.95','2017-11-16 14:37:23');
INSERT INTO `#__djmt_resmushit` VALUES 
('547','/media/djmediatools/cache/23-album-2/1200x630-towidth-75-media1.jpg','74533','74472','0.08','2017-11-16 14:37:28'),
('548','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-130_08.jpg','414883','171889','58.57','2017-11-16 14:37:29'),
('549','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-132_10.jpg','723825','333551','53.92','2017-11-16 14:37:31'),
('550','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-media1.jpg','538180','224599','58.27','2017-11-16 14:37:32'),
('551','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-media2.jpg','644664','299617','53.52','2017-11-16 14:37:33'),
('552','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-media3.jpg','589687','264214','55.19','2017-11-16 14:37:34'),
('553','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-media4.jpg','499004','230240','53.86','2017-11-16 14:37:35'),
('554','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-media5.jpg','473612','217367','54.10','2017-11-16 14:37:36'),
('555','/media/djmediatools/cache/23-album-2/1600x0-towidth-100-media6.jpg','1064890','548209','48.52','2017-11-16 14:37:37'),
('556','/media/djmediatools/cache/23-album-2/200x150-crop-70-130_08.jpg','4725','4664','1.29','2017-11-16 14:37:38'),
('557','/media/djmediatools/cache/23-album-2/200x150-crop-70-132_10.jpg','5854','5793','1.04','2017-11-16 14:37:38'),
('558','/media/djmediatools/cache/23-album-2/200x150-crop-70-media1.jpg','6001','5940','1.02','2017-11-16 14:37:39'),
('559','/media/djmediatools/cache/23-album-2/200x150-crop-70-media2.jpg','6231','6170','0.98','2017-11-16 14:37:40'),
('560','/media/djmediatools/cache/23-album-2/200x150-crop-70-media3.jpg','6448','6387','0.95','2017-11-16 14:37:40'),
('561','/media/djmediatools/cache/23-album-2/200x150-crop-70-media4.jpg','4522','4461','1.35','2017-11-16 14:37:41'),
('562','/media/djmediatools/cache/23-album-2/200x150-crop-70-media5.jpg','4612','4551','1.32','2017-11-16 14:37:41'),
('563','/media/djmediatools/cache/23-album-2/200x150-crop-70-media6.jpg','7296','7235','0.84','2017-11-16 14:37:42'),
('565','/media/djmediatools/cache/23-album-2/220x220-crop-80-media1.jpg','9562','9501','0.64','2017-11-16 14:37:43'),
('566','/media/djmediatools/cache/23-album-2/230x230-crop-80-media1.jpg','10190','10129','0.60','2017-11-16 14:37:43'),
('567','/media/djmediatools/cache/23-album-2/230x450-towidth-100-130_08.jpg','23762','9370','60.57','2017-11-16 14:37:44'),
('568','/media/djmediatools/cache/23-album-2/230x450-towidth-100-132_10.jpg','30803','12791','58.47','2017-11-16 14:37:44'),
('569','/media/djmediatools/cache/23-album-2/230x450-towidth-100-media1.jpg','28903','11986','58.53','2017-11-16 14:37:45'),
('570','/media/djmediatools/cache/23-album-2/230x450-towidth-100-media2.jpg','29700','12299','58.59','2017-11-16 14:37:45'),
('571','/media/djmediatools/cache/23-album-2/230x450-towidth-100-media3.jpg','29386','12778','56.52','2017-11-16 14:37:46'),
('572','/media/djmediatools/cache/23-album-2/230x450-towidth-100-media4.jpg','24550','9857','59.85','2017-11-16 14:37:47'),
('573','/media/djmediatools/cache/23-album-2/230x450-towidth-100-media5.jpg','22935','9329','59.32','2017-11-16 14:37:47'),
('574','/media/djmediatools/cache/23-album-2/230x450-towidth-100-media6.jpg','35832','15672','56.26','2017-11-16 14:37:48'),
('575','/media/djmediatools/cache/23-album-2/280x280-towidth-100-130_08.jpg','32442','12375','61.86','2017-11-16 14:37:48'),
('576','/media/djmediatools/cache/23-album-2/280x280-towidth-100-132_10.jpg','43732','17832','59.22','2017-11-16 14:37:48'),
('577','/media/djmediatools/cache/23-album-2/280x280-towidth-100-media1.jpg','39767','15990','59.79','2017-11-16 14:37:49'),
('578','/media/djmediatools/cache/23-album-2/280x280-towidth-100-media2.jpg','41157','16398','60.16','2017-11-16 14:37:50'),
('579','/media/djmediatools/cache/23-album-2/280x280-towidth-100-media3.jpg','40330','16964','57.94','2017-11-16 14:37:51'),
('580','/media/djmediatools/cache/23-album-2/280x280-towidth-100-media4.jpg','34424','13515','60.74','2017-11-16 14:37:51'),
('581','/media/djmediatools/cache/23-album-2/280x280-towidth-100-media5.jpg','31237','12328','60.53','2017-11-16 14:37:52'),
('582','/media/djmediatools/cache/23-album-2/280x280-towidth-100-media6.jpg','52112','22401','57.01','2017-11-16 14:37:52'),
('583','/media/djmediatools/cache/23-album-2/356x315-crop-80-media1.jpg','17739','17678','0.34','2017-11-16 14:37:53'),
('584','/media/djmediatools/cache/23-album-2/380x380-crop-100-130_08.jpg','78639','26643','66.12','2017-11-16 14:37:53'),
('585','/media/djmediatools/cache/23-album-2/380x380-crop-100-132_10.jpg','100946','37987','62.37','2017-11-16 14:37:54'),
('586','/media/djmediatools/cache/23-album-2/380x380-crop-100-media1.jpg','85618','30992','63.80','2017-11-16 14:37:55'),
('587','/media/djmediatools/cache/23-album-2/380x380-crop-100-media2.jpg','95272','33742','64.58','2017-11-16 14:37:55'),
('588','/media/djmediatools/cache/23-album-2/380x380-crop-100-media3.jpg','92340','35881','61.14','2017-11-16 14:37:56'),
('589','/media/djmediatools/cache/23-album-2/380x380-crop-100-media4.jpg','80997','30198','62.72','2017-11-16 14:37:57'),
('590','/media/djmediatools/cache/23-album-2/380x380-crop-100-media5.jpg','78418','27947','64.36','2017-11-16 14:37:57'),
('591','/media/djmediatools/cache/23-album-2/380x380-crop-100-media6.jpg','144570','64085','55.67','2017-11-16 14:37:58'),
('592','/media/djmediatools/cache/23-album-2/435x334-crop-100-130_08.jpg','77077','26387','65.77','2017-11-16 14:37:59'),
('593','/media/djmediatools/cache/23-album-2/435x334-crop-100-132_10.jpg','107514','41222','61.66','2017-11-16 14:37:59'),
('594','/media/djmediatools/cache/23-album-2/435x334-crop-100-media1.jpg','90006','33236','63.07','2017-11-16 14:38:00'),
('595','/media/djmediatools/cache/23-album-2/435x334-crop-100-media2.jpg','96294','34595','64.07','2017-11-16 14:38:01'),
('596','/media/djmediatools/cache/23-album-2/435x334-crop-100-media3.jpg','95349','37151','61.04','2017-11-16 14:38:02'),
('597','/media/djmediatools/cache/23-album-2/435x334-crop-100-media4.jpg','82024','30974','62.24','2017-11-16 14:38:02');
INSERT INTO `#__djmt_resmushit` VALUES 
('598','/media/djmediatools/cache/23-album-2/435x334-crop-100-media5.jpg','74777','26452','64.63','2017-11-16 14:38:03'),
('599','/media/djmediatools/cache/23-album-2/435x334-crop-100-media6.jpg','142337','62054','56.40','2017-11-16 14:38:04'),
('600','/media/djmediatools/cache/23-album-2/455x334-crop-100-130_08.jpg','79377','27014','65.97','2017-11-16 14:38:04'),
('601','/media/djmediatools/cache/23-album-2/455x334-crop-100-132_10.jpg','112437','42998','61.76','2017-11-16 14:38:05'),
('602','/media/djmediatools/cache/23-album-2/455x334-crop-100-media1.jpg','93201','34439','63.05','2017-11-16 14:38:06'),
('603','/media/djmediatools/cache/23-album-2/455x334-crop-100-media2.jpg','99883','35937','64.02','2017-11-16 14:38:06'),
('604','/media/djmediatools/cache/23-album-2/455x334-crop-100-media3.jpg','98661','38282','61.20','2017-11-16 14:38:07'),
('605','/media/djmediatools/cache/23-album-2/455x334-crop-100-media4.jpg','84943','32096','62.21','2017-11-16 14:38:07'),
('606','/media/djmediatools/cache/23-album-2/455x334-crop-100-media5.jpg','76726','27014','64.79','2017-11-16 14:38:08'),
('607','/media/djmediatools/cache/23-album-2/455x334-crop-100-media6.jpg','146554','63555','56.63','2017-11-16 14:38:09'),
('608','/media/djmediatools/cache/23-album-2/570x380-crop-100-130_08.jpg','108304','35826','66.92','2017-11-16 14:38:10'),
('609','/media/djmediatools/cache/23-album-2/570x380-crop-100-132_10.jpg','158619','60595','61.80','2017-11-16 14:38:11'),
('610','/media/djmediatools/cache/23-album-2/570x380-crop-100-media1.jpg','126978','45863','63.88','2017-11-16 14:38:12'),
('611','/media/djmediatools/cache/23-album-2/570x380-crop-100-media2.jpg','136365','47166','65.41','2017-11-16 14:38:12'),
('612','/media/djmediatools/cache/23-album-2/570x380-crop-100-media3.jpg','134207','50786','62.16','2017-11-16 14:38:13'),
('613','/media/djmediatools/cache/23-album-2/570x380-crop-100-media4.jpg','116608','43319','62.85','2017-11-16 14:38:14'),
('614','/media/djmediatools/cache/23-album-2/570x380-crop-100-media5.jpg','103913','35148','66.18','2017-11-16 14:38:14'),
('615','/media/djmediatools/cache/23-album-2/570x380-crop-100-media6.jpg','200749','85663','57.33','2017-11-16 14:38:15'),
('616','/media/djmediatools/cache/23-album-2/570x450-crop-100-130_08.jpg','127755','41201','67.75','2017-11-16 14:38:16'),
('617','/media/djmediatools/cache/23-album-2/570x450-crop-100-132_10.jpg','179331','66840','62.73','2017-11-16 14:38:16'),
('618','/media/djmediatools/cache/23-album-2/570x450-crop-100-media1.jpg','143188','50458','64.76','2017-11-16 14:38:17'),
('619','/media/djmediatools/cache/23-album-2/570x450-crop-100-media2.jpg','159609','53902','66.23','2017-11-16 14:38:18'),
('620','/media/djmediatools/cache/23-album-2/570x450-crop-100-media3.jpg','155249','57900','62.71','2017-11-16 14:38:18'),
('621','/media/djmediatools/cache/23-album-2/570x450-crop-100-media4.jpg','134212','49398','63.19','2017-11-16 14:38:19'),
('622','/media/djmediatools/cache/23-album-2/570x450-crop-100-media5.jpg','125419','41633','66.80','2017-11-16 14:38:19'),
('623','/media/djmediatools/cache/23-album-2/570x450-crop-100-media6.jpg','245217','106218','56.68','2017-11-16 14:38:21'),
('624','/media/djmediatools/cache/23-album-2/570x470-crop-100-130_08.jpg','133189','42790','67.87','2017-11-16 14:38:21'),
('625','/media/djmediatools/cache/23-album-2/570x470-crop-100-132_10.jpg','184183','67958','63.10','2017-11-16 14:38:22'),
('626','/media/djmediatools/cache/23-album-2/570x470-crop-100-media1.jpg','146842','51578','64.88','2017-11-16 14:38:23'),
('627','/media/djmediatools/cache/23-album-2/570x470-crop-100-media2.jpg','164736','55041','66.59','2017-11-16 14:38:24'),
('628','/media/djmediatools/cache/23-album-2/570x470-crop-100-media3.jpg','160612','59559','62.92','2017-11-16 14:38:24'),
('629','/media/djmediatools/cache/23-album-2/570x470-crop-100-media4.jpg','138256','50691','63.34','2017-11-16 14:38:26'),
('630','/media/djmediatools/cache/23-album-2/570x470-crop-100-media5.jpg','130575','43254','66.87','2017-11-16 14:38:27'),
('631','/media/djmediatools/cache/23-album-2/570x470-crop-100-media6.jpg','256141','111048','56.65','2017-11-16 14:38:27'),
('632','/media/djmediatools/cache/23-album-2/570x570-crop-100-130_08.jpg','160667','51238','68.11','2017-11-16 14:38:28'),
('633','/media/djmediatools/cache/23-album-2/570x570-crop-100-132_10.jpg','208061','76137','63.41','2017-11-16 14:38:29'),
('634','/media/djmediatools/cache/23-album-2/570x570-crop-100-media1.jpg','166520','57174','65.67','2017-11-16 14:38:30'),
('635','/media/djmediatools/cache/23-album-2/570x570-crop-100-media2.jpg','195570','64494','67.02','2017-11-16 14:38:31'),
('636','/media/djmediatools/cache/23-album-2/570x570-crop-100-media3.jpg','185237','67831','63.38','2017-11-16 14:38:32'),
('637','/media/djmediatools/cache/23-album-2/570x570-crop-100-media4.jpg','160264','58030','63.79','2017-11-16 14:38:32'),
('638','/media/djmediatools/cache/23-album-2/570x570-crop-100-media5.jpg','161505','53060','67.15','2017-11-16 14:38:33'),
('639','/media/djmediatools/cache/23-album-2/570x570-crop-100-media6.jpg','309677','134396','56.60','2017-11-16 14:38:34'),
('640','/media/djmediatools/cache/23-album-2/60x40-crop-80-130_08.jpg','1419','1358','4.30','2017-11-16 14:38:34'),
('641','/media/djmediatools/cache/23-album-2/60x40-crop-80-132_10.jpg','1443','1382','4.23','2017-11-16 14:38:35'),
('643','/media/djmediatools/cache/23-album-2/60x40-crop-80-media2.jpg','1568','1507','3.89','2017-11-16 14:38:36'),
('644','/media/djmediatools/cache/23-album-2/60x40-crop-80-media3.jpg','1528','1467','3.99','2017-11-16 14:38:37'),
('645','/media/djmediatools/cache/23-album-2/60x40-crop-80-media4.jpg','1183','1122','5.16','2017-11-16 14:38:38'),
('646','/media/djmediatools/cache/23-album-2/60x40-crop-80-media5.jpg','1281','1220','4.76','2017-11-16 14:38:38'),
('647','/media/djmediatools/cache/23-album-2/60x40-crop-80-media6.jpg','1445','1384','4.22','2017-11-16 14:38:39'),
('648','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-130_08.jpg','1585','1524','3.85','2017-11-16 14:38:39');
INSERT INTO `#__djmt_resmushit` VALUES 
('649','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-132_10.jpg','1588','1527','3.84','2017-11-16 14:38:40'),
('650','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-media1.jpg','1879','1818','3.25','2017-11-16 14:38:40'),
('651','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-media2.jpg','1828','1767','3.34','2017-11-16 14:38:41'),
('652','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-media3.jpg','1995','1934','3.06','2017-11-16 14:38:45'),
('653','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-media4.jpg','1558','1497','3.92','2017-11-16 14:38:45'),
('654','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-media5.jpg','1738','1677','3.51','2017-11-16 14:38:46'),
('655','/media/djmediatools/cache/23-album-2/64x64-crop-80-870x380-crop-100-media6.jpg','2039','1978','2.99','2017-11-16 14:38:47'),
('656','/media/djmediatools/cache/23-album-2/650x450-crop-100-130_08.jpg','142087','45332','68.10','2017-11-16 14:38:47'),
('657','/media/djmediatools/cache/23-album-2/650x450-crop-100-132_10.jpg','207725','77955','62.47','2017-11-16 14:38:48'),
('658','/media/djmediatools/cache/23-album-2/650x450-crop-100-media1.jpg','162584','57412','64.69','2017-11-16 14:38:48'),
('659','/media/djmediatools/cache/23-album-2/650x450-crop-100-media2.jpg','179801','60426','66.39','2017-11-16 14:38:49'),
('660','/media/djmediatools/cache/23-album-2/650x450-crop-100-media3.jpg','174483','64509','63.03','2017-11-16 14:38:50'),
('661','/media/djmediatools/cache/23-album-2/650x450-crop-100-media4.jpg','151250','55644','63.21','2017-11-16 14:38:50'),
('662','/media/djmediatools/cache/23-album-2/650x450-crop-100-media5.jpg','137863','45087','67.30','2017-11-16 14:38:51'),
('663','/media/djmediatools/cache/23-album-2/650x450-crop-100-media6.jpg','270268','115191','57.38','2017-11-16 14:38:52'),
('664','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-130_08.jpg','2178','2117','2.80','2017-11-16 14:38:53'),
('665','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-132_10.jpg','2243','2182','2.72','2017-11-16 14:38:53'),
('666','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-media1.jpg','2406','2345','2.54','2017-11-16 14:38:54'),
('667','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-media2.jpg','2603','2542','2.34','2017-11-16 14:38:54'),
('668','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-media3.jpg','2455','2394','2.48','2017-11-16 14:38:55'),
('669','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-media4.jpg','1925','1864','3.17','2017-11-16 14:38:56'),
('670','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-media5.jpg','2132','2071','2.86','2017-11-16 14:38:57'),
('671','/media/djmediatools/cache/23-album-2/80x80-crop-80-435x334-crop-100-media6.jpg','2685','2624','2.27','2017-11-16 14:38:58'),
('672','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-130_08.jpg','2179','2118','2.80','2017-11-16 14:38:58'),
('673','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-132_10.jpg','2242','2181','2.72','2017-11-16 14:38:59'),
('674','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-media1.jpg','2403','2342','2.54','2017-11-16 14:38:59'),
('675','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-media2.jpg','2609','2548','2.34','2017-11-16 14:39:00'),
('676','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-media3.jpg','2454','2393','2.49','2017-11-16 14:39:01'),
('677','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-media4.jpg','1932','1871','3.16','2017-11-16 14:39:01'),
('678','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-media5.jpg','2133','2072','2.86','2017-11-16 14:39:02'),
('679','/media/djmediatools/cache/23-album-2/80x80-crop-80-455x334-crop-100-media6.jpg','2691','2630','2.27','2017-11-16 14:39:03'),
('680','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-130_08.jpg','2187','2126','2.79','2017-11-16 14:39:03'),
('681','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-132_10.jpg','2230','2169','2.74','2017-11-16 14:39:04'),
('682','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-media1.jpg','2387','2326','2.56','2017-11-16 14:39:04'),
('683','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-media2.jpg','2601','2540','2.35','2017-11-16 14:39:05'),
('684','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-media3.jpg','2458','2397','2.48','2017-11-16 14:39:05'),
('685','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-media4.jpg','1936','1875','3.15','2017-11-16 14:39:07'),
('686','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-media5.jpg','2129','2068','2.87','2017-11-16 14:39:07'),
('687','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x380-crop-100-media6.jpg','2704','2643','2.26','2017-11-16 14:39:09'),
('688','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-130_08.jpg','2183','2122','2.79','2017-11-16 14:39:10'),
('689','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-132_10.jpg','2247','2186','2.71','2017-11-16 14:39:12'),
('690','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-media1.jpg','2403','2342','2.54','2017-11-16 14:39:13'),
('691','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-media2.jpg','2595','2534','2.35','2017-11-16 14:39:14'),
('692','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-media3.jpg','2461','2400','2.48','2017-11-16 14:39:14'),
('693','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-media4.jpg','1938','1877','3.15','2017-11-16 14:39:15'),
('694','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-media5.jpg','2133','2072','2.86','2017-11-16 14:39:15'),
('695','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x450-crop-100-media6.jpg','2702','2641','2.26','2017-11-16 14:39:16'),
('696','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-130_08.jpg','2189','2128','2.79','2017-11-16 14:39:17'),
('697','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-132_10.jpg','2248','2187','2.71','2017-11-16 14:39:17'),
('698','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-media1.jpg','2399','2338','2.54','2017-11-16 14:39:18');
INSERT INTO `#__djmt_resmushit` VALUES 
('699','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-media2.jpg','2613','2552','2.33','2017-11-16 14:39:18'),
('700','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-media3.jpg','2457','2396','2.48','2017-11-16 14:39:19'),
('701','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-media4.jpg','1937','1876','3.15','2017-11-16 14:39:20'),
('702','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-media5.jpg','2129','2068','2.87','2017-11-16 14:39:20'),
('703','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x470-crop-100-media6.jpg','2703','2642','2.26','2017-11-16 14:39:21'),
('704','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-130_08.jpg','2192','2131','2.78','2017-11-16 14:39:22'),
('705','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-132_10.jpg','2249','2188','2.71','2017-11-16 14:39:23'),
('706','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-media1.jpg','2407','2346','2.53','2017-11-16 14:39:23'),
('707','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-media2.jpg','2612','2551','2.34','2017-11-16 14:39:24'),
('708','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-media3.jpg','2468','2407','2.47','2017-11-16 14:39:26'),
('709','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-media4.jpg','1940','1879','3.14','2017-11-16 14:39:27'),
('710','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-media5.jpg','2132','2071','2.86','2017-11-16 14:39:27'),
('711','/media/djmediatools/cache/23-album-2/80x80-crop-80-570x570-crop-100-media6.jpg','2710','2649','2.25','2017-11-16 14:39:28'),
('712','/media/djmediatools/cache/23-album-2/870x380-crop-100-130_08.jpg','155072','48416','68.78','2017-11-16 14:39:29'),
('713','/media/djmediatools/cache/23-album-2/870x380-crop-100-132_10.jpg','240850','91831','61.87','2017-11-16 14:39:30'),
('714','/media/djmediatools/cache/23-album-2/870x380-crop-100-media1.jpg','180445','63427','64.85','2017-11-16 14:39:30'),
('715','/media/djmediatools/cache/23-album-2/870x380-crop-100-media2.jpg','198137','64840','67.28','2017-11-16 14:39:31'),
('716','/media/djmediatools/cache/23-album-2/870x380-crop-100-media3.jpg','203879','75557','62.94','2017-11-16 14:39:33'),
('717','/media/djmediatools/cache/23-album-2/870x380-crop-100-media4.jpg','162385','59062','63.63','2017-11-16 14:39:34'),
('718','/media/djmediatools/cache/23-album-2/870x380-crop-100-media5.jpg','152059','48937','67.82','2017-11-16 14:39:34'),
('719','/media/djmediatools/cache/23-album-2/870x380-crop-100-media6.jpg','297160','126681','57.37','2017-11-16 14:39:35'),
('720','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-130_08.jpg','2363','2302','2.58','2017-11-16 14:39:36'),
('721','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-132_10.jpg','2517','2456','2.42','2017-11-16 14:39:36'),
('722','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-media1.jpg','2974','2913','2.05','2017-11-16 14:39:37'),
('723','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-media2.jpg','2866','2805','2.13','2017-11-16 14:39:38'),
('724','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-media3.jpg','3252','3191','1.88','2017-11-16 14:39:38'),
('725','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-media4.jpg','2423','2362','2.52','2017-11-16 14:39:39'),
('726','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-media5.jpg','2702','2641','2.26','2017-11-16 14:39:39'),
('727','/media/djmediatools/cache/23-album-2/90x90-crop-80-870x380-crop-100-media6.jpg','3480','3419','1.75','2017-11-16 14:39:40'),
('728','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-130_08.jpg','2395','2334','2.55','2017-11-16 14:39:41'),
('729','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-132_10.jpg','2547','2486','2.39','2017-11-16 14:39:41'),
('730','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-media1.jpg','2997','2936','2.04','2017-11-16 14:39:42'),
('731','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-media2.jpg','2873','2812','2.12','2017-11-16 14:39:43'),
('732','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-media3.jpg','3258','3197','1.87','2017-11-16 14:39:44'),
('733','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-media4.jpg','2454','2393','2.49','2017-11-16 14:39:44'),
('734','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-media5.jpg','2733','2672','2.23','2017-11-16 14:39:45'),
('735','/media/djmediatools/cache/23-album-2/91x91-crop-80-870x380-crop-100-media6.jpg','3500','3439','1.74','2017-11-16 14:39:45'),
('736','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-130_08.jpg','2397','2336','2.54','2017-11-16 14:39:46'),
('737','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-132_10.jpg','2570','2509','2.37','2017-11-16 14:39:46'),
('738','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-media1.jpg','3019','2958','2.02','2017-11-16 14:39:47'),
('739','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-media2.jpg','2881','2820','2.12','2017-11-16 14:39:48'),
('740','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-media3.jpg','3276','3215','1.86','2017-11-16 14:39:48'),
('741','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-media4.jpg','2484','2423','2.46','2017-11-16 14:39:49'),
('742','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-media5.jpg','2761','2700','2.21','2017-11-16 14:39:49'),
('743','/media/djmediatools/cache/23-album-2/92x92-crop-80-870x380-crop-100-media6.jpg','3530','3469','1.73','2017-11-16 14:39:50'),
('744','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-130_08.jpg','2392','2331','2.55','2017-11-16 14:39:51'),
('745','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-132_10.jpg','2602','2541','2.34','2017-11-16 14:39:52'),
('746','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-media1.jpg','3013','2952','2.02','2017-11-16 14:39:52'),
('747','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-media2.jpg','2901','2840','2.10','2017-11-16 14:39:53'),
('748','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-media3.jpg','3295','3234','1.85','2017-11-16 14:39:53');
INSERT INTO `#__djmt_resmushit` VALUES 
('749','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-media4.jpg','2481','2420','2.46','2017-11-16 14:39:54'),
('750','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-media5.jpg','2766','2705','2.21','2017-11-16 14:39:55'),
('751','/media/djmediatools/cache/23-album-2/93x93-crop-80-870x380-crop-100-media6.jpg','3567','3506','1.71','2017-11-16 14:39:56'),
('752','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-130_08.jpg','7996','3614','54.80','2017-11-16 14:39:56'),
('753','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-132_10.jpg','8715','3941','54.78','2017-11-16 14:39:58'),
('754','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-media1.jpg','8948','4112','54.05','2017-11-16 14:39:58'),
('755','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-media2.jpg','9252','4279','53.75','2017-11-16 14:39:59'),
('756','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-media3.jpg','8877','4237','52.27','2017-11-16 14:39:59'),
('757','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-media4.jpg','7297','3152','56.80','2017-11-16 14:40:00'),
('758','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-media5.jpg','7346','3342','54.51','2017-11-16 14:40:01'),
('759','/media/djmediatools/cache/23-album-2/_120w/230x450-towidth-100-media6.jpg','9517','4295','54.87','2017-11-16 14:40:01'),
('760','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-130_08.jpg','8000','3612','54.85','2017-11-16 14:40:02'),
('761','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-132_10.jpg','8694','3936','54.73','2017-11-16 14:40:03'),
('762','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-media1.jpg','8932','4116','53.92','2017-11-16 14:40:04'),
('763','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-media2.jpg','9227','4274','53.68','2017-11-16 14:40:05'),
('764','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-media3.jpg','8857','4248','52.04','2017-11-16 14:40:07'),
('765','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-media4.jpg','7286','3133','57.00','2017-11-16 14:40:09'),
('766','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-media5.jpg','7372','3354','54.50','2017-11-16 14:40:10'),
('767','/media/djmediatools/cache/23-album-2/_120w/280x280-towidth-100-media6.jpg','9465','4277','54.81','2017-11-16 14:40:10'),
('768','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-130_08.jpg','11059','4706','57.45','2017-11-16 14:40:11'),
('769','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-132_10.jpg','12040','5152','57.21','2017-11-16 14:40:12'),
('770','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-media1.jpg','12426','5422','56.37','2017-11-16 14:40:13'),
('771','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-media2.jpg','13150','5840','55.59','2017-11-16 14:40:13'),
('772','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-media3.jpg','12185','5584','54.17','2017-11-16 14:40:14'),
('773','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-media4.jpg','10598','4461','57.91','2017-11-16 14:40:15'),
('774','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-media5.jpg','10871','4780','56.03','2017-11-16 14:40:15'),
('775','/media/djmediatools/cache/23-album-2/_120w/380x380-crop-100-media6.jpg','14592','6617','54.65','2017-11-16 14:40:16'),
('776','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-130_08.jpg','9056','4009','55.73','2017-11-16 14:40:17'),
('777','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-132_10.jpg','10055','4428','55.96','2017-11-16 14:40:18'),
('778','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-media1.jpg','10174','4586','54.92','2017-11-16 14:40:19'),
('779','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-media2.jpg','10782','4872','54.81','2017-11-16 14:40:20'),
('780','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-media3.jpg','9976','4707','52.82','2017-11-16 14:40:21'),
('781','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-media4.jpg','8480','3632','57.17','2017-11-16 14:40:21'),
('782','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-media5.jpg','8552','3847','55.02','2017-11-16 14:40:22'),
('783','/media/djmediatools/cache/23-album-2/_120w/435x334-crop-100-media6.jpg','11304','5155','54.40','2017-11-16 14:40:23'),
('784','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-130_08.jpg','8717','3846','55.88','2017-11-16 14:40:23'),
('785','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-132_10.jpg','9564','4266','55.40','2017-11-16 14:40:24'),
('786','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-media1.jpg','9829','4463','54.59','2017-11-16 14:40:25'),
('787','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-media2.jpg','10287','4681','54.50','2017-11-16 14:40:26'),
('788','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-media3.jpg','9611','4553','52.63','2017-11-16 14:40:27'),
('789','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-media4.jpg','8044','3447','57.15','2017-11-16 14:40:28'),
('790','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-media5.jpg','8114','3614','55.46','2017-11-16 14:40:29'),
('791','/media/djmediatools/cache/23-album-2/_120w/455x334-crop-100-media6.jpg','10676','4847','54.60','2017-11-16 14:40:29'),
('792','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-130_08.jpg','8023','3614','54.95','2017-11-16 14:40:30'),
('793','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-132_10.jpg','8623','3923','54.51','2017-11-16 14:40:31'),
('794','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-media1.jpg','8934','4113','53.96','2017-11-16 14:40:31'),
('795','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-media2.jpg','9191','4282','53.41','2017-11-16 14:40:32'),
('796','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-media3.jpg','8883','4225','52.44','2017-11-16 14:40:33'),
('797','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-media4.jpg','7243','3144','56.59','2017-11-16 14:40:34'),
('798','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-media5.jpg','7368','3351','54.52','2017-11-16 14:40:35');
INSERT INTO `#__djmt_resmushit` VALUES 
('799','/media/djmediatools/cache/23-album-2/_120w/570x380-crop-100-media6.jpg','9424','4275','54.64','2017-11-16 14:40:36'),
('800','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-130_08.jpg','9150','4033','55.92','2017-11-16 14:40:37'),
('801','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-132_10.jpg','10075','4458','55.75','2017-11-16 14:40:38'),
('802','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-media1.jpg','10278','4640','54.86','2017-11-16 14:40:38'),
('803','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-media2.jpg','10827','4890','54.84','2017-11-16 14:40:39'),
('804','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-media3.jpg','10139','4766','52.99','2017-11-16 14:40:40'),
('805','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-media4.jpg','8547','3672','57.04','2017-11-16 14:40:40'),
('806','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-media5.jpg','8693','3916','54.95','2017-11-16 14:40:41'),
('807','/media/djmediatools/cache/23-album-2/_120w/570x450-crop-100-media6.jpg','11508','5300','53.95','2017-11-16 14:40:42'),
('808','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-130_08.jpg','9634','4256','55.82','2017-11-16 14:40:43'),
('809','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-132_10.jpg','10514','4640','55.87','2017-11-16 14:40:43'),
('810','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-media1.jpg','10757','4834','55.06','2017-11-16 14:40:45'),
('811','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-media2.jpg','11258','5080','54.88','2017-11-16 14:40:46'),
('812','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-media3.jpg','10620','4984','53.07','2017-11-16 14:40:46'),
('813','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-media4.jpg','9032','3852','57.35','2017-11-16 14:40:47'),
('814','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-media5.jpg','9161','4116','55.07','2017-11-16 14:40:48'),
('815','/media/djmediatools/cache/23-album-2/_120w/570x470-crop-100-media6.jpg','12183','5588','54.13','2017-11-16 14:40:48'),
('816','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-130_08.jpg','11107','4709','57.60','2017-11-16 14:40:49'),
('817','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-132_10.jpg','12089','5186','57.10','2017-11-16 14:40:50'),
('818','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-media1.jpg','12463','5429','56.44','2017-11-16 14:40:51'),
('819','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-media2.jpg','13191','5872','55.48','2017-11-16 14:40:51'),
('820','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-media3.jpg','12190','5593','54.12','2017-11-16 14:40:52'),
('821','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-media4.jpg','10622','4461','58.00','2017-11-16 14:40:53'),
('822','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-media5.jpg','10905','4779','56.18','2017-11-16 14:40:53'),
('823','/media/djmediatools/cache/23-album-2/_120w/570x570-crop-100-media6.jpg','14651','6660','54.54','2017-11-16 14:40:54'),
('824','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-130_08.jpg','8403','3767','55.17','2017-11-16 14:40:55'),
('825','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-132_10.jpg','9265','4207','54.59','2017-11-16 14:40:56'),
('826','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-media1.jpg','9453','4350','53.98','2017-11-16 14:40:57'),
('827','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-media2.jpg','9931','4613','53.55','2017-11-16 14:40:58'),
('828','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-media3.jpg','9347','4445','52.44','2017-11-16 14:40:59'),
('829','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-media4.jpg','7798','3362','56.89','2017-11-16 14:41:00'),
('830','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-media5.jpg','7826','3560','54.51','2017-11-16 14:41:00'),
('831','/media/djmediatools/cache/23-album-2/_120w/650x450-crop-100-media6.jpg','10164','4658','54.17','2017-11-16 14:41:01'),
('832','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-130_08.jpg','5812','2718','53.23','2017-11-16 14:41:02'),
('833','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-132_10.jpg','6301','2918','53.69','2017-11-16 14:41:04'),
('834','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-media1.jpg','6724','3178','52.74','2017-11-16 14:41:05'),
('835','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-media2.jpg','6847','3218','53.00','2017-11-16 14:41:05'),
('836','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-media3.jpg','6847','3383','50.59','2017-11-16 14:41:06'),
('837','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-media4.jpg','5433','2421','55.44','2017-11-16 14:41:07'),
('838','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-media5.jpg','5523','2612','52.71','2017-11-16 14:41:07'),
('839','/media/djmediatools/cache/23-album-2/_120w/870x380-crop-100-media6.jpg','7001','3343','52.25','2017-11-16 14:41:08'),
('840','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-130_08.jpg','12930','5413','58.14','2017-11-16 14:41:09'),
('841','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-132_10.jpg','15164','6490','57.20','2017-11-16 14:41:10'),
('842','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-media1.jpg','14942','6557','56.12','2017-11-16 14:41:10'),
('843','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-media2.jpg','15674','6872','56.16','2017-11-16 14:41:11'),
('844','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-media3.jpg','14898','6852','54.01','2017-11-16 14:41:12'),
('845','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-media4.jpg','12323','5174','58.01','2017-11-16 14:41:12'),
('846','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-media5.jpg','12223','5284','56.77','2017-11-16 14:41:13'),
('847','/media/djmediatools/cache/23-album-2/_160w/230x450-towidth-100-media6.jpg','17007','7486','55.98','2017-11-16 14:41:14'),
('848','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-130_08.jpg','12798','5333','58.33','2017-11-16 14:41:15');
INSERT INTO `#__djmt_resmushit` VALUES 
('849','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-132_10.jpg','14767','6310','57.27','2017-11-16 14:41:15'),
('850','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-media1.jpg','14725','6406','56.50','2017-11-16 14:41:16'),
('851','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-media2.jpg','15347','6727','56.17','2017-11-16 14:41:17'),
('852','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-media3.jpg','14590','6708','54.02','2017-11-16 14:41:17'),
('853','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-media4.jpg','12166','5057','58.43','2017-11-16 14:41:18'),
('854','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-media5.jpg','12115','5193','57.14','2017-11-16 14:41:19'),
('855','/media/djmediatools/cache/23-album-2/_160w/280x280-towidth-100-media6.jpg','16521','7221','56.29','2017-11-16 14:41:21'),
('856','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-130_08.jpg','17140','6838','60.11','2017-11-16 14:41:21'),
('857','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-132_10.jpg','19382','7962','58.92','2017-11-16 14:41:22'),
('858','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-media1.jpg','19474','8105','58.38','2017-11-16 14:41:23'),
('859','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-media2.jpg','20446','8637','57.76','2017-11-16 14:41:23'),
('860','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-media3.jpg','19470','8539','56.14','2017-11-16 14:41:24'),
('861','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-media4.jpg','17205','6901','59.89','2017-11-16 14:41:25'),
('862','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-media5.jpg','17122','7186','58.03','2017-11-16 14:41:26'),
('863','/media/djmediatools/cache/23-album-2/_160w/380x380-crop-100-media6.jpg','24595','10869','55.81','2017-11-16 14:41:27'),
('864','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-130_08.jpg','14202','5833','58.93','2017-11-16 14:41:27'),
('865','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-132_10.jpg','16704','7081','57.61','2017-11-16 14:41:30'),
('866','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-media1.jpg','16488','7065','57.15','2017-11-16 14:41:31'),
('867','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-media2.jpg','17201','7458','56.64','2017-11-16 14:41:32'),
('868','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-media3.jpg','16349','7430','54.55','2017-11-16 14:41:32'),
('869','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-media4.jpg','13891','5698','58.98','2017-11-16 14:41:33'),
('870','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-media5.jpg','13750','5841','57.52','2017-11-16 14:41:34'),
('871','/media/djmediatools/cache/23-album-2/_160w/435x334-crop-100-media6.jpg','19332','8518','55.94','2017-11-16 14:41:34'),
('872','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-130_08.jpg','13724','5627','59.00','2017-11-16 14:41:35'),
('873','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-132_10.jpg','15971','6759','57.68','2017-11-16 14:41:36'),
('874','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-media1.jpg','15838','6790','57.13','2017-11-16 14:41:37'),
('875','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-media2.jpg','16510','7218','56.28','2017-11-16 14:41:37'),
('876','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-media3.jpg','15671','7128','54.51','2017-11-16 14:41:38'),
('877','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-media4.jpg','13284','5503','58.57','2017-11-16 14:41:39'),
('878','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-media5.jpg','13037','5539','57.51','2017-11-16 14:41:39'),
('879','/media/djmediatools/cache/23-album-2/_160w/455x334-crop-100-media6.jpg','18294','8101','55.72','2017-11-16 14:41:41'),
('880','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-130_08.jpg','12912','5360','58.49','2017-11-16 14:41:42'),
('881','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-132_10.jpg','14750','6330','57.08','2017-11-16 14:41:43'),
('882','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-media1.jpg','14780','6425','56.53','2017-11-16 14:41:43'),
('883','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-media2.jpg','15415','6710','56.47','2017-11-16 14:41:44'),
('884','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-media3.jpg','14649','6712','54.18','2017-11-16 14:41:45'),
('885','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-media4.jpg','12259','5051','58.80','2017-11-16 14:41:46'),
('886','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-media5.jpg','12184','5199','57.33','2017-11-16 14:41:47'),
('887','/media/djmediatools/cache/23-album-2/_160w/570x380-crop-100-media6.jpg','16540','7265','56.08','2017-11-16 14:41:47'),
('888','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-130_08.jpg','14506','5935','59.09','2017-11-16 14:41:48'),
('889','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-132_10.jpg','16747','7108','57.56','2017-11-16 14:41:48'),
('890','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-media1.jpg','16729','7145','57.29','2017-11-16 14:41:49'),
('891','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-media2.jpg','17482','7539','56.88','2017-11-16 14:41:50'),
('892','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-media3.jpg','16616','7520','54.74','2017-11-16 14:41:51'),
('893','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-media4.jpg','14112','5796','58.93','2017-11-16 14:41:51'),
('894','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-media5.jpg','14011','5891','57.95','2017-11-16 14:41:52'),
('895','/media/djmediatools/cache/23-album-2/_160w/570x450-crop-100-media6.jpg','19777','8814','55.43','2017-11-16 14:41:53'),
('896','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-130_08.jpg','15039','6163','59.02','2017-11-16 14:41:53'),
('897','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-132_10.jpg','17377','7322','57.86','2017-11-16 14:41:54'),
('898','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-media1.jpg','17268','7345','57.46','2017-11-16 14:41:55');
INSERT INTO `#__djmt_resmushit` VALUES 
('899','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-media2.jpg','18067','7712','57.31','2017-11-16 14:41:56'),
('900','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-media3.jpg','17163','7723','55.00','2017-11-16 14:41:57'),
('901','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-media4.jpg','14671','6016','58.99','2017-11-16 14:41:57'),
('902','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-media5.jpg','14651','6142','58.08','2017-11-16 14:41:58'),
('903','/media/djmediatools/cache/23-album-2/_160w/570x470-crop-100-media6.jpg','20738','9164','55.81','2017-11-16 14:41:59'),
('904','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-130_08.jpg','17363','6934','60.06','2017-11-16 14:41:59'),
('905','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-132_10.jpg','19577','8059','58.83','2017-11-16 14:42:00'),
('906','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-media1.jpg','19711','8181','58.50','2017-11-16 14:42:01'),
('907','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-media2.jpg','20736','8742','57.84','2017-11-16 14:42:01'),
('908','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-media3.jpg','19661','8637','56.07','2017-11-16 14:42:02'),
('909','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-media4.jpg','17321','6968','59.77','2017-11-16 14:42:03'),
('910','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-media5.jpg','17354','7297','57.95','2017-11-16 14:42:03'),
('911','/media/djmediatools/cache/23-album-2/_160w/570x570-crop-100-media6.jpg','24853','11031','55.62','2017-11-16 14:42:04'),
('912','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-130_08.jpg','13022','5395','58.57','2017-11-16 14:42:05'),
('913','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-132_10.jpg','15047','6491','56.86','2017-11-16 14:42:06'),
('914','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-media1.jpg','15034','6528','56.58','2017-11-16 14:42:07'),
('915','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-media2.jpg','15504','6759','56.40','2017-11-16 14:42:07'),
('916','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-media3.jpg','14955','6817','54.42','2017-11-16 14:42:08'),
('917','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-media4.jpg','12497','5147','58.81','2017-11-16 14:42:09'),
('918','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-media5.jpg','12224','5185','57.58','2017-11-16 14:42:10'),
('919','/media/djmediatools/cache/23-album-2/_160w/650x450-crop-100-media6.jpg','16967','7496','55.82','2017-11-16 14:42:11'),
('920','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-130_08.jpg','8884','3852','56.64','2017-11-16 14:42:12'),
('921','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-132_10.jpg','10003','4397','56.04','2017-11-16 14:42:13'),
('922','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-media1.jpg','10584','4775','54.88','2017-11-16 14:42:14'),
('923','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-media2.jpg','10619','4779','55.00','2017-11-16 14:42:15'),
('924','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-media3.jpg','10924','5192','52.47','2017-11-16 14:42:16'),
('925','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-media4.jpg','8661','3661','57.73','2017-11-16 14:42:17'),
('926','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-media5.jpg','8596','3802','55.77','2017-11-16 14:42:18'),
('927','/media/djmediatools/cache/23-album-2/_160w/870x380-crop-100-media6.jpg','11518','5221','54.67','2017-11-16 14:42:18'),
('928','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-130_08.jpg','23448','9288','60.39','2017-11-16 14:42:19'),
('929','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-132_10.jpg','29318','12107','58.70','2017-11-16 14:42:21'),
('930','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-media1.jpg','28048','11695','58.30','2017-11-16 14:42:22'),
('931','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-media2.jpg','28443','11859','58.31','2017-11-16 14:42:23'),
('932','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-media3.jpg','28251','12362','56.24','2017-11-16 14:42:25'),
('933','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-media4.jpg','23645','9491','59.86','2017-11-16 14:42:26'),
('934','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-media5.jpg','22484','9123','59.42','2017-11-16 14:42:27'),
('935','/media/djmediatools/cache/23-album-2/_240w/280x280-towidth-100-media6.jpg','34190','14550','57.44','2017-11-16 14:42:28'),
('936','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-130_08.jpg','32960','12383','62.43','2017-11-16 14:42:29'),
('937','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-132_10.jpg','38959','15342','60.62','2017-11-16 14:42:30'),
('938','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-media1.jpg','37185','14689','60.50','2017-11-16 14:42:31'),
('939','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-media2.jpg','38994','15638','59.90','2017-11-16 14:42:32'),
('940','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-media3.jpg','37924','15938','57.97','2017-11-16 14:42:33'),
('941','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-media4.jpg','33698','13009','61.40','2017-11-16 14:42:33'),
('942','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-media5.jpg','32804','13004','60.36','2017-11-16 14:42:34'),
('943','/media/djmediatools/cache/23-album-2/_240w/380x380-crop-100-media6.jpg','51666','22210','57.01','2017-11-16 14:42:35'),
('944','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-130_08.jpg','26391','10209','61.32','2017-11-16 14:42:35'),
('945','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-132_10.jpg','32742','13274','59.46','2017-11-16 14:42:36'),
('946','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-media1.jpg','31355','12807','59.15','2017-11-16 14:42:37'),
('947','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-media2.jpg','32397','13319','58.89','2017-11-16 14:42:37'),
('948','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-media3.jpg','31603','13555','57.11','2017-11-16 14:42:38');
INSERT INTO `#__djmt_resmushit` VALUES 
('949','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-media4.jpg','26999','10662','60.51','2017-11-16 14:42:39'),
('950','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-media5.jpg','25701','10218','60.24','2017-11-16 14:42:39'),
('951','/media/djmediatools/cache/23-album-2/_240w/435x334-crop-100-media6.jpg','39938','16986','57.47','2017-11-16 14:42:40'),
('952','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-130_08.jpg','25260','9862','60.96','2017-11-16 14:42:41'),
('953','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-132_10.jpg','31292','12698','59.42','2017-11-16 14:42:42'),
('954','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-media1.jpg','30047','12405','58.71','2017-11-16 14:42:43'),
('955','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-media2.jpg','30818','12806','58.45','2017-11-16 14:42:43'),
('956','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-media3.jpg','30312','13145','56.63','2017-11-16 14:42:44'),
('957','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-media4.jpg','25717','10172','60.45','2017-11-16 14:42:45'),
('958','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-media5.jpg','24493','9794','60.01','2017-11-16 14:42:45'),
('959','/media/djmediatools/cache/23-album-2/_240w/455x334-crop-100-media6.jpg','37697','16088','57.32','2017-11-16 14:42:46'),
('960','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-130_08.jpg','23489','9242','60.65','2017-11-16 14:42:47'),
('961','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-132_10.jpg','28752','11852','58.78','2017-11-16 14:42:48'),
('962','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-media1.jpg','27914','11591','58.48','2017-11-16 14:42:49'),
('963','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-media2.jpg','28238','11758','58.36','2017-11-16 14:42:49'),
('964','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-media3.jpg','28042','12207','56.47','2017-11-16 14:42:50'),
('965','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-media4.jpg','23595','9320','60.50','2017-11-16 14:42:51'),
('966','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-media5.jpg','22481','8981','60.05','2017-11-16 14:42:52'),
('967','/media/djmediatools/cache/23-album-2/_240w/570x380-crop-100-media6.jpg','33192','14110','57.49','2017-11-16 14:42:53'),
('968','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-130_08.jpg','27321','10581','61.27','2017-11-16 14:42:54'),
('969','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-132_10.jpg','33390','13481','59.63','2017-11-16 14:42:54'),
('970','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-media1.jpg','32183','13101','59.29','2017-11-16 14:42:55'),
('971','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-media2.jpg','33287','13675','58.92','2017-11-16 14:42:56'),
('972','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-media3.jpg','32229','13732','57.39','2017-11-16 14:42:56'),
('973','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-media4.jpg','27849','10915','60.81','2017-11-16 14:42:57'),
('974','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-media5.jpg','26671','10562','60.40','2017-11-16 14:42:58'),
('975','/media/djmediatools/cache/23-album-2/_240w/570x450-crop-100-media6.jpg','41140','17612','57.19','2017-11-16 14:42:59'),
('976','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-130_08.jpg','28271','10900','61.44','2017-11-16 14:43:00'),
('977','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-132_10.jpg','34336','13808','59.79','2017-11-16 14:43:01'),
('978','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-media1.jpg','32880','13312','59.51','2017-11-16 14:43:01'),
('979','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-media2.jpg','33964','13876','59.14','2017-11-16 14:43:02'),
('980','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-media3.jpg','33017','14067','57.39','2017-11-16 14:43:04'),
('981','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-media4.jpg','28775','11286','60.78','2017-11-16 14:43:05'),
('982','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-media5.jpg','27643','11003','60.20','2017-11-16 14:43:05'),
('983','/media/djmediatools/cache/23-album-2/_240w/570x470-crop-100-media6.jpg','42862','18326','57.24','2017-11-16 14:43:06'),
('984','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-130_08.jpg','33292','12504','62.44','2017-11-16 14:43:08'),
('985','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-132_10.jpg','39351','15454','60.73','2017-11-16 14:43:08'),
('986','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-media1.jpg','37617','14797','60.66','2017-11-16 14:43:09'),
('987','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-media2.jpg','39511','15788','60.04','2017-11-16 14:43:10'),
('988','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-media3.jpg','38420','16099','58.10','2017-11-16 14:43:11'),
('989','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-media4.jpg','34154','13139','61.53','2017-11-16 14:43:11'),
('990','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-media5.jpg','33264','13136','60.51','2017-11-16 14:43:13'),
('991','/media/djmediatools/cache/23-album-2/_240w/570x570-crop-100-media6.jpg','52050','22470','56.83','2017-11-16 14:43:14'),
('992','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-130_08.jpg','24620','9647','60.82','2017-11-16 14:43:15'),
('993','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-132_10.jpg','30465','12481','59.03','2017-11-16 14:43:15'),
('994','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-media1.jpg','29272','12114','58.62','2017-11-16 14:43:16'),
('995','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-media2.jpg','29899','12396','58.54','2017-11-16 14:43:17'),
('996','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-media3.jpg','29134','12632','56.64','2017-11-16 14:43:18'),
('997','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-media4.jpg','24822','9816','60.45','2017-11-16 14:43:18'),
('998','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-media5.jpg','23569','9456','59.88','2017-11-16 14:43:19');
INSERT INTO `#__djmt_resmushit` VALUES 
('999','/media/djmediatools/cache/23-album-2/_240w/650x450-crop-100-media6.jpg','35436','15055','57.51','2017-11-16 14:43:20'),
('1000','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-130_08.jpg','16034','6459','59.72','2017-11-16 14:43:21'),
('1001','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-132_10.jpg','19580','8228','57.98','2017-11-16 14:43:22'),
('1002','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-media1.jpg','19970','8519','57.34','2017-11-16 14:43:23'),
('1003','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-media2.jpg','19399','8237','57.54','2017-11-16 14:43:23'),
('1004','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-media3.jpg','20642','9317','54.86','2017-11-16 14:43:24'),
('1005','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-media4.jpg','16276','6566','59.66','2017-11-16 14:43:25'),
('1006','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-media5.jpg','15607','6473','58.53','2017-11-16 14:43:26'),
('1007','/media/djmediatools/cache/23-album-2/_240w/870x380-crop-100-media6.jpg','22838','9882','56.73','2017-11-16 14:43:27'),
('1008','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-130_08.jpg','53796','19298','64.13','2017-11-16 14:43:28'),
('1009','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-132_10.jpg','66479','25524','61.61','2017-11-16 14:43:28'),
('1010','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-media1.jpg','59683','22795','61.81','2017-11-16 14:43:29'),
('1011','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-media2.jpg','63942','24192','62.17','2017-11-16 14:43:30'),
('1012','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-media3.jpg','62840','25397','59.58','2017-11-16 14:43:31'),
('1013','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-media4.jpg','55625','21211','61.87','2017-11-16 14:43:32'),
('1014','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-media5.jpg','52917','20072','62.07','2017-11-16 14:43:33'),
('1015','/media/djmediatools/cache/23-album-2/_320w/380x380-crop-100-media6.jpg','92090','39970','56.60','2017-11-16 14:43:34'),
('1016','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-130_08.jpg','43586','16030','63.22','2017-11-16 14:43:34'),
('1017','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-132_10.jpg','56853','22505','60.42','2017-11-16 14:43:35'),
('1018','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-media1.jpg','51450','20217','60.71','2017-11-16 14:43:36'),
('1019','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-media2.jpg','53682','20962','60.95','2017-11-16 14:43:37'),
('1020','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-media3.jpg','52685','21791','58.64','2017-11-16 14:43:38'),
('1021','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-media4.jpg','45667','17634','61.39','2017-11-16 14:43:39'),
('1022','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-media5.jpg','41886','15968','61.88','2017-11-16 14:43:39'),
('1023','/media/djmediatools/cache/23-album-2/_320w/435x334-crop-100-media6.jpg','72294','30765','57.44','2017-11-16 14:43:40'),
('1024','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-130_08.jpg','41871','15462','63.07','2017-11-16 14:43:41'),
('1025','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-132_10.jpg','55333','22048','60.15','2017-11-16 14:43:42'),
('1026','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-media1.jpg','50038','19668','60.69','2017-11-16 14:43:43'),
('1027','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-media2.jpg','51828','20370','60.70','2017-11-16 14:43:44'),
('1028','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-media3.jpg','50995','21105','58.61','2017-11-16 14:43:45'),
('1029','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-media4.jpg','44124','17137','61.16','2017-11-16 14:43:46'),
('1030','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-media5.jpg','40550','15627','61.46','2017-11-16 14:43:46'),
('1031','/media/djmediatools/cache/23-album-2/_320w/455x334-crop-100-media6.jpg','69268','29382','57.58','2017-11-16 14:43:47'),
('1032','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-130_08.jpg','38405','14257','62.88','2017-11-16 14:43:48'),
('1033','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-132_10.jpg','49918','19958','60.02','2017-11-16 14:43:49'),
('1034','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-media1.jpg','46199','18375','60.23','2017-11-16 14:43:50'),
('1035','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-media2.jpg','47007','18638','60.35','2017-11-16 14:43:50'),
('1036','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-media3.jpg','46554','19315','58.51','2017-11-16 14:43:51'),
('1037','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-media4.jpg','40124','15514','61.33','2017-11-16 14:43:52'),
('1038','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-media5.jpg','36794','14062','61.78','2017-11-16 14:43:53'),
('1039','/media/djmediatools/cache/23-album-2/_320w/570x380-crop-100-media6.jpg','59747','24832','58.44','2017-11-16 14:43:54'),
('1040','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-130_08.jpg','44296','16056','63.75','2017-11-16 14:43:55'),
('1041','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-132_10.jpg','57099','22417','60.74','2017-11-16 14:43:56'),
('1042','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-media1.jpg','51962','20153','61.22','2017-11-16 14:43:56'),
('1043','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-media2.jpg','53962','21018','61.05','2017-11-16 14:43:57'),
('1044','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-media3.jpg','53219','21772','59.09','2017-11-16 14:43:59'),
('1045','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-media4.jpg','46240','17772','61.57','2017-11-16 14:44:00'),
('1046','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-media5.jpg','42954','16254','62.16','2017-11-16 14:44:00'),
('1047','/media/djmediatools/cache/23-album-2/_320w/570x450-crop-100-media6.jpg','73055','30978','57.60','2017-11-16 14:44:01'),
('1048','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-130_08.jpg','45896','16643','63.74','2017-11-16 14:44:02');
INSERT INTO `#__djmt_resmushit` VALUES 
('1049','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-132_10.jpg','58305','22685','61.09','2017-11-16 14:44:03'),
('1050','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-media1.jpg','53126','20561','61.30','2017-11-16 14:44:04'),
('1051','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-media2.jpg','55345','21398','61.34','2017-11-16 14:44:05'),
('1052','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-media3.jpg','54565','22355','59.03','2017-11-16 14:44:06'),
('1053','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-media4.jpg','47727','18251','61.76','2017-11-16 14:44:07'),
('1054','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-media5.jpg','44627','16795','62.37','2017-11-16 14:44:07'),
('1055','/media/djmediatools/cache/23-album-2/_320w/570x470-crop-100-media6.jpg','75851','32273','57.45','2017-11-16 14:44:08'),
('1056','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-130_08.jpg','54628','19314','64.64','2017-11-16 14:44:09'),
('1057','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-132_10.jpg','67091','25547','61.92','2017-11-16 14:44:11'),
('1058','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-media1.jpg','60466','22798','62.30','2017-11-16 14:44:12'),
('1059','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-media2.jpg','64443','24206','62.44','2017-11-16 14:44:15'),
('1060','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-media3.jpg','63466','25445','59.91','2017-11-16 14:44:16'),
('1061','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-media4.jpg','56419','21263','62.31','2017-11-16 14:44:17'),
('1062','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-media5.jpg','53830','20125','62.61','2017-11-16 14:44:18'),
('1063','/media/djmediatools/cache/23-album-2/_320w/570x570-crop-100-media6.jpg','92408','40029','56.68','2017-11-16 14:44:19'),
('1064','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-130_08.jpg','39613','14681','62.94','2017-11-16 14:44:21'),
('1065','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-132_10.jpg','51744','20561','60.26','2017-11-16 14:44:22'),
('1066','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-media1.jpg','47383','18776','60.37','2017-11-16 14:44:23'),
('1067','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-media2.jpg','48398','19173','60.38','2017-11-16 14:44:23'),
('1068','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-media3.jpg','47970','19862','58.59','2017-11-16 14:44:25'),
('1069','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-media4.jpg','41384','16014','61.30','2017-11-16 14:44:26'),
('1070','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-media5.jpg','38068','14553','61.77','2017-11-16 14:44:27'),
('1071','/media/djmediatools/cache/23-album-2/_320w/650x450-crop-100-media6.jpg','62799','26349','58.04','2017-11-16 14:44:28'),
('1072','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-130_08.jpg','26052','9949','61.81','2017-11-16 14:44:28'),
('1073','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-132_10.jpg','34332','14036','59.12','2017-11-16 14:44:30'),
('1074','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-media1.jpg','33020','13484','59.16','2017-11-16 14:44:31'),
('1075','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-media2.jpg','32049','12944','59.61','2017-11-16 14:44:32'),
('1076','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-media3.jpg','34487','14866','56.89','2017-11-16 14:44:33'),
('1077','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-media4.jpg','27922','10872','61.06','2017-11-16 14:44:34'),
('1078','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-media5.jpg','25614','10059','60.73','2017-11-16 14:44:34'),
('1079','/media/djmediatools/cache/23-album-2/_320w/870x380-crop-100-media6.jpg','40843','17429','57.33','2017-11-16 14:44:37'),
('1080','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-130_08.jpg','74702','26117','65.04','2017-11-16 14:44:38'),
('1081','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-132_10.jpg','103235','40045','61.21','2017-11-16 14:44:39'),
('1082','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-media1.jpg','88435','33538','62.08','2017-11-16 14:44:40'),
('1083','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-media2.jpg','91291','33894','62.87','2017-11-16 14:44:40'),
('1084','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-media3.jpg','91413','36271','60.32','2017-11-16 14:44:42'),
('1085','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-media4.jpg','79476','30055','62.18','2017-11-16 14:44:43'),
('1086','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-media5.jpg','70808','25502','63.98','2017-11-16 14:44:44'),
('1087','/media/djmediatools/cache/23-album-2/_480w/570x380-crop-100-media6.jpg','128652','53745','58.22','2017-11-16 14:44:45'),
('1088','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-130_08.jpg','87799','30031','65.80','2017-11-16 14:44:46'),
('1089','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-132_10.jpg','118310','44931','62.02','2017-11-16 14:44:47'),
('1090','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-media1.jpg','100538','37293','62.91','2017-11-16 14:44:48'),
('1091','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-media2.jpg','106912','38792','63.72','2017-11-16 14:44:49'),
('1092','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-media3.jpg','105543','41328','60.84','2017-11-16 14:44:50'),
('1093','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-media4.jpg','92150','34522','62.54','2017-11-16 14:44:51'),
('1094','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-media5.jpg','84898','30090','64.56','2017-11-16 14:44:52'),
('1095','/media/djmediatools/cache/23-album-2/_480w/570x450-crop-100-media6.jpg','158344','67593','57.31','2017-11-16 14:44:53'),
('1096','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-130_08.jpg','91565','31106','66.03','2017-11-16 14:44:54'),
('1097','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-132_10.jpg','121795','46031','62.21','2017-11-16 14:44:55'),
('1098','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-media1.jpg','103062','37987','63.14','2017-11-16 14:44:57');
INSERT INTO `#__djmt_resmushit` VALUES 
('1099','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-media2.jpg','110431','39651','64.09','2017-11-16 14:44:59'),
('1100','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-media3.jpg','109180','42511','61.06','2017-11-16 14:45:00'),
('1101','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-media4.jpg','95643','35654','62.72','2017-11-16 14:45:01'),
('1102','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-media5.jpg','88846','31387','64.67','2017-11-16 14:45:03'),
('1103','/media/djmediatools/cache/23-album-2/_480w/570x470-crop-100-media6.jpg','165627','70879','57.21','2017-11-16 14:45:04'),
('1104','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-130_08.jpg','109889','36533','66.75','2017-11-16 14:45:05'),
('1105','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-132_10.jpg','138968','51551','62.90','2017-11-16 14:45:06'),
('1106','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-media1.jpg','116954','41994','64.09','2017-11-16 14:45:09'),
('1107','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-media2.jpg','129313','45276','64.99','2017-11-16 14:45:10'),
('1108','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-media3.jpg','126490','48349','61.78','2017-11-16 14:45:11'),
('1109','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-media4.jpg','111483','41002','63.22','2017-11-16 14:45:12'),
('1110','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-media5.jpg','108085','37618','65.20','2017-11-16 14:45:13'),
('1111','/media/djmediatools/cache/23-album-2/_480w/570x570-crop-100-media6.jpg','200004','86225','56.89','2017-11-16 14:45:14'),
('1112','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-130_08.jpg','79294','27437','65.40','2017-11-16 14:45:15'),
('1113','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-132_10.jpg','109686','42528','61.23','2017-11-16 14:45:16'),
('1114','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-media1.jpg','93185','34893','62.56','2017-11-16 14:45:17'),
('1115','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-media2.jpg','97402','35833','63.21','2017-11-16 14:45:19'),
('1116','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-media3.jpg','96783','38024','60.71','2017-11-16 14:45:20'),
('1117','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-media4.jpg','83640','31618','62.20','2017-11-16 14:45:21'),
('1118','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-media5.jpg','75442','26881','64.37','2017-11-16 14:45:21'),
('1119','/media/djmediatools/cache/23-album-2/_480w/650x450-crop-100-media6.jpg','138957','58698','57.76','2017-11-16 14:45:22'),
('1120','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-130_08.jpg','51777','18351','64.56','2017-11-16 14:45:24'),
('1121','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-132_10.jpg','72103','28655','60.26','2017-11-16 14:45:25'),
('1122','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-media1.jpg','64410','25041','61.12','2017-11-16 14:45:26'),
('1123','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-media2.jpg','63008','23997','61.91','2017-11-16 14:45:26'),
('1124','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-media3.jpg','68712','28415','58.65','2017-11-16 14:45:27'),
('1125','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-media4.jpg','55695','21110','62.10','2017-11-16 14:45:29'),
('1126','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-media5.jpg','50281','18586','63.04','2017-11-16 14:45:29'),
('1127','/media/djmediatools/cache/23-album-2/_480w/870x380-crop-100-media6.jpg','87823','37703','57.07','2017-11-16 14:45:30'),
('1128','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-130_08.jpg','116248','37771','67.51','2017-11-16 14:45:31'),
('1129','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-132_10.jpg','170790','65702','61.53','2017-11-16 14:45:33'),
('1130','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-media1.jpg','137389','50239','63.43','2017-11-16 14:45:34'),
('1131','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-media2.jpg','142707','48995','65.67','2017-11-16 14:45:35'),
('1132','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-media3.jpg','150862','58550','61.19','2017-11-16 14:45:36'),
('1133','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-media4.jpg','122966','44861','63.52','2017-11-16 14:45:37'),
('1134','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-media5.jpg','111566','37553','66.34','2017-11-16 14:45:38'),
('1135','/media/djmediatools/cache/23-album-2/_768w/870x380-crop-100-media6.jpg','210633','89167','57.67','2017-11-16 14:45:40'),
('1136','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-130_08.jpg','4617','2252','51.22','2017-11-16 14:45:41'),
('1137','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-132_10.jpg','4704','2310','50.89','2017-11-16 14:45:42'),
('1138','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-media1.jpg','4848','2431','49.86','2017-11-16 14:45:43'),
('1139','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-media2.jpg','5171','2556','50.57','2017-11-16 14:45:44'),
('1140','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-media3.jpg','4707','2447','48.01','2017-11-16 14:45:45'),
('1141','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-media4.jpg','3983','1886','52.65','2017-11-16 14:45:46'),
('1142','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-media5.jpg','4142','2042','50.70','2017-11-16 14:45:47'),
('1143','/media/djmediatools/cache/23-album-2/_80w/230x450-towidth-100-media6.jpg','4929','2421','50.88','2017-11-16 14:45:48'),
('1144','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-130_08.jpg','4611','2268','50.81','2017-11-16 14:45:48'),
('1145','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-132_10.jpg','4714','2317','50.85','2017-11-16 14:45:49'),
('1146','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-media1.jpg','4897','2436','50.26','2017-11-16 14:45:50'),
('1147','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-media2.jpg','5165','2568','50.28','2017-11-16 14:45:51'),
('1148','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-media3.jpg','4733','2470','47.81','2017-11-16 14:45:52');
INSERT INTO `#__djmt_resmushit` VALUES 
('1149','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-media4.jpg','3991','1886','52.74','2017-11-16 14:45:53'),
('1150','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-media5.jpg','4167','2045','50.92','2017-11-16 14:45:53'),
('1151','/media/djmediatools/cache/23-album-2/_80w/280x280-towidth-100-media6.jpg','4961','2422','51.18','2017-11-16 14:45:54'),
('1152','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-130_08.jpg','5915','2743','53.63','2017-11-16 14:45:55'),
('1153','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-132_10.jpg','6102','2859','53.15','2017-11-16 14:45:56'),
('1154','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-media1.jpg','6403','3042','52.49','2017-11-16 14:45:57'),
('1155','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-media2.jpg','6780','3285','51.55','2017-11-16 14:45:58'),
('1156','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-media3.jpg','6198','3046','50.86','2017-11-16 14:45:59'),
('1157','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-media4.jpg','5480','2476','54.82','2017-11-16 14:46:00'),
('1158','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-media5.jpg','5709','2742','51.97','2017-11-16 14:46:00'),
('1159','/media/djmediatools/cache/23-album-2/_80w/380x380-crop-100-media6.jpg','7099','3433','51.64','2017-11-16 14:46:01'),
('1160','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-130_08.jpg','4947','2399','51.51','2017-11-16 14:46:02'),
('1161','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-132_10.jpg','5245','2543','51.52','2017-11-16 14:46:03'),
('1162','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-media1.jpg','5372','2638','50.89','2017-11-16 14:46:05'),
('1163','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-media2.jpg','5729','2805','51.04','2017-11-16 14:46:05'),
('1164','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-media3.jpg','5208','2669','48.75','2017-11-16 14:46:06'),
('1165','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-media4.jpg','4451','2078','53.31','2017-11-16 14:46:07'),
('1166','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-media5.jpg','4608','2241','51.37','2017-11-16 14:46:08'),
('1167','/media/djmediatools/cache/23-album-2/_80w/435x334-crop-100-media6.jpg','5642','2767','50.96','2017-11-16 14:46:09'),
('1168','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-130_08.jpg','4888','2356','51.80','2017-11-16 14:46:10'),
('1169','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-132_10.jpg','5182','2501','51.74','2017-11-16 14:46:10'),
('1170','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-media1.jpg','5276','2620','50.34','2017-11-16 14:46:11'),
('1171','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-media2.jpg','5683','2765','51.35','2017-11-16 14:46:13'),
('1172','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-media3.jpg','5131','2628','48.78','2017-11-16 14:46:14'),
('1173','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-media4.jpg','4416','2067','53.19','2017-11-16 14:46:16'),
('1174','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-media5.jpg','4563','2189','52.03','2017-11-16 14:46:17'),
('1175','/media/djmediatools/cache/23-album-2/_80w/455x334-crop-100-media6.jpg','5506','2718','50.64','2017-11-16 14:46:18'),
('1176','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-130_08.jpg','4589','2263','50.69','2017-11-16 14:46:19'),
('1177','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-132_10.jpg','4704','2306','50.98','2017-11-16 14:46:19'),
('1178','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-media1.jpg','4891','2433','50.26','2017-11-16 14:46:21'),
('1179','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-media2.jpg','5169','2570','50.28','2017-11-16 14:46:22'),
('1180','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-media3.jpg','4733','2469','47.83','2017-11-16 14:46:23'),
('1181','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-media4.jpg','3973','1888','52.48','2017-11-16 14:46:24'),
('1182','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-media5.jpg','4166','2040','51.03','2017-11-16 14:46:25'),
('1183','/media/djmediatools/cache/23-album-2/_80w/570x380-crop-100-media6.jpg','4959','2446','50.68','2017-11-16 14:46:26'),
('1184','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-130_08.jpg','5004','2423','51.58','2017-11-16 14:46:27'),
('1185','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-132_10.jpg','5245','2550','51.38','2017-11-16 14:46:28'),
('1186','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-media1.jpg','5363','2665','50.31','2017-11-16 14:46:28'),
('1187','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-media2.jpg','5717','2799','51.04','2017-11-16 14:46:29'),
('1188','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-media3.jpg','5248','2672','49.09','2017-11-16 14:46:30'),
('1189','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-media4.jpg','4483','2095','53.27','2017-11-16 14:46:31'),
('1190','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-media5.jpg','4660','2263','51.44','2017-11-16 14:46:32'),
('1191','/media/djmediatools/cache/23-album-2/_80w/570x450-crop-100-media6.jpg','5729','2826','50.67','2017-11-16 14:46:33'),
('1192','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-130_08.jpg','5211','2516','51.72','2017-11-16 14:46:34'),
('1193','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-132_10.jpg','5334','2597','51.31','2017-11-16 14:46:35'),
('1194','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-media1.jpg','5626','2775','50.68','2017-11-16 14:46:35'),
('1195','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-media2.jpg','5890','2919','50.44','2017-11-16 14:46:36'),
('1196','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-media3.jpg','5483','2793','49.06','2017-11-16 14:46:37'),
('1197','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-media4.jpg','4702','2198','53.25','2017-11-16 14:46:38'),
('1198','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-media5.jpg','4871','2400','50.73','2017-11-16 14:46:39');
INSERT INTO `#__djmt_resmushit` VALUES 
('1199','/media/djmediatools/cache/23-album-2/_80w/570x470-crop-100-media6.jpg','6033','2996','50.34','2017-11-16 14:46:40'),
('1200','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-130_08.jpg','5924','2753','53.53','2017-11-16 14:46:41'),
('1201','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-132_10.jpg','6104','2880','52.82','2017-11-16 14:46:42'),
('1202','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-media1.jpg','6418','3029','52.80','2017-11-16 14:46:43'),
('1203','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-media2.jpg','6789','3294','51.48','2017-11-16 14:46:44'),
('1204','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-media3.jpg','6192','3050','50.74','2017-11-16 14:46:45'),
('1205','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-media4.jpg','5487','2496','54.51','2017-11-16 14:46:46'),
('1206','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-media5.jpg','5721','2737','52.16','2017-11-16 14:46:47'),
('1207','/media/djmediatools/cache/23-album-2/_80w/570x570-crop-100-media6.jpg','7101','3461','51.26','2017-11-16 14:46:47'),
('1208','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-130_08.jpg','4648','2274','51.08','2017-11-16 14:46:48'),
('1209','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-132_10.jpg','4806','2346','51.19','2017-11-16 14:46:49'),
('1210','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-media1.jpg','4971','2470','50.31','2017-11-16 14:46:50'),
('1211','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-media2.jpg','5246','2592','50.59','2017-11-16 14:46:51'),
('1212','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-media3.jpg','4817','2484','48.43','2017-11-16 14:46:52'),
('1213','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-media4.jpg','4080','1922','52.89','2017-11-16 14:46:53'),
('1214','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-media5.jpg','4217','2041','51.60','2017-11-16 14:46:54'),
('1215','/media/djmediatools/cache/23-album-2/_80w/650x450-crop-100-media6.jpg','5070','2486','50.97','2017-11-16 14:46:55'),
('1216','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-130_08.jpg','3362','1769','47.38','2017-11-16 14:46:56'),
('1217','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-132_10.jpg','3398','1758','48.26','2017-11-16 14:46:57'),
('1218','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-media1.jpg','3614','1904','47.32','2017-11-16 14:46:58'),
('1219','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-media2.jpg','3799','2009','47.12','2017-11-16 14:46:59'),
('1220','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-media3.jpg','3685','2001','45.70','2017-11-16 14:47:00'),
('1221','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-media4.jpg','3098','1530','50.61','2017-11-16 14:47:01'),
('1222','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-media5.jpg','3178','1654','47.95','2017-11-16 14:47:03'),
('1223','/media/djmediatools/cache/23-album-2/_80w/870x380-crop-100-media6.jpg','3712','1947','47.55','2017-11-16 14:47:06'),
('1224','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-130_08.jpg','12426','12362','0.52','2017-11-16 14:47:07'),
('1225','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-132_10.jpg','18359','18295','0.35','2017-11-16 14:47:08'),
('1226','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-media1.jpg','14877','14813','0.43','2017-11-16 14:47:10'),
('1227','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-media2.jpg','15888','15824','0.40','2017-11-16 14:47:11'),
('1228','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-media3.jpg','19452','19388','0.33','2017-11-16 14:47:12'),
('1229','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-media4.jpg','15458','15394','0.41','2017-11-16 14:47:13'),
('1230','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-media5.jpg','14351','14287','0.45','2017-11-16 14:47:14'),
('1231','/media/djmediatools/cache/23-album-2/grayscale-380x380-crop-100-media6.jpg','32288','32224','0.20','2017-11-16 14:47:15'),
('1232','/media/djmediatools/cache/components/com_djclassifieds/images/item/1600x0-towidth-100-105_01.jpg','473612','217367','54.10','2017-11-16 14:47:16'),
('1233','/media/djmediatools/cache/components/com_djclassifieds/images/item/1600x0-towidth-100-108_01.jpg','457492','194375','57.51','2017-11-16 14:47:18'),
('1234','/media/djmediatools/cache/components/com_djclassifieds/images/item/1600x0-towidth-100-111_01.jpg','538180','224599','58.27','2017-11-16 14:47:20'),
('1235','/media/djmediatools/cache/components/com_djclassifieds/images/item/1600x0-towidth-100-113_04.jpg','589687','264214','55.19','2017-11-16 14:47:21'),
('1236','/media/djmediatools/cache/components/com_djclassifieds/images/item/1600x0-towidth-100-131_09.jpg','301311','119012','60.50','2017-11-16 14:47:24'),
('1237','/media/djmediatools/cache/components/com_djclassifieds/images/item/1600x0-towidth-100-134_12.jpg','622875','293430','52.89','2017-11-16 14:47:26'),
('1238','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-170_5.jpg','39199','15974','59.25','2017-11-16 14:47:28'),
('1239','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-171_6.jpg','24596','10108','58.90','2017-11-16 14:47:29'),
('1240','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-172_e-10.jpg','31749','14764','53.50','2017-11-16 14:47:30'),
('1241','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-173_e-11.jpg','57730','24118','58.22','2017-11-16 14:47:31'),
('1242','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-174_e-12.jpg','21249','8754','58.80','2017-11-16 14:47:31'),
('1243','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-175_e-13.jpg','13896','5277','62.03','2017-11-16 14:47:32'),
('1244','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-176_e-14.jpg','49169','19984','59.36','2017-11-16 14:47:34'),
('1245','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-177_e-15.jpg','27998','11561','58.71','2017-11-16 14:47:34'),
('1246','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-178_e-16.jpg','22042','8983','59.25','2017-11-16 14:47:35'),
('1247','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-179_e-18.jpg','26416','10594','59.90','2017-11-16 14:47:36'),
('1248','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-180_e-19.jpg','22068','8855','59.87','2017-11-16 14:47:37');
INSERT INTO `#__djmt_resmushit` VALUES 
('1249','/media/djmediatools/cache/components/com_djclassifieds/images/item/220x280-towidth-100-181_e-20.jpg','25515','10558','58.62','2017-11-16 14:47:38'),
('1250','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-105_e-2.jpg','18470','7557','59.09','2017-11-16 14:47:39'),
('1251','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-108_01.jpg','22784','9152','59.83','2017-11-16 14:47:40'),
('1252','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-111_e-6.jpg','30064','13016','56.71','2017-11-16 14:47:41'),
('1253','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-113_e-1.jpg','25446','10780','57.64','2017-11-16 14:47:42'),
('1254','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-131_4.jpg','44968','17725','60.58','2017-11-16 14:47:43'),
('1255','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-170_5.jpg','42601','17214','59.59','2017-11-16 14:47:44'),
('1256','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-171_6.jpg','26835','11077','58.72','2017-11-16 14:47:45'),
('1257','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-172_e-10.jpg','34622','15952','53.93','2017-11-16 14:47:46'),
('1258','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-173_e-11.jpg','61956','26006','58.03','2017-11-16 14:47:47'),
('1259','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-174_e-12.jpg','23004','9462','58.87','2017-11-16 14:47:48'),
('1260','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-175_e-13.jpg','15077','5579','63.00','2017-11-16 14:47:50'),
('1261','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-176_e-14.jpg','52857','21479','59.36','2017-11-16 14:47:51'),
('1262','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-177_e-15.jpg','30637','12581','58.94','2017-11-16 14:47:52'),
('1263','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-178_e-16.jpg','24113','9826','59.25','2017-11-16 14:47:53'),
('1264','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-179_e-18.jpg','28789','11423','60.32','2017-11-16 14:47:54'),
('1265','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-180_e-19.jpg','24489','9882','59.65','2017-11-16 14:47:55'),
('1266','/media/djmediatools/cache/components/com_djclassifieds/images/item/230x450-towidth-100-181_e-20.jpg','27701','11349','59.03','2017-11-16 14:47:56'),
('1267','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-170_5.jpg','45706','18265','60.04','2017-11-16 14:47:57'),
('1268','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-171_6.jpg','29586','12172','58.86','2017-11-16 14:47:58'),
('1269','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-172_e-10.jpg','36975','17090','53.78','2017-11-16 14:47:59'),
('1270','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-173_e-11.jpg','65372','27206','58.38','2017-11-16 14:48:00'),
('1271','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-174_e-12.jpg','24885','10165','59.15','2017-11-16 14:48:01'),
('1272','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-175_e-13.jpg','16338','5968','63.47','2017-11-16 14:48:02'),
('1273','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-176_e-14.jpg','56477','22772','59.68','2017-11-16 14:48:03'),
('1274','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-177_e-15.jpg','32498','13327','58.99','2017-11-16 14:48:04'),
('1275','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-178_e-16.jpg','25728','10396','59.59','2017-11-16 14:48:06'),
('1276','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-179_e-18.jpg','30545','12157','60.20','2017-11-16 14:48:07'),
('1277','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-180_e-19.jpg','25914','10445','59.69','2017-11-16 14:48:08'),
('1278','/media/djmediatools/cache/components/com_djclassifieds/images/item/240x450-towidth-100-181_e-20.jpg','29237','11941','59.16','2017-11-16 14:48:09'),
('1279','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-105_e-2.jpg','25247','9987','60.44','2017-11-16 14:48:10'),
('1280','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-108_01.jpg','31189','12072','61.29','2017-11-16 14:48:10'),
('1281','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-111_e-6.jpg','40338','17086','57.64','2017-11-16 14:48:11'),
('1282','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-113_e-1.jpg','35781','14880','58.41','2017-11-16 14:48:12'),
('1283','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-131_4.jpg','63673','25056','60.65','2017-11-16 14:48:13'),
('1284','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-174_e-12.jpg','31919','12792','59.92','2017-11-16 14:48:14'),
('1285','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-175_e-13.jpg','21378','7433','65.23','2017-11-16 14:48:16'),
('1286','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-176_e-14.jpg','73886','29456','60.13','2017-11-16 14:48:17'),
('1287','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-177_e-15.jpg','42899','17201','59.90','2017-11-16 14:48:18'),
('1288','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-178_e-16.jpg','33543','13263','60.46','2017-11-16 14:48:19'),
('1289','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-179_e-18.jpg','39903','15484','61.20','2017-11-16 14:48:20'),
('1290','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-180_e-19.jpg','33272','12923','61.16','2017-11-16 14:48:22'),
('1291','/media/djmediatools/cache/components/com_djclassifieds/images/item/280x280-towidth-100-181_e-20.jpg','37551','14974','60.12','2017-11-16 14:48:23'),
('1292','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-170_5.jpg','88572','33685','61.97','2017-11-16 14:48:24'),
('1293','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-171_6.jpg','57780','23670','59.03','2017-11-16 14:48:26'),
('1294','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-172_e-10.jpg','72363','32389','55.24','2017-11-16 14:48:27'),
('1295','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-173_e-11.jpg','123827','49799','59.78','2017-11-16 14:48:28'),
('1296','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-174_e-12.jpg','45676','17887','60.84','2017-11-16 14:48:29'),
('1297','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-175_e-13.jpg','32256','10843','66.38','2017-11-16 14:48:30'),
('1298','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-176_e-14.jpg','109829','43254','60.62','2017-11-16 14:48:33');
INSERT INTO `#__djmt_resmushit` VALUES 
('1299','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-177_e-15.jpg','63961','25174','60.64','2017-11-16 14:48:34'),
('1300','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-178_e-16.jpg','49573','18722','62.23','2017-11-16 14:48:35'),
('1301','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-179_e-18.jpg','58625','22265','62.02','2017-11-16 14:48:36'),
('1302','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-180_e-19.jpg','47466','17871','62.35','2017-11-16 14:48:37'),
('1303','/media/djmediatools/cache/components/com_djclassifieds/images/item/350x450-towidth-100-181_e-20.jpg','54453','20899','61.62','2017-11-16 14:48:38'),
('1304','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-105_01.jpg','53702','19916','62.91','2017-11-16 14:48:40'),
('1305','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-105_e-2.jpg','52062','19637','62.28','2017-11-16 14:48:41'),
('1306','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-108_01.jpg','53013','19243','63.70','2017-11-16 14:48:43'),
('1307','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-111_01.jpg','65961','24943','62.19','2017-11-16 14:48:44'),
('1308','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-111_e-6.jpg','63624','25729','59.56','2017-11-16 14:48:45'),
('1309','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-113_04.jpg','68832','27682','59.78','2017-11-16 14:48:46'),
('1310','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-113_e-1.jpg','70980','27673','61.01','2017-11-16 14:48:48'),
('1311','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-131_09.jpg','43490','15358','64.69','2017-11-16 14:48:49'),
('1312','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-131_4.jpg','73412','29579','59.71','2017-11-16 14:48:50'),
('1313','/media/djmediatools/cache/components/com_djclassifieds/images/item/357x276-crop-100-134_12.jpg','74067','28905','60.97','2017-11-16 14:48:51'),
('1314','/media/djmediatools/cache/components/com_djclassifieds/images/item/534x0-towidth-100-131_4.jpg','154721','87745','43.29','2017-11-16 14:48:52'),
('1315','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-170_5.jpg','12866','5799','54.93','2017-11-16 14:48:53'),
('1316','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-171_6.jpg','7472','3374','54.84','2017-11-16 14:48:54'),
('1317','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-172_e-10.jpg','10154','4982','50.94','2017-11-16 14:48:56'),
('1318','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-173_e-11.jpg','17526','7665','56.26','2017-11-16 14:48:57'),
('1319','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-174_e-12.jpg','7155','3358','53.07','2017-11-16 14:48:58'),
('1320','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-175_e-13.jpg','5061','2307','54.42','2017-11-16 14:48:59'),
('1321','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-176_e-14.jpg','15635','6961','55.48','2017-11-16 14:49:01'),
('1322','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-177_e-15.jpg','9157','4210','54.02','2017-11-16 14:49:02'),
('1323','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-178_e-16.jpg','7809','3563','54.37','2017-11-16 14:49:03'),
('1324','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-179_e-18.jpg','9016','4025','55.36','2017-11-16 14:49:04'),
('1325','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-180_e-19.jpg','7881','3508','55.49','2017-11-16 14:49:07'),
('1326','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/220x280-towidth-100-181_e-20.jpg','9168','4217','54.00','2017-11-16 14:49:08'),
('1327','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-105_e-2.jpg','6022','2794','53.60','2017-11-16 14:49:10'),
('1328','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-108_01.jpg','7465','3400','54.45','2017-11-16 14:49:11'),
('1329','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-111_e-6.jpg','9695','4624','52.31','2017-11-16 14:49:12'),
('1330','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-113_e-1.jpg','7073','3307','53.24','2017-11-16 14:49:12'),
('1331','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-131_4.jpg','12574','5359','57.38','2017-11-16 14:49:13'),
('1332','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-170_5.jpg','12901','5811','54.96','2017-11-16 14:49:14'),
('1333','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-171_6.jpg','7122','3183','55.31','2017-11-16 14:49:15'),
('1334','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-172_e-10.jpg','10164','5013','50.68','2017-11-16 14:49:16'),
('1335','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-173_e-11.jpg','17555','7629','56.54','2017-11-16 14:49:17'),
('1336','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-174_e-12.jpg','6803','3151','53.68','2017-11-16 14:49:19'),
('1337','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-175_e-13.jpg','4843','2207','54.43','2017-11-16 14:49:20'),
('1338','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-176_e-14.jpg','15672','6973','55.51','2017-11-16 14:49:21'),
('1339','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-177_e-15.jpg','9146','4211','53.96','2017-11-16 14:49:22'),
('1340','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-178_e-16.jpg','7755','3573','53.93','2017-11-16 14:49:24'),
('1341','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-179_e-18.jpg','9029','4029','55.38','2017-11-16 14:49:25'),
('1342','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-180_e-19.jpg','7960','3532','55.63','2017-11-16 14:49:26'),
('1343','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/230x450-towidth-100-181_e-20.jpg','9205','4213','54.23','2017-11-16 14:49:27'),
('1344','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-170_5.jpg','12898','5836','54.75','2017-11-16 14:49:28'),
('1345','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-171_6.jpg','7507','3419','54.46','2017-11-16 14:49:29'),
('1346','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-172_e-10.jpg','10278','5091','50.47','2017-11-16 14:49:30'),
('1347','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-173_e-11.jpg','17588','7767','55.84','2017-11-16 14:49:31'),
('1348','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-174_e-12.jpg','7201','3404','52.73','2017-11-16 14:49:32');
INSERT INTO `#__djmt_resmushit` VALUES 
('1349','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-175_e-13.jpg','5100','2320','54.51','2017-11-16 14:49:33'),
('1350','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-176_e-14.jpg','15728','7041','55.23','2017-11-16 14:49:34'),
('1351','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-177_e-15.jpg','9317','4293','53.92','2017-11-16 14:49:35'),
('1352','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-178_e-16.jpg','7749','3592','53.65','2017-11-16 14:49:36'),
('1353','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-179_e-18.jpg','9044','4038','55.35','2017-11-16 14:49:38'),
('1354','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-180_e-19.jpg','7983','3572','55.25','2017-11-16 14:49:40'),
('1355','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/240x450-towidth-100-181_e-20.jpg','9236','4265','53.82','2017-11-16 14:49:41'),
('1356','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-105_e-2.jpg','6295','2926','53.52','2017-11-16 14:49:42'),
('1357','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-108_01.jpg','7540','3439','54.39','2017-11-16 14:49:43'),
('1358','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-111_e-6.jpg','9713','4609','52.55','2017-11-16 14:49:44'),
('1359','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-113_e-1.jpg','7407','3473','53.11','2017-11-16 14:49:45'),
('1360','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-131_4.jpg','12605','5387','57.26','2017-11-16 14:49:46'),
('1361','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-174_e-12.jpg','7121','3344','53.04','2017-11-16 14:49:47'),
('1362','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-175_e-13.jpg','5075','2304','54.60','2017-11-16 14:49:48'),
('1363','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-176_e-14.jpg','15716','6969','55.66','2017-11-16 14:49:49'),
('1364','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-177_e-15.jpg','9177','4215','54.07','2017-11-16 14:49:50'),
('1365','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-178_e-16.jpg','7817','3576','54.25','2017-11-16 14:49:52'),
('1366','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-179_e-18.jpg','9025','4023','55.42','2017-11-16 14:49:53'),
('1367','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-180_e-19.jpg','7938','3502','55.88','2017-11-16 14:49:55'),
('1368','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/280x280-towidth-100-181_e-20.jpg','9226','4240','54.04','2017-11-16 14:49:56'),
('1369','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-170_5.jpg','12762','5756','54.90','2017-11-16 14:49:57'),
('1370','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-171_6.jpg','6982','3124','55.26','2017-11-16 14:49:58'),
('1371','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-172_e-10.jpg','10081','4955','50.85','2017-11-16 14:49:59'),
('1372','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-173_e-11.jpg','17297','7542','56.40','2017-11-16 14:50:00'),
('1373','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-174_e-12.jpg','6739','3123','53.66','2017-11-16 14:50:01'),
('1374','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-175_e-13.jpg','4854','2210','54.47','2017-11-16 14:50:02'),
('1375','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-176_e-14.jpg','15501','6925','55.33','2017-11-16 14:50:04'),
('1376','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-177_e-15.jpg','9104','4195','53.92','2017-11-16 14:50:05'),
('1377','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-178_e-16.jpg','7774','3548','54.36','2017-11-16 14:50:06'),
('1378','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-179_e-18.jpg','8945','3999','55.29','2017-11-16 14:50:07'),
('1379','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-180_e-19.jpg','7886','3491','55.73','2017-11-16 14:50:08'),
('1380','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/350x450-towidth-100-181_e-20.jpg','9149','4207','54.02','2017-11-16 14:50:10'),
('1381','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-105_01.jpg','8531','3828','55.13','2017-11-16 14:50:11'),
('1382','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-105_e-2.jpg','8624','3879','55.02','2017-11-16 14:50:12'),
('1383','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-108_01.jpg','8578','3853','55.08','2017-11-16 14:50:13'),
('1384','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-111_01.jpg','10140','4570','54.93','2017-11-16 14:50:14'),
('1385','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-111_e-6.jpg','10073','4785','52.50','2017-11-16 14:50:15'),
('1386','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-113_04.jpg','9994','4694','53.03','2017-11-16 14:50:16'),
('1387','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-113_e-1.jpg','9797','4421','54.87','2017-11-16 14:50:20'),
('1388','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-131_09.jpg','7642','3328','56.45','2017-11-16 14:50:22'),
('1389','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-131_4.jpg','9440','4189','55.62','2017-11-16 14:50:23'),
('1390','/media/djmediatools/cache/components/com_djclassifieds/images/item/_120w/357x276-crop-100-134_12.jpg','10677','5034','52.85','2017-11-16 14:50:24'),
('1391','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-170_5.jpg','21098','9092','56.91','2017-11-16 14:50:26'),
('1392','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-171_6.jpg','12705','5345','57.93','2017-11-16 14:50:27'),
('1393','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-172_e-10.jpg','17159','8237','52.00','2017-11-16 14:50:28'),
('1394','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-173_e-11.jpg','29483','12603','57.25','2017-11-16 14:50:29'),
('1395','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-174_e-12.jpg','11541','5028','56.43','2017-11-16 14:50:33'),
('1396','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-175_e-13.jpg','7643','3139','58.93','2017-11-16 14:50:34'),
('1397','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-176_e-14.jpg','25426','10833','57.39','2017-11-16 14:50:35'),
('1398','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-177_e-15.jpg','15042','6595','56.16','2017-11-16 14:50:36');
INSERT INTO `#__djmt_resmushit` VALUES 
('1399','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-178_e-16.jpg','12394','5412','56.33','2017-11-16 14:50:38'),
('1400','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-179_e-18.jpg','14582','6224','57.32','2017-11-16 14:50:39'),
('1401','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-180_e-19.jpg','12416','5295','57.35','2017-11-16 14:50:41'),
('1402','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/220x280-towidth-100-181_e-20.jpg','14590','6463','55.70','2017-11-16 14:50:42'),
('1403','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-105_e-2.jpg','9837','4322','56.06','2017-11-16 14:50:43'),
('1404','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-108_01.jpg','12298','5265','57.19','2017-11-16 14:50:44'),
('1405','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-111_e-6.jpg','15620','7223','53.76','2017-11-16 14:50:46'),
('1406','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-113_e-1.jpg','12471','5531','55.65','2017-11-16 14:50:47'),
('1407','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-131_4.jpg','21283','8576','59.70','2017-11-16 14:50:48'),
('1408','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-170_5.jpg','21319','9144','57.11','2017-11-16 14:50:49'),
('1409','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-171_6.jpg','12759','5393','57.73','2017-11-16 14:50:51'),
('1410','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-172_e-10.jpg','17274','8287','52.03','2017-11-16 14:50:51'),
('1411','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-173_e-11.jpg','30254','13009','57.00','2017-11-16 14:50:53'),
('1412','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-174_e-12.jpg','11600','5040','56.55','2017-11-16 14:50:54'),
('1413','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-175_e-13.jpg','7665','3163','58.73','2017-11-16 14:50:56'),
('1414','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-176_e-14.jpg','26050','11078','57.47','2017-11-16 14:50:57'),
('1415','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-177_e-15.jpg','15207','6691','56.00','2017-11-16 14:50:58'),
('1416','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-178_e-16.jpg','12438','5460','56.10','2017-11-16 14:50:59'),
('1417','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-179_e-18.jpg','14742','6303','57.24','2017-11-16 14:51:00'),
('1418','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-180_e-19.jpg','12494','5326','57.37','2017-11-16 14:51:01'),
('1419','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/230x450-towidth-100-181_e-20.jpg','14691','6549','55.42','2017-11-16 14:51:04'),
('1420','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-170_5.jpg','21339','9232','56.74','2017-11-16 14:51:06'),
('1421','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-171_6.jpg','12771','5451','57.32','2017-11-16 14:51:08'),
('1422','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-172_e-10.jpg','17462','8441','51.66','2017-11-16 14:51:09'),
('1423','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-173_e-11.jpg','29793','12985','56.42','2017-11-16 14:51:11'),
('1424','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-174_e-12.jpg','11652','5086','56.35','2017-11-16 14:51:12'),
('1425','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-175_e-13.jpg','7803','3196','59.04','2017-11-16 14:51:13'),
('1426','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-176_e-14.jpg','25962','11071','57.36','2017-11-16 14:51:14'),
('1427','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-177_e-15.jpg','15249','6723','55.91','2017-11-16 14:51:15'),
('1428','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-178_e-16.jpg','12557','5485','56.32','2017-11-16 14:51:16'),
('1429','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-179_e-18.jpg','14842','6339','57.29','2017-11-16 14:51:18'),
('1430','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-180_e-19.jpg','12592','5444','56.77','2017-11-16 14:51:19'),
('1431','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/240x450-towidth-100-181_e-20.jpg','14758','6526','55.78','2017-11-16 14:51:22'),
('1432','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-105_e-2.jpg','9704','4249','56.21','2017-11-16 14:51:23'),
('1433','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-108_01.jpg','12118','5157','57.44','2017-11-16 14:51:24'),
('1434','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-111_e-6.jpg','15338','7045','54.07','2017-11-16 14:51:25'),
('1435','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-113_e-1.jpg','12114','5335','55.96','2017-11-16 14:51:27'),
('1436','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-131_4.jpg','20670','8303','59.83','2017-11-16 14:51:28'),
('1437','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-174_e-12.jpg','11363','4939','56.53','2017-11-16 14:51:30'),
('1438','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-175_e-13.jpg','7614','3123','58.98','2017-11-16 14:51:31'),
('1439','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-176_e-14.jpg','25168','10685','57.55','2017-11-16 14:51:32'),
('1440','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-177_e-15.jpg','14865','6533','56.05','2017-11-16 14:51:33'),
('1441','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-178_e-16.jpg','12245','5350','56.31','2017-11-16 14:51:35'),
('1442','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-179_e-18.jpg','14455','6174','57.29','2017-11-16 14:51:36'),
('1443','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-180_e-19.jpg','12342','5207','57.81','2017-11-16 14:51:48'),
('1444','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/280x280-towidth-100-181_e-20.jpg','14435','6371','55.86','2017-11-16 14:51:49'),
('1445','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-170_5.jpg','20685','8846','57.23','2017-11-16 14:51:50'),
('1446','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-171_6.jpg','12228','5154','57.85','2017-11-16 14:51:51'),
('1447','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-172_e-10.jpg','16829','7989','52.53','2017-11-16 14:51:53'),
('1448','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-173_e-11.jpg','28725','12236','57.40','2017-11-16 14:51:55');
INSERT INTO `#__djmt_resmushit` VALUES 
('1449','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-174_e-12.jpg','11283','4897','56.60','2017-11-16 14:51:56'),
('1450','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-175_e-13.jpg','7684','3108','59.55','2017-11-16 14:51:58'),
('1451','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-176_e-14.jpg','24896','10584','57.49','2017-11-16 14:51:59'),
('1452','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-177_e-15.jpg','14767','6436','56.42','2017-11-16 14:52:00'),
('1453','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-178_e-16.jpg','12429','5285','57.48','2017-11-16 14:52:01'),
('1454','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-179_e-18.jpg','14360','6105','57.49','2017-11-16 14:52:03'),
('1455','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-180_e-19.jpg','12294','5184','57.83','2017-11-16 14:52:04'),
('1456','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/350x450-towidth-100-181_e-20.jpg','14448','6349','56.06','2017-11-16 14:52:06'),
('1457','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-105_01.jpg','13708','5766','57.94','2017-11-16 14:52:07'),
('1458','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-105_e-2.jpg','13667','5795','57.60','2017-11-16 14:52:09'),
('1459','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-108_01.jpg','13645','5786','57.60','2017-11-16 14:52:11'),
('1460','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-111_01.jpg','16265','6965','57.18','2017-11-16 14:52:12'),
('1461','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-111_e-6.jpg','16026','7251','54.75','2017-11-16 14:52:14'),
('1462','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-113_04.jpg','16200','7314','54.85','2017-11-16 14:52:20'),
('1463','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-113_e-1.jpg','16192','7031','56.58','2017-11-16 14:52:22'),
('1464','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-131_09.jpg','11804','4815','59.21','2017-11-16 14:52:24'),
('1465','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-131_4.jpg','15618','6589','57.81','2017-11-16 14:52:25'),
('1466','/media/djmediatools/cache/components/com_djclassifieds/images/item/_160w/357x276-crop-100-134_12.jpg','17236','7699','55.33','2017-11-16 14:52:26'),
('1467','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-170_5.jpg','44994','18181','59.59','2017-11-16 14:52:27'),
('1468','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-171_6.jpg','28688','12102','57.82','2017-11-16 14:52:29'),
('1469','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-172_e-10.jpg','36294','17075','52.95','2017-11-16 14:52:30'),
('1470','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-173_e-11.jpg','63149','26948','57.33','2017-11-16 14:52:31'),
('1471','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-174_e-12.jpg','24345','10113','58.46','2017-11-16 14:52:32'),
('1472','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-175_e-13.jpg','16451','6029','63.35','2017-11-16 14:52:34'),
('1473','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-176_e-14.jpg','55426','22699','59.05','2017-11-16 14:52:35'),
('1474','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-177_e-15.jpg','31826','13249','58.37','2017-11-16 14:52:36'),
('1475','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-178_e-16.jpg','25543','10388','59.33','2017-11-16 14:52:37'),
('1476','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-179_e-18.jpg','29915','12063','59.68','2017-11-16 14:52:40'),
('1477','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-180_e-19.jpg','25639','10416','59.37','2017-11-16 14:52:41'),
('1478','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/240x450-towidth-100-181_e-20.jpg','28819','11901','58.70','2017-11-16 14:52:42'),
('1479','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-105_e-2.jpg','18671','7578','59.41','2017-11-16 14:52:43'),
('1480','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-108_01.jpg','22576','9059','59.87','2017-11-16 14:52:45'),
('1481','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-111_e-6.jpg','29198','12741','56.36','2017-11-16 14:52:46'),
('1482','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-113_e-1.jpg','25100','10585','57.83','2017-11-16 14:52:50'),
('1483','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-131_4.jpg','43565','16751','61.55','2017-11-16 14:52:51'),
('1484','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-174_e-12.jpg','22785','9415','58.68','2017-11-16 14:52:53'),
('1485','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-175_e-13.jpg','15336','5726','62.66','2017-11-16 14:52:54'),
('1486','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-176_e-14.jpg','51511','20868','59.49','2017-11-16 14:52:56'),
('1487','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-177_e-15.jpg','29735','12217','58.91','2017-11-16 14:52:57'),
('1488','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-178_e-16.jpg','23845','9687','59.38','2017-11-16 14:52:59'),
('1489','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-179_e-18.jpg','28230','11241','60.18','2017-11-16 14:53:01'),
('1490','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-180_e-19.jpg','24167','9717','59.79','2017-11-16 14:53:02'),
('1491','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/280x280-towidth-100-181_e-20.jpg','27253','11332','58.42','2017-11-16 14:53:03'),
('1492','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-170_5.jpg','40489','16426','59.43','2017-11-16 14:53:04'),
('1493','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-171_6.jpg','25037','10193','59.29','2017-11-16 14:53:06'),
('1494','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-172_e-10.jpg','32995','15130','54.14','2017-11-16 14:53:07'),
('1495','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-173_e-11.jpg','57408','23789','58.56','2017-11-16 14:53:09'),
('1496','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-174_e-12.jpg','21853','9145','58.15','2017-11-16 14:53:11'),
('1497','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-175_e-13.jpg','15150','5694','62.42','2017-11-16 14:53:12'),
('1498','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-176_e-14.jpg','49737','20244','59.30','2017-11-16 14:53:14');
INSERT INTO `#__djmt_resmushit` VALUES 
('1499','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-177_e-15.jpg','28577','11799','58.71','2017-11-16 14:53:15'),
('1500','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-178_e-16.jpg','23521','9422','59.94','2017-11-16 14:53:18'),
('1501','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-179_e-18.jpg','27413','10931','60.12','2017-11-16 14:53:19'),
('1502','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-180_e-19.jpg','23723','9441','60.20','2017-11-16 14:53:22'),
('1503','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/350x450-towidth-100-181_e-20.jpg','26780','11158','58.33','2017-11-16 14:53:24'),
('1504','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-105_01.jpg','25547','10252','59.87','2017-11-16 14:53:27'),
('1505','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-105_e-2.jpg','25684','10322','59.81','2017-11-16 14:53:29'),
('1506','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-108_01.jpg','25613','10096','60.58','2017-11-16 14:53:31'),
('1507','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-111_01.jpg','31112','12847','58.71','2017-11-16 14:53:32'),
('1508','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-111_e-6.jpg','30280','13037','56.95','2017-11-16 14:53:34'),
('1509','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-113_04.jpg','31252','13480','56.87','2017-11-16 14:53:35'),
('1510','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-113_e-1.jpg','31919','13347','58.18','2017-11-16 14:53:37'),
('1511','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-131_09.jpg','22105','8357','62.19','2017-11-16 14:53:38'),
('1512','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-131_4.jpg','31151','12487','59.91','2017-11-16 14:53:39'),
('1513','/media/djmediatools/cache/components/com_djclassifieds/images/item/_240w/357x276-crop-100-134_12.jpg','32970','14094','57.25','2017-11-16 14:53:40'),
('1514','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-170_5.jpg','67848','26600','60.79','2017-11-16 14:53:42'),
('1515','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-171_6.jpg','43303','17357','59.92','2017-11-16 14:53:43'),
('1516','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-172_e-10.jpg','55841','25097','55.06','2017-11-16 14:53:44'),
('1517','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-173_e-11.jpg','96775','39440','59.25','2017-11-16 14:53:46'),
('1518','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-174_e-12.jpg','35576','14283','59.85','2017-11-16 14:53:47'),
('1519','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-175_e-13.jpg','24986','8686','65.24','2017-11-16 14:53:48'),
('1520','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-176_e-14.jpg','85467','33677','60.60','2017-11-16 14:53:50'),
('1521','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-177_e-15.jpg','48261','19043','60.54','2017-11-16 14:53:51'),
('1522','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-178_e-16.jpg','38653','14938','61.35','2017-11-16 14:53:53'),
('1523','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-179_e-18.jpg','45521','17613','61.31','2017-11-16 14:53:55'),
('1524','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-180_e-19.jpg','38119','14602','61.69','2017-11-16 14:53:56'),
('1525','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/350x450-towidth-100-181_e-20.jpg','43383','17334','60.04','2017-11-16 14:53:57'),
('1526','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-105_01.jpg','41080','15734','61.70','2017-11-16 14:53:59'),
('1527','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-105_e-2.jpg','40848','15773','61.39','2017-11-16 14:54:01'),
('1528','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-108_01.jpg','41110','15455','62.41','2017-11-16 14:54:03'),
('1529','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-111_01.jpg','50299','19902','60.43','2017-11-16 14:54:05'),
('1530','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-111_e-6.jpg','48825','20309','58.40','2017-11-16 14:54:07'),
('1531','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-113_04.jpg','51568','21314','58.67','2017-11-16 14:54:08'),
('1532','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-113_e-1.jpg','53141','21252','60.01','2017-11-16 14:54:11'),
('1533','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-131_09.jpg','35074','12576','64.14','2017-11-16 14:54:12'),
('1534','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-131_4.jpg','53872','21148','60.74','2017-11-16 14:54:14'),
('1535','/media/djmediatools/cache/components/com_djclassifieds/images/item/_320w/357x276-crop-100-134_12.jpg','54785','22308','59.28','2017-11-16 14:54:16'),
('1536','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-170_5.jpg','6793','3244','52.24','2017-11-16 14:54:17'),
('1537','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-171_6.jpg','4015','1982','50.64','2017-11-16 14:54:18'),
('1538','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-172_e-10.jpg','5020','2653','47.15','2017-11-16 14:54:20'),
('1539','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-173_e-11.jpg','8672','4027','53.56','2017-11-16 14:54:21'),
('1540','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-174_e-12.jpg','3869','1968','49.13','2017-11-16 14:54:22'),
('1541','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-175_e-13.jpg','2729','1392','48.99','2017-11-16 14:54:24'),
('1542','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-176_e-14.jpg','8214','3929','52.17','2017-11-16 14:54:25'),
('1543','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-177_e-15.jpg','4785','2416','49.51','2017-11-16 14:54:27'),
('1544','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-178_e-16.jpg','4110','2084','49.29','2017-11-16 14:54:28'),
('1545','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-179_e-18.jpg','4644','2266','51.21','2017-11-16 14:54:30'),
('1546','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-180_e-19.jpg','4117','2004','51.32','2017-11-16 14:54:32'),
('1547','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/220x280-towidth-100-181_e-20.jpg','4846','2402','50.43','2017-11-16 14:54:33'),
('1548','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-105_e-2.jpg','3539','1806','48.97','2017-11-16 14:54:35');
INSERT INTO `#__djmt_resmushit` VALUES 
('1549','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-108_01.jpg','4259','2121','50.20','2017-11-16 14:54:36'),
('1550','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-111_e-6.jpg','5018','2610','47.99','2017-11-16 14:54:37'),
('1551','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-113_e-1.jpg','3893','1937','50.24','2017-11-16 14:54:39'),
('1552','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-131_4.jpg','6442','2970','53.90','2017-11-16 14:54:41'),
('1553','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-170_5.jpg','6781','3234','52.31','2017-11-16 14:54:42'),
('1554','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-171_6.jpg','3984','1957','50.88','2017-11-16 14:54:44'),
('1555','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-172_e-10.jpg','5015','2664','46.88','2017-11-16 14:54:46'),
('1556','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-173_e-11.jpg','8675','4022','53.64','2017-11-16 14:54:47'),
('1557','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-174_e-12.jpg','3860','1970','48.96','2017-11-16 14:54:48'),
('1558','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-175_e-13.jpg','2735','1392','49.10','2017-11-16 14:54:50'),
('1559','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-176_e-14.jpg','8195','3916','52.21','2017-11-16 14:54:52'),
('1560','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-177_e-15.jpg','4760','2405','49.47','2017-11-16 14:54:54'),
('1561','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-178_e-16.jpg','4084','2080','49.07','2017-11-16 14:54:56'),
('1562','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-179_e-18.jpg','4645','2278','50.96','2017-11-16 14:54:57'),
('1563','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-180_e-19.jpg','4145','2026','51.12','2017-11-16 14:54:58'),
('1564','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/230x450-towidth-100-181_e-20.jpg','4822','2409','50.04','2017-11-16 14:54:59'),
('1565','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-170_5.jpg','6834','3261','52.28','2017-11-16 14:55:01'),
('1566','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-171_6.jpg','4043','2010','50.28','2017-11-16 14:55:02'),
('1567','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-172_e-10.jpg','5061','2694','46.77','2017-11-16 14:55:05'),
('1568','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-173_e-11.jpg','8743','4077','53.37','2017-11-16 14:55:07'),
('1569','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-174_e-12.jpg','3899','1975','49.35','2017-11-16 14:55:10'),
('1570','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-175_e-13.jpg','2749','1409','48.74','2017-11-16 14:55:12'),
('1571','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-176_e-14.jpg','8284','3988','51.86','2017-11-16 14:55:15'),
('1572','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-177_e-15.jpg','4814','2435','49.42','2017-11-16 14:55:17'),
('1573','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-178_e-16.jpg','4119','2097','49.09','2017-11-16 14:55:18'),
('1574','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-179_e-18.jpg','4661','2290','50.87','2017-11-16 14:55:19'),
('1575','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-180_e-19.jpg','4171','2059','50.64','2017-11-16 14:55:20'),
('1576','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/240x450-towidth-100-181_e-20.jpg','4839','2427','49.85','2017-11-16 14:55:22'),
('1577','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-105_e-2.jpg','3617','1845','48.99','2017-11-16 14:55:23'),
('1578','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-108_01.jpg','4313','2139','50.41','2017-11-16 14:55:25'),
('1579','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-111_e-6.jpg','5025','2614','47.98','2017-11-16 14:55:26'),
('1580','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-113_e-1.jpg','3921','1943','50.45','2017-11-16 14:55:27'),
('1581','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-131_4.jpg','6439','2976','53.78','2017-11-16 14:55:28'),
('1582','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-174_e-12.jpg','3901','1978','49.30','2017-11-16 14:55:29'),
('1583','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-175_e-13.jpg','2753','1402','49.07','2017-11-16 14:55:31'),
('1584','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-176_e-14.jpg','8242','3958','51.98','2017-11-16 14:55:32'),
('1585','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-177_e-15.jpg','4791','2425','49.38','2017-11-16 14:55:33'),
('1586','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-178_e-16.jpg','4138','2086','49.59','2017-11-16 14:55:35'),
('1587','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-179_e-18.jpg','4647','2284','50.85','2017-11-16 14:55:36'),
('1588','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-180_e-19.jpg','4153','2027','51.19','2017-11-16 14:55:38'),
('1589','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/280x280-towidth-100-181_e-20.jpg','4847','2415','50.18','2017-11-16 14:55:41'),
('1590','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-170_5.jpg','6802','3246','52.28','2017-11-16 14:55:42'),
('1591','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-171_6.jpg','3993','1958','50.96','2017-11-16 14:55:44'),
('1592','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-172_e-10.jpg','5036','2659','47.20','2017-11-16 14:55:46'),
('1593','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-173_e-11.jpg','8655','4030','53.44','2017-11-16 14:55:47'),
('1594','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-174_e-12.jpg','3878','1977','49.02','2017-11-16 14:55:49'),
('1595','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-175_e-13.jpg','2777','1398','49.66','2017-11-16 14:55:50'),
('1596','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-176_e-14.jpg','8207','3930','52.11','2017-11-16 14:55:51'),
('1597','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-177_e-15.jpg','4768','2413','49.39','2017-11-16 14:55:53'),
('1598','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-178_e-16.jpg','4123','2079','49.58','2017-11-16 14:55:54');
INSERT INTO `#__djmt_resmushit` VALUES 
('1599','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-179_e-18.jpg','4633','2277','50.85','2017-11-16 14:56:00'),
('1600','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-180_e-19.jpg','4154','2014','51.52','2017-11-16 14:56:02'),
('1601','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/350x450-towidth-100-181_e-20.jpg','4836','2417','50.02','2017-11-16 14:56:03'),
('1602','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-105_01.jpg','4574','2221','51.44','2017-11-16 14:56:04'),
('1603','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-105_e-2.jpg','4677','2332','50.14','2017-11-16 14:56:07'),
('1604','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-108_01.jpg','4654','2288','50.84','2017-11-16 14:56:08'),
('1605','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-111_01.jpg','5296','2610','50.72','2017-11-16 14:56:09'),
('1606','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-111_e-6.jpg','5399','2780','48.51','2017-11-16 14:56:10'),
('1607','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-113_04.jpg','5195','2648','49.03','2017-11-16 14:56:12'),
('1608','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-113_e-1.jpg','4988','2423','51.42','2017-11-16 14:56:13'),
('1609','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-131_09.jpg','4229','2046','51.62','2017-11-16 14:56:15'),
('1610','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-131_4.jpg','4992','2466','50.60','2017-11-16 14:56:16'),
('1611','/media/djmediatools/cache/components/com_djclassifieds/images/item/_80w/357x276-crop-100-134_12.jpg','5589','2876','48.54','2017-11-16 14:56:17');

DROP TABLE IF EXISTS #__djrevs_comments;
CREATE TABLE `#__djrevs_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `review_id` int(11) NOT NULL,
  `item_type` varchar(50) NOT NULL,
  `item_id` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `user_login` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `ip` varchar(40) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `message` text,
  `published` tinyint(3) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `review_id` (`review_id`),
  KEY `object_type` (`item_type`),
  KEY `object_id` (`item_id`),
  KEY `created_by` (`created_by`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__djrevs_fields_groups;
CREATE TABLE `#__djrevs_fields_groups` (
  `field_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_field_group` (`field_id`,`group_id`),
  KEY `idx_ordering` (`ordering`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_fields_groups` VALUES 
('1','1','1'),
('2','1','2'),
('3','1','3');

DROP TABLE IF EXISTS #__djrevs_objects;
CREATE TABLE `#__djrevs_objects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entry_id` int(11) NOT NULL,
  `item_type` varchar(255) NOT NULL,
  `rating_group_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `link` text NOT NULL,
  `avg_rate` decimal(4,2) NOT NULL DEFAULT '0.00',
  `plugin` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_group_object_entry` (`rating_group_id`,`item_type`,`entry_id`),
  KEY `idx_object` (`item_type`),
  KEY `idx_entry` (`entry_id`)
) AUTO_INCREMENT=87 DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_objects` VALUES 
('1','99','com_djclassifieds.item','1','Swimming lesson','index.php?option=com_djclassifieds&view=item&cid=50:sports-outdoors&id=99:swimming-lesson&Itemid=708','0.00','djclassifieds.djreviews'),
('2','867','com_djclassifieds.author','1','Emilia Clarke','index.php?option=com_djclassifieds&view=profile&uid=867:emilia-clarke','5.00','djclassifieds.djreviews'),
('3','97','com_djclassifieds.item','1','Running shoes','index.php?option=com_djclassifieds&view=item&cid=50:sports-outdoors&id=97:running-shoes&Itemid=624','4.67','djclassifieds.djreviews'),
('4','98','com_djclassifieds.item','1','Yamaha guitar','index.php?option=com_djclassifieds&view=item&cid=50:sports-outdoors&id=98:yamaha-guitar&Itemid=797','0.00','djclassifieds.djreviews'),
('5','94','com_djclassifieds.item','1','Elegant sofa','index.php?option=com_djclassifieds&view=item&cid=49:home-garden&id=94:elegant-sofa&Itemid=796','0.00','djclassifieds.djreviews'),
('6','95','com_djclassifieds.item','1','Bouquet of flowers','index.php?option=com_djclassifieds&view=item&cid=49:home-garden&id=95:bouquet-of-flowers&Itemid=551','0.00','djclassifieds.djreviews'),
('7','96','com_djclassifieds.item','1','Set of tools','index.php?option=com_djclassifieds&view=item&cid=49:home-garden&id=96:set-of-tools&Itemid=796','0.00','djclassifieds.djreviews'),
('8','101','com_djclassifieds.item','1','Swimming lesson','index.php?option=com_djclassifieds&view=item&cid=50:sports-outdoors&id=101:swimming-lesson&Itemid=797','0.00','djclassifieds.djreviews'),
('9','102','com_djclassifieds.item','1','Swimming lesson','index.php?option=com_djclassifieds&view=item&cid=50:sports-outdoors&id=102:swimming-lesson&Itemid=797','0.00','djclassifieds.djreviews'),
('10','93','com_djclassifieds.item','1','Laptop Acer Aspire e15','index.php?option=com_djclassifieds&view=item&cid=48:electronics&id=93:laptop-acer-aspire-e15&Itemid=625','0.00','djclassifieds.djreviews'),
('11','92','com_djclassifieds.item','1','SLR camera Sony','index.php?option=com_djclassifieds&view=item&cid=48:electronics&id=92:slr-camera-sony&Itemid=795','0.00','djclassifieds.djreviews'),
('12','91','com_djclassifieds.item','1','Samsung Galaxy s6','index.php?option=com_djclassifieds&view=item&cid=48:electronics&id=91:samsung-galaxy-s6&Itemid=795','0.00','djclassifieds.djreviews'),
('13','103','com_djclassifieds.item','1','Mackbook Pro','index.php?option=com_djclassifieds&view=item&id=103:mackbook-pro&cid=97:electronics&Itemid=903','0.00','djclassifieds.djreviews'),
('14','104','com_djclassifieds.item','1','Video gampad','index.php?option=com_djclassifieds&view=item&id=104:video-games&cid=97:electronics&Itemid=625','4.00','djclassifieds.djreviews'),
('15','106','com_djclassifieds.item','1','Vintage alarm','index.php?option=com_djclassifieds&view=item&id=106:vintage-alarm&cid=97:electronics&Itemid=903','0.00','djclassifieds.djreviews'),
('16','105','com_djclassifieds.item','1','Clock','index.php?option=com_djclassifieds&view=item&id=105:clock&cid=97:electronics&Itemid=903','0.00','djclassifieds.djreviews'),
('17','107','com_djclassifieds.item','1','Black hair','index.php?option=com_djclassifieds&view=item&id=107:black-hair&cid=93:furnitures&Itemid=708','4.33','djclassifieds.djreviews'),
('18','108','com_djclassifieds.item','1','SLR camera Nikon','index.php?option=com_djclassifieds&view=item&id=108:slr-camera-nikon&cid=97:electronics&Itemid=903','1.33','djclassifieds.djreviews'),
('19','109','com_djclassifieds.item','1','Apple IPHONE 5s','index.php?option=com_djclassifieds&view=item&id=109:apple-iphone-5s&cid=97:electronics&Itemid=903','4.00','djclassifieds.djreviews'),
('20','110','com_djclassifieds.item','1','Canon camera','index.php?option=com_djclassifieds&view=item&id=110:canon-camera&cid=97:electronics&Itemid=903','0.00','djclassifieds.djreviews'),
('21','111','com_djclassifieds.item','1','Speaker','index.php?option=com_djclassifieds&view=item&id=111:speaker&cid=97:electronics&Itemid=903','3.67','djclassifieds.djreviews'),
('22','113','com_djclassifieds.item','1','Keyboard','index.php?option=com_djclassifieds&view=item&id=113:key&cid=97:electronics&Itemid=624','4.33','djclassifieds.djreviews'),
('23','112','com_djclassifieds.item','1','Classic guitar','index.php?option=com_djclassifieds&view=item&id=112:classic-guitar&cid=97:electronics&Itemid=903','0.00','djclassifieds.djreviews'),
('24','114','com_djclassifieds.item','1','White table','index.php?option=com_djclassifieds&view=item&id=114:white-table&cid=93:furnitures&Itemid=491','4.50','djclassifieds.djreviews'),
('25','121','com_djclassifieds.item','1','test','index.php?option=com_djclassifieds&view=item&cid=48:electronics&id=121:test&Itemid=795','0.00','djclassifieds.djreviews'),
('26','124','com_djclassifieds.item','1','Amazing sunglasses','index.php?option=com_djclassifieds&view=item&id=124:amazing-sunglasses&cid=96:baby-kids&Itemid=955','0.00','djclassifieds.djreviews'),
('27','125','com_djclassifieds.item','1','EOS camera','index.php?option=com_djclassifieds&view=item&cid=48:electronics&id=125:eos-camera&Itemid=795','0.00','djclassifieds.djreviews'),
('28','126','com_djclassifieds.item','1','Star Wars Toys','index.php?option=com_djclassifieds&view=item&id=126:star&cid=96:baby-kids&Itemid=491','0.00','djclassifieds.djreviews'),
('29','130','com_djclassifieds.item','1','Gainerprotein shake','index.php?option=com_djclassifieds&view=item&id=130:gainerprotein-shake&cid=95:household&Itemid=491','4.33','djclassifieds.djreviews'),
('30','129','com_djclassifieds.item','1','Notebook','index.php?option=com_djclassifieds&view=item&id=129:notebook&cid=97:electronics&Itemid=491','0.00','djclassifieds.djreviews'),
('31','128','com_djclassifieds.item','1','Suede jacket','index.php?option=com_djclassifieds&view=item&id=128:suede-jacket&cid=95:household&Itemid=491','0.00','djclassifieds.djreviews'),
('32','131','com_djclassifieds.item','1','Vintage brown armchair','index.php?option=com_djclassifieds&view=item&id=131:vintage-brown&cid=93:furnitures&Itemid=491','0.00','djclassifieds.djreviews'),
('33','127','com_djclassifieds.item','1','EOS camera','index.php?option=com_djclassifieds&view=item&id=127:eos-camera&cid=97:electronics&Itemid=491','0.00','djclassifieds.djreviews'),
('34','132','com_djclassifieds.item','1','Colorfull crayons','index.php?option=com_djclassifieds&view=item&id=132:pink-flamingo&cid=96:baby-kids&Itemid=491','3.00','djclassifieds.djreviews'),
('35','133','com_djclassifieds.item','1','Great pan','index.php?option=com_djclassifieds&view=item&id=133:great-pan&cid=58:cooking-dining&Itemid=832','0.00','djclassifieds.djreviews'),
('36','134','com_djclassifieds.item','1','Set of plates','index.php?option=com_djclassifieds&view=item&id=134:set-of-plates&cid=61:home-accessories&Itemid=832','0.00','djclassifieds.djreviews'),
('37','135','com_djclassifieds.item','1','Sunglasses','index.php?option=com_djclassifieds&view=item&id=135:sunglasses&cid=97:electronics&Itemid=491','0.00','djclassifieds.djreviews'),
('38','136','com_djclassifieds.item','1','Football','index.php?option=com_djclassifieds&view=item&id=136:football&cid=96:baby-kids&Itemid=491','5.00','djclassifieds.djreviews'),
('39','138','com_djclassifieds.item','1','ddsg dgf d','index.php?option=com_djclassifieds&view=item&cid=48:electronics&id=138:ddsg-dgf-d&Itemid=795','0.00','djclassifieds.djreviews'),
('40','871','com_djclassifieds.author','1','Demo User','index.php?option=com_djclassifieds&view=profile&uid=871:demo-user','0.00','djclassifieds.djreviews'),
('41','139','com_djclassifieds.item','1','Jeep Grand Cheroke','index.php?option=com_djclassifieds&view=item&id=139:jeep-grand-cheroke&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('42','140','com_djclassifieds.item','1','BMW F30 Series 3','index.php?option=com_djclassifieds&view=item&id=140:bmw-f30-series-3&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('43','141','com_djclassifieds.item','1','BMW E91 Coupe','index.php?option=com_djclassifieds&view=item&id=141:bmw-e91-coupe&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('44','142','com_djclassifieds.item','1','Mercedes S Coupe','index.php?option=com_djclassifieds&view=item&id=142:mercedes-s-coupe&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('45','143','com_djclassifieds.item','1','Smart Brabus ','index.php?option=com_djclassifieds&view=item&id=143:smart-brabus&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('46','144','com_djclassifieds.item','1','New Smart for Two','index.php?option=com_djclassifieds&view=item&id=144:new-smart-for-two&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('47','145','com_djclassifieds.item','1','Audi A7 Sportback','index.php?option=com_djclassifieds&view=item&id=145:audi-a7-sportback&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('48','146','com_djclassifieds.item','1','Audi A4 Combi','index.php?option=com_djclassifieds&view=item&id=146:audi-a4-combi&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('49','147','com_djclassifieds.item','1','Brown Sofa','index.php?option=com_djclassifieds&view=item&id=147:brown-sofa&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('50','148','com_djclassifieds.item','1','Hair wood','index.php?option=com_djclassifieds&view=item&id=148:hair-wood&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews');
INSERT INTO `#__djrevs_objects` VALUES 
('51','149','com_djclassifieds.item','1','Test','index.php?option=com_djclassifieds&view=item&id=149:test&cid=92:cars&Itemid=903','0.00','djclassifieds.djreviews'),
('52','150','com_djclassifieds.item','1','Hair table','index.php?option=com_djclassifieds&view=item&id=150:hair-table&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('53','151','com_djclassifieds.item','1','Kitchen table','index.php?option=com_djclassifieds&view=item&id=151:kitchen-table&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('54','152','com_djclassifieds.item','1','Brown Sofa','index.php?option=com_djclassifieds&view=item&id=152:brown-sofa&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('55','153','com_djclassifieds.item','1','Kitchen grey table','index.php?option=com_djclassifieds&view=item&id=153:kitchen-grey-table&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('56','155','com_djclassifieds.item','1','Vintage armchair','index.php?option=com_djclassifieds&view=item&id=155:vintage-armchair&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('57','154','com_djclassifieds.item','1','Wood coffe table','index.php?option=com_djclassifieds&view=item&id=154:wood-coffe-table&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('58','156','com_djclassifieds.item','1','Modern stool','index.php?option=com_djclassifieds&view=item&id=156:modern-stool&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('59','157','com_djclassifieds.item','1','Designer yellow chair','index.php?option=com_djclassifieds&view=item&id=157:designer-yellow-chair&cid=93:furnitures&Itemid=902','0.00','djclassifieds.djreviews'),
('60','158','com_djclassifieds.item','1','Audi A5','index.php?option=com_djclassifieds&view=item&id=158:audi-a5&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('61','159','com_djclassifieds.item','1','Brabus smart','index.php?option=com_djclassifieds&view=item&id=159:brabus-smart&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('62','160','com_djclassifieds.item','1','Bmw e90','index.php?option=com_djclassifieds&view=item&id=160:bmw-e90&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('63','161','com_djclassifieds.item','1','Mercedes S Coupe','index.php?option=com_djclassifieds&view=item&id=161:mercedes-s-coupe&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('64','162','com_djclassifieds.item','1','BMW Z4','index.php?option=com_djclassifieds&view=item&id=162:bmw-z4&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('65','163','com_djclassifieds.item','1','Audi A6 2015','index.php?option=com_djclassifieds&view=item&id=163:audi-a6-2015&cid=92:cars&Itemid=956','0.00','djclassifieds.djreviews'),
('66','165','com_djclassifieds.item','1','Motorcycle Yamaha','index.php?option=com_djclassifieds&view=item&id=165:motorcycle-yamaha&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('67','164','com_djclassifieds.item','1','Green 50','index.php?option=com_djclassifieds&view=item&id=164:green-50&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('68','166','com_djclassifieds.item','1','KTM supermoto','index.php?option=com_djclassifieds&view=item&id=166:ktm-supermoto&cid=92:cars&Itemid=901','0.00','djclassifieds.djreviews'),
('69','167','com_djclassifieds.item','1','Bike decoration','index.php?option=com_djclassifieds&view=item&id=167:bike-decoration&cid=95:household&Itemid=905','0.00','djclassifieds.djreviews'),
('70','168','com_djclassifieds.item','1','Vintage glass','index.php?option=com_djclassifieds&view=item&id=168:vintage-glass&cid=95:household&Itemid=905','0.00','djclassifieds.djreviews'),
('71','169','com_djclassifieds.item','1','Cactus','index.php?option=com_djclassifieds&view=item&id=169:cactus&cid=95:household&Itemid=905','0.00','djclassifieds.djreviews'),
('72','170','com_djclassifieds.item','1','Kitchen blender','index.php?option=com_djclassifieds&view=item&id=170:kitchen-blender&cid=95:household&Itemid=905','0.00','djclassifieds.djreviews'),
('73','171','com_djclassifieds.item','1','Blackboard','index.php?option=com_djclassifieds&view=item&id=171:blackboard&cid=95:household&Itemid=905','0.00','djclassifieds.djreviews'),
('74','172','com_djclassifieds.item','1','Grey shoes','index.php?option=com_djclassifieds&view=item&id=172:grey-shoes&cid=96:baby-kids&Itemid=491','0.00','djclassifieds.djreviews'),
('75','173','com_djclassifieds.item','1','School Bag','index.php?option=com_djclassifieds&view=item&id=173:school-bag&cid=96:baby-kids&Itemid=491','0.00','djclassifieds.djreviews'),
('76','174','com_djclassifieds.item','1','Bag','index.php?option=com_djclassifieds&view=item&id=174:bag&cid=95:household&Itemid=905','0.00','djclassifieds.djreviews'),
('77','175','com_djclassifieds.item','1','New age watch','index.php?option=com_djclassifieds&view=item&id=175:new-age-watch&cid=97:electronics&Itemid=903','0.00','djclassifieds.djreviews'),
('78','176','com_djclassifieds.item','1','Jeans Leo','index.php?option=com_djclassifieds&view=item&id=176:jeans-leo&cid=99:woman&Itemid=491','0.00','djclassifieds.djreviews'),
('79','177','com_djclassifieds.item','1','Oldschool jeans','index.php?option=com_djclassifieds&view=item&id=177:oldschool-jeans&cid=99:woman&Itemid=491','0.00','djclassifieds.djreviews'),
('80','178','com_djclassifieds.item','1','Pink skirt','index.php?option=com_djclassifieds&view=item&id=178:pink-skirt&cid=99:woman&Itemid=491','0.00','djclassifieds.djreviews'),
('81','179','com_djclassifieds.item','1','Unisex bag','index.php?option=com_djclassifieds&view=item&id=179:unisex-bag&cid=98:men&Itemid=491','0.00','djclassifieds.djreviews'),
('82','180','com_djclassifieds.item','1','Beauty wax candle','index.php?option=com_djclassifieds&view=item&id=180:beauty-wax-candle&cid=76:beauty-health&Itemid=491','0.00','djclassifieds.djreviews'),
('83','181','com_djclassifieds.item','1','Oil vegetable','index.php?option=com_djclassifieds&view=item&id=181:oil-vegetable&cid=76:beauty-health&Itemid=491','0.00','djclassifieds.djreviews'),
('84','872','com_djclassifieds.author','1','Emil Smith','index.php?option=com_djclassifieds&view=profile&uid=872:emil-smith','0.00','djclassifieds.djreviews'),
('85','869','com_djclassifieds.author','1','John Doe','index.php?option=com_djclassifieds&view=profile&uid=869:john-doe','0.00','djclassifieds.djreviews'),
('86','870','com_djclassifieds.author','1','Jane Doe','index.php?option=com_djclassifieds&view=profile&uid=870:jane-doe','0.00','djclassifieds.djreviews');

DROP TABLE IF EXISTS #__djrevs_objects_items;
CREATE TABLE `#__djrevs_objects_items` (
  `item_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `rating` decimal(4,2) NOT NULL,
  KEY `idx_object_field` (`item_id`,`field_id`),
  KEY `idx_field_object` (`field_id`,`item_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_objects_items` VALUES 
('3','3','4.00'),
('3','2','5.00'),
('3','1','5.00'),
('24','3','5.00'),
('24','2','4.00'),
('24','1','4.50'),
('29','1','5.00'),
('29','2','5.00'),
('29','3','3.00'),
('34','1','3.00'),
('34','2','3.00'),
('34','3','3.00'),
('38','1','5.00'),
('38','2','5.00'),
('38','3','5.00'),
('14','1','4.00'),
('14','2','4.00'),
('14','3','4.00'),
('18','1','1.00'),
('18','2','1.00'),
('18','3','2.00'),
('22','1','5.00'),
('22','2','5.00'),
('22','3','3.00'),
('21','1','3.00'),
('21','2','4.00'),
('21','3','4.00'),
('2','1','5.00'),
('2','2','5.00'),
('2','3','5.00'),
('19','1','4.00'),
('19','2','4.00'),
('19','3','4.00'),
('17','1','4.00'),
('17','2','5.00'),
('17','3','4.00');

DROP TABLE IF EXISTS #__djrevs_rating_fields;
CREATE TABLE `#__djrevs_rating_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` varchar(50) NOT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `weight` decimal(4,2) NOT NULL,
  `list_options` text,
  `regular_exp` varchar(255) DEFAULT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '0',
  `required` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_group_id` (`group_id`),
  KEY `idx_ordering` (`ordering`)
) AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_rating_fields` VALUES 
('1','1','Quality','rating','Quality','','1.00',NULL,NULL,'1','0','1','0','0000-00-00 00:00:00','2016-07-20 12:08:48','867'),
('2','1','Price','rating','Price','','1.00',NULL,NULL,'1','0','2','0','0000-00-00 00:00:00','2016-07-20 12:09:00','867'),
('3','1','Contact with advertiser','rating','Contact with advertiser','','1.00',NULL,NULL,'1','0','3','0','0000-00-00 00:00:00','2016-07-20 12:11:34','867');

DROP TABLE IF EXISTS #__djrevs_rating_groups;
CREATE TABLE `#__djrevs_rating_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `params` text,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_rating_groups` VALUES 
('1','Advertising','','0','0000-00-00 00:00:00','2016-07-20 12:08:01','867','{"reviews":"","rating":"","title":"","message":"","followup":"","schema_wrapper":""}');

DROP TABLE IF EXISTS #__djrevs_reviews;
CREATE TABLE `#__djrevs_reviews` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_type` varchar(255) NOT NULL,
  `item_id` int(11) NOT NULL,
  `rating_group_id` int(11) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `user_login` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `ip` varchar(40) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `message` text,
  `published` tinyint(4) NOT NULL DEFAULT '0',
  `avg_rate` decimal(4,2) NOT NULL DEFAULT '0.00',
  `post_info` text,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL,
  `recalculate` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_object_type` (`item_type`),
  KEY `idx_object_id` (`item_id`),
  KEY `idx_rating_group` (`rating_group_id`),
  KEY `idx_created_by` (`created_by`)
) AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_reviews` VALUES 
('1','com_djclassifieds.item','3','1','John Doe','johndoe','templates2222@joomla-monster.com','212.109.165.124','Great!','I love it!','1','4.67','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"541","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmrdevpax2\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmrdevpax2\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"041d5a8c989e0aa677c99a3cd15bc253=en-GB; smclient=; smuuid=151cf263b77-beec9bdd9296-5181e851-b4f3a681-ed81cb95-5d3ae4f6f39b; 05e91c774fa2952b5b66f589e0e9df26=en-GB; 98b10e71d1653816e233a35662e865cd=en-GB; 57e14e9f1c3dc2a24f3230e686ac2256=en-GB; 1dbe87d047e0832f26d7599fbfd62f98=en-GB; d64b5c2e484bc0b4c6c8ba96e3088635=en-GB; 4e5fa1385d61468e39da0ddb4c868969=en-GB; b4ad78d9db2f3268829210c08b893cc7=en-GB; d2afa93a84b23201450a31a703cbaf48=en-GB; __atuvc=19%7C26%2C8%7C27%2C259%7C28%2C146%7C29; 3915a3cc3010026e3a0bf685bb08ba4c=en-GB; 6a1ac2be67f84961cc069b8656088da4=en-GB; 92579d3fcd1dc87f8658f49983398ffd=en-GB; f6462cd498d9e29fc6bd35e1b1e3aaa3=boda6do7k2jep0och99eo96sd2; djcf_lastcat=50; __atuvs=578f61d921ad4bb200a; 6fe29a03d463491439f91c7d65e61573=bnkmeme9rsmo7nvptr1kvdeq67; d16fff7e8d1801528fca4b6aa7a1427d=dfpn3t2gns7580b0pqm8fhb8q6; 61a2279fd9c15813eb5da9fee0d848c7=hj03klsrlk4h04e52fa3psg2l5; 41f3ebeda06b578ee5ee47557ff910a9=c84i3llq17npd784brmo4378g3; b0e67265b5947f808ac403d7a5d521e3=d44a19c8fkd4llapv6p48dpj77; 4bd054721540fa805f69f4595355e498=d5fv7gnqv6a5ifo2gv4oco8ml7","HTTP_HOST":"mmr.dev.pax2.eu","HTTP_REFERER":"http:\\/\\/mmr.dev.pax2.eu\\/jm-advertising\\/jm-advertising-template\\/index.php\\/single-ad-view-with-bids","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko\\/20100101 Firefox\\/47.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"212.109.165.124","REMOTE_PORT":"37352","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/jm-advertising\\/jm-advertising-template\\/","SCRIPT_FILENAME":"\\/home\\/mmrdevpax2\\/public_html\\/jm-advertising\\/jm-advertising-template\\/index.php","SCRIPT_NAME":"\\/jm-advertising\\/jm-advertising-template\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mmr.dev.pax2.eu","SERVER_NAME":"mmr.dev.pax2.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at mmr.dev.pax2.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V49wKSU75VkACfF5wawAAAAG","PHP_SELF":"\\/jm-advertising\\/jm-advertising-template\\/index.php","REQUEST_TIME_FLOAT":1469018153.5017,"REQUEST_TIME":1469018153}','0','0000-00-00 00:00:00','2016-07-20 12:35:53','869','0'),
('2','com_djclassifieds.item','24','1','Emilia Clarke','admin','templates2@joomla-monster.com','212.109.165.124','Recommended!','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.67','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"546","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl-PL,pl;q=0.8,en-US;q=0.6,en;q=0.4","HTTP_CACHE_CONTROL":"no-cache","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"0ac63c5ddbd304327fabfb66fe4c37b7=j4od689uurtjcoarmpmmt7i4d2; ab364dcc2471d788a81334facf13728d=i1sd4nb5c03gb2iuvf1cfo7p91; djcf_lastcat=63; __atuvc=0%7C30%2C0%7C31%2C1%7C32%2C8%7C33%2C24%7C34; __atuvs=57bea9eeba246579013","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_ORIGIN":"http:\\/\\/www.mm.dev.pax3.eu","HTTP_PRAGMA":"no-cache","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/index.php\\/classifieds\\/sports-outdoors\\/ad\\/athletic-outdoor-clothing,63\\/fast-skateboard,114","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\\/537.36 (KHTML, like Gecko) Chrome\\/52.0.2743.116 Safari\\/537.36","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"212.109.165.124","REMOTE_PORT":"42136","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V761UiU75VkAAT7fbyoAAAAH","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472116050.659,"REQUEST_TIME":1472116050}','0','0000-00-00 00:00:00','2016-08-25 09:07:30','867','0'),
('3','com_djclassifieds.item','24','1','John Doe','johndoe','templates2222@joomla-monster.com','212.109.165.124','Good','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.33','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"540","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl-PL,pl;q=0.8,en-US;q=0.6,en;q=0.4","HTTP_CACHE_CONTROL":"no-cache","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"0ac63c5ddbd304327fabfb66fe4c37b7=j4od689uurtjcoarmpmmt7i4d2; ab364dcc2471d788a81334facf13728d=udqk4deun30kb50r2ibv1egj47; djcf_lastcat=63; __atuvc=0%7C30%2C0%7C31%2C1%7C32%2C8%7C33%2C26%7C34; __atuvs=57bea9eeba246579015","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_ORIGIN":"http:\\/\\/www.mm.dev.pax3.eu","HTTP_PRAGMA":"no-cache","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/index.php\\/classifieds\\/sports-outdoors\\/ad\\/athletic-outdoor-clothing,63\\/fast-skateboard,114","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit\\/537.36 (KHTML, like Gecko) Chrome\\/52.0.2743.116 Safari\\/537.36","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"212.109.165.124","REMOTE_PORT":"42217","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V7617yU75VkAAUC5OiMAAAAD","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472116207.686,"REQUEST_TIME":1472116207}','0','0000-00-00 00:00:00','2016-08-25 09:10:07','869','0'),
('4','com_djclassifieds.item','29','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Tasty!','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.33','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"850","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C7%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=65; __atuvs=57c5be988deb0585003; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/classifieds\\/sports-outdoors\\/ad\\/fitness,65\\/gainerprotein-shake,130","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58087","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XAxCU75VkACYz0KA4AAAAH","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577732.9637,"REQUEST_TIME":1472577732}','0','0000-00-00 00:00:00','2016-08-30 17:22:13','870','0'),
('5','com_djclassifieds.item','34','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Suprised','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','3.00','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"852","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C10%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=88; __atuvs=57c5be988deb0585006; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/classifieds\\/clothing\\/ad\\/girls,86\\/kids-board,132","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58145","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XA9SU75VkACYtilBAAAAAQ","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577781.203,"REQUEST_TIME":1472577781}','0','0000-00-00 00:00:00','2016-08-30 17:23:01','870','0'),
('6','com_djclassifieds.item','38','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','I like it','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','5.00','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"853","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C10%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=88; __atuvs=57c5be988deb0585006; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/classifieds\\/clothing\\/ad\\/baby,88\\/baseball-cap,136","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58155","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XBAiU75VkACY4b1sAAAAAK","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577794.6535,"REQUEST_TIME":1472577794}','0','0000-00-00 00:00:00','2016-08-30 17:23:14','870','0'),
('7','com_djclassifieds.item','14','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Good value','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.00','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"854","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C12%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=51; __atuvs=57c5be988deb0585008; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/single-ad-view","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58199","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XBIyU75VkACY4i80sAAAAN","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577827.9841,"REQUEST_TIME":1472577827}','0','0000-00-00 00:00:00','2016-08-30 17:23:48','870','0'),
('8','com_djclassifieds.item','18','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Not satisfied','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','1.33','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"857","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C12%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=51; __atuvs=57c5be988deb0585008; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/classifieds\\/electronics\\/ad\\/camera-photo,51\\/slr-camera-nikon,108","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58210","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XBOSU75VkACY6veMUAAAAD","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577849.8775,"REQUEST_TIME":1472577849}','0','0000-00-00 00:00:00','2016-08-30 17:24:10','870','0'),
('9','com_djclassifieds.item','22','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Wow','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.33','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"847","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C14%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=63; __atuvs=57c5be988deb058500a; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/single-ad-view-with-bids","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58237","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XBUSU75VkACY-rvV0AAAAI","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577873.3898,"REQUEST_TIME":1472577873}','0','0000-00-00 00:00:00','2016-08-30 17:24:33','870','0'),
('10','com_djclassifieds.item','21','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Nice','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','3.67','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"848","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C14%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; ab364dcc2471d788a81334facf13728d=0v3m2pas0d9k89ejkkijtllki6; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=63; __atuvs=57c5be988deb058500a; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/classifieds\\/sports-outdoors\\/ad\\/athletic-outdoor-clothing,63\\/tennis-racket,111","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"58247","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XBXyU75VkACY6whBcAAAAE","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472577887.73,"REQUEST_TIME":1472577887}','0','0000-00-00 00:00:00','2016-08-30 17:24:47','870','0'),
('11','com_djclassifieds.author','2','1','Jane Doe','jane','templates212@joomla-monster.com','46.29.149.186','Great contact','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','5.00','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"860","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"__atuvc=0%7C31%2C0%7C32%2C0%7C33%2C105%7C34%2C22%7C35; 0ac63c5ddbd304327fabfb66fe4c37b7=ha25k399t8su3n39hkjj5ouu27; 3844b52eff97b5816be7722e2ad56663=en-GB; djcf_lastcat=63; __atuvs=57c5da8a6cb9f9ba002; ab364dcc2471d788a81334facf13728d=ir90kd0adqp522uj1inljbgof7; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/category-table-rwd\\/profile\\/emilia-clarke,867","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"46.29.149.186","REMOTE_PORT":"62813","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8XdeiU75VkACa8vKnEAAAAA","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472585082.3645,"REQUEST_TIME":1472585082}','0','0000-00-00 00:00:00','2016-08-30 19:24:42','870','0'),
('12','com_djclassifieds.item','19','1','Jane Doe','jane','templates212@joomla-monster.com','212.109.165.124','Good','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.00','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"848","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"JMTH_TIMESTAMP_jm-advertising=-1; jmthemeclose=0; __atuvc=1%7C31%2C2%7C32%2C71%7C33%2C113%7C34%2C11%7C35; b3056a27aaee264617015f1b6a8338a4=en-GB; ab364dcc2471d788a81334facf13728d=pr71j6mm9l44k2a23ae4015it4; 3844b52eff97b5816be7722e2ad56663=en-GB; 0ac63c5ddbd304327fabfb66fe4c37b7=a707upqoted3ik0cfqisfjsas3; djcf_lastcat=51; __atuvs=57c69deb7189711d001; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/search-horizontal","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"212.109.165.124","REMOTE_PORT":"45970","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8aeqSU75VkACobJEtgAAAAG","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472634537.0705,"REQUEST_TIME":1472634537}','0','0000-00-00 00:00:00','2016-08-31 09:08:57','870','0'),
('13','com_djclassifieds.item','17','1','Jane Doe','jane','templates212@joomla-monster.com','212.109.165.124','Wow','Suspendisse pharetra ullamcorper orci, ut interdum mauris sodales sit amet. Proin quis iaculis arcu, eget dignissim leo. Proin auctor sit amet massa sed fringilla. Quisque eu gravida arcu. Cras dignissim enim id metus faucibus iaculis. Aenean massa arcu, luctus non condimentum eget, porttitor vitae nibh. Nam et risus diam.','1','4.33','{"AUTH_TYPE":"Basic","CONTENT_LENGTH":"847","CONTENT_TYPE":"application\\/x-www-form-urlencoded; charset=UTF-8","CONTEXT_DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","CONTEXT_PREFIX":"","DOCUMENT_ROOT":"\\/home\\/mmdevpax3\\/public_html","GATEWAY_INTERFACE":"CGI\\/1.1","HTTP_ACCEPT":"*\\/*","HTTP_ACCEPT_ENCODING":"gzip, deflate","HTTP_ACCEPT_LANGUAGE":"pl,en-US;q=0.7,en;q=0.3","HTTP_AUTHORIZATION":"Basic ZGVtbzpkZW1vNTU=","HTTP_CONNECTION":"keep-alive","HTTP_COOKIE":"JMTH_TIMESTAMP_jm-advertising=-1; jmthemeclose=0; __atuvc=1%7C31%2C2%7C32%2C71%7C33%2C113%7C34%2C14%7C35; b3056a27aaee264617015f1b6a8338a4=en-GB; ab364dcc2471d788a81334facf13728d=pr71j6mm9l44k2a23ae4015it4; 3844b52eff97b5816be7722e2ad56663=en-GB; 0ac63c5ddbd304327fabfb66fe4c37b7=a707upqoted3ik0cfqisfjsas3; djcf_lastcat=57; __atuvs=57c69deb7189711d004; joomla_user_state=logged_in","HTTP_HOST":"www.mm.dev.pax3.eu","HTTP_REFERER":"http:\\/\\/www.mm.dev.pax3.eu\\/joomla3\\/jm-advertising\\/en\\/single-ad-with-buy-now","HTTP_USER_AGENT":"Mozilla\\/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko\\/20100101 Firefox\\/48.0","HTTP_X_REQUESTED_WITH":"XMLHttpRequest","PATH":"\\/bin:\\/usr\\/bin","PHP_AUTH_PW":"demo55","PHP_AUTH_USER":"demo","QUERY_STRING":"","REDIRECT_STATUS":"200","REMOTE_ADDR":"212.109.165.124","REMOTE_PORT":"62431","REMOTE_USER":"demo","REQUEST_METHOD":"POST","REQUEST_SCHEME":"http","REQUEST_URI":"\\/joomla3\\/jm-advertising\\/","SCRIPT_FILENAME":"\\/home\\/mmdevpax3\\/public_html\\/joomla3\\/jm-advertising\\/index.php","SCRIPT_NAME":"\\/joomla3\\/jm-advertising\\/index.php","SERVER_ADDR":"37.59.229.89","SERVER_ADMIN":"webmaster@mm.dev.pax3.eu","SERVER_NAME":"www.mm.dev.pax3.eu","SERVER_PORT":"80","SERVER_PROTOCOL":"HTTP\\/1.1","SERVER_SIGNATURE":"<address>Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4 Server at www.mm.dev.pax3.eu Port 80<\\/address>\\n","SERVER_SOFTWARE":"Apache\\/2.4.18 (Unix) OpenSSL\\/1.0.1e-fips Phusion_Passenger\\/4.0.48 mod_bwlimited\\/1.4","UNIQUE_ID":"V8ae3yU75VkACocCXb0AAAAH","PHP_SELF":"\\/joomla3\\/jm-advertising\\/index.php","REQUEST_TIME_FLOAT":1472634591.7546,"REQUEST_TIME":1472634591}','0','0000-00-00 00:00:00','2016-08-31 09:09:51','870','0');

DROP TABLE IF EXISTS #__djrevs_reviews_items;
CREATE TABLE `#__djrevs_reviews_items` (
  `review_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `rating` decimal(4,2) NOT NULL,
  KEY `idx_review_field` (`review_id`,`field_id`),
  KEY `idx_field_review` (`field_id`,`review_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__djrevs_reviews_items` VALUES 
('1','1','5.00'),
('1','2','5.00'),
('1','3','4.00'),
('2','3','5.00'),
('2','2','4.00'),
('2','1','5.00'),
('3','3','5.00'),
('3','2','4.00'),
('3','1','4.00'),
('4','1','5.00'),
('4','2','5.00'),
('4','3','3.00'),
('5','1','3.00'),
('5','2','3.00'),
('5','3','3.00'),
('6','1','5.00'),
('6','2','5.00'),
('6','3','5.00'),
('7','1','4.00'),
('7','2','4.00'),
('7','3','4.00'),
('8','1','1.00'),
('8','2','1.00'),
('8','3','2.00'),
('9','1','5.00'),
('9','2','5.00'),
('9','3','3.00'),
('10','1','3.00'),
('10','2','4.00'),
('10','3','4.00'),
('11','1','5.00'),
('11','2','5.00'),
('11','3','5.00'),
('12','1','4.00'),
('12','2','4.00'),
('12','3','4.00'),
('13','1','4.00'),
('13','2','5.00'),
('13','3','4.00');

DROP TABLE IF EXISTS #__djrevs_reviews_items_text;
CREATE TABLE `#__djrevs_reviews_items_text` (
  `review_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `rating` text NOT NULL,
  KEY `idx_review_field` (`review_id`,`field_id`),
  KEY `idx_field_review` (`field_id`,`review_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__extensions;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` mediumtext NOT NULL,
  `params` mediumtext NOT NULL,
  `custom_data` mediumtext NOT NULL,
  `system_data` mediumtext NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) AUTO_INCREMENT=10112 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` VALUES 
('1','0','com_mailto','component','com_mailto','','0','1','1','1','{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}','','','','0','0000-00-00 00:00:00','0','0'),
('2','0','com_wrapper','component','com_wrapper','','0','1','1','1','{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}','','','','0','0000-00-00 00:00:00','0','0'),
('3','0','com_admin','component','com_admin','','1','1','1','1','{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('4','0','com_banners','component','com_banners','','1','1','1','0','{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}','{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}','','','0','0000-00-00 00:00:00','0','0'),
('5','0','com_cache','component','com_cache','','1','1','1','1','{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('6','0','com_categories','component','com_categories','','1','1','1','1','{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('7','0','com_checkin','component','com_checkin','','1','1','1','1','{"name":"com_checkin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('8','0','com_contact','component','com_contact','','1','1','1','0','{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}','{"contact_layout":"_:default","show_contact_category":"hide","show_contact_list":"1","presentation_style":"tabs","show_name":"1","show_position":"1","show_email":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"1","show_articles":"1","show_profile":"1","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_tags":"1","contact_icons":"1","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"1","show_subcat_desc":"1","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"1","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"1","show_pagination_limit":"1","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"1","show_fax_headings":"1","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('9','0','com_cpanel','component','com_cpanel','','1','1','1','1','{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('10','0','com_installer','component','com_installer','','1','1','1','1','{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('11','0','com_languages','component','com_languages','','1','1','1','1','{"name":"com_languages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}','{"administrator":"en-GB","site":"en-GB"}','','','0','0000-00-00 00:00:00','0','0'),
('12','0','com_login','component','com_login','','1','1','1','1','{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('13','0','com_media','component','com_media','','1','1','0','1','{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}','{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('14','0','com_menus','component','com_menus','','1','1','1','1','{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('15','0','com_messages','component','com_messages','','1','1','1','1','{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('16','0','com_modules','component','com_modules','','1','1','1','1','{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('17','0','com_newsfeeds','component','com_newsfeeds','','1','1','1','0','{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}','{"newsfeed_layout":"_:default","show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"0","feed_display_order":"des","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"1","show_subcat_desc":"1","show_cat_items":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","show_pagination_limit":"1","show_headings":"1","show_articles":"1","show_link":"1","show_pagination":"1","show_pagination_results":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('18','0','com_plugins','component','com_plugins','','1','1','1','1','{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('19','0','com_search','component','com_search','','1','1','1','1','{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}','{"enabled":"0","show_date":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('20','0','com_templates','component','com_templates','','1','1','1','1','{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}','{"template_positions_display":"0","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}','','','0','0000-00-00 00:00:00','0','0'),
('21','0','com_weblinks','component','com_weblinks','','1','1','1','0','{"name":"com_weblinks","type":"component","creationDate":"2017-03-08","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":"","filename":"weblinks"}','{"target":"0","count_clicks":"1","icons":1,"link_icons":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"1","show_subcat_desc":"1","show_cat_num_links":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"1","show_subcat_desc_cat":"1","show_cat_num_links_cat":"1","show_pagination_limit":"1","show_headings":"1","show_link_description":"1","show_link_hits":"1","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('22','0','com_content','component','com_content','','1','1','0','1','{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}','{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","info_block_show_title":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"1","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"1","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"1","show_publishing_options":"1","show_article_options":"1","save_history":"0","history_limit":10,"show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"none","float_fulltext":"none","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_cat_tags":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"0","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"0","show_featured":"show","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('23','0','com_config','component','com_config','','1','1','0','1','{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}','{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"9":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}','','','0','0000-00-00 00:00:00','0','0'),
('24','0','com_redirect','component','com_redirect','','1','1','0','1','{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('25','0','com_users','component','com_users','','1','1','0','1','{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}','{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"9","sendpassword":"1","useractivation":"1","mail_to_admin":"0","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","minimum_length":"4","minimum_integers":"0","minimum_symbols":"0","minimum_uppercase":"0","save_history":"0","history_limit":5,"mailSubjectPrefix":"","mailBodySuffix":"","debugUsers":"1","debugGroups":"1","sef_advanced":0,"custom_fields_enable":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('27','0','com_finder','component','com_finder','','1','1','0','0','{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}','{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_autosuggest":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"1","sort_order":"relevance","sort_direction":"desc","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stem":"1","stemmer":"snowball","enable_logging":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('28','0','com_joomlaupdate','component','com_joomlaupdate','','1','1','0','1','{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('29','0','com_tags','component','com_tags','','1','1','1','1','{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('30','0','com_contenthistory','component','com_contenthistory','','1','1','1','0','{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('31','0','com_ajax','component','com_ajax','','1','1','1','1','{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('32','0','com_postinstall','component','com_postinstall','','1','1','1','1','{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('33','0','com_fields','component','com_fields','','1','1','1','0','{"name":"com_fields","type":"component","creationDate":"March 2016","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}','','','','0','0000-00-00 00:00:00','0','0'),
('34','0','com_associations','component','com_associations','','1','1','1','0','{"name":"com_associations","type":"component","creationDate":"January 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_ASSOCIATIONS_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('102','0','LIB_PHPUTF8','library','phputf8','','0','1','1','1','{"name":"LIB_PHPUTF8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}','','','','0','0000-00-00 00:00:00','0','0'),
('103','0','LIB_JOOMLA','library','joomla','','0','1','1','1','{"name":"LIB_JOOMLA","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"https:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}','{"mediaversion":"cb2eb3bd67364113035a52dc2b3df1f0"}','','','0','0000-00-00 00:00:00','0','0'),
('104','0','LIB_IDNA','library','idna_convert','','0','1','1','1','{"name":"LIB_IDNA","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}','','','','0','0000-00-00 00:00:00','0','0'),
('105','0','FOF','library','fof','','0','1','1','1','{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('106','0','LIB_PHPASS','library','phpass','','0','1','1','1','{"name":"LIB_PHPASS","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":"","filename":"phpass"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('200','0','mod_articles_archive','module','mod_articles_archive','','0','1','1','1','{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}','','','','0','0000-00-00 00:00:00','0','0'),
('201','0','mod_articles_latest','module','mod_articles_latest','','0','1','1','1','{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}','','','','0','0000-00-00 00:00:00','0','0'),
('202','0','mod_articles_popular','module','mod_articles_popular','','0','1','1','0','{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}','','','','0','0000-00-00 00:00:00','0','0'),
('203','0','mod_banners','module','mod_banners','','0','1','1','1','{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}','','','','0','0000-00-00 00:00:00','0','0'),
('204','0','mod_breadcrumbs','module','mod_breadcrumbs','','0','1','1','1','{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}','','','','0','0000-00-00 00:00:00','0','0'),
('205','0','mod_custom','module','mod_custom','','0','1','1','1','{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}','','','','0','0000-00-00 00:00:00','0','0'),
('206','0','mod_feed','module','mod_feed','','0','1','1','1','{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}','','','','0','0000-00-00 00:00:00','0','0'),
('207','0','mod_footer','module','mod_footer','','0','1','1','1','{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}','','','','0','0000-00-00 00:00:00','0','0'),
('208','0','mod_login','module','mod_login','','0','1','1','1','{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}','','','','0','0000-00-00 00:00:00','0','0'),
('209','0','mod_menu','module','mod_menu','','0','1','1','1','{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}','','','','0','0000-00-00 00:00:00','0','0'),
('210','0','mod_articles_news','module','mod_articles_news','','0','1','1','0','{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}','','','','0','0000-00-00 00:00:00','0','0'),
('211','0','mod_random_image','module','mod_random_image','','0','1','1','0','{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}','','','','0','0000-00-00 00:00:00','0','0');
INSERT INTO `#__extensions` VALUES 
('212','0','mod_related_items','module','mod_related_items','','0','1','1','0','{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}','','','','0','0000-00-00 00:00:00','0','0'),
('213','0','mod_search','module','mod_search','','0','1','1','0','{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}','','','','0','0000-00-00 00:00:00','0','0'),
('214','0','mod_stats','module','mod_stats','','0','1','1','0','{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}','','','','0','0000-00-00 00:00:00','0','0'),
('215','0','mod_syndicate','module','mod_syndicate','','0','1','1','1','{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}','','','','0','0000-00-00 00:00:00','0','0'),
('216','0','mod_users_latest','module','mod_users_latest','','0','1','1','1','{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}','','','','0','0000-00-00 00:00:00','0','0'),
('217','0','mod_weblinks','module','mod_weblinks','','0','1','1','0','{"name":"mod_weblinks","type":"module","creationDate":"2017-03-08","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":"","filename":"mod_weblinks"}','','','','0','0000-00-00 00:00:00','0','0'),
('218','0','mod_whosonline','module','mod_whosonline','','0','1','1','0','{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}','','','','0','0000-00-00 00:00:00','0','0'),
('219','0','mod_wrapper','module','mod_wrapper','','0','1','1','0','{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}','','','','0','0000-00-00 00:00:00','0','0'),
('220','0','mod_articles_category','module','mod_articles_category','','0','1','1','1','{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}','','','','0','0000-00-00 00:00:00','0','0'),
('221','0','mod_articles_categories','module','mod_articles_categories','','0','1','1','1','{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}','','','','0','0000-00-00 00:00:00','0','0'),
('222','0','mod_languages','module','mod_languages','','0','1','1','1','{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}','','','','0','0000-00-00 00:00:00','0','0'),
('223','0','mod_finder','module','mod_finder','','0','1','0','0','{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":"","filename":"mod_finder"}','','','','0','0000-00-00 00:00:00','0','0'),
('300','0','mod_custom','module','mod_custom','','1','1','1','1','{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}','','','','0','0000-00-00 00:00:00','0','0'),
('301','0','mod_feed','module','mod_feed','','1','1','1','0','{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}','','','','0','0000-00-00 00:00:00','0','0'),
('302','0','mod_latest','module','mod_latest','','1','1','1','0','{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}','','','','0','0000-00-00 00:00:00','0','0'),
('303','0','mod_logged','module','mod_logged','','1','1','1','0','{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}','','','','0','0000-00-00 00:00:00','0','0'),
('304','0','mod_login','module','mod_login','','1','1','1','1','{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}','','','','0','0000-00-00 00:00:00','0','0'),
('305','0','mod_menu','module','mod_menu','','1','1','1','0','{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}','','','','0','0000-00-00 00:00:00','0','0'),
('307','0','mod_popular','module','mod_popular','','1','1','1','0','{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}','','','','0','0000-00-00 00:00:00','0','0'),
('308','0','mod_quickicon','module','mod_quickicon','','1','1','1','1','{"name":"mod_quickicon","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}','','','','0','0000-00-00 00:00:00','0','0'),
('309','0','mod_status','module','mod_status','','1','1','1','0','{"name":"mod_status","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}','','','','0','0000-00-00 00:00:00','0','0'),
('310','0','mod_submenu','module','mod_submenu','','1','1','1','0','{"name":"mod_submenu","type":"module","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}','','','','0','0000-00-00 00:00:00','0','0'),
('311','0','mod_title','module','mod_title','','1','1','1','0','{"name":"mod_title","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}','','','','0','0000-00-00 00:00:00','0','0'),
('312','0','mod_toolbar','module','mod_toolbar','','1','1','1','1','{"name":"mod_toolbar","type":"module","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}','','','','0','0000-00-00 00:00:00','0','0'),
('313','0','mod_multilangstatus','module','mod_multilangstatus','','1','1','1','0','{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}','{"cache":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('314','0','mod_version','module','mod_version','','1','1','1','0','{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":"","filename":"mod_version"}','{"format":"short","product":"1","cache":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('316','0','mod_tags_popular','module','mod_tags_popular','','0','1','1','0','{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}','{"maximum":"5","timeframe":"alltime","owncache":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('317','0','mod_tags_similar','module','mod_tags_similar','','0','1','1','0','{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}','{"maximum":"5","matchtype":"any","owncache":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('318','0','mod_sampledata','module','mod_sampledata','','1','1','1','0','{"name":"mod_sampledata","type":"module","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"MOD_SAMPLEDATA_XML_DESCRIPTION","group":"","filename":"mod_sampledata"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('400','0','plg_authentication_gmail','plugin','gmail','authentication','0','0','1','0','{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}','{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}','','','0','0000-00-00 00:00:00','1','0'),
('401','0','plg_authentication_joomla','plugin','joomla','authentication','0','1','1','1','{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('402','0','plg_authentication_ldap','plugin','ldap','authentication','0','0','1','0','{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}','{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}','','','0','0000-00-00 00:00:00','3','0'),
('403','0','plg_content_contact','plugin','contact','content','0','1','1','0','{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}','','','','0','0000-00-00 00:00:00','1','0'),
('404','0','plg_content_emailcloak','plugin','emailcloak','content','0','1','1','0','{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}','{"mode":"1"}','','','0','0000-00-00 00:00:00','1','0'),
('405','0','plg_content_geshi','plugin','geshi','content','0','0','1','0','{"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"3.0.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":"","filename":"geshi"}','{}','','','0','0000-00-00 00:00:00','2','0'),
('406','0','plg_content_loadmodule','plugin','loadmodule','content','0','1','1','0','{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}','{"style":"xhtml"}','','','0','2011-09-18 15:22:50','0','0'),
('407','0','plg_content_pagebreak','plugin','pagebreak','content','0','1','1','1','{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}','{"title":"1","article_index":"1","article_index_text":"","multipage_toc":"1","showall":"1","style":"tabs"}','','','0','0000-00-00 00:00:00','4','0'),
('408','0','plg_content_pagenavigation','plugin','pagenavigation','content','0','1','1','1','{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}','{"position":"1"}','','','0','0000-00-00 00:00:00','5','0'),
('409','0','plg_content_vote','plugin','vote','content','0','1','1','1','{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}','{}','','','0','0000-00-00 00:00:00','6','0'),
('410','0','plg_editors_codemirror','plugin','codemirror','editors','0','1','1','1','{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"http:\\/\\/codemirror.net\\/","version":"5.40.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}','{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}','','','0','0000-00-00 00:00:00','1','0'),
('411','0','plg_editors_none','plugin','none','editors','0','1','1','1','{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}','{}','','','0','0000-00-00 00:00:00','2','0'),
('412','0','plg_editors_tinymce','plugin','tinymce','editors','0','1','1','1','{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2018","author":"Ephox Corporation","copyright":"Ephox Corporation","authorEmail":"N\\/A","authorUrl":"http:\\/\\/www.tinymce.com","version":"4.5.9","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}','{"skin":"0","skin_admin":"0","mode":"2","mobile":"0","drag_drop":"1","path":"","entity_encoding":"raw","lang_mode":"0","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"dummy","valid_elements":"","extended_elements":"span[*],a[*],p[*],div[*],i[*]","html_height":"550","html_width":"750","resizing":"1","resize_horizontal":"1","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","colors":"1","table":"1","smilies":"1","hr":"1","link":"1","media":"1","print":"1","directionality":"1","fullscreen":"1","alignment":"1","visualchars":"1","visualblocks":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","image_advtab":"1","code_sample":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}','','','0','0000-00-00 00:00:00','3','0'),
('413','0','plg_editors-xtd_article','plugin','article','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}','{}','','','0','0000-00-00 00:00:00','1','0'),
('414','0','plg_editors-xtd_image','plugin','image','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}','{}','','','0','0000-00-00 00:00:00','2','0'),
('415','0','plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}','{}','','','0','0000-00-00 00:00:00','3','0'),
('416','0','plg_editors-xtd_readmore','plugin','readmore','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}','{}','','','0','0000-00-00 00:00:00','4','0'),
('417','0','plg_search_categories','plugin','categories','search','0','1','1','0','{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('418','0','plg_search_contacts','plugin','contacts','search','0','1','1','0','{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('419','0','plg_search_content','plugin','content','search','0','1','1','0','{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('420','0','plg_search_newsfeeds','plugin','newsfeeds','search','0','1','1','0','{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','','0','0000-00-00 00:00:00','0','0');
INSERT INTO `#__extensions` VALUES 
('421','0','plg_search_weblinks','plugin','weblinks','search','0','1','1','0','{"name":"plg_search_weblinks","type":"plugin","creationDate":"2017-03-08","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":"","filename":"weblinks"}','{"search_limit":"50","search_content":"1","search_archived":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('422','0','plg_system_languagefilter','plugin','languagefilter','system','0','1','1','1','{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}','{"detect_browser":"0","automatic_change":"1","item_associations":"1","alternate_meta":"1","xdefault":"1","xdefault_language":"default","remove_default_prefix":"0","lang_cookie":"0"}','','','0','0000-00-00 00:00:00','2','0'),
('423','0','plg_system_p3p','plugin','p3p','system','0','1','1','1','{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}','{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}','','','0','0000-00-00 00:00:00','3','0'),
('424','0','plg_system_cache','plugin','cache','system','0','0','1','1','{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}','{"browsercache":"0","cachetime":"15"}','','','0','0000-00-00 00:00:00','11','0'),
('425','0','plg_system_debug','plugin','debug','system','0','1','1','0','{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}','{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}','','','0','0000-00-00 00:00:00','5','0'),
('426','0','plg_system_log','plugin','log','system','0','1','1','1','{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}','{}','','','0','0000-00-00 00:00:00','6','0'),
('427','0','plg_system_redirect','plugin','redirect','system','0','1','1','1','{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}','{}','','','0','0000-00-00 00:00:00','7','0'),
('428','0','plg_system_remember','plugin','remember','system','0','1','1','1','{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}','{}','','','0','0000-00-00 00:00:00','9','0'),
('429','0','plg_system_sef','plugin','sef','system','0','1','1','0','{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}','{}','','','0','0000-00-00 00:00:00','10','0'),
('430','0','plg_system_logout','plugin','logout','system','0','1','1','1','{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}','{}','','','0','0000-00-00 00:00:00','4','0'),
('431','0','plg_user_contactcreator','plugin','contactcreator','user','0','1','1','1','{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}','{"autowebpage":"","category":"34","autopublish":"0"}','','','0','0000-00-00 00:00:00','1','0'),
('432','0','plg_user_joomla','plugin','joomla','user','0','1','1','0','{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}','{"autoregister":"1"}','','','0','0000-00-00 00:00:00','2','0'),
('433','0','plg_user_profile','plugin','profile','user','0','0','1','1','{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}','{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"2","register_tos_article":"","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_dob":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('434','0','plg_extension_joomla','plugin','joomla','extension','0','1','1','1','{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}','{}','','','0','0000-00-00 00:00:00','1','0'),
('435','0','plg_content_joomla','plugin','joomla','content','0','1','1','0','{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('436','0','plg_system_languagecode','plugin','languagecode','system','0','0','1','0','{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}','{}','','','0','0000-00-00 00:00:00','12','0'),
('437','0','plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon','0','1','1','1','{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('438','0','plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon','0','1','1','1','{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('439','0','plg_captcha_recaptcha','plugin','recaptcha','captcha','0','0','1','0','{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}','{"version":"2.0","public_key":"6LfYAjkUAAAAAFZzibNE7WTyOuwwNmkS5N6HXrTR","private_key":"6LfYAjkUAAAAACtZ8__ExE4ed2CsLCGH4sLPUTg8","theme":"clean","theme2":"light","size":"normal"}','','','0','0000-00-00 00:00:00','0','0'),
('440','0','plg_system_highlight','plugin','highlight','system','0','1','1','0','{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":"","filename":"highlight"}','{}','','','0','0000-00-00 00:00:00','8','0'),
('441','0','plg_content_finder','plugin','finder','content','0','0','1','0','{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('442','0','plg_finder_categories','plugin','categories','finder','0','1','1','0','{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}','{}','','','0','0000-00-00 00:00:00','1','0'),
('443','0','plg_finder_contacts','plugin','contacts','finder','0','1','1','0','{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}','{}','','','0','0000-00-00 00:00:00','2','0'),
('444','0','plg_finder_content','plugin','content','finder','0','1','1','0','{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}','{}','','','0','0000-00-00 00:00:00','3','0'),
('445','0','plg_finder_newsfeeds','plugin','newsfeeds','finder','0','1','1','0','{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}','{}','','','0','0000-00-00 00:00:00','4','0'),
('446','0','plg_finder_weblinks','plugin','weblinks','finder','0','1','1','0','{"name":"plg_finder_weblinks","type":"plugin","creationDate":"2017-03-08","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":"","filename":"weblinks"}','{}','','','0','0000-00-00 00:00:00','5','0'),
('447','0','plg_finder_tags','plugin','tags','finder','0','1','1','0','{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('448','0','plg_twofactorauth_totp','plugin','totp','twofactorauth','0','0','1','0','{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('449','0','plg_authentication_cookie','plugin','cookie','authentication','0','1','1','0','{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":"","filename":"cookie"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('450','0','plg_twofactorauth_yubikey','plugin','yubikey','twofactorauth','0','0','1','0','{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('451','0','plg_search_tags','plugin','tags','search','0','0','1','0','{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}','{"search_limit":"50","show_tagged_items":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('452','0','plg_system_updatenotification','plugin','updatenotification','system','0','1','1','0','{"name":"plg_system_updatenotification","type":"plugin","creationDate":"May 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION","group":"","filename":"updatenotification"}','{"lastrun":1560237716}','','','0','0000-00-00 00:00:00','0','0'),
('453','0','plg_editors-xtd_module','plugin','module','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_module","type":"plugin","creationDate":"October 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_MODULE_XML_DESCRIPTION","group":"","filename":"module"}','','','','0','0000-00-00 00:00:00','0','0'),
('454','0','plg_system_stats','plugin','stats','system','0','1','1','0','{"name":"plg_system_stats","type":"plugin","creationDate":"November 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_STATS_XML_DESCRIPTION","group":"","filename":"stats"}','{"mode":3,"lastrun":"","unique_id":"d2bed058eafc49ba9131b682e2771ca38a6c8638","interval":12}','','','0','0000-00-00 00:00:00','0','0'),
('455','0','plg_installer_packageinstaller','plugin','packageinstaller','installer','0','1','1','1','{"name":"plg_installer_packageinstaller","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"packageinstaller"}','','','','0','0000-00-00 00:00:00','1','0'),
('456','0','PLG_INSTALLER_FOLDERINSTALLER','plugin','folderinstaller','installer','0','1','1','1','{"name":"PLG_INSTALLER_FOLDERINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"folderinstaller"}','','','','0','0000-00-00 00:00:00','2','0'),
('457','0','PLG_INSTALLER_URLINSTALLER','plugin','urlinstaller','installer','0','1','1','1','{"name":"PLG_INSTALLER_URLINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"urlinstaller"}','','','','0','0000-00-00 00:00:00','3','0'),
('458','0','plg_quickicon_phpversioncheck','plugin','phpversioncheck','quickicon','0','1','1','1','{"name":"plg_quickicon_phpversioncheck","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION","group":"","filename":"phpversioncheck"}','','','','0','0000-00-00 00:00:00','0','0'),
('459','0','plg_editors-xtd_menu','plugin','menu','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_menu","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION","group":"","filename":"menu"}','','','','0','0000-00-00 00:00:00','0','0'),
('460','0','plg_editors-xtd_contact','plugin','contact','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_contact","type":"plugin","creationDate":"October 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}','','','','0','0000-00-00 00:00:00','0','0'),
('461','0','plg_system_fields','plugin','fields','system','0','1','1','0','{"name":"plg_system_fields","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_SYSTEM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}','','','','0','0000-00-00 00:00:00','0','0'),
('462','0','plg_fields_calendar','plugin','calendar','fields','0','1','1','0','{"name":"plg_fields_calendar","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CALENDAR_XML_DESCRIPTION","group":"","filename":"calendar"}','','','','0','0000-00-00 00:00:00','0','0'),
('463','0','plg_fields_checkboxes','plugin','checkboxes','fields','0','1','1','0','{"name":"plg_fields_checkboxes","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION","group":"","filename":"checkboxes"}','','','','0','0000-00-00 00:00:00','0','0'),
('464','0','plg_fields_color','plugin','color','fields','0','1','1','0','{"name":"plg_fields_color","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_COLOR_XML_DESCRIPTION","group":"","filename":"color"}','','','','0','0000-00-00 00:00:00','0','0'),
('465','0','plg_fields_editor','plugin','editor','fields','0','1','1','0','{"name":"plg_fields_editor","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_EDITOR_XML_DESCRIPTION","group":"","filename":"editor"}','','','','0','0000-00-00 00:00:00','0','0'),
('466','0','plg_fields_imagelist','plugin','imagelist','fields','0','1','1','0','{"name":"plg_fields_imagelist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION","group":"","filename":"imagelist"}','','','','0','0000-00-00 00:00:00','0','0'),
('467','0','plg_fields_integer','plugin','integer','fields','0','1','1','0','{"name":"plg_fields_integer","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_INTEGER_XML_DESCRIPTION","group":"","filename":"integer"}','{"multiple":"0","first":"1","last":"100","step":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('468','0','plg_fields_list','plugin','list','fields','0','1','1','0','{"name":"plg_fields_list","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_LIST_XML_DESCRIPTION","group":"","filename":"list"}','','','','0','0000-00-00 00:00:00','0','0'),
('469','0','plg_fields_media','plugin','media','fields','0','1','1','0','{"name":"plg_fields_media","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}','','','','0','0000-00-00 00:00:00','0','0'),
('470','0','plg_fields_radio','plugin','radio','fields','0','1','1','0','{"name":"plg_fields_radio","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_RADIO_XML_DESCRIPTION","group":"","filename":"radio"}','','','','0','0000-00-00 00:00:00','0','0');
INSERT INTO `#__extensions` VALUES 
('471','0','plg_fields_sql','plugin','sql','fields','0','1','1','0','{"name":"plg_fields_sql","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_SQL_XML_DESCRIPTION","group":"","filename":"sql"}','','','','0','0000-00-00 00:00:00','0','0'),
('472','0','plg_fields_text','plugin','text','fields','0','1','1','0','{"name":"plg_fields_text","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXT_XML_DESCRIPTION","group":"","filename":"text"}','','','','0','0000-00-00 00:00:00','0','0'),
('473','0','plg_fields_textarea','plugin','textarea','fields','0','1','1','0','{"name":"plg_fields_textarea","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION","group":"","filename":"textarea"}','','','','0','0000-00-00 00:00:00','0','0'),
('474','0','plg_fields_url','plugin','url','fields','0','1','1','0','{"name":"plg_fields_url","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_URL_XML_DESCRIPTION","group":"","filename":"url"}','','','','0','0000-00-00 00:00:00','0','0'),
('475','0','plg_fields_user','plugin','user','fields','0','0','1','0','{"name":"plg_fields_user","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USER_XML_DESCRIPTION","group":"","filename":"user"}','','','','0','0000-00-00 00:00:00','0','0'),
('476','0','plg_fields_usergrouplist','plugin','usergrouplist','fields','0','1','1','0','{"name":"plg_fields_usergrouplist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION","group":"","filename":"usergrouplist"}','','','','0','0000-00-00 00:00:00','0','0'),
('477','0','plg_content_fields','plugin','fields','content','0','1','1','0','{"name":"plg_content_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_CONTENT_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}','','','','0','0000-00-00 00:00:00','0','0'),
('478','0','plg_editors-xtd_fields','plugin','fields','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}','','','','0','0000-00-00 00:00:00','0','0'),
('479','0','plg_sampledata_blog','plugin','blog','sampledata','0','0','1','0','{"name":"plg_sampledata_blog","type":"plugin","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION","group":"","filename":"blog"}','','','','0','0000-00-00 00:00:00','0','0'),
('480','0','plg_system_sessiongc','plugin','sessiongc','system','0','1','1','0','{"name":"plg_system_sessiongc","type":"plugin","creationDate":"February 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.6","description":"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION","group":"","filename":"sessiongc"}','','','','0','0000-00-00 00:00:00','0','0'),
('504','0','hathor','template','hathor','','1','1','1','0','{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}','{"showSiteName":"0","colourChoice":"0","boldText":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('507','0','isis','template','isis','','1','1','1','0','{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}','{"templateColor":"","logoFile":""}','','','0','0000-00-00 00:00:00','0','0'),
('600','802','English (en-GB)','language','en-GB','','0','1','1','1','{"name":"English (en-GB)","type":"language","creationDate":"April 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.5","description":"en-GB site language","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('601','802','English (en-GB)','language','en-GB','','1','1','1','1','{"name":"English (en-GB)","type":"language","creationDate":"April 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.5","description":"en-GB administrator language","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('700','0','files_joomla','file','joomla','','0','1','1','1','{"name":"files_joomla","type":"file","creationDate":"April 2019","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.5","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}','','','','0','0000-00-00 00:00:00','0','0'),
('758','0','beez3','template','beez3','','0','1','1','0','{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}','{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature","backgroundcolor":"#eee"}','','','0','0000-00-00 00:00:00','0','0'),
('759','0','protostar','template','protostar','','0','1','1','0','{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}','{"templateColor":"#08C","templateBackgroundColor":"#F4F6F7","logoFile":"","sitetitle":"","sitedescription":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('760','0','mod_stats_admin','module','mod_stats_admin','','1','1','1','0','{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}','{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}','','','0','0000-00-00 00:00:00','0','0'),
('801','0','pkg_weblinks','package','pkg_weblinks','','0','1','1','0','{"name":"pkg_weblinks","type":"package","creationDate":"December 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.1","description":"PKG_WEBLINKS_XML_DESCRIPTION","group":"","filename":"pkg_weblinks"}','','','','0','0000-00-00 00:00:00','0','0'),
('802','0','English (en-GB) Language Pack','package','pkg_en-GB','','0','1','1','1','{"name":"English (en-GB) Language Pack","type":"package","creationDate":"April 2019","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.5.1","description":"en-GB language pack","group":"","filename":"pkg_en-GB"}','','','','0','0000-00-00 00:00:00','0','0'),
('10000','10008','DJ-MediaTools Album','module','mod_djmediatools','','0','1','0','0','{"name":"DJ-MediaTools Album","type":"module","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.12.0","description":"MOD_DJMEDIATOOLS_DESC","group":"","filename":"mod_djmediatools"}','{"catid":"","layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","cache":"1","cache_time":"900"}','','','0','0000-00-00 00:00:00','0','0'),
('10001','10008','plg_content_djmediatools','plugin','djmediatools','content','0','1','1','0','{"name":"plg_content_djmediatools","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.3.0","description":"PLG_CONTENT_DJMEDIATOOLS_DESCRIPTION","group":"","filename":"djmediatools"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10002','10008','plg_editors-xtd_djmediatools','plugin','djmediatools','editors-xtd','0','1','1','0','{"name":"plg_editors-xtd_djmediatools","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.11.0","description":"PLG_EDITORSXTD_DJMEDIATOOLS_DESCRIPTION","group":"","filename":"djmediatools"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10003','10008','plg_djmediatools_content','plugin','content','djmediatools','0','1','1','0','{"name":"plg_djmediatools_content","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.2","description":"PLG_DJMEDIATOOLS_CONTENT_DESCRIPTION","group":"","filename":"content"}','{"plg_content_type":"featured","plg_content_maxlevel":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10004','10008','plg_djmediatools_folder','plugin','folder','djmediatools','0','1','1','0','{"name":"plg_djmediatools_folder","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.0","description":"PLG_DJMEDIATOOLS_FOLDER_DESCRIPTION","group":"","filename":"folder"}','{"plg_folder_path":"","plg_folder_link":""}','','','0','0000-00-00 00:00:00','0','0'),
('10005','10008','plg_djmediatools_djcatalog2','plugin','djcatalog2','djmediatools','0','1','1','0','{"name":"plg_djmediatools_djcatalog2","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.3","description":"PLG_DJMEDIATOOLS_DJCATALOG2_DESCRIPTION","group":"","filename":"djcatalog2"}','{"plg_catalog2_catid":"0","plg_catalog2_featured_only":"0","plg_catalog2_featured_first":"0","plg_catalog2_orderby":"0","plg_catalog2_orderdir":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10006','10008','plg_djmediatools_djclassifieds','plugin','djclassifieds','djmediatools','0','1','1','0','{"name":"plg_djmediatools_djclassifieds","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.2.1","description":"PLG_DJMEDIATOOLS_DJCLASSIFIEDS_DESCRIPTION","group":"","filename":"djclassifieds"}','{"plg_classifieds_catid":"0","plg_classifieds_items_ord":"0","plg_classifieds_only_promoted":"0","plg_classifieds_items_ids":""}','','','0','0000-00-00 00:00:00','0','0'),
('10007','10008','com_djmediatools','component','com_djmediatools','','1','1','0','0','{"name":"com_djmediatools","type":"component","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.13","description":"DJ-MediaTools component","group":"","filename":"djmediatools"}','{"show_cat_titles":"2","cwidth":"210","cheight":"210","cresizing":"crop","cquality":"80","show_cat_title":"1","show_cat_desc":"after","show_subcategories":"after","show_album_title":"1","show_album_desc":"1","zoom":"1","window_size":"fluid","window_width":"900","window_height":"500","comments":"0","facebook_sdk":"1","facebook_admins":"","disqus_shortname":"","layout":"_:slideshow","slider_type":"left","desc_effect":"fade","sort_by":"1","link_image":"1","lightbox":"magnific","image_width":"650","image_height":"450","resizing":"crop","quality":"100","thumb_width":"","thumb_height":"","visible_images":"3","space_between_images":"1","max_images":"50","show_thumbs":"1","tab_indicator":"2","tab_width":"380","tab_height":"115","tab_position":"right","show_title":"1","show_desc":"1","show_readmore":"1","readmore_text":"Read more","link_title":"1","link_desc":"0","limit_desc":"200","autoplay":"1","pause_autoplay":"1","show_buttons":"0","show_arrows":"1","show_custom_nav":"1","effect":"Expo","effect_type":"0","duration":"","delay":"","lag":"","preload":"","desc_position":"over","desc_width":"","desc_bottom":"0","desc_horizontal":"0","left_arrow":"images\\/modules\\/navi\\/prev.png","right_arrow":"images\\/modules\\/navi\\/next.png","play_button":"images\\/modules\\/navi\\/play.png","pause_button":"images\\/modules\\/navi\\/pause.png","arrows_top":"0","arrows_horizontal":"0","custom_nav_pos":"below","custom_nav_align":"center","loader_position":"tl","wcag":"1","upload_max_size":"10240","upload_chunk_size":"1024","upload_width":"1600","upload_height":"1200","upload_quality":"90","watermark":"0","watermark_file":"","watermark_size":"20","watermark_alignment_h":"l","watermark_alignment_v":"b"}','','','0','0000-00-00 00:00:00','0','0'),
('10008','0','DJ-MediaTools Package','package','pkg_dj-mediatools','','0','1','1','0','{"name":"DJ-MediaTools Package","type":"package","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.13","description":"\\n\\t\\t<style type=\\"text\\/css\\">\\n\\t\\t\\t.djex-info { padding: 20px 30px 10px; margin: 0 0 20px 0; background: #25a3a3; color: #fff; border: 1px solid #1e8282; font-family: Arial, Helvetica, sans-serif; font-size: 13px; font-weight: normal; -webkit-border-radius: 4px; border-radius: 4px; }\\n\\t\\t\\t.djex-title { text-transform: uppercase; font-weight: bold; font-size: 14px; }\\n\\t\\t\\t.djex-info a:link, .djex-info a:visited, .djex-info a:hover { color:#fff; text-decoration:underline; font-weight: 600; }\\t\\n\\t\\t\\t.djex-info img { float: left; margin: 0 30px 10px 0; }\\n\\t\\t<\\/style>\\n\\t\\t<div class=\\"djex-info\\">\\n\\t\\t\\t<img src=\\"components\\/com_djmediatools\\/assets\\/ex_mediatools.png\\" \\/>\\n\\t\\t\\t<p class=\\"djex-title\\">Thank you for installing DJ-MediaTools!<\\/p>\\n\\t\\t\\t<p>The DJ-MediaTools extension allows you to display albums containing custom items or any different content from other 3rd party extensions on different layouts including Gallery Grid, Slideshow based on our new script or Slider based on DJ-ImageSlider and more up to 9 different layouts.\\n\\t\\t\\tIf you want to learn how to use DJ-MediaTools please read <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\/documentation\\">Documentation<\\/a> and visit our <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\/faq\\">FAQ Section<\\/a><\\/p>\\n\\t\\t\\t<p>Check out our other extensions at <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\">DJ-Extensions.com<\\/a><\\/p>\\n\\t\\t\\t<div style=\\"clear:both\\"><\\/div>\\n\\t\\t<\\/div>\\n\\t\\t","group":"","filename":"pkg_dj-mediatools"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10009','10011','plg_system_djmegamenu','plugin','djmegamenu','system','0','1','1','0','{"name":"plg_system_djmegamenu","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2013-2016 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.6.0","description":"PLG_SYSTEM_DJMEGAMENU_DESCRIPTION","group":"","filename":"djmegamenu"}','{"wrappers":"1"}','','','0','0000-00-00 00:00:00','-2','0'),
('10010','10011','DJ-MegaMenu','module','mod_djmegamenu','','0','1','0','0','{"name":"DJ-MegaMenu","type":"module","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2012-2016 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"4.0.0","description":"MOD_DJMEGAMENU_MODULE_DESC","group":"","filename":"mod_djmegamenu"}','{"menu":"mainmenu","theme":"default","startLevel":"1","endLevel":"0","expand":"0","column_width":"200","usenote":"1","moo":"1","event":"mouseenter","wrapper":"","select":"0","width":"979","height_fx":"1","width_fx":"0","opacity_fx":"1","height_fx_sub":"1","width_fx_sub":"1","opacity_fx_sub":"1","effect":"cubic","duration":"","delay":"","cache":"1","cache_time":"900","cachemode":"itemid"}','','','0','0000-00-00 00:00:00','0','0'),
('10011','0','DJ-MegaMenu Pro Package','package','pkg_dj-megamenu','','0','1','1','0','{"name":"DJ-MegaMenu Pro Package","type":"package","creationDate":"October 2018","author":"DJ-Extensions.com","copyright":"Copyright (C) 2018 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"4.0.0","description":"\\n\\t\\t<style type=\\"text\\/css\\">\\n\\t\\t\\t.djex-info { padding: 20px 30px 10px; margin: 0 0 20px 0; background: #5c14a6; color: #fff; border: 1px solid #400e74; font-family: Arial, Helvetica, sans-serif; font-size: 13px; font-weight: normal; -webkit-border-radius: 4px; border-radius: 4px; }\\n\\t\\t\\t.djex-title { text-transform: uppercase; font-weight: bold; font-size: 14px; }\\n\\t\\t\\t.djex-info a:link, .djex-info a:visited, .djex-info a:hover { color:#fff; text-decoration:underline; font-weight: 600; }\\t\\n\\t\\t\\t.djex-info img { float: left; margin: 0 30px 10px 0; }\\n\\t\\t<\\/style>\\n\\t\\t<div class=\\"djex-info\\">\\n\\t\\t\\t<img src=\\"..\\/modules\\/mod_djmegamenu\\/assets\\/images\\/ex_megamenu.png\\" \\/>\\n\\t\\t\\t<p class=\\"djex-title\\">Thank you for installing DJ-MegaMenu Professional Edition!<\\/p>\\n\\t\\t\\t<p>The DJ-MegaMenu is an advanced menu system for your Joomla! and it\'s ready for mobiles providing Offcanvas Menu, Acordion Menu or simple Select Menu opened with well know mobile menu icon.\\n\\t\\t\\tIf you want to learn how to use DJ-MegaMenu please read <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\/documentation\\">Documentation<\\/a> and visit our <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\/faq\\">FAQ Section<\\/a><\\/p>\\n\\t\\t\\t<p>Check out our other extensions at <a target=\\"_blank\\" href=\\"http:\\/\\/dj-extensions.com\\">DJ-Extensions.com<\\/a><\\/p>\\n\\t\\t\\t<div style=\\"clear:both\\"><\\/div>\\n\\t\\t<\\/div>\\n\\t\\t","group":"","filename":"pkg_dj-megamenu"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10012','10025','DJClassifieds Items','module','mod_djclassifieds_items','','0','1','0','0','{"name":"DJClassifieds Items","type":"module","creationDate":"January 2013","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds Items module","group":"","filename":"mod_djclassifieds_items"}','{"moduleclass_sfx":"","items_nr":"7","columns_nr":"1","items_ord":"0","cat_id":"0","region_id":"0","type_id":"0","fallow_category":"0","fallow_region":"0","items_ids":"","show_img":"1","show_default_img":"0","show_title":"1","char_title_nr":"0","show_date":"1","show_cat":"1","cat_link":"1","show_type":"1","show_region":"1","show_price":"1","show_description":"1","desc_source":"0","desc_link":"0","char_desc_nr":"50","only_p_special":"0","only_p_first":"0","only_p_bold":"0","only_p_border":"0","only_p_bg":"0","cache":"1","cache_time":"900","cachemode":"static"}','','','0','0000-00-00 00:00:00','0','0'),
('10013','10025','DJClassifieds Maps','module','mod_djclassifieds_maps','','0','1','0','0','{"name":"DJClassifieds Maps","type":"module","creationDate":"January 2013","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds Google Maps module","group":"","filename":"mod_djclassifieds_maps"}','{"moduleclass_sfx":"","layout":"cluster","map_width":"500px","map_height":"400px","items_limit":"20","start_address":"England, London","gm_type":"ROADMAP","start_zoom":"10","items_ord":"0","follow_category":"1","follow_search":"1","enable_zoom":"true","enable_scrolling":"true"}','','','0','0000-00-00 00:00:00','0','0'),
('10014','10025','DJClassifieds Menu','module','mod_djclassifieds_menu','','0','1','0','0','{"name":"DJClassifieds Menu","type":"module","creationDate":"January 2013","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds Menu module","group":"","filename":"mod_djclassifieds_menu"}','{"moduleclass_sfx":"_menu","max_level":"0","new_ad_link":"2","cat_ordering":"ord","hide_empty":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10015','10025','DJClassifieds Search','module','mod_djclassifieds_search','','0','1','0','0','{"name":"DJClassifieds Search","type":"module","creationDate":"January 2013","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7.1","description":"DJ Classifieds Search module","group":"","filename":"mod_djclassifieds_search"}','{"moduleclass_sfx":"","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","cat_ordering":"ord","cat_hide_empty":"0","show_type":"0","show_loc":"1","show_postcode":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_input":"1","show_price":"0","show_only_images":"0","show_only_video":"0","show_time":"0","show_reset":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10016','10025','DJClassifieds User Menu','module','mod_djclassifieds_user_menu','','0','1','0','0','{"name":"DJClassifieds User Menu","type":"module","creationDate":"September 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds User menu module","group":"","filename":"mod_djclassifieds_user_menu"}','{"moduleclass_sfx":"","new_ad_link":"1","user_ads_link":"1","user_fav_link":"1","points_packages_link":"0","user_points_link":"0","cache":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10017','10025','DJClassifieds User Points','module','mod_djclassifieds_user_points','','0','1','0','0','{"name":"DJClassifieds User Points","type":"module","creationDate":"August 2013","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds User points module","group":"","filename":"mod_djclassifieds_user_points"}','{"moduleclass_sfx":"","show_points":"1","points_packages_link":"1","user_points_link":"1","cache":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10018','10025','DJ Classifieds Authorize.net payment','plugin','djcfAuthorizeNET','djclassifiedspayment','0','1','1','0','{"name":"DJ Classifieds Authorize.net payment","type":"plugin","creationDate":"September 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/design-joomla.eu","version":"3.7.7.1","description":"DJ Classifieds Authorize.net payment","group":"","filename":"djcfAuthorizeNET"}','{"login_id":"test","transaction_key":"test","account_type":"test","currency_code":"USD"}','','','0','0000-00-00 00:00:00','0','0'),
('10019','10025','DJ Classifieds Bank Transfer payment','plugin','djcfBankTransfer','djclassifiedspayment','0','1','1','0','{"name":"DJ Classifieds Bank Transfer payment","type":"plugin","creationDate":"September 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/design-joomla.eu","version":"3.7.7","description":"\\n\\t\\tDJ Classifieds Bank Transfer Payment\\t\\t\\n\\t\\t","group":"","filename":"djcfBankTransfer"}','{"pay_info":"Your bank account ;-)"}','','','0','0000-00-00 00:00:00','0','0'),
('10020','10025','DJ Classifieds Paypal payment','plugin','djcfPaypal','djclassifiedspayment','0','1','1','0','{"name":"DJ Classifieds Paypal payment","type":"plugin","creationDate":"September 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/design-joomla.eu","version":"3.7.7","description":"DJ Classifieds Paypal payment","group":"","filename":"djcfPaypal"}','{"email_id":"test@test.pl","test":"1","currency_code":"USD"}','','','0','0000-00-00 00:00:00','0','0'),
('10021','10025','DJ Classifieds PayU payment','plugin','djcfPayU','djclassifiedspayment','0','1','1','0','{"name":"DJ Classifieds PayU payment","type":"plugin","creationDate":"September 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/design-joomla.eu","version":"3.7.7.1","description":"DJ Classifieds PayU payment","group":"","filename":"djcfPayU"}','{"pos_id":"","md5_key":"","md5_key2":"","pos_auth_key":"","notify_url_label":"http:\\/\\/domain.com\\/index.php?option=com_djclassifieds&task=processPayment&ptype=djcfPayU&pactiontype=notify","return_url_label":"http:\\/\\/domain.com\\/index.php?option=com_djclassifieds&task=paymentReturn&r=ok","return_error_url_label":"http:\\/\\/domain.com\\/index.php?option=com_djclassifieds&task=paymentReturn&r=error"}','','','0','0000-00-00 00:00:00','0','0'),
('10022','10025','DJ Classifieds Przelewy24 payment','plugin','djcfPrzelewy24','djclassifiedspayment','0','1','1','0','{"name":"DJ Classifieds Przelewy24 payment","type":"plugin","creationDate":"September 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-jooma.eu","authorUrl":"http:\\/\\/design-joomla.eu","version":"3.7.4","description":"DJ Classifieds Przelewy24 payment","group":"","filename":"djcfPrzelewy24"}','{"p24_id":"","p24_crc":"","test":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10023','10025','DJ-Classifieds quickicon plugin','plugin','djcfquickicon','quickicon','0','1','1','0','{"name":"DJ-Classifieds quickicon plugin","type":"plugin","creationDate":"March 2013","author":"DJ-Extensions.com","copyright":"Copyright (C) 2013 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.1.0","description":"Plug-in showing DJ-Classifieds quickicon.","group":"","filename":"djcfquickicon"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10024','10025','DJ Classifieds','component','com_djclassifieds','','1','1','0','0','{"name":"DJ Classifieds","type":"component","creationDate":"January 2013","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7.2","description":"DJ Classifieds - Advertising Component","group":"","filename":"djclassifieds"}','{"durations_list":"1","exp_days":"7","autopublish":"0","user_type":"0","guest_can_edit":"0","guest_can_delete":"0","admin_can_edit_delete":"0","ad_preview":"1","adverts_limit":"0","renew_days":"3","promotion":"1","promotion_move_top":"1","promotion_move_top_price":"5","promotion_move_top_points":"5","search_type_phrase":"1","vat_value":"23","show_archived":"1","allow_user_archive":"1","allow_user_delete_archive":"1","user_ad_delete":"0","allow_user_block_ad":"0","allow_user_copy_ad":"0","cache_lib_cats":"0","cache_lib_regs":"0","auctions":"1","bids_displayed":"5","auction_timer":"0","mask_bidder_name":"1","buynow":"1","buynow_direct_payment":"1","show_contact_only_registered":"0","show_types":"1","types_required":"0","types_display_layout":"0","points":"1","show_postcode":"1","show_contact":"1","show_price":"1","show_price_negotiable":"1","show_introdesc":"1","show_website":"1","website_nofollow":"1","show_video":"1","show_regions":"1","show_address":"1","favourite":"1","email_for_guest":"0","cf_values_to_labels":"0","preselect_last_cat":"0","unit_price":"$","unit_price_list":"$;PLN","unit_price_position":"1","unit_price_space":"1","price_format":"0","price_thousand_separator":"0","price_decimal_separator":"0","price_decimals":"2","price_only_numbers":"0","notify_days":"3","notify_days_trigger":"1","notify_admin":"0","notify_renew_admin":"1","notify_status_change":"2","notify_user_email":"","user_new_ad_email":"0","date_format_type":"1","date_format_type_item":"0","date_format_type_modules":"0","date_format":"Y-m-d H:i:s","date_format_ago_limit":"1","date_persian":"0","map_api_key":"","map_api_key_browser":"","places_in_address":"0","places_api_country":"","allow_user_lat_lng":"1","map_lat_lng_address":"England, London","show_lat_lng":"1","show_googlemap":"1","gm_type":"ROADMAP","gm_img_on_start":"0","gm_zoom":"10","gm_scrollwheel":"1","show_gm_driving":"1","gm_icon":"0","gm_styles":"","pay_desc_chars":"0","pay_desc_chars_limit":"800","pay_desc_chars_free_limit":"450","desc_char_price":"5","desc_char_price_points":"5","desc_char_price_renew":"5","desc_char_price_renew_points":"5","theme":"jm-myoffers","include_css":"0","table_type":"smart","profileitems_table_type":"smart","limit_djitem_show":"10","introdesc_char_limit":"80","title_char_limit":"0","show_tooltips_newad":"0","desc_plugins":"1","desc_editor":"1","allow_htmltags":"0","allowed_htmltags":"div;p;span;strong;i;b;em;ul;li;ol;br","allow_htmltags_cf":"0","allowed_htmltags_cf":"div;p;span;strong;i;b;em;ul;li;ol;br;a","showitem_jump":"0","title_breadcrumb":"1","items_ordering":"date_e","items_ordering_dir":"desc","rss_feed":"1","icon_new":"1","icon_new_time":"14","ad_image_default":"1","auctions_position":"middle","auctions_price_link":"1","intro_desc_in_advert":"1","ask_seller":"1","ask_seller_copy_admin":"1","ask_seller_copy_sender":"0","ask_seller_msg_target":"0","ask_seller_type":"1","ask_seller_file":"1","ask_seller_file_types":"doc,pdf,zip","ask_seller_file_size":"2","abuse_reporting":"1","ask_seller_position":"0","showaddetails":"1","show_ad_added_date":"1","show_ad_modified_date":"0","showauthor":"1","authorname":"name","profile_avatar_source":"","profile_social_link":"","show_empty_cf":"1","sb_position":"top","sb_code":"<div class=\\"addthis_toolbox addthis_default_style addthis_20x20_style\\"><a class=\\"addthis_button_facebook\\"><\\/a><a class=\\"addthis_button_twitter\\"><\\/a><a class=\\"addthis_button_google_plusone_share\\"><\\/a><a class=\\"addthis_button_pinterest_share\\"><\\/a><a class=\\"addthis_button_linkedin\\"><\\/a><a class=\\"addthis_button_pocket\\"><\\/a><a class=\\"addthis_button_compact\\"><\\/a><\\/div><script type=\\"text\\/javascript\\" src=\\"\\/\\/s7.addthis.com\\/js\\/250\\/addthis_widget.js#pubid=xa-501a7c83604a8bb4\\"><\\/script>","comments":"1","fb_comments_admin":"","fb_comments_width":"550px","fb_comments_posts":"10","disqus_shortname":"","show_adsn_cat":"1","show_subcats":"1","subcats_dir":"0","subcats_ordering":"ord","subcats_hide_empty":"0","subcats_columns":"3","title_in_items":"0","main_cat_desc":"1","sub_cat_desc":"1","items_in_main_cat":"1","category_jump":"0","tooltip_img":"0","tooltip_title":"0","tooltip_images":"0","tooltip_price":"1","tooltip_contact":"1","tooltip_location":"1","column_image":"1","column_loc":"1","column_price":"1","column_desc":"1","column_category":"1","column_date_a":"1","column_date_e":"1","column_displayed":"1","column_distance":"1","column_distance_unit":"mile","blog_columns_number":"4","blog_desc_position":"bottom","blog_image":"2","blog_category":"2","blog_location":"1","blog_distance":"0","blog_price":"1","blog_readmore":"1","blog_profile":"0","blog_sorting":"1","blog_sorting_fields":["title","cat","loc","price","display","date_a","date_sort","distance"],"table_smart_sorting":"1","table_smart_sorting_fields":["title","cat","loc","price","display","date_a","date_sort","distance"],"cattree_type":"cat","cattree_cols":"3","cattree_levels":"0","cattree_ic":"2","cattree_img":"1","cattree_last_level_type":"0","regtree_type":"","regtree_cols":"3","regtree_levels":"0","regtree_ic":"1","regtree_last_level_type":"0","profile_regions":"0","profile_address":"0","profile_postcode":"0","img_required":"1","img_limit":"5","img_free_limit":"-1","img_maxsize":"0","img_price":"0","img_price_points":"0","img_price_renew":"0","img_price_renew_points":"0","lightbox_type":"magnific","gallery_width":"600","gallery_thumbs_in_row":"4","blank_img_source":"0","blank_img_path":"\\/components\\/com_djclassifieds\\/assets\\/images\\/","advert_img_path":"\\/components\\/com_djclassifieds\\/images\\/item\\/","profile_img_path":"\\/components\\/com_djclassifieds\\/images\\/profile\\/","category_img_path":"\\/components\\/com_djclassifieds\\/images\\/category\\/","watermark":"1","watermark_size":"20","watermark_alignment_h":"l","watermark_alignment_v":"b","image_quality":"90","store_org_img":"1","leave_small_th":"0","image_label_from_name":"1","image_resize":"0","crop_alignment_h":"m","crop_alignment_v":"m","smallth_width":"218","smallth_height":"218","middleth_width":"260","middleth_height":"188","bigth_width":"1000","bigth_height":"0","catth_width":"56","catth_height":"56","profth_width":"120","profth_height":"120","prof_smallth_width":"90","prof_smallth_height":"90","upload_width":"1600","upload_height":"1200","upload_quality":"90","djmediatools_integration":"0","djmediatools_album_item":"0","djmediatools_minimum":"1","advert_limit_5min":"5","advert_limit_hour":"10","advert_limit_day":"50","acl_redirect":"0","acl_red_article_id":"0","restriction_18_art":"1","restriction_18_art_id":"80","restriction_18_allads":"1","ask_limit_one":"5","ask_limit_hour":"15","captcha":"0","captcha_type":"nocaptcha","captcha_theme":"clean","captcha_publickey":"6LfzhgkAAAAAAL9RlsE0x-hR2H43IgOFfrt0BxI0","captcha_privatekey":"6LfzhgkAAAAAAOJNzAjPz3vXlX-Bw0l-sqDgipgs","terms":"1","terms_article_id":"87","privacy_policy":"1","privacy_policy_article_id":"87","gdpr_agreement":"1","gdpr_agreement_info":"Data protection agreement","anonymous_stats":"1","last_viewed_limit":"10","last_viewed_time":"7","404_item_redirect":"0","404_cat_redirect":"0","seo_item_metadesc":"0","seo_metadesc_char_limit":"160","seo_metadesc_user_edit":"0","seo_keywords_user_edit":"0","seo_item_metarobots":"","seo_items_metarobots":"","seo_title_separator":" - ","seo_title_item":"<item_name>|<category_name>|<region_name>|<default_title>","seo_title_items":"<category_path>|<default_title>","seo_link_separator":",","seo_id_position":"1","seo_alias_urlsafe":"1","seo_alias_in_url":"1","seo_items_url_structure":"0","seo_item_url_structure":"2","seo_view_item":"ad","seo_view_additem":"additem","seo_view_edititem":"edititem","seo_view_categories":"categories","seo_view_regions":"regions","seo_view_useritems":"useritems","seo_view_items":"ads","seo_view_profile":"profile","seo_view_profileedit":"profileedit"}','','','0','0000-00-00 00:00:00','0','0'),
('10025','0','DJ-Classifieds Package','package','pkg_dj-classifieds','','0','1','1','0','{"name":"DJ-Classifieds Package","type":"package","creationDate":"November 2011","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@design-joomla.eu","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7.2","description":"","group":"","filename":"pkg_dj-classifieds"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10026','0','plg_search_djclassifieds','plugin','djclassifieds','search','0','1','1','0','{"name":"plg_search_djclassifieds","type":"plugin","creationDate":"January 2011","author":"Blue Constant Media LTD","copyright":"Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.","authorEmail":"contact@design-joomla.eu","authorUrl":"http:\\/\\/design-joomla.eu","version":"2.4.3","description":"PLG_SEARCH_DJCLASSIFIEDS_DJPLGSEARCHDESC","group":"","filename":"djclassifieds"}','{"search_limit":"50"}','','','0','0000-00-00 00:00:00','0','0'),
('10027','10008','plg_djmediatools_virtuemart','plugin','virtuemart','djmediatools','0','0','1','0','{"name":"plg_djmediatools_virtuemart","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.0","description":"PLG_DJMEDIATOOLS_VIRTUEMART_DESCRIPTION","group":"","filename":"virtuemart"}','{"plg_virtuemart_product_group":"latest","plg_virtuemart_show_price":"1","plg_virtuemart_show_addtocart":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10028','10008','plg_djmediatools_k2','plugin','k2','djmediatools','0','0','1','0','{"name":"plg_djmediatools_k2","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.2.0","description":"PLG_DJMEDIATOOLS_K2_DESCRIPTION","group":"","filename":"k2"}','{"plg_k2_source":"filter","":"K2_ITEM_VIEW_OPTIONS_COMMON_FOR_EITHER_SOURCE","plg_k2_catfilter":"0","plg_k2_category_id":"","plg_k2_getChildren":"0","plg_k2_itemsOrdering":"","plg_k2_FeaturedItems":"1","plg_k2_popularityRange":"","plg_k2_videosOnly":"0","plg_k2_item":"","plg_k2_items":""}','','','0','0000-00-00 00:00:00','0','0'),
('10029','10025','plg_djclassifieds_pagebreak','plugin','pagebreak','djclassifieds','0','1','1','0','{"name":"plg_djclassifieds_pagebreak","type":"plugin","creationDate":"November 2013","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.4","description":"PLG_DJCLASSIFIEDS_PAGEBREAK_DJCLASSIFIEDSPAGEBREAK","group":"","filename":"pagebreak"}','{"enabled":"1","accordion":"2"}','','','0','0000-00-00 00:00:00','0','0');
INSERT INTO `#__extensions` VALUES 
('10030','10008','plg_djmediatools_easyblog','plugin','easyblog','djmediatools','0','0','1','0','{"name":"plg_djmediatools_easyblog","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.0","description":"PLG_DJMEDIATOOLS_EASYBLOG_DESCRIPTION","group":"","filename":"easyblog"}','{"plg_easyblog_catid":"all","plg_easyblog_includesubcategory":"0","plg_easyblog_usefeatured":"0","plg_easyblog_order":"latest","plg_easyblog_order_dir":"DESC"}','','','0','0000-00-00 00:00:00','0','0'),
('10031','10025','DJClassifieds Category Tree','module','mod_djclassifieds_cattree','','0','1','0','0','{"name":"DJClassifieds Category Tree","type":"module","creationDate":"October 2014","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds Category Tree module","group":"","filename":"mod_djclassifieds_cattree"}','{"moduleclass_sfx":"_menu","cattree_type":"","cattree_cols":"3","cattree_levels":"0","cattree_ic":"1","cattree_img":"0","cattree_first_level_type":"0","cattree_last_level_type":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10032','10025','DJClassifieds Regions','module','mod_djclassifieds_regions','','0','1','0','0','{"name":"DJClassifieds Regions","type":"module","creationDate":"January 2013","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds Regions Menu module","group":"","filename":"mod_djclassifieds_regions"}','{"moduleclass_sfx":"_menu","max_level":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10033','10008','plg_djmediatools_hikashop','plugin','hikashop','djmediatools','0','0','1','0','{"name":"plg_djmediatools_hikashop","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.1.0","description":"PLG_DJMEDIATOOLS_HIKASHOP_DESCRIPTION","group":"","filename":"hikashop"}','{"plg_hikashop_content_synchronize":"0;plg_hikashop_recently_viewed","plg_hikashop_product_synchronize":"0","plg_hikashop_recently_viewed":"0;plg_hikashop_selectparentlisting;plg_hikashop_filter_type","plg_hikashop_filter_type":"1","plg_hikashop_show_out_of_stock":"1","plg_hikashop_product_order":"ordering","plg_hikashop_order_dir":"ASC","plg_hikashop_itemid":"","plg_hikashop_add_to_cart":"1","plg_hikashop_show_quantity_field":"0","plg_hikashop_show_price":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10034','0','plg_system_ef4_jmframework','plugin','ef4_jmframework','system','0','1','1','0','{"name":"plg_system_ef4_jmframework","type":"plugin","creationDate":"14\\/12\\/2017","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"4.8.4","description":"PLG_SYSTEM_JMFRAMEWORK_DESC","group":"","filename":"ef4_jmframework"}','','','','0','0000-00-00 00:00:00','1','0'),
('10035','0','plg_system_djjquerymonster','plugin','djjquerymonster','system','0','1','1','0','{"name":"plg_system_djjquerymonster","type":"plugin","creationDate":"September 2016","author":"DJ-Extensions.com","copyright":"Copyright (C) 2016 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.5","description":"PLG_SYSTEM_DJJQUERYMONSTER_DESCRIPTION","group":"","filename":"djjquerymonster"}','{"jquery":"1","version":"1.12.4","customver":"","custompath":"","noconflict":"1","jqueryui":"1","uiversion":"1.12.1","customuiver":"","customuipath":"","uitheme":"base","uithemecustom":"","compression":"1","protocol":"none","protectscripts":"","removescripts":"","remove_mootools":"0","remove_modal":"1","debug":"0"}','','','0','0000-00-00 00:00:00','-1','0'),
('10036','10011','DJ-MegaMenu - Mobile Menu Button','module','mod_djmegamenu_button','','0','1','0','0','{"name":"DJ-MegaMenu - Mobile Menu Button","type":"module","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2015 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.0","description":"Place the Mobile Menu Button in any module position of your template.","group":"","filename":"mod_djmegamenu_button"}','{"module":""}','','','0','0000-00-00 00:00:00','0','0'),
('10037','10008','plg_djmediatools_sobipro','plugin','sobipro','djmediatools','0','0','1','0','{"name":"plg_djmediatools_sobipro","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.1.0","description":"PLG_DJMEDIATOOLS_SOBIPRO_DESCRIPTION","group":"","filename":"sobipro"}','{"plg_sobipro_autoListing":"0","spOrderDir":"asc"}','','','0','0000-00-00 00:00:00','0','0'),
('10038','10025','DJClassifieds Stats','module','mod_djclassifieds_stats','','0','1','0','0','{"name":"DJClassifieds Stats","type":"module","creationDate":"August 2015","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ-Classifieds Statistics module","group":"","filename":"mod_djclassifieds_stats"}','{"moduleclass_sfx":"","txt_before":"","txt_after":"","ads_total":"1","ads_active":"1","ads_added_today":"1","ads_added_1":"1","ads_added_week":"1","ads_added_7":"1","ads_added_month":"1","ads_added_30":"1","ads_added_year":"1","ads_added_365":"1","auctions_count":"1","cat_count":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10039','0','F0F (NEW) DO NOT REMOVE','library','lib_f0f','','0','1','1','0','{"name":"F0F (NEW) DO NOT REMOVE","type":"library","creationDate":"2015-07-20 16:28:08","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2014 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"rev8F10700-1437402488","description":"Framework-on-Framework (FOF) newer version - DO NOT REMOVE - The rapid component development framework for Joomla!. This package is the newer version of FOF, not the one shipped with Joomla! as the official Joomla! RAD Layer. The Joomla! RAD Layer has ceased development in March 2014. DO NOT UNINSTALL THIS PACKAGE, IT IS *** N O T *** A DUPLICATE OF THE \'FOF\' PACKAGE. REMOVING EITHER FOF PACKAGE WILL BREAK YOUR SITE.","group":"","filename":"lib_f0f"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10041','10043','Arabic Unitag (العربية الموحدة)','language','ar-AA','','0','0','0','0','{"name":"Arabic Unitag (\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629)","type":"language","creationDate":"April 2019","author":"Dr. Ashraf Damra\\/Abu Nidal","copyright":"Copyright (C) 2005 - 2016 Open Source Matters & Dr. Ashraf Damra\\/Abu Nidal. All rights reserved.","authorEmail":"dr.d.ashraf@gmail.com","authorUrl":"www.jarabic.com","version":"3.9.5","description":"Arabic Unitag language files\\/Site 3.7 \\u0645\\u0644\\u0641\\u0627\\u062a \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629\\/\\u0627\\u0644\\u0645\\u0648\\u0642\\u0639","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10042','10043','Arabic Unitag (العربية الموحدة)','language','ar-AA','','1','0','0','0','{"name":"Arabic Unitag (\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629)","type":"language","creationDate":"April 2019","author":"Dr. Ashraf Damra\\/Abu Nidal","copyright":"Copyright (C) 2005 - 2016 Open Source Matters & Dr. Ashraf Damra\\/Abu Nidal. All rights reserved.","authorEmail":"dr.d.ashraf@gmail.com","authorUrl":"www.jarabic.com","version":"3.9.5","description":"Arabic Unitag language files\\/Administrator 3.7 \\u0645\\u0644\\u0641\\u0627\\u062a \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629\\/\\u0627\\u0644\\u0625\\u062f\\u0627\\u0631\\u0629","group":""}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10043','0','ar-aa','package','pkg_ar-AA','','0','0','1','0','{"name":"ar-aa","type":"package","creationDate":"13\\/04\\/2019","author":"Ashraf Damra","copyright":"Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.","authorEmail":"dr.d.ashraf@gmail.com","authorUrl":"http:\\/\\/www.jarabic.com\\/","version":"3.9.5.1","description":"<div class=\\"alert alert-info\\">\\n<button type=\\"button\\" class=\\"close\\" data-dismiss=\\"alert\\">\\u00d7<\\/button>\\n<h4 class=\\"alert-heading\\" style=\\"direction: rtl;\\">\\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629<\\/h4>\\n<div class=\\"alert-message\\" style=\\"direction: rtl;\\">\\u062a\\u0645 \\u062a\\u0646\\u0635\\u064a\\u0628 \\u062d\\u0632\\u0645\\u0629 \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0644\\u0646\\u0638\\u0627\\u0645 \\u0627\\u062f\\u0627\\u0631\\u0629 \\u0645\\u062d\\u062a\\u0648\\u0649 \\u0627\\u0644\\u0645\\u0648\\u0627\\u0642\\u0639 \\u062c\\u0648\\u0645\\u0644\\u0627\\u060c \\u0628\\u0627\\u0644\\u0643\\u0648\\u062f \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f.<\\/div>\\n<\\/div>","group":"","filename":"pkg_ar-AA"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10044','10008','plg_djmediatools_j2store','plugin','j2store','djmediatools','0','0','1','0','{"name":"plg_djmediatools_j2store","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0.1","description":"PLG_DJMEDIATOOLS_J2STORE_DESCRIPTION","group":"","filename":"j2store"}','{"plg_j2store_product_source":"category","plg_j2store_category_filtering_type":"1","plg_j2store_show_child_category_articles":"0","plg_j2store_levels":"1","plg_j2store_show_front":"show","plg_j2store_article_ordering":"a.title","plg_j2store_article_ordering_direction":"ASC","plg_j2store_show_price":"1","plg_j2store_show_cartbutton":"1","plg_j2store_show_qtyinput":"1","plg_j2store_list_show_cart":"1","plg_j2store_product_image":"j2store"}','','','0','0000-00-00 00:00:00','0','0'),
('10045','10008','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY','plugin','djcatalog2gallery','djmediatools','0','0','1','0','{"name":"PLG_DJMEDIATOOLS_DJCATALOG2GALLERY","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0.0","description":"PLG_DJMEDIATOOLS_DJCATALOG2GALLERY_DESCRIPTION","group":"","filename":"djcatalog2gallery"}','{"plg_djcatalog2gallery_visible":"false"}','','','0','0000-00-00 00:00:00','0','0'),
('10047','10056','com_djreviews','component','com_djreviews','','1','1','0','0','{"name":"com_djreviews","type":"component","creationDate":"2018-10-22","author":"DJ-Extensions.com","copyright":"Copyright (C) 2014 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.3","description":"","group":"","filename":"djreviews"}','{"theme":"bootstrap","jquery":"0","date_format":"d-m-Y H:i","revlist_limit":"10","reviews":"1","rating":"1","title":"2","message":"2","followup":"1","word_blacklist":"","word_whitelist":"","contact_list":""}','','','0','0000-00-00 00:00:00','0','0'),
('10048','10056','plg_djreviews_content','plugin','content','djreviews','0','0','1','0','{"name":"plg_djreviews_content","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0","description":"PLG_DJREVIEWS_CONTENT_DESCRIPTION","group":"","filename":"content"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10049','10056','plg_djreviews_djcatalog2','plugin','djcatalog2','djreviews','0','0','1','0','{"name":"plg_djreviews_djcatalog2","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0","description":"PLG_DJREVIEWS_DJCATALOG2_DESCRIPTION","group":"","filename":"djcatalog2"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10050','10056','plg_djreviews_djclassifieds','plugin','djclassifieds','djreviews','0','1','1','0','{"name":"plg_djreviews_djclassifieds","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0","description":"PLG_DJREVIEWS_DJCLASSIFIEDS_DESCRIPTION","group":"","filename":"djclassifieds"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10051','10056','plg_content_djreviews','plugin','djreviews','content','0','0','1','0','{"name":"plg_content_djreviews","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3","description":"PLG_CONTENT_DJREVIEWS_DESCRIPTION","group":"","filename":"djreviews"}','{"rating_group":"","enable_listing":"1","exclude_categories":"","exclude_articles":""}','','','0','0000-00-00 00:00:00','0','0'),
('10052','10056','plg_content_djreviewsvm','plugin','djreviewsvm','content','0','0','1','0','{"name":"plg_content_djreviewsvm","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.1","description":"PLG_CONTENT_DJREVIEWSVM_DESCRIPTION","group":"","filename":"djreviewsvm"}','{"rating_group":"","enable_listing":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10053','10056','plg_djcatalog2_djreviews','plugin','djreviews','djcatalog2','0','0','1','0','{"name":"plg_djcatalog2_djreviews","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.4","description":"PLG_DJCATALOG2_DJREVIEWS_DESCRIPTION","group":"","filename":"djreviews"}','{"rating_group":"","blog_layout":"1","table_layout":"0","exclude_categories":"","exclude_items":""}','','','0','0000-00-00 00:00:00','0','0'),
('10054','10056','plg_djclassifieds_djreviews','plugin','djreviews','djclassifieds','0','1','1','0','{"name":"plg_djclassifieds_djreviews","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.2.2","description":"PLG_DJCLASSIFIEDS_DJREVIEWS_DESCRIPTION","group":"","filename":"djreviews"}','{"rating_group":"1","rating_group_author":"1","blog_layout":"1","table_layout":"1","exclude_items":""}','','','0','0000-00-00 00:00:00','0','0'),
('10055','10056','plg_content_djreviewsj2store','plugin','djreviewsj2store','content','0','0','1','0','{"name":"plg_content_djreviewsj2store","type":"plugin","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.4","description":"PLG_CONTENT_DJREVIEWSJ2STORE_DESCRIPTION","group":"","filename":"djreviewsj2store"}','{"rating_group":"","enable_listing":"1","exclude_categories":"","exclude_articles":""}','','','0','0000-00-00 00:00:00','0','0'),
('10056','0','DJ-Reviews Package','package','pkg_dj-reviews','','0','1','1','0','{"name":"DJ-Reviews Package","type":"package","creationDate":"2018-10-22","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2014 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.3","description":"DJ-Reviews All-in-one Package","group":"","filename":"pkg_dj-reviews"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10111','10025','PLG_DJCLASSIFIEDS_LEAFLET','plugin','leaflet','djclassifieds','0','0','1','0','{"name":"PLG_DJCLASSIFIEDS_LEAFLET","type":"plugin","creationDate":"November 2018","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7.1","description":"PLG_DJCLASSIFIEDS_LEAFLET_DESCRIPTION","group":"","filename":"leaflet"}','{"tile_provider":"https:\\/\\/{s}.tile.openstreetmap.org\\/{z}\\/{x}\\/{y}.png","tile_options":"{\\"attribution\\": \\"\\u00a9 <a target=\'_blank\' href=\'https:\\/\\/www.openstreetmap.org\\/copyright\'>OpenStreetMap<\\/a>\\"}","ver":"1.3.4"}','','','0','0000-00-00 00:00:00','0','0'),
('10064','10056','mod_djreviews','module','mod_djreviews','','0','1','0','0','{"name":"mod_djreviews","type":"module","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.1","description":"MOD_DJREVIEWS_DESC","group":"","filename":"mod_djreviews"}','{"moduleclass_sfx":"","rating_group":"","order":"o.avg_rate DESC","rated_only":"1","limit":"10","show_rating":"1","show_title":"2","show_message":"1","show_item_title":"2","show_info":"1","date_format":"d-m-Y H:i","cache":"1","cache_time":"900","cachemode":"itemid"}','','','0','0000-00-00 00:00:00','0','0'),
('10065','10056','mod_djreviews_objects','module','mod_djreviews_objects','','0','1','0','0','{"name":"mod_djreviews_objects","type":"module","creationDate":"2018-10-03","author":"DJ-Extensions.com","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0","description":"MOD_DJREVIEWS_OBJECTS_DESC","group":"","filename":"mod_djreviews_objects"}','{"moduleclass_sfx":"","rating_group":"","order":"o.avg_rate DESC","limit":"10","show_rating":"1","link_totle":"1","cache":"1","cache_time":"900","cachemode":"itemid"}','','','0','0000-00-00 00:00:00','0','0'),
('10068','0','plg_djclassifieds_registration','plugin','registration','djclassifieds','0','1','1','0','{"name":"plg_djclassifieds_registration","type":"plugin","creationDate":"April 2015","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.4","description":"PLG_DJCLASSIFIEDS_REGISTRATION_DJCLASSIFIEDSREGISTRATION","group":"","filename":"registration"}','{"terms_of_use":"0","terms_of_use_art_id":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10069','0','DJClassifieds - Registration','plugin','djcfregistration','system','0','1','1','0','{"name":"DJClassifieds - Registration","type":"plugin","creationDate":"April 2015","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.4.5","description":"PLG_SYSTEM_DJCFREGISTRATION","group":"","filename":"djcfregistration"}','{"enabled":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10070','0','plg_djclassifieds_acymailing','plugin','acymailing','djclassifieds','0','0','1','0','{"name":"plg_djclassifieds_acymailing","type":"plugin","creationDate":"April 2015","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.3.1","description":"PLG_DJCLASSIFIEDS_ACYMAILING_DJCLASSIFIEDSACYMAILING","group":"","filename":"acymailing"}','{"list_id":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10082','10008','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY','plugin','djclassifiedsgallery','djmediatools','0','0','1','0','{"name":"PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0.5","description":"PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY_DESCRIPTION","group":"","filename":"djclassifiedsgallery"}','{"plg_djclassifiedsgallery_visible":"false"}','','','0','0000-00-00 00:00:00','0','0'),
('10083','0','MOD_JM_SOCIAL_ICONS','module','mod_jm_social_icons','','0','1','0','0','{"name":"MOD_JM_SOCIAL_ICONS","type":"module","creationDate":"19\\/07\\/2017","author":"Joomla-Monster.com","copyright":"Copyright (C) 2017 Joomla-Monster.com, All rights reserved.","authorEmail":"artur.kaczmarek@joomla-monster.com","authorUrl":"https:\\/\\/joomla-monster.com","version":"1.05","description":"MOD_JM_SOCIAL_ICONS_DESC","group":"","filename":"mod_jm_social_icons"}','{"name":"","icon":"","color":"","color2":"","url":"","intro":"","target":"1","view":"1","theme":"1","css":"","load_fontawesome":"0","cache":"1","cache_time":"900","cachemode":"static"}','','','0','0000-00-00 00:00:00','0','0'),
('10086','10008','plg_djmediatools_djevents','plugin','djevents','djmediatools','0','0','1','0','{"name":"plg_djmediatools_djevents","type":"plugin","creationDate":"August 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0.1","description":"PLG_DJMEDIATOOLS_DJEVENTS_DESCRIPTION","group":"","filename":"djevents"}','{"plg_djevents_featured_only":"0","plg_djevents_show_date":"1","plg_djevents_show_cat":"0","plg_djevents_cat_link":"1","plg_djevents_show_city":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10087','10025','DJClassifieds Regions Select','module','mod_djclassifieds_regions_select','','0','1','0','0','{"name":"DJClassifieds Regions Select","type":"module","creationDate":"November 2016","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7","description":"DJ Classifieds Regions Select","group":"","filename":"mod_djclassifieds_regions_select"}','{"moduleclass_sfx":"_menu","max_level":"0","cache":"1","cache_time":"900","cachemode":"static"}','','','0','0000-00-00 00:00:00','0','0'),
('10088','0','jm-myoffers','template','jm-myoffers','','0','1','1','0','{"name":"jm-myoffers","type":"template","creationDate":"23\\/04\\/2019","author":"joomla-monster.com","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"contact@joomla-monster.com","authorUrl":"joomla-monster.com","version":"1.07","description":"\\n\\t\\n\\t<div class=\\"jm-description clearfix\\">\\n\\t\\t<div class=\\"pull-left\\" style=\\"max-width: 35.69%;\\">\\n\\t\\t\\t<img style=\\"max-width: 100%; box-sizing: border-box; -webkit-box-sizing: border-box; padding: 10px; background: #fff; border: 1px solid #e1e1e1;\\" src=\\"\\/\\/www.joomla-monster.com\\/images\\/templates\\/jmmyoffers.png\\" \\/>\\n\\t\\t<\\/div>\\n\\t\\t<div class=\\"pull-left\\" style=\\"max-width: 64.31%; box-sizing: border-box; -webkit-box-sizing: border-box; padding: 0 30px;\\">\\n\\t\\t\\t<div style=\\"margin-bottom: 20px;\\">\\n\\t\\t\\t\\t<h2 style=\\"font-size: 33px; line-height: 40px; font-weight: 600; color: #393939; margin-top: 0;\\">JM MyOffers<\\/h2>\\n\\t\\t\\t\\t<div style=\\"margin: 20px 0 0;\\">\\n\\t\\t\\t\\t\\t<a style=\\"text-decoration: none !important; outline: none;\\" target=\\"_blank\\" href=\\"https:\\/\\/www.joomla-monster.com\\/documentation\\/template-frameworks\\/ef4-framework\\">\\n\\t\\t\\t\\t\\t\\t<img src=\\"http:\\/\\/joomla-monster.com\\/images\\/templates\\/ef4.png\\" \\/>\\n\\t\\t\\t\\t\\t<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<div style=\\"margin-bottom: 20px;\\">\\n\\t\\t\\t\\t<a style=\\"text-decoration: none !important; display: block; outline: none;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.joomla-monster.com\\/\\">\\n\\t\\t\\t\\t\\t<img src=\\"http:\\/\\/joomla-monster.com\\/images\\/templates\\/monster.png\\" \\/>\\n\\t\\t\\t\\t<\\/a>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<div style=\\"margin: 0 -20px;\\">\\n\\t\\t\\t\\t<div style=\\"display: inline-block; margin: 0 20px 20px;\\">\\n\\t\\t\\t\\t\\t<span style=\\"display: block; color: #a0a0a0;\\">Templates for Joomla!<\\/span>\\n\\t\\t\\t\\t\\t<a style=\\"font-size: 15px; color: #3ea5ea;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.joomla-monster.com\\">www.joomla-monster.com<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t<div style=\\"display: inline-block; margin: 0 20px 20px;\\">\\n\\t\\t\\t\\t\\t<span style=\\"display: block; color: #a0a0a0;\\">Extensions for Joomla!<\\/span>\\n\\t\\t\\t\\t\\t<a style=\\"font-size: 15px; color: #3ea5ea;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.dj-extensions.com\\">www.dj-extensions.com<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t<div style=\\"display: inline-block; margin: 0 20px 20px;\\">\\n\\t\\t\\t\\t\\t<span style=\\"display: block; color: #a0a0a0;\\">Custom Joomla! Services<\\/span>\\n\\t\\t\\t\\t\\t<a style=\\"font-size: 15px; color: #3ea5ea;\\" target=\\"_blank\\" href=\\"http:\\/\\/www.design-joomla.eu\\">www.design-joomla.eu<\\/a>\\n\\t\\t\\t\\t<\\/div>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n\\t\\n\\t","group":"jmf-ef4","filename":"templateDetails"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10090','0','plg_system_djcfajax','plugin','djcfajax','system','0','0','1','0','{"name":"plg_system_djcfajax","type":"plugin","creationDate":"January 2017","author":"DJ-Extensions.com","copyright":"Copyright (C) 2017 DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.3.3","description":"PLG_SYSTEM_DJCFAJAX_DESC","group":"","filename":"djcfajax"}','{"on_pagination":"1","on_sorting":"1","on_categories":"1","update_url":"1","input_timeout":"","progress_bar":"0","items_lazy_loading":"1","pagination":"1","blog_grid_layout":"1"}','','','0','0000-00-00 00:00:00','0','0'),
('10092','0','mod_jm_offcanvas_button','module','mod_jm_offcanvas_button','','0','1','0','0','{"name":"mod_jm_offcanvas_button","type":"module","creationDate":"16\\/02\\/2017","author":"Joomla-Monster.com","copyright":"Copyright (C) 2017 Joomla-Monster.com, All rights reserved.","authorEmail":"artur.kaczmarek@joomla-monster.com","authorUrl":"https:\\/\\/joomla-monster.com","version":"1.02","description":"MOD_JM_OFFCANVAS_BUTTON_DESC","group":"","filename":"mod_jm_offcanvas_button"}','{"icon":"","moduleclass_sfx":" visible-desktop","cache":"1","cache_time":"900","cachemode":"static"}','','','0','0000-00-00 00:00:00','0','0'),
('10098','10025','DJClassifieds Profiles Search','module','mod_djclassifieds_profiles_search','','0','1','0','0','{"name":"DJClassifieds Profiles Search","type":"module","creationDate":"December 2017","author":"DJ-Extensions.com","copyright":"dj-extensions.com","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.7.1","description":"DJ Classifieds Profiles Search module","group":"","filename":"mod_djclassifieds_profiles_search"}','{"moduleclass_sfx":"","layout":"default","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"0","show_postcode":"0","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_label":"0","show_custom_fields":"1","show_reset":"1","results_itemid":"0"}','','','0','0000-00-00 00:00:00','0','0'),
('10099','0','plg_content_djsuggester','plugin','djsuggester','content','0','1','1','0','{"name":"plg_content_djsuggester","type":"plugin","creationDate":"June 2018","author":"DJ-Extensions.com","copyright":"Copyright (C) DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"2.6.0","description":"PLG_DJSUGGESTER_LIGHT_DESC","group":"","filename":"djsuggester"}','{"theme":"default","filter_menu":"1","itemids":["574","575","576","577","761","762","763","766","764"],"desc_turncate":"1","desc_limit":200,"animation_in":"rotateInDownRight","animation_out":"fadeOutDown","animation_speed":"normal","articles":"1","articles_mode":"0","articles_order":"ordering","articles_filter_cat":"1","articles_cats":["83"],"articles_image":"1","articles_imagewidth":"150","articles_header":"","djclassifieds_follow_category":"0","djclassifieds_follow_region":"0","djclassifieds_order":"display","djclassifieds_items_source":"0","djclassifieds_filter_cat":"1","djclassifieds_items_ids":"","djclassifieds_users_ids":"","djclassifieds_show_img":"1","djclassifieds_show_default_img":"0","djclassifieds_only_with_img":"0","djclassifieds_img_type":"thm","djclassifieds_header":""}','','','0','0000-00-00 00:00:00','0','0'),
('10100','0','plg_djclassifieds_gdpr','plugin','gdpr','djclassifieds','0','1','1','0','{"name":"plg_djclassifieds_gdpr","type":"plugin","creationDate":"April 2018","author":"DJ-Extensions.com LTD","copyright":"Copyright (C) 2010-2012 DJ-Extensions.com LTD, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"3.7.3","description":"PLG_DJCLASSIFIEDS_DJCLASSIFIEDSGDPR","group":"","filename":"gdpr"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('10108','10008','mod_djmediatools_albums','module','mod_djmediatools_albums','','0','1','0','0','{"name":"mod_djmediatools_albums","type":"module","creationDate":"June 2018","author":"DJ-Extensions.com","copyright":"Copyright (C) DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0.0","description":"MOD_DJMEDIATOOLS_ALBUMS_DESC","group":"","filename":"mod_djmediatools_albums"}','{"catid":"","layout":"_:default","cache":"1","cache_time":"900"}','','','0','0000-00-00 00:00:00','0','0'),
('10109','10008','plg_fields_djmediatools','plugin','djmediatools','fields','0','1','1','0','{"name":"plg_fields_djmediatools","type":"plugin","creationDate":"August 2018","author":"DJ-Extensions.com","copyright":"Copyright (C) DJ-Extensions.com, All rights reserved.","authorEmail":"contact@dj-extensions.com","authorUrl":"http:\\/\\/dj-extensions.com","version":"1.0.0","description":"PLG_FIELDS_DJMEDIATOOLS_DESCRIPTION","group":"","filename":"djmediatools"}','{"filter":"raw"}','','','0','0000-00-00 00:00:00','0','0'),
('35','0','com_privacy','component','com_privacy','','1','1','1','1','{"name":"com_privacy","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_PRIVACY_XML_DESCRIPTION","group":"","filename":"privacy"}','','','','0','0000-00-00 00:00:00','0','0'),
('482','0','plg_content_confirmconsent','plugin','confirmconsent','content','0','0','1','0','{"name":"plg_content_confirmconsent","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION","group":"","filename":"confirmconsent"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('36','0','com_actionlogs','component','com_actionlogs','','1','1','1','1','{"name":"com_actionlogs","type":"component","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"COM_ACTIONLOGS_XML_DESCRIPTION","group":""}','{"ip_logging":0,"csv_delimiter":",","loggable_extensions":["com_banners","com_cache","com_categories","com_checkin","com_config","com_contact","com_content","com_installer","com_media","com_menus","com_messages","com_modules","com_newsfeeds","com_plugins","com_redirect","com_tags","com_templates","com_users"]}','','','0','0000-00-00 00:00:00','0','0'),
('483','0','PLG_SYSTEM_ACTIONLOGS','plugin','actionlogs','system','0','0','1','0','{"name":"PLG_SYSTEM_ACTIONLOGS","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('484','0','PLG_ACTIONLOG_JOOMLA','plugin','joomla','actionlog','0','1','1','0','{"name":"PLG_ACTIONLOG_JOOMLA","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('481','0','plg_fields_repeatable','plugin','repeatable','fields','0','1','1','0','{"name":"plg_fields_repeatable","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION","group":"","filename":"repeatable"}','','','','0','0000-00-00 00:00:00','0','0'),
('319','0','mod_latestactions','module','mod_latestactions','','1','1','1','0','{"name":"mod_latestactions","type":"module","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_LATESTACTIONS_XML_DESCRIPTION","group":"","filename":"mod_latestactions"}','{}','','','0','1970-01-01 00:00:00','0','0');
INSERT INTO `#__extensions` VALUES 
('485','0','plg_system_privacyconsent','plugin','privacyconsent','system','0','0','1','0','{"name":"plg_system_privacyconsent","type":"plugin","creationDate":"April 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION","group":"","filename":"privacyconsent"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('486','0','plg_system_logrotation','plugin','logrotation','system','0','1','1','0','{"name":"plg_system_logrotation","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION","group":"","filename":"logrotation"}','{"lastrun":1558180113}','','','0','0000-00-00 00:00:00','0','0'),
('487','0','plg_privacy_user','plugin','user','privacy','0','1','1','0','{"name":"plg_privacy_user","type":"plugin","creationDate":"May 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_USER_XML_DESCRIPTION","group":"","filename":"user"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('320','0','mod_privacy_dashboard','module','mod_privacy_dashboard','','1','1','1','0','{"name":"mod_privacy_dashboard","type":"module","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION","group":"","filename":"mod_privacy_dashboard"}','{}','','','0','1970-01-01 00:00:00','0','0'),
('488','0','plg_quickicon_privacycheck','plugin','privacycheck','quickicon','0','1','1','0','{"name":"plg_quickicon_privacycheck","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION","group":"","filename":"privacycheck"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('489','0','plg_user_terms','plugin','terms','user','0','0','1','0','{"name":"plg_user_terms","type":"plugin","creationDate":"June 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_USER_TERMS_XML_DESCRIPTION","group":"","filename":"terms"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('490','0','plg_privacy_contact','plugin','contact','privacy','0','1','1','0','{"name":"plg_privacy_contact","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('491','0','plg_privacy_content','plugin','content','privacy','0','1','1','0','{"name":"plg_privacy_content","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('492','0','plg_privacy_message','plugin','message','privacy','0','1','1','0','{"name":"plg_privacy_message","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION","group":"","filename":"message"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('493','0','plg_privacy_actionlogs','plugin','actionlogs','privacy','0','1','1','0','{"name":"plg_privacy_actionlogs","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION","group":"","filename":"actionlogs"}','{}','','','0','0000-00-00 00:00:00','0','0'),
('494','0','plg_captcha_recaptcha_invisible','plugin','recaptcha_invisible','captcha','0','0','1','0','{"name":"plg_captcha_recaptcha_invisible","type":"plugin","creationDate":"November 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8","description":"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION","group":"","filename":"recaptcha_invisible"}','{"public_key":"","private_key":"","theme":"clean"}','','','0','0000-00-00 00:00:00','0','0'),
('495','0','plg_privacy_consents','plugin','consents','privacy','0','1','1','0','{"name":"plg_privacy_consents","type":"plugin","creationDate":"July 2018","author":"Joomla! Project","copyright":"(C) 2005 - 2019 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.9.0","description":"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION","group":"","filename":"consents"}','{}','','','0','0000-00-00 00:00:00','0','0');

DROP TABLE IF EXISTS #__fields;
CREATE TABLE `#__fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `context` varchar(255) NOT NULL DEFAULT '',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(255) NOT NULL DEFAULT '',
  `default_value` text NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'text',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `fieldparams` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__fields_categories;
CREATE TABLE `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`,`category_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__fields_groups;
CREATE TABLE `#__fields_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `context` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__fields_values;
CREATE TABLE `#__fields_values` (
  `field_id` int(10) unsigned NOT NULL,
  `item_id` varchar(255) NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text NOT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_filters;
CREATE TABLE `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` mediumtext NOT NULL,
  `params` longtext,
  PRIMARY KEY (`filter_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links;
CREATE TABLE `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(400) DEFAULT NULL,
  `description` text,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`),
  KEY `idx_title` (`title`(100))
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms0;
CREATE TABLE `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms1;
CREATE TABLE `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms2;
CREATE TABLE `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms3;
CREATE TABLE `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms4;
CREATE TABLE `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms5;
CREATE TABLE `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms6;
CREATE TABLE `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms7;
CREATE TABLE `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms8;
CREATE TABLE `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_terms9;
CREATE TABLE `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_termsa;
CREATE TABLE `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_termsb;
CREATE TABLE `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_termsc;
CREATE TABLE `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_termsd;
CREATE TABLE `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_termse;
CREATE TABLE `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_links_termsf;
CREATE TABLE `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_taxonomy;
CREATE TABLE `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_taxonomy_map;
CREATE TABLE `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_terms;
CREATE TABLE `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_terms_common;
CREATE TABLE `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_terms_common` VALUES 
('a','en'),
('about','en'),
('after','en'),
('ago','en'),
('all','en'),
('am','en'),
('an','en'),
('and','en'),
('ani','en'),
('any','en'),
('are','en'),
('aren\'t','en'),
('as','en'),
('at','en'),
('be','en'),
('but','en'),
('by','en'),
('for','en'),
('from','en'),
('get','en'),
('go','en'),
('how','en'),
('if','en'),
('in','en'),
('into','en'),
('is','en'),
('isn\'t','en'),
('it','en'),
('its','en'),
('me','en'),
('more','en'),
('most','en'),
('must','en'),
('my','en'),
('new','en'),
('no','en'),
('none','en'),
('not','en'),
('noth','en'),
('nothing','en'),
('of','en'),
('off','en'),
('often','en'),
('old','en'),
('on','en'),
('onc','en'),
('once','en'),
('onli','en'),
('only','en'),
('or','en');
INSERT INTO `#__finder_terms_common` VALUES 
('other','en'),
('our','en'),
('ours','en'),
('out','en'),
('over','en'),
('page','en'),
('she','en'),
('should','en'),
('small','en'),
('so','en'),
('some','en'),
('than','en'),
('thank','en'),
('that','en'),
('the','en'),
('their','en'),
('theirs','en'),
('them','en'),
('then','en'),
('there','en'),
('these','en'),
('they','en'),
('this','en'),
('those','en'),
('thus','en'),
('time','en'),
('times','en'),
('to','en'),
('too','en'),
('true','en'),
('under','en'),
('until','en'),
('up','en'),
('upon','en'),
('use','en'),
('user','en'),
('users','en'),
('veri','en'),
('version','en'),
('very','en'),
('via','en'),
('want','en'),
('was','en'),
('way','en'),
('were','en'),
('what','en'),
('when','en'),
('where','en'),
('whi','en'),
('which','en');
INSERT INTO `#__finder_terms_common` VALUES 
('who','en'),
('whom','en'),
('whose','en'),
('why','en'),
('wide','en'),
('will','en'),
('with','en'),
('within','en'),
('without','en'),
('would','en'),
('yes','en'),
('yet','en'),
('you','en'),
('your','en'),
('yours','en');

DROP TABLE IF EXISTS #__finder_tokens;
CREATE TABLE `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_tokens_aggregate;
CREATE TABLE `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__finder_types;
CREATE TABLE `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_types` VALUES 
('1','Category',''),
('2','Contact',''),
('3','Article',''),
('4','News Feed',''),
('5','Web Link','');

DROP TABLE IF EXISTS #__languages;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` VALUES 
('1','503','en-GB','English (UK)','English (UK)','en','en','','','','','1','1','1'),
('2','502','ar-AA','Arabic (AR)','Arabic (AR)','ar','ar_aa','','','','','1','1','0');

DROP TABLE IF EXISTS #__menu;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` mediumtext NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100))
) AUTO_INCREMENT=987 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` VALUES 
('1','','Menu_Item_Root','root','','','','','1','0','0','0','0','0000-00-00 00:00:00','0','0','','0','','0','229','0','*','0'),
('2','main','com_banners','Banners','','Banners','index.php?option=com_banners','component','1','1','1','4','0','0000-00-00 00:00:00','0','0','class:banners','0','','115','124','0','*','1'),
('3','main','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component','1','2','2','4','0','0000-00-00 00:00:00','0','0','class:banners','0','','116','117','0','*','1'),
('4','main','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component','1','2','2','6','0','0000-00-00 00:00:00','0','0','class:banners-cat','0','','118','119','0','*','1'),
('5','main','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component','1','2','2','4','0','0000-00-00 00:00:00','0','0','class:banners-clients','0','','120','121','0','*','1'),
('6','main','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component','1','2','2','4','0','0000-00-00 00:00:00','0','0','class:banners-tracks','0','','122','123','0','*','1'),
('7','main','com_contact','Contacts','','Contacts','index.php?option=com_contact','component','1','1','1','8','0','0000-00-00 00:00:00','0','0','class:contact','0','','125','130','0','*','1'),
('8','main','com_contact_contacts','Contacts','','Contacts/Contacts','index.php?option=com_contact','component','1','7','2','8','0','0000-00-00 00:00:00','0','0','class:contact','0','','126','127','0','*','1'),
('9','main','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component','1','7','2','6','0','0000-00-00 00:00:00','0','0','class:contact-cat','0','','128','129','0','*','1'),
('10','main','com_messages','Messaging','','Messaging','index.php?option=com_messages','component','1','1','1','15','0','0000-00-00 00:00:00','0','0','class:messages','0','','131','134','0','*','1'),
('11','main','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component','1','10','2','15','0','0000-00-00 00:00:00','0','0','class:messages-add','0','','132','133','0','*','1'),
('13','main','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component','1','1','1','17','0','0000-00-00 00:00:00','0','0','class:newsfeeds','0','','135','140','0','*','1'),
('14','main','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component','1','13','2','17','0','0000-00-00 00:00:00','0','0','class:newsfeeds','0','','136','137','0','*','1'),
('15','main','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component','1','13','2','6','0','0000-00-00 00:00:00','0','0','class:newsfeeds-cat','0','','138','139','0','*','1'),
('16','main','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component','1','1','1','24','0','0000-00-00 00:00:00','0','0','class:redirect','0','','145','146','0','*','1'),
('17','main','com_search','Basic Search','','Basic Search','index.php?option=com_search','component','1','1','1','19','0','0000-00-00 00:00:00','0','0','class:search','0','','143','144','0','*','1'),
('21','main','com_finder','Smart Search','','Smart Search','index.php?option=com_finder','component','1','1','1','27','0','0000-00-00 00:00:00','0','0','class:finder','0','','141','142','0','*','1'),
('23','main','com_tags','Tags','','Tags','index.php?option=com_tags','component','1','1','1','29','0','0000-00-00 00:00:00','0','1','class:tags','0','','113','114','0','','1'),
('470','mainmenu','Categories','home-page','','home-page','index.php?option=com_djclassifieds&view=categories','component','1','1','1','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"cattree_cols":"5","cattree_levels":"1","cattree_ic":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":0,"menu_show":0,"page_title":"","show_page_heading":"1","page_heading":"Categories","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','19','20','1','*','0'),
('473','languages','LTR languages','ltr-languages','','ltr-languages','&direction=ltr','url','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','185','186','0','*','0'),
('474','languages','RTL languages','rtl-languages','','rtl-languages','&direction=rtl','url','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','187','188','0','*','0'),
('476','about-the-template','Based on EF4 framework','template-parameters','','template-parameters','https://www.joomla-monster.com/documentation/template-frameworks/ef4-framework/settings','url','1','1','1','0','0','0000-00-00 00:00:00','1','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"images\\/icon-menu-black-1.png","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','9','10','0','*','0'),
('477','about-the-template','Modules positions','positions','','positions','https://templates.joomla-monster.com/joomla30/jm-myoffers/positions','url','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','3','4','0','*','0'),
('478','about-the-template','Module settings','suffixes','','suffixes','https://templates.joomla-monster.com/joomla30/jm-myoffers/suffixes','url','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','1','2','0','*','0'),
('479','elements','Typography','typography','','typography','https://templates.joomla-monster.com/joomla30/jm-myoffers/typography','url','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','189','190','0','*','0'),
('480','about-the-template','The demo copy installation tutorial','install-demo-copy','','install-demo-copy','https://www.joomla-monster.com/documentation/installation/how-to-install-a-quickstart','url','1','1','1','0','0','0000-00-00 00:00:00','1','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"images\\/icon-menu-black-1.png","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','17','18','0','*','0'),
('481','about-the-template','What you get after purchase?','what-you-get','','what-you-get','https://www.joomla-monster.com/getting-started/what-you-get','url','1','1','1','0','0','0000-00-00 00:00:00','1','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"images\\/icon-menu-black-1.png","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','13','14','0','*','0'),
('482','about-the-template','Joomla templates','joomla-templates','','joomla-templates','http://www.joomla-monster.com/joomla-templates','url','1','1','1','0','0','0000-00-00 00:00:00','1','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu-anchor_rel":"","menu_image":"images\\/icon-menu-black-1.png","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','15','16','0','*','0'),
('489','mainmenu','Add item','add-item-1','','about/classifieds/add-item-1','index.php?option=com_djclassifieds&view=additem','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','37','38','0','*','0'),
('490','mainmenu','Category tree','category-tree','','about/classifieds/category-tree','index.php?option=com_djclassifieds&view=categories','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"cattree_cols":"","cattree_levels":"1","cattree_ic":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','57','58','0','*','0'),
('491','mainmenu','Category blog layout','category-blog-layout','','about/classifieds/category-blog-layout','index.php?option=com_djclassifieds&view=items&layout=blog&cid=0&rid=0','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"blog_columns_number":"4","blog_desc_position":"","blog_image":"","blog_category":"","blog_location":"","blog_price":"","blog_readmore":"","blog_profile":"0","blog_sorting":"","show_adsn_cat":"","show_subcats":"0","subcats_dir":"","subcats_ordering":"","subcats_hide_empty":"","subcats_columns":"","title_in_items":"","main_cat_desc":"","sub_cat_desc":"","items_in_main_cat":"","category_jump":"","seo_item_metarobots":"","seo_items_metarobots":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','51','52','0','*','0'),
('497','djmediatools','Gallery grid','gallery-grid','','gallery-grid','index.php?option=com_djmediatools&view=category&id=22','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"1","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:galleryGrid","slider_type":"","desc_effect":"","sort_by":"","link_image":"2;lightbox","lightbox":"","image_width":"230","image_height":"230","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"16","max_images":"","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"1","show_desc":"","show_readmore":"1","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","kenburns":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"below","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','193','194','0','*','0'),
('498','djmediatools','Modern slider','modern-slider','','modern-slider','index.php?option=com_djmediatools&view=category&id=22','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:mslider","slider_type":"","desc_effect":"","sort_by":"","link_image":"3","lightbox":"","image_width":"369","image_height":"369","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"2","space_between_images":"","max_images":"","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"70","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":" top-right-nav-ms","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','195','196','0','*','0'),
('499','djmediatools','Slider','slider','','slider','index.php?option=com_djmediatools&view=category&id=22','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:slider","slider_type":"","desc_effect":"","sort_by":"","link_image":"2;lightbox","lightbox":"magnific","image_width":"380","image_height":"380","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"4","space_between_images":"","max_images":"","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"70","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":" top-right-nav-ms","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','197','198','0','*','0'),
('500','djmediatools','Slideshow','slideshow','','slideshow','index.php?option=com_djmediatools&view=category&id=23','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:slideshow","slider_type":"","desc_effect":"","sort_by":"","link_image":"2;lightbox","lightbox":"magnific","image_width":"870","image_height":"380","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"8","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"100","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"420","desc_bottom":"32","desc_horizontal":"32","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":" top-right-nav-ms","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','199','200','0','*','0'),
('501','djmediatools','Slideshow with thumbnails','slideshow-with-thumbnails','','slideshow-with-thumbnails','index.php?option=com_djmediatools&view=category&id=23','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:slideshowThumbs","slider_type":"","desc_effect":"","sort_by":"","link_image":"2;lightbox","lightbox":"magnific","image_width":"870","image_height":"380","resizing":"","quality":"","thumb_width":"93","thumb_height":"93","visible_images":"","space_between_images":"","max_images":"8","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"100","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"420","desc_bottom":"32","desc_horizontal":"32","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":" top-right-nav-ms","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','201','202','0','*','0'),
('502','djmediatools','Tabber','tabber','','tabber','index.php?option=com_djmediatools&view=category&id=23','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:tabber","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"435","image_height":"334","resizing":"","quality":"","thumb_width":"80","thumb_height":"80","visible_images":"","space_between_images":"","max_images":"","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"270","tab_height":"112","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"100","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"320","desc_bottom":"32","desc_horizontal":"32","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":" top-right-nav-ms","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','203','204','0','*','0'),
('503','djmediatools','Skitter slideshow','skitter-slideshow','','skitter-slideshow','index.php?option=com_djmediatools&view=category&id=23','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:skitterSlideshow","slider_type":"","desc_effect":"","sort_by":"","link_image":"2;lightbox","lightbox":"picbox","image_width":"870","image_height":"380","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"8","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"1","link_desc":"","limit_desc":"100","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"420","desc_bottom":"32","desc_horizontal":"32","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','205','206','0','*','0'),
('504','djmediatools','Nivo slider','nivo-slider','','nivo-slider','index.php?option=com_djmediatools&view=category&id=23','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:nivoSlider","slider_type":"","desc_effect":"","sort_by":"","link_image":"2;lightbox","lightbox":"magnific","image_width":"870","image_height":"380","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"8","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"0","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"420","desc_bottom":"32","desc_horizontal":"32","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','207','208','0','*','0'),
('520','mainmenu','Points packages','points-packages','','about/classifieds/points-packages','index.php?option=com_djclassifieds&view=points','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','59','60','0','*','0'),
('521','mainmenu','User items','user-items-1','','about/classifieds/user-items-1','index.php?option=com_djclassifieds&view=useritems','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','69','70','0','*','0'),
('522','mainmenu','User points','user-points-1','','about/classifieds/user-points-1','index.php?option=com_djclassifieds&view=userpoints','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','71','72','0','*','0'),
('551','mainmenu','Single ad view','single-ad-view','','about/classifieds/single-ad-view','index.php?option=com_djclassifieds&view=item&id=104','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','39','40','0','*','0'),
('552','main','com_postinstall','Post-installation messages','','Post-installation messages','index.php?option=com_postinstall','component','1','1','1','32','0','0000-00-00 00:00:00','0','1','class:postinstall','0','','111','112','0','*','1'),
('564','about-the-template','Template layout','left-content-right','','left-content-right','index.php?option=com_content&view=article&id=86','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','32','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','5','6','0','*','0'),
('570','pages','Search','search','','search','index.php?option=com_search&view=search','component','1','1','1','19','0','0000-00-00 00:00:00','0','1','','0','{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-subtitle":"","djmegamenu-submenu_expand":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-module_pos":"","djmegamenu-module_style":"xhtml","djmegamenu-module_show_link":"0"}','169','170','0','*','0'),
('572','pages','Login','login-form','','login-form','index.php?option=com_users&view=login','component','1','1','1','25','0','0000-00-00 00:00:00','0','1',' ','0','{"loginredirectchoice":"1","login_redirect_url":"","login_redirect_menuitem":"","logindescription_show":"1","login_description":"","login_image":"","logoutredirectchoice":"1","logout_redirect_url":"","logout_redirect_menuitem":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','147','148','0','*','0'),
('573','pages','Register','registration-form','','registration-form','index.php?option=com_users&view=registration','component','1','1','1','25','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','149','150','0','*','0'),
('574','blog','Single article','single-article','','single-article','index.php?option=com_content&view=article&id=87','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','151','152','0','*','0'),
('575','blog','Grid view','category-blog-2-columns','','category-blog-2-columns','index.php?option=com_content&view=category&layout=blog&id=83&filter_tag[0]=','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"0","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"2","num_links":"0","multi_column_order":"1","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','153','154','0','*','0');
INSERT INTO `#__menu` VALUES 
('576','blog','List view','category-blog-1-column','','category-blog-1-column','index.php?option=com_content&view=category&layout=blog&id=83&filter_tag[0]=','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"0","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"1","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"1","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','155','156','0','*','0'),
('577','blog','Category list','category-list','','category-list','index.php?option=com_content&view=category&id=83','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_category_heading_title_text":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"1","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"1","list_show_author":"","list_show_votes":"","list_show_ratings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_featured":"","article_layout":"_:default","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"1","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','157','158','0','*','0'),
('578','blog','Submit article','submit-article','','submit-article','index.php?option=com_content&view=form&layout=edit','component','0','1','1','22','0','0000-00-00 00:00:00','0','3',' ','0','{"enable_category":"0","catid":"82","redirect_menuitem":"","custom_cancel_redirect":"0","cancel_redirect_menuitem":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','159','160','0','*','0'),
('579','elements','Tabs','tabs','','tabs','index.php?option=com_contact&view=contact&id=2','component','1','1','1','8','0','0000-00-00 00:00:00','0','1',' ','0','{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_info":"","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','161','162','0','*','0'),
('580','company','Contact us','contact','','contact','index.php?option=com_contact&view=contact&id=1','component','1','1','1','8','0','0000-00-00 00:00:00','0','1',' ','0','{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_info":"","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":" contact-ps","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','167','168','0','*','0'),
('581','elements','Accordion','accordion','','accordion','index.php?option=com_contact&view=contact&id=3','component','1','1','1','8','0','0000-00-00 00:00:00','0','1',' ','0','{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_info":"","show_name":"","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','163','164','0','*','0'),
('582','djmediatools','Album grid','album-grid','','album-grid','index.php?option=com_djmediatools&view=categories&id=8','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"","image_height":"","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','191','192','0','*','0'),
('583','mainmenu','Features','subpage','','about/subpage','','separator','1','891','2','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','22','31','0','*','0'),
('584','mainmenu','Column 1','col1','','about/subpage/col1','','separator','1','583','3','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"1","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"dj-mega-subpage0","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"dj-mega-subpage0","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','23','24','0','*','0'),
('585','mainmenu','Column 2','col2','','about/subpage/col2','','separator','1','583','3','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"1","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"dj-mega-subpage1","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"dj-mega-subpage1","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','25','26','0','*','0'),
('586','mainmenu','Column 3','col3','','about/subpage/col3','','separator','1','583','3','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"1","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"dj-mega-subpage2","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"dj-mega-subpage2","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','27','28','0','*','0'),
('587','mainmenu','Column 4','col4','','about/subpage/col4','','separator','1','583','3','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"1","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"dj-mega-subpage3","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"dj-mega-subpage3","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','29','30','0','*','0'),
('589','pages','User profile','user-profile','','user-profile','index.php?option=com_users&view=profile','component','1','1','1','25','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','165','166','0','*','0'),
('593','mainmenu','User profile','classifieds-user-profile-1','','about/classifieds/classifieds-user-profile-1','index.php?option=com_djclassifieds&view=profile','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":0,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','73','74','0','*','0'),
('594','mainmenu','Profile editing','profile-editing-1','','about/classifieds/profile-editing-1','index.php?option=com_djclassifieds&view=profileedit','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','75','76','0','*','0'),
('618','mainmenu','Category table layout','category-table-rwd','','about/classifieds/category-table-rwd','index.php?option=com_djclassifieds&view=items&cid=0&rid=0','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"table_type":"classic","tooltip_img":"","tooltip_title":"","column_image":"","column_loc":"","column_price":"","column_desc":"0","column_category":"","column_date_a":"0","column_date_e":"0","column_displayed":"0","column_distance":"","column_distance_unit":"","table_smart_sorting":"1","show_adsn_cat":"","show_subcats":"","subcats_dir":"","subcats_ordering":"","subcats_hide_empty":"","subcats_columns":"","title_in_items":"","main_cat_desc":"","sub_cat_desc":"","items_in_main_cat":"","category_jump":"","seo_item_metarobots":"","seo_items_metarobots":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"1","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','53','54','0','*','0'),
('619','mainmenu','Category table smart','category-table-smart','','about/classifieds/category-table-smart','index.php?option=com_djclassifieds&view=items&cid=0&rid=0','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"table_type":"smart","tooltip_img":"","tooltip_title":"","column_image":"","column_loc":"","column_price":"","column_desc":"","column_category":"","column_date_a":"","column_date_e":"","column_displayed":"","column_distance":"","column_distance_unit":"","table_smart_sorting":"1","show_adsn_cat":"","show_subcats":"","subcats_dir":"","subcats_ordering":"","subcats_hide_empty":"","subcats_columns":"","title_in_items":"","main_cat_desc":"","sub_cat_desc":"","items_in_main_cat":"","category_jump":"","seo_item_metarobots":"","seo_items_metarobots":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','55','56','0','*','0'),
('623','djmediatools','Kwicks panels','kwicks-panels','','kwicks-panels','index.php?option=com_djmediatools&view=category&id=23','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:panels","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"380","image_height":"380","resizing":"","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"8","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"","show_readmore":"","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','209','210','0','*','0'),
('624','mainmenu','Single ad view with buy now + bids','single-ad-view-with-bids','','about/classifieds/single-ad-view-with-bids','index.php?option=com_djclassifieds&view=item&id=113','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','43','44','0','*','0'),
('625','mainmenu','Single ad view with horizontal search','search-horizontal','','about/classifieds/search-horizontal','index.php?option=com_djclassifieds&view=item&id=104','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','49','50','0','*','0'),
('656','pages','Coming soon','coming-soon','','coming-soon','index.php?option=com_content&view=article&id=97','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','171','172','0','*','0'),
('657','pages','Faq','faq','','faq','index.php?option=com_content&view=article&id=99','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','173','174','0','*','0'),
('658','custompages','Gallery','gallery-alias','','gallery-alias','index.php?Itemid=','alias','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"aliasoptions":"497","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','175','176','0','*','0'),
('659','pages','Error 404','error-404','','error-404','index.php?option=com_content&view=article&id=98','component','1','1','1','22','0','0000-00-00 00:00:00','0','1','','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-subtitle":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"xhtml","djmegamenu-module_show_link":"0","djmegamenu-accesskey":""}','177','178','0','*','0'),
('693','mainmenu','Sales history','sales-history-1','','about/classifieds/sales-history-1','index.php?option=com_djclassifieds&view=saleshistory','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','67','68','0','*','0'),
('695','mainmenu','User orders history','user-orders-history-1','','about/classifieds/user-orders-history-1','index.php?option=com_djclassifieds&view=ordershistory','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','77','78','0','*','0'),
('708','mainmenu','Single ad with buy now','single-ad-with-buy-now','','about/classifieds/single-ad-with-buy-now','index.php?option=com_djclassifieds&view=item&id=107','component','1','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','41','42','0','*','0'),
('761','company','Our company','our-company','','our-company','index.php?option=com_content&view=article&id=96','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','101','102','0','*','0'),
('762','company','Partners','partners','','partners','index.php?option=com_content&view=article&id=96','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','103','104','0','*','0'),
('763','company','Terms of use','terms-of-use','','terms-of-use','index.php?option=com_content&view=article&id=96','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','105','106','0','*','0'),
('764','company','News','news-alias','','news-alias','index.php?Itemid=','alias','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"aliasoptions":"575","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','109','110','0','*','0'),
('766','company','Privacy policy','privacy-policy','','privacy-policy','index.php?option=com_content&view=article&id=96','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','107','108','0','*','0'),
('775','pages','Offline page','offline-page','','offline-page','index.php?option=com_content&view=article&id=111','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','179','180','0','*','0'),
('777','mainmenu','Post an ad +','post-an-ad','','post-an-ad','index.php?option=com_djclassifieds&view=additem','component','1','1','1','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":" button-ms","menu_image":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','11','12','0','*','0'),
('811','mainmenu','Subscriptions plans','subscriptions-plans','','about/classifieds/subscriptions-plans','index.php?option=com_djclassifieds&view=plans','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','61','62','0','*','0'),
('812','mainmenu','User subscription plans','user-subscription-plans-1','','about/classifieds/user-subscription-plans-1','index.php?option=com_djclassifieds&view=userplans','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','79','80','0','*','0'),
('817','main','com_joomlaupdate','com-joomlaupdate','','com-joomlaupdate','index.php?option=com_joomlaupdate','component','1','1','1','28','0','0000-00-00 00:00:00','0','1','class:joomlaupdate','0','{}','181','182','0','','1'),
('838','mainmenu','User registration','user-registration-1','','about/classifieds/user-registration-1','index.php?option=com_djclassifieds&view=registration','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','81','82','0','*','0'),
('882','main','com_associations','multilingual-associations','','multilingual-associations','index.php?option=com_associations','component','1','1','1','34','0','0000-00-00 00:00:00','0','1','class:associations','0','{}','183','184','0','*','1'),
('890','about-the-template','Other modules used with this template that you may find helpful','other-modules','','other-modules','index.php?option=com_content&view=article&id=110','component','1','1','1','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"1","link_titles":"0","show_intro":"0","info_block_position":"","info_block_show_title":"0","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"0","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','7','8','0','*','0'),
('891','mainmenu','About','about','','about','','separator','1','1','1','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','21','84','0','*','0'),
('893','mainmenu','Sign up','sign-up','','sign-up','index.php?option=com_users&view=registration','component','1','1','1','25','0','0000-00-00 00:00:00','0','5',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','85','86','0','*','0'),
('911','mainmenu','Login','login-user','','login-user','index.php?Itemid=','alias','1','1','1','0','0','0000-00-00 00:00:00','0','5',' ','0','{"aliasoptions":"572","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','97','98','0','*','0'),
('912','mainmenu','Logout','logout','','logout','index.php?option=com_users&view=login&layout=logout&task=user.menulogout','component','1','1','1','25','0','0000-00-00 00:00:00','0','2',' ','0','{"logout":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','99','100','0','*','0'),
('918','djmediatools','Masonry','masonry','','masonry','index.php?option=com_djmediatools&view=category&id=26','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1',' ','0','{"show_cat_titles":"","cwidth":"","cheight":"","cresizing":"","cquality":"","show_cat_title":"","show_cat_desc":"","show_subcategories":"","show_album_title":"","show_album_desc":"","zoom":"","window_size":"","window_width":"","window_height":"","layout":"_:masonry","slider_type":"","desc_effect":"none","sort_by":"","link_image":"","lightbox":"","image_width":"230","image_height":"","resizing":"toWidth","quality":"","thumb_width":"","thumb_height":"","visible_images":"","space_between_images":"","max_images":"12","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"0","show_readmore":"0","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"","pause_autoplay":"","show_buttons":"","show_arrows":"","show_custom_nav":"","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"","right_arrow":"","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"0","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','211','212','0','*','0'),
('921','mainmenu','Available DJ-Classifieds modules','available-dj-classifieds-modules','','about/classifieds/available-dj-classifieds-modules','index.php?option=com_content&view=article&id=119','component','1','951','3','22','0','0000-00-00 00:00:00','0','1',' ','0','{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','63','64','0','*','0'),
('922','mainmenu','My account','my-account','','my-account','index.php?Itemid=','alias','1','1','1','0','0','0000-00-00 00:00:00','0','2',' ','0','{"aliasoptions":"593","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','87','96','0','*','0'),
('923','mainmenu','Submitted classifieds','submitted-classifieds','','my-account/submitted-classifieds','index.php?option=com_djclassifieds&view=useritems','component','1','922','2','10024','0','0000-00-00 00:00:00','0','2',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','88','89','0','*','0'),
('924','mainmenu','Points packages','user-points','','my-account/user-points','index.php?option=com_djclassifieds&view=userpoints','component','1','922','2','10024','0','0000-00-00 00:00:00','0','2',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','90','91','0','*','0'),
('925','mainmenu','Subscription plans','user-plans','','my-account/user-plans','index.php?option=com_djclassifieds&view=userplans','component','0','922','2','10024','0','0000-00-00 00:00:00','0','2',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','92','93','0','*','0');
INSERT INTO `#__menu` VALUES 
('926','mainmenu','Orders history','user-history','','my-account/user-history','index.php?option=com_djclassifieds&view=ordershistory','component','1','922','2','10024','0','0000-00-00 00:00:00','0','2',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','94','95','0','*','0'),
('938','mainmenu','All built-in banners positions in DJ-Classifieds single ad view','all-built-in-banners-positions-in-dj-classifieds-single-ad-view','','about/classifieds/all-built-in-banners-positions-in-dj-classifieds-single-ad-view','index.php?Itemid=','alias','1','951','3','0','0','0000-00-00 00:00:00','0','1',' ','0','{"aliasoptions":"551","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','65','66','0','*','0'),
('950','mainmenu','Gallery','gallery','','about/gallery','','separator','1','891','2','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','32','35','0','*','0'),
('951','mainmenu','Classifieds','classifieds','','about/classifieds','','separator','1','891','2','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','36','83','0','*','0'),
('953','mainmenu','Column','column','','about/gallery/column','','separator','1','950','3','0','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"dj-mega-extensions0","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"dj-mega-extensions0","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','33','34','0','*','0'),
('955','mainmenu','Single ad view with make offer','single-ad-view-with-make-offer','','about/classifieds/single-ad-view-with-make-offer','index.php?option=com_djclassifieds&view=item&id=124','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','45','46','0','*','0'),
('956','mainmenu','Single ad view with make offer + buy now','single-ad-view-with-make-offer-buy-now','','about/classifieds/single-ad-view-with-make-offer-buy-now','index.php?option=com_djclassifieds&view=item&id=163','component','0','951','3','10024','0','0000-00-00 00:00:00','0','1',' ','0','{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_image_css":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"djmegamenu-show":"","djmegamenu-subtitle":"","djmegamenu-fa":"","djmegamenu-fullwidth":"0","djmegamenu-column_break":"0","djmegamenu-column_width":"","djmegamenu-expand":"","djmegamenu-dropdown_dir":"","djmegamenu-bg_image":"","djmegamenu-bg_pos_hor":"right","djmegamenu-bg_pos_ver":"bottom","djmegamenu-module_pos":"","djmegamenu-module_style":"System-xhtml","djmegamenu-module_show_link":"0","djmobilemenu-module_pos":"","djmobilemenu-module_style":"System-xhtml","djmobilemenu-module_show_link":"0","djmegamenu-accesskey":""}','47','48','0','*','0'),
('972','main','com_weblinks','com-weblinks','','com-weblinks','index.php?option=com_weblinks','component','1','1','1','21','0','0000-00-00 00:00:00','0','1','class:weblinks','0','{}','213','218','0','','1'),
('973','main','com_weblinks_links','com-weblinks-links','','com-weblinks/com-weblinks-links','index.php?option=com_weblinks','component','1','972','2','21','0','0000-00-00 00:00:00','0','1','class:weblinks','0','{}','214','215','0','','1'),
('974','main','com_weblinks_categories','com-weblinks-categories','','com-weblinks/com-weblinks-categories','index.php?option=com_categories&extension=com_weblinks','component','1','972','2','21','0','0000-00-00 00:00:00','0','1','class:weblinks-cat','0','{}','216','217','0','','1'),
('986','main','COM_DJCLASSIFIEDS','com-djclassifieds','','com-djclassifieds','index.php?option=com_djclassifieds','component','1','1','1','10024','0','0000-00-00 00:00:00','0','1','components/com_djclassifieds/images/icon-16-djclassifieds.png','0','{}','227','228','0','','1'),
('983','main','COM_DJMEDIATOOLS_CATEGORIES','com-djmediatools-categories','','com-djmediatools/com-djmediatools-categories','index.php?option=com_djmediatools&view=categories','component','1','981','2','10007','0','0000-00-00 00:00:00','0','1','class:category','0','{}','222','223','0','','1'),
('982','main','COM_DJMEDIATOOLS_SLIDES','com-djmediatools-slides','','com-djmediatools/com-djmediatools-slides','index.php?option=com_djmediatools&view=items','component','1','981','2','10007','0','0000-00-00 00:00:00','0','1','components/com_djmediatools/assets/icon-16-menu-slides.png','0','{}','220','221','0','','1'),
('981','main','COM_DJMEDIATOOLS','com-djmediatools','','com-djmediatools','index.php?option=com_djmediatools','component','1','1','1','10007','0','0000-00-00 00:00:00','0','1','components/com_djmediatools/assets/icon-16-djmediatools.png','0','{}','219','224','0','','1'),
('984','main','COM_DJREVIEWS','com-djreviews','','com-djreviews','index.php?option=com_djreviews','component','1','1','1','10047','0','0000-00-00 00:00:00','0','1','components/com_djreviews/assets/images/icon-16-djreviews.png','0','{}','225','226','0','','1');

DROP TABLE IF EXISTS #__menu_types;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) AUTO_INCREMENT=39 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` VALUES 
('4','0','mainmenu','Main Menu','','0'),
('14','578','blog','Blog','','0'),
('15','574','pages','Pages','','0'),
('16','0','custompages','Custom pages','','0'),
('18','0','djmediatools','DJ-MediaTools','','0'),
('24','497','company','Company','','0'),
('36','575','languages','Languages','','0'),
('37','576','about-the-template','About the template','','0'),
('38','577','elements','Elements','','0');

DROP TABLE IF EXISTS #__messages;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` mediumtext NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__messages_cfg;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__modules;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` mediumtext NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) AUTO_INCREMENT=466 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` VALUES 
('2','0','Login','','','1','login','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_login','1','1','','1','*'),
('3','0','Popular Articles','','','3','cpanel','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_popular','3','1','{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}','1','*'),
('4','0','Recently Added Articles','','','4','cpanel','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_latest','3','1','{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}','1','*'),
('8','0','Toolbar','','','1','toolbar','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_toolbar','3','1','','1','*'),
('9','0','Quick Icons','','','1','icon','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_quickicon','3','1','','1','*'),
('10','0','Logged-in Users','','','2','cpanel','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_logged','3','1','{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}','1','*'),
('12','0','Admin Menu','','','1','menu','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_menu','3','1','{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}','1','*'),
('13','0','Admin Submenu','','','1','submenu','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_submenu','3','1','','1','*'),
('14','0','User Status','','','2','status','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_status','3','1','','1','*'),
('15','0','Title','','','1','title','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_title','3','1','','1','*'),
('52','335','Breadcrumbs','','','1','breadcrumbs','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_breadcrumbs','1','1','{"showHere":"1","showHome":"1","homeText":"Home","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('79','0','Multilanguage status','','','1','status','0','0000-00-00 00:00:00','2016-08-30 13:26:30','0000-00-00 00:00:00','1','mod_multilangstatus','3','1','{"layout":"_:default","moduleclass_sfx":"","cache":"0"}','1','*'),
('86','0','Joomla Version','','','1','footer','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_version','3','1','{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}','1','*'),
('91','208','Top1-1','','<p><strong>Default module</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top1-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('92','209','Top1-2','','<p>Module suffix: <br /><strong>color1-ms</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top1-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" color1-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('93','210','Top1-3','','<p>Module suffix: <br /><strong>color2-ms</strong></p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top1-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" color2-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('94','211','Top1-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top1-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('95','237','Left-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','left-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('96','238','Left-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','7','left-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('97','240','Left-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','9','left-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('98','241','Right-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','8','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('99','242','Right-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','7','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('100','243','Right-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','11','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('103','203','Content-top','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices. Aliquam id nunc turpis. In et blandit arcu. Donec pharetra, mauris id consectetur pretium, eros nisl pharetra urna, ut pellentesque magna mi a leo.</p>','1','content-top','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('104','204','Content-Bottom','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices. Aliquam id nunc turpis. In et blandit arcu. Donec pharetra, mauris id consectetur pretium, eros nisl pharetra urna, ut pellentesque magna mi a leo.</p>','24','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('105','218','Bottom1-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom1-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('106','219','Bottom1-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom1-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('107','220','Bottom1-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom1-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('108','221','Bottom1-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom1-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('110','231','Footer Mod-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','footer-mod-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('111','232','Footer Mod-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','footer-mod-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('112','233','Footer Mod-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','footer-mod-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('114','304','Copyrights','','<p>JM MyOffers © All Rights Reserved.</p>','1','copyrights','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('141','202','DJ-MegaMenu','','','1','top-menu-nav','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_djmegamenu','1','1','{"menu":"mainmenu","base":"","startLevel":"1","endLevel":"0","icons":"2","subtitles":"2","usenote":"1","fa":"0","theme":"_override","megabg":"#383838","megacolor":"#ffffff","megastcolor":"#999999","megabg_a":"#1681d1","megacolor_a":"#ffffff","megastcolor_a":"#a4c4f5","megasubbg":"#303030","megasubcolor":"#c3c3c3","megasubstcolor":"#666666","megasubbg_a":"#1681d1","megasubcolor_a":"#ffffff","megasubstcolor_a":"#a4c4f5","megamodcolor":"#d2d2d2","expand":"dropdown","dropdown_dir":"","column_width":"200","percent_width":"25","moo":"1","animation_in":"fadeIn","animation_out":"fadeOut","animation_speed":"normal","openDelay":"250","closeDelay":"0","event":"mouseenter","wrapper":"jm-top-menu-nav","fixed":"0","fixed_offset":"0","fixed_logo":"","fixed_logo_align":"left","wcag":"1","select":"2","mobiletheme":"dark","width":"1200","mobilebtnbg":"#434343","mobilebtncolor":"#e4e4e4","mobilebg":"#393939","mobilecolor":"#f8f8f8","mobilestcolor":"#888888","mobilebg_a":"#333333","mobilecolor_a":"#ffffff","mobilestcolor_a":"#aaaaaa","mobilesubbg":"#333333","mobilesubcolor":"#aeaeae","mobilesubstcolor":"#666666","mobilesubbg_a":"#2e2e2e","mobilesubcolor_a":"#e4e4e4","mobilesubstcolor_a":"#888888","mobilemodcolor":"#aeaeae","select_type":"button","accordion_pos":"absolute","accordion_align":"right","offcanvas_logo":"images\\/logo.png","offcanvas_pos":"left","offcanvas_effect":"3","offcanvas_topmod_style":"System-xhtml","offcanvas_botmod_style":"System-xhtml","accordion_collapsed":"0","moduleclass_sfx":"","layout":"_:default","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('152','239','Left-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','8','left-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('153','244','Right-column','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','13','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('211','248',' Header-mod Search','','','2','header-1','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','0','{"moduleclass_sfx":"search-ms location-ms is-advanced","layout":"default","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"1","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"1","show_loc":"1","loc_select_type":"0","show_loc_label":"1","show_geoloc":"1","show_postcode":"1","show_address":"1","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150,99999","default_radius":"0","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"1","show_input_label":"1","show_price":"1","show_price_label":"1","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"1","show_restriction_18":"0","show_reset":"2","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('212','267','Pages','','','1','dj-mega-subpage0','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"pages","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":" white-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('214','269','Elements','','','1','dj-mega-subpage1','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"elements","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('215','270','J! Content','','','12','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"blog","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":" color-menu-ms border-bottom-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('216','271','Blog','','','1','dj-mega-subpage2','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"blog","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('217','272','J! Other pages','','','10','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"pages","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('218','273','About the template','','','1','dj-mega-subpage3','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"about-the-template","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('219','274','Custom pages','','','9','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"custompages","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('222','277','DJ-MediaTools','','','1','dj-mega-extensions0','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','0','{"menutype":"djmediatools","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('257','321','Search Horizontal','','','1','content-top','0','0000-00-00 00:00:00','2016-07-28 08:56:08','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":" color1-ms","layout":"horizontal","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"1","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"1","show_loc":"1","loc_select_type":"0","show_loc_label":"1","show_geoloc":"1","show_postcode":"1","show_address":"1","api_country":"","show_postcode_label":"1","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"1","show_input_label":"1","show_price":"1","show_price_label":"1","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"0","show_time":"1","show_time_label":"1","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('260','324','Custom Banner','','<p><img src="images/modules/banner-full.jpg" alt="" /></p>','1','djcf-item-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('265','330','Main Menu','','','3','offcanvas','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":" material-menu-ms","window_open":"","layout":"_:default","moduleclass_sfx":" large-title-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('266','331','Our site is coming soon','','<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque<br />laudantium eaque ipsa quae ab illo inventore veritatis et quasi architecto.</p>','0','coming-soon','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('297','379','Template styles','','<p style="text-align: center;">Use theme customizer that is available at the left side of the screen to modify the template colors.</p>\r\n<p><img style="display: block; margin-left: auto; margin-right: auto;" src="images/sample/theme.png" alt="" /></p>','0','dj-mega-styles0','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*');
INSERT INTO `#__modules` VALUES 
('308','390','Top2-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top2-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('309','391','Top2-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top2-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('310','392','Top2-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top2-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('311','393','Top2-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top2-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('312','394','Top3-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top3-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('313','395','Top3-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','top3-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('314','396','Top3-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','2','top3-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('315','397','Top3-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','2','top3-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('316','398','Bottom2-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom2-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('317','399','Bottom2-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom2-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('318','400','Bottom3-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom3-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('319','401','Bottom4-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom4-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('320','402','Bottom2-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom2-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('321','403','Bottom3-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom3-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('322','404','Bottom2-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom2-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('323','405','Bottom3-2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom3-2','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('324','406','Bottom3-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom3-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('325','407','Bottom4-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom4-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('326','408','Bottom4-3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom4-3','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('327','409','Bottom4-4','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','bottom4-4','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('328','410','Footer Mod-1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices.</p>','1','footer-mod-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('349','431','Company','','','1','footer-mod-1','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','0','{"menutype":"company","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":" horizontal-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('352','434','Payment','','<div class="text-right">\r\n<a href="#" title="Payment Methods"><img src="images/modules/payment.png" alt="Payment Methods"/></a>\r\n</div>\r\n','1','footer','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('364','450','Latest news','','','14','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_articles_category','1','1','{"mode":"normal","show_on_article_page":"1","count":"3","show_front":"show","category_filtering_type":"1","catid":["81"],"show_child_category_articles":"0","levels":"1","filter_tag":"","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.created","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"created","show_date_format":"Y\\/m\\/d H:i","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":" border-bottom-ms","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('365','451','Most read','','','15','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_articles_popular','1','1','{"catid":["83"],"count":"3","show_front":"1","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","layout":"_:default","moduleclass_sfx":" border-bottom-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('366','452','Tags','','','16','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_tags_popular','1','1','{"maximum":"5","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('367','461','DJ-MediaTools Album with module suffix "arrows-nav-ms"','','','6','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djmediatools','1','1','{"catid":"25","layout":"_:slider","slider_type":"","desc_effect":"","sort_by":"","link_image":"","lightbox":"","image_width":"357","image_height":"276","resizing":"crop","quality":"","thumb_width":"","thumb_height":"","visible_images":"4","space_between_images":"32","max_images":"","skip":"","show_thumbs":"","tab_indicator":"","tab_width":"","tab_height":"","tab_position":"","show_title":"","show_desc":"0","show_readmore":"0","readmore_text":"","link_title":"","link_desc":"","limit_desc":"","autoplay":"0","pause_autoplay":"","show_buttons":"0","show_arrows":"1","show_custom_nav":"0","effect":"","effect_type":"","duration":"","delay":"","lag":"","preload":"","desc_position":"","desc_width":"","desc_bottom":"","desc_horizontal":"","left_arrow":"images\\/modules\\/navi\\/arrow-left.png","right_arrow":"images\\/modules\\/navi\\/arrow-right.png","play_button":"","pause_button":"","arrows_top":"","arrows_horizontal":"","custom_nav_pos":"","custom_nav_align":"","loader_position":"","moduleclass_sfx":" arrows-nav-ms","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('379','473','Menu','','','3','right-column','0','0000-00-00 00:00:00','2016-07-19 06:58:44','0000-00-00 00:00:00','0','mod_djclassifieds_menu','1','1','{"moduleclass_sfx":"_menu color-menu-ms","max_level":"0","new_ad_link":"0","cat_ordering":"ord","hide_empty":"0","only_current_level":"0","expand_type":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('383','477','Custom Column Banner','','<p><img src="images/modules/banner-column.jpg" alt="" /></p>','1','djcf-item-column','0','0000-00-00 00:00:00','2016-07-19 10:22:08','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('391','486','DJ-Classifieds Category Tree','','','8','content-bottom','0','0000-00-00 00:00:00','2018-08-29 08:56:16','0000-00-00 00:00:00','1','mod_djclassifieds_cattree','1','1','{"moduleclass_sfx":"_menu","cattree_type":"","cattree_cols":"4","cattree_levels":"1","cattree_ic":"2","cattree_img":"0","cattree_first_level_type":"0","cattree_last_level_type":"1","cat_id":"0","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('392','487','User Menu','','','1','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_user_menu','1','1','{"moduleclass_sfx":" color-menu-ms","user_edit_profile":"1","new_ad_link":"1","user_ads_link":"1","user_fav_link":"1","points_packages_link":"1","user_points_link":"1","subscription_plans_link":"1","user_subscription_plans_link":"1","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('401','505','DJ-MegaMenu Mobile Menu Info','','<p>This menu is created for mobile menu only. There are no limitations to create the duplicate of items or modules visible from the desktop submenu menu.</p>','0','dj-offcanvas-bottom','0','0000-00-00 00:00:00','2017-09-12 11:51:55','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('404','513','Contact Map','','<p><iframe style="border: 0;" src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2424.1877486636104!2d-0.2446241!3d52.5842987!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4877f102a7bb5aff%3A0xa8a97bf13d59df1a!2sGreen+Ln!5e0!3m2!1spl!2spl!4v1400164688960" width="100%" height="450" frameborder="0"></iframe></p>','0','top2-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('408','518','DJ-MediaTools','','','3','offcanvas','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"djmediatools","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":" material-menu-ms","window_open":"","layout":"_:default","moduleclass_sfx":" large-title-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('412','523','Search','','','1','offcanvas','0','0000-00-00 00:00:00','2017-09-12 11:51:53','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','0','{"moduleclass_sfx":" hidden-desktop","layout":"default","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"1","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"0","show_type_label":"0","show_loc":"0","loc_select_type":"0","show_loc_label":"1","show_geoloc":"1","show_postcode":"1","show_address":"1","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150,99999","default_radius":"0","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"1","show_input_label":"1","show_price":"0","show_price_label":"0","show_only_images":"0","show_only_video":"0","show_only_auctions":"0","show_only_buynow":"0","show_time":"0","show_time_label":"0","show_restriction_18":"0","show_reset":"2","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('413','524','JM Social Icons','','','2','footer-mod-1','0','0000-00-00 00:00:00','2017-09-19 09:47:32','0000-00-00 00:00:00','1','mod_jm_social_icons','1','0','{"items":"[[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Facebook\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-facebook\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#4267b2\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#3c5b9e\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}],[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Twitter\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-twitter\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#1da1f2\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#1b95e0\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}],[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Instagram\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-instagram\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#9d3baa\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#84328f\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}],[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Linkedin\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-linkedin\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#0077b5\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#03689e\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}]]","name":"","image_file":"","icon":"","color":"","color2":"","url":"","intro":"","target":"1","view":"1","theme":"1","css":"","load_fontawesome":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('414','527','Advanced search header','','<p><a href="#">Advanced search <span class="toggle"></span></a></p>','3','header-1','0','0000-00-00 00:00:00','2017-09-12 11:47:21','0000-00-00 00:00:00','0','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" advanced-ms margin-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('416','529','Header 1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam imperdiet sagittis sapien, sit amet placerat lacus ultricies ultrices. Phasellus viverra commodo nulla, eget scelerisque lectus consectetur et. Curabitur commodo lectus nec lectus porta vestibulum. Pellentesque in rutrum nisl. Proin purus augue, volutpat a mattis id, mattis quis ligula. Nulla facilisi. Vestibulum tincidunt velit faucibus erat congue non viverra nulla pharetra. Suspendisse potenti. Ut est felis, volutpat luctus porta quis, tincidunt sed lorem. Mauris fringilla mollis turpis, et blandit eros interdum id. Fusce ultricies leo ac urna ultricies rhoncus. Nulla facilisi. Etiam consectetur elit eu arcu volutpat interdum. Duis ac sapien ipsum. Sed facilisis, magna in aliquet blandit, justo tellus tincidunt urna, at malesuada turpis odio non nulla. Mauris fringilla, purus sit amet gravida tincidunt, ex velit lobortis dolor, eu congue lacus mauris nec nunc. Proin rhoncus, lacus eget convallis consequat, tellus purus sagittis lorem, nec feugiat leo eros ac quam. Mauris ut orci nec augue tristique sollicitudin.</p>','1','header-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','1','{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('418','531','More categories','','','1','dj-megamenu-0','0','0000-00-00 00:00:00','2017-09-20 13:28:39','0000-00-00 00:00:00','1','mod_djclassifieds_cattree','1','0','{"moduleclass_sfx":"_menu","cattree_type":"","cattree_cols":"4","cattree_levels":"1","cattree_ic":"0","cattree_img":"0","cattree_first_level_type":"0","cattree_last_level_type":"1","cat_id":"0","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('422','537','DJ-MediaTools','','','1','left-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"djmediatools","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('423','538','DJ-Classifieds Regions Select','','','7','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_regions_select','1','1','{"moduleclass_sfx":"_menu","max_level":"0","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('424','539','DJ-Classifieds Maps','','','20','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_maps','1','1','{"moduleclass_sfx":"","layout":"cluster","map_width":"500px","map_height":"400px","items_limit":"20","start_geoloc":"0","start_address":"England, London","gm_type":"ROADMAP","start_zoom":"10","items_ord":"0","follow_category":"1","follow_search":"1","follow_advert":"1","guest_adverts":"1","enable_zoom":"true","enable_scrolling":"true","enable_places_search":"0","api_country":"","gm_styles":"[{featureType:\'poi\',elementType:\'labels\',stylers:[{visibility:\'off\'}]}]","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('425','540','DJ-Classifieds Menu','','','2','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_menu','1','1','{"moduleclass_sfx":"_menu","cat_id":"0","max_level":"0","new_ad_link":"2","cat_ordering":"ord","hide_empty":"0","only_current_level":"0","expand_type":"0","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('426','541','DJ-Classifieds Stats','','','4','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_stats','1','1','{"moduleclass_sfx":"","txt_before":"Stats","txt_after":"On your website","ads_total":"1","ads_active":"1","ads_added_today":"1","ads_added_1":"1","ads_added_week":"1","ads_added_7":"1","ads_added_month":"1","ads_added_30":"1","ads_added_year":"1","ads_added_365":"1","auctions_count":"1","cat_count":"1","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('427','542','DJ-Classifieds User Menu','','','5','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_user_menu','1','1','{"moduleclass_sfx":"","user_edit_profile":"0","new_ad_link":"1","user_ads_link":"1","user_fav_link":"1","points_packages_link":"0","user_points_link":"0","subscription_plans_link":"0","user_subscription_plans_link":"0","cache":"0","module_tag":"div","bootstrap_size":"3","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('429','545','Header categories','','','4','header-1','0','0000-00-00 00:00:00','2018-08-29 12:55:05','0000-00-00 00:00:00','0','mod_djmegamenu','1','0','{"menu":"headercats","base":"","startLevel":"1","endLevel":"0","icons":"2","subtitles":"2","usenote":"1","fa":"0","theme":"_override","megabg":"#383838","megacolor":"#ffffff","megastcolor":"#999999","megabg_a":"#1681d1","megacolor_a":"#ffffff","megastcolor_a":"#a4c4f5","megasubbg":"#303030","megasubcolor":"#c3c3c3","megasubstcolor":"#666666","megasubbg_a":"#1681d1","megasubcolor_a":"#ffffff","megasubstcolor_a":"#a4c4f5","megamodcolor":"#d2d2d2","orientation":"horizontal","dropdown_dir":"left","expand":"dropdown","column_width":"200","percent_width":"25","moo":"1","animation_in":"fadeInUp","animation_out":"zoomOut","animation_speed":"normal","openDelay":"250","closeDelay":"500","event":"mouseenter","wrapper":"","fixed":"0","fixed_offset":"0","fixed_logo":"","fixed_logo_align":"right","wcag":"1","select":"0","width":979,"mobiletheme":"dark","mobilebtnbg":"#434343","mobilebtncolor":"#e4e4e4","mobilebg":"#393939","mobilecolor":"#f8f8f8","mobilestcolor":"#888888","mobilebg_a":"#333333","mobilecolor_a":"#ffffff","mobilestcolor_a":"#aaaaaa","mobilesubbg":"#333333","mobilesubcolor":"#aeaeae","mobilesubstcolor":"#666666","mobilesubbg_a":"#2e2e2e","mobilesubcolor_a":"#e4e4e4","mobilesubstcolor_a":"#888888","mobilemodcolor":"#aeaeae","select_type":"button","accordion_pos":"static","accordion_align":"right","offcanvas_logo":"","offcanvas_pos":"left","offcanvas_effect":"3","offcanvas_topmod_style":"System-xhtml","offcanvas_botmod_style":"System-xhtml","accordion_collapsed":"0","moduleclass_sfx":" header-category-ms","layout":"_:default","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('430','547','Search','','','1','search','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','0','{"moduleclass_sfx":"search-ms location-ms showonscroll-ms hidden-phone","layout":"default","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"1","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"1","show_loc":"1","loc_select_type":"0","show_loc_label":"1","show_geoloc":"1","show_postcode":"1","show_address":"1","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150,99999","default_radius":"0","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"1","show_input_label":"1","show_price":"1","show_price_label":"1","show_only_price_negotiable":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"1","show_restriction_18":"0","show_reset":"2","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('431','548','Search subpage','','','1','search','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','0','{"moduleclass_sfx":"search-ms location-ms","layout":"default","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"1","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"1","show_loc":"1","loc_select_type":"0","show_loc_label":"1","show_geoloc":"1","show_postcode":"1","show_address":"1","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150,99999","default_radius":"0","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"1","show_input_label":"1","show_price":"1","show_price_label":"1","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"1","show_restriction_18":"0","show_reset":"2","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('433','550','My other offers','','','1','djcf-item-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_items','1','1','{"items_nr":"4","columns_nr":"4","items_ord":"0","items_source":"0","fallow_category":"0","fallow_region":"0","follow_user":"1","items_ids":"","users_ids":"","show_img":"1","show_default_img":"0","only_with_img":"0","img_type":"thm","img_width":"357","img_height":"276","show_title":"1","char_title_nr":"0","show_date":"0","show_cat":"1","cat_link":"1","show_type":"0","show_region":"1","show_price":"1","show_description":"0","desc_source":"0","desc_link":"0","char_desc_nr":"50","custom_fields":"0","show_fav_icon":"1","only_auctions":"0","only_p_special":"0","only_p_first":"0","only_p_bold":"0","only_p_border":"0","only_p_bg":"0","layout":"_:default","moduleclass_sfx":" items-boxed-ms color1-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"Jm-myoffers-jmmodule"}','0','*'),
('435','555','DJ-Classifieds Regions','','','16','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_regions','1','1','{"moduleclass_sfx":"_menu","max_level":"0","expand_type":"1","items_count":"0","region_id":"2","save_region_id":"0","results_itemid":"0","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"4","header_tag":"h3","header_class":"","style":"0"}','0','*');
INSERT INTO `#__modules` VALUES 
('436','556','DJ-Classifieds Regions with module suffix "regions-ms col3"','','','17','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_regions','1','1','{"moduleclass_sfx":"_menu regions-ms col3","max_level":"0","expand_type":"1","items_count":"0","region_id":"2","save_region_id":"0","results_itemid":"0","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"8","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('437','557','DJ-Classifieds Search - vertical','','','10','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":"","layout":"default","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"4","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('438','558','DJ-Classifieds Search - one line','','','9','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":"","layout":"oneline","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('439','559','DJ-Classifieds Search - horizontal','','','11','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":"","layout":"horizontal","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"0","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"8","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('440','560','DJ-Classifieds Items','','','18','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_items','1','1','{"items_nr":"2","columns_nr":"1","items_ord":"0","items_source":"0","fallow_category":"0","fallow_region":"0","follow_user":"0","items_ids":"","users_ids":"","show_img":"1","show_default_img":"0","only_with_img":"0","img_type":"ths","img_width":"200","img_height":"","show_title":"1","char_title_nr":"0","show_date":"0","show_cat":"1","cat_link":"1","show_type":"0","show_region":"1","show_price":"1","show_description":"1","desc_source":"0","desc_link":"0","char_desc_nr":"28","custom_fields":"0","show_fav_icon":"1","only_auctions":"0","only_p_special":"0","only_p_first":"0","only_p_bold":"0","only_p_border":"0","only_p_bg":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('441','561','DJ-Classifieds Items with module suffix "items-boxed-ms"','','','19','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_items','1','1','{"items_nr":"2","columns_nr":"2","items_ord":"1","items_source":"0","fallow_category":"0","fallow_region":"0","follow_user":"0","items_ids":"","users_ids":"","show_img":"1","show_default_img":"0","only_with_img":"0","img_type":"thm","img_width":"","img_height":"","show_title":"1","char_title_nr":"0","show_date":"0","show_cat":"1","cat_link":"1","show_type":"0","show_region":"1","show_price":"1","show_description":"1","desc_source":"0","desc_link":"0","char_desc_nr":"50","custom_fields":"0","show_fav_icon":"1","only_auctions":"0","only_p_special":"0","only_p_first":"0","only_p_bold":"0","only_p_border":"0","only_p_bg":"0","layout":"_:default","moduleclass_sfx":" items-boxed-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"6","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('442','562','DJ-Classifieds Search with module suffix "search-ms"','','','13','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":" search-ms","layout":"horizontal","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('443','563','DJ-Classifieds Search with module suffix "search-ms locationcategory-ms"','','','15','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":" search-ms locationcategory-ms","layout":"horizontal","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('444','564','DJ-Classifieds Search with module suffix "search-ms category-ms"','','','14','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":" search-ms category-ms","layout":"horizontal","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('445','565','DJ-Classifieds Search with module suffix "search-ms location-ms"','','','12','content-bottom','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":" search-ms location-ms","layout":"horizontal","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('446','566','JM Social Icons','','','3','content-bottom','0','0000-00-00 00:00:00','2017-09-19 09:47:32','0000-00-00 00:00:00','1','mod_jm_social_icons','1','1','{"items":"[[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Facebook\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-facebook\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#2fbdb4\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#26aba4\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}],[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Twitter\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-twitter\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#2fbdb4\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#26aba4\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}],[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Instagram\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-instagram\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#2fbdb4\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#26aba4\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}],[{\\"name\\":\\"jform[params][name]\\",\\"value\\":\\"Linkedin\\"},{\\"name\\":\\"jform[params][image_file]\\",\\"value\\":\\"\\"},{\\"name\\":\\"jform[params][icon]\\",\\"value\\":\\"fa fa-linkedin\\"},{\\"name\\":\\"jform[params][color]\\",\\"value\\":\\"#2fbdb4\\"},{\\"name\\":\\"jform[params][color2]\\",\\"value\\":\\"#26aba4\\"},{\\"name\\":\\"jform[params][url]\\",\\"value\\":\\"#\\"}]]","name":"","image_file":"","icon":"","color":"","color2":"","url":"","intro":"","target":"1","view":"1","theme":"1","css":"","load_fontawesome":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('447','567','Joomla menu module with module class "horizontal-ms"','','','1','content-bottom','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"company","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":" horizontal-ms","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('448','568','Custom Banner','','<p><img src="images/modules/banner-full.jpg" alt="" /></p>','1','djcf-item-top','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('449','570','Category filter','','','1','djcf-top-filter','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','0','{"moduleclass_sfx":"","layout":"oneline","result_view":"1","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"1","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"1","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_price_negotiable":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"0","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('450','571','Custom Banner','','<p><img src="images/modules/banner-description.jpg" alt="" /></p>','1','djcf-item-description','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('453','579','Languages','','','1','dj-mega-subpage1','0','0000-00-00 00:00:00','2017-09-12 11:51:43','0000-00-00 00:00:00','1','mod_menu','1','1','{"menutype":"languages","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('455','581','Search','','','1','content-top','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_search','1','1','{"moduleclass_sfx":"","layout":"oneline","result_view":"0","cat_id":"0","fallow_cat":"1","show_cat":"1","show_cat_label":"0","cat_select_type":"0","cat_ordering":"ord","cat_hide_empty":"0","show_custom_fields":"1","show_type":"1","show_type_label":"0","show_loc":"1","loc_select_type":"0","show_loc_label":"0","show_geoloc":"1","show_postcode":"1","show_address":"0","api_country":"","show_postcode_label":"0","postcode_country":"","radius_list":"5,10,25,50,100,150","default_radius":"50","radius_unit":"km","show_radius_label":"0","show_input":"1","show_input_hints":"0","show_input_label":"0","show_price":"1","show_price_label":"0","show_only_price_negotiable":"0","show_only_images":"1","show_only_video":"1","show_only_auctions":"1","show_only_buynow":"1","show_time":"1","show_time_label":"0","show_restriction_18":"1","show_reset":"1","results_itemid":"491","hide_on_advert":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('456','582','Contact Map','','<p><iframe style="border: 0;" src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d2424.1877486636104!2d-0.2446241!3d52.5842987!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x4877f102a7bb5aff%3A0xa8a97bf13d59df1a!2sGreen+Ln!5e0!3m2!1spl!2spl!4v1400164688960" width="100%" height="450" frameborder="0"></iframe></p>','2','bottom1-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('457','583','Contact Info','','<p><img src="images/logo-dark.png" /></p>\r\n<p></p>\r\n<p><strong>Address:</strong></p>\r\n<p>54th Street<br /> New Jersey<br /> New York<br /> 44-890<br /> United States</p>\r\n<p><strong>Phone:</strong></p>\r\n<p>0 123 456 789</p>','1','right-column','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('458','584','DJClassifieds Profiles Search','','','0','','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','0','mod_djclassifieds_profiles_search','1','1','','0','*'),
('459','586','Recently added','','','4','bottom1-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_djclassifieds_items','1','1','{"items_nr":"12","columns_nr":"4","items_ord":"0","items_source":"0","fallow_category":"0","fallow_region":"0","follow_user":"0","items_ids":"","users_ids":"","show_img":"1","show_default_img":"0","only_with_img":"0","img_type":"thm","img_width":"260","img_height":"188","show_title":"1","char_title_nr":"0","show_date":"0","show_cat":"1","cat_link":"1","show_type":"2","show_region":"0","show_price":"1","show_description":"0","desc_source":"0","desc_link":"0","char_desc_nr":"50","custom_fields":"0","show_fav_icon":"0","only_auctions":"0","only_p_special":"0","only_p_first":"0","only_p_bold":"0","only_p_border":"0","only_p_bg":"0","layout":"_:default","moduleclass_sfx":" items-boxed-ms","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('460','587','Banner front top','','<p><img style="display: block; margin-left: auto; margin-right: auto;" src="images/modules/banner-full.jpg" alt="" /></p>','1','bottom2-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('463','590','Header image','','<center><img src="images/header-image.png" alt="" /></center>','1','header-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*'),
('464','591','DJ-MediaTools Albums Grid','','','0','','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','0','mod_djmediatools_albums','1','1','','0','*'),
('465','592','Banner front top (2)','','<p><img style="display: block; margin-left: auto; margin-right: auto;" src="images/modules/banner-full.jpg" alt="" /></p>','3','bottom1-1','0','0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','1','mod_custom','1','0','{"prepare_content":0,"backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":1,"cache_time":900,"cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}','0','*');

DROP TABLE IF EXISTS #__modules_menu;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` VALUES 
('1','0'),
('1','101'),
('2','0'),
('3','0'),
('4','0'),
('6','0'),
('7','0'),
('8','0'),
('9','0'),
('10','0'),
('12','0'),
('13','0'),
('14','0'),
('15','0'),
('19','-463'),
('19','-462'),
('19','-433'),
('19','-432'),
('19','-431'),
('19','-430'),
('19','-429'),
('19','-427'),
('19','-400'),
('19','-399'),
('19','-296'),
('19','-244'),
('19','-243'),
('19','-242'),
('19','-234'),
('22','231'),
('22','234'),
('22','238'),
('22','242'),
('22','243'),
('22','244'),
('22','296'),
('22','399'),
('22','400'),
('25','294'),
('32','309'),
('45','303'),
('45','471'),
('52','-890'),
('52','-835'),
('52','-832'),
('52','-776'),
('52','-470'),
('57','238'),
('57','427'),
('57','429');
INSERT INTO `#__modules_menu` VALUES 
('57','430'),
('57','431'),
('57','432'),
('57','433'),
('57','462'),
('57','463'),
('79','0'),
('86','0'),
('87','227'),
('87','229'),
('87','249'),
('87','251'),
('87','252'),
('87','253'),
('87','254'),
('87','255'),
('87','256'),
('87','257'),
('87','259'),
('87','260'),
('87','262'),
('87','263'),
('87','265'),
('87','266'),
('87','267'),
('87','270'),
('87','271'),
('87','272'),
('87','274'),
('87','275'),
('87','276'),
('87','402'),
('87','403'),
('87','404'),
('87','405'),
('87','406'),
('87','409'),
('87','452'),
('87','466'),
('87','471'),
('88','300'),
('88','301'),
('88','302'),
('88','303'),
('88','304'),
('88','305'),
('88','306'),
('88','307'),
('88','309'),
('88','310');
INSERT INTO `#__modules_menu` VALUES 
('88','311'),
('88','312'),
('88','313'),
('88','324'),
('88','325'),
('88','326'),
('88','410'),
('88','411'),
('88','412'),
('88','416'),
('88','417'),
('88','418'),
('88','443'),
('88','447'),
('88','459'),
('88','467'),
('88','471'),
('89','238'),
('89','427'),
('89','429'),
('89','430'),
('89','431'),
('89','432'),
('89','433'),
('89','462'),
('89','463'),
('91','564'),
('91','565'),
('91','566'),
('91','567'),
('91','568'),
('91','569'),
('91','583'),
('92','564'),
('92','565'),
('92','566'),
('92','567'),
('92','568'),
('92','569'),
('93','564'),
('93','565'),
('93','566'),
('93','567'),
('93','568'),
('93','569'),
('94','564'),
('94','565'),
('94','566'),
('94','567'),
('94','568');
INSERT INTO `#__modules_menu` VALUES 
('94','569'),
('95','564'),
('95','565'),
('95','566'),
('95','567'),
('96','564'),
('96','565'),
('96','566'),
('96','567'),
('97','564'),
('97','565'),
('97','566'),
('97','567'),
('98','564'),
('98','565'),
('98','566'),
('98','568'),
('99','564'),
('99','565'),
('99','566'),
('99','568'),
('100','564'),
('100','565'),
('100','566'),
('100','568'),
('103','564'),
('103','565'),
('103','566'),
('103','567'),
('103','568'),
('103','569'),
('104','564'),
('104','565'),
('104','566'),
('104','567'),
('104','568'),
('104','569'),
('105','564'),
('105','565'),
('105','566'),
('105','567'),
('105','568'),
('105','569'),
('106','564'),
('106','565'),
('106','566'),
('106','567'),
('106','568'),
('106','569'),
('107','564');
INSERT INTO `#__modules_menu` VALUES 
('107','565'),
('107','566'),
('107','567'),
('107','568'),
('107','569'),
('108','564'),
('108','565'),
('108','566'),
('108','567'),
('108','568'),
('108','569'),
('110','564'),
('110','565'),
('110','566'),
('110','567'),
('110','568'),
('110','569'),
('111','564'),
('111','565'),
('111','566'),
('111','567'),
('111','568'),
('111','569'),
('112','564'),
('112','565'),
('112','566'),
('112','567'),
('112','568'),
('112','569'),
('114','0'),
('121','0'),
('141','0'),
('152','564'),
('152','565'),
('152','566'),
('152','567'),
('153','564'),
('153','565'),
('153','566'),
('153','568'),
('178','0'),
('194','-569'),
('194','-568'),
('194','-567'),
('194','-566'),
('194','-565'),
('194','-564'),
('195','-569'),
('195','-568'),
('195','-567');
INSERT INTO `#__modules_menu` VALUES 
('195','-566'),
('195','-565'),
('195','-564'),
('211','470'),
('211','832'),
('211','835'),
('212','0'),
('214','0'),
('215','574'),
('215','575'),
('215','576'),
('215','577'),
('215','578'),
('215','579'),
('215','581'),
('216','0'),
('217','570'),
('217','572'),
('217','573'),
('217','589'),
('217','659'),
('217','775'),
('218','0'),
('219','656'),
('219','657'),
('219','658'),
('220','0'),
('221','580'),
('222','0'),
('224','0'),
('240','0'),
('257','625'),
('258','0'),
('260','551'),
('260','624'),
('260','625'),
('260','708'),
('265','-848'),
('265','-847'),
('265','-846'),
('265','-845'),
('265','-844'),
('265','-843'),
('265','-842'),
('265','-841'),
('265','-840'),
('265','-839'),
('265','-838'),
('265','-812'),
('265','-811');
INSERT INTO `#__modules_menu` VALUES 
('265','-708'),
('265','-695'),
('265','-693'),
('265','-625'),
('265','-624'),
('265','-623'),
('265','-619'),
('265','-618'),
('265','-594'),
('265','-593'),
('265','-582'),
('265','-551'),
('265','-522'),
('265','-521'),
('265','-520'),
('265','-519'),
('265','-504'),
('265','-503'),
('265','-502'),
('265','-501'),
('265','-500'),
('265','-499'),
('265','-498'),
('265','-497'),
('265','-491'),
('265','-490'),
('265','-489'),
('266','0'),
('289','0'),
('290','735'),
('290','736'),
('297','0'),
('308','564'),
('308','565'),
('308','566'),
('308','567'),
('308','568'),
('308','569'),
('309','564'),
('309','565'),
('309','566'),
('309','567'),
('309','568'),
('309','569'),
('310','564'),
('310','565'),
('310','566'),
('310','567'),
('310','568'),
('310','569');
INSERT INTO `#__modules_menu` VALUES 
('311','564'),
('311','565'),
('311','566'),
('311','567'),
('311','568'),
('311','569'),
('312','564'),
('312','565'),
('312','566'),
('312','567'),
('312','568'),
('312','569'),
('313','564'),
('313','565'),
('313','566'),
('313','567'),
('313','568'),
('313','569'),
('314','564'),
('314','565'),
('314','566'),
('314','567'),
('314','568'),
('314','569'),
('315','564'),
('315','565'),
('315','566'),
('315','567'),
('315','568'),
('315','569'),
('316','564'),
('317','564'),
('317','565'),
('317','566'),
('317','567'),
('317','568'),
('317','569'),
('318','564'),
('318','565'),
('318','566'),
('318','567'),
('318','568'),
('318','569'),
('319','564'),
('319','565'),
('319','566'),
('319','567'),
('319','568'),
('319','569'),
('320','564');
INSERT INTO `#__modules_menu` VALUES 
('320','565'),
('320','566'),
('320','567'),
('320','568'),
('320','569'),
('321','564'),
('321','565'),
('321','566'),
('321','567'),
('321','568'),
('321','569'),
('322','564'),
('322','565'),
('322','566'),
('322','567'),
('322','568'),
('322','569'),
('323','564'),
('323','565'),
('323','566'),
('323','567'),
('323','568'),
('323','569'),
('324','564'),
('324','565'),
('324','566'),
('324','567'),
('324','568'),
('324','569'),
('325','564'),
('325','565'),
('325','566'),
('325','567'),
('325','568'),
('325','569'),
('326','564'),
('326','565'),
('326','566'),
('326','567'),
('326','568'),
('326','569'),
('327','564'),
('327','565'),
('327','566'),
('327','567'),
('327','568'),
('327','569'),
('328','564'),
('328','565'),
('328','566');
INSERT INTO `#__modules_menu` VALUES 
('328','567'),
('328','568'),
('328','569'),
('330','0'),
('349','-564'),
('350','-583'),
('350','-569'),
('350','-568'),
('350','-567'),
('350','-566'),
('350','-565'),
('350','-564'),
('352','0'),
('364','574'),
('364','575'),
('364','576'),
('365','574'),
('365','575'),
('365','576'),
('366','574'),
('366','575'),
('366','576'),
('367','890'),
('379','491'),
('379','532'),
('379','618'),
('383','491'),
('383','551'),
('383','618'),
('383','619'),
('383','624'),
('383','625'),
('383','708'),
('391','921'),
('392','521'),
('392','522'),
('392','593'),
('392','594'),
('392','693'),
('392','695'),
('392','812'),
('401','0'),
('408','497'),
('408','498'),
('408','499'),
('408','500'),
('408','501'),
('408','502'),
('408','503'),
('408','504');
INSERT INTO `#__modules_menu` VALUES 
('408','582'),
('408','623'),
('409','489'),
('409','490'),
('409','491'),
('409','520'),
('409','521'),
('409','522'),
('409','551'),
('409','593'),
('409','594'),
('409','618'),
('409','619'),
('409','624'),
('409','625'),
('409','693'),
('409','695'),
('409','708'),
('409','811'),
('409','812'),
('409','838'),
('409','839'),
('409','840'),
('409','841'),
('409','842'),
('409','843'),
('409','844'),
('409','845'),
('409','846'),
('409','847'),
('409','848'),
('410','489'),
('410','490'),
('410','491'),
('410','520'),
('410','521'),
('410','522'),
('410','551'),
('410','593'),
('410','594'),
('410','618'),
('410','619'),
('410','624'),
('410','625'),
('410','693'),
('410','695'),
('410','708'),
('410','811'),
('410','812'),
('410','838');
INSERT INTO `#__modules_menu` VALUES 
('410','839'),
('410','840'),
('410','841'),
('410','842'),
('410','843'),
('410','844'),
('410','845'),
('410','846'),
('410','847'),
('410','848'),
('412','470'),
('412','619'),
('412','832'),
('412','835'),
('413','-890'),
('413','-564'),
('414','470'),
('414','832'),
('414','835'),
('416','564'),
('416','565'),
('416','566'),
('416','567'),
('416','568'),
('416','569'),
('418','470'),
('418','832'),
('422','497'),
('422','498'),
('422','499'),
('422','500'),
('422','501'),
('422','502'),
('422','503'),
('422','504'),
('422','582'),
('422','623'),
('422','918'),
('423','921'),
('424','921'),
('425','921'),
('426','921'),
('427','921'),
('428','0'),
('429','832'),
('429','835'),
('430','470'),
('430','491'),
('430','618'),
('430','619');
INSERT INTO `#__modules_menu` VALUES 
('430','832'),
('430','835'),
('431','489'),
('431','490'),
('431','520'),
('431','521'),
('431','522'),
('431','551'),
('431','593'),
('431','594'),
('431','624'),
('431','625'),
('431','693'),
('431','695'),
('431','708'),
('431','811'),
('431','812'),
('431','838'),
('431','901'),
('431','902'),
('431','903'),
('431','904'),
('431','905'),
('431','921'),
('431','927'),
('431','928'),
('431','929'),
('431','930'),
('431','931'),
('431','932'),
('431','955'),
('431','956'),
('433','491'),
('433','551'),
('433','618'),
('433','619'),
('433','624'),
('433','625'),
('433','708'),
('433','901'),
('433','902'),
('433','903'),
('433','904'),
('433','905'),
('433','955'),
('433','956'),
('434','0'),
('435','921'),
('436','921'),
('437','921');
INSERT INTO `#__modules_menu` VALUES 
('438','921'),
('439','921'),
('440','921'),
('441','921'),
('442','921'),
('443','921'),
('444','921'),
('445','921'),
('446','890'),
('447','890'),
('448','551'),
('448','624'),
('448','625'),
('448','708'),
('449','491'),
('449','901'),
('449','902'),
('449','903'),
('449','904'),
('449','905'),
('449','927'),
('449','928'),
('449','929'),
('449','930'),
('449','931'),
('449','932'),
('450','551'),
('450','624'),
('450','625'),
('450','708'),
('453','0'),
('455','618'),
('455','619'),
('456','580'),
('457','580'),
('459','470'),
('459','832'),
('459','835'),
('460','470'),
('460','832'),
('460','835'),
('463','470'),
('463','832'),
('463','835'),
('465','470'),
('465','832'),
('465','835');

DROP TABLE IF EXISTS #__newsfeeds;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `xreference` varchar(50) NOT NULL DEFAULT '',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` mediumtext NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__overrider;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` mediumtext NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) AUTO_INCREMENT=5454 DEFAULT CHARSET=utf8;

INSERT INTO `#__overrider` VALUES 
('1','COM_AJAX','Ajax Interface','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('2','COM_AJAX_XML_DESCRIPTION','An extendable Ajax interface for Joomla.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('3','COM_AJAX_SPECIFY_FORMAT','Please specify a valid response format, other than that of HTML, such as json, raw, debug, etc.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('4','COM_AJAX_METHOD_NOT_EXISTS','Method %s does not exist.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('5','COM_AJAX_FILE_NOT_EXISTS','The file at %s does not exist.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('6','COM_AJAX_MODULE_NOT_ACCESSIBLE','Module %s is not published, you do not have access to it, or it\'s not assigned to the current menu item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('7','COM_AJAX_TEMPLATE_NOT_ACCESSIBLE','Template %s is not assigned to the current menu item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_ajax.ini'),
('8','COM_AKEEBA_COMMON_EMAIL_BODY_INFO','The new backup was taken with profile #%s. It consists of %s part(s). The full list of files of this backup set is the following:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_akeeba.ini'),
('9','COM_AKEEBA_COMMON_EMAIL_BODY_OK','Akeeba Backup has completed backing up your site using the front-end backup feature. You may visit the site\'s administrator section to download the backup.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_akeeba.ini'),
('10','COM_AKEEBA_COMMON_EMAIL_SUBJECT_OK','Akeeba Backup has taken a new backup','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_akeeba.ini'),
('11','COM_AKEEBA_COMMON_ERR_NOT_ENABLED','Operation not permitted','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_akeeba.ini'),
('12','COM_AKEEBA_EMAIL_POSTPROCESSING_FAILED','Post-processing (upload to remote storage) has FAILED.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_akeeba.ini'),
('13','COM_AKEEBA_EMAIL_POSTPROCESSING_SUCCESS','Post-processing (upload to remote storage) was successful.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_akeeba.ini'),
('14','COM_CONFIG','Administrator Services','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('15','COM_CONFIG_CONFIGURATION','Administrator Services Configuration','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('16','COM_CONFIG_ERROR_CONTROLLER_NOT_FOUND','Controller Not found!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('17','COM_CONFIG_FIELD_DEFAULT_ACCESS_LEVEL_DESC','Select the default access level for new content, menu items and other items created on your site.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('18','COM_CONFIG_FIELD_DEFAULT_ACCESS_LEVEL_LABEL','Default Access Level','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('19','COM_CONFIG_FIELD_DEFAULT_LIST_LIMIT_DESC','Sets the default length of lists in the Control Panel for all users.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('20','COM_CONFIG_FIELD_DEFAULT_LIST_LIMIT_LABEL','Default List Limit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('21','COM_CONFIG_FIELD_METADESC_DESC','Enter a description of the overall website that is to be used by search engines. Generally, a maximum of 20 words is best.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('22','COM_CONFIG_FIELD_METADESC_LABEL','Site Meta Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('23','COM_CONFIG_FIELD_METAKEYS_DESC','Enter the keywords and phrases that best describe your website. Separate keywords and phrases with a comma.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('24','COM_CONFIG_FIELD_METAKEYS_LABEL','Site Meta Keywords','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('25','COM_CONFIG_FIELD_SEF_URL_DESC','Select if the URLs are optimised for Search Engines.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('26','COM_CONFIG_FIELD_SEF_URL_LABEL','Search Engine Friendly URLs','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('27','COM_CONFIG_FIELD_SITE_NAME_DESC','Enter the name of your website. This will be used in various locations (eg the Backend browser title bar and <em>Site Offline</em> pages).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('28','COM_CONFIG_FIELD_SITE_NAME_LABEL','Site Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('29','COM_CONFIG_FIELD_VALUE_AFTER','After','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('30','COM_CONFIG_FIELD_VALUE_BEFORE','Before','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('31','COM_CONFIG_FIELD_SITE_OFFLINE_DESC','Select if access to the Site Frontend is available. If Yes, the Frontend will display a message if set such in Backend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('32','COM_CONFIG_FIELD_SITE_OFFLINE_LABEL','Site Offline','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('33','COM_CONFIG_FIELD_SITENAME_PAGETITLES_DESC','Begin or end all Page Titles with the site name (for example, My Site Name - My Article Name).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('34','COM_CONFIG_FIELD_SITENAME_PAGETITLES_LABEL','Site Name in Page Titles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('35','COM_CONFIG_METADATA_SETTINGS','Metadata Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('36','COM_CONFIG_MODULES_MODULE_NAME','Module Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('37','COM_CONFIG_MODULES_MODULE_TYPE','Module Type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('38','COM_CONFIG_MODULES_SETTINGS_TITLE','Module Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('39','COM_CONFIG_MODULES_SAVE_SUCCESS','Module saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('40','COM_CONFIG_SAVE_SUCCESS','Configuration saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('41','COM_CONFIG_SEO_SETTINGS','SEO Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('42','COM_CONFIG_SITE_SETTINGS','Site Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('43','COM_CONFIG_TEMPLATE_SETTINGS','Template Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('44','COM_CONFIG_XML_DESCRIPTION','Frontend Administrator Services Configuration Manager.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_config.ini'),
('45','COM_CONTACT_ADDRESS','Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('46','COM_CONTACT_ARTICLES_HEADING','Contact\'s articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('47','COM_CONTACT_CAPTCHA_LABEL','Captcha','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('48','COM_CONTACT_CAPTCHA_DESC','Please complete the security check.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('49','COM_CONTACT_CAT_NUM','# of Contacts :','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('50','COM_CONTACT_CONTACT_DEFAULT_LABEL','Send an Email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini');
INSERT INTO `#__overrider` VALUES 
('51','COM_CONTACT_CONTACT_EMAIL_A_COPY_DESC','Sends a copy of the message to the address you have supplied.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('52','COM_CONTACT_CONTACT_EMAIL_A_COPY_LABEL','Send a copy to yourself','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('53','COM_CONTACT_CONTACT_EMAIL_NAME_DESC','Your name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('54','COM_CONTACT_CONTACT_EMAIL_NAME_LABEL','Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('55','COM_CONTACT_CONTACT_ENTER_MESSAGE_DESC','Enter your message here.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('56','COM_CONTACT_CONTACT_ENTER_MESSAGE_LABEL','Message','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('57','COM_CONTACT_CONTACT_ENTER_VALID_EMAIL','Please enter a valid email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('58','COM_CONTACT_CONTACT_REQUIRED','<strong class="red">*</strong> Required field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('59','COM_CONTACT_CONTENT_TYPE_CONTACT','Contact','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('60','COM_CONTACT_CONTENT_TYPE_CATEGORY','Contact Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('61','COM_CONTACT_FILTER_LABEL','Filter Field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('62','COM_CONTACT_FILTER_SEARCH_DESC','Contact Filter Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('63','COM_CONTACT_CONTACT_MESSAGE_SUBJECT_DESC','Enter the subject of your message here.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('64','COM_CONTACT_CONTACT_MESSAGE_SUBJECT_LABEL','Subject','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('65','COM_CONTACT_CONTACT_SEND','Send Email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('66','COM_CONTACT_COPYSUBJECT_OF','Copy of: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('67','COM_CONTACT_COPYTEXT_OF','This is a copy of the following message you sent to %s via %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('68','COM_CONTACT_COUNT','Contact count:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('69','COM_CONTACT_COUNTRY','Country','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('70','COM_CONTACT_DEFAULT_PAGE_TITLE','Contacts','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('71','COM_CONTACT_DETAILS','Contact','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('72','COM_CONTACT_DOWNLOAD_INFORMATION_AS','Download information as:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('73','COM_CONTACT_EMAIL_BANNEDTEXT','The %s of your email has banned text.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('74','COM_CONTACT_EMAIL_DESC','Email Address for contact.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('75','COM_CONTACT_EMAIL_FORM','Contact Form','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('76','COM_CONTACT_EMAIL_LABEL','Email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('77','COM_CONTACT_EMAIL_THANKS','Thank you for your email.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('78','COM_CONTACT_ENQUIRY_TEXT','This is an enquiry email via %s from:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('79','COM_CONTACT_ERROR_CONTACT_NOT_FOUND','Contact not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('80','COM_CONTACT_FAX','Fax','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('81','COM_CONTACT_FAX_NUMBER','Fax: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('82','COM_CONTACT_FORM_LABEL','Send an Email. All fields with an asterisk (*) are required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('83','COM_CONTACT_FORM_NC','Please make sure the form is complete and valid.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('84','COM_CONTACT_IMAGE_DETAILS','Contact image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('85','COM_CONTACT_LINKS','Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('86','COM_CONTACT_MAILENQUIRY','%s Enquiry','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('87','COM_CONTACT_MOBILE','Mobile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('88','COM_CONTACT_MOBILE_NUMBER','Mobile: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('89','COM_CONTACT_NO_CONTACTS','There are no Contacts to display','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('90','COM_CONTACT_NOT_MORE_THAN_ONE_EMAIL_ADDRESS','You can\'t enter more than one email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('91','COM_CONTACT_NUM_ITEMS','Contact Count:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('92','COM_CONTACT_OPTIONAL','(optional)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('93','COM_CONTACT_OTHER_INFORMATION','Miscellaneous Information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('94','COM_CONTACT_POSITION','Position','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('95','COM_CONTACT_PROFILE','Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('96','COM_CONTACT_PROFILE_HEADING','Contact profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('97','COM_CONTACT_SELECT_CONTACT','Select a contact:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('98','COM_CONTACT_SESSION_INVALID','Invalid session cookie. Please check that you have cookies enabled in your web browser.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('99','COM_CONTACT_STATE','State','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('100','COM_CONTACT_SUBURB','Suburb','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini');
INSERT INTO `#__overrider` VALUES 
('101','COM_CONTACT_TELEPHONE','Phone','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('102','COM_CONTACT_TELEPHONE_NUMBER','Phone: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('103','COM_CONTACT_USER_FIELDS','Fields','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('104','COM_CONTACT_VCARD','vCard','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_contact.ini'),
('105','COM_CONTENT_ACCESS_DELETE_DESC','Inherited state for <strong>delete actions</strong> on this article and the calculated state based on the menu selection.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('106','COM_CONTENT_ACCESS_EDIT_DESC','Inherited state for <strong>edit actions</strong> on this article and the calculated state based on the menu selection.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('107','COM_CONTENT_ACCESS_EDITSTATE_DESC','Inherited state for <strong>edit state actions</strong> on this article and the calculated state based on the menu selection.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('108','COM_CONTENT_ARTICLE_CONTENT','Content','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('109','COM_CONTENT_ARTICLE_HITS','Hits: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('110','COM_CONTENT_ARTICLE_INFO','Details','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('111','COM_CONTENT_ARTICLE_VOTE_FAILURE','You already rated this Article today!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('112','COM_CONTENT_ARTICLE_VOTE_SUCCESS','Thank You for rating this Article.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('113','COM_CONTENT_AUTHOR_FILTER_LABEL','Author Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('114','COM_CONTENT_CAPTCHA_DESC','Please complete the security check.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('115','COM_CONTENT_CAPTCHA_LABEL','Captcha','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('116','COM_CONTENT_CATEGORY','Category: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('117','COM_CONTENT_CATEGORY_LIST_TABLE_CAPTION','List of articles in category %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('118','COM_CONTENT_CHECKED_OUT_BY','Checked out by %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('119','COM_CONTENT_CONTENT_TYPE_ARTICLE','Article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('120','COM_CONTENT_CONTENT_TYPE_CATEGORY','Article Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('121','COM_CONTENT_CREATE_ARTICLE','Submit new article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('122','COM_CONTENT_CREATED_DATE','Created Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('123','COM_CONTENT_CREATED_DATE_ON','Created: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('124','COM_CONTENT_EDIT_ITEM','Edit Article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('125','COM_CONTENT_ERROR_ARTICLE_NOT_FOUND','Article not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('126','COM_CONTENT_ERROR_LOGIN_TO_VIEW_ARTICLE','Please login to view the article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('127','COM_CONTENT_ERROR_PARENT_CATEGORY_NOT_FOUND','Parent category not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('128','COM_CONTENT_FEED_READMORE','Read More ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('129','COM_CONTENT_FIELD_FULL_DESC','Select or upload an image for the single article display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('130','COM_CONTENT_FIELD_FULL_LABEL','Full Article Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('131','COM_CONTENT_FIELD_IMAGE_ALT_DESC','Alternative text used for visitors without access to images.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('132','COM_CONTENT_FIELD_IMAGE_ALT_LABEL','Alt Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('133','COM_CONTENT_FIELD_IMAGE_CAPTION_DESC','Caption attached to the image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('134','COM_CONTENT_FIELD_IMAGE_CAPTION_LABEL','Caption','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('135','COM_CONTENT_FIELD_IMAGE_DESC','The image to be displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('136','COM_CONTENT_FIELD_INTRO_DESC','Select or upload an image for the intro text layouts such as blogs and featured.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('137','COM_CONTENT_FIELD_INTRO_LABEL','Intro Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('138','COM_CONTENT_FIELD_URL_DESC','Link for display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('139','COM_CONTENT_FIELD_URL_LINK_TEXT_DESC','Text to display for the link.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('140','COM_CONTENT_FIELD_URL_LINK_TEXT_LABEL','Link Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('141','COM_CONTENT_FIELD_URLA_LABEL','Link A','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('142','COM_CONTENT_FIELD_URLA_LINK_TEXT_LABEL','Link A Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('143','COM_CONTENT_FIELD_URLB_LABEL','Link B','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('144','COM_CONTENT_FIELD_URLB_LINK_TEXT_LABEL','Link B Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('145','COM_CONTENT_FIELD_URLC_LABEL','Link C','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('146','COM_CONTENT_FIELD_URLC_LINK_TEXT_LABEL','Link C Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('147','COM_CONTENT_FILTER_SEARCH_DESC','Content Filter Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('148','COM_CONTENT_FLOAT_DESC','Controls placement of the image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('149','COM_CONTENT_FLOAT_FULLTEXT_LABEL','Full text image float.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('150','COM_CONTENT_FLOAT_INTRO_LABEL','Intro Image float','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini');
INSERT INTO `#__overrider` VALUES 
('151','COM_CONTENT_FLOAT_LABEL','Image Float','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('152','COM_CONTENT_FORM_EDIT_ARTICLE','Edit an article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('153','COM_CONTENT_FORM_FILTER_LEGEND','Filters','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('154','COM_CONTENT_FORM_FILTER_SUBMIT','Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('155','COM_CONTENT_HEADING_TITLE','Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('156','COM_CONTENT_HITS_FILTER_LABEL','Hits Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('157','COM_CONTENT_IMAGES_AND_URLS','Images and Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('158','COM_CONTENT_INTROTEXT','Article must have some content.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('159','COM_CONTENT_INVALID_RATING','Article Rating: Invalid Rating: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('160','COM_CONTENT_LAST_UPDATED','Last Updated: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('161','COM_CONTENT_LEFT','Left','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('162','COM_CONTENT_METADATA','Metadata','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('163','COM_CONTENT_MODAL_FILTER_SEARCH_DESC','Search in title and alias. Prefix with ID: or AUTHOR: to search for an article ID or article author.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('164','COM_CONTENT_MODAL_FILTER_SEARCH_LABEL','Search Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('165','COM_CONTENT_MODIFIED_DATE','Modified Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('166','COM_CONTENT_MONTH','Month','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('167','COM_CONTENT_MORE_ARTICLES','More Articles ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('168','COM_CONTENT_NEW_ARTICLE','New Article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('169','COM_CONTENT_NO_ARTICLES','There are no articles in this category. If subcategories display on this page, they may have articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('170','COM_CONTENT_NONE','None','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('171','COM_CONTENT_NUM_ITEMS','Article Count:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('172','COM_CONTENT_NUM_ITEMS_TIP','Article Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('173','COM_CONTENT_ON_NEW_CONTENT','A new Article has been submitted by \'%1$s\' entitled \'%2$s\'.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('174','COM_CONTENT_ORDERING','Ordering:<br />New articles default to the first position in the Category. The ordering can be changed in Backend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('175','COM_CONTENT_PAGEBREAK_DOC_TITLE','Page Break','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('176','COM_CONTENT_PAGEBREAK_INSERT_BUTTON','Insert Page Break','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('177','COM_CONTENT_PAGEBREAK_TITLE','Page Title:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('178','COM_CONTENT_PAGEBREAK_TOC','Table of Contents Alias:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('179','COM_CONTENT_PARENT','Parent Category: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('180','COM_CONTENT_PUBLISHED_DATE','Published Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('181','COM_CONTENT_PUBLISHED_DATE_ON','Published: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('182','COM_CONTENT_PUBLISHING','Publishing','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('183','COM_CONTENT_RATINGS','Rating','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('184','COM_CONTENT_RATINGS_COUNT','Rating: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('185','COM_CONTENT_READ_MORE','Read more: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('186','COM_CONTENT_READ_MORE_TITLE','Read more ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('187','COM_CONTENT_REGISTER_TO_READ_MORE','Register to read more ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('188','COM_CONTENT_RIGHT','Right','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('189','COM_CONTENT_SAVE_SUCCESS','Article saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('190','COM_CONTENT_SAVE_WARNING','Alias already existed so a number was added at the end. If you want to change the alias, please contact a site administrator','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('191','COM_CONTENT_SELECT_AN_ARTICLE','Select an Article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('192','COM_CONTENT_SUBMIT_SAVE_SUCCESS','Article submitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('193','COM_CONTENT_TITLE_FILTER_LABEL','Title Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('194','COM_CONTENT_VOTES','Vote','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('195','COM_CONTENT_VOTES_COUNT','Vote: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('196','COM_CONTENT_WRITTEN_BY','Written by %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_content.ini'),
('197','COM_FINDER','Smart Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('198','COM_FINDER_ADVANCED_SEARCH_TOGGLE','Advanced Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('199','COM_FINDER_ADVANCED_TIPS','<p>Here are a few examples of how you can use the search feature:</p><p>Entering <span class="term">this and that</span> into the search form will return results with both &quot;this&quot; and &quot;that&quot;.</p><p>Entering <span class="term">this not that</span> into the search form will return results with &quot;this&quot; and not &quot;that&quot;.</p><p>Entering <span class="term">this or that</span> into the search form will return results with either &quot;this&quot; or &quot;that&quot;.</p><p>Entering <span class="term">&quot;this and that&quot;</span> (with quotes) into the search form will return results with the exact phrase &quot;this and that&quot;.</p><p>Search results can also be filtered using a variety of criteria. Select one or more filters below to get started.</p>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('200','COM_FINDER_DEFAULT_PAGE_TITLE','Search Results','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini');
INSERT INTO `#__overrider` VALUES 
('201','COM_FINDER_FILTER_BRANCH_LABEL','Search by %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('202','COM_FINDER_FILTER_DATE_BEFORE','Before','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('203','COM_FINDER_FILTER_DATE_EXACTLY','Exactly','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('204','COM_FINDER_FILTER_DATE_AFTER','After','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('205','COM_FINDER_FILTER_DATE1','Start Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('206','COM_FINDER_FILTER_DATE1_DESC','Enter a date in YYYY-MM-DD format.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('207','COM_FINDER_FILTER_DATE2','End Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('208','COM_FINDER_FILTER_DATE2_DESC','Enter a date in YYYY-MM-DD format.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('209','COM_FINDER_FILTER_SELECT_ALL_LABEL','Search All','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('210','COM_FINDER_FILTER_WHEN_AFTER','After','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('211','COM_FINDER_FILTER_WHEN_BEFORE','Before','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('212','COM_FINDER_QUERY_DATE_CONDITION_AFTER','after','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('213','COM_FINDER_QUERY_DATE_CONDITION_BEFORE','before','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('214','COM_FINDER_QUERY_DATE_CONDITION_EXACT','exactly on','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('215','COM_FINDER_QUERY_END_DATE','ending date <span class="when">%s</span> <span class="date">%s</span>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('216','COM_FINDER_QUERY_OPERATOR_AND','and','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('217','COM_FINDER_QUERY_OPERATOR_OR','or','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('218','COM_FINDER_QUERY_OPERATOR_NOT','not','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('219','COM_FINDER_QUERY_FILTER_BRANCH_VENUE','venue','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('220','COM_FINDER_QUERY_START_DATE','beginning date <span class="when">%s</span> <span class="date">%s</span>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('221','COM_FINDER_QUERY_TAXONOMY_NODE','with <span class="node">%s</span> as <span class="branch">%s</span> ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('222','COM_FINDER_QUERY_TOKEN_EXCLUDED','<span class="term">%s</span> should be excluded','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('223','COM_FINDER_QUERY_TOKEN_GLUE',', and ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('224','COM_FINDER_QUERY_TOKEN_INTERPRETED','Assuming %s, the following results were found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('225','COM_FINDER_QUERY_TOKEN_OPTIONAL','<span class="term">%s</span> is optional','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('226','COM_FINDER_QUERY_TOKEN_REQUIRED','<span class="term">%s</span> is required','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('227','COM_FINDER_SEARCH_NO_RESULTS_BODY','No search results could be found for query: %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('228','COM_FINDER_SEARCH_NO_RESULTS_BODY_MULTILANG','No search results in English (en-GB) could be found for query: %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('229','COM_FINDER_SEARCH_NO_RESULTS_HEADING','No Results Found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('230','COM_FINDER_SEARCH_RESULTS_OF','Results <strong>%s</strong> - <strong>%s</strong> of <strong>%s</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('231','COM_FINDER_SEARCH_SIMILAR','Did you mean: %s?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('232','COM_FINDER_SEARCH_TERMS','Search Terms:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_finder.ini'),
('233','COM_MAILTO','Mailto','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('234','COM_MAILTO_CANCEL','Cancel','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('235','COM_MAILTO_CLOSE_WINDOW','Close Window','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('236','COM_MAILTO_EMAIL_ERR_NOINFO','Please provide a valid email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('237','COM_MAILTO_EMAIL_INVALID','The address \'%s\' does not appear to be a valid email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('238','COM_MAILTO_EMAIL_MSG','This is an email from (%s) sent by %s (%s). You may also find the following link interesting: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('239','COM_MAILTO_EMAIL_NOT_SENT','Email could not be sent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('240','COM_MAILTO_EMAIL_SENT','Email was sent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('241','COM_MAILTO_EMAIL_TO','Email to','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('242','COM_MAILTO_EMAIL_TO_A_FRIEND','Email this link to a friend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('243','COM_MAILTO_LINK_IS_MISSING','Link is missing','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('244','COM_MAILTO_SEND','Send','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('245','COM_MAILTO_SENDER','Sender','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('246','COM_MAILTO_SENT_BY','Item sent by %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('247','COM_MAILTO_SUBJECT','Subject','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('248','COM_MAILTO_YOUR_EMAIL','Your Email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_mailto.ini'),
('249','COM_MEDIA_ALIGN','Image Float','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('250','COM_MEDIA_ALIGN_DESC','This will apply the classes \'pull-left\', \'pull-center\' or \'pull-right\' to the \'<figure>\' or \'<img>\' element.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini');
INSERT INTO `#__overrider` VALUES 
('251','COM_MEDIA_BROWSE_FILES','Browse Files','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('252','COM_MEDIA_CAPTION','Caption','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('253','COM_MEDIA_CAPTION_CLASS_LABEL','Caption Class','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('254','COM_MEDIA_CAPTION_CLASS_DESC','This will apply the entered class to the \'<figcaption>\' element. For example: \'text-left\', \'text-right\', \'text-center\'.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('255','COM_MEDIA_CLEAR_LIST','Clear List','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('256','COM_MEDIA_CONFIGURATION','Media: Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('257','COM_MEDIA_CREATE_FOLDER','Create Folder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('258','COM_MEDIA_CURRENT_PROGRESS','Current progress','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('259','COM_MEDIA_DESCFTP','To upload, change and delete media files, Joomla! will most likely need your FTP account details. Please enter them in the form fields below.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('260','COM_MEDIA_DESCFTPTITLE','FTP Login Details','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('261','COM_MEDIA_DETAIL_VIEW','Detail View','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('262','COM_MEDIA_DIRECTORY','Folder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('263','COM_MEDIA_DIRECTORY_UP','Folder Up','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('264','COM_MEDIA_ERROR_BAD_REQUEST','Bad Request','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('265','COM_MEDIA_ERROR_FILE_EXISTS','File already exists.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('266','COM_MEDIA_ERROR_UNABLE_TO_CREATE_FOLDER_WARNDIRNAME','Unable to create folder. Folder name must only have alphanumeric characters and no spaces.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('267','COM_MEDIA_ERROR_UNABLE_TO_BROWSE_FOLDER_WARNDIRNAME','Unable to browse:&#160;%s. Folder name must only have alphanumeric characters and no spaces.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('268','COM_MEDIA_ERROR_UNABLE_TO_DELETE',' Unable to delete:&#160;','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('269','COM_MEDIA_ERROR_UNABLE_TO_DELETE_FILE_WARNFILENAME','Unable to delete:&#160;%s. File name must only have alphanumeric characters and no spaces.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('270','COM_MEDIA_ERROR_UNABLE_TO_DELETE_FOLDER_NOT_EMPTY','Unable to delete:&#160;%s. Folder is not empty!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('271','COM_MEDIA_ERROR_UNABLE_TO_DELETE_FOLDER_WARNDIRNAME','Unable to delete:&#160;%s. Folder name must only have alphanumeric characters and no spaces.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('272','COM_MEDIA_ERROR_UNABLE_TO_UPLOAD_FILE','Unable to upload file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('273','COM_MEDIA_ERROR_WARNFILETOOLARGE','This file is too large to upload.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('274','COM_MEDIA_ERROR_WARNUPLOADTOOLARGE','Total size of upload exceeds the limit.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('275','COM_MEDIA_FIELD_CHECK_MIME_DESC','Use MIME Magic or Fileinfo to try to verify files. Try disabling this if you get invalid mime type errors.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('276','COM_MEDIA_FIELD_CHECK_MIME_LABEL','Check MIME Types','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('277','COM_MEDIA_FIELD_IGNORED_EXTENSIONS_DESC','Ignored file extensions for MIME type checking and restricted uploads.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('278','COM_MEDIA_FIELD_IGNORED_EXTENSIONS_LABEL','Ignored Extensions','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('279','COM_MEDIA_FIELD_ILLEGAL_MIME_TYPES_DESC','A comma separated list of illegal MIME types to upload (blacklist).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('280','COM_MEDIA_FIELD_ILLEGAL_MIME_TYPES_LABEL','Illegal MIME Types','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('281','COM_MEDIA_FIELD_LEGAL_EXTENSIONS_DESC',' Extensions (file types) you are allowed to upload (comma separated).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('282','COM_MEDIA_FIELD_LEGAL_EXTENSIONS_LABEL','Legal Extensions (File Types)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('283','COM_MEDIA_FIELD_LEGAL_IMAGE_EXTENSIONS_DESC',' Image extensions (file types) you are allowed to upload (comma separated). These are used to check for valid image headers.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('284','COM_MEDIA_FIELD_LEGAL_IMAGE_EXTENSIONS_LABEL','Legal Image Extensions (File Types)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('285','COM_MEDIA_FIELD_LEGAL_MIME_TYPES_DESC','A comma separated list of legal MIME types to upload.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('286','COM_MEDIA_FIELD_LEGAL_MIME_TYPES_LABEL','Legal MIME Types','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('287','COM_MEDIA_FIELD_MAXIMUM_SIZE_DESC','The maximum size for an upload (in megabytes). Use zero for no limit. Note: your server has a maximum limit.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('288','COM_MEDIA_FIELD_MAXIMUM_SIZE_LABEL','Maximum Size (in MB)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('289','COM_MEDIA_FIELD_PATH_FILE_FOLDER_DESC','Enter the path to the file folder relative to root.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('290','COM_MEDIA_FIELD_PATH_FILE_FOLDER_LABEL','Path to File Folder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('291','COM_MEDIA_FIELD_PATH_IMAGE_FOLDER_DESC','Enter the path to the image folder relative to root.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('292','COM_MEDIA_FIELD_PATH_IMAGE_FOLDER_LABEL','Path to Image Folder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('293','COM_MEDIA_FIELD_RESTRICT_UPLOADS_DESC','Restrict uploads for lower than manager users to images if Fileinfo or MIME Magic isn\'t installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('294','COM_MEDIA_FIELD_RESTRICT_UPLOADS_LABEL','Restrict Uploads','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('295','COM_MEDIA_FILES','Files','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('296','COM_MEDIA_FILESIZE','File size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('297','COM_MEDIA_FOLDER','Folder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('298','COM_MEDIA_FOLDERS','Folders','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('299','COM_MEDIA_IMAGE_DESCRIPTION','Image Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('300','COM_MEDIA_IMAGE_URL','Image URL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini');
INSERT INTO `#__overrider` VALUES 
('301','COM_MEDIA_INSERT','Insert','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('302','COM_MEDIA_INSERT_IMAGE','Insert Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('303','COM_MEDIA_MAXIMUM_SIZE','Maximum Size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('304','COM_MEDIA_MEDIA','Media','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('305','COM_MEDIA_NAME','Image Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('306','COM_MEDIA_NO_IMAGES_FOUND','No Images Found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('307','COM_MEDIA_NOT_SET','Not Set','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('308','COM_MEDIA_OVERALL_PROGRESS','Overall Progress','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('309','COM_MEDIA_PIXEL_DIMENSIONS','Pixel Dimensions (w x h)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('310','COM_MEDIA_START_UPLOAD','Start Upload','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('311','COM_MEDIA_THUMBNAIL_VIEW','Thumbnail View','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('312','COM_MEDIA_TITLE','Image Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('313','COM_MEDIA_UP','Up','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('314','COM_MEDIA_UPLOAD','Upload','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('315','COM_MEDIA_UPLOAD_FILES','Upload files (Maximum Size: %s MB)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('316','COM_MEDIA_UPLOAD_FILES_NOLIMIT','Upload files (No maximum size)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('317','COM_MEDIA_UPLOAD_COMPLETE','Upload Complete','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('318','COM_MEDIA_UPLOAD_FILE','Upload file','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('319','COM_MEDIA_UPLOAD_SUCCESSFUL','Upload Successful','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_media.ini'),
('320','COM_MESSAGES_ERR_SEND_FAILED','The user has locked their mailbox. Message failed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_messages.ini'),
('321','COM_MESSAGES_NEW_MESSAGE','New Message from %1$s at %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_messages.ini'),
('322','COM_MESSAGES_NEW_MESSAGE_ARRIVED','A new private message has arrived from %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_messages.ini'),
('323','COM_MESSAGES_PLEASE_LOGIN','Please log in to %s to read your message.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_messages.ini'),
('324','COM_NEWSFEEDS_CACHE_DIRECTORY_UNWRITABLE','The cache folder is unwritable. The news feed can\'t be displayed. Please contact a site administrator.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('325','COM_NEWSFEEDS_CAT_NUM','# of News feeds :','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('326','COM_NEWSFEEDS_CONTENT_TYPE_NEWSFEED','News Feed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('327','COM_NEWSFEEDS_CONTENT_TYPE_CATEGORY','News Feed Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('328','COM_NEWSFEEDS_DEFAULT_PAGE_TITLE','News Feeds','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('329','COM_NEWSFEEDS_ERROR_FEED_NOT_FOUND','Error. Feed not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('330','COM_NEWSFEEDS_ERRORS_FEED_NOT_RETRIEVED','Error. Feed could not be retrieved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('331','COM_NEWSFEEDS_FEED_LINK','Feed Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('332','COM_NEWSFEEDS_FEED_NAME','Feed Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('333','COM_NEWSFEEDS_FILTER_LABEL','Filter Field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('334','COM_NEWSFEEDS_FILTER_SEARCH_DESC','News Feed Filter Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('335','COM_NEWSFEEDS_NO_ARTICLES','No Articles for this News Feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('336','COM_NEWSFEEDS_NUM_ARTICLES','# Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('337','COM_NEWSFEEDS_NUM_ARTICLES_COUNT','# Articles: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('338','COM_NEWSFEEDS_NUM_ITEMS','# News feeds','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_newsfeeds.ini'),
('339','COM_RSFIREWALL_403_FORBIDDEN','403: Access Forbidden','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('340','COM_RSFIREWALL_YOUR_COUNTRY_HAS_BEEN_BLACKLISTED','Your location (%s) has been blacklisted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('341','COM_RSFIREWALL_ACCESS_TO_INSTALLER_DISABLED','Access to the Joomla! installer is disabled.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('342','COM_RSFIREWALL_MALWARE_DETECTED','Malware detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('343','COM_RSFIREWALL_REFERER_BLOCKED','Referer blocked.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('344','COM_RSFIREWALL_EVENT_LFI_ATTEMPTED','Local file inclusion attempted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('345','COM_RSFIREWALL_EVENT_RFI_ATTEMPTED','Remote file inclusion attempted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('346','COM_RSFIREWALL_EVENT_NULLCODE_IN_URI','Nullcode in URI.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('347','COM_RSFIREWALL_EVENT_SQLI_ATTEMPTED','SQL injection attempted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('348','COM_RSFIREWALL_EVENT_XSS_ATTEMPTED','XSS attempted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('349','COM_RSFIREWALL_EVENT_UPLOAD_MULTIPLE_EXTS_ERROR','There was an attempt to upload a file with multiple extensions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('350','COM_RSFIREWALL_EVENT_UPLOAD_EXTENSION_ERROR','There was an attempt to upload a blacklisted extension.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini');
INSERT INTO `#__overrider` VALUES 
('351','COM_RSFIREWALL_EVENT_UPLOAD_SHELL','There was an attempt to upload a malware script.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('352','COM_RSFIREWALL_EVENT_BACKEND_LOGIN_ERROR','There was an attempt to access the backend by supplying an incorrect password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('353','COM_RSFIREWALL_EVENT_BACKEND_LOGIN_OK','The backend has been accessed by using a correct password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('354','COM_RSFIREWALL_EVENT_CORE_FILES_MODIFIED','A core Joomla! file has been modified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('355','COM_RSFIREWALL_EVENT_PROTECTED_FILES_MODIFIED','A protected file has been modified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('356','COM_RSFIREWALL_EVENT_BACKEND_LOGIN_ATTEMPT_KNOWN','There was an unsuccessful attempt to login into the backend section of your website using a known username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('357','COM_RSFIREWALL_EVENT_BACKEND_LOGIN_ATTEMPT_UNKNOWN','There was an unsuccessful attempt to login into the backend section of your website using an unknown username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('358','COM_RSFIREWALL_EVENT_GEOIP_BLOCKED','GeoIP blocked.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('359','COM_RSFIREWALL_EVENT_EMPTY_USER_AGENT','Empty user agent detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('360','COM_RSFIREWALL_EVENT_PERL_USER_AGENT','&laquo;perl&raquo; user agent detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('361','COM_RSFIREWALL_EVENT_CURL_USER_AGENT','&laquo;cURL&raquo; user agent detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('362','COM_RSFIREWALL_EVENT_JAVA_USER_AGENT','&laquo;Java&raquo; user agent detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('363','COM_RSFIREWALL_EVENT_MOZILLA_USER_AGENT','&laquo;Mozilla impersonator&raquo; user agent detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('364','COM_RSFIREWALL_EVENT_DANGEROUS_USER_AGENT','Dangerous user agent detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('365','COM_RSFIREWALL_EVENT_SESSION_INJECTION_ATTEMPT','Session injection attempted and blocked.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('366','COM_RSFIREWALL_EVENT_UNAUTHORIZED_USER_REGISTRATION_ATTEMPT','Unauthorized user registration attempted and blocked.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('367','COM_RSFIREWALL_EVENT_IP_BLOCKED','IP blocked.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('368','COM_RSFIREWALL_EVENT_DNSBL_LISTED','This IP is listed in a spam database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('369','COM_RSFIREWALL_EVENT_PROTECTED_USER_CHANGE_ATTEMPT','There was an attempt to change a protected user.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('370','COM_RSFIREWALL_DNSBL_LISTED','This form has not been submitted because your IP is listed in a spam database. If you feel this is an error, please contact the webmaster.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('371','COM_RSFIREWALL_EVENT_NEW_ADMINS_CREATED','There was an attempt to create users with administrative privileges.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('372','COM_RSFIREWALL_EVENT_REFERER_BLOCKED','Referer blocked.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('373','COM_RSFIREWALL_URI','URI: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('374','COM_RSFIREWALL_MATCH','Match: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('375','COM_RSFIREWALL_EVENT_BACKEND_LOGIN_ATTEMPT_USERNAME_DETAILS','Username requested: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('376','COM_RSFIREWALL_EVENT_BACKEND_LOGIN_ATTEMPT_PASSWORD_DETAILS','Password requested: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('377','COM_RSFIREWALL_COUNTRY_CODE','Country code: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('378','COM_RSFIREWALL_USER_AGENT','User agent: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('379','COM_RSFIREWALL_MISSING_USER','Missing user \'%s\' from db. Re-added.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('380','COM_RSFIREWALL_MODIFIED_DATA','User \'%s\' change attempt: column \'%s\' value attempted to change from \'%s\' to \'%s\'. Prevented.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('381','COM_RSFIREWALL_AUTOBANNED_REPEAT_OFFENDER','Repeat offender (Autobanned)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('382','COM_RSFIREWALL_AUTOBANNED_TOO_MANY_LOGIN_ATTEMPTS','Too many login attempts (Autobanned)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('383','COM_RSFIREWALL_PLEASE_LOGIN_TO_CONTINUE','Please login to continue.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('384','COM_RSFIREWALL_PROTECTED_AREA','Protected Area','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('385','COM_RSFIREWALL_PASSWORD','Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('386','COM_RSFIREWALL_LOGIN','Access','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('387','COM_RSFIREWALL_ERROR','Error','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('388','COM_RSFIREWALL_PASSWORD_INCORRECT','The password you have entered is not correct.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('389','COM_RSFIREWALL_FRONTEND_MESSAGE','RSFirewall! is only an administration component - it doesn\'t have a front-end page.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('390','COM_RSFIREWALL_PLEASE_ENTER_THE_IMAGE_CODE','Please enter the code in the image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('391','COM_RSFIREWALL_CAPTCHA_CODE_NOT_CORRECT','The code you\'ve entered did not match the one in the image!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('392','COM_RSFIREWALL_PASSWORD_INFO','Use at least 6 characters, uppercase and lowercase letter, numbers and at least one special character.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('393','COM_RSFIREWALL_PLEASE_TYPE_PASSWORD','Please type the password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('394','COM_RSFIREWALL_PASSWORD_MORE_CHARACTERS','More characters (at least 6).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('395','COM_RSFIREWALL_PASSWORD_WEAK','Weak','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('396','COM_RSFIREWALL_PASSWORD_MEDIUM','Medium','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('397','COM_RSFIREWALL_PASSWORD_STRONG','Strong','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_rsfirewall.ini'),
('398','COM_SEARCH_ALL_WORDS','All words','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('399','COM_SEARCH_ALPHABETICAL','Alphabetical','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('400','COM_SEARCH_ANY_WORDS','Any words','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini');
INSERT INTO `#__overrider` VALUES 
('401','COM_SEARCH_ERROR_ENTERKEYWORD','Enter a search keyword','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('402','COM_SEARCH_ERROR_IGNOREKEYWORD','One or more common words were ignored in the search.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('403','COM_SEARCH_ERROR_SEARCH_MESSAGE','Search term must be a minimum of %1$s characters and a maximum of %2$s characters.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('404','COM_SEARCH_EXACT_PHRASE','Exact Phrase','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('405','COM_SEARCH_FIELD_SEARCH_PHRASES_DESC','Show the search options.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('406','COM_SEARCH_FIELD_SEARCH_PHRASES_LABEL','Use Search Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('407','COM_SEARCH_FIELD_SEARCH_AREAS_DESC','Show the search areas checkboxes.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('408','COM_SEARCH_FIELD_SEARCH_AREAS_LABEL','Use Search Areas','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('409','COM_SEARCH_FOR','Search for:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('410','COM_SEARCH_MOST_POPULAR','Most Popular','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('411','COM_SEARCH_NEWEST_FIRST','Newest First','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('412','COM_SEARCH_OLDEST_FIRST','Oldest First','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('413','COM_SEARCH_ORDERING','Ordering:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('414','COM_SEARCH_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('415','COM_SEARCH_SEARCH_AGAIN','Search Again','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('416','COM_SEARCH_SEARCH_KEYWORD','Search Keyword:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('417','COM_SEARCH_SEARCH_KEYWORD_N_RESULTS_1','<strong>Total: One result found.</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('418','COM_SEARCH_SEARCH_KEYWORD_N_RESULTS','<strong>Total: %s results found.</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('419','COM_SEARCH_SEARCH_ONLY','Search Only:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('420','COM_SEARCH_SEARCH_RESULT','Search Result','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_search.ini'),
('421','COM_TAGS_CREATED_DATE','Created Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('422','COM_TAGS_DEFAULT_PAGE_TITLE','Tags','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('423','COM_TAGS_FILTER_SEARCH_DESC','Enter all or part of the title to search for.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('424','COM_TAGS_MODIFIED_DATE','Modified Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('425','COM_TAGS_NO_ITEMS','No matching items were found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('426','COM_TAGS_NO_TAGS','There are no tags.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('427','COM_TAGS_PUBLISHED_DATE','Published Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('428','COM_TAGS_TAG_NOT_FOUND','Tag not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('429','COM_TAGS_TITLE_FILTER_LABEL','Enter Part of Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_tags.ini'),
('430','COM_USERS_ACTIVATION_TOKEN_NOT_FOUND','Verification code not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('431','COM_USERS_CAPTCHA_LABEL','Captcha','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('432','COM_USERS_CAPTCHA_DESC','Please complete the security check.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('433','COM_USERS_DATABASE_ERROR','Error getting the user from the database: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('434','COM_USERS_DESIRED_PASSWORD','Enter your desired password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('435','COM_USERS_DESIRED_USERNAME','Enter your desired username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('436','COM_USERS_EDIT_PROFILE','Edit Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('437','COM_USERS_EMAIL_ACCOUNT_DETAILS','Account Details for %s at %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('438','COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_BODY','Hello administrator,\\n\\nA new user has registered at %s.\\nThe user has verified their email address and requests that you approve their account.\\nThis email has their details:\\n\\n  Name :  %s \\n  email:  %s \\n Username:  %s \\n\\nYou can activate the user by selecting on the link below:\\n %s \\n','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('439','COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_SUBJECT','Registration approval required for account of %s at %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('440','COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_BODY','Hello %s,\\n\\nYour account has been activated by an administrator. You can now login at %s using the username %s and the password you chose while registering.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('441','COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_SUBJECT','Account activated for %s at %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('442','COM_USERS_EMAIL_PASSWORD_RESET_BODY','Hello,\\n\\nA request has been made to reset your %s account password. To reset your password, you will need to submit this verification code to verify that the request was legitimate.\\n\\nThe verification code is %s\\n\\nSelect the URL below and proceed with resetting your password.\\n\\n %s \\n\\nThank you.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('443','COM_USERS_EMAIL_PASSWORD_RESET_SUBJECT','Your %s password reset request','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('444','COM_USERS_EMAIL_REGISTERED_BODY','Hello %s,\\n\\nThank you for registering at %s.\\n\\nYou may now log in to %s using the following username and password:\\n\\nUsername: %s\\nPassword: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('445','COM_USERS_EMAIL_REGISTERED_BODY_NOPW','Hello %s,\\n\\nThank you for registering at %s.\\n\\nYou may now log in to %s using the username and password you registered with.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('446','COM_USERS_EMAIL_REGISTERED_NOTIFICATION_TO_ADMIN_BODY','Hello administrator, \\n\\nA new user \'%s\', username \'%s\', has registered at %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('447','COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be activated before you can use it.\\nTo activate the account select the following link or copy-paste it in your browser:\\n%s \\n\\nAfter activation you may login to %s using the following username and password:\\n\\nUsername: %s\\nPassword: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('448','COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY_NOPW','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be activated before you can use it.\\nTo activate the account select the following link or copy-paste it in your browser:\\n%s \\n\\nAfter activation you may login to %s using the following username and the password you entered during registration:\\n\\nUsername: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('449','COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be verified before you can use it.\\nTo verify the account select the following link or copy-paste it in your browser:\\n %s \\n\\nAfter verification an administrator will be notified to activate your account. You\'ll receive a confirmation when it\'s done.\\nOnce that account has been activated you may login to %s using the following username and password:\\n\\nUsername: %s\\nPassword: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('450','COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY_NOPW','Hello %s,\\n\\nThank you for registering at %s. Your account is created and must be verified before you can use it.\\nTo verify the account select the following link or copy-paste it in your browser:\\n %s \\n\\nAfter verification an administrator will be notified to activate your account. You\'ll receive a confirmation when it\'s done.\\nOnce that account has been activated you may login to %s using the following username and the password you entered during registration:\\n\\nUsername: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini');
INSERT INTO `#__overrider` VALUES 
('451','COM_USERS_EMAIL_USERNAME_REMINDER_BODY','Hello,\\n\\nA username reminder has been requested for your %s account.\\n\\nYour username is %s.\\n\\nTo login to your account, select the link below.\\n\\n%s \\n\\nThank you.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('452','COM_USERS_EMAIL_USERNAME_REMINDER_SUBJECT','Your %s username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('453','COM_USERS_ERROR_SECRET_CODE_WITHOUT_TFA','You have entered a Secret Code but two factor authentication is not enabled in your user account. If you want to use a secret code to secure your login please edit your user profile and enable two factor authentication.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('454','COM_USERS_FIELD_PASSWORD_RESET_DESC','Please enter the email address associated with your User account.<br />A verification code will be sent to you. Once you have received the verification code, you will be able to choose a new password for your account.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('455','COM_USERS_FIELD_PASSWORD_RESET_LABEL','Email Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('456','COM_USERS_FIELD_REMIND_EMAIL_DESC','Please enter the email address associated with your User account.<br />Your username will be emailed to the email address on file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('457','COM_USERS_FIELD_REMIND_EMAIL_LABEL','Email Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('458','COM_USERS_FIELD_RESET_CONFIRM_TOKEN_DESC','Enter the password reset verification code you received by email.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('459','COM_USERS_FIELD_RESET_CONFIRM_TOKEN_LABEL','Verification Code','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('460','COM_USERS_FIELD_RESET_CONFIRM_USERNAME_DESC','Enter your username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('461','COM_USERS_FIELD_RESET_CONFIRM_USERNAME_LABEL','Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('462','COM_USERS_FIELD_RESET_PASSWORD1_DESC','Enter your new password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('463','COM_USERS_FIELD_RESET_PASSWORD1_LABEL','Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('464','COM_USERS_FIELD_RESET_PASSWORD1_MESSAGE','The passwords you entered do not match. Please enter your desired password in the password field and confirm your entry by entering it in the confirm password field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('465','COM_USERS_FIELD_RESET_PASSWORD2_DESC','Confirm your new password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('466','COM_USERS_FIELD_RESET_PASSWORD2_LABEL','Confirm Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('467','COM_USERS_INVALID_EMAIL','Invalid email address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('468','COM_USERS_LOGIN_IMAGE_ALT','Login image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('469','COM_USERS_LOGIN_REGISTER','Don\'t have an account?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('470','COM_USERS_LOGIN_REMEMBER_ME','Remember me','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('471','COM_USERS_LOGIN_REMIND','Forgot your username?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('472','COM_USERS_LOGIN_RESET','Forgot your password?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('473','COM_USERS_LOGIN_USERNAME_LABEL','Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('474','COM_USERS_MAIL_FAILED','Failed sending email.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('475','COM_USERS_MAIL_SEND_FAILURE_BODY','An error was encountered when sending the user registration email. The error is: %s The user who tried to register is: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('476','COM_USERS_MAIL_SEND_FAILURE_SUBJECT','Error sending email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('477','COM_USERS_MSG_NOT_ENOUGH_INTEGERS_N','Password does not have enough digits. At least %s digits are required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('478','COM_USERS_MSG_NOT_ENOUGH_INTEGERS_N_1','Password does not have enough digits. At least 1 digit is required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('479','COM_USERS_MSG_NOT_ENOUGH_SYMBOLS_N','Password does not have enough symbols. At least %s symbols are required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('480','COM_USERS_MSG_NOT_ENOUGH_SYMBOLS_N_1','Password does not have enough symbols. At least 1 symbol is required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('481','COM_USERS_MSG_NOT_ENOUGH_UPPERCASE_LETTERS_N','Password does not have enough uppercase characters. At least %s upper case characters are required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('482','COM_USERS_MSG_NOT_ENOUGH_UPPERCASE_LETTERS_N_1','Password does not have enough uppercase characters. At least 1 upper case character is required.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('483','COM_USERS_MSG_PASSWORD_TOO_LONG','Password is too long. Passwords must be less than 100 characters.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('484','COM_USERS_MSG_PASSWORD_TOO_SHORT_N','Password is too short. Passwords must have at least %s characters.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('485','COM_USERS_MSG_SPACES_IN_PASSWORD','Password must not have spaces.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('486','COM_USERS_OPTIONAL','(optional)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('487','COM_USERS_OR','or','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('488','COM_USERS_PROFILE','User Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('489','COM_USERS_PROFILE_BIND_FAILED','Could not bind profile data: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('490','COM_USERS_PROFILE_CORE_LEGEND','Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('491','COM_USERS_PROFILE_CUSTOM_LEGEND','Custom Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('492','COM_USERS_PROFILE_DEFAULT_LABEL','Edit Your Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('493','COM_USERS_PROFILE_EMAIL1_DESC','Enter your email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('494','COM_USERS_PROFILE_EMAIL1_LABEL','Email Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('495','COM_USERS_PROFILE_EMAIL1_MESSAGE','The email address you entered is already in use or invalid. Please enter another email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('496','COM_USERS_PROFILE_EMAIL2_DESC','Confirm your email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('497','COM_USERS_PROFILE_EMAIL2_LABEL','Confirm Email Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('498','COM_USERS_PROFILE_EMAIL2_MESSAGE','The email addresses you entered do not match. Please enter your email address in the email address field and confirm your entry by entering it in the confirm email address field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('499','COM_USERS_PROFILE_LAST_VISITED_DATE_LABEL','Last Visited Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('500','COM_USERS_PROFILE_MY_PROFILE','My Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini');
INSERT INTO `#__overrider` VALUES 
('501','COM_USERS_PROFILE_NAME_DESC','Enter your full name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('502','COM_USERS_PROFILE_NAME_LABEL','Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('503','COM_USERS_PROFILE_NEVER_VISITED','This is the first time you visit this site','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('504','COM_USERS_PROFILE_NOCHANGE_USERNAME_DESC','If you want to change your username, please contact a site administrator.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('505','COM_USERS_PROFILE_OTEPS','One time emergency passwords','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('506','COM_USERS_PROFILE_OTEPS_DESC','If you do not have access to your two factor authentication device you can use any of the following passwords instead of a regular security code. Each one of these emergency passwords is immediately destroyed upon use. We recommend printing these passwords out and keeping the printout in a safe and accessible location, eg your wallet or a safety deposit box.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('507','COM_USERS_PROFILE_OTEPS_WAIT_DESC','There are no emergency one time passwords generated in your account. The passwords will be generated automatically and displayed here as soon as you activate two factor authentication.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('508','COM_USERS_PROFILE_PASSWORD1_LABEL','Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('509','COM_USERS_PROFILE_PASSWORD1_MESSAGE','The passwords you entered do not match. Please enter your desired password in the password field and confirm your entry by entering it in the confirm password field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('510','COM_USERS_PROFILE_PASSWORD2_DESC','Confirm your password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('511','COM_USERS_PROFILE_PASSWORD2_LABEL','Confirm Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('512','COM_USERS_PROFILE_REGISTERED_DATE_LABEL','Registered Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('513','COM_USERS_PROFILE_SAVE_FAILED','Profile could not be saved: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('514','COM_USERS_PROFILE_SAVE_SUCCESS','Profile saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('515','COM_USERS_PROFILE_TWO_FACTOR_AUTH','Two Factor Authentication','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('516','COM_USERS_PROFILE_TWOFACTOR_LABEL','Authentication Method','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('517','COM_USERS_PROFILE_TWOFACTOR_DESC','Which two factor authentication method you want to activate on the user account.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('518','COM_USERS_PROFILE_USERNAME_DESC','Enter your desired username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('519','COM_USERS_PROFILE_USERNAME_LABEL','Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('520','COM_USERS_PROFILE_USERNAME_MESSAGE','The username you entered is not available. Please pick another username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('521','COM_USERS_PROFILE_VALUE_NOT_FOUND','No Information Entered','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('522','COM_USERS_PROFILE_WELCOME','Welcome, %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('523','COM_USERS_REGISTER_DEFAULT_LABEL','Create An Account','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('524','COM_USERS_REGISTER_EMAIL1_DESC','Enter your email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('525','COM_USERS_REGISTER_EMAIL1_LABEL','Email Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('526','COM_USERS_REGISTER_EMAIL1_MESSAGE','The email address you entered is already in use or invalid. Please enter another email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('527','COM_USERS_REGISTER_EMAIL2_DESC','Confirm your email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('528','COM_USERS_REGISTER_EMAIL2_LABEL','Confirm Email Address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('529','COM_USERS_REGISTER_EMAIL2_MESSAGE','The email addresses you entered do not match. Please enter your email address in the email address field and confirm your entry by entering it in the confirm email address field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('530','COM_USERS_REGISTER_NAME_DESC','Enter your full name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('531','COM_USERS_REGISTER_NAME_LABEL','Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('532','COM_USERS_REGISTER_PASSWORD1_LABEL','Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('533','COM_USERS_REGISTER_PASSWORD1_MESSAGE','The passwords you entered do not match. Please enter your desired password in the password field and confirm your entry by entering it in the confirm password field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('534','COM_USERS_REGISTER_PASSWORD2_DESC','Confirm your password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('535','COM_USERS_REGISTER_PASSWORD2_LABEL','Confirm Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('536','COM_USERS_REGISTER_REQUIRED','<strong class="red">*</strong> Required field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('537','COM_USERS_REGISTER_USERNAME_DESC','Enter your desired username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('538','COM_USERS_REGISTER_USERNAME_LABEL','Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('539','COM_USERS_REGISTER_USERNAME_MESSAGE','The username you entered is not available. Please pick another username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('540','COM_USERS_REGISTRATION','User Registration','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('541','COM_USERS_REGISTRATION_ACTIVATE_SUCCESS','Your Account has been activated. You can now log in using the username and password you chose during the registration.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('542','COM_USERS_REGISTRATION_ACTIVATION_NOTIFY_SEND_MAIL_FAILED','An error was encountered while sending activation notification email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('543','COM_USERS_REGISTRATION_ACTIVATION_SAVE_FAILED','Failed to save activation data: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('544','COM_USERS_REGISTRATION_ADMINACTIVATE_SUCCESS','The user\'s account has been activated and the user has been notified about it.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('545','COM_USERS_REGISTRATION_BIND_FAILED','Failed to bind registration data: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('546','COM_USERS_REGISTRATION_COMPLETE_ACTIVATE','Your account has been created and an activation link has been sent to the email address you entered. Note that you must activate the account by selecting the activation link when you get the email before you can login.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('547','COM_USERS_REGISTRATION_COMPLETE_VERIFY','Your account has been created and a verification link has been sent to the email address you entered. Note that you must verify the account by selecting the verification link when you get the email and then an administrator will activate your account before you can login.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('548','COM_USERS_REGISTRATION_DEFAULT_LABEL','User Registration','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('549','COM_USERS_REGISTRATION_SAVE_FAILED','Registration failed: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('550','COM_USERS_REGISTRATION_SAVE_SUCCESS','Thank you for registering. You may now log in using the username and password you registered with.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini');
INSERT INTO `#__overrider` VALUES 
('551','COM_USERS_REGISTRATION_SEND_MAIL_FAILED','An error was encountered while sending the registration email. A message has been sent to the administrator of this site.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('552','COM_USERS_REGISTRATION_VERIFY_SUCCESS','Your email address has been verified. Once an administrator approves your account you will be notified by email and you can login to the site.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('553','COM_USERS_REMIND','Reminder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('554','COM_USERS_REMIND_DEFAULT_LABEL','Please enter the email address associated with your User account. Your username will be emailed to the email address on file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('555','COM_USERS_REMIND_EMAIL_LABEL','Your Email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('556','COM_USERS_REMIND_LIMIT_ERROR_N_HOURS','You have exceeded the maximum number of password resets allowed. Please try again in %s hours.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('557','COM_USERS_REMIND_LIMIT_ERROR_N_HOURS_1','You have exceeded the maximum number of password resets allowed. Please try again in one hour.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('558','COM_USERS_REMIND_REQUEST_ERROR','Error requesting password reminder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('559','COM_USERS_REMIND_REQUEST_FAILED','Reminder failed: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('560','COM_USERS_REMIND_REQUEST_SUCCESS','Reminder sent. Please check your mail.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('561','COM_USERS_REMIND_SUPERADMIN_ERROR','A Super User can\'t request a password reminder. Please contact another Super User or use an alternative method.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('562','COM_USERS_RESET','Password Reset','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('563','COM_USERS_RESET_COMPLETE_ERROR','Error completing password reset.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('564','COM_USERS_RESET_COMPLETE_FAILED','Completing reset password failed: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('565','COM_USERS_RESET_COMPLETE_LABEL','To complete the password reset process, please enter a new password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('566','COM_USERS_RESET_COMPLETE_SUCCESS','Reset password successful. You may now login to the site.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('567','COM_USERS_RESET_CONFIRM_ERROR','Error while confirming the password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('568','COM_USERS_RESET_CONFIRM_FAILED','Your password reset confirmation failed because the verification code was invalid. %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('569','COM_USERS_RESET_CONFIRM_LABEL','An email has been sent to your email address. The email has a verification code, please paste the verification code in the field below to prove that you are the owner of this account.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('570','COM_USERS_RESET_COMPLETE_TOKENS_MISSING','Your password reset confirmation failed because the verification code was missing.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('571','COM_USERS_RESET_REQUEST_ERROR','Error requesting password reset.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('572','COM_USERS_RESET_REQUEST_FAILED','Reset password failed: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('573','COM_USERS_RESET_REQUEST_LABEL','Please enter the email address for your account. A verification code will be sent to you. Once you have received the verification code, you will be able to choose a new password for your account.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('574','COM_USERS_SETTINGS_FIELDSET_LABEL','Basic Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('575','COM_USERS_USER_BLOCKED','This user is blocked. If this is an error, please contact an administrator.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('576','COM_USERS_USER_FIELD_BACKEND_LANGUAGE_DESC','Choose your default language for the Backend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('577','COM_USERS_USER_FIELD_BACKEND_LANGUAGE_LABEL','Backend Language','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('578','COM_USERS_USER_FIELD_BACKEND_TEMPLATE_DESC','Select the template style for the Administrator Backend interface. This will only affect this User.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('579','COM_USERS_USER_FIELD_BACKEND_TEMPLATE_LABEL','Backend Template Style','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('580','COM_USERS_USER_FIELD_EDITOR_DESC','Choose your text editor.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('581','COM_USERS_USER_FIELD_EDITOR_LABEL','Editor','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('582','COM_USERS_USER_FIELD_FRONTEND_LANGUAGE_DESC','Choose your default language for the Frontend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('583','COM_USERS_USER_FIELD_FRONTEND_LANGUAGE_LABEL','Frontend Language','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('584','COM_USERS_USER_FIELD_HELPSITE_DESC','Help site for the Backend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('585','COM_USERS_USER_FIELD_HELPSITE_LABEL','Help Site','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('586','COM_USERS_USER_FIELD_TIMEZONE_DESC','Choose your time zone.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('587','COM_USERS_USER_FIELD_TIMEZONE_LABEL','Time Zone','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('588','COM_USERS_USER_NOT_FOUND','User not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('589','COM_USERS_USER_SAVE_FAILED','Failed to save user: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_users.ini'),
('590','COM_WEBLINKS_CAPTCHA_LABEL','Captcha','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('591','COM_WEBLINKS_CAPTCHA_DESC','Please complete the security check.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('592','COM_WEBLINKS_CONTENT_TYPE_WEBLINK','Web Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('593','COM_WEBLINKS_CONTENT_TYPE_CATEGORY','Web Links Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('594','COM_WEBLINKS_DEFAULT_PAGE_TITLE','Web Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('595','COM_WEBLINKS_EDIT','Edit Web link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('596','COM_WEBLINKS_ERR_TABLES_NAME','There is already a Web Link with that name in this category. Please try again.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('597','COM_WEBLINKS_ERR_TABLES_PROVIDE_URL','Please provide a valid URL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('598','COM_WEBLINKS_ERR_TABLES_TITLE','Your Web Link must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('599','COM_WEBLINKS_ERROR_CATEGORY_NOT_FOUND','Web Link category not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('600','COM_WEBLINKS_ERROR_UNIQUE_ALIAS','Another Web Link from this category has the same alias (remember it may be a trashed item).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini');
INSERT INTO `#__overrider` VALUES 
('601','COM_WEBLINKS_ERROR_WEBLINK_NOT_FOUND','Web Link not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('602','COM_WEBLINKS_ERROR_WEBLINK_URL_INVALID','Invalid Web link URL.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('603','COM_WEBLINKS_FIELD_ALIAS_DESC','The alias is for internal use only. Leave this blank and Joomla will fill in a default value from the title. It has to be unique for each web link in the same category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('604','COM_WEBLINKS_FIELD_CATEGORY_DESC','You must select a Category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('605','COM_WEBLINKS_FIELD_DESCRIPTION_DESC','Enter a description for your Web link.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('606','COM_WEBLINKS_FILTER_LABEL','Filter Field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('607','COM_WEBLINKS_FILTER_SEARCH_DESC','Web Links filter search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('608','COM_WEBLINKS_FIELD_TITLE_DESC','Your Web Link must have a Title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('609','COM_WEBLINKS_FIELD_URL_DESC','You must enter a URL.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('610','COM_WEBLINKS_FIELD_URL_LABEL','URL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('611','COM_WEBLINKS_FORM_CREATE_WEBLINK','Submit a Web Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('612','COM_WEBLINKS_GRID_TITLE','Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('613','COM_WEBLINKS_LINK','Web Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('614','COM_WEBLINKS_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('615','COM_WEBLINKS_NO_WEBLINKS','There are no Web Links in this category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('616','COM_WEBLINKS_NUM','# of links:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('617','COM_WEBLINKS_NUM_ITEMS','Links in categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('618','COM_WEBLINKS_FORM_EDIT_WEBLINK','Edit a Web Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('619','COM_WEBLINKS_FORM_SUBMIT_WEBLINK','Submit a Web Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('620','COM_WEBLINKS_SAVE_SUCCESS','Web link saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('621','COM_WEBLINKS_SUBMIT_SAVE_SUCCESS','Web Link submitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('622','COM_WEBLINKS_WEB_LINKS','Web Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('623','JGLOBAL_NEWITEMSLAST_DESC','New Web Links default to the last position. Ordering can be changed after this Web Link has been saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_weblinks.ini'),
('624','COM_WRAPPER_NO_IFRAMES','This option will not work correctly. Unfortunately, your browser does not support inline frames.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.com_wrapper.ini'),
('625','CLI_J2XML','J2XML CLI','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.files_cli_j2xml.sys.ini'),
('626','CLI_J2XML_XML_DESCRIPTION','<strong>J2XML</strong> - Command Line Interface','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.files_cli_j2xml.sys.ini'),
('627','FILES_JOOMLA','Joomla CMS','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.files_joomla.sys.ini'),
('628','FILES_JOOMLA_ERROR_FILE_FOLDER','Error on deleting file or folder %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.files_joomla.sys.ini'),
('629','FILES_JOOMLA_ERROR_MANIFEST','Error on updating manifest cache: (type, element, folder, client) = (%s, %s, %s, %s)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.files_joomla.sys.ini'),
('630','FILES_JOOMLA_XML_DESCRIPTION','Joomla! 3 Content Management System.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.files_joomla.sys.ini'),
('631','FINDER_CLI','Smart Search INDEXER','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('632','FINDER_CLI_BATCH_COMPLETE',' * Processed batch %s in %s seconds.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('633','FINDER_CLI_FILTER_RESTORE_WARNING','Warning: Did not find taxonomy %s/%s in filter %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('634','FINDER_CLI_INDEX_PURGE','Clear index','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('635','FINDER_CLI_INDEX_PURGE_FAILED','- index clear failed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('636','FINDER_CLI_INDEX_PURGE_SUCCESS','- index clear successful','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('637','FINDER_CLI_PEAK_MEMORY_USAGE','Peak memory usage: %s bytes','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('638','FINDER_CLI_PROCESS_COMPLETE','Total Processing Time: %s seconds.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('639','FINDER_CLI_RESTORE_FILTER_COMPLETED','- number of filters restored: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('640','FINDER_CLI_RESTORE_FILTERS','Restoring filters','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('641','FINDER_CLI_SAVE_FILTER_COMPLETED','- number of saved filters: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('642','FINDER_CLI_SAVE_FILTERS','Saving filters','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('643','FINDER_CLI_SETTING_UP_PLUGINS','Setting up Smart Search plugins','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('644','FINDER_CLI_SETUP_ITEMS','Setup %s items in %s seconds.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('645','FINDER_CLI_STARTING_INDEXER','Starting Indexer','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.finder_cli.ini'),
('646','JERROR_PARSING_LANGUAGE_FILE','&#160;: error(s) in line(s) %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('647','ERROR','Error','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('648','MESSAGE','Message','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('649','NOTICE','Notice','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('650','WARNING','Warning','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('651','J1','1','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('652','J2','2','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('653','J3','3','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('654','J4','4','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('655','J5','5','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('656','J6','6','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('657','J7','7','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('658','J8','8','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('659','J9','9','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('660','J10','10','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('661','J15','15','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('662','J20','20','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('663','J25','25','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('664','J30','30','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('665','J50','50','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('666','J100','100','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('667','J200','200','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('668','J500','500','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('669','JACTION_ADMIN','Configure','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('670','JACTION_ADMIN_GLOBAL','Super User','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('671','JACTION_COMPONENT_SETTINGS','Component Settings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('672','JACTION_CREATE','Create','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('673','JACTION_DELETE','Delete','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('674','JACTION_EDIT','Edit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('675','JACTION_EDITOWN','Edit Own','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('676','JACTION_EDITSTATE','Edit State','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('677','JACTION_LOGIN_ADMIN','Administrator Login','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('678','JACTION_LOGIN_SITE','Site Login','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('679','JACTION_MANAGE','Access Administration Interface','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('680','JADMINISTRATOR','Administrator','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('681','JALL','All','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('682','JALL_LANGUAGE','All','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('683','JAPPLY','Save','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('684','JARCHIVED','Archived','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('685','JASSOCIATIONS','Also available:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('686','JAUTHOR','Author','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('687','JCANCEL','Cancel','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('688','JCATEGORY','Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('689','JCLEAR','Clear','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('690','JDATE','Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('691','JDAY','Day','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('692','JDEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('693','JDETAILS','Details','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('694','JDISABLED','Disabled','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('695','JEDITOR','Editor','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('696','JENABLED','Enabled','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('697','JEXPIRED','Expired','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('698','JFALSE','False','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('699','JFEATURED','Featured','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('700','JHIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('701','JINVALID_TOKEN','The most recent request was denied because it had an invalid security token. Please refresh the page and try again.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('702','JINVALID_TOKEN_NOTICE','The security token did not match. The request was aborted to prevent any security breach. Please try again.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('703','JLOGIN','Log in','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('704','JLOGOUT','Log out','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('705','JMONTH','Month','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('706','JNEW','New','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('707','JNEXT','Next','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('708','JNEXT_TITLE','Next article: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('709','JNO','No','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('710','JNONE','None','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('711','JNOTPUBLISHEDYET','Not published yet','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('712','JNOTICE','Notice','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('713','JOFF','Off','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('714','JOFFLINE_MESSAGE','This site is down for maintenance.<br />Please check back again soon.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('715','JON','On','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('716','JOPTIONS','Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('717','JPAGETITLE','%1$s - %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('718','JPREV','Prev','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('719','JPREVIOUS','Previous','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('720','JPREVIOUS_TITLE','Previous article: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('721','JPUBLISHED','Published','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('722','JREGISTER','Register','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('723','JREQUIRED','Required','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('724','JSAVE','Save','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('725','JSELECT','Select','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('726','JSHOW','Show','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('727','JSITE','Site','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('728','JSTATUS','Status','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('729','JSUBMIT','Submit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('730','JTAG','Tags','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('731','JTAG_DESC','Assign tags to content items. You may select a tag from the pre-defined list or enter a new tag by typing the name in the field and pressing enter.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('732','JTAG_FIELD_SELECT_DESC','Select the tag to use.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('733','JTOOLBAR','Toolbar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('734','JTOOLBAR_VERSIONS','Versions','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('735','JTRASH','Trash','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('736','JTRASHED','Trashed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('737','JTRUE','True','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('738','JUNPUBLISHED','Unpublished','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('739','JUSER_TOOLS','User tools','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('740','JYEAR','Year','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('741','JYES','Yes','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('742','JBROWSERTARGET_MODAL','Modal','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('743','JBROWSERTARGET_NEW','Open in new window','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('744','JBROWSERTARGET_PARENT','Open in parent window','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('745','JBROWSERTARGET_POPUP','Open in popup','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('746','JERROR_ALERTNOAUTHOR','You are not authorised to view this resource.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('747','JERROR_ALERTNOTEMPLATE','<strong>The template for this display is not available. Please contact a Site administrator.</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('748','JERROR_AN_ERROR_HAS_OCCURRED','An error has occurred.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('749','JERROR_COULD_NOT_FIND_TEMPLATE','Could not find template "%s".','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('750','JERROR_ERROR','Error','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('751','JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE','an <strong>out-of-date bookmark/favourite</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('752','JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST','An error has occurred while processing your request.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('753','JERROR_LAYOUT_GO_TO_THE_HOME_PAGE','Go to the Home Page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('754','JERROR_LAYOUT_HOME_PAGE','Home Page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('755','JERROR_LAYOUT_MIS_TYPED_ADDRESS','a <strong>mistyped address</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('756','JERROR_LAYOUT_NOT_ABLE_TO_VISIT','You may not be able to visit this page because of:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('757','JERROR_LAYOUT_PAGE_NOT_FOUND','The requested page can\'t be found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('758','JERROR_LAYOUT_PLEASE_CONTACT_THE_SYSTEM_ADMINISTRATOR','If difficulties persist, please contact the System Administrator of this site and report the error below.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('759','JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES','Please try one of the following pages:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('760','JERROR_LAYOUT_PREVIOUS_ERROR','Previous Error','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('761','JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND','The requested resource was not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('762','JERROR_LAYOUT_SEARCH','You may wish to search the site or visit the home page.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('763','JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING','a search engine that has an <strong>out-of-date listing for this site</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('764','JERROR_LAYOUT_SEARCH_PAGE','Search this site','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('765','JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE','you have <strong>no access</strong> to this page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('766','JERROR_LOADING_MENUS','Error loading Menus: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('767','JERROR_LOGIN_DENIED','You can\'t access the private section of this site.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('768','JERROR_NOLOGIN_BLOCKED','Login denied! Your account has either been blocked or you have not activated it yet.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('769','JERROR_PAGE_NOT_FOUND','Page not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('770','JERROR_SESSION_STARTUP','Error starting the session.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('771','JERROR_TABLE_BIND_FAILED','hmm %s ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('772','JERROR_USERS_PROFILE_NOT_FOUND','User profile not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('773','JFIELD_ACCESS_DESC','Access level for this content.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('774','JFIELD_ACCESS_LABEL','Access','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('775','JFIELD_ALIAS_DESC','The Alias will be used in the SEF URL. Leave this blank and Joomla! will fill in a default value from the title. This value will depend on the SEO settings (Global Configuration->Site). <br />Using Unicode will produce UTF-8 aliases. You may also enter manually any UTF-8 character. Spaces and some forbidden characters will be changed to hyphens.<br />When using default transliteration it will produce an alias in lower case and with dashes instead of spaces. You may enter the Alias manually. Use lowercase letters and hyphens (-). No spaces or underscores are allowed. Default value will be a date and time if the title is typed in non-latin letters .','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('776','JFIELD_ALIAS_LABEL','Alias','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('777','JFIELD_ALIAS_PLACEHOLDER','Auto-generate from title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('778','JFIELD_ALT_PAGE_TITLE_LABEL','Alternative Page Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('779','JFIELD_CATEGORY_DESC','Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('780','JFIELD_FIELDS_CATEGORY_DESC','Select the category that this field is assigned to.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('781','JFIELD_LANGUAGE_DESC','Assign a language to this article.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('782','JFIELD_LANGUAGE_LABEL','Language','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('783','JFIELD_META_DESCRIPTION_DESC','Metadata description.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('784','JFIELD_META_DESCRIPTION_LABEL','Meta Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('785','JFIELD_META_KEYWORDS_DESC','Keywords describing the content.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('786','JFIELD_META_KEYWORDS_LABEL','Keywords','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('787','JFIELD_META_RIGHTS_DESC','Describe what rights others have to use this content.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('788','JFIELD_META_RIGHTS_LABEL','Content Rights','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('789','JFIELD_ORDERING_DESC','Ordering of the article within the category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('790','JFIELD_ORDERING_LABEL','Ordering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('791','JFIELD_PUBLISHED_DESC','Set publication status.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('792','JFIELD_TITLE_DESC','Title for the article.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('793','JGLOBAL_ADD_CUSTOM_CATEGORY','Add new Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('794','JGLOBAL_ARTICLES','Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('795','JGLOBAL_FIELDS','Fields','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('796','JGLOBAL_AUTH_ACCESS_DENIED','Access Denied','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('797','JGLOBAL_AUTH_ACCESS_GRANTED','Access Granted','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('798','JGLOBAL_AUTH_BIND_FAILED','Failed binding to LDAP server','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('799','JGLOBAL_AUTH_CANCEL','Authentication cancelled','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('800','JGLOBAL_AUTH_CURL_NOT_INSTALLED','Curl isn\'t installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('801','JGLOBAL_AUTH_EMPTY_PASS_NOT_ALLOWED','Empty password not allowed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('802','JGLOBAL_AUTH_FAIL','Authentication failed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('803','JGLOBAL_AUTH_FAILED','Failed to authenticate: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('804','JGLOBAL_AUTH_INCORRECT','Incorrect username/password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('805','JGLOBAL_AUTH_INVALID_PASS','Username and password do not match or you do not have an account yet.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('806','JGLOBAL_AUTH_INVALID_SECRETKEY','The two factor authentication Secret Key is invalid.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('807','JGLOBAL_AUTH_NO_BIND','Unable to bind to LDAP','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('808','JGLOBAL_AUTH_NO_CONNECT','Unable to connect to LDAP server','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('809','JGLOBAL_AUTH_NO_REDIRECT','Could not redirect to server: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('810','JGLOBAL_AUTH_NO_USER','Username and password do not match or you do not have an account yet.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('811','JGLOBAL_AUTH_NOT_CONNECT','Unable to connect to authentication service.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('812','JGLOBAL_AUTH_NOT_CREATE_DIR','Could not create the FileStore folder %s. Please check the effective permissions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('813','JGLOBAL_AUTH_PASS_BLANK','LDAP can\'t have blank password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('814','JGLOBAL_AUTH_UNKNOWN_ACCESS_DENIED','Result Unknown. Access Denied','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('815','JGLOBAL_AUTH_USER_BLACKLISTED','User is blacklisted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('816','JGLOBAL_AUTH_USER_NOT_FOUND','Unable to find user','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('817','JGLOBAL_AUTO','Auto','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('818','JGLOBAL_CATEGORY_NOT_FOUND','Category not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('819','JGLOBAL_CENTER','Center','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('820','JGLOBAL_CHECK_ALL','Check All Items','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('821','JGLOBAL_CLICK_TO_SORT_THIS_COLUMN','Select to sort by this column','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('822','JGLOBAL_COLLAPSE_CATEGORIES','Show less categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('823','JGLOBAL_CREATED_DATE_ON','Created on %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('824','JGLOBAL_CUSTOM_CATEGORY','New Categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('825','JGLOBAL_DESCRIPTION','Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('826','JGLOBAL_DISPLAY_NUM','Display #','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('827','JGLOBAL_EDIT','Edit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('828','JGLOBAL_EDIT_TITLE','Edit article','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('829','JGLOBAL_EMAIL','Email','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('830','JGLOBAL_EMAIL_TITLE','Email this link to a friend','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('831','JGLOBAL_EXPAND_CATEGORIES','Show more categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('832','JGLOBAL_FIELD_ADD','Add','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('833','JGLOBAL_FIELD_CATEGORIES_CHOOSE_CATEGORY_DESC','Categories that are within this category will be displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('834','JGLOBAL_FIELD_CATEGORIES_CHOOSE_CATEGORY_LABEL','Select a Top Level Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('835','JGLOBAL_FIELD_CATEGORIES_DESC_DESC','If you enter some text in this field, it will replace the Top Level Category Description, if it has one.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('836','JGLOBAL_FIELD_CATEGORIES_DESC_LABEL','Alternative Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('837','JGLOBAL_FIELD_CREATED_BY_ALIAS_DESC','Uses another name than the author\'s for display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('838','JGLOBAL_FIELD_CREATED_BY_ALIAS_LABEL','Author\'s Alias','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('839','JGLOBAL_FIELD_CREATED_BY_DESC','The user who created this.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('840','JGLOBAL_FIELD_CREATED_BY_LABEL','Created By','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('841','JGLOBAL_FIELD_CREATED_DESC','Created Date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('842','JGLOBAL_FIELD_CREATED_LABEL','Created Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('843','JGLOBAL_FIELD_FEATURED_DESC','Assign the article to the featured blog layout.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('844','JGLOBAL_FIELD_FEATURED_LABEL','Featured','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('845','JGLOBAL_FIELD_FIELD_CACHETIME_DESC','The number of minutes before the cache is refreshed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('846','JGLOBAL_FIELD_FIELD_ORDERING_LABEL','Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('847','JGLOBAL_FIELD_FIELD_ORDERING_DESC','Order items will be displayed in.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('848','JGLOBAL_FIELD_ID_DESC','Record number in the database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('849','JGLOBAL_FIELD_ID_LABEL','ID','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('850','JGLOBAL_FIELD_LAYOUT_DESC','Default layout to use for items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('851','JGLOBAL_FIELD_LAYOUT_LABEL','Choose a Layout','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('852','JGLOBAL_FIELD_MODIFIED_LABEL','Modified Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('853','JGLOBAL_FIELD_MODIFIED_BY_DESC','The user who did the last modification.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('854','JGLOBAL_FIELD_MODIFIED_BY_LABEL','Modified By','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('855','JGLOBAL_FIELD_MOVE','Move','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('856','JGLOBAL_FIELD_NUM_CATEGORY_ITEMS_DESC','Number of categories to display for each level.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('857','JGLOBAL_FIELD_NUM_CATEGORY_ITEMS_LABEL','Number of Categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('858','JGLOBAL_FIELD_PUBLISH_DOWN_DESC','An optional date to stop publishing.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('859','JGLOBAL_FIELD_PUBLISH_DOWN_LABEL','Finish Publishing','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('860','JGLOBAL_FIELD_PUBLISH_UP_DESC','An optional date to start publishing.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('861','JGLOBAL_FIELD_PUBLISH_UP_LABEL','Start Publishing','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('862','JGLOBAL_FIELD_REMOVE','Remove','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('863','JGLOBAL_FIELD_SHOW_BASE_DESCRIPTION_DESC','Show description of the top level category or alternatively replace with the text from the description field found in the menu item. If using Root as a top level category, the description field has to be filled.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('864','JGLOBAL_FIELD_SHOW_BASE_DESCRIPTION_LABEL','Top Level Category Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('865','JGLOBAL_FIELD_VERSION_NOTE_DESC','Enter an optional note for this version of the item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('866','JGLOBAL_FIELD_VERSION_NOTE_LABEL','Version Note','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('867','JGLOBAL_FILTER_BUTTON','Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('868','JGLOBAL_FILTER_LABEL','Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('869','JGLOBAL_FULL_TEXT','Full Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('870','JGLOBAL_GT','&gt;','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('871','JGLOBAL_HELPREFRESH_BUTTON','Refresh','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('872','JGLOBAL_HITS','Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('873','JGLOBAL_HITS_COUNT','Hits: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('874','JGLOBAL_ICON_SEP','|','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('875','JGLOBAL_INHERIT','Inherit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('876','JGLOBAL_INTRO_TEXT','Intro Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('877','JGLOBAL_KEEP_TYPING','Keep typing ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('878','JGLOBAL_LEFT','Left','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('879','JGLOBAL_LOOKING_FOR','Looking for','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('880','JGLOBAL_LT','&lt;','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('881','JGLOBAL_MAXIMUM_UPLOAD_SIZE_LIMIT','Maximum upload size: <strong>%s</strong>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('882','JGLOBAL_NEWITEMSLAST_DESC','New items default to the last position. Ordering can be changed after this item has been saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('883','JGLOBAL_NO_MATCHING_RESULTS','No Matching Results','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('884','JGLOBAL_NUM','#','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('885','JGLOBAL_OTPMETHOD_NONE','Disable Two Factor Authentication','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('886','JGLOBAL_PASSWORD','Password','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('887','JGLOBAL_PASSWORD_RESET_REQUIRED','You are required to reset your password before proceeding.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('888','JGLOBAL_PRINT','Print','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('889','JGLOBAL_PRINT_TITLE','Print article < %s >','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('890','JGLOBAL_RECORD_NUMBER','Record ID: %d','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('891','JGLOBAL_REMEMBER_ME','Remember me','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('892','JGLOBAL_REMEMBER_MUST_LOGIN','For security reasons you must login before editing your personal information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('893','JGLOBAL_RESOURCE_NOT_FOUND','Resource not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('894','JGLOBAL_RIGHT','Right','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('895','JGLOBAL_ROOT','Root','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('896','JGLOBAL_SECRETKEY','Secret Key','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('897','JGLOBAL_SECRETKEY_HELP','If you have enabled two factor authentication in your user account please enter your secret key. If you do not know what this means, you can leave this field blank.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('898','JGLOBAL_SELECT_AN_OPTION','Select an option','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('899','JGLOBAL_SELECT_NO_RESULTS_MATCH','No results match','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('900','JGLOBAL_SELECT_SOME_OPTIONS','Select some options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('901','JGLOBAL_START_PUBLISH_AFTER_FINISH','Item start publishing date must be before finish publishing date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('902','JGLOBAL_SUBCATEGORIES','Subcategories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('903','JGLOBAL_SUBHEADING_DESC','Optional text to show as a subheading.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('904','JGLOBAL_TITLE','Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('905','JGLOBAL_TYPE_OR_SELECT_CATEGORY','Type or Select a Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('906','JGLOBAL_TYPE_OR_SELECT_SOME_OPTIONS','Type or select some options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('907','JGLOBAL_USE_GLOBAL','Use Global','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('908','JGLOBAL_USE_GLOBAL_VALUE','Use Global (%s)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('909','JGLOBAL_USERNAME','Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('910','JGLOBAL_VALIDATION_FORM_FAILED','Invalid form','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('911','JGLOBAL_YOU_MUST_LOGIN_FIRST','Please login first','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('912','JGRID_HEADING_ACCESS','Access','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('913','JGRID_HEADING_ID','ID','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('914','JGRID_HEADING_LANGUAGE','Language','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('915','JLIB_DATABASE_ERROR_ADAPTER_MYSQL','The MySQL adapter \'mysql\' is not available.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('916','JLIB_DATABASE_ERROR_ADAPTER_MYSQLI','The MySQL adapter \'mysqli\' is not available.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('917','JLIB_DATABASE_ERROR_CONNECT_DATABASE','Unable to connect to the Database: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('918','JLIB_DATABASE_ERROR_CONNECT_MYSQL','Could not connect to MySQL.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('919','JLIB_DATABASE_ERROR_DATABASE_CONNECT','Could not connect to database','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('920','JLIB_DATABASE_ERROR_LOAD_DATABASE_DRIVER','Unable to load Database Driver: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('921','JLIB_ERROR_INFINITE_LOOP','Infinite loop detected in JError','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('922','JOPTION_DO_NOT_USE','- None Selected -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('923','JOPTION_SELECT_ACCESS','- Select Access -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('924','JOPTION_SELECT_AUTHOR','- Select Author -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('925','JOPTION_SELECT_CATEGORY','- Select Category -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('926','JOPTION_SELECT_LANGUAGE','- Select Language -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('927','JOPTION_SELECT_PUBLISHED','- Select Status -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('928','JOPTION_SELECT_MAX_LEVELS','- Select Max Levels -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('929','JOPTION_SELECT_TAG','- Select Tag -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('930','JOPTION_USE_DEFAULT','- Use Default -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('931','JSEARCH_FILTER_CLEAR','Clear','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('932','JSEARCH_FILTER_LABEL','Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('933','JSEARCH_FILTER_SUBMIT','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('934','JSEARCH_FILTER','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('935','DATE_FORMAT_LC','l, d F Y','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('936','DATE_FORMAT_LC1','l, d F Y','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('937','DATE_FORMAT_LC2','l, d F Y H:i','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('938','DATE_FORMAT_LC3','d F Y','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('939','DATE_FORMAT_LC4','Y-m-d','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('940','DATE_FORMAT_LC5','Y-m-d H:i','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('941','DATE_FORMAT_LC6','Y-m-d H:i:s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('942','DATE_FORMAT_JS1','y-m-d','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('943','DATE_FORMAT_CALENDAR_DATE','%Y-%m-%d','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('944','DATE_FORMAT_CALENDAR_DATETIME','%Y-%m-%d %H:%M:%S','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('945','DATE_FORMAT_FILTER_DATE','Y-m-d','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('946','DATE_FORMAT_FILTER_DATETIME','Y-m-d H:i:s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('947','JANUARY_SHORT','Jan','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('948','JANUARY','January','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('949','FEBRUARY_SHORT','Feb','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('950','FEBRUARY','February','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('951','MARCH_SHORT','Mar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('952','MARCH','March','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('953','APRIL_SHORT','Apr','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('954','APRIL','April','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('955','MAY_SHORT','May','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('956','MAY','May','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('957','JUNE_SHORT','Jun','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('958','JUNE','June','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('959','JULY_SHORT','Jul','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('960','JULY','July','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('961','AUGUST_SHORT','Aug','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('962','AUGUST','August','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('963','SEPTEMBER_SHORT','Sep','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('964','SEPTEMBER','September','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('965','OCTOBER_SHORT','Oct','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('966','OCTOBER','October','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('967','NOVEMBER_SHORT','Nov','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('968','NOVEMBER','November','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('969','DECEMBER_SHORT','Dec','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('970','DECEMBER','December','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('971','SAT','Sat','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('972','SATURDAY','Saturday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('973','SUN','Sun','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('974','SUNDAY','Sunday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('975','MON','Mon','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('976','MONDAY','Monday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('977','TUE','Tue','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('978','TUESDAY','Tuesday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('979','WED','Wed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('980','WEDNESDAY','Wednesday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('981','THU','Thu','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('982','THURSDAY','Thursday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('983','FRI','Fri','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('984','FRIDAY','Friday','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('985','DECIMALS_SEPARATOR','.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('986','THOUSANDS_SEPARATOR',',','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('987','PHPMAILER_PROVIDE_ADDRESS','You must provide at least one recipient email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('988','PHPMAILER_MAILER_IS_NOT_SUPPORTED',' Mailer is not supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('989','PHPMAILER_EXECUTE','Could not execute: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('990','PHPMAILER_EXTENSION_MISSING','Extension missing: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('991','PHPMAILER_INSTANTIATE','Could not start mail function.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('992','PHPMAILER_AUTHENTICATE','SMTP Error! Could not authenticate.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('993','PHPMAILER_FROM_FAILED','The following from address failed: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('994','PHPMAILER_RECIPIENTS_FAILED','SMTP Error! The following recipients failed: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('995','PHPMAILER_DATA_NOT_ACCEPTED','SMTP Error! Data not accepted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('996','PHPMAILER_CONNECT_HOST','SMTP Error! Could not connect to SMTP host.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('997','PHPMAILER_FILE_ACCESS','Could not access file: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('998','PHPMAILER_FILE_OPEN','File Error: Could not open file: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('999','PHPMAILER_ENCODING','Unknown encoding: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1000','PHPMAILER_SIGNING_ERROR','Signing error: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini');
INSERT INTO `#__overrider` VALUES 
('1001','PHPMAILER_SMTP_ERROR','SMTP server error: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1002','PHPMAILER_EMPTY_MESSAGE','Empty message body','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1003','PHPMAILER_INVALID_ADDRESS','Invalid address','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1004','PHPMAILER_VARIABLE_SET','Can\'t set or reset variable: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1005','PHPMAILER_SMTP_CONNECT_FAILED','SMTP connect failed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1006','PHPMAILER_TLS','Could not start TLS','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1007','MYSQL','MySQL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1008','MYSQLI','MySQLi','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1009','ORACLE','Oracle','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1010','PDOMYSQL','MySQL (PDO)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1011','POSTGRESQL','PostgreSQL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1012','SQLAZURE','Microsoft SQL Azure','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1013','SQLITE','SQLite','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1014','SQLSRV','Microsoft SQL Server','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1015','JSEARCH_TOOLS','Search Tools','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1016','JSEARCH_TOOLS_DESC','Filter the list items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1017','JSEARCH_TOOLS_ORDERING','Order by:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.ini'),
('1018','LIB_FOF_DOWNLOAD_ERR_COULDNOTDOWNLOADFROMURL','Could not download from %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_f0f.ini'),
('1019','LIB_FOF_DOWNLOAD_ERR_COULDNOTWRITELOCALFILE','Local file %s is not writeable','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_f0f.ini'),
('1020','LIB_FOF_DOWNLOAD_ERR_CURL_ERROR','The download failed: cURL error %s: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_f0f.ini'),
('1021','LIB_FOF_DOWNLOAD_ERR_HTTPERROR','Unexpected HTTP status %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_f0f.ini'),
('1022','LIB_FOF_DOWNLOAD_ERR_COULDNOTDOWNLOADFROMURL','Could not download from %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof.ini'),
('1023','LIB_FOF_DOWNLOAD_ERR_COULDNOTWRITELOCALFILE','Local file %s is not writeable','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof.ini'),
('1024','LIB_FOF_DOWNLOAD_ERR_CURL_ERROR','The download failed: cURL error %s: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof.ini'),
('1025','LIB_FOF_DOWNLOAD_ERR_HTTPERROR','Unexpected HTTP status %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof.ini'),
('1026','LIB_FOF_XML_DESCRIPTION','Framework-on-Framework (FOF) - A rapid component development framework for Joomla!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof.sys.ini'),
('1027','LIB_FOF_DOWNLOAD_ERR_COULDNOTDOWNLOADFROMURL','Could not download from %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1028','LIB_FOF_DOWNLOAD_ERR_COULDNOTWRITELOCALFILE','Local file %s is not writeable','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1029','LIB_FOF_DOWNLOAD_ERR_CURL_ERROR','The download failed: cURL error %s: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1030','LIB_FOF_DOWNLOAD_ERR_FOPEN_ERROR','The download failed: fopen returned no header information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1031','LIB_FOF_DOWNLOAD_ERR_HTTPERROR','Unexpected HTTP status %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1032','LIB_FOF_MODEL_ERR_GET_NAME','FOF: Model: Cannot get Model\'s name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1033','LIB_FOF_CONTROLLER_ERR_GET_NAME','FOF: Controller: Cannot get Controller\'s name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1034','LIB_FOF_VIEW_ERR_GET_NAME','FOF: Controller: Cannot get View\'s name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1035','LIB_FOF_TRANSPARENTAUTH_ERR_NOT_FOUND','FOF: TransparentAuthentication %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1036','LIB_FOF_DISPATCHER_ERR_NOT_FOUND','FOF: Dispatcher %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1037','LIB_FOF_TOOLBAR_ERR_NOT_FOUND','FOF: Toolbar %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1038','LIB_FOF_FORM_ERR_NOT_FOUND','FOF: Form %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1039','LIB_FOF_CONTROLLER_ERR_NOT_FOUND','FOF: Controller %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1040','LIB_FOF_MODEL_ERR_NOT_FOUND','FOF: Model %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1041','LIB_FOF_VIEW_ERR_NOT_FOUND','FOF: View %s not found','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1042','LIB_FOF_CONTROLLER_ERR_LOCKED','This item is already checked out by another user','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1043','LIB_FOF_FORM_ERR_COULD_NOT_LOAD_FROM_DATA','FOF: could not load form from raw data','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1044','LIB_FOF_FORM_ERR_COULD_NOT_LOAD_FROM_FILE','FOF: could not load form from filename %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1045','LIB_FOF_FORM_ERR_GETSTATIC_NOT_ALLOWED','FOF: %s cannot be used in single item display forms','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1046','LIB_FOF_FORM_ERR_DATAMODEL_REQUIRED','FOF: %s requires a DataModel to act upon','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1047','LIB_FOF_FORM_ERR_GETOPTIONS_INVALID_GROUP_CONTENTS','FOF: %s invalid group contents in getOptions','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1048','LIB_FOF_FORM_ERR_GETINPUT_NOT_ALLOWED','FOF: %s cannot be used in input forms','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1049','LIB_FOF_HAL_ERR_INVALIDLINK','A HAL link must always have a non-empty href','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1050','LIB_FOF_HAL_ERR_INVALIDRENDERFORMAT','Unsupported HAL Document format &quot;%s&quot;. Render aborted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini');
INSERT INTO `#__overrider` VALUES 
('1051','LIB_FOF_MODEL_ERR_BIND','FOF: %s::bind() argument is %s, not an object or array','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1052','LIB_FOF_MODEL_ERR_COULDNOTLOAD','Could not load record','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1053','LIB_FOF_MODEL_ERR_NOITEMSFOUND','No items found in %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1054','LIB_FOF_MODEL_ERR_CANNOTLOCKNOTLOADEDRECORD','Cannot lock a record which has not been loaded','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1055','LIB_FOF_MODEL_ERR_NOASSETKEY','Table must have an asset key defined and a value for the table id in order to track assets','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1056','LIB_FOF_MODEL_ERR_NOCONTENTTYPE','Content type for %s is not set.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1057','LIB_FOF_MODEL_ERR_TREE_INCOMPATIBLETABLE','Database table %s is not compatible with TreeModel: it does not have lft/rgt columns','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1058','LIB_FOF_MODEL_ERR_TREE_UNEXPECTEDPK','No primary key provided or deleting this record is not allowed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1059','LIB_FOF_MODEL_ERR_TREE_UNSUPPORTEDMETHOD','Method %s() is not supported by TreeModel','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1060','LIB_FOF_MODEL_ERR_TREE_ONLYINROOT','Method %s() is only allowed for root nodes','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1061','LIB_FOF_MODEL_ERR_TREE_INVALIDLFTRGT_PARENT','Invalid lft/rgt values in parent node','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1062','LIB_FOF_MODEL_ERR_TREE_INVALIDLFTRGT_SIBLING','Invalid lft/rgt values in sibling node','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1063','LIB_FOF_MODEL_ERR_TREE_INVALIDLFTRGT_OTHER','Invalid lft/rgt values in current node','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1064','LIB_FOF_MODEL_ERR_TREE_INVALIDLFTRGT_CURRENT','Invalid lft/rgt values in other node','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1065','LIB_FOF_MODEL_ERR_TREE_ROOTNOTFOUND','No root found for table %s, node lft=%s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1066','LIB_FOF_MODEL_ERR_FILTER_INVALIDFIELD','Invalid field object','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1067','LIB_FOF_MODEL_ERR_FILTER_NODBOBJECT','Database object unspecified creating a %s filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1068','LIB_FOF_TOOLBAR_ERR_MISSINGARGUMENT','The \'%s\' attribute is required for the \'%s\' button type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1069','LIB_FOF_TOOLBAR_ERR_UNKNOWNBUTTONTYPE','Unknown button type %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1070','LIB_FOF_VIEW_MODELNOTINVIEW','The model %s does not exist in view %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1071','LIB_FOF_VIEW_UNRECOGNISEDEXTENSION','FOF: Unrecognised extension in view template %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1072','LIB_FOF_VIEW_POSSIBLYSUHOSIN','FOF: Could not write to your cache directory. Please make your cache directories (cache and administrator/cache under your site\'s root) writeable to PHP by changing the permissions. Alternatively, ask your host to make sure that they have not disabled the stream_wrapper_register() function in PHP. Moreover, if your host is using the Suhosin patch for PHP ask them to whitelist the fof:// stream wrapper in their server\'s php.ini file. If you do not understand what this means please contact your host and paste this entire message to them.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_fof30.ini'),
('1073','LIB_IDNA','IDNA Convert','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_idna_convert.sys.ini'),
('1074','LIB_IDNA_XML_DESCRIPTION','The class idna_convert allows to convert internationalised domain names (see RFC 3490, 3491, 3492 and 3454 for details) as they can be used with various registries worldwide to be translated between their original (localised) form and their encoded form as it will be used in the DNS (Domain Name System).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_idna_convert.sys.ini'),
('1075','JERROR_PARSING_LANGUAGE_FILE','&#160;: error(s) in line(s) %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1076','JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN','Access forbidden.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1077','JLIB_APPLICATION_ERROR_APPLICATION_GET_NAME','JApplication: :getName() : Can\'t get or parse class name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1078','JLIB_APPLICATION_ERROR_APPLICATION_LOAD','Unable to load application: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1079','JLIB_APPLICATION_ERROR_BATCH_CANNOT_CREATE','You are not allowed to create new items in this category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1080','JLIB_APPLICATION_ERROR_BATCH_CANNOT_EDIT','You are not allowed to edit one or more of these items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1081','JLIB_APPLICATION_ERROR_BATCH_FAILED','Batch process failed with following error: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1082','JLIB_APPLICATION_ERROR_BATCH_MOVE_CATEGORY_NOT_FOUND','Can\'t find the destination category for this move.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1083','JLIB_APPLICATION_ERROR_BATCH_MOVE_ROW_NOT_FOUND','Can\'t find the item being moved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1084','JLIB_APPLICATION_ERROR_CHECKIN_FAILED','Check-in failed with the following error: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1085','JLIB_APPLICATION_ERROR_CHECKIN_NOT_CHECKED','Item is not checked out.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1086','JLIB_APPLICATION_ERROR_CHECKIN_USER_MISMATCH','The user checking in does not match the user who checked out the item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1087','JLIB_APPLICATION_ERROR_CHECKOUT_FAILED','Check-out failed with the following error: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1088','JLIB_APPLICATION_ERROR_CHECKOUT_USER_MISMATCH','The user checking out does not match the user who checked out the item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1089','JLIB_APPLICATION_ERROR_COMPONENT_NOT_FOUND','Component not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1090','JLIB_APPLICATION_ERROR_COMPONENT_NOT_LOADING','Error loading component: %1$s, %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1091','JLIB_APPLICATION_ERROR_CONTROLLER_GET_NAME','JController: :getName() : Can\'t get or parse class name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1092','JLIB_APPLICATION_ERROR_CREATE_RECORD_NOT_PERMITTED','Create record not permitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1093','JLIB_APPLICATION_ERROR_DELETE_NOT_PERMITTED','Delete not permitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1094','JLIB_APPLICATION_ERROR_EDITSTATE_NOT_PERMITTED','Edit state is not permitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1095','JLIB_APPLICATION_ERROR_EDIT_ITEM_NOT_PERMITTED','Edit is not permitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1096','JLIB_APPLICATION_ERROR_EDIT_NOT_PERMITTED','Edit not permitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1097','JLIB_APPLICATION_ERROR_HISTORY_ID_MISMATCH','Error restoring item version from history.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1098','JLIB_APPLICATION_ERROR_INSUFFICIENT_BATCH_INFORMATION','Insufficient information to perform the batch operation.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1099','JLIB_APPLICATION_ERROR_INVALID_CONTROLLER_CLASS','Invalid controller class: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1100','JLIB_APPLICATION_ERROR_INVALID_CONTROLLER','Invalid controller: name=\'%s\', format=\'%s\'','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1101','JLIB_APPLICATION_ERROR_LAYOUTFILE_NOT_FOUND','Layout %s not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1102','JLIB_APPLICATION_ERROR_LIBRARY_NOT_FOUND','Library not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1103','JLIB_APPLICATION_ERROR_LIBRARY_NOT_LOADING','Error loading library: %1$s, %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1104','JLIB_APPLICATION_ERROR_MENU_LOAD','Error loading menu: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1105','JLIB_APPLICATION_ERROR_MODEL_GET_NAME','JModel: :getName() : Can\'t get or parse class name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1106','JLIB_APPLICATION_ERROR_MODULE_LOAD','Error loading module %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1107','JLIB_APPLICATION_ERROR_PATHWAY_LOAD','Unable to load pathway: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1108','JLIB_APPLICATION_ERROR_REORDER_FAILED','Reorder failed. Error: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1109','JLIB_APPLICATION_ERROR_ROUTER_LOAD','Unable to load router: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1110','JLIB_APPLICATION_ERROR_MODELCLASS_NOT_FOUND','Model class %s not found in file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1111','JLIB_APPLICATION_ERROR_SAVE_FAILED','Save failed with the following error: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1112','JLIB_APPLICATION_ERROR_SAVE_NOT_PERMITTED','Save not permitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1113','JLIB_APPLICATION_ERROR_TABLE_NAME_NOT_SUPPORTED','Table %s not supported. File not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1114','JLIB_APPLICATION_ERROR_TASK_NOT_FOUND','Task [%s] not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1115','JLIB_APPLICATION_ERROR_UNHELD_ID','You are not permitted to use that link to directly access that page (#%d).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1116','JLIB_APPLICATION_ERROR_VIEW_CLASS_NOT_FOUND','View class not found [class, file]: %1$s, %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1117','JLIB_APPLICATION_ERROR_VIEW_GET_NAME_SUBSTRING','JView: :getName() : Your classname has the substring \'view\'. This causes problems when extracting the classname from the name of your objects view. Avoid Object names with the substring \'view\'.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1118','JLIB_APPLICATION_ERROR_VIEW_GET_NAME','JView: :getName() : Can\'t get or parse class name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1119','JLIB_APPLICATION_ERROR_VIEW_NOT_FOUND','View not found [name, type, prefix]: %1$s, %2$s, %3$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1120','JLIB_APPLICATION_SAVE_SUCCESS','Item saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1121','JLIB_APPLICATION_SUBMIT_SAVE_SUCCESS','Item submitted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1122','JLIB_APPLICATION_SUCCESS_BATCH','Batch process completed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1123','JLIB_APPLICATION_SUCCESS_ITEM_REORDERED','Ordering saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1124','JLIB_APPLICATION_SUCCESS_ORDERING_SAVED','Ordering saved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1125','JLIB_APPLICATION_SUCCESS_LOAD_HISTORY','Prior version restored. Saved on %s %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1126','JLIB_LOGIN_AUTHENTICATE','Username and password do not match or you do not have an account yet.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1127','JLIB_CACHE_ERROR_CACHE_HANDLER_LOAD','Unable to load Cache Handler: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1128','JLIB_CACHE_ERROR_CACHE_STORAGE_LOAD','Unable to load Cache Storage: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1129','JLIB_CAPTCHA_ERROR_PLUGIN_NOT_FOUND','Captcha plugin not set or not found. Please contact a site administrator.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1130','JLIB_CLIENT_ERROR_JFTP_NO_CONNECT','JFTP: :connect: Could not connect to host \' %1$s \' on port \' %2$s \'','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1131','JLIB_CLIENT_ERROR_JFTP_NO_CONNECT_SOCKET','JFTP: :connect: Could not connect to host \' %1$s \' on port \' %2$s \'. Socket error number: %3$s and error message: %4$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1132','JLIB_CLIENT_ERROR_JFTP_BAD_RESPONSE','JFTP: :connect: Bad response. Server response: %s [Expected: 220]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1133','JLIB_CLIENT_ERROR_JFTP_BAD_USERNAME','JFTP: :login: Bad Username. Server response: %1$s [Expected: 331]. Username sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1134','JLIB_CLIENT_ERROR_JFTP_BAD_PASSWORD','JFTP: :login: Bad Password. Server response: %1$s [Expected: 230]. Password sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1135','JLIB_CLIENT_ERROR_JFTP_PWD_BAD_RESPONSE_NATIVE','FTP: :pwd: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1136','JLIB_CLIENT_ERROR_JFTP_PWD_BAD_RESPONSE','JFTP: :pwd: Bad response. Server response: %s [Expected: 257]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1137','JLIB_CLIENT_ERROR_JFTP_SYST_BAD_RESPONSE_NATIVE','JFTP: :syst: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1138','JLIB_CLIENT_ERROR_JFTP_SYST_BAD_RESPONSE','JFTP: :syst: Bad response. Server response: %s [Expected: 215]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1139','JLIB_CLIENT_ERROR_JFTP_CHDIR_BAD_RESPONSE_NATIVE','JFTP: :chdir: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1140','JLIB_CLIENT_ERROR_JFTP_CHDIR_BAD_RESPONSE','JFTP: :chdir: Bad response. Server response: %1$s [Expected: 250]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1141','JLIB_CLIENT_ERROR_JFTP_REINIT_BAD_RESPONSE_NATIVE','JFTP: :reinit: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1142','JLIB_CLIENT_ERROR_JFTP_REINIT_BAD_RESPONSE','JFTP: :reinit: Bad response. Server response: %s [Expected: 220]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1143','JLIB_CLIENT_ERROR_JFTP_RENAME_BAD_RESPONSE_NATIVE','JFTP: :rename: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1144','JLIB_CLIENT_ERROR_JFTP_RENAME_BAD_RESPONSE_FROM','JFTP: :rename: Bad response. Server response: %1$s [Expected: 350]. From path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1145','JLIB_CLIENT_ERROR_JFTP_RENAME_BAD_RESPONSE_TO','JFTP: :rename: Bad response. Server response: %1$s [Expected: 250]. To path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1146','JLIB_CLIENT_ERROR_JFTP_CHMOD_BAD_RESPONSE_NATIVE','JFTP: :chmod: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1147','JLIB_CLIENT_ERROR_JFTP_CHMOD_BAD_RESPONSE','JFTP: :chmod: Bad response. Server response: %1$s [Expected: 250]. Path sent: %2$s. Mode sent: %3$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1148','JLIB_CLIENT_ERROR_JFTP_DELETE_BAD_RESPONSE_NATIVE','JFTP: :delete: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1149','JLIB_CLIENT_ERROR_JFTP_DELETE_BAD_RESPONSE','JFTP: :delete: Bad response. Server response: %1$s [Expected: 250]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1150','JLIB_CLIENT_ERROR_JFTP_MKDIR_BAD_RESPONSE_NATIVE','JFTP: :mkdir: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1151','JLIB_CLIENT_ERROR_JFTP_MKDIR_BAD_RESPONSE','JFTP: :mkdir: Bad response. Server response: %1$s [Expected: 257]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1152','JLIB_CLIENT_ERROR_JFTP_RESTART_BAD_RESPONSE_NATIVE','JFTP: :restart: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1153','JLIB_CLIENT_ERROR_JFTP_RESTART_BAD_RESPONSE','JFTP: :restart: Bad response. Server response: %1$s [Expected: 350]. Restart point sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1154','JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE_BUFFER','JFTP: :create: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1155','JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE_PASSIVE','JFTP: :create: Unable to use passive mode.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1156','JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE','JFTP: :create: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1157','JLIB_CLIENT_ERROR_JFTP_CREATE_BAD_RESPONSE_TRANSFER','JFTP: :create: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1158','JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE_BUFFER','JFTP: :read: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1159','JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE_PASSIVE','JFTP: :read: Unable to use passive mode.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1160','JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE','JFTP: :read: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1161','JLIB_CLIENT_ERROR_JFTP_READ_BAD_RESPONSE_TRANSFER','JFTP: :read: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1162','JLIB_CLIENT_ERROR_JFTP_GET_BAD_RESPONSE','JFTP: :get: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1163','JLIB_CLIENT_ERROR_JFTP_GET_PASSIVE','JFTP: :get: Unable to use passive mode.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1164','JLIB_CLIENT_ERROR_JFTP_GET_WRITING_LOCAL','JFTP: :get: Unable to open local file for writing. Local path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1165','JLIB_CLIENT_ERROR_JFTP_GET_BAD_RESPONSE_RETR','JFTP: :get: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1166','JLIB_CLIENT_ERROR_JFTP_GET_BAD_RESPONSE_TRANSFER','JFTP: :get: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1167','JLIB_CLIENT_ERROR_JFTP_STORE_PASSIVE','JFTP: :store: Unable to use passive mode.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1168','JLIB_CLIENT_ERROR_JFTP_STORE_BAD_RESPONSE','JFTP: :store: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1169','JLIB_CLIENT_ERROR_JFTP_STORE_READING_LOCAL','JFTP: :store: Unable to open local file for reading. Local path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1170','JLIB_CLIENT_ERROR_JFTP_STORE_FIND_LOCAL','JFTP: :store: Unable to find local file. Local path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1171','JLIB_CLIENT_ERROR_JFTP_STORE_BAD_RESPONSE_STOR','JFTP: :store: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1172','JLIB_CLIENT_ERROR_JFTP_STORE_DATA_PORT','JFTP: :store: Unable to write to data port socket.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1173','JLIB_CLIENT_ERROR_JFTP_STORE_BAD_RESPONSE_TRANSFER','JFTP: :store: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1174','JLIB_CLIENT_ERROR_JFTP_WRITE_PASSIVE','JFTP: :write: Unable to use passive mode.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1175','JLIB_CLIENT_ERROR_JFTP_WRITE_BAD_RESPONSE','JFTP: :write: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1176','JLIB_CLIENT_ERROR_JFTP_WRITE_BAD_RESPONSE_STOR','JFTP: :write: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1177','JLIB_CLIENT_ERROR_JFTP_WRITE_DATA_PORT','JFTP: :write: Unable to write to data port socket.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1178','JLIB_CLIENT_ERROR_JFTP_WRITE_BAD_RESPONSE_TRANSFER','JFTP: :write: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1179','JLIB_CLIENT_ERROR_JFTP_APPEND_PASSIVE','JFTP: :append: Unable to use passive mode','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1180','JLIB_CLIENT_ERROR_JFTP_APPEND_BAD_RESPONSE','JFTP: :append: Bad response','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1181','JLIB_CLIENT_ERROR_JFTP_APPEND_BAD_RESPONSE_APPE','JFTP: :append: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1182','JLIB_CLIENT_ERROR_JFTP_APPEND_DATA_PORT','JFTP: :append: Unable to write to data port socket','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1183','JLIB_CLIENT_ERROR_JFTP_APPEND_BAD_RESPONSE_TRANSFER','JFTP: :append: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1184','JLIB_CLIENT_ERROR_JFTP_SIZE_BAD_RESPONSE','JFTP: :size: Bad response','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1185','JLIB_CLIENT_ERROR_JFTP_SIZE_PASSIVE','JFTP: :size: Unable to use passive mode','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1186','JLIB_CLIENT_ERROR_JFTP_LISTNAMES_PASSIVE','JFTP: :listNames: Unable to use passive mode','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1187','JLIB_CLIENT_ERROR_JFTP_LISTNAMES_BAD_RESPONSE','JFTP: :listNames: Bad response','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1188','JLIB_CLIENT_ERROR_JFTP_LISTNAMES_BAD_RESPONSE_NLST','JFTP: :listNames: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1189','JLIB_CLIENT_ERROR_JFTP_LISTNAMES_BAD_RESPONSE_TRANSFER','JFTP: :listNames: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1190','JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_BAD_RESPONSE','JFTP: :listDetails: Bad response.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1191','JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_PASSIVE','JFTP: :listDetails: Unable to use passive mode.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1192','JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_BAD_RESPONSE_LIST','JFTP: :listDetails: Bad response. Server response: %1$s [Expected: 150 or 125]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1193','JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_BAD_RESPONSE_TRANSFER','JFTP: :listDetails: Transfer Failed. Server response: %1$s [Expected: 226]. Path sent: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1194','JLIB_CLIENT_ERROR_JFTP_LISTDETAILS_UNRECOGNISED','JFTP: :listDetails: Unrecognised folder listing format.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1195','JLIB_CLIENT_ERROR_JFTP_PUTCMD_UNCONNECTED','JFTP: :_putCmd: Not connected to the control port.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1196','JLIB_CLIENT_ERROR_JFTP_PUTCMD_SEND','JFTP: :_putCmd: Unable to send command: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1197','JLIB_CLIENT_ERROR_JFTP_VERIFYRESPONSE','JFTP: :_verifyResponse: Timeout or unrecognised response while waiting for a response from the server. Server response: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1198','JLIB_CLIENT_ERROR_JFTP_PASSIVE_CONNECT_PORT','JFTP: :_passive: Not connected to the control port.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1199','JLIB_CLIENT_ERROR_JFTP_PASSIVE_RESPONSE','JFTP: :_passive: Timeout or unrecognised response while waiting for a response from the server. Server response: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1200','JLIB_CLIENT_ERROR_JFTP_PASSIVE_IP_OBTAIN','JFTP: :_passive: Unable to obtain IP and port for data transfer. Server response: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1201','JLIB_CLIENT_ERROR_JFTP_PASSIVE_IP_VALID','JFTP: :_passive: IP and port for data transfer not valid. Server response: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1202','JLIB_CLIENT_ERROR_JFTP_PASSIVE_CONNECT','JFTP: :_passive: Could not connect to host %1$s on port %2$s. Socket error number: %3$s and error message: %4$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1203','JLIB_CLIENT_ERROR_JFTP_MODE_BINARY','JFTP: :_mode: Bad response. Server response: %s [Expected: 200]. Mode sent: Binary.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1204','JLIB_CLIENT_ERROR_JFTP_MODE_ASCII','JFTP: :_mode: Bad response. Server response: %s [Expected: 200]. Mode sent: Ascii.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1205','JLIB_CLIENT_ERROR_HELPER_SETCREDENTIALSFROMREQUEST_FAILED','Looks like User\'s credentials are no good.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1206','JLIB_CLIENT_ERROR_LDAP_ADDRESS_NOT_AVAILABLE','Address not available.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1207','JLIB_CMS_WARNING_PROVIDE_VALID_NAME','Please provide a valid, non-blank title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1208','JLIB_DATABASE_ERROR_ADAPTER_MYSQL','The MySQL adapter \'mysql\' is not available.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1209','JLIB_DATABASE_ERROR_ADAPTER_MYSQLI','The MySQL adapter \'mysqli\' is not available.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1210','JLIB_DATABASE_ERROR_BIND_FAILED_INVALID_SOURCE_ARGUMENT','%s: :bind failed. Invalid source argument.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1211','JLIB_DATABASE_ERROR_ARTICLE_UNIQUE_ALIAS','Another article from this category has the same alias (remember it may be a trashed item).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1212','JLIB_DATABASE_ERROR_CATEGORY_UNIQUE_ALIAS','Another category with the same parent category has the same alias (remember it may be a trashed item).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1213','JLIB_DATABASE_ERROR_CHECK_FAILED','%s: :check Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1214','JLIB_DATABASE_ERROR_CHECKIN_FAILED','%s: :check-in failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1215','JLIB_DATABASE_ERROR_CHECKOUT_FAILED','%s: :check-out failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1216','JLIB_DATABASE_ERROR_CHILD_ROWS_CHECKED_OUT','Child rows checked out.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1217','JLIB_DATABASE_ERROR_CLASS_DOES_NOT_SUPPORT_ORDERING','%s does not support ordering.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1218','JLIB_DATABASE_ERROR_CLASS_IS_MISSING_FIELD','Missing field in the database: %s &#160; %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1219','JLIB_DATABASE_ERROR_CLASS_NOT_FOUND_IN_FILE','Table class %s not found in file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1220','JLIB_DATABASE_ERROR_CONNECT_DATABASE','Unable to connect to the Database: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1221','JLIB_DATABASE_ERROR_CONNECT_MYSQL','Could not connect to MySQL.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1222','JLIB_DATABASE_ERROR_DATABASE_CONNECT','Could not connect to database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1223','JLIB_DATABASE_ERROR_DATABASE_UPGRADE_FAILED','MySQL Database Upgrade failed. Please check the <a href="index.php?option=com_installer&view=database">Database Fixer</a>.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1224','JLIB_DATABASE_ERROR_DELETE_CATEGORY','Left-Right data inconsistency. Can\'t delete category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1225','JLIB_DATABASE_ERROR_DELETE_FAILED','%s: :delete failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1226','JLIB_DATABASE_ERROR_DELETE_ROOT_CATEGORIES','Root categories can\'t be deleted.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1227','JLIB_DATABASE_ERROR_EMAIL_INUSE','This email address is already registered.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1228','JLIB_DATABASE_ERROR_EMPTY_ROW_RETURNED','The database row is empty.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1229','JLIB_DATABASE_ERROR_FUNCTION_FAILED','DB function failed with error number %s <br /><span style="color: red;">%s</span>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1230','JLIB_DATABASE_ERROR_GET_NEXT_ORDER_FAILED','%s: :getNextOrder failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1231','JLIB_DATABASE_ERROR_GET_TREE_FAILED','%s: :getTree Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1232','JLIB_DATABASE_ERROR_GETNODE_FAILED','%s: :_getNode Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1233','JLIB_DATABASE_ERROR_GETROOTID_FAILED','%s: :getRootId Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1234','JLIB_DATABASE_ERROR_HIT_FAILED','%s: :hit failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1235','JLIB_DATABASE_ERROR_INVALID_LOCATION','%s: :setLocation - Invalid location.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1236','JLIB_DATABASE_ERROR_INVALID_NODE_RECURSION','%s: :move Failed - Can\'t move the node to be a child of itself.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1237','JLIB_DATABASE_ERROR_INVALID_PARENT_ID','Invalid parent ID.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1238','JLIB_DATABASE_ERROR_LANGUAGE_NO_TITLE','The language should have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1239','JLIB_DATABASE_ERROR_LANGUAGE_UNIQUE_IMAGE','A content language already exists with this Image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1240','JLIB_DATABASE_ERROR_LANGUAGE_UNIQUE_LANG_CODE','A content language already exists with this Language Tag.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1241','JLIB_DATABASE_ERROR_LANGUAGE_UNIQUE_SEF','A content language already exists with this URL Language Code.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1242','JLIB_DATABASE_ERROR_LOAD_DATABASE_DRIVER','Unable to load Database Driver: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1243','JLIB_DATABASE_ERROR_MENUTYPE','Some menu items or some menu modules related to this menutype are checked out by another user or the default menu item is in this menu.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1244','JLIB_DATABASE_ERROR_MENUTYPE_CHECKOUT','The user checking out does not match the user who checked out this menu and/or its linked menu module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1245','JLIB_DATABASE_ERROR_MENUTYPE_EMPTY','Menu type empty.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1246','JLIB_DATABASE_ERROR_MENUTYPE_EXISTS','Menu type exists: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1247','JLIB_DATABASE_ERROR_MENU_CANNOT_UNSET_DEFAULT','The Language parameter for this menu item must be set to \'All\'. At least one Default menu item must have Language set to All, even if the site is multilingual.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1248','JLIB_DATABASE_ERROR_MENU_CANNOT_UNSET_DEFAULT_DEFAULT','At least one menu item has to be set as Default.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1249','JLIB_DATABASE_ERROR_MENU_UNPUBLISH_DEFAULT_HOME','Can\'t unpublish default home.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1250','JLIB_DATABASE_ERROR_MENU_DEFAULT_CHECKIN_USER_MISMATCH','The current home menu for this language is checked out.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1251','JLIB_DATABASE_ERROR_MENU_UNIQUE_ALIAS','The alias <strong>%1$s</strong> is already being used by <strong>%2$s</strong> menu item in the <strong>%3$s</strong> menu (remember it may be a trashed item).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1252','JLIB_DATABASE_ERROR_MENU_UNIQUE_ALIAS_ROOT','Another menu item has the same alias in Root (remember it may be a trashed item). Root is the top level parent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1253','JLIB_DATABASE_ERROR_MENU_HOME_NOT_COMPONENT','The home menu item must be a component.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1254','JLIB_DATABASE_ERROR_MENU_HOME_NOT_UNIQUE_IN_MENU','A menu should have only one Default home.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1255','JLIB_DATABASE_ERROR_MENU_ROOT_ALIAS_COMPONENT','A first level menu item alias can\'t be \'component\'.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1256','JLIB_DATABASE_ERROR_MENU_ROOT_ALIAS_FOLDER','A first level menu item alias can\'t be \'%s\' because \'%s\' is a sub-folder of your joomla installation folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1257','JLIB_DATABASE_ERROR_MOVE_FAILED','%s: :move failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1258','JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_CATEGORY','Category must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1259','JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_EXTENSION','Extension must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1260','JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_MENUITEM','Menu Item must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1261','JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_MODULE','Module must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1262','JLIB_DATABASE_ERROR_MUSTCONTAIN_A_TITLE_UPDATESITE','Update site must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1263','JLIB_DATABASE_ERROR_NEGATIVE_NOT_PERMITTED','%s can\'t be negative.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1264','JLIB_DATABASE_ERROR_NO_ROWS_SELECTED','No rows selected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1265','JLIB_DATABASE_ERROR_NOT_SUPPORTED_FILE_NOT_FOUND','Table %s not supported. File not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1266','JLIB_DATABASE_ERROR_NULL_PRIMARY_KEY','Null primary key not allowed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1267','JLIB_DATABASE_ERROR_ORDERDOWN_FAILED','%s: :orderDown Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1268','JLIB_DATABASE_ERROR_ORDERUP_FAILED','%s: :orderUp Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1269','JLIB_DATABASE_ERROR_PLEASE_ENTER_A_USER_NAME','Please enter a username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1270','JLIB_DATABASE_ERROR_PLEASE_ENTER_YOUR_NAME','Please enter your name.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1271','JLIB_DATABASE_ERROR_PUBLISH_FAILED','%s: :publish failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1272','JLIB_DATABASE_ERROR_REBUILD_FAILED','%s: :rebuild Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1273','JLIB_DATABASE_ERROR_REBUILDPATH_FAILED','%s: :rebuildPath Failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1274','JLIB_DATABASE_ERROR_REORDER_FAILED','%s: :reorder failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1275','JLIB_DATABASE_ERROR_REORDER_UPDATE_ROW_FAILED','%s: :reorder update the row %s failed - %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1276','JLIB_DATABASE_ERROR_ROOT_NODE_NOT_FOUND','Root node not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1277','JLIB_DATABASE_ERROR_STORE_FAILED_UPDATE_ASSET_ID','The asset_id field could not be updated.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1278','JLIB_DATABASE_ERROR_STORE_FAILED','%1$s: :store failed<br />%2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1279','JLIB_DATABASE_ERROR_USERGROUP_TITLE','User group must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1280','JLIB_DATABASE_ERROR_USERGROUP_TITLE_EXISTS','User group title already exists. Title must be unique with the same parent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1281','JLIB_DATABASE_ERROR_USERLEVEL_NAME_EXISTS','Level with the name &quot;%s&quot; already exists.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1282','JLIB_DATABASE_ERROR_USERNAME_CANNOT_CHANGE','Can\'t use this username.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1283','JLIB_DATABASE_ERROR_USERNAME_INUSE','Username in use.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1284','JLIB_DATABASE_ERROR_VALID_AZ09','Please enter a valid username. No space at beginning or end, at least %d characters and must <strong>not</strong> have the following characters: < > \\ &quot; \' &#37; ; ( ) &.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1285','JLIB_DATABASE_ERROR_VALID_MAIL','Please enter a valid email address.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1286','JLIB_DATABASE_ERROR_VIEWLEVEL','Viewlevel must have a title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1287','JLIB_DATABASE_FUNCTION_NOERROR','DB function reports no errors.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1288','JLIB_DATABASE_QUERY_FAILED','Database query failed (error # %s): %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1289','JLIB_DOCUMENT_ERROR_UNABLE_LOAD_DOC_CLASS','Unable to load document class.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1290','JLIB_ENVIRONMENT_SESSION_EXPIRED','Your session has expired. Please log in again.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1291','JLIB_ENVIRONMENT_SESSION_INVALID','Invalid session cookie. Please check that you have cookies enabled in your web browser.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1292','JLIB_ERROR_COMPONENTS_ACL_CONFIGURATION_FILE_MISSING_OR_IMPROPERLY_STRUCTURED','The %s component\'s ACL configuration file is either missing or improperly structured.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1293','JLIB_ERROR_INFINITE_LOOP','Infinite loop detected in JError.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1294','JLIB_EVENT_ERROR_DISPATCHER','JEventDispatcher: :register: Event handler not recognised. Handler: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1295','JLIB_FILESYSTEM_BZIP_NOT_SUPPORTED','BZip2 Not Supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1296','JLIB_FILESYSTEM_BZIP_UNABLE_TO_READ','Unable to read archive (bz2).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1297','JLIB_FILESYSTEM_BZIP_UNABLE_TO_WRITE','Unable to write archive (bz2).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1298','JLIB_FILESYSTEM_BZIP_UNABLE_TO_WRITE_FILE','Unable to write file (bz2).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1299','JLIB_FILESYSTEM_GZIP_NOT_SUPPORTED','GZlib Not Supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1300','JLIB_FILESYSTEM_GZIP_UNABLE_TO_READ','Unable to read archive (gz).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1301','JLIB_FILESYSTEM_GZIP_UNABLE_TO_WRITE','Unable to write archive (gz).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1302','JLIB_FILESYSTEM_GZIP_UNABLE_TO_WRITE_FILE','Unable to write file (gz).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1303','JLIB_FILESYSTEM_GZIP_UNABLE_TO_DECOMPRESS','Unable to decompress data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1304','JLIB_FILESYSTEM_TAR_UNABLE_TO_READ','Unable to read archive (tar).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1305','JLIB_FILESYSTEM_TAR_UNABLE_TO_DECOMPRESS','Unable to decompress data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1306','JLIB_FILESYSTEM_TAR_UNABLE_TO_CREATE_DESTINATION','Unable to create destination.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1307','JLIB_FILESYSTEM_TAR_UNABLE_TO_WRITE_ENTRY','Unable to write entry.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1308','JLIB_FILESYSTEM_ZIP_NOT_SUPPORTED','Zlib Not Supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1309','JLIB_FILESYSTEM_ZIP_UNABLE_TO_READ','Unable to read archive (zip).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1310','JLIB_FILESYSTEM_ZIP_INFO_FAILED','Get ZIP Information failed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1311','JLIB_FILESYSTEM_ZIP_UNABLE_TO_CREATE_DESTINATION','Unable to create destination.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1312','JLIB_FILESYSTEM_ZIP_UNABLE_TO_WRITE_ENTRY','Unable to write entry.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1313','JLIB_FILESYSTEM_ZIP_UNABLE_TO_READ_ENTRY','Unable to read entry.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1314','JLIB_FILESYSTEM_ZIP_UNABLE_TO_OPEN_ARCHIVE','Unable to open archive.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1315','JLIB_FILESYSTEM_ZIP_INVALID_ZIP_DATA','Invalid ZIP data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1316','JLIB_FILESYSTEM_STREAM_FAILED','Failed to register string stream.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1317','JLIB_FILESYSTEM_UNKNOWNARCHIVETYPE','Unknown Archive type.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1318','JLIB_FILESYSTEM_UNABLE_TO_LOAD_ARCHIVE','Unable to load archive.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1319','JLIB_FILESYSTEM_ERROR_JFILE_FIND_COPY','JFile: :copy: Can\'t find or read file: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1320','JLIB_FILESYSTEM_ERROR_JFILE_STREAMS','JFile: :copy(%1$s, %2$s): %3$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1321','JLIB_FILESYSTEM_ERROR_COPY_FAILED','Copy failed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1322','JLIB_FILESYSTEM_ERROR_COPY_FAILED_ERR01','Copy failed: %1$s to %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1323','JLIB_FILESYSTEM_DELETE_FAILED','Failed deleting %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1324','JLIB_FILESYSTEM_CANNOT_FIND_SOURCE_FILE','Can\'t find source file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1325','JLIB_FILESYSTEM_ERROR_JFILE_MOVE_STREAMS','JFile: :move: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1326','JLIB_FILESYSTEM_ERROR_RENAME_FILE','Rename failed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1327','JLIB_FILESYSTEM_ERROR_READ_UNABLE_TO_OPEN_FILE','JFile: :read: Unable to open file: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1328','JLIB_FILESYSTEM_ERROR_WRITE_STREAMS','JFile: :write(%1$s): %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1329','JLIB_FILESYSTEM_ERROR_UPLOAD','JFile: :upload: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1330','JLIB_FILESYSTEM_ERROR_WARNFS_ERR01','Warning: Failed to change file permissions!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1331','JLIB_FILESYSTEM_ERROR_WARNFS_ERR02','Warning: Failed to move file!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1332','JLIB_FILESYSTEM_ERROR_WARNFS_ERR03','Warning: File %s not uploaded for security reasons!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1333','JLIB_FILESYSTEM_ERROR_WARNFS_ERR04','Warning: Failed to move file: %1$s to %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1334','JLIB_FILESYSTEM_ERROR_FIND_SOURCE_FOLDER','Can\'t find source folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1335','JLIB_FILESYSTEM_ERROR_FOLDER_EXISTS','Folder already exists.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1336','JLIB_FILESYSTEM_ERROR_FOLDER_CREATE','Unable to create target folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1337','JLIB_FILESYSTEM_ERROR_FOLDER_OPEN','Unable to open source folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1338','JLIB_FILESYSTEM_ERROR_FOLDER_LOOP','Infinite loop detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1339','JLIB_FILESYSTEM_ERROR_FOLDER_PATH','Path not in open_basedir paths.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1340','JLIB_FILESYSTEM_ERROR_COULD_NOT_CREATE_DIRECTORY','Could not create folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1341','JLIB_FILESYSTEM_ERROR_DELETE_BASE_DIRECTORY','You can\'t delete a base folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1342','JLIB_FILESYSTEM_ERROR_PATH_IS_NOT_A_FOLDER','JFolder: :delete: Path is not a folder. Path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1343','JLIB_FILESYSTEM_ERROR_FOLDER_DELETE','JFolder: :delete: Could not delete folder. Path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1344','JLIB_FILESYSTEM_ERROR_FOLDER_RENAME','Rename failed: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1345','JLIB_FILESYSTEM_ERROR_PATH_IS_NOT_A_FOLDER_FILES','JFolder: :files: Path is not a folder. Path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1346','JLIB_FILESYSTEM_ERROR_PATH_IS_NOT_A_FOLDER_FOLDER','JFolder: :folder: Path is not a folder. Path: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1347','JLIB_FILESYSTEM_ERROR_STREAMS_FILE_SIZE','Failed to get file size. This may not work for all streams!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1348','JLIB_FILESYSTEM_ERROR_STREAMS_FILE_NOT_OPEN','File not open.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1349','JLIB_FILESYSTEM_ERROR_STREAMS_FILENAME','File name not set.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1350','JLIB_FILESYSTEM_ERROR_NO_DATA_WRITTEN','Warning: No data written.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1351','JLIB_FILESYSTEM_ERROR_STREAMS_FAILED_TO_OPEN_WRITER','Failed to open writer: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1352','JLIB_FILESYSTEM_ERROR_STREAMS_FAILED_TO_OPEN_READER','Failed to open reader: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1353','JLIB_FILESYSTEM_ERROR_STREAMS_NOT_UPLOADED_FILE','Not an uploaded file!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1354','JLIB_FILTER_PARAMS_ALNUM','Alpha Numeric','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1355','JLIB_FILTER_PARAMS_FLOAT','Float','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1356','JLIB_FILTER_PARAMS_INTEGER','Integer','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1357','JLIB_FILTER_PARAMS_RAW','Raw','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1358','JLIB_FILTER_PARAMS_SAFEHTML','Safe HTML','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1359','JLIB_FILTER_PARAMS_TEL','Telephone','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1360','JLIB_FILTER_PARAMS_TEXT','Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1361','JLIB_FORM_BUTTON_CLEAR','Clear','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1362','JLIB_FORM_BUTTON_SELECT','Select','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1363','JLIB_FORM_CHANGE_IMAGE','Change Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1364','JLIB_FORM_CHANGE_IMAGE_BUTTON','Change Image Button','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1365','JLIB_FORM_CHANGE_USER','Select User','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1366','JLIB_FORM_ERROR_FIELDS_CATEGORY_ERROR_EXTENSION_EMPTY','Extension attribute is empty in the category field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1367','JLIB_FORM_ERROR_FIELDS_GROUPEDLIST_ELEMENT_NAME','Unknown element type: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1368','JLIB_FORM_ERROR_NO_DATA','No data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1369','JLIB_FORM_ERROR_VALIDATE_FIELD','Invalid xml field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1370','JLIB_FORM_ERROR_XML_FILE_DID_NOT_LOAD','XML file did not load.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1371','JLIB_FORM_FIELD_INVALID','Invalid field:&#160','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1372','JLIB_FORM_INPUTMODE','latin','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1373','JLIB_FORM_INVALID_FORM_OBJECT','Invalid Form Object: :%s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1374','JLIB_FORM_INVALID_FORM_RULE','Invalid Form Rule: :%s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1375','JLIB_FORM_MEDIA_PREVIEW_ALT','Selected image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1376','JLIB_FORM_MEDIA_PREVIEW_EMPTY','No image selected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1377','JLIB_FORM_MEDIA_PREVIEW_SELECTED_IMAGE','Selected image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1378','JLIB_FORM_MEDIA_PREVIEW_TIP_TITLE','Preview','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1379','JLIB_FORM_SELECT_USER','Select a User','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1380','JLIB_FORM_VALIDATE_FIELD_INVALID','Invalid field: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1381','JLIB_FORM_VALIDATE_FIELD_REQUIRED','Field required: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1382','JLIB_FORM_VALIDATE_FIELD_RULE_MISSING','Validation Rule missing: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1383','JLIB_FORM_VALIDATE_FIELD_URL_SCHEMA_MISSING','Invalid URL: URL schema is missing in %1$s. Please add one of the following at the beginning: %2$s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1384','JLIB_FORM_VALUE_CACHE_APC','Alternative PHP Cache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1385','JLIB_FORM_VALUE_CACHE_APCU','APC User Cache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1386','JLIB_FORM_VALUE_CACHE_CACHELITE','Cache_Lite','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1387','JLIB_FORM_VALUE_CACHE_EACCELERATOR','eAccelerator','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1388','JLIB_FORM_VALUE_CACHE_FILE','File','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1389','JLIB_FORM_VALUE_CACHE_MEMCACHE','Memcache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1390','JLIB_FORM_VALUE_CACHE_MEMCACHED','Memcached (Experimental)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1391','JLIB_FORM_VALUE_CACHE_REDIS','Redis','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1392','JLIB_FORM_VALUE_CACHE_WINCACHE','Windows Cache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1393','JLIB_FORM_VALUE_CACHE_XCACHE','XCache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1394','JLIB_FORM_VALUE_SESSION_APC','Alternative PHP Cache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1395','JLIB_FORM_VALUE_SESSION_DATABASE','Database','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1396','JLIB_FORM_VALUE_SESSION_EACCELERATOR','eAccelerator','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1397','JLIB_FORM_VALUE_SESSION_MEMCACHE','Memcache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1398','JLIB_FORM_VALUE_SESSION_MEMCACHED','Memcached (Experimental)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1399','JLIB_FORM_VALUE_SESSION_NONE','PHP','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1400','JLIB_FORM_VALUE_SESSION_REDIS','Redis','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1401','JLIB_FORM_VALUE_SESSION_WINCACHE','Windows Cache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1402','JLIB_FORM_VALUE_SESSION_XCACHE','XCache','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1403','JLIB_FORM_VALUE_TIMEZONE_UTC','Universal Time, Coordinated (UTC)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1404','JLIB_FORM_VALUE_FROM_TEMPLATE','From Template','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1405','JLIB_FORM_VALUE_INHERITED','Inherited','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1406','JLIB_HTML_ACCESS_MODIFY_DESC_CAPTION_ACL','ACL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1407','JLIB_HTML_ACCESS_MODIFY_DESC_CAPTION_TABLE','Table','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1408','JLIB_HTML_ACCESS_SUMMARY_DESC_CAPTION','ACL Summary Table','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1409','JLIB_HTML_ACCESS_SUMMARY_DESC','Shown below is an overview of the permission settings for this article. Select the tabs above to customise these settings by action.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1410','JLIB_HTML_ACCESS_SUMMARY','Summary.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1411','JLIB_HTML_ADD_TO_ROOT','Add to root.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1412','JLIB_HTML_ADD_TO_THIS_MENU','Add to this menu.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1413','JLIB_HTML_BATCH_ACCESS_LABEL','Set Access Level','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1414','JLIB_HTML_BATCH_ACCESS_LABEL_DESC','Not making a selection will keep the original access levels when processing.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1415','JLIB_HTML_BATCH_COPY','Copy','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1416','JLIB_HTML_BATCH_FLIPORDERING_LABEL','Reverse the ordering of all articles in the selected categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1417','JLIB_HTML_BATCH_LANGUAGE_LABEL','Set Language','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1418','JLIB_HTML_BATCH_LANGUAGE_LABEL_DESC','Not making a selection will keep the original language when processing.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1419','JLIB_HTML_BATCH_LANGUAGE_NOCHANGE','- Keep original Language -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1420','JLIB_HTML_BATCH_MENU_LABEL','To Move or Copy your selection please select a Category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1421','JLIB_HTML_BATCH_MOVE','Move','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1422','JLIB_HTML_BATCH_MOVE_QUESTION','Do you want to move the items or make a copy of them?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1423','JLIB_HTML_BATCH_NO_CATEGORY','- Don\'t move or copy -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1424','JLIB_HTML_BATCH_NOCHANGE','- Keep original Access Levels -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1425','JLIB_HTML_BATCH_TAG_LABEL','Add Tag','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1426','JLIB_HTML_BATCH_TAG_LABEL_DESC','Add a tag to selected items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1427','JLIB_HTML_BATCH_TAG_NOCHANGE','- Keep original Tags -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1428','JLIB_HTML_BATCH_USER_LABEL','Set User.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1429','JLIB_HTML_BATCH_USER_LABEL_DESC','Not making a selection will keep the original user when processing.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1430','JLIB_HTML_BATCH_USER_NOCHANGE','- Keep original User -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1431','JLIB_HTML_BATCH_USER_NOUSER','No User.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1432','JLIB_HTML_BEHAVIOR_ABOUT_THE_CALENDAR','About the Calendar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1433','JLIB_HTML_BEHAVIOR_CLOSE','Close','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1434','JLIB_HTML_BEHAVIOR_DATE_SELECTION','Date selection:\\n','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1435','JLIB_HTML_BEHAVIOR_DISPLAY_S_FIRST','Display %s first','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1436','JLIB_HTML_BEHAVIOR_DRAG_TO_MOVE','Drag to move.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1437','JLIB_HTML_BEHAVIOR_GO_TODAY','Go to today','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1438','JLIB_HTML_BEHAVIOR_GREEN','Green','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1439','JLIB_HTML_BEHAVIOR_HOLD_MOUSE','- Hold mouse button on any of the buttons above for faster selection.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1440','JLIB_HTML_BEHAVIOR_MONTH_SELECT','- Use the < and > buttons to select month\\n','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1441','JLIB_HTML_BEHAVIOR_NEXT_MONTH_HOLD_FOR_MENU','Select to move to the next month. Select and hold for a list of the months.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1442','JLIB_HTML_BEHAVIOR_NEXT_YEAR_HOLD_FOR_MENU','Select to move to the next year. Select and hold for a list of years.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1443','JLIB_HTML_BEHAVIOR_OPEN_CALENDAR','Open the calendar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1444','JLIB_HTML_BEHAVIOR_PREV_MONTH_HOLD_FOR_MENU','Select to move to the previous month. Select and hold for a list of the months.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1445','JLIB_HTML_BEHAVIOR_PREV_YEAR_HOLD_FOR_MENU','Select to move to the previous year. Select and hold for a list of years.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1446','JLIB_HTML_BEHAVIOR_SELECT_DATE','Select a date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1447','JLIB_HTML_BEHAVIOR_SHIFT_CLICK_OR_DRAG_TO_CHANGE_VALUE','(Shift-)Select or Drag to change the value.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1448','JLIB_HTML_BEHAVIOR_TIME','Time:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1449','JLIB_HTML_BEHAVIOR_TODAY','Today','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1450','JLIB_HTML_BEHAVIOR_TT_DATE_FORMAT','%a, %b %e','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1451','JLIB_HTML_BEHAVIOR_WK','wk','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1452','JLIB_HTML_BEHAVIOR_YEAR_SELECT','- Use the « and » buttons to select year\\n','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1453','JLIB_HTML_BUTTON_BASE_CLASS','Could not load button base class.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1454','JLIB_HTML_BUTTON_NO_LOAD','Could not load button %s (%s);','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1455','JLIB_HTML_BUTTON_NOT_DEFINED','Button not defined for type = %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1456','JLIB_HTML_CALENDAR','Calendar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1457','JLIB_HTML_CHECKED_OUT','Checked out','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1458','JLIB_HTML_CHECKIN','Check-in','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1459','JLIB_HTML_CLOAKING','This email address is being protected from spambots. You need JavaScript enabled to view it.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1460','JLIB_HTML_DATE_RELATIVE_DAYS','%s days ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1461','JLIB_HTML_DATE_RELATIVE_DAYS_1','%s day ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1462','JLIB_HTML_DATE_RELATIVE_DAYS_0','%s days ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1463','JLIB_HTML_DATE_RELATIVE_HOURS','%s hours ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1464','JLIB_HTML_DATE_RELATIVE_HOURS_1','%s hour ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1465','JLIB_HTML_DATE_RELATIVE_HOURS_0','%s hours ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1466','JLIB_HTML_DATE_RELATIVE_LESSTHANAMINUTE','Less than a minute ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1467','JLIB_HTML_DATE_RELATIVE_MINUTES','%s minutes ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1468','JLIB_HTML_DATE_RELATIVE_MINUTES_1','%s minute ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1469','JLIB_HTML_DATE_RELATIVE_MINUTES_0','%s minutes ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1470','JLIB_HTML_DATE_RELATIVE_WEEKS','%s weeks ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1471','JLIB_HTML_DATE_RELATIVE_WEEKS_1','%s week ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1472','JLIB_HTML_DATE_RELATIVE_WEEKS_0','%s weeks ago.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1473','JLIB_HTML_EDIT_MENU_ITEM','Edit menu item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1474','JLIB_HTML_EDIT_MENU_ITEM_ID','Item ID: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1475','JLIB_HTML_EDIT_MODULE','Edit module','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1476','JLIB_HTML_EDIT_MODULE_IN_POSITION','Position: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1477','JLIB_HTML_EDITOR_CANNOT_LOAD','Can\'t load the editor.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1478','JLIB_HTML_END','End','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1479','JLIB_HTML_ERROR_FUNCTION_NOT_SUPPORTED','Function not supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1480','JLIB_HTML_ERROR_NOTFOUNDINFILE','%s: :%s not found in file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1481','JLIB_HTML_ERROR_NOTSUPPORTED_NOFILE','%s: :%s not supported. File not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1482','JLIB_HTML_ERROR_NOTSUPPORTED','%s: :%s not supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1483','JLIB_HTML_GOTO_PAGE','Go to page %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1484','JLIB_HTML_GOTO_POSITION','Go to %s page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1485','JLIB_HTML_MOVE_DOWN','Move Down','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1486','JLIB_HTML_MOVE_UP','Move Up','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1487','JLIB_HTML_NO_PARAMETERS_FOR_THIS_ITEM','There are no parameters for this item.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1488','JLIB_HTML_NO_RECORDS_FOUND','No records found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1489','JLIB_HTML_PAGE_CURRENT','Page %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1490','JLIB_HTML_PAGE_CURRENT_OF_TOTAL','Page %s of %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1491','JLIB_HTML_PAGINATION','Pagination','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1492','JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST','Please first make a selection from the list.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1493','JLIB_HTML_PUBLISH_ITEM','Publish Item','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1494','JLIB_HTML_PUBLISHED_EXPIRED_ITEM','Published, but has Expired.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1495','JLIB_HTML_PUBLISHED_FINISHED','Finish: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1496','JLIB_HTML_PUBLISHED_ITEM','Published and is Current.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1497','JLIB_HTML_PUBLISHED_PENDING_ITEM','Published, but is Pending.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1498','JLIB_HTML_PUBLISHED_START','Start: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1499','JLIB_HTML_RESULTS_OF','Results %s - %s of %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1500','JLIB_HTML_SAVE_ORDER','Save Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1501','JLIB_HTML_SELECT_STATE','Select State','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1502','JLIB_HTML_START','Start','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1503','JLIB_HTML_UNPUBLISH_ITEM','Unpublish Item','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1504','JLIB_HTML_VIEW_ALL','View All','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1505','JLIB_HTML_SETDEFAULT_ITEM','Set default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1506','JLIB_HTML_UNSETDEFAULT_ITEM','Unset default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1507','JLIB_INSTALLER_ABORT','Aborting language installation: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1508','JLIB_INSTALLER_ABORT_ALREADYINSTALLED','Extension is already installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1509','JLIB_INSTALLER_ABORT_ALREADY_EXISTS','Extension %1$s: Extension %2$s already exists.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1510','JLIB_INSTALLER_ABORT_COMP_BUILDADMINMENUS_FAILED','Error building Administrator Menus.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1511','JLIB_INSTALLER_ABORT_COMP_COPY_MANIFEST','Component %1$s: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1512','JLIB_INSTALLER_ABORT_COMP_COPY_SETUP','Component %1$s: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1513','JLIB_INSTALLER_ABORT_COMP_FAIL_ADMIN_FILES','Component %s: Failed to copy administrator files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1514','JLIB_INSTALLER_ABORT_COMP_FAIL_SITE_FILES','Component %s: Failed to copy site files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1515','JLIB_INSTALLER_ABORT_COMP_INSTALL_COPY_SETUP','Component Install: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1516','JLIB_INSTALLER_ABORT_COMP_INSTALL_CUSTOM_INSTALL_FAILURE','Component Install: Custom install routine failure.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1517','JLIB_INSTALLER_ABORT_COMP_INSTALL_MANIFEST','Component Install: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1518','JLIB_INSTALLER_ABORT_COMP_INSTALL_PHP_INSTALL','Component Install: Could not copy PHP install file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1519','JLIB_INSTALLER_ABORT_COMP_INSTALL_PHP_UNINSTALL','Component Install: Could not copy PHP uninstall file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1520','JLIB_INSTALLER_ABORT_COMP_INSTALL_ROLLBACK','Component Install: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1521','JLIB_INSTALLER_ABORT_COMP_INSTALL_SQL_ERROR','Component Install: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1522','JLIB_INSTALLER_ABORT_COMP_UPDATESITEMENUS_FAILED','Component Install: Failed to update menu items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1523','JLIB_INSTALLER_ABORT_COMP_UPDATE_ADMIN_ELEMENT','Component Update: The XML file did not have an administration element.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1524','JLIB_INSTALLER_ABORT_COMP_UPDATE_COPY_SETUP','Component Update: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1525','JLIB_INSTALLER_ABORT_COMP_UPDATE_MANIFEST','Component Update: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1526','JLIB_INSTALLER_ABORT_COMP_UPDATE_PHP_INSTALL','Component Update: Could not copy PHP install file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1527','JLIB_INSTALLER_ABORT_COMP_UPDATE_PHP_UNINSTALL','Component Update: Could not copy PHP uninstall file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1528','JLIB_INSTALLER_ABORT_COMP_UPDATE_ROLLBACK','Component Update: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1529','JLIB_INSTALLER_ABORT_COMP_UPDATE_SQL_ERROR','Component Update: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1530','JLIB_INSTALLER_ABORT_CREATE_DIRECTORY','Extension %1$s: Failed to create folder: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1531','JLIB_INSTALLER_ABORT_DEBUG','Installation unexpectedly stopped:','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1532','JLIB_INSTALLER_ABORT_DETECTMANIFEST','Unable to detect manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1533','JLIB_INSTALLER_ABORT_DIRECTORY','Extension %1$s: Another %2$s is already using the named folder: %3$s. Are you trying to install the same extension again?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1534','JLIB_INSTALLER_ABORT_ERROR_DELETING_EXTENSIONS_RECORD','Could not delete the extension\'s record from the database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1535','JLIB_INSTALLER_ABORT_EXTENSIONNOTVALID','Extension is not valid.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1536','JLIB_INSTALLER_ABORT_FILE_INSTALL_COPY_SETUP','Files Install: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1537','JLIB_INSTALLER_ABORT_FILE_INSTALL_CUSTOM_INSTALL_FAILURE','Files Install: Custom install routine failure.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1538','JLIB_INSTALLER_ABORT_FILE_INSTALL_FAIL_SOURCE_DIRECTORY','Files Install: Failed to find source folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1539','JLIB_INSTALLER_ABORT_FILE_INSTALL_ROLLBACK','Files Install: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1540','JLIB_INSTALLER_ABORT_FILE_INSTALL_SQL_ERROR','Files %1$s: SQL error file %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1541','JLIB_INSTALLER_ABORT_FILE_ROLLBACK','Files Install: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1542','JLIB_INSTALLER_ABORT_FILE_SAME_NAME','Files Install: Another extension with same name already exists.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1543','JLIB_INSTALLER_ABORT_FILE_UPDATE_SQL_ERROR','Files Update: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1544','JLIB_INSTALLER_ABORT_INSTALL_CUSTOM_INSTALL_FAILURE','Extension %s: Custom install routine failure.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1545','JLIB_INSTALLER_ABORT_LIB_COPY_FILES','Library %s: Could not copy files from the source.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1546','JLIB_INSTALLER_ABORT_LIB_INSTALL_ALREADY_INSTALLED','Library Install: Library already installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1547','JLIB_INSTALLER_ABORT_LIB_INSTALL_COPY_SETUP','Library Install: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1548','JLIB_INSTALLER_ABORT_LIB_INSTALL_FAILED_TO_CREATE_DIRECTORY','Library Install: Failed to create folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1549','JLIB_INSTALLER_ABORT_LIB_INSTALL_NOFILE','Library Install: No library file specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1550','JLIB_INSTALLER_ABORT_LIB_INSTALL_ROLLBACK','Library Install: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1551','JLIB_INSTALLER_ABORT_LOAD_DETAILS','Failed to load extension details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1552','JLIB_INSTALLER_ABORT_MANIFEST','Extension %1$s: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1553','JLIB_INSTALLER_ABORT_METHODNOTSUPPORTED','Method not supported for this extension type.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1554','JLIB_INSTALLER_ABORT_METHODNOTSUPPORTED_TYPE','Method not supported for this extension type: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1555','JLIB_INSTALLER_ABORT_MOD_COPY_FILES','Module %s: Could not copy files from the source.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1556','JLIB_INSTALLER_ABORT_MOD_INSTALL_COPY_SETUP','Module Install: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1557','JLIB_INSTALLER_ABORT_MOD_INSTALL_CREATE_DIRECTORY','Module %1$s: Failed to create folder: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1558','JLIB_INSTALLER_ABORT_MOD_INSTALL_CUSTOM_INSTALL_FAILURE','Module Install: Custom install routine failure.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1559','JLIB_INSTALLER_ABORT_MOD_INSTALL_DIRECTORY','Module %1$s: Another module is already using folder: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1560','JLIB_INSTALLER_ABORT_MOD_INSTALL_MANIFEST','Module Install: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1561','JLIB_INSTALLER_ABORT_MOD_INSTALL_NOFILE','Module %s: No module file specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1562','JLIB_INSTALLER_ABORT_MOD_INSTALL_SQL_ERROR','Module %1$s: SQL error file %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1563','JLIB_INSTALLER_ABORT_MOD_ROLLBACK','Module %1$s: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1564','JLIB_INSTALLER_ABORT_MOD_UNINSTALL_UNKNOWN_CLIENT','Module Uninstall: Unknown client type [%s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1565','JLIB_INSTALLER_ABORT_MOD_UNKNOWN_CLIENT','Module %1$s: Unknown client type [%2$s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1566','JLIB_INSTALLER_ABORT_NOINSTALLPATH','Install path does not exist.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1567','JLIB_INSTALLER_ABORT_NOUPDATEPATH','Update path does not exist.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1568','JLIB_INSTALLER_ABORT_PACK_INSTALL_COPY_SETUP','Package Install: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1569','JLIB_INSTALLER_ABORT_PACK_INSTALL_CREATE_DIRECTORY','Package Install: Failed to create folder: %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1570','JLIB_INSTALLER_ABORT_PACKAGE_INSTALL_CUSTOM_INSTALL_FAILURE','Package Install: Custom install routine failure.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1571','JLIB_INSTALLER_ABORT_PACKAGE_INSTALL_MANIFEST','Installation failed: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1572','JLIB_INSTALLER_ABORT_PACK_INSTALL_ERROR_EXTENSION','Package %1$s: There was an error installing an extension: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1573','JLIB_INSTALLER_ABORT_PACK_INSTALL_NO_FILES','Package %s: There were no files to install!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1574','JLIB_INSTALLER_ABORT_PACK_INSTALL_NO_PACK','Package %s: No package file specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1575','JLIB_INSTALLER_ABORT_PACK_INSTALL_ROLLBACK','Package Install: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1576','JLIB_INSTALLER_ABORT_PLG_COPY_FILES','Plugin %s: Could not copy files from the source.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1577','JLIB_INSTALLER_ABORT_PLG_INSTALL_ALLREADY_EXISTS','Plugin %1$s: Plugin %2$s already exists.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1578','JLIB_INSTALLER_ABORT_PLG_INSTALL_COPY_SETUP','Plugin %s: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1579','JLIB_INSTALLER_ABORT_PLG_INSTALL_CREATE_DIRECTORY','Plugin %1$s: Failed to create folder: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1580','JLIB_INSTALLER_ABORT_PLG_INSTALL_CUSTOM_INSTALL_FAILURE','Plugin Install: Custom install routine failure.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1581','JLIB_INSTALLER_ABORT_PLG_INSTALL_DIRECTORY','Plugin %1$s: Another plugin is already using folder: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1582','JLIB_INSTALLER_ABORT_PLG_INSTALL_MANIFEST','Plugin %s: Could not copy PHP manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1583','JLIB_INSTALLER_ABORT_PLG_INSTALL_NO_FILE','Plugin %s: No plugin file specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1584','JLIB_INSTALLER_ABORT_PLG_INSTALL_ROLLBACK','Plugin %1$s: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1585','JLIB_INSTALLER_ABORT_PLG_INSTALL_SQL_ERROR','Plugin %1$s: SQL error file %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1586','JLIB_INSTALLER_ABORT_PLG_UNINSTALL_SQL_ERROR','Plugin Uninstall: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1587','JLIB_INSTALLER_ABORT_REFRESH_MANIFEST_CACHE','Refresh Manifest Cache failed: %s Extension is not currently installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1588','JLIB_INSTALLER_ABORT_REFRESH_MANIFEST_CACHE_VALID','Refresh Manifest Cache failed: Extension is not valid.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1589','JLIB_INSTALLER_ABORT_ROLLBACK','Extension %1$s: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1590','JLIB_INSTALLER_ABORT_SQL_ERROR','Extension %1$s: SQL error processing query: %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1591','JLIB_INSTALLER_ABORT_TPL_INSTALL_ALREADY_INSTALLED','Template Install: Template already installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1592','JLIB_INSTALLER_ABORT_TPL_INSTALL_ANOTHER_TEMPLATE_USING_DIRECTORY','Template Install: There is already a Template using the named folder: %s. Are you trying to install the same template again?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1593','JLIB_INSTALLER_ABORT_TPL_INSTALL_COPY_FILES','Template Install: Could not copy files from the %s source.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1594','JLIB_INSTALLER_ABORT_TPL_INSTALL_COPY_SETUP','Template Install: Could not copy setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1595','JLIB_INSTALLER_ABORT_TPL_INSTALL_FAILED_CREATE_DIRECTORY','Template Install: Failed to create folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1596','JLIB_INSTALLER_ABORT_TPL_INSTALL_ROLLBACK','Template Install: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1597','JLIB_INSTALLER_ABORT_TPL_INSTALL_UNKNOWN_CLIENT','Template Install: Unknown client type [%s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1598','JLIB_INSTALLER_AVAILABLE_UPDATE_PHP_VERSION','For the extension %1$s version %2$s is available, but it requires at least PHP version %3$s while your system only has %4$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1599','JLIB_INSTALLER_AVAILABLE_UPDATE_DB_MINIMUM','For the extension %1$s version %2$s is available, but your current database %3$s is version %4$s and is not supported. Please contact your web host to update your Database version to at least version %5$s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1600','JLIB_INSTALLER_AVAILABLE_UPDATE_DB_TYPE','For the extension %1$s version %2$s is available, but your current database %3$s is not supported anymore.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1601','JLIB_INSTALLER_PURGED_UPDATES','Cleared updates','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1602','JLIB_INSTALLER_FAILED_TO_PURGE_UPDATES','Failed to clear updates.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1603','JLIB_INSTALLER_DEFAULT_STYLE','%s - Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1604','JLIB_INSTALLER_DISCOVER','Discover','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1605','JLIB_INSTALLER_ERROR_CANNOT_UNINSTALL_CHILD_OF_PACKAGE','The %s extension is part of a package which does not allow individual extensions to be uninstalled.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1606','JLIB_INSTALLER_ERROR_COMP_DISCOVER_STORE_DETAILS','Component Discover install: Failed to store component details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1607','JLIB_INSTALLER_ERROR_COMP_FAILED_TO_CREATE_DIRECTORY','Component %1$s: Failed to create folder: %2$s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1608','JLIB_INSTALLER_ERROR_COMP_INSTALL_ADMIN_ELEMENT','Component Install: The XML file did not have an administration element.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1609','JLIB_INSTALLER_ERROR_COMP_INSTALL_DIR_ADMIN','Component Install: Another component is already using folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1610','JLIB_INSTALLER_ERROR_COMP_INSTALL_DIR_SITE','Component Install: Another component is already using folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1611','JLIB_INSTALLER_ERROR_COMP_INSTALL_FAILED_TO_CREATE_DIRECTORY_ADMIN','Component Install: Failed to create administrator folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1612','JLIB_INSTALLER_ERROR_COMP_INSTALL_FAILED_TO_CREATE_DIRECTORY_SITE','Component Install: Failed to create site folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1613','JLIB_INSTALLER_ERROR_COMP_REFRESH_MANIFEST_CACHE','Component Refresh manifest cache: Failed to store component details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1614','JLIB_INSTALLER_ERROR_COMP_REMOVING_ADMIN_MENUS_FAILED','Could not delete the Administrator menus.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1615','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_CUSTOM','Component Uninstall: Custom Uninstall script unsuccessful.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1616','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_FAILED_DELETE_CATEGORIES','Component Uninstall: Unable to delete the component categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1617','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_ERRORREMOVEMANUALLY','Component Uninstall: Can\'t uninstall. Please remove manually.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1618','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_ERRORUNKOWNEXTENSION','Component Uninstall: Unknown Extension.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1619','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_FAILED_REMOVE_DIRECTORY_ADMIN','Component Uninstall: Unable to remove the component administrator folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1620','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_FAILED_REMOVE_DIRECTORY_SITE','Component Uninstall: Unable to remove the component site folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1621','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_NO_OPTION','Component Uninstall: Option field empty, can\'t remove files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1622','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_SQL_ERROR','Component Uninstall: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1623','JLIB_INSTALLER_ERROR_COMP_UNINSTALL_WARNCORECOMPONENT','Component Uninstall: Trying to uninstall a core component.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1624','JLIB_INSTALLER_ERROR_COMP_UPDATE_FAILED_TO_CREATE_DIRECTORY_ADMIN','Component Update: Failed to create administrator folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1625','JLIB_INSTALLER_ERROR_COMP_UPDATE_FAILED_TO_CREATE_DIRECTORY_SITE','Component Update: Failed to create site folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1626','JLIB_INSTALLER_ERROR_CREATE_DIRECTORY','JInstaller: :Install: Failed to create folder: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1627','JLIB_INSTALLER_ERROR_CREATE_FOLDER_FAILED','Failed to create folder [%s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1628','JLIB_INSTALLER_ERROR_DEPRECATED_FORMAT','Deprecated install format (client="both"), use package installer in future.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1629','JLIB_INSTALLER_ERROR_DISCOVER_INSTALL_UNSUPPORTED','A %s extension can not be installed using the discover method. Please install this extension from Extension Manager: Install.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1630','JLIB_INSTALLER_ERROR_DOWNGRADE','Sorry! You cannot downgrade from version %s to %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1631','JLIB_INSTALLER_ERROR_DOWNLOAD_SERVER_CONNECT','Error connecting to the server: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1632','JLIB_INSTALLER_ERROR_FAIL_COPY_FILE','JInstaller: :Install: Failed to copy file %1$s to %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1633','JLIB_INSTALLER_ERROR_FAIL_COPY_FOLDER','JInstaller: :Install: Failed to copy folder %1$s to %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1634','JLIB_INSTALLER_ERROR_FAILED_READING_NETWORK_RESOURCES','Failed reading network resource: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1635','JLIB_INSTALLER_ERROR_FILE_EXISTS','JInstaller: :Install: File already exists %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1636','JLIB_INSTALLER_ERROR_FILE_FOLDER','Error on deleting file or folder %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1637','JLIB_INSTALLER_ERROR_FILE_UNINSTALL_INVALID_MANIFEST','Files Uninstall: Invalid manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1638','JLIB_INSTALLER_ERROR_FILE_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Files Uninstall: Manifest file invalid or not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1639','JLIB_INSTALLER_ERROR_FILE_UNINSTALL_LOAD_ENTRY','Files Uninstall: Could not load extension entry.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1640','JLIB_INSTALLER_ERROR_FILE_UNINSTALL_LOAD_MANIFEST','Files Uninstall: Could not load manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1641','JLIB_INSTALLER_ERROR_FILE_UNINSTALL_SQL_ERROR','Files Uninstall: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1642','JLIB_INSTALLER_ERROR_FILE_UNINSTALL_WARNCOREFILE','File Uninstall: Trying to uninstall core files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1643','JLIB_INSTALLER_ERROR_FOLDER_IN_USE','Another extension is already using folder [%s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1644','JLIB_INSTALLER_ERROR_LANG_DISCOVER_STORE_DETAILS','Language Discover install: Failed to store language details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1645','JLIB_INSTALLER_ERROR_LANG_UNINSTALL_DEFAULT','This language can\'t be uninstalled as long as it is defined as a default language.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1646','JLIB_INSTALLER_ERROR_LANG_UNINSTALL_DIRECTORY','Language Uninstall: Unable to remove the specified Language folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1647','JLIB_INSTALLER_ERROR_LANG_UNINSTALL_ELEMENT_EMPTY','Language Uninstall: Element is empty, can\'t uninstall files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1648','JLIB_INSTALLER_ERROR_LANG_UNINSTALL_PATH_EMPTY','Language Uninstall: Language path is empty, can\'t uninstall files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1649','JLIB_INSTALLER_ERROR_LANG_UNINSTALL_PROTECTED','This language can\'t be uninstalled. It is protected in the database (usually en-GB).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1650','JLIB_INSTALLER_ERROR_LIB_DISCOVER_STORE_DETAILS','Library Discover install: Failed to store library details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1651','JLIB_INSTALLER_ERROR_LIB_REFRESH_MANIFEST_CACHE','Library Refresh manifest cache: Failed to store library details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1652','JLIB_INSTALLER_ERROR_LIB_UNINSTALL_INVALID_MANIFEST','Library Uninstall: Invalid manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1653','JLIB_INSTALLER_ERROR_LIB_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Library Uninstall: Manifest file invalid or not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1654','JLIB_INSTALLER_ERROR_LIB_UNINSTALL_LOAD_MANIFEST','Library Uninstall: Could not load manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1655','JLIB_INSTALLER_ERROR_LIB_UNINSTALL_WARNCORELIBRARY','Library Uninstall: Trying to uninstall a core library.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1656','JLIB_INSTALLER_ERROR_LOAD_XML','JInstaller: :Install: Failed to load XML File: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1657','JLIB_INSTALLER_ERROR_MOD_DISCOVER_STORE_DETAILS','Module Discover install: Failed to store module details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1658','JLIB_INSTALLER_ERROR_MOD_REFRESH_MANIFEST_CACHE','Module Refresh manifest cache: Failed to store module details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1659','JLIB_INSTALLER_ERROR_MOD_UNINSTALL_ERRORUNKOWNEXTENSION','Module Uninstall: Unknown Extension.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1660','JLIB_INSTALLER_ERROR_MOD_UNINSTALL_EXCEPTION','Module Uninstall: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1661','JLIB_INSTALLER_ERROR_MOD_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Module Uninstall: Manifest file invalid or not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1662','JLIB_INSTALLER_ERROR_MOD_UNINSTALL_SQL_ERROR','Module Uninstall: SQL error file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1663','JLIB_INSTALLER_ERROR_MOD_UNINSTALL_WARNCOREMODULE','Module Uninstall: Trying to uninstall a core module: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1664','JLIB_INSTALLER_ERROR_NO_CORE_LANGUAGE','No core pack exists for the language [%s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1665','JLIB_INSTALLER_ERROR_NO_FILE','JInstaller: :Install: File does not exist %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1666','JLIB_INSTALLER_ERROR_NO_LANGUAGE_TAG','The package did not specify a language tag. Are you trying to install an old language package?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1667','JLIB_INSTALLER_ERROR_NOTFINDJOOMLAXMLSETUPFILE','JInstaller: :Install: Can\'t find Joomla XML setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1668','JLIB_INSTALLER_ERROR_NOTFINDXMLSETUPFILE','JInstaller: :Install: Can\'t find XML setup file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1669','JLIB_INSTALLER_ERROR_PACK_REFRESH_MANIFEST_CACHE','Package Refresh manifest cache: Failed to store package details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1670','JLIB_INSTALLER_ERROR_PACK_SETTING_PACKAGE_ID','Could not record the package ID for this package\'s extensions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1671','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_INVALID_MANIFEST','Package Uninstall: Invalid manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1672','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Package Uninstall: Manifest file invalid or not found: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1673','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_LOAD_MANIFEST','Package Uninstall: Could not load manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1674','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_MANIFEST_NOT_REMOVED','Package Uninstall: Errors were detected, manifest file not removed!','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1675','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_MISSINGMANIFEST','Package Uninstall: Missing manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1676','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_NOT_PROPER','Package Uninstall: This extension may have already been uninstalled or might not have been uninstall properly: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1677','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_WARNCOREPACK','Package Uninstall: Trying to uninstall core package.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1678','JLIB_INSTALLER_ERROR_PLG_DISCOVER_STORE_DETAILS','Plugin Discover install: Failed to store plugin details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1679','JLIB_INSTALLER_ERROR_PLG_REFRESH_MANIFEST_CACHE','Plugin Refresh manifest cache: Failed to store plugin details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1680','JLIB_INSTALLER_ERROR_PLG_UNINSTALL_ERRORUNKOWNEXTENSION','Plugin Uninstall: Unknown Extension.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1681','JLIB_INSTALLER_ERROR_PLG_UNINSTALL_FOLDER_FIELD_EMPTY','Plugin Uninstall: Folder field empty, can\'t remove files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1682','JLIB_INSTALLER_ERROR_PLG_UNINSTALL_INVALID_MANIFEST','Plugin Uninstall: Invalid manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1683','JLIB_INSTALLER_ERROR_PLG_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Plugin Uninstall: Manifest file invalid or not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1684','JLIB_INSTALLER_ERROR_PLG_UNINSTALL_LOAD_MANIFEST','Plugin Uninstall: Could not load manifest file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1685','JLIB_INSTALLER_ERROR_PLG_UNINSTALL_WARNCOREPLUGIN','Plugin Uninstall: Trying to uninstall a core plugin: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1686','JLIB_INSTALLER_ERROR_SQL_ERROR','JInstaller: :Install: Error SQL %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1687','JLIB_INSTALLER_ERROR_SQL_FILENOTFOUND','JInstaller: :Install: SQL File not found %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1688','JLIB_INSTALLER_ERROR_SQL_READBUFFER','JInstaller: :Install: SQL File Buffer Read Error.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1689','JLIB_INSTALLER_ERROR_TPL_DISCOVER_STORE_DETAILS','Template Discover install: Failed to store template details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1690','JLIB_INSTALLER_ERROR_TPL_REFRESH_MANIFEST_CACHE','Template Refresh manifest cache: Failed to store template details.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1691','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_ERRORUNKOWNEXTENSION','Template Uninstall: Unknown Extension.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1692','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_INVALID_CLIENT','Template Uninstall: Invalid client.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1693','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_INVALID_NOTFOUND_MANIFEST','Template Uninstall: Manifest file invalid or not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1694','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_TEMPLATE_DEFAULT','Template Uninstall: Can\'t remove default template.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1695','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_TEMPLATE_DIRECTORY','Template Uninstall: Folder does not exist, can\'t remove files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1696','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_TEMPLATE_ID_EMPTY','Template Uninstall: Template ID is empty, can\'t uninstall files.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1697','JLIB_INSTALLER_ERROR_TPL_UNINSTALL_WARNCORETEMPLATE','Template Uninstall: Trying to uninstall a core template: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1698','JLIB_INSTALLER_ERROR_UNKNOWN_CLIENT_TYPE','Unknown Client Type [%s]','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1699','JLIB_INSTALLER_FILE_ERROR_MOVE','Error on moving file %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1700','JLIB_INSTALLER_INCORRECT_SEQUENCE','Downgrading from version %1$s to version %2$s is not allowed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1701','JLIB_INSTALLER_INSTALL','Install','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1702','JLIB_INSTALLER_MINIMUM_JOOMLA','You don\'t have the minimum Joomla version requirement of J%s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1703','JLIB_INSTALLER_MINIMUM_PHP','Your server doesn\'t meet the minimum PHP version requirement of %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1704','JLIB_INSTALLER_NOTICE_LANG_RESET_USERS','Language set to Default for %d users.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1705','JLIB_INSTALLER_NOTICE_LANG_RESET_USERS_1','Language set to Default for %d user.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1706','JLIB_INSTALLER_UNINSTALL','Uninstall','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1707','JLIB_INSTALLER_UPDATE','Update','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1708','JLIB_INSTALLER_ERROR_EXTENSION_INVALID_CLIENT_IDENTIFIER','Invalid client identifier specified in extension manifest.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1709','JLIB_INSTALLER_ERROR_PACK_UNINSTALL_UNKNOWN_EXTENSION','Trying to uninstall unknown extension from package. This extension may have already been removed earlier.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1710','JLIB_INSTALLER_NOT_ERROR','If the error is related to the installation of TinyMCE language files it has no effect on the installation of the language(s). Some language packs created prior to Joomla! 3.2.0 may try to install separate TinyMCE language files. As these are now included in the core they no longer need to be installed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1711','JLIB_INSTALLER_UPDATE_LOG_QUERY','Ran query from file %1$s. Query text: %2$s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1712','JLIB_INSTALLER_WARNING_UNABLE_TO_INSTALL_CONTENT_LANGUAGE','Unable to create a content language for %s language: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1713','JLIB_JS_AJAX_ERROR_CONNECTION_ABORT','A connection abort has occurred while fetching the JSON data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1714','JLIB_JS_AJAX_ERROR_NO_CONTENT','No content was returned.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1715','JLIB_JS_AJAX_ERROR_OTHER','An error has occurred while fetching the JSON data: HTTP %s status code.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1716','JLIB_JS_AJAX_ERROR_PARSE','A parse error has occurred while processing the following JSON data:<br/><code style="color:inherit;white-space:pre-wrap;padding:0;margin:0;border:0;background:inherit;">%s</code>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1717','JLIB_JS_AJAX_ERROR_TIMEOUT','A timeout has occurred while fetching the JSON data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1718','JLIB_LANGUAGE_ERROR_CANNOT_LOAD_METAFILE','Could not load %s language XML file from %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1719','JLIB_LANGUAGE_ERROR_CANNOT_LOAD_METADATA','Could not load %s metadata from %s.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1720','JLIB_MAIL_FUNCTION_DISABLED','The mail() function has been disabled and the mail can\'t be sent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1721','JLIB_MAIL_FUNCTION_OFFLINE','The mail function has been disabled by an administrator.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1722','JLIB_MAIL_INVALID_EMAIL_SENDER','JMail: : Invalid email Sender: %s, JMail: :setSender(%s).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1723','JLIB_MEDIA_ERROR_UPLOAD_INPUT','Unable to upload file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1724','JLIB_MEDIA_ERROR_WARNFILENAME','File name must only have alphanumeric characters and no spaces.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1725','JLIB_MEDIA_ERROR_WARNFILETOOLARGE','This file is too large to upload.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1726','JLIB_MEDIA_ERROR_WARNFILETYPE','This file type is not supported.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1727','JLIB_MEDIA_ERROR_WARNIEXSS','Possible IE XSS Attack found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1728','JLIB_MEDIA_ERROR_WARNINVALID_IMG','Not a valid image.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1729','JLIB_MEDIA_ERROR_WARNINVALID_MIME','Invalid mime type detected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1730','JLIB_MEDIA_ERROR_WARNINVALID_MIMETYPE','Illegal mime type detected: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1731','JLIB_MEDIA_ERROR_WARNNOTADMIN','Uploaded file is not an image file and you do not have permission.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1732','JLIB_MENUS_PRESET_JOOMLA','Preset - Joomla','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1733','JLIB_MENUS_PRESET_MODERN','Preset - Modern','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1734','JLIB_NO_EDITOR_PLUGIN_PUBLISHED','Unable to display an editor because no editor plugin is published.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1735','JLIB_PLUGIN_ERROR_LOADING_PLUGINS','Error loading Plugins: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1736','JLIB_REGISTRY_EXCEPTION_LOAD_FORMAT_CLASS','Unable to load format class.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1737','JLIB_RULES_ACTION','Action','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1738','JLIB_RULES_ALLOWED','Allowed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1739','JLIB_RULES_ALLOWED_ADMIN','Allowed (Super User)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1740','JLIB_RULES_ALLOWED_INHERITED','Allowed (Inherited)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1741','JLIB_RULES_CALCULATED_SETTING','Calculated Setting','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1742','JLIB_RULES_CONFLICT','Conflict','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1743','JLIB_RULES_DATABASE_FAILURE','Failed storing the data to the database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1744','JLIB_RULES_DENIED','Denied','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1745','JLIB_RULES_GROUP','%s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1746','JLIB_RULES_GROUPS','Groups','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1747','JLIB_RULES_INHERIT','Inherit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1748','JLIB_RULES_INHERITED','Inherited','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1749','JLIB_RULES_NOT_ALLOWED','Not Allowed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1750','JLIB_RULES_NOT_ALLOWED_ADMIN_CONFLICT','Conflict','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini');
INSERT INTO `#__overrider` VALUES 
('1751','JLIB_RULES_NOT_ALLOWED_DEFAULT','Not Allowed (Default)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1752','JLIB_RULES_NOT_ALLOWED_INHERITED','Not Allowed (Inherited)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1753','JLIB_RULES_NOT_ALLOWED_LOCKED','Not Allowed (Locked)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1754','JLIB_RULES_NOT_SET','Not Set','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1755','JLIB_RULES_NOTICE_RECALCULATE_GROUP_PERMISSIONS','Super User permissions changed. Save or reload to recalculate this group permissions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1756','JLIB_RULES_NOTICE_RECALCULATE_GROUP_CHILDS_PERMISSIONS','Permissions changed in a group with child groups. Save or reload to recalculate the child groups permissions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1757','JLIB_RULES_REQUEST_FAILURE','Failed sending the data to server.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1758','JLIB_RULES_SAVE_BEFORE_CHANGE_PERMISSIONS','Please save before changing permissions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1759','JLIB_RULES_SELECT_ALLOW_DENY_GROUP','Allow or deny %s for users in the %s group.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1760','JLIB_RULES_SELECT_SETTING','Select New Setting','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1761','JLIB_RULES_SETTING_NOTES','If you change the setting, it will apply to this and all child groups, components and content. Note that <em><strong>Denied</strong></em> will overrule any inherited setting and also the setting in any child group, component or content. In the case of a setting conflict, <em><strong>Deny</strong></em> will take precedence. <em><strong>Not Set</strong></em> is equivalent to <em><strong>Denied</strong></em> but can be changed in child groups, components and content.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1762','JLIB_RULES_SETTING_NOTES_ITEM','If you change the setting, it will apply to this item. Note that:<br /><em><strong>Inherited</strong></em> means that the permissions from global configuration, parent group and category will be used.<br /><em><strong>Denied</strong></em> means that no matter what the global configuration, parent group or category settings are, the group being edited can\'t take this action on this item.<br /><em><strong>Allowed</strong></em> means that the group being edited will be able to take this action for this item (but if this is in conflict with the global configuration, parent group or category it will have no impact; a conflict will be indicated by <em><strong>Not Allowed (Inherited)</strong></em> under Calculated Settings).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1763','JLIB_RULES_SETTINGS_DESC','Manage the permission settings for the user groups below. See notes at the bottom.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1764','JLIB_STEMMER_INVALID_STEMMER','Invalid stemmer type %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1765','JLIB_UNKNOWN','Unknown','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1766','JLIB_UPDATER_ERROR_COLLECTION_FOPEN','The PHP allow_url_fopen setting is disabled. This setting must be enabled for the updater to work.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1767','JLIB_UPDATER_ERROR_COLLECTION_OPEN_URL','Update: :Collection: Could not open %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1768','JLIB_UPDATER_ERROR_COLLECTION_PARSE_URL','Update: :Collection: Could not parse %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1769','JLIB_UPDATER_ERROR_EXTENSION_OPEN_URL','Update: :Extension: Could not open %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1770','JLIB_UPDATER_ERROR_EXTENSION_PARSE_URL','Update: :Extension: Could not parse %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1771','JLIB_UPDATER_ERROR_OPEN_UPDATE_SITE','Update: Could not open update site #%d &quot;%s&quot;, URL: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1772','JLIB_USER_ERROR_AUTHENTICATION_FAILED_LOAD_PLUGIN','JAuthentication: :authenticate: Failed to load plugin: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1773','JLIB_USER_ERROR_AUTHENTICATION_LIBRARIES','JAuthentication: :__construct: Could not load authentication libraries.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1774','JLIB_USER_ERROR_BIND_ARRAY','Unable to bind array to user object.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1775','JLIB_USER_ERROR_CANNOT_CHANGE_SUPER_USER','A user is not allowed to change permissions of a Super User group.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1776','JLIB_USER_ERROR_CANNOT_CHANGE_OWN_GROUPS','A user is not allowed to change permissions of their own group(s).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1777','JLIB_USER_ERROR_CANNOT_CHANGE_OWN_PARENT_GROUPS','A user is not allowed to change permissions of their own group(s) parent group(s).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1778','JLIB_USER_ERROR_CANNOT_DEMOTE_SELF','You can\'t remove your own Super User permissions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1779','JLIB_USER_ERROR_CANNOT_REUSE_PASSWORD','You can\'t reuse your current password, please enter a new password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1780','JLIB_USER_ERROR_ID_NOT_EXISTS','JUser: :_load: User %s does not exist.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1781','JLIB_USER_ERROR_NOT_SUPERADMIN','Only users with Super User permissions can change other Super User user accounts.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1782','JLIB_USER_ERROR_PASSWORD_NOT_MATCH','Passwords do not match. Please re-enter password.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1783','JLIB_USER_ERROR_UNABLE_TO_FIND_USER','Unable to find a user with given activation string.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1784','JLIB_USER_ERROR_UNABLE_TO_LOAD_USER','JUser: :_load: Unable to load user with ID: %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1785','JLIB_USER_EXCEPTION_ACCESS_USERGROUP_INVALID','User group does not exist.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1786','JLIB_UTIL_ERROR_APP_INSTANTIATION','Application Startup Error.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1787','JLIB_UTIL_ERROR_CONNECT_DATABASE','JDatabase: :getInstance: Could not connect to database <br />joomla.library: %1$s - %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1788','JLIB_UTIL_ERROR_DOMIT','DommitDocument is deprecated. Use DomDocument instead.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1789','JLIB_UTIL_ERROR_LOADING_FEED_DATA','Error loading feed data.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1790','JLIB_UTIL_ERROR_XML_LOAD','Failed loading XML file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.ini'),
('1791','LIB_JOOMLA','Joomla! Platform','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.sys.ini'),
('1792','LIB_JOOMLA_XML_DESCRIPTION','The Joomla! Platform is the Core of the Joomla! Content Management System.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_joomla.sys.ini'),
('1793','LIB_PHPASS','phpass','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_phpass.sys.ini'),
('1794','LIB_PHPASS_XML_DESCRIPTION','phpass is a portable password hashing framework for use in PHP applications. The preferred (most secure) hashing method supported by phpass is the OpenBSD-style bcrypt (known in PHP as CRYPT_BLOWFISH), with a fallback to BSDI-style extended DES-based hashes (known in PHP as CRYPT_EXT_DES) and a last resort fallback to an MD5-based variable iteration count password hashing method implemented in phpass itself.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_phpass.sys.ini'),
('1795','LIB_PHPUTF8','phputf8','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_phputf8.sys.ini'),
('1796','LIB_PHPUTF8_XML_DESCRIPTION','Classes for UTF-8.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_phputf8.sys.ini'),
('1797','LIB_SIMPLEPIE_XML_DESCRIPTION','PHP based RSS and Atom Feed Framework.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.lib_simplepie.sys.ini'),
('1798','MOD_ARTICLES_ARCHIVE','Articles - Archived','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.ini'),
('1799','MOD_ARTICLES_ARCHIVE_FIELD_COUNT_LABEL','# of Months','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.ini'),
('1800','MOD_ARTICLES_ARCHIVE_FIELD_COUNT_DESC','The number of months to display (the default is 10).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.ini');
INSERT INTO `#__overrider` VALUES 
('1801','MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION','This module shows a list of the calendar months with archived articles. After you have changed the status of an article to archived, this list will be automatically generated.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.ini'),
('1802','MOD_ARTICLES_ARCHIVE_DATE','%1$s, %2$s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.ini'),
('1803','MOD_ARTICLES_ARCHIVE','Articles - Archived','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.sys.ini'),
('1804','MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION','This module shows a list of the calendar months with Archived Articles. After you have changed the status of an Article to Archived, this list will be automatically generated.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.sys.ini'),
('1805','MOD_ARTICLES_ARCHIVE_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_archive.sys.ini'),
('1806','MOD_ARTICLES_CATEGORIES','Articles - Categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1807','MOD_ARTICLES_CATEGORIES_FIELD_COUNT_DESC','Select the number of first level subcategories to display. Default is all.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1808','MOD_ARTICLES_CATEGORIES_FIELD_COUNT_LABEL','# First Subcategories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1809','MOD_ARTICLES_CATEGORIES_FIELD_MAXLEVEL_DESC','Select the maximum level depth for each subcategory. Default is all.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1810','MOD_ARTICLES_CATEGORIES_FIELD_MAXLEVEL_LABEL','Maximum Level Depth','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1811','MOD_ARTICLES_CATEGORIES_FIELD_PARENT_DESC','Choose a parent category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1812','MOD_ARTICLES_CATEGORIES_FIELD_PARENT_LABEL','Parent Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1813','MOD_ARTICLES_CATEGORIES_FIELD_SHOW_CHILDREN_DESC','Show or hide subcategories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1814','MOD_ARTICLES_CATEGORIES_FIELD_SHOW_CHILDREN_LABEL','Show Subcategories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1815','MOD_ARTICLES_CATEGORIES_FIELD_NUMITEMS_DESC','Show or hide number of articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1816','MOD_ARTICLES_CATEGORIES_FIELD_NUMITEMS_LABEL','Show Number of Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1817','MOD_ARTICLES_CATEGORIES_FIELD_SHOW_DESCRIPTION_DESC','Show or hide category descriptions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1818','MOD_ARTICLES_CATEGORIES_FIELD_SHOW_DESCRIPTION_LABEL','Category Descriptions','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1819','MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION','This module displays a list of categories from one parent category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1820','MOD_ARTICLES_CATEGORIES_TITLE_HEADING_LABEL','Heading Style','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1821','MOD_ARTICLES_CATEGORIES_TITLE_HEADING_DESC','Set the heading style to use.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.ini'),
('1822','MOD_ARTICLES_CATEGORIES','Articles - Categories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.sys.ini'),
('1823','MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION','This module displays a list of categories from one parent category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.sys.ini'),
('1824','MOD_ARTICLES_CATEGORIES_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_categories.sys.ini'),
('1825','MOD_ARTICLES_CATEGORY','Articles - Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1826','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPING_DESC','Select how you would like the articles to be grouped.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1827','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPING_LABEL','Article Grouping','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1828','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPINGDIR_DESC','Select the direction you would like the Article Groupings to be ordered by.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1829','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEGROUPINGDIR_LABEL','Grouping Direction','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1830','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERING_DESC','Select which field you would like Articles to be ordered by. Featured Ordering should only be used when Filtering Option for Featured Articles is set to \'Only\'.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1831','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERING_LABEL','Article Field to Order By','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1832','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERINGDIR_DESC','Select the direction you would like Articles to be ordered by.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1833','MOD_ARTICLES_CATEGORY_FIELD_ARTICLEORDERINGDIR_LABEL','Ordering Direction','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1834','MOD_ARTICLES_CATEGORY_FIELD_AUTHOR_DESC','Select one or more authors from the list below.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1835','MOD_ARTICLES_CATEGORY_FIELD_AUTHOR_LABEL','Authors','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1836','MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIAS_DESC','Select one or more author aliases from the list below.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1837','MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIAS_LABEL','Author Aliases','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1838','MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIASFILTERING_DESC','Select Inclusive to Include the Selected Author Aliases, Exclusive to Exclude the Selected Author Aliases.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1839','MOD_ARTICLES_CATEGORY_FIELD_AUTHORALIASFILTERING_LABEL','Author Alias Filtering Type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1840','MOD_ARTICLES_CATEGORY_FIELD_AUTHORFILTERING_DESC','Select Inclusive to Include the Selected Authors, Exclusive to Exclude the Selected Authors.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1841','MOD_ARTICLES_CATEGORY_FIELD_AUTHORFILTERING_LABEL','Author Filtering Type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1842','MOD_ARTICLES_CATEGORY_FIELD_CATDEPTH_DESC','The number of child category levels to return.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1843','MOD_ARTICLES_CATEGORY_FIELD_CATDEPTH_LABEL','Category Depth','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1844','MOD_ARTICLES_CATEGORY_FIELD_CATEGORY_DESC','Please select one or more categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1845','MOD_ARTICLES_CATEGORY_FIELD_CATFILTERINGTYPE_DESC','Select Inclusive to Include the Selected Categories, Exclusive to Exclude the Selected Categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1846','MOD_ARTICLES_CATEGORY_FIELD_CATFILTERINGTYPE_LABEL','Category Filtering Type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1847','MOD_ARTICLES_CATEGORY_FIELD_COUNT_DESC','The number of items to display. The default value of 0 will display all articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1848','MOD_ARTICLES_CATEGORY_FIELD_COUNT_LABEL','Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1849','MOD_ARTICLES_CATEGORY_FIELD_DATERANGEFIELD_DESC','Select which date field you want the date range to be applied to.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1850','MOD_ARTICLES_CATEGORY_FIELD_DATERANGEFIELD_LABEL','Date Range Field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini');
INSERT INTO `#__overrider` VALUES 
('1851','MOD_ARTICLES_CATEGORY_FIELD_DATEFIELD_DESC','Select which date field you want to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1852','MOD_ARTICLES_CATEGORY_FIELD_DATEFIELD_LABEL','Date Field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1853','MOD_ARTICLES_CATEGORY_FIELD_DATEFIELDFORMAT_DESC','Please enter in a valid date format. See: http://php.net/date for formatting information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1854','MOD_ARTICLES_CATEGORY_FIELD_DATEFIELDFORMAT_LABEL','Date Format','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1855','MOD_ARTICLES_CATEGORY_FIELD_DATEFILTERING_DESC','Select Date Filtering Type.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1856','MOD_ARTICLES_CATEGORY_FIELD_DATEFILTERING_LABEL','Date Filtering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1857','MOD_ARTICLES_CATEGORY_FIELD_ENDDATE_DESC','If Date Range is selected above, please enter an End Date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1858','MOD_ARTICLES_CATEGORY_FIELD_ENDDATE_LABEL','To Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1859','MOD_ARTICLES_CATEGORY_FIELD_EXCLUDEDARTICLES_DESC','Please enter each Article ID on a new line.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1860','MOD_ARTICLES_CATEGORY_FIELD_EXCLUDEDARTICLES_LABEL','Article IDs to Exclude','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1861','MOD_ARTICLES_CATEGORY_FIELD_GROUP_DISPLAY_LABEL','Display Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1862','MOD_ARTICLES_CATEGORY_FIELD_GROUP_DYNAMIC_LABEL','Dynamic Mode Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1863','MOD_ARTICLES_CATEGORY_FIELD_GROUP_FILTERING_LABEL','Filtering Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1864','MOD_ARTICLES_CATEGORY_FIELD_GROUP_GROUPING_LABEL','Grouping Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1865','MOD_ARTICLES_CATEGORY_FIELD_GROUP_ORDERING_LABEL','Ordering Options','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1866','MOD_ARTICLES_CATEGORY_FIELD_INTROTEXTLIMIT_DESC','Please enter in a numeric character limit value. The introtext will be trimmed to the number of characters you enter.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1867','MOD_ARTICLES_CATEGORY_FIELD_INTROTEXTLIMIT_LABEL','Introtext Limit','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1868','MOD_ARTICLES_CATEGORY_FIELD_LINKTITLES_LABEL','Linked Titles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1869','MOD_ARTICLES_CATEGORY_FIELD_LINKTITLES_DESC','Linked titles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1870','MOD_ARTICLES_CATEGORY_FIELD_MODE_DESC','Please select the mode you would like to use. If Normal Mode is chosen, then configure the module and it will display a static list of Articles on the menu items you assign the module to. If Dynamic Mode is chosen, then you can still configure the module normally, however now the Category option will no longer be used. Instead, the module will dynamically detect if you are on a Category view and will display the list of articles within that Category. When Dynamic Mode is chosen, it is best to leave the module set to display on all pages, as it will decide to display anything dynamically.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1871','MOD_ARTICLES_CATEGORY_FIELD_MODE_LABEL','Mode','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1872','MOD_ARTICLES_CATEGORY_FIELD_MONTHYEARFORMAT_DESC','Please enter in a valid date format. See: http://php.net/date for formatting information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1873','MOD_ARTICLES_CATEGORY_FIELD_MONTHYEARFORMAT_LABEL','Month and Year Display Format','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1874','MOD_ARTICLES_CATEGORY_FIELD_RELATIVEDATE_DESC','If Relative Date is selected above, please enter in a numeric day value. Results will be retrieved relative to the current date and the value you enter.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1875','MOD_ARTICLES_CATEGORY_FIELD_RELATIVEDATE_LABEL','Relative Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1876','MOD_ARTICLES_CATEGORY_FIELD_SHOWAUTHOR_DESC','Select Show if you would like the author (or author alias instead, if available) to be displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1877','MOD_ARTICLES_CATEGORY_FIELD_SHOWCATEGORY_DESC','Select Show if you would like the category name displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1878','MOD_ARTICLES_CATEGORY_FIELD_SHOWCHILDCATEGORYARTICLES_DESC','Include or Exclude Articles from Child Categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1879','MOD_ARTICLES_CATEGORY_FIELD_SHOWCHILDCATEGORYARTICLES_LABEL','Child Category Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1880','MOD_ARTICLES_CATEGORY_FIELD_SHOWDATE_DESC','Select Show if you would like the date displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1881','MOD_ARTICLES_CATEGORY_FIELD_SHOWFEATURED_DESC','Select to Show, Hide, or Only display Featured Articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1882','MOD_ARTICLES_CATEGORY_FIELD_SHOWFEATURED_LABEL','Featured Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1883','MOD_ARTICLES_CATEGORY_FIELD_SHOWHITS_DESC','Select Show if you would like the hits for each article to be displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1884','MOD_ARTICLES_CATEGORY_FIELD_SHOWHITS_LABEL','Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1885','MOD_ARTICLES_CATEGORY_FIELD_SHOWINTROTEXT_DESC','Select Show if you would like the introtext to be displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1886','MOD_ARTICLES_CATEGORY_FIELD_SHOWINTROTEXT_LABEL','Introtext','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1887','MOD_ARTICLES_CATEGORY_FIELD_SHOWONARTICLEPAGE_DESC','Select to Show or hide Article List from Article Pages. This means that the module will only display itself dynamically on Category Pages.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1888','MOD_ARTICLES_CATEGORY_FIELD_SHOWONARTICLEPAGE_LABEL','Show on Article Page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1889','MOD_ARTICLES_CATEGORY_FIELD_STARTDATE_DESC','If Date Range is selected above, please enter a Starting Date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1890','MOD_ARTICLES_CATEGORY_FIELD_STARTDATE_LABEL','Start Date Range','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1891','MOD_ARTICLES_CATEGORY_OPTION_ASCENDING_VALUE','Ascending','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1892','MOD_ARTICLES_CATEGORY_OPTION_CREATED_VALUE','Created Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1893','MOD_ARTICLES_CATEGORY_OPTION_DATERANGE_VALUE','Date Range','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1894','MOD_ARTICLES_CATEGORY_OPTION_DESCENDING_VALUE','Descending','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1895','MOD_ARTICLES_CATEGORY_OPTION_DYNAMIC_VALUE','Dynamic','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1896','MOD_ARTICLES_CATEGORY_OPTION_EXCLUDE_VALUE','Exclude','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1897','MOD_ARTICLES_CATEGORY_OPTION_EXCLUSIVE_VALUE','Exclusive','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1898','MOD_ARTICLES_CATEGORY_OPTION_HITS_VALUE','Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1899','MOD_ARTICLES_CATEGORY_OPTION_ID_VALUE','ID','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1900','MOD_ARTICLES_CATEGORY_OPTION_INCLUDE_VALUE','Include','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini');
INSERT INTO `#__overrider` VALUES 
('1901','MOD_ARTICLES_CATEGORY_OPTION_INCLUSIVE_VALUE','Inclusive','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1902','MOD_ARTICLES_CATEGORY_OPTION_MODIFIED_VALUE','Modified Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1903','MOD_ARTICLES_CATEGORY_OPTION_MONTHYEAR_VALUE','Month and Year','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1904','MOD_ARTICLES_CATEGORY_OPTION_NORMAL_VALUE','Normal','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1905','MOD_ARTICLES_CATEGORY_OPTION_OFF_VALUE','Off','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1906','MOD_ARTICLES_CATEGORY_OPTION_ONLYFEATURED_VALUE','Only','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1907','MOD_ARTICLES_CATEGORY_OPTION_ORDERING_VALUE','Article Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1908','MOD_ARTICLES_CATEGORY_OPTION_ORDERINGFEATURED_VALUE','Featured Articles Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1909','MOD_ARTICLES_CATEGORY_OPTION_RANDOM_VALUE','Random','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1910','MOD_ARTICLES_CATEGORY_OPTION_RATING_VALUE','Rating','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1911','MOD_ARTICLES_CATEGORY_OPTION_RELATIVEDAY_VALUE','Relative Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1912','MOD_ARTICLES_CATEGORY_OPTION_STARTPUBLISHING_VALUE','Start Publishing Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1913','MOD_ARTICLES_CATEGORY_OPTION_FINISHPUBLISHING_VALUE','Finish Publishing Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1914','MOD_ARTICLES_CATEGORY_OPTION_VOTE_VALUE','Vote','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1915','MOD_ARTICLES_CATEGORY_OPTION_YEAR_VALUE','Year','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1916','MOD_ARTICLES_CATEGORY_READ_MORE','Read more: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1917','MOD_ARTICLES_CATEGORY_READ_MORE_TITLE','Read More ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1918','MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE','Register to read more','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1919','MOD_ARTICLES_CATEGORY_XML_DESCRIPTION','This module displays a list of articles from one or more categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.ini'),
('1920','MOD_ARTICLES_CATEGORY','Articles - Category','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.sys.ini'),
('1921','MOD_ARTICLES_CATEGORY_XML_DESCRIPTION','This module displays a list of articles from one or more categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.sys.ini'),
('1922','MOD_ARTICLES_CATEGORY_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_category.sys.ini'),
('1923','MOD_ARTICLES_LATEST','Articles - Latest','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1924','MOD_LATEST_NEWS_FIELD_CATEGORY_DESC','Selects Articles from one or more Categories. If no selection will show all categories as default.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1925','MOD_LATEST_NEWS_FIELD_COUNT_DESC','The number of Articles to display (the default is 5).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1926','MOD_LATEST_NEWS_FIELD_COUNT_LABEL','Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1927','MOD_LATEST_NEWS_FIELD_FEATURED_DESC','Show or hide articles marked as featured.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1928','MOD_LATEST_NEWS_FIELD_FEATURED_LABEL','Featured Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1929','MOD_LATEST_NEWS_FIELD_ORDERING_DESC','Recently Added First: order the articles using their creation date<br />Recently Modified First: order the articles using their modification date<br />Recently Published First: order the articles using their publication date.<br />Recently Touched First: order the articles using their modification or creation dates.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1930','MOD_LATEST_NEWS_FIELD_ORDERING_LABEL','Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1931','MOD_LATEST_NEWS_FIELD_USER_DESC','Filter by author.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1932','MOD_LATEST_NEWS_FIELD_USER_LABEL','Authors','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1933','MOD_LATEST_NEWS_VALUE_ADDED_BY_ME','Added or modified by me','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1934','MOD_LATEST_NEWS_VALUE_ANYONE','Anyone','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1935','MOD_LATEST_NEWS_VALUE_NOTADDED_BY_ME','Not added or modified by me','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1936','MOD_LATEST_NEWS_VALUE_ONLY_SHOW_FEATURED','Only show Featured Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1937','MOD_LATEST_NEWS_VALUE_RECENT_ADDED','Recently Added First','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1938','MOD_LATEST_NEWS_VALUE_RECENT_MODIFIED','Recently Modified First','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1939','MOD_LATEST_NEWS_VALUE_RECENT_RAND','Random Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1940','MOD_LATEST_NEWS_VALUE_RECENT_PUBLISHED','Recently Published First','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1941','MOD_LATEST_NEWS_VALUE_RECENT_TOUCHED','Recently Touched First','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1942','MOD_LATEST_NEWS_XML_DESCRIPTION','This module shows a list of the most recently published and current Articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.ini'),
('1943','MOD_ARTICLES_LATEST','Articles - Latest','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.sys.ini'),
('1944','MOD_LATEST_NEWS_XML_DESCRIPTION','This module shows a list of the most recently published and current Articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.sys.ini'),
('1945','MOD_ARTICLES_LATEST_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_latest.sys.ini'),
('1946','MOD_ARTICLES_NEWS','Articles - Newsflash','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1947','MOD_ARTICLES_NEWS_FIELD_FEATURED_DESC','Show or hide articles marked as featured.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1948','MOD_ARTICLES_NEWS_FIELD_FEATURED_LABEL','Featured Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1949','MOD_ARTICLES_NEWS_FIELD_CATEGORY_DESC','Select Articles from a specific Category or a set of Categories. If no selection will show all categories as default.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1950','MOD_ARTICLES_NEWS_FIELD_IMAGES_DESC','Display Article images.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini');
INSERT INTO `#__overrider` VALUES 
('1951','MOD_ARTICLES_NEWS_FIELD_IMAGES_LABEL','Show Images','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1952','MOD_ARTICLES_NEWS_FIELD_ITEMS_DESC','The number of Articles to display within this module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1953','MOD_ARTICLES_NEWS_FIELD_ITEMS_LABEL','Number of Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1954','MOD_ARTICLES_NEWS_FIELD_LINKTITLE_DESC','Link the Article titles to Articles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1955','MOD_ARTICLES_NEWS_FIELD_LINKTITLE_LABEL','Linked Titles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1956','MOD_ARTICLES_NEWS_FIELD_ORDERING_DESC','Select the order in which you want query results presented.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1957','MOD_ARTICLES_NEWS_FIELD_ORDERING_LABEL','Order Results','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1958','MOD_ARTICLES_NEWS_FIELD_ORDERING_CREATED_DATE','Created Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1959','MOD_ARTICLES_NEWS_FIELD_ORDERING_MODIFIED_DATE','Modified Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1960','MOD_ARTICLES_NEWS_FIELD_ORDERING_PUBLISHED_DATE','Published Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1961','MOD_ARTICLES_NEWS_FIELD_ORDERING_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1962','MOD_ARTICLES_NEWS_FIELD_ORDERING_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1963','MOD_ARTICLES_NEWS_FIELD_READMORE_DESC','If set to Show, the \'Read more ...\' link will show if Main text has been provided for an Article.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1964','MOD_ARTICLES_NEWS_FIELD_READMORE_LABEL','\'Read more ...\' Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1965','MOD_ARTICLES_NEWS_FIELD_SEPARATOR_DESC','Show separator after last Article.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1966','MOD_ARTICLES_NEWS_FIELD_SEPARATOR_LABEL','Show Last Separator','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1967','MOD_ARTICLES_NEWS_FIELD_TITLE_DESC','Show or hide the Article title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1968','MOD_ARTICLES_NEWS_FIELD_TITLE_LABEL','Show Article Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1969','MOD_ARTICLES_NEWS_FIELD_TRIGGEREVENTS_DESC','Triggers additional plugin events to display additional content like custom fields or voting information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1970','MOD_ARTICLES_NEWS_FIELD_TRIGGEREVENTS_LABEL','Trigger Plugin Events','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1971','MOD_ARTICLES_NEWS_FIELD_SHOWINTROTEXT_DESC','Show or hide the article intro text.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1972','MOD_ARTICLES_NEWS_FIELD_SHOWINTROTEXT_LABEL','Show Intro Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1973','MOD_ARTICLES_NEWS_READMORE','Read more ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1974','MOD_ARTICLES_NEWS_READMORE_REGISTER','Register to Read More','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1975','MOD_ARTICLES_NEWS_TITLE_HEADING','Header Level','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1976','MOD_ARTICLES_NEWS_TITLE_HEADING_DESCRIPTION','Select the desired HTML header level for the Article titles.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1977','MOD_ARTICLES_NEWS_VALUE_ONLY_SHOW_FEATURED','Only show Featured Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1978','MOD_ARTICLES_NEWS_XML_DESCRIPTION','The Article Newsflash Module will display a fixed number of Articles from a specific Category or a set of Categories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.ini'),
('1979','MOD_ARTICLES_NEWS','Articles - Newsflash','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.sys.ini'),
('1980','MOD_ARTICLES_NEWS_XML_DESCRIPTION','The Newsflash Module will display a fixed number of articles from a specific category.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.sys.ini'),
('1981','MOD_ARTICLES_NEWS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_news.sys.ini'),
('1982','MOD_ARTICLES_POPULAR','Articles - Most Read','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1983','MOD_POPULAR_FIELD_CATEGORY_DESC','Select Articles from a specific Category or a set of Categories. If no selection will show all categories as default.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1984','MOD_POPULAR_FIELD_COUNT_DESC','The number of Articles to display (the default is 5).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1985','MOD_POPULAR_FIELD_COUNT_LABEL','Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1986','MOD_POPULAR_FIELD_FEATURED_DESC','Show or hide Articles marked as Featured.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1987','MOD_POPULAR_FIELD_FEATURED_LABEL','Featured Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1988','MOD_POPULAR_XML_DESCRIPTION','This module shows a list of the published Articles which have the highest number of page views.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1989','MOD_POPULAR_FIELD_DATEFIELD_DESC','Select which date field you want the date filter to be applied to.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1990','MOD_POPULAR_FIELD_DATEFIELD_LABEL','Date Field','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1991','MOD_POPULAR_FIELD_DATEFILTERING_DESC','Select Date Filtering Type.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1992','MOD_POPULAR_FIELD_DATEFILTERING_LABEL','Date Filtering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1993','MOD_POPULAR_FIELD_ENDDATE_DESC','If Date Range is selected above, please enter an End Date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1994','MOD_POPULAR_FIELD_ENDDATE_LABEL','End Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1995','MOD_POPULAR_FIELD_STARTDATE_DESC','If Date Range is selected above, please enter a Starting Date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1996','MOD_POPULAR_FIELD_STARTDATE_LABEL','Start Date Range','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1997','MOD_POPULAR_FIELD_RELATIVEDATE_DESC','If Relative Date is selected above, please enter a numeric day value. Results will be retrieved relative to the current date and the value you enter.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1998','MOD_POPULAR_FIELD_RELATIVEDATE_LABEL','Relative Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('1999','MOD_POPULAR_OPTION_CREATED_VALUE','Created Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('2000','MOD_POPULAR_OPTION_DATERANGE_VALUE','Date Range','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini');
INSERT INTO `#__overrider` VALUES 
('2001','MOD_POPULAR_OPTION_MODIFIED_VALUE','Modified Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('2002','MOD_POPULAR_OPTION_OFF_VALUE','Off','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('2003','MOD_POPULAR_OPTION_RELATIVEDAY_VALUE','Relative Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('2004','MOD_POPULAR_OPTION_STARTPUBLISHING_VALUE','Start Publishing Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.ini'),
('2005','MOD_ARTICLES_POPULAR','Articles - Most Read','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.sys.ini'),
('2006','MOD_POPULAR_XML_DESCRIPTION','This module shows a list of the published Articles which have the highest number of page views.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.sys.ini'),
('2007','MOD_ARTICLES_POPULAR_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_articles_popular.sys.ini'),
('2008','COM_BANNERS_NO_CLIENT','- No client -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2009','MOD_BANNERS','Banners','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2010','MOD_BANNERS_BANNER','Banner','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2011','MOD_BANNERS_FIELD_BANNERCLIENT_DESC','Select banners only from a single client.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2012','MOD_BANNERS_FIELD_BANNERCLIENT_LABEL','Client','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2013','MOD_BANNERS_FIELD_CACHETIME_DESC','The time before the module is recached.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2014','MOD_BANNERS_FIELD_CACHETIME_LABEL','Cache Time','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2015','MOD_BANNERS_FIELD_CATEGORY_DESC','Select banners from a specific Category or a set of Categories. If no selection then it will show all categories as default.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2016','MOD_BANNERS_FIELD_COUNT_DESC','The number of banners to display (default 5).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2017','MOD_BANNERS_FIELD_COUNT_LABEL','Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2018','MOD_BANNERS_FIELD_FOOTER_DESC','Text or HTML to display after the group of banners.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2019','MOD_BANNERS_FIELD_FOOTER_LABEL','Footer Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2020','MOD_BANNERS_FIELD_HEADER_DESC','Text or HTML to display before the group of banners.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2021','MOD_BANNERS_FIELD_HEADER_LABEL','Header Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2022','MOD_BANNERS_FIELD_RANDOMISE_DESC','Randomise the ordering of the banners.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2023','MOD_BANNERS_FIELD_RANDOMISE_LABEL','Randomise','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2024','MOD_BANNERS_FIELD_TAG_DESC','Banner is selected by matching the banner tags to the current document meta keywords.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2025','MOD_BANNERS_FIELD_TAG_LABEL','Search by Meta Keyword','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2026','MOD_BANNERS_FIELD_TARGET_DESC','Target window when the link is selected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2027','MOD_BANNERS_FIELD_TARGET_LABEL','Target','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2028','MOD_BANNERS_VALUE_STICKYORDERING','Pinned, Ordering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2029','MOD_BANNERS_VALUE_STICKYRANDOMISE','Pinned, Randomise','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2030','MOD_BANNERS_XML_DESCRIPTION','The Banner Module displays the active Banners from the Component.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.ini'),
('2031','MOD_BANNERS','Banners','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.sys.ini'),
('2032','MOD_BANNERS_XML_DESCRIPTION','The Banner Module displays the active Banners from the Component.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.sys.ini'),
('2033','MOD_BANNERS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_banners.sys.ini'),
('2034','MOD_BREADCRUMBS','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2035','MOD_BREADCRUMBS_FIELD_HOMETEXT_DESC','This text will be shown as Home entry. If the field is left empty, it will use the default value from the mod_breadcrumbs.ini language file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2036','MOD_BREADCRUMBS_FIELD_HOMETEXT_LABEL','Text for Home Entry','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2037','MOD_BREADCRUMBS_FIELD_SEPARATOR_DESC','A text separator.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2038','MOD_BREADCRUMBS_FIELD_SEPARATOR_LABEL','Text Separator','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2039','MOD_BREADCRUMBS_FIELD_SHOWHERE_DESC','Show or hide &quot;You are here&quot; text in the pathway.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2040','MOD_BREADCRUMBS_FIELD_SHOWHERE_LABEL','Show &quot;You are here&quot;','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2041','MOD_BREADCRUMBS_FIELD_SHOWHOME_DESC','Show or hide the Home element in the pathway.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2042','MOD_BREADCRUMBS_FIELD_SHOWHOME_LABEL','Show Home','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2043','MOD_BREADCRUMBS_FIELD_SHOWLAST_DESC','Show or hide the last element in the pathway.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2044','MOD_BREADCRUMBS_FIELD_SHOWLAST_LABEL','Show Last','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2045','MOD_BREADCRUMBS_HERE','You are here: ','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2046','MOD_BREADCRUMBS_HOME','Home','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2047','MOD_BREADCRUMBS_XML_DESCRIPTION','This module displays the Breadcrumbs.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.ini'),
('2048','MOD_BREADCRUMBS','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.sys.ini'),
('2049','MOD_BREADCRUMBS_XML_DESCRIPTION','This module displays the Breadcrumbs.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.sys.ini'),
('2050','MOD_BREADCRUMBS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_breadcrumbs.sys.ini');
INSERT INTO `#__overrider` VALUES 
('2051','MOD_CUSTOM','Custom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.ini'),
('2052','MOD_CUSTOM_FIELD_PREPARE_CONTENT_DESC','Optionally prepare the content with the Joomla Content Plugins.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.ini'),
('2053','MOD_CUSTOM_FIELD_PREPARE_CONTENT_LABEL','Prepare Content','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.ini'),
('2054','MOD_CUSTOM_XML_DESCRIPTION','This module allows you to create your own Module using a WYSIWYG editor.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.ini'),
('2055','MOD_CUSTOM_FIELD_BACKGROUNDIMAGE_LABEL','Select a Background Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.ini'),
('2056','MOD_BACKGROUNDIMAGE_FIELD_LOGO_DESC','Select or upload an image that will automatically be inserted as an inline style for the wrapping div element.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.ini'),
('2057','MOD_CUSTOM','Custom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.sys.ini'),
('2058','MOD_CUSTOM_XML_DESCRIPTION','This module allows you to create your own Module using a WYSIWYG editor.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.sys.ini'),
('2059','MOD_CUSTOM_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_custom.sys.ini'),
('2060','MOD_FEED','Feed Display','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2061','MOD_FEED_ERR_CACHE','Please make cache folder writeable.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2062','MOD_FEED_ERR_FEED_NOT_RETRIEVED','Feed not found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2063','MOD_FEED_ERR_NO_URL','No feed URL specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2064','MOD_FEED_FIELD_DESCRIPTION_DESC','Show the description text for the entire feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2065','MOD_FEED_FIELD_DESCRIPTION_LABEL','Feed Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2066','MOD_FEED_FIELD_IMAGE_DESC','Show the image associated with the entire feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2067','MOD_FEED_FIELD_IMAGE_LABEL','Feed Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2068','MOD_FEED_FIELD_ITEMDESCRIPTION_DESC','Show the description or intro text of individual RSS items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2069','MOD_FEED_FIELD_ITEMDESCRIPTION_LABEL','Item Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2070','MOD_FEED_FIELD_ITEMS_DESC','Enter number of RSS items to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2071','MOD_FEED_FIELD_ITEMS_LABEL','Feed Items','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2072','MOD_FEED_FIELD_RSSTITLE_DESC','Display news feed title.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2073','MOD_FEED_FIELD_RSSTITLE_LABEL','Feed Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2074','MOD_FEED_FIELD_RSSURL_DESC','Enter the URL of the RSS/RDF/ATOM feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2075','MOD_FEED_FIELD_RSSURL_LABEL','Feed URL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2076','MOD_FEED_FIELD_RTL_DESC','Display feed in RTL direction.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2077','MOD_FEED_FIELD_RTL_LABEL','RTL Feed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2078','MOD_FEED_FIELD_WORDCOUNT_DESC','Allows you to limit the amount of visible Item description text. 0 will show all the text.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2079','MOD_FEED_FIELD_WORDCOUNT_LABEL','Word Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2080','MOD_FEED_XML_DESCRIPTION','This module allows the displaying of a syndicated feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.ini'),
('2081','MOD_FEED','Feed Display','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.sys.ini'),
('2082','MOD_FEED_XML_DESCRIPTION','This module allows the displaying of a syndicated feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.sys.ini'),
('2083','MOD_FEED_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_feed.sys.ini'),
('2084','COM_FINDER_FILTER_BRANCH_LABEL','Search by %s','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2085','COM_FINDER_FILTER_SELECT_ALL_LABEL','Search All','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2086','COM_FINDER_ADVANCED_SEARCH','Advanced Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2087','COM_FINDER_SELECT_SEARCH_FILTER','- No Filter -','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2088','MOD_FINDER','Smart Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2089','MOD_FINDER_CONFIG_OPTION_BOTTOM','Bottom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2090','MOD_FINDER_CONFIG_OPTION_TOP','Top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2091','MOD_FINDER_FIELDSET_ADVANCED_ALT_DESCRIPTION','An alternative label for the search field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2092','MOD_FINDER_FIELDSET_ADVANCED_ALT_LABEL','Alternative Label','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2093','MOD_FINDER_FIELDSET_ADVANCED_BUTTON_POS_DESCRIPTION','The position of the search button relative to the search field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2094','MOD_FINDER_FIELDSET_ADVANCED_BUTTON_POS_LABEL','Button Position','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2095','MOD_FINDER_FIELDSET_ADVANCED_FIELD_SIZE_DESCRIPTION','The width of the search field by character length.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2096','MOD_FINDER_FIELDSET_ADVANCED_FIELD_SIZE_LABEL','Search Field Size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2097','MOD_FINDER_FIELDSET_ADVANCED_LABEL_POS_DESCRIPTION','The position of the search label relative to the search field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2098','MOD_FINDER_FIELDSET_ADVANCED_LABEL_POS_LABEL','Label Position','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2099','MOD_FINDER_FIELDSET_ADVANCED_SETITEMID_DESCRIPTION','Assign an ItemID by selecting a menu item in the list for the display of the search results if there is no com_finder menu item and a specific display is desired. If you do not know what this means, you may not need it.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2100','MOD_FINDER_FIELDSET_ADVANCED_SETITEMID_LABEL','Set ItemID','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini');
INSERT INTO `#__overrider` VALUES 
('2101','MOD_FINDER_FIELDSET_ADVANCED_SHOW_BUTTON_DESCRIPTION','Show or hide a button for the search form.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2102','MOD_FINDER_FIELDSET_ADVANCED_SHOW_BUTTON_LABEL','Search Button','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2103','MOD_FINDER_FIELDSET_ADVANCED_SHOW_LABEL_DESCRIPTION','Show or hide a label for the search field.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2104','MOD_FINDER_FIELDSET_ADVANCED_SHOW_LABEL_LABEL','Search Field Label','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2105','MOD_FINDER_FIELDSET_BASIC_AUTOSUGGEST_DESCRIPTION','Show or hide automatic search suggestions.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2106','MOD_FINDER_FIELDSET_BASIC_AUTOSUGGEST_LABEL','Search Suggestions','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2107','MOD_FINDER_FIELDSET_BASIC_SEARCHFILTER_DESCRIPTION','Selecting a Search Filter will limit any searches submitted through this module to use the selected filter.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2108','MOD_FINDER_FIELDSET_BASIC_SEARCHFILTER_LABEL','Search Filter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2109','MOD_FINDER_FIELDSET_BASIC_SHOW_ADVANCED_DESCRIPTION','Show or hide advanced search options. If set to Link to Component option creates a Smart Search link which redirects to the smart search view. If set to show, the advanced search options will be displayed inline.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2110','MOD_FINDER_FIELDSET_BASIC_SHOW_ADVANCED_LABEL','Advanced Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2111','MOD_FINDER_FIELDSET_BASIC_SHOW_ADVANCED_OPTION_LINK','Link to Component','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2112','MOD_FINDER_FIELD_OPENSEARCH_DESCRIPTION','Some browsers can add support for your site\'s search if this option is enabled.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2113','MOD_FINDER_FIELD_OPENSEARCH_LABEL','OpenSearch Autodiscovery','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2114','MOD_FINDER_FIELD_OPENSEARCH_TEXT_DESCRIPTION','Text displayed in supported browsers when adding your site as a search provider.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2115','MOD_FINDER_FIELD_OPENSEARCH_TEXT_LABEL','OpenSearch title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2116','MOD_FINDER_SEARCHBUTTON_TEXT','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2117','MOD_FINDER_SEARCH_BUTTON','Go','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2118','MOD_FINDER_SEARCH_VALUE','Search ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2119','MOD_FINDER_SELECT_MENU_ITEMID','Select a menu item','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2120','MOD_FINDER_XML_DESCRIPTION','This is a Smart Search module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.ini'),
('2121','MOD_FINDER','Smart Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.sys.ini'),
('2122','MOD_FINDER_XML_DESCRIPTION','This is a search module for the Smart Search system.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.sys.ini'),
('2123','MOD_FINDER_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_finder.sys.ini'),
('2124','MOD_FOOTER','Footer','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.ini'),
('2125','MOD_FOOTER_LINE1','Copyright &#169; %date% %sitename%. All Rights Reserved.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.ini'),
('2126','MOD_FOOTER_LINE2','<a href="https://www.joomla.org">Joomla!</a> is Free Software released under the <a href="https://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License.</a>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.ini'),
('2127','MOD_FOOTER_XML_DESCRIPTION','This module shows the Joomla! copyright information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.ini'),
('2128','MOD_FOOTER','Footer','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.sys.ini'),
('2129','MOD_FOOTER_XML_DESCRIPTION','This module shows the Joomla! copyright information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.sys.ini'),
('2130','MOD_FOOTER_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_footer.sys.ini'),
('2131','MOD_LANGUAGES','Language Switcher','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2132','MOD_LANGUAGES_FIELD_ACTIVE_DESC','Display or not the active language. If displayed, the class \'lang-active\' will be added to the element.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2133','MOD_LANGUAGES_FIELD_ACTIVE_LABEL','Active Language','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2134','MOD_LANGUAGES_FIELD_CACHING_DESC','Use the global cache setting to cache the content of this module or disable caching for this module.<br />This should be set to \'No caching\' when using Associations.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2135','MOD_LANGUAGES_FIELD_DROPDOWN_DESC','If set to \'Yes\', the content languages native names will display in a dropdown.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2136','MOD_LANGUAGES_FIELD_DROPDOWN_LABEL','Use Dropdown','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2137','MOD_LANGUAGES_FIELD_DROPDOWN_IMAGE_DESC','Add image flags to the dropdown.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2138','MOD_LANGUAGES_FIELD_DROPDOWN_IMAGE_LABEL','Use Flags For Dropdown','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2139','MOD_LANGUAGES_FIELD_FOOTER_DESC','This is the text or HTML that is displayed below the language switcher.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2140','MOD_LANGUAGES_FIELD_FOOTER_LABEL','Post-text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2141','MOD_LANGUAGES_FIELD_FULL_NAME_DESC','If set to \'Yes\', full content language native names are displayed. If set to \'No\', upper case abbreviations from the content languages URL Language Code are used. Example: EN for English, FR for French.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2142','MOD_LANGUAGES_FIELD_FULL_NAME_LABEL','Languages Full Names','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2143','MOD_LANGUAGES_FIELD_HEADER_DESC','This is the text or HTML that is displayed above the language switcher.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2144','MOD_LANGUAGES_FIELD_HEADER_LABEL','Pre-text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2145','MOD_LANGUAGES_FIELD_INLINE_DESC','Default is set to \'Yes\', ie to horizontal display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2146','MOD_LANGUAGES_FIELD_INLINE_LABEL','Horizontal Display','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2147','MOD_LANGUAGES_FIELD_LINEHEIGHT_DESC','If set to \'Yes\', will decrease the line height when using flags.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2148','MOD_LANGUAGES_FIELD_LINEHEIGHT_LABEL','Line Height','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2149','MOD_LANGUAGES_FIELD_MODULE_LAYOUT_DESC','Use a different layout from the supplied module or overrides in the default template.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2150','MOD_LANGUAGES_FIELD_USEIMAGE_DESC','If set to \'Yes\', will display language choice as image flags. Otherwise will use the content language native names.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini');
INSERT INTO `#__overrider` VALUES 
('2151','MOD_LANGUAGES_FIELD_USEIMAGE_LABEL','Use Image Flags','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2152','MOD_LANGUAGES_OPTION_DEFAULT_LANGUAGE','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2153','MOD_LANGUAGES_SPACERDROP_LABEL','<u>If Use Dropdown is set to \'Yes\', <br />the display options below will be ignored</u>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2154','MOD_LANGUAGES_SPACERNAME_LABEL','<u>If Use Image Flags is set to \'Yes\', <br />the display options below will be ignored</u>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2155','MOD_LANGUAGES_SPACER_USENAME_LABEL','<u>As \'Use Dropdown\' and \'Use Image Flags\' have been set to \'No\',<br /> the switcher will display language names.</u>','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2156','MOD_LANGUAGES_XML_DESCRIPTION','This module displays a list of available Content Languages (as defined and published in Language Manager Content tab) for switching between them when you want to use Joomla! as a multilingual site. <br />--The plugin \'System - Language Filter\' has to be enabled.--<br />When switching languages and if the item displayed in the page is not associated to another item, the module redirects to the Home page defined for the chosen language.<br />Otherwise, if the parameter is set for the Language filter plugin, it will redirect to the associated item in the language chosen. Thereafter, the navigation will be the one defined for that language. <br />If the plugin <strong>\'System - Language Filter\'</strong> is disabled, this may have unwanted results.<br /><strong>Method:</strong><br />1. Open Language Manager Content tab and make sure the Languages you want to use in contents are published and have a Language Code for the URL as well as prefix for the image used in the module display.<br />2. Create a Home page by assigning a language to a menu item and defining it as Default Home page for each published content language. <br />3. Thereafter, you can assign a language to any Article, Category, Module, News Feed, Web Links in Joomla.<br />4. Make sure the module is published and the plugin is enabled. <br />5. When using associated items, make sure the module is displayed on the relevant pages. <br />6. The way the flags or names of the languages are displayed is defined by the ordering in the Language Manager - Content Languages.<br ><br >If this module is published, it is suggested to publish the Administrator multilingual status module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.ini'),
('2157','MOD_LANGUAGES','Language Switcher','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.sys.ini'),
('2158','MOD_LANGUAGES_XML_DESCRIPTION','This module displays a list of available Content Languages (as defined and published in Language Manager Content tab) for switching between them when you want to use Joomla! as a multilingual site. <br />--The plugin \'System - Language Filter\' has to be enabled.--<br />When switching languages and if the item displayed in the page is not associated to another item, the module redirects to the Home page defined for the chosen language.<br />Otherwise, if the parameter is set for the Language filter plugin, it will redirect to the associated item in the language chosen. Thereafter, the navigation will be the one defined for that language. <br />If the plugin <strong>\'System - Language Filter\'</strong> is disabled, this may have unwanted results.<br /><strong>Method:</strong><br />1. Open Language Manager Content tab and make sure the Languages you want to use in contents are published and have a Language Code for the URL as well as prefix for the image used in the module display.<br />2. Create a Home page by assigning a language to a menu item and defining it as Default Home page for each published content language. <br />3. Thereafter, you can assign a language to any Article, Category, Module, News Feed, Web Links in Joomla.<br />4. Make sure the module is published and the plugin is enabled. <br />5. When using associated items, make sure the module is displayed on the relevant pages. <br />6. The way the flags or names of the languages are displayed is defined by the ordering in the Language Manager - Content Languages.<br ><br >If this module is published, it is suggested to publish the Administrator multilingual status module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.sys.ini'),
('2159','MOD_LANGUAGES_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_languages.sys.ini'),
('2160','MOD_LOGIN','Login','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2161','MOD_LOGIN_FIELD_GREETING_DESC','Show or hide the simple greeting text.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2162','MOD_LOGIN_FIELD_GREETING_LABEL','Show Greeting','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2163','MOD_LOGIN_FIELD_LOGIN_REDIRECTURL_DESC','Select or create the page the user will be redirected to after a successful login. The default is to stay on the same page.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2164','MOD_LOGIN_FIELD_LOGIN_REDIRECTURL_LABEL','Login Redirection Page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2165','MOD_LOGIN_FIELD_LOGOUT_REDIRECTURL_DESC','Select or create the page the user will be redirected to after ending their current session by logging out. The default is to stay on the same page.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2166','MOD_LOGIN_FIELD_LOGOUT_REDIRECTURL_LABEL','Logout Redirection Page','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2167','MOD_LOGIN_FIELD_NAME_DESC','Displays name or username after logging in.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2168','MOD_LOGIN_FIELD_NAME_LABEL','Show Name/Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2169','MOD_LOGIN_FIELD_POST_TEXT_DESC','This is the text or HTML that is displayed below the login form.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2170','MOD_LOGIN_FIELD_POST_TEXT_LABEL','Post-text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2171','MOD_LOGIN_FIELD_PRE_TEXT_DESC','This is the text or HTML that is displayed above the login form.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2172','MOD_LOGIN_FIELD_PRE_TEXT_LABEL','Pre-text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2173','MOD_LOGIN_FIELD_PROFILE_LABEL','Show Profile Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2174','MOD_LOGIN_FIELD_PROFILE_DESC','Show a link to the User Profile page after logging in.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2175','MOD_LOGIN_FIELD_USESECURE_DESC','Submit encrypted login data using HTTPS (encrypted HTTP connections with the https:// protocol prefix). Note, you must have HTTPS enabled on your server to utilise this option.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2176','MOD_LOGIN_FIELD_USESECURE_LABEL','Encrypt Login Form','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2177','MOD_LOGIN_FIELD_USETEXT_DESC','Choose text or icons to display the field labels. Default is icons.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2178','MOD_LOGIN_FIELD_USETEXT_LABEL','Display Labels','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2179','MOD_LOGIN_FORGOT_YOUR_PASSWORD','Forgot your password?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2180','MOD_LOGIN_FORGOT_YOUR_USERNAME','Forgot your username?','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2181','MOD_LOGIN_HINAME','Hi %s,','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2182','MOD_LOGIN_PROFILE','View Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2183','MOD_LOGIN_REGISTER','Create an account','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2184','MOD_LOGIN_REMEMBER_ME','Remember Me','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2185','MOD_LOGIN_VALUE_ICONS','Icons','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2186','MOD_LOGIN_VALUE_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2187','MOD_LOGIN_VALUE_TEXT','Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2188','MOD_LOGIN_VALUE_USERNAME','Username','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2189','MOD_LOGIN_XML_DESCRIPTION','This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in Users > Manage > Options), another link will be shown to enable self-registration for users.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.ini'),
('2190','MOD_LOGIN','Login','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.sys.ini'),
('2191','MOD_LOGIN_XML_DESCRIPTION','This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in Users > Manage > Options), another link will be shown to enable self-registration for users.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.sys.ini'),
('2192','MOD_LOGIN_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_login.sys.ini'),
('2193','MOD_MENU','Menu','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2194','MOD_MENU_FIELD_ACTIVE_DESC','Select a menu item to always be used as the base for the menu display. You must set the Start Level to the same level or higher than the level of the base item. This will cause the module to be displayed on all assigned pages. If Current is selected the active item is used as the base. This causes the module to only display when the parent menu item is active.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2195','MOD_MENU_FIELD_ACTIVE_LABEL','Base Item','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2196','MOD_MENU_FIELD_ALLCHILDREN_DESC','Expand the menu and make its sub-menu items always visible.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2197','MOD_MENU_FIELD_ALLCHILDREN_LABEL','Show Sub-menu Items','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2198','MOD_MENU_FIELD_CLASS_DESC','A suffix to be applied to the CSS class of the menu items.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2199','MOD_MENU_FIELD_CLASS_LABEL','Menu Class Suffix','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2200','MOD_MENU_FIELD_ENDLEVEL_DESC','Level to stop rendering the menu at. If you choose \'All\', all levels will be shown depending on \'Show Sub-menu Items\' setting.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini');
INSERT INTO `#__overrider` VALUES 
('2201','MOD_MENU_FIELD_ENDLEVEL_LABEL','End Level','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2202','MOD_MENU_FIELD_MENUTYPE_DESC','Select a menu in the list.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2203','MOD_MENU_FIELD_MENUTYPE_LABEL','Select Menu','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2204','MOD_MENU_FIELD_STARTLEVEL_DESC','Level to start rendering the menu at. Setting the start and end levels to the same # and setting \'Show Sub-menu Items\' to yes will only display that single level.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2205','MOD_MENU_FIELD_STARTLEVEL_LABEL','Start Level','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2206','MOD_MENU_FIELD_TAG_ID_DESC','An ID attribute to assign to the root ul tag of the menu (optional).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2207','MOD_MENU_FIELD_TAG_ID_LABEL','Menu Tag ID','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2208','MOD_MENU_FIELD_TARGET_DESC','JavaScript values to position a popup window, eg top=50, left=50, width=200, height=300.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2209','MOD_MENU_FIELD_TARGET_LABEL','Target Position','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2210','MOD_MENU_XML_DESCRIPTION','This module displays a menu on the Frontend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.ini'),
('2211','MOD_MENU','Menu','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.sys.ini'),
('2212','MOD_MENU_XML_DESCRIPTION','This module displays a menu on the Frontend.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.sys.ini'),
('2213','MOD_MENU_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_menu.sys.ini'),
('2214','MOD_RANDOM_IMAGE','Random Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2215','MOD_RANDOM_IMAGE_FIELD_FOLDER_DESC','Path to the image folder relative to the site URL (eg images).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2216','MOD_RANDOM_IMAGE_FIELD_FOLDER_LABEL','Image Folder','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2217','MOD_RANDOM_IMAGE_FIELD_HEIGHT_DESC','Image height forces all images to be displayed with the height in pixels.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2218','MOD_RANDOM_IMAGE_FIELD_HEIGHT_LABEL','Height (px)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2219','MOD_RANDOM_IMAGE_FIELD_LINK_DESC','A URL to redirect to if the image is selected (eg https://www.joomla.org).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2220','MOD_RANDOM_IMAGE_FIELD_LINK_LABEL','Link','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2221','MOD_RANDOM_IMAGE_FIELD_TYPE_DESC','Type of image PNG/GIF/JPG etc (the default is JPG).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2222','MOD_RANDOM_IMAGE_FIELD_TYPE_LABEL','Image Type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2223','MOD_RANDOM_IMAGE_FIELD_WIDTH_DESC','Image width forces all images to be displayed with this width in pixels.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2224','MOD_RANDOM_IMAGE_FIELD_WIDTH_LABEL','Width (px)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2225','MOD_RANDOM_IMAGE_NO_IMAGES','No Images','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2226','MOD_RANDOM_IMAGE_XML_DESCRIPTION','This module displays a random image from your chosen folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.ini'),
('2227','MOD_RANDOM_IMAGE','Random Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.sys.ini'),
('2228','MOD_RANDOM_IMAGE_XML_DESCRIPTION','This module displays a random image from your chosen folder.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.sys.ini'),
('2229','MOD_RANDOM_IMAGE_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_random_image.sys.ini'),
('2230','MOD_RELATED_FIELD_MAX_DESC','The maximum number of related articles to display (default is 5).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.ini'),
('2231','MOD_RELATED_FIELD_MAX_LABEL','Maximum Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.ini'),
('2232','MOD_RELATED_FIELD_SHOWDATE_DESC','Show or hide date.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.ini'),
('2233','MOD_RELATED_FIELD_SHOWDATE_LABEL','Show Date','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.ini'),
('2234','MOD_RELATED_ITEMS','Articles - Related','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.ini'),
('2235','MOD_RELATED_XML_DESCRIPTION','This module displays other Articles that are related to the one being viewed. These relations are established by the Meta keywords. <br />All the keywords of the current Article are searched against all the keywords of all other published Articles. For example, you may have an Article on &quot;Breeding Parrots&quot; and another on &quot;Hand Raising Black Cockatoos&quot;. If you include the keyword &quot;parrot&quot; in both Articles, then the Related Items Module will list the &quot;Breeding Parrots&quot; Article when viewing &quot;Hand Raising Black Cockatoos&quot; and vice-versa.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.ini'),
('2236','MOD_RELATED_ITEMS','Articles - Related','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.sys.ini'),
('2237','MOD_RELATED_XML_DESCRIPTION','This module displays other Articles that are related to the one being viewed. These relations are established by the Meta keywords. <br />All the keywords of the current Article are searched against all the keywords of all other published Articles. For example, you may have an Article on &quot;Breeding Parrots&quot; and another on &quot;Hand Raising Black Cockatoos&quot;. If you include the keyword &quot;parrot&quot; in both Articles, then the Related Items Module will list the &quot;Breeding Parrots&quot; Article when viewing &quot;Hand Raising Black Cockatoos&quot; and vice-versa.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.sys.ini'),
('2238','MOD_RELATED_ITEMS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_related_items.sys.ini'),
('2239','MOD_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2240','MOD_SEARCH_FIELD_BOXWIDTH_DESC','Size of the search text box in characters.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2241','MOD_SEARCH_FIELD_BOXWIDTH_LABEL','Box Width','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2242','MOD_SEARCH_FIELD_BUTTON_DESC','Display a search button.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2243','MOD_SEARCH_FIELD_BUTTON_LABEL','Search Button','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2244','MOD_SEARCH_FIELD_BUTTONPOS_DESC','Position of the button relative to the search box.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2245','MOD_SEARCH_FIELD_BUTTONPOS_LABEL','Button Position','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2246','MOD_SEARCH_FIELD_BUTTONTEXT_DESC','The text that appears in the search button. If left blank, it will load the \'searchbutton\' string from your language file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2247','MOD_SEARCH_FIELD_BUTTONTEXT_LABEL','Button Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2248','MOD_SEARCH_FIELD_IMAGEBUTTON_DESC','Use an image as button. This image has to be named searchButton.gif and must be located in templates/*your template name*/images/.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2249','MOD_SEARCH_FIELD_IMAGEBUTTON_LABEL','Search Button Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2250','MOD_SEARCH_FIELD_SETITEMID_DESC','Assign an ItemID by selecting a menu item in the list for the display of the search results if there is no com_search menu and a specific display is desired. If you do not know what this means, you may not need it.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini');
INSERT INTO `#__overrider` VALUES 
('2251','MOD_SEARCH_FIELD_SETITEMID_LABEL','Set ItemID','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2252','MOD_SEARCH_FIELD_LABEL_TEXT_DESC','The text that appears in the label of search box. If left blank, it will load \'label\' string from your language file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2253','MOD_SEARCH_FIELD_LABEL_TEXT_LABEL','Box Label','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2254','MOD_SEARCH_FIELD_OPENSEARCH_LABEL','OpenSearch Autodiscovery','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2255','MOD_SEARCH_FIELD_OPENSEARCH_TEXT_LABEL','OpenSearch Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2256','MOD_SEARCH_FIELD_OPENSEARCH_TEXT_DESC','Text displayed in supported browsers when adding your site as a search provider.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2257','MOD_SEARCH_FIELD_OPENSEARCH_DESC','Some browsers can add support for your site\'s search if this option is enabled.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2258','MOD_SEARCH_FIELD_TEXT_DESC','The text that appears in the search text box. If left blank, it will load the \'searchbox\' string from your language file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2259','MOD_SEARCH_FIELD_TEXT_LABEL','Box Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2260','MOD_SEARCH_FIELD_VALUE_BOTTOM','Bottom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2261','MOD_SEARCH_FIELD_VALUE_LEFT','Left','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2262','MOD_SEARCH_FIELD_VALUE_RIGHT','Right','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2263','MOD_SEARCH_FIELD_VALUE_TOP','Top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2264','MOD_SEARCH_LABEL_TEXT','Search ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2265','MOD_SEARCH_SEARCHBOX_TEXT','Search ...','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2266','MOD_SEARCH_SEARCHBUTTON_TEXT','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2267','MOD_SEARCH_SELECT_MENU_ITEMID','Select a menu item','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2268','MOD_SEARCH_XML_DESCRIPTION','This module will display a search box.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.ini'),
('2269','MOD_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.sys.ini'),
('2270','MOD_SEARCH_XML_DESCRIPTION','This module will display a search box.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.sys.ini'),
('2271','MOD_SEARCH_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_search.sys.ini'),
('2272','MOD_STATS','Statistics','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2273','MOD_STATS_ARTICLES','Articles','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2274','MOD_STATS_ARTICLES_VIEW_HITS','Articles View Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2275','MOD_STATS_CACHING','Caching','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2276','MOD_STATS_FIELD_COUNTER_DESC','Display hit counter.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2277','MOD_STATS_FIELD_COUNTER_LABEL','Hit Counter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2278','MOD_STATS_FIELD_INCREASECOUNTER_DESC','Enter the number of hits to increase the counter by.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2279','MOD_STATS_FIELD_INCREASECOUNTER_LABEL','Increase Counter','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2280','MOD_STATS_FIELD_SERVERINFO_DESC','Display server information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2281','MOD_STATS_FIELD_SERVERINFO_LABEL','Server Information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2282','MOD_STATS_FIELD_SITEINFO_DESC','Display site information.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2283','MOD_STATS_FIELD_SITEINFO_LABEL','Site Information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2284','MOD_STATS_GZIP','Gzip','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2285','MOD_STATS_MYSQL','MySQL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2286','MOD_STATS_OS','OS','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2287','MOD_STATS_PHP','PHP','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2288','MOD_STATS_TIME','Time','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2289','MOD_STATS_USERS','Users','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2290','MOD_STATS_WEBLINKS','Web Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2291','MOD_STATS_XML_DESCRIPTION','The Statistics Module shows information about your server installation together with statistics on the website users and the number of Articles in your database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.ini'),
('2292','MOD_STATS','Statistics','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.sys.ini'),
('2293','MOD_STATS_XML_DESCRIPTION','The Statistics Module shows information about your server installation together with statistics on the website users and the number of Articles in your database.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.sys.ini'),
('2294','MOD_STATS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_stats.sys.ini'),
('2295','MOD_SYNDICATE','Syndication Feeds','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2296','MOD_SYNDICATE_DEFAULT_FEED_ENTRIES','Feed Entries','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2297','MOD_SYNDICATE_FIELD_DISPLAYTEXT_DESC','If set to \'Yes\', text will be displayed next to the icon.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2298','MOD_SYNDICATE_FIELD_DISPLAYTEXT_LABEL','Display Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2299','MOD_SYNDICATE_FIELD_FORMAT_DESC','Select the format for the Syndication Feed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2300','MOD_SYNDICATE_FIELD_FORMAT_LABEL','Feed Format','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini');
INSERT INTO `#__overrider` VALUES 
('2301','MOD_SYNDICATE_FIELD_TEXT_DESC','If \'Display Text\' is activated, the text entered will be displayed next to the icon along with the RSS Link. If this field is left empty, the default text displayed will be picked from the site language ini file.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2302','MOD_SYNDICATE_FIELD_TEXT_LABEL','Text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2303','MOD_SYNDICATE_FIELD_VALUE_ATOM','Atom 1.0','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2304','MOD_SYNDICATE_FIELD_VALUE_RSS','RSS 2.0','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2305','MOD_SYNDICATE_XML_DESCRIPTION','Smart Syndication Module that creates a Syndicated Feed for the page where the Module is displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.ini'),
('2306','MOD_SYNDICATE','Syndication Feeds','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.sys.ini'),
('2307','MOD_SYNDICATE_XML_DESCRIPTION','Smart Syndication Module that creates a Syndicated Feed for the page where the Module is displayed.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.sys.ini'),
('2308','MOD_SYNDICATE_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_syndicate.sys.ini'),
('2309','MOD_TAGS_POPULAR','Tags - Popular','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2310','MOD_TAGS_POPULAR_FIELD_ALL_TIME','All time','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2311','MOD_TAGS_POPULAR_FIELD_DISPLAY_COUNT_DESC','Choose if the number of tagged items should be displayed next to each tag.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2312','MOD_TAGS_POPULAR_FIELD_DISPLAY_COUNT_LABEL','Display Number of Items','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2313','MOD_TAGS_POPULAR_FIELD_LAST_DAY','Last day','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2314','MOD_TAGS_POPULAR_FIELD_LAST_HOUR','Last hour','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2315','MOD_TAGS_POPULAR_FIELD_LAST_MONTH','Last month','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2316','MOD_TAGS_POPULAR_FIELD_LAST_WEEK','Last week','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2317','MOD_TAGS_POPULAR_FIELD_LAST_YEAR','Last year','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2318','MOD_TAGS_POPULAR_FIELD_MAX_DESC','Sets the maximum number of tags to display in the module. Enter &quot;0&quot; to display all tags.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2319','MOD_TAGS_POPULAR_FIELD_MAX_LABEL','Maximum Tags','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2320','MOD_TAGS_POPULAR_FIELD_MAXSIZE_DESC','The maximum font size used for the tags, proportional to the site\'s default font size (eg &quot;2&quot; means 200% of the default size).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2321','MOD_TAGS_POPULAR_FIELD_MAXSIZE_LABEL','Maximum Font Size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2322','MOD_TAGS_POPULAR_FIELD_MINSIZE_DESC','The minimum font size used for the tags, proportional to the site\'s default font size (eg &quot;2&quot; means 200% of the default size).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2323','MOD_TAGS_POPULAR_FIELD_MINSIZE_LABEL','Minimum Font Size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2324','MOD_TAGS_POPULAR_FIELD_NO_RESULTS_DESC','Will show a message if no matching tags are found instead of hiding the module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2325','MOD_TAGS_POPULAR_FIELD_NO_RESULTS_LABEL','Show &quot;No results&quot; text','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2326','MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_COUNT','Number of Items','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2327','MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_DESC','The order that tags will show in.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2328','MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_LABEL','Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2329','MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2330','MOD_TAGS_POPULAR_FIELD_ORDER_VALUE_TITLE','Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2331','MOD_TAGS_POPULAR_FIELD_TIMEFRAME_DESC','Sets the time period for which to calculate popularity.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2332','MOD_TAGS_POPULAR_FIELD_TIMEFRAME_LABEL','Time Period','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2333','MOD_TAGS_POPULAR_FIELDSET_CLOUD_LABEL','Cloud Layout','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2334','MOD_TAGS_POPULAR_MAX_DESC','Sets the maximum number of tags to display in the module.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2335','MOD_TAGS_POPULAR_MAX_LABEL','Maximum Tags','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2336','MOD_TAGS_POPULAR_NO_ITEMS_FOUND','No Tags found.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2337','MOD_TAGS_POPULAR_PARENT_TAG_DESC','Limit tags shown to the children of this Parent Tag.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2338','MOD_TAGS_POPULAR_PARENT_TAG_LABEL','Parent Tag','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2339','MOD_TAGS_POPULAR_XML_DESCRIPTION','This module displays tags used on the site in a list or a cloud layout. Tags can be ordered by title or by the number of tagged items and limited to a specific time period.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.ini'),
('2340','MOD_TAGS_POPULAR','Tags - Popular','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
('2341','MOD_TAGS_POPULAR_LAYOUT_CLOUD','Cloud','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
('2342','MOD_TAGS_POPULAR_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
('2343','MOD_TAGS_POPULAR_XML_DESCRIPTION','This module displays tags used on the site in a list or a cloud layout. Tags can be ordered by title or by the number of tagged items and limited to a specific time period.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_popular.sys.ini'),
('2344','MOD_TAGS_SIMILAR','Tags - Similar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2345','MOD_TAGS_SIMILAR_FIELD_ALL','All','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2346','MOD_TAGS_SIMILAR_FIELD_HALF','Half','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2347','MOD_TAGS_SIMILAR_FIELD_MATCHTYPE_DESC','How closely an item\'s tags need to match. All - requires that all tags in the displayed item be matched. Any - requires that at least one tag match. Half - requires that at least half of the tags match (rounded up in the case of decimals).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2348','MOD_TAGS_SIMILAR_FIELD_MATCHTYPE_LABEL','Match Type','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2349','MOD_TAGS_SIMILAR_FIELD_ONE','Any','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2350','MOD_TAGS_SIMILAR_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini');
INSERT INTO `#__overrider` VALUES 
('2351','MOD_TAGS_SIMILAR_MAX_DESC','Maximum number of items to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2352','MOD_TAGS_SIMILAR_MAX_LABEL','Maximum Items','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2353','MOD_TAGS_SIMILAR_NO_MATCHING_TAGS','No matching tags.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2354','MOD_TAGS_SIMILAR_XML_DESCRIPTION','The Similar Tags Module displays links to other items with similar tags. The closeness of the match can be specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2355','MOD_TAGS_SIMILAR_FIELD_ORDERING_LABEL','Order Results','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2356','MOD_TAGS_SIMILAR_FIELD_ORDERING_DESC','Select the order in which you want query results presented.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2357','MOD_TAGS_SIMILAR_FIELD_ORDERING_COUNT','Number of matching tags','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2358','MOD_TAGS_SIMILAR_FIELD_ORDERING_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2359','MOD_TAGS_SIMILAR_FIELD_ORDERING_COUNT_AND_RANDOM','Number of matching tags & Random','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.ini'),
('2360','MOD_TAGS_SIMILAR','Tags - Similar','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.sys.ini'),
('2361','MOD_TAGS_SIMILAR_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.sys.ini'),
('2362','MOD_TAGS_SIMILAR_XML_DESCRIPTION','The Similar Tags Module displays links to other items with similar tags. The closeness of the match can be specified.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_tags_similar.sys.ini'),
('2363','MOD_USERS_LATEST','Latest Users','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2364','MOD_USERS_LATEST_FIELD_FILTER_GROUPS_DESC','Choose to filter by groups of the connected user.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2365','MOD_USERS_LATEST_FIELD_FILTER_GROUPS_LABEL','Filter Groups','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2366','MOD_USERS_LATEST_FIELD_LINKTOWHAT_DESC','Choose the type of information to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2367','MOD_USERS_LATEST_FIELD_LINKTOWHAT_LABEL','User Information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2368','MOD_USERS_LATEST_FIELD_NUMBER_DESC','Number of latest registered users to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2369','MOD_USERS_LATEST_FIELD_NUMBER_LABEL','Number of Users','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2370','MOD_USERS_LATEST_FIELD_VALUE_CONTACT','Contact','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2371','MOD_USERS_LATEST_FIELD_VALUE_PROFILE','Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2372','MOD_USERS_LATEST_XML_DESCRIPTION','This module displays the latest registered users.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.ini'),
('2373','MOD_USERS_LATEST','Latest Users','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.sys.ini'),
('2374','MOD_USERS_LATEST_XML_DESCRIPTION','This module displays the latest registered users.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.sys.ini'),
('2375','MOD_USERS_LATEST_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_users_latest.sys.ini'),
('2376','MOD_WEBLINKS','Web Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2377','MOD_WEBLINKS_FIELD_CATEGORY_DESC','Choose the Web Links category to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2378','MOD_WEBLINKS_FIELD_GROUPBY_DESC','If set to yes, web links will be grouped by subcategories.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2379','MOD_WEBLINKS_FIELD_GROUPBY_LABEL','Group By Subcategories','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2380','MOD_WEBLINKS_FIELD_GROUPBYSHOWTITLE_DESC','If set to yes, will show groups titles (valid only if grouping).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2381','MOD_WEBLINKS_FIELD_GROUPBYSHOWTITLE_LABEL','Show Group Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2382','MOD_WEBLINKS_FIELD_GROUPBYORDERING_DESC','Ordering for the subcategories (valid only if grouping).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2383','MOD_WEBLINKS_FIELD_GROUPBYORDERING_LABEL','Group Ordering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2384','MOD_WEBLINKS_FIELD_GROUPBYDIRECTION_DESC','Direction for the subcategories (valid only if grouping).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2385','MOD_WEBLINKS_FIELD_GROUPBYDIRECTION_LABEL','Group Ordering Direction','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2386','MOD_WEBLINKS_FIELD_COLUMNS_DESC','When grouping by subcategories, split into # columns.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2387','MOD_WEBLINKS_FIELD_COLUMNS_LABEL','Columns','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2388','MOD_WEBLINKS_FIELD_COUNT_DESC','Number of Web Links to display.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2389','MOD_WEBLINKS_FIELD_COUNT_LABEL','Count','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2390','MOD_WEBLINKS_FIELD_COUNTCLICKS_DESC','If set to yes, the number of times the link has been clicked will be recorded.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2391','MOD_WEBLINKS_FIELD_COUNTCLICKS_LABEL','Count Clicks','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2392','MOD_WEBLINKS_FIELD_DESCRIPTION_DESC','Display Web Link description.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2393','MOD_WEBLINKS_FIELD_DESCRIPTION_LABEL','Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2394','MOD_WEBLINKS_FIELD_FOLLOW_DESC','Robots index - allow to follow or not.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2395','MOD_WEBLINKS_FIELD_FOLLOW_LABEL','Follow/No Follow','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2396','MOD_WEBLINKS_FIELD_HITS_DESC','Show hits.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2397','MOD_WEBLINKS_FIELD_HITS_LABEL','Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2398','MOD_WEBLINKS_FIELD_ORDERDIRECTION_DESC','Set the ordering direction.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2399','MOD_WEBLINKS_FIELD_ORDERDIRECTION_LABEL','Direction','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2400','MOD_WEBLINKS_FIELD_ORDERING_DESC','Ordering for the Web Links.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini');
INSERT INTO `#__overrider` VALUES 
('2401','MOD_WEBLINKS_FIELD_ORDERING_LABEL','Ordering','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2402','MOD_WEBLINKS_FIELD_TARGET_DESC','Target browser window when the link is selected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2403','MOD_WEBLINKS_FIELD_TARGET_LABEL','Target Window','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2404','MOD_WEBLINKS_FIELD_VALUE_ASCENDING','Ascending','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2405','MOD_WEBLINKS_FIELD_VALUE_DESCENDING','Descending','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2406','MOD_WEBLINKS_FIELD_VALUE_FOLLOW','Follow','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2407','MOD_WEBLINKS_FIELD_VALUE_HITS','Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2408','MOD_WEBLINKS_FIELD_VALUE_NOFOLLOW','No follow','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2409','MOD_WEBLINKS_FIELD_VALUE_ORDER','Order','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2410','MOD_WEBLINKS_HITS','Hits','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2411','MOD_WEBLINKS_XML_DESCRIPTION','This modules displays web links from a category defined in the Web Links component.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.ini'),
('2412','MOD_WEBLINKS','Web Links','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.sys.ini'),
('2413','MOD_WEBLINKS_XML_DESCRIPTION','This modules displays Web Links from a category defined in the Web Links component.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.sys.ini'),
('2414','MOD_WEBLINKS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_weblinks.sys.ini'),
('2415','MOD_WHOSONLINE','Who\'s Online','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2416','MOD_WHOSONLINE_FIELD_FILTER_GROUPS_DESC','Choose to filter by groups of the connected user','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2417','MOD_WHOSONLINE_FIELD_FILTER_GROUPS_LABEL','Filter Groups','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2418','MOD_WHOSONLINE_FIELD_LINKTOWHAT_DESC','Choose the type of information to display','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2419','MOD_WHOSONLINE_FIELD_LINKTOWHAT_LABEL','Information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2420','MOD_WHOSONLINE_FIELD_VALUE_BOTH','Both','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2421','MOD_WHOSONLINE_FIELD_VALUE_CONTACT','Contact','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2422','MOD_WHOSONLINE_FIELD_VALUE_NAMES','Usernames','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2423','MOD_WHOSONLINE_FIELD_VALUE_NUMBER','# of Guests / Users','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2424','MOD_WHOSONLINE_FIELD_VALUE_PROFILE','Profile','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2425','MOD_WHOSONLINE_GUESTS','%s&#160;guests','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2426','MOD_WHOSONLINE_GUESTS_1','one guest','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2427','MOD_WHOSONLINE_GUESTS_0','no guests','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2428','MOD_WHOSONLINE_MEMBERS','%s&#160;members','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2429','MOD_WHOSONLINE_MEMBERS_1','one member','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2430','MOD_WHOSONLINE_MEMBERS_0','no members','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2431','MOD_WHOSONLINE_SAME_GROUP_MESSAGE','List of Users who belong to your user groups or your user groups\' child groups','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2432','MOD_WHOSONLINE_SHOWMODE_DESC','Select what will be shown','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2433','MOD_WHOSONLINE_SHOWMODE_LABEL','Display','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2434','MOD_WHOSONLINE_XML_DESCRIPTION','The Who\'s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged-in) that are currently accessing the website.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2435','MOD_WHOSONLINE_WE_HAVE','We have %1$s and %2$s online','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.ini'),
('2436','MOD_WHOSONLINE','Who\'s Online','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.sys.ini'),
('2437','MOD_WHOSONLINE_XML_DESCRIPTION','The Who\'s Online Module displays the number of Anonymous Users (Guests) and Registered Users (users logged-in) that are currently accessing the website.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.sys.ini'),
('2438','MOD_WHOSONLINE_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_whosonline.sys.ini'),
('2439','MOD_WRAPPER','Wrapper','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2440','MOD_WRAPPER_FIELD_ADD_DESC','By default, http:// will be added unless it detects http:// or https:// in the URL you provide. This allows you to switch this ability off.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2441','MOD_WRAPPER_FIELD_ADD_LABEL','Auto Add','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2442','MOD_WRAPPER_FIELD_AUTOHEIGHT_DESC','The height will automatically be set to the size of the external page. This will only work for pages on your own domain.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2443','MOD_WRAPPER_FIELD_AUTOHEIGHT_LABEL','Auto Height','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2444','MOD_WRAPPER_FIELD_HEIGHT_DESC','Height of the iframe window.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2445','MOD_WRAPPER_FIELD_HEIGHT_LABEL','Height','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2446','MOD_WRAPPER_FIELD_SCROLL_DESC','Show or hide horizontal &amp; vertical scroll bars.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2447','MOD_WRAPPER_FIELD_SCROLL_LABEL','Scroll Bars','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2448','MOD_WRAPPER_FIELD_TARGET_DESC','Name of the iframe when used as target.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2449','MOD_WRAPPER_FIELD_TARGET_LABEL','Target Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2450','MOD_WRAPPER_FIELD_URL_DESC','URL to site/file you wish to display within the iframe.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini');
INSERT INTO `#__overrider` VALUES 
('2451','MOD_WRAPPER_FIELD_URL_LABEL','URL','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2452','MOD_WRAPPER_FIELD_VALUE_AUTO','Auto','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2453','MOD_WRAPPER_FIELD_WIDTH_DESC','Width of the iframe window. You can enter an absolute figure in pixels or a relative figure by adding a %.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2454','MOD_WRAPPER_FIELD_WIDTH_LABEL','Width','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2455','MOD_WRAPPER_NO_IFRAMES','No iframes','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2456','MOD_WRAPPER_XML_DESCRIPTION','This module shows an iframe window to specified location.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2457','MOD_WRAPPER_FIELD_FRAME_LABEL','Frame Border','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2458','MOD_WRAPPER_FIELD_FRAME_DESC','Show frame border which wraps the iframe.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.ini'),
('2459','MOD_WRAPPER','Wrapper','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.sys.ini'),
('2460','MOD_WRAPPER_NO_IFRAMES','No iframes','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.sys.ini'),
('2461','MOD_WRAPPER_XML_DESCRIPTION','This module shows an iframe window to specified location.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.sys.ini'),
('2462','MOD_WRAPPER_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.mod_wrapper.sys.ini'),
('2463','PKG_WEBLINKS','Web Links Extension Package','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.pkg_weblinks.sys.ini'),
('2464','PKG_WEBLINKS_XML_DESCRIPTION','The Web Links package includes the Web Links component, module, and search plugins for both of Joomla\'s search platforms.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.pkg_weblinks.sys.ini'),
('2465','TPL_BEEZ3_ADDITIONAL_INFORMATION','Additional information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2466','TPL_BEEZ3_ALTCLOSE','is closed','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2467','TPL_BEEZ3_ALTOPEN','is open','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2468','TPL_BEEZ3_BIGGER','Bigger','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2469','TPL_BEEZ3_CLICK','select','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2470','TPL_BEEZ3_CLOSEMENU','Close Menu','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2471','TPL_BEEZ3_DECREASE_SIZE','Decrease size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2472','TPL_BEEZ3_ERROR_JUMP_TO_NAV','Jump to navigation','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2473','TPL_BEEZ3_FIELD_BOOTSTRAP_DESC','Create a comma separated list of any components for which Bootstrap is needed, for example com_name, com_anothername.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2474','TPL_BEEZ3_FIELD_BOOTSTRAP_LABEL','Components Requiring<br /> Bootstrap','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2475','TPL_BEEZ3_FIELD_DESCRIPTION_DESC','Please add your site description here.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2476','TPL_BEEZ3_FIELD_DESCRIPTION_LABEL','Site Description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2477','TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_DESC','Choose a colour for the Background when Custom is selected as the Template Colour. If left blank the Default (#eeeeee) is used.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2478','TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_LABEL','Background Colour','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2479','TPL_BEEZ3_FIELD_HEADER_IMAGE_DESC','Select or upload an image to be used as a header image when the custom colour option is selected.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2480','TPL_BEEZ3_FIELD_HEADER_IMAGE_LABEL','Header Image','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2481','TPL_BEEZ3_FIELD_LOGO_DESC','Select or upload an image. If you do not want to display a logo, select Clear and leave the field blank.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2482','TPL_BEEZ3_FIELD_LOGO_LABEL','Logo','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2483','TPL_BEEZ3_FIELD_NAVPOSITION_DESC','Navigation before or after content.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2484','TPL_BEEZ3_FIELD_NAVPOSITION_LABEL','Position of Navigation','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2485','TPL_BEEZ3_FIELD_SITETITLE_DESC','Please add your site title here, it\'s only displayed if you don\'t use a logo.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2486','TPL_BEEZ3_FIELD_SITETITLE_LABEL','Site Title','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2487','TPL_BEEZ3_FIELD_TEMPLATECOLOR_DESC','Colour of the template.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2488','TPL_BEEZ3_FIELD_TEMPLATECOLOR_LABEL','Template Colour','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2489','TPL_BEEZ3_FIELD_WRAPPERLARGE_DESC','Wrapper width with closed additional columns in percent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2490','TPL_BEEZ3_FIELD_WRAPPERLARGE_LABEL','Wrapper Large (%)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2491','TPL_BEEZ3_FIELD_WRAPPERSMALL_DESC','Wrapper width with opened additional columns in percent.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2492','TPL_BEEZ3_FIELD_WRAPPERSMALL_LABEL','Wrapper Small (%)','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2493','TPL_BEEZ3_FONTSIZE','Font Size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2494','TPL_BEEZ3_INCREASE_SIZE','Increase size','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2495','TPL_BEEZ3_JUMP_TO_INFO','Jump to additional information','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2496','TPL_BEEZ3_JUMP_TO_NAV','Jump to main navigation and login','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2497','TPL_BEEZ3_NAVIGATION','Navigation','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2498','TPL_BEEZ3_NAV_VIEW_SEARCH','Nav view search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2499','TPL_BEEZ3_NEXTTAB','Next Tab','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2500','TPL_BEEZ3_OPENMENU','Open Menu','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini');
INSERT INTO `#__overrider` VALUES 
('2501','TPL_BEEZ3_OPTION_AFTER_CONTENT','after content','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2502','TPL_BEEZ3_OPTION_BEFORE_CONTENT','before content','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2503','TPL_BEEZ3_OPTION_IMAGE','Custom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2504','TPL_BEEZ3_OPTION_NATURE','Nature','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2505','TPL_BEEZ3_OPTION_PERSONAL','Personal','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2506','TPL_BEEZ3_OPTION_RED','Red','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2507','TPL_BEEZ3_OPTION_TURQ','Turquoise','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2508','TPL_BEEZ3_POWERED_BY','Powered by','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2509','TPL_BEEZ3_RESET','Reset','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2510','TPL_BEEZ3_REVERT_STYLES_TO_DEFAULT','Revert styles to default','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2511','TPL_BEEZ3_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2512','TPL_BEEZ3_SKIP_TO_CONTENT','Skip to content','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2513','TPL_BEEZ3_SKIP_TO_ERROR_CONTENT','Jump to error message and search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2514','TPL_BEEZ3_SMALLER','Smaller','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2515','TPL_BEEZ3_SYSTEM_MESSAGE','Error','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2516','TPL_BEEZ3_TEXTRIGHTCLOSE','Close info','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2517','TPL_BEEZ3_TEXTRIGHTOPEN','Open info','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2518','TPL_BEEZ3_XML_DESCRIPTION','Accessible site template for Joomla! 3.x. Beez3, the HTML5 version.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2519','TPL_BEEZ3_YOUR_SITE_DESCRIPTION','Your site description','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.ini'),
('2520','TPL_BEEZ3_POSITION_DEBUG','Debug','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2521','TPL_BEEZ3_POSITION_POSITION-0','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2522','TPL_BEEZ3_POSITION_POSITION-10','Footer middle','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2523','TPL_BEEZ3_POSITION_POSITION-11','Footer bottom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2524','TPL_BEEZ3_POSITION_POSITION-12','Middle top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2525','TPL_BEEZ3_POSITION_POSITION-13','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2526','TPL_BEEZ3_POSITION_POSITION-14','Footer last','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2527','TPL_BEEZ3_POSITION_POSITION-15','Header','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2528','TPL_BEEZ3_POSITION_POSITION-1','Top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2529','TPL_BEEZ3_POSITION_POSITION-2','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2530','TPL_BEEZ3_POSITION_POSITION-3','Right bottom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2531','TPL_BEEZ3_POSITION_POSITION-4','Left middle','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2532','TPL_BEEZ3_POSITION_POSITION-5','Left bottom','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2533','TPL_BEEZ3_POSITION_POSITION-6','Right top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2534','TPL_BEEZ3_POSITION_POSITION-7','Left top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2535','TPL_BEEZ3_POSITION_POSITION-8','Right middle','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2536','TPL_BEEZ3_POSITION_POSITION-9','Footer top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2537','TPL_BEEZ3_XML_DESCRIPTION','Accessible site template for Joomla! 3.x. Beez3, the HTML5 version.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('2538','TPL_PROTOSTAR_BACKGROUND_COLOR_DESC','Choose a background colour for static layouts. If left blank the Default (#f4f6f7) is used.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2539','TPL_PROTOSTAR_BACKGROUND_COLOR_LABEL','Background Colour','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2540','TPL_PROTOSTAR_BACKTOTOP','Back to Top','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2541','TPL_PROTOSTAR_COLOR_DESC','Choose an overall colour for the site template. If left blank the Default (#0088cc) is used.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2542','TPL_PROTOSTAR_COLOR_LABEL','Template Colour','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2543','TPL_PROTOSTAR_FLUID_DESC','Use Bootstrap\'s Fluid or Static Container (both are Responsive).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2544','TPL_PROTOSTAR_FLUID_LABEL','Fluid Layout','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2545','TPL_PROTOSTAR_FLUID','Fluid','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2546','TPL_PROTOSTAR_FONT_DESC','Load a Google font for the headings (H1, H2, H3, etc).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2547','TPL_PROTOSTAR_FONT_LABEL','Google Font for Headings','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2548','TPL_PROTOSTAR_FONT_NAME_DESC','Example: Open+Sans or Source+Sans+Pro.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2549','TPL_PROTOSTAR_FONT_NAME_LABEL','Google Font Name','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2550','TPL_PROTOSTAR_LOGO_DESC','Select or upload a custom logo for the site template.','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini');
INSERT INTO `#__overrider` VALUES 
('2551','TPL_PROTOSTAR_LOGO_LABEL','Logo','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2552','TPL_PROTOSTAR_STATIC','Static','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2553','TPL_PROTOSTAR_TOGGLE_MENU','Toggle Navigation','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2554','TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap and the launch of the Joomla User Interface library (JUI).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.ini'),
('2555','TPL_PROTOSTAR_POSITION_BANNER','Banner','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2556','TPL_PROTOSTAR_POSITION_DEBUG','Debug','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2557','TPL_PROTOSTAR_POSITION_POSITION-0','Search','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2558','TPL_PROTOSTAR_POSITION_POSITION-10','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2559','TPL_PROTOSTAR_POSITION_POSITION-11','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2560','TPL_PROTOSTAR_POSITION_POSITION-12','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2561','TPL_PROTOSTAR_POSITION_POSITION-13','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2562','TPL_PROTOSTAR_POSITION_POSITION-14','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2563','TPL_PROTOSTAR_POSITION_POSITION-15','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2564','TPL_PROTOSTAR_POSITION_POSITION-1','Navigation','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2565','TPL_PROTOSTAR_POSITION_POSITION-2','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2566','TPL_PROTOSTAR_POSITION_POSITION-3','Top centre','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2567','TPL_PROTOSTAR_POSITION_POSITION-4','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2568','TPL_PROTOSTAR_POSITION_POSITION-5','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2569','TPL_PROTOSTAR_POSITION_POSITION-6','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2570','TPL_PROTOSTAR_POSITION_POSITION-7','Right','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2571','TPL_PROTOSTAR_POSITION_POSITION-8','Left','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2572','TPL_PROTOSTAR_POSITION_POSITION-9','Unused','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2573','TPL_PROTOSTAR_POSITION_FOOTER','Footer','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2574','TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap and the launch of the Joomla User Interface library (JUI).','/home/template/public_html/joomla30/jm-myoffers/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('2575','COM_DJCLASSIFIEDS','DJ Classifieds','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2576','COM_DJCLASSIFIEDS_AD','Advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2577','COM_DJCLASSIFIEDS_ADS','Adverts','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2578','COM_DJCLASSIFIEDS_TITLE','Title','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2579','COM_DJCLASSIFIEDS_CATEGORY','Category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2580','COM_DJCLASSIFIEDS_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2581','COM_DJCLASSIFIEDS_SUBCATEGORIES','Subcategories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2582','COM_DJCLASSIFIEDS_DESCRIPTION','Description','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2583','COM_DJCLASSIFIEDS_LOCALIZATION','Location','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2584','COM_DJCLASSIFIEDS_ADDRESS','Address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2585','COM_DJCLASSIFIEDS_DATE_ADDED','Added','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2586','COM_DJCLASSIFIEDS_DATE_EXPIRATION','Expiration','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2587','COM_DJCLASSIFIEDS_DATE_PRICE','Price','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2588','COM_DJCLASSIFIEDS_DISPLAYED','Displayed','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2589','COM_DJCLASSIFIEDS_ITEM_NOT_AVAILABLE','This item isn\'t available','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2590','COM_DJCLASSIFIEDS_IMAGES','Images','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2591','COM_DJCLASSIFIEDS_CUSTOM_DETAILS','Specific details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2592','COM_DJCLASSIFIEDS_GENERAL_DETAILS','General details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2593','COM_DJCLASSIFIEDS_PRICE','Price','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2594','COM_DJCLASSIFIEDS_CONTACT','Contact','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2595','COM_DJCLASSIFIEDS_CREATED_BY','Created by','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2596','COM_DJCLASSIFIEDS_GUEST','Guest','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2597','COM_DJCLASSIFIEDS_ASK_SELLER','Contact this advertiser','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2598','COM_DJCLASSIFIEDS_MESSAGE','Message','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2599','COM_DJCLASSIFIEDS_YOUR_NAME','Your name','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2600','COM_DJCLASSIFIEDS_YOUR_EMAIL','Your email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2601','COM_DJCLASSIFIEDS_AD_ID','Advert ID','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2602','COM_DJCLASSIFIEDS_AD_EXPIRES','Expires','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2603','COM_DJCLASSIFIEDS_AD_ADDED','Added','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2604','COM_DJCLASSIFIEDS_AD_MODIFIED','Modified','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2605','COM_DJCLASSIFIEDS_PLEASE_LOGIN','Please login','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2606','COM_DJCLASSIFIEDS_AD_DETAILS','Advert details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2607','COM_DJCLASSIFIEDS_MESSAGE_SEND','Message sent','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2608','COM_DJCLASSIFIEDS_SEND','Send','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2609','COM_DJCLASSIFIEDS_FROM_USER','From user','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2610','COM_DJCLASSIFIEDS_USER_EMAIL','User email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2611','COM_DJCLASSIFIEDS_NEW_AD_VERIFICATION','New Advert - Verification','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2612','COM_DJCLASSIFIEDS_INVALID_CODE','Invalid code','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2613','COM_DJCLASSIFIEDS_CONTINUE','Continue','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2614','COM_DJCLASSIFIEDS_EDIT_AD','Edit Advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2615','COM_DJCLASSIFIEDS_NEW_AD','New Advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2616','COM_DJCLASSIFIEDS_WRONG_AD','Wrong Advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2617','COM_DJCLASSIFIEDS_PLEASE_SELECT_CATEGORY','Category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2618','COM_DJCLASSIFIEDS_SELECT_LOCALIZATION','Location','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2619','COM_DJCLASSIFIEDS_NO_EXTRA_FIELDS_FOR_CAT','No extra fields for this category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2620','COM_DJCLASSIFIEDS_EXTRA_FIELDS','Extra fields','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2621','COM_DJCLASSIFIEDS_INTRO_DESCRIPTION','Intro description','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2622','COM_DJCLASSIFIEDS_PROMOTED_FIRST','Promoted','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2623','COM_DJCLASSIFIEDS_NO_IMAGES_INCLUDED','No images included','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2624','COM_DJCLASSIFIEDS_CHECK_TO_DELETE','Check, to delete','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2625','COM_DJCLASSIFIEDS_MAX_IMAGE_SIZE','Maximum images size','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2626','COM_DJCLASSIFIEDS_ADD_IMAGE','Add image','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2627','COM_DJCLASSIFIEDS_ADD_NEX_IMAGE','Add next image','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2628','COM_DJCLASSIFIEDS_MAXIMUM_NUMBER_OF_IMAGES_IS','Maximum number of images is','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2629','COM_DJCLASSIFIEDS_ENTER_ALL_VALUES','Please Enter all values','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2630','COM_DJCLASSIFIEDS_SAVING_PLEASE_WAIT','Saving, please wait','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2631','COM_DJCLASSIFIEDS_SAVE','Save','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2632','COM_DJCLASSIFIEDS_AD_ADDED_SUCCESSFULLY','Advert added successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2633','COM_DJCLASSIFIEDS_AD_ADDED_SUCCESSFULLY_WAITING_FOR_PUBLISH','Advert added successfully,waiting for publish','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2634','COM_DJCLASSIFIEDS_AD_ADDED_SUCCESSFULLY_CHOOSE_PAYMENT','Advert added successfully, please choose payment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2635','COM_DJCLASSIFIEDS_PAYMENT_METHODS','Payment methods','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2636','COM_DJCLASSIFIEDS_THANKS_FOR_PAYMENT_WAIT_FOR_CONFIRMATION','Thanks for payment, advert published successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2637','COM_DJCLASSIFIEDS_PAYMENT_CANCELED','Payment canceled','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2638','COM_DJCLASSIFIEDS_YOUR_ADS','Your Adverts','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2639','COM_DJCLASSIFIEDS_ACTIONS','Actions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2640','COM_DJCLASSIFIEDS_DELETE','Delete','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2641','COM_DJCLASSIFIEDS_EDIT','Edit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2642','COM_DJCLASSIFIEDS_RENEW','Renew','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2643','COM_DJCLASSIFIEDS_PUBLISHED','Published','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2644','COM_DJCLASSIFIEDS_DELETE_CONFIRM','Do you want to delete advert - ','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2645','COM_DJCLASSIFIEDS_RENEW_CONFIRM','Do you want to renew advert - ','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2646','COM_DJCLASSIFIEDS_AD_DELETED','Advert deleted','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2647','COM_DJCLASSIFIEDS_EXPIRE_AFTER','Expire after (days)','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2648','COM_DJCLASSIFIEDS_AD_RENEWED_SUCCESSFULLY','Advert renewed successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2649','COM_DJCLASSIFIEDS_AD_RENEWED_SUCCESSFULLY_CHOOSE_PAYMENT','Advert renewed successfully, please choose payment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2650','COM_DJCLASSIFIEDS_REPORT_ABUSE','Report abuse','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2651','COM_DJCLASSIFIEDS_USER','User','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2652','COM_DJCLASSIFIEDS_ALREADY_SEND_ABUSE','You already send abuse for this advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2653','COM_DJCLASSIFIEDS_TO','To','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2654','COM_DJCLASSIFIEDS_FROM','From','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2655','COM_DJCLASSIFIEDS_SEARCH_RESULTS','Search results','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2656','COM_DJCLASSIFIEDS_USER_ITEMS','User items','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2657','COM_DJCLASSIFIEDS_TO_BIG_IMAGE','Too big image','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2658','COM_DJCLASSIFIEDS_CATEGORY_TREE','Category tree','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2659','COM_DJCLASSIFIEDS_SEE_DETAILS','See details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2660','COM_DJCLASSIFIEDS_FIRST_IMAGES_IS_MAIN_IMAGE','First uploaded image will be main image','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2661','COM_DJCLASSIFIEDS_NO_RESULTS','There is currently no match for your search. Please revise your search and try again.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2662','COM_DJCLASSIFIEDS_UNEMAIL_TITLE','Advert \'\'%s\'\' expire notification','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2663','COM_DJCLASSIFIEDS_UNEMAIL_MESSAGE','Hello\\n\\nAdvert \'\'%s\'\' will expire in %s days \\n\\n','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2664','COM_DJCLASSIFIEDS_UNEMAIL_RENEW','You can renew it on this link \\n\\n %s \\n\\n','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2665','COM_DJCLASSIFIEDS_UNEMAIL_REGARDS','Best Regards, \\n%s \\n','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2666','COM_DJCLASSIFIEDS_ANEMAIL_TITLE','New advert in','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2667','COM_DJCLASSIFIEDS_ANEMAIL_FROM_USER','From user','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2668','COM_DJCLASSIFIEDS_ABUSEEMAIL_TITLE','Abuse Report','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2669','COM_DJCLASSIFIEDS_ABUSEEMAIL_ABUSE_REASON','Abuse reason','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2670','COM_DJCLASSIFIEDS_ASK_SELLER_TITLE','%s - Your advertisement enquiry','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2671','COM_DJCLASSIFIEDS_ASK_SELLER_MESSAGE','Your advertisement \'\'%s\'\' enquiry\\n\\n%s','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2672','COM_DJCLASSIFIEDS_ASK_MESSAGE_LIMIT','You have to wait several minutes before next message','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2673','COM_DJCLASSIFIEDS_ASK_MESSAGE_LIMIT_HOUR','You have reached the limit of messages per hour','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2674','COM_DJCLASSIFIEDS_I_AGREE_TO_THE','I agree to the','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2675','COM_DJCLASSIFIEDS_TERMS_AND_CONDITIONS','Terms and conditions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2676','COM_DJCLASSIFIEDS_DRIVE_DIRECTIONS','Drive Directions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2677','COM_DJCLASSIFIEDS_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2678','COM_DJCLASSIFIEDS_FAVOURITES_ADS','Favourites adverts','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2679','COM_DJCLASSIFIEDS_ADD_TO_FAVOURITES','Add to Favourites','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2680','COM_DJCLASSIFIEDS_DELETE_FROM_FAVOURITES','Remove from Favourites','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2681','COM_DJCLASSIFIEDS_FUNCTION_NOT_AVAILABLE','Function not available','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2682','COM_DJCLASSIFIEDS_AD_ADDED_TO_FAVOURITES','Advert added to favourites','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2683','COM_DJCLASSIFIEDS_AD_REMOVED_FROM_FAVOURITES','Advert removed from favourites','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2684','COM_DJCLASSIFIEDS_PAYMENT_DETAILS','Payment details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2685','COM_DJCLASSIFIEDS_TOTAL','Total','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2686','COM_DJCLASSIFIEDS_NEW','NEW','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2687','COM_DJCLASSIFIEDS_DAY','Day','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2688','COM_DJCLASSIFIEDS_DAYS','Days','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2689','COM_DJCLASSIFIEDS_PROMOTIONS','Promotions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2690','COM_DJCLASSIFIEDS_PROMOTION_FIRST','Promotion - \'\'First\'\'','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2691','COM_DJCLASSIFIEDS_PROMOTION_FIRST_DESC','The advertisement will be published first on the list of ads.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2692','COM_DJCLASSIFIEDS_PROMOTION_BOLD','Promotion - \'\'Bold\'\'','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2693','COM_DJCLASSIFIEDS_PROMOTION_BOLD_DESC','The advertisement will be published in bold on the list of ads.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2694','COM_DJCLASSIFIEDS_PROMOTION_BORDER','Promotion \'\'Border\'\'','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2695','COM_DJCLASSIFIEDS_PROMOTION_BORDER_DESC','The advertisement will be published with border on the list of ads.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2696','COM_DJCLASSIFIEDS_PROMOTION_BG','Promotion \'\'Background\'\'','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2697','COM_DJCLASSIFIEDS_PROMOTION_BG_DESC','The advertisement will be published with distinguished background on the list of ads.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2698','COM_DJCLASSIFIEDS_PROMOTION_SPECIAL','Promotion \'\'Special\'\'','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2699','COM_DJCLASSIFIEDS_PROMOTION_SPECIAL_DESC','The advertisement will be published in the module with special ads.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2700','COM_DJCLASSIFIEDS_DURATION','Duration','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2701','COM_DJCLASSIFIEDS_MAP_ACCURACY','Map location might not be exact','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2702','COM_DJCLASSIFIEDS_FILTER_ALL','Filter all','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2703','COM_DJCLASSIFIEDS_CANCEL','Cancel','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2704','COM_DJCLASSIFIEDS_FAVOURITE','Favourites','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2705','COM_DJCLASSIFIEDS_POSTCODE','Post code','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2706','COM_DJCLASSIFIEDS_WEBSITE','Website','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2707','COM_DJCLASSIFIEDS_VIDEO','Video','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2708','COM_DJCLASSIFIEDS_LINK_TO_YOUTUBE_OR_VIMEO','Link to youtube or vimeo','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2709','COM_DJCLASSIFIEDS_SELECT_EACH_PROMOTION_YOU_WISH_TO_USE','Select each promotion you wish to use','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2710','COM_DJCLASSIFIEDS_COMMENTS','Comments','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2711','COM_DJCLASSIFIEDS_TITLE_TOOLTIP','Title should be as specific as possible','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2712','COM_DJCLASSIFIEDS_CATEGORY_TOOLTIP','Select category you want to use, remember to choose as exact one as possible. Once top level category is selected the more specific option will appear below','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2713','COM_DJCLASSIFIEDS_LOCALIZATION_TOOLTIP','Select location you want to use, remember to choose as exact one as possible. Once top level location is selected the more specific option will appear below','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2714','COM_DJCLASSIFIEDS_ADDRESS_TOOLTIP','Enter your physical address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2715','COM_DJCLASSIFIEDS_POSTCODE_TOOLTIP','Enter your post code','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2716','COM_DJCLASSIFIEDS_EXPIRE_AFTER_TOOLTIP','Select for how long you\'d like the advert to be published','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2717','COM_DJCLASSIFIEDS_INTRO_DESCRIPTION_TOOLTIP','Enter short description of the advertised item','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2718','COM_DJCLASSIFIEDS_DESCRIPTION_TOOLTIP','Enter long description of the advertised item','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2719','COM_DJCLASSIFIEDS_CONTACT_TOOLTIP','Enter your contact details like telephone number, etc.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2720','COM_DJCLASSIFIEDS_WEBSITE_TOOLTIP','Enter your website\'s address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2721','COM_DJCLASSIFIEDS_VIDEO_TOOLTIP','Paste a link to Youtube or Vimeo video here. The video will be displayed in advert detail view','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2722','COM_DJCLASSIFIEDS_PRICE_TOOLTIP','Enter the price for the advertised item','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2723','COM_DJCLASSIFIEDS_IMAGES_TOOLTIP','Upload image/s','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2724','COM_DJCLASSIFIEDS_ADD_IMAGE_TOOLTIP','Select images','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2725','COM_DJCLASSIFIEDS_ANEMAIL_TITLE_EDIT','Advert edited in','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2726','COM_DJCLASSIFIEDS_ANEMAIL_PROMOTIONS','Promotions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2727','COM_DJCLASSIFIEDS_ALL_CATEGORIES','All categories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2728','COM_DJCLASSIFIEDS_ENTER_ALL_REQUIRED_FIELDS','Please enter all required values','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2729','COM_DJCLASSIFIEDS_TYPE','Type','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2730','COM_DJCLASSIFIEDS_TYPE_TOOLTIP','Type of your advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2731','COM_DJCLASSIFIEDS_SELECT_TYPE','Select type','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2732','COM_DJCLASSIFIEDS_PRICE_NEGOTIABLE','Price negotiable?','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2733','COM_DJCLASSIFIEDS_PRICE_IS_NEGOTIABLE','Price is negotiable','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2734','COM_DJCLASSIFIEDS_CATEGORY_SELECTOR_EMPTY_VALUE',' - - - ','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2735','COM_DJCLASSIFIEDS_LOCATION_SELECTOR_EMPTY_VALUE',' - - - ','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2736','COM_DJCLASSIFIEDS_NO_CATEGORY_RESULTS','There are no advertisements in this category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2737','COM_DJCLASSIFIEDS_LATITUDE','Latitude','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2738','COM_DJCLASSIFIEDS_LATITUDE_TOOLTIP','Please enter geographic latitude coordinate<br />If you will leave empty latitude and longitude, then those coordinates will be generated automatically from address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2739','COM_DJCLASSIFIEDS_LONGITUDE','Longitude','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2740','COM_DJCLASSIFIEDS_LONGITUDE_TOOLTIP','Please enter geographic longitude coordinate<br />If you will leave empty latitude and longitude, then those coordinates will be generated automatically from address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2741','COM_DJCLASSIFIEDS_GEOGRAPHIC_COORDINATES','Geographic coordinates','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2742','COM_DJCLASSIFIEDS_WRONG_DURATION_LIMIT','Wrong duration limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2743','COM_DJCLASSIFIEDS_AD_SAVED_SUCCESSFULLY','Advert saved successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2744','COM_DJCLASSIFIEDS_AD_SAVED_SUCCESSFULLY_WAITING_FOR_PUBLISH','Advert saved successfully,waiting for publish','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2745','COM_DJCLASSIFIEDS_AD_SAVED_SUCCESSFULLY_CHOOSE_PAYMENT','Advert saved successfully, please choose payment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2746','COM_DJCLASSIFIEDS_DATE_YEAR','year','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2747','COM_DJCLASSIFIEDS_DATE_YEARS','years','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2748','COM_DJCLASSIFIEDS_DATE_MONTH','month','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2749','COM_DJCLASSIFIEDS_DATE_MONTHS','months','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2750','COM_DJCLASSIFIEDS_DATE_WEEK','week','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2751','COM_DJCLASSIFIEDS_DATE_WEEKS','weeks','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2752','COM_DJCLASSIFIEDS_DATE_DAY','day','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2753','COM_DJCLASSIFIEDS_DATE_DAYS','days','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2754','COM_DJCLASSIFIEDS_DATE_HOUR','hour','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2755','COM_DJCLASSIFIEDS_DATE_HOURS','hours','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2756','COM_DJCLASSIFIEDS_DATE_MINUTE','minute','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2757','COM_DJCLASSIFIEDS_DATE_MINUTES','minutes','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2758','COM_DJCLASSIFIEDS_DATE_SECOND','second','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2759','COM_DJCLASSIFIEDS_DATE_SECONDS','seconds','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2760','COM_DJCLASSIFIEDS_DATE_FROM_NOW','from now','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2761','COM_DJCLASSIFIEDS_DATE_AGO','ago','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2762','COM_DJCLASSIFIEDS_DATE_AND','and','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2763','COM_DJCLASSIFIEDS_WRONG_IMAGE_TYPE','Wrong image type','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2764','COM_DJCLASSIFIEDS_PLEASE_LOGIN_TO_SEE_CONTACT','Please login to see contact','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2765','COM_DJCLASSIFIEDS_NAU_EMAIL_TITLE','Your new advert at','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2766','COM_DJCLASSIFIEDS_ADVERT_LINK','Advert link','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2767','COM_DJCLASSIFIEDS_WAITING_FOR_PUBLISH','Waiting for publish','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2768','COM_DJCLASSIFIEDS_STATUS','Status','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2769','COM_DJCLASSIFIEDS_POINTS_PACKAGES','Points packages','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2770','COM_DJCLASSIFIEDS_POINTS','Points','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2771','COM_DJCLASSIFIEDS_POINTS_SHORT','points','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2772','COM_DJCLASSIFIEDS_COST_PER_POINT','Cost per point','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2773','COM_DJCLASSIFIEDS_POINTS_PACKAGE','Points package','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2774','COM_DJCLASSIFIEDS_WRONG_POINTS_PACKAGE','Wrong points package','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2775','COM_DJCLASSIFIEDS_PAYMENT_ID','Payment ID','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2776','COM_DJCLASSIFIEDS_YOUR_POINTS_HISTORY','Your points history','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2777','COM_DJCLASSIFIEDS_POINTS_AVAILABLE','Points available','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2778','COM_DJCLASSIFIEDS_DATE','Date','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2779','COM_DJCLASSIFIEDS_NOT_ENOUGHT_POINTS','Not enough points','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2780','COM_DJCLASSIFIEDS_PAYMENT_FOR_ADVERT','Payment for advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2781','COM_DJCLASSIFIEDS_ADVERT_ID','Advert ID','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2782','COM_DJCLASSIFIEDS_POINTS_PAYMENT_CONFIRMED_ADVERT_PUBLISHED','Points payment confirmed, advert published','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2783','COM_DJCLASSIFIEDS_POINTS_PAYMENT_CONFIRMED_ADVERT_WAITING_FOR_PUBLISH','Points payment confirmed, advert waiting for publish','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2784','COM_DJCLASSIFIEDS_BUY_POINTS','Buy Points','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2785','COM_DJCLASSIFIEDS_BUY_NOW','Buy Now','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2786','COM_DJCLASSIFIEDS_USE_POINTS','Use Points','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2787','COM_DJCLASSIFIEDS_PAY','Pay','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2788','COM_DJCLASSIFIEDS_ACTIVE','Active','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2789','COM_DJCLASSIFIEDS_METADESCRIPTION','Metadescription','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2790','COM_DJCLASSIFIEDS_METADESCRIPTION_TOOLTIP','Please enter metadescription for advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2791','COM_DJCLASSIFIEDS_KEYWORDS','Keywords','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2792','COM_DJCLASSIFIEDS_KEYWORDS_TOOLTIP','Please enter keywords separated by coma','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2793','COM_DJCLASSIFIEDS_PROMOTION_MOVE_TO_TOP','Move to top of list','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2794','COM_DJCLASSIFIEDS_PAYMENT_FOR_PROMOTION_MOVE_TO_TOP','Payment for promotion \'move to top\'','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2795','COM_DJCLASSIFIEDS_POINTS_PAYMENT_CONFIRMED_PROMOTION_MOVE_TO_TOP_ACTIVATED','Points payment confirmed, promotion \'move to top\' activated','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2796','COM_DJCLASSIFIEDS_SORRY_WE_CANT_FIND_COORDINATES_FROM_POSTCODE_WE_OMIITED_RANGE_RESTRICTION','Unfortunately we can\'t find geographical coordinates from your postcode, we omitted range restriction','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2797','COM_DJCLASSIFIEDS_SEARCH_MODULE_POSTCODE','Postcode','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2798','COM_DJCLASSIFIEDS_SR_WE_FOUND','We found','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2799','COM_DJCLASSIFIEDS_SR_RESULTS','results','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2800','COM_DJCLASSIFIEDS_SR_RESULT','result','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2801','COM_DJCLASSIFIEDS_SR_FOR_PHRASE','for phrase','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2802','COM_DJCLASSIFIEDS_SR_IN_CATEGORY','in category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2803','COM_DJCLASSIFIEDS_SR_AT_LOCATION','at location','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2804','COM_DJCLASSIFIEDS_INACTIVE','Inactive','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2805','COM_DJCLASSIFIEDS_ADDITIONAL_INFORMATIONS','Additional info','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2806','COM_DJCLASSIFIEDS_UPLOADER_HEADER','Upload multiple files','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2807','COM_DJCLASSIFIEDS_UPLOADER_DESC','Add files to the upload queue and click the start button.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2808','COM_DJCLASSIFIEDS_UPLOADER_FILENAME','Filename','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2809','COM_DJCLASSIFIEDS_UPLOADER_STATUS','Status','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2810','COM_DJCLASSIFIEDS_UPLOADER_SIZE','Size','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2811','COM_DJCLASSIFIEDS_UPLOADER_ADD_FILES','Add files','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2812','COM_DJCLASSIFIEDS_UPLOADER_STOP_CURRENT_UPLOAD','Stop current upload','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2813','COM_DJCLASSIFIEDS_UPLOADER_START_UPLOADING_QUEUE','Start uploading queue','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2814','COM_DJCLASSIFIEDS_UPLOADER_UPLOADED_N_FILES','Uploaded %d/%d files','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2815','COM_DJCLASSIFIEDS_UPLOADER_NA','N/A','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2816','COM_DJCLASSIFIEDS_UPLOADER_DRAG_AND_DROP_TEXT','Drag and drop files here','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2817','COM_DJCLASSIFIEDS_UPLOADER_STOP_UPLOAD','Stop Upload','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2818','COM_DJCLASSIFIEDS_UPLOADER_START_UPLOAD','Start Upload','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2819','COM_DJCLASSIFIEDS_UPLOADER_N_FILES_QUEUED','%d files queued','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2820','COM_DJCLASSIFIEDS_UPLOADER_EXT_ERROR','Wrong file format.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2821','COM_DJCLASSIFIEDS_UPLOADER_SIZE_ERROR','File is too large.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2822','COM_DJCLASSIFIEDS_REACHED_LIMIT_OF_ADVERTS','You have exceeded the limit of ads that user can add, please delete old adverts to add a new one','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2823','COM_DJCLASSIFIEDS_RENEW_ADVERT','Renew advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2824','COM_DJCLASSIFIEDS_DISTANCE','Distance','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2825','COM_DJCLASSIFIEDS_SHOW_DISTANCE','Show distance','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2826','COM_DJCLASSIFIEDS_KM','km','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2827','COM_DJCLASSIFIEDS_MI','mi','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2828','COM_DJCLASSIFIEDS_GEOLOCATION_IS_NOT_SUPPORTED_BY_THIS_BROWSER','Geolocation is not supported by this browser','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2829','COM_DJCLASSIFIEDS_SORT_BY','Sort by','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2830','COM_DJCLASSIFIEDS_SORT_BY_ASC','lowest first','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2831','COM_DJCLASSIFIEDS_SORT_BY_DESC','highest first','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2832','COM_DJCLASSIFIEDS_REVIEWS','Reviews','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2833','COM_DJCLASSIFIEDS_EMAIL','Email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2834','COM_DJCLASSIFIEDS_EMAIL_GUEST_TOOLTIP','Please enter your email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2835','COM_DJCLASSIFIEDS_EMAIL_EXIST_IN_OUR_DATABASE_PLEASE_LOGIN','Email exist in our database please login or use another email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2836','COM_DJCLASSIFIEDS_ADVERTS_LIMIT_REACHED_FOR_THIS_EMAIL','Adverts limit reached for this email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2837','COM_DJCLASSIFIEDS_EDITION_LINK','Edition link','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2838','COM_DJCLASSIFIEDS_WRONG_TOKEN','Wrong token','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2839','COM_DJCLASSIFIEDS_PROFILE','Profile','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2840','COM_DJCLASSIFIEDS_PROFILE_EDITION','Edit Profile','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2841','COM_DJCLASSIFIEDS_PROFILE_SAVED_SUCCESSFULLY','Profile saved successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2842','COM_DJCLASSIFIEDS_PROFILE_IMAGE','Profile image','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2843','COM_DJCLASSIFIEDS_NEW_IMAGES_OVERWRITE_EXISTING_ONE','New image will overwrite existing one','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2844','COM_DJCLASSIFIEDS_NO_PROFILE_IMAGE_INCLUDED','No profile image included','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2845','COM_DJCLASSIFIEDS_IMAGES_LIMIT','Images limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2846','COM_DJCLASSIFIEDS_IMG_LIMIT_REACHED_PLEASE_DELETE_OLD_IMAGES','Images limit reached, to upload new please delete old images','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2847','COM_DJCLASSIFIEDS_SHOW_ON_MAP','Show on map','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2848','COM_DJCLASSIFIEDS_IN_A_STRAIGHT_LINE','In a straight line','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2849','COM_DJCLASSIFIEDS_USE_MY_LOCATION','Use my location','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2850','COM_DJCLASSIFIEDS_ADDITEM_SELECT_ON_MAP','Please enter your geographic coordinates or select them on map, if you leave it blank they will be automatically generated from location and address field','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2851','COM_DJCLASSIFIEDS_UPDATE_USING_ADDRESS','Update using address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2852','COM_DJCLASSIFIEDS_WE_CANT_FIND_COORDS_ON_ADDRESS','Unfortunately we could not find geographic coordinates based on address and locations, please change those values or select on map suitable position manually.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2853','COM_DJCLASSIFIEDS_ENTER_ADDRESS','Enter address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2854','COM_DJCLASSIFIEDS_OR_USE_LOCALIZATION','Use my location','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2855','COM_DJCLASSIFIEDS_DIRECTIONS_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2856','COM_DJCLASSIFIEDS_YOU_ARE_NOT_AUTHORIZED_TO_VIEW_THIS_ADVERT','You are not authorised to view this advert.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2857','COM_DJCLASSIFIEDS_YOU_ARE_NOT_AUTHORIZED_TO_VIEW_THIS_CATEGORY','You are not authorised to view this category.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2858','COM_DJCLASSIFIEDS_FREE_IMAGES_LIMIT','Free images limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2859','COM_DJCLASSIFIEDS_PRICE_FOR_ADDITIONAL_IMAGE','Price for additional image','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2860','COM_DJCLASSIFIEDS_ADDITIONAL_IMAGES','Additional images','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2861','COM_DJCLASSIFIEDS_ADDITIONAL_CHARS','Additional chars','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2862','COM_DJCLASSIFIEDS_CHARS_LIMIT','Chars limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2863','COM_DJCLASSIFIEDS_FREE_CHARS_LIMIT','Free chars limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2864','COM_DJCLASSIFIEDS_PRICE_FOR_ADDITIONAL_CHAR','Price for additional char','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2865','COM_DJCLASSIFIEDS_CHARS_USED','Chars used','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2866','COM_DJCLASSIFIEDS_PRICE_FOR_ADDITIONAL_CHARS','Price for additional chars','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2867','COM_DJCLASSIFIEDS_AUCTION_ACTIVE','Bidding active?','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2868','COM_DJCLASSIFIEDS_AUCTION_ACTIVE_TOOLTIP','Allow users to make biddings for your offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2869','COM_DJCLASSIFIEDS_MAX_BID_INCREASE','Max bid increase','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2870','COM_DJCLASSIFIEDS_MAX_BID_INCREASE_TOOLTIP','Maximum bid value','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2871','COM_DJCLASSIFIEDS_MIN_BID_INCREASE','Min bid increase','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2872','COM_DJCLASSIFIEDS_MIN_BID_INCREASE_TOOLTIP','Minimum bid value','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2873','COM_DJCLASSIFIEDS_RESERVE_PRICE','Reserve price','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2874','COM_DJCLASSIFIEDS_RESERVE_PRICE_TOOLTIP','A minimum amount that the owner of an item up for auction will accept as the winning bid in the auction. The reserve price prevents the auction from being won at a price that is lower than the item\'s owner will accept.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2875','COM_DJCLASSIFIEDS_BID_AUTOCLOSE_INFO','Do you want to auto close bidding when the reserve price has been reached?','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2876','COM_DJCLASSIFIEDS_CURRENT_BIDS','Current bids','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2877','COM_DJCLASSIFIEDS_NO_SUBMITTED_BIDS','No submitted bids','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2878','COM_DJCLASSIFIEDS_BID','Bid','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2879','COM_DJCLASSIFIEDS_RESERVE_PRICE_NOT_REACHED','Reserve price not reached','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2880','COM_DJCLASSIFIEDS_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2881','COM_DJCLASSIFIEDS_LOGIN','Login','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2882','COM_DJCLASSIFIEDS_TO_POST_BIDS','to post bids','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2883','COM_DJCLASSIFIEDS_PLACE_BID','Place bid','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2884','COM_DJCLASSIFIEDS_MAX_BIDDING','Max bidding','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2885','COM_DJCLASSIFIEDS_PLEASE_ENTER_BID_VALUE','Please enter bid value','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2886','COM_DJCLASSIFIEDS_PLEASE_ENTER_PRICE_VALUE','Please enter price value','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2887','COM_DJCLASSIFIEDS_OFFER_BIGGER_THAN_LIMIT','Your offer is bigger then limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2888','COM_DJCLASSIFIEDS_OFFER_SMALLER_THAN_LIMIT','Your offer is smaller then limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2889','COM_DJCLASSIFIEDS_YOUR_OFFER_IS_LAST_YOU_CAN_BID_ONLY_OTHER_USERS','Your bid is the last one, to make new one you have to wait until someone beats your','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2890','COM_DJCLASSIFIEDS_OFFER_PUBLISHED','Offer published successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2891','COM_DJCLASSIFIEDS_AUCTION_IS_CLOSED','Auction is closed','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2892','COM_DJCLASSIFIEDS_BID_DELETED','Bid deleted','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2893','COM_DJCLASSIFIEDS_WRONG_BID','Wrong Bid','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2894','COM_DJCLASSIFIEDS_CLOSE','Close','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2895','COM_DJCLASSIFIEDS_WARNING_18_TITLE','Adults only','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2896','COM_DJCLASSIFIEDS_WARNING_18_CONTENT','Content suitable only for adults ages 18 and up.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2897','COM_DJCLASSIFIEDS_WARNING_18_BUTTON_CANCEL','Cancel','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2898','COM_DJCLASSIFIEDS_WARNING_18_ACCEPT','Accept','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2899','COM_DJCLASSIFIEDS_NET_COST','Net cost','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2900','COM_DJCLASSIFIEDS_TAX','TAX','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2901','COM_DJCLASSIFIEDS_REMOVE_LINK','Remove link','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2902','COM_DJCLASSIFIEDS_DELETE_CONFIRMATION','Delete confirmation','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2903','COM_DJCLASSIFIEDS_SEARCH_MODULE_ADDRESS','Address','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2904','COM_DJCLASSIFIEDS_SORRY_WE_CANT_FIND_COORDINATES_FROM_ADDRESS_WE_OMIITED_RANGE_RESTRICTION','Unfortunately we can\'t find geographical coordinates from your address, we omitted range restriction','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2905','COM_DJCLASSIFIEDS_ATTACHMENT','Attachment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2906','COM_DJCLASSIFIEDS_WRONG_RESERVED_PRICE','Wrong reserverd price. Reserved price can\'t be lower than start price','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2907','COM_DJCLASSIFIEDS_VIEW_ALL_ADS','View all adverts','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2908','COM_DJCLASSIFIEDS_VISIT_SOCIAL_PROFILE','Visit social profile','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2909','COM_DJCLASSIFIEDS_BUYNOW_ACTIVE','Buy Now','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2910','COM_DJCLASSIFIEDS_BUYNOW_ACTIVE_TOOLTIP','Enable Buy Now option for this advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2911','COM_DJCLASSIFIEDS_QUANTITY','Quantity','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2912','COM_DJCLASSIFIEDS_QUANTITY_TOOLTIP','Number of pieces that you are listing in the auction','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2913','COM_DJCLASSIFIEDS_PRICE_BUYNOW','Price Buy Now','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2914','COM_DJCLASSIFIEDS_START_PRICE','Starting price','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2915','COM_DJCLASSIFIEDS_START_PRICE_TOOLTIP','Starting price for auction','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2916','COM_DJCLASSIFIEDS_PIECES','pieces','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2917','COM_DJCLASSIFIEDS_SETS','sets','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2918','COM_DJCLASSIFIEDS_PAIRS','pairs','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2919','COM_DJCLASSIFIEDS_BUYNOW_FROM','from','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2920','COM_DJCLASSIFIEDS_CHECKOUT_DETAILS','Checkout details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2921','COM_DJCLASSIFIEDS_NUMBER_OF_PRODUCTS_IS_LESS_THEN_SELECTED','Number of available products is less than selected.','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2922','COM_DJCLASSIFIEDS_ORDER_PLACED_SUCCESSFULLY','Order has been placed successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2923','COM_DJCLASSIFIEDS_0_AVAILABLE','0 available','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2924','COM_DJCLASSIFIEDS_BUYNOW','BuyNow','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2925','COM_DJCLASSIFIEDS_ADVERT','Advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2926','COM_DJCLASSIFIEDS_POINTS_PACKAGE_INFO_IN_NEW_ADVERT','This website allows you to pay for additional services through special points system. This solution is more comfortable and less expensive if it comes to adding several adverts. You can find packages on page','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2927','COM_DJCLASSIFIEDS_REGISTRATION','User Registration','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2928','COM_DJCLASSIFIEDS_ADVERTS_LIMIT','Adverts limit','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2929','COM_DJCLASSIFIEDS_EXPIRATION_TIME','Expiration time','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2930','COM_DJCLASSIFIEDS_UNLIMITED','Unlimited','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2931','COM_DJCLASSIFIEDS_ADVERT_DURATION','Advert duration','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2932','COM_DJCLASSIFIEDS_AUCTIONS','Auctions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2933','COM_DJCLASSIFIEDS_PAID_CATEGORIES','Paid categories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2934','COM_DJCLASSIFIEDS_USER_PROFILE_DETAILS','User profile details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2935','COM_DJCLASSIFIEDS_COST_PER_ADVERT','Cost per advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2936','COM_DJCLASSIFIEDS_ADVERTS_AVAILABLE','Adverts available','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2937','COM_DJCLASSIFIEDS_YOUR_SUBSCRIPTION_PLANS','Your Subscription Plans','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2938','COM_DJCLASSIFIEDS_SUBSCRIPTION_DETAILS','Subscription details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2939','COM_DJCLASSIFIEDS_PAYMENT_FOR_SUBSCRIPTION_PLAN','Payment for Subscription Plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2940','COM_DJCLASSIFIEDS_PLAN_ID','Plan ID','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2941','COM_DJCLASSIFIEDS_SUBSCRIPTION_PLAN_ACTIVATED','Subscription plan activated','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2942','COM_DJCLASSIFIEDS_REACHED_ADVERTS_LIMIT_FOR_THIS_PLAN','Adverts limit reached for this Subscription plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2943','COM_DJCLASSIFIEDS_SUBSCRIPTION_PLAN_NOT_ACTIVE','Subscription plan not active','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2944','COM_DJCLASSIFIEDS_NEW_ADVERT_IN_PLAN','New advert in plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2945','COM_DJCLASSIFIEDS_ORDERS_HISTORY','Purchase history','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2946','COM_DJCLASSIFIEDS_SELLER','Seller','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2947','COM_DJCLASSIFIEDS_SALES_HISTORY','Sales history','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2948','COM_DJCLASSIFIEDS_BUYER','Buyer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2949','PLG_DJCFDOTPAYSMS_ACTIVATE','Activate','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2950','COM_DJCLASSIFIEDS_ORDER_DATE','Order date','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('2951','COM_DJCLASSIFIEDS_CONTACT_SELLER','Contact seller','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2952','COM_DJCLASSIFIEDS_CONTACT_BUYER','Contact buyer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2953','COM_DJCLASSIFIEDS_FILE_HITS','hits','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2954','COM_DJCLASSIFIEDS_EMAIL_ADDRESS_NOT_VALID','Email address not valid','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2955','COM_DJCLASSIFIEDS_ADD_NEW_ITEM','Add new item','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2956','COM_DJCLASSIFIEDS_ADD_YOUR_OWN_ITEM_SPECIFIC','Add your own item specific','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2957','COM_DJCLASSIFIEDS_ARCHIVE_ADVERT','Archive advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2958','COM_DJCLASSIFIEDS_ADVERT_MOVED_TO_ARCHIVE','Advert moved to archive','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2959','COM_DJCLASSIFIEDS_SHOW','show','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2960','COM_DJCLASSIFIEDS_POINTS_PACKAGES_ADDED','Points package added successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2961','COM_DJCLASSIFIEDS_BACK_TO_EDITION','back to edition','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2962','COM_DJCLASSIFIEDS_YOU_CANT_BID_YOUR_ADVERT','You can\'t bid your own advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2963','COM_DJCLASSIFIEDS_ATTACHMENTS','Attachments','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2964','COM_DJCLASSIFIEDS_UPLOADER_LIMIT_REACHED','Limit has been reached','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2965','COM_DJCLASSIFIEDS_ERROR_SAVING_FILES','One or more files could not be saved','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2966','COM_DJCLASSIFIEDS_FILE_COPY_ERROR','One or more files could not be copied','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2967','COM_DJCLASSIFIEDS_FILE_UPLOAD_ERROR','One or more files could not be uploaded','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2968','COM_DJCLASSIFIEDS_FILE_STORE_ERROR','One or more files could not be stored to database','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2969','COM_DJCLASSIFIEDS_FILE_DELETE_ERROR','One or more files could not be deleted','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2970','COM_DJCLASSIFIEDS_FILE_IS_TOO_BIG','One or more files could are too big','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2971','COM_DJCLASSIFIEDS_PLANS','Plans','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2972','COM_DJCLASSIFIEDS_PLAN','Plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2973','COM_DJCLASSIFIEDS_SUBSCRIPTION_PLANS','Subscription Plans','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2974','COM_DJCLASSIFIEDS_SUBSCRIPTION_PLAN','Subscription Plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2975','COM_DJCLASSIFIEDS_GROUPS_ASSIGNMENT','Assign to group','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2976','COM_DJCLASSIFIEDS_GROUPS_ASSIGNMENT_DESC','Group to which user will be assigned after buying plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2977','COM_DJCLASSIFIEDS_ADVERTS_LIMIT_IN_PLAN','Adverts in plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2978','COM_DJCLASSIFIEDS_PLAN_EXPIRATION_TIME','Expiration time','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2979','COM_DJCLASSIFIEDS_PLAN_EXPIRATION_TIME_DESC','Number of days that plan will be valid, for 0 unlimited time','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2980','COM_DJCLASSIFIEDS_PAY_CATEGORIES','Pay categories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2981','COM_DJCLASSIFIEDS_PAY_CATEGORIES_DESC','Decide if user can add adverts to payable categories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2982','COM_DJCLASSIFIEDS_USER_PROFILE_IN_ADVERT','Profile in advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2983','COM_DJCLASSIFIEDS_USER_PROFILE_IN_ADVERT_DESC','Decide if users profile will be displayed in advert details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2984','COM_DJCLASSIFIEDS_WRONG_SUBSCRIPTION_PLAN','Wrong Subscription Plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2985','PLG_DJCLASSIFIEDS_REGISTRATION_ACCEPT_TERMS_OF_USE','Terms and Conditions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2986','COM_DJCLASSIFIEDS_SHIPPING','Shipping','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2987','COM_DJCLASSIFIEDS_SHIPPINGS','Shippings','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2988','COM_DJCLASSIFIEDS_PLUGIN','Plugin','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2989','COM_DJCLASSIFIEDS_PARAMS','Params','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2990','COM_DJCLASSIFIEDS_SHIPPING_DETAILS','Shipment details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2991','COM_DJCLASSIFIEDS_SHIPPING_DETAILS_DESC','Ask buyer to provide alternative delivery address (other than billing address)','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2992','COM_DJCLASSIFIEDS_AVAILABLE_SHIPPINGS','Shippping methods','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2993','COM_DJCLASSIFIEDS_FILE','File','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2994','COM_DJCLASSIFIEDS_FILE_FILENAME','Filename','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2995','COM_DJCLASSIFIEDS_FILE_ORDER_LABEL','Order','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2996','COM_DJCLASSIFIEDS_FILE_CAPTION_LABEL','Caption','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2997','COM_DJCLASSIFIEDS_FILE_DELETE_LABEL','Delete','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2998','COM_DJCLASSIFIEDS_FILE_HITS_LABEL','Hits','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('2999','COM_DJCLASSIFIEDS_ARCHIVE','Archive','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3000','COM_DJCLASSIFIEDS_MOVE_TO_ARCHIVE_CONFIRM','Do you want to move to archive advert - ','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('3001','COM_DJCLASSIFIEDS_ALL_REGIONS','All regions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3002','COM_DJCLASSIFIEDS_NEVER_EXPIRE','never expire','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3003','COM_DJCLASSIFIEDS_SPECIAL_PRICE_SHORT','special','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3004','COM_DJCLASSIFIEDS_IN_CATEGORY','in category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3005','COM_DJCLASSIFIEDS_NONE','none','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3006','COM_DJCLASSIFIEDS_YOU_HAVE_ACTIVE_SUBSCRIPTION_PLANS_PLEASE_SELECT','You have active subscription plans, if you want to use it please go to','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3007','COM_DJCLASSIFIEDS_OFFERING_ACTIVE','Offering','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3008','COM_DJCLASSIFIEDS_OFFERING_ACTIVE_TOOLTIP','Clients can make offers','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3009','COM_DJCLASSIFIEDS_MAKE_YOUR_OFFER','Make your offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3010','COM_DJCLASSIFIEDS_POST_OFFER','Post offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3011','COM_DJCLASSIFIEDS_MESSAGE_FOR_AUTHOR','Message for offerer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3012','COM_DJCLASSIFIEDS_TO_MAKE_OFFER','to make offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3013','COM_DJCLASSIFIEDS_FOR','for','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3014','COM_DJCLASSIFIEDS_OFFER_PLACED_SUCCESSFULLY','Offer has been placed successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3015','COM_DJCLASSIFIEDS_OFFERS_HISTORY','Offers history','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3016','COM_DJCLASSIFIEDS_OFFER','Offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3017','COM_DJCLASSIFIEDS_SELECT_STATUS','Select status','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3018','COM_DJCLASSIFIEDS_ACCEPT_OFFER','Accept offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3019','COM_DJCLASSIFIEDS_DECLINE_OFFER','Decline offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3020','COM_DJCLASSIFIEDS_OFFER_RESPONSE','Response to offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3021','COM_DJCLASSIFIEDS_SEND_RESPONSE','Send response','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3022','COM_DJCLASSIFIEDS_MESSAGE_FROM_BUYER','Message from buyer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3023','COM_DJCLASSIFIEDS_WRONG_OFFER','Wrong offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3024','COM_DJCLASSIFIEDS_OFFER_ACCEPTED','Offer accepted','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3025','COM_DJCLASSIFIEDS_OFFER_DECLINED','Offer declined','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3026','COM_DJCLASSIFIEDS_OFFERS_RECEIVED','Offers received','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3027','COM_DJCLASSIFIEDS_OFFERS_SUBMITTED','Offers submitted','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3028','COM_DJCLASSIFIEDS_OFFER_DATE','Offer date','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3029','COM_DJCLASSIFIEDS_YOUR_OFFER','Your offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3030','COM_DJCLASSIFIEDS_WAITING_FOR_RESPONSE','Waiting for response','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3031','COM_DJCLASSIFIEDS_PAYMENT_STATUS','Payment status','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3032','COM_DJCLASSIFIEDS_PAID','Paid','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3033','COM_DJCLASSIFIEDS_PENDING','Pending','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3034','COM_DJCLASSIFIEDS_ET_OFFER_DATE','Offer date','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3035','COM_DJCLASSIFIEDS_PREVIEW','Preview','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3036','COM_DJCLASSIFIEDS_PREVIEW_OF_ADVERT','Preview of advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3037','COM_DJCLASSIFIEDS_SAVE_AND_PUBLISH','Save & Publish','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3038','COM_DJCLASSIFIEDS_YOU_HAVE_ACTIVE_SUBSCRIPTION_PLAN_PLESE_USE_IT_HERE','You have active subscription plan, please use it here','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3039','COM_DJCLASSIFIEDS_SEE_ALL_USER_ADVERTS','See all user adverts','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3040','COM_DJCLASSIFIEDS_YOU_HAVE_NO_ACTIVE_SUBSCRIPTION_PLANS_BUY_HERE','You have no active plan, to get one please go to','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3041','COM_DJCLASSIFIEDS_YOUR_EXPIRED_SUBSCRIPTION_PLANS','Your expired subscription plans','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3042','COM_DJCLASSIFIEDS_YOU_ALREADY_HAVE_THIS_PLAN_ACTIVE','Selected plan is already active on your account, you can\'t have two the same plans','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3043','COM_DJCLASSIFIEDS_CHANGE_PLAN','change plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3044','COM_DJCLASSIFIEDS_PLEASE_BUY_SUBSCRIPTION_PLAN','Please buy subscription plan','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3045','COM_DJCLASSIFIEDS_ADDITIONAL_CATEGORY','Additional category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3046','COM_DJCLASSIFIEDS_ADD_NEW_CATEGORY','+ Add to additional category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3047','COM_DJCLASSIFIEDS_IN_CATEGORIES','In categories','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3048','COM_DJCLASSIFIEDS_INVALID_FIELD','Invalid field','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3049','COM_DJCLASSIFIEDS_COUPON_CODE','Coupon code','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3050','COM_DJCLASSIFIEDS_PROMOTION_CODE','Coupon code','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('3051','COM_DJCLASSIFIEDS_COUPON_CODE_DESCRIPTION','If you have a coupon code, you can enter it here to get a discount on your payment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3052','COM_DJCLASSIFIEDS_APPLY','Apply','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3053','COM_WRONG_COUPON_CODE','Wrong coupon code','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3054','COM_DJCLASSIFIEDS_DISCOUNT','Discount','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3055','COM_DJCLASSIFIEDS_ACTIVATE_ADVERT','Publish','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3056','COM_DJCLASSIFIEDS_BLOCK_ADVERT','Block','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3057','COM_DJCLASSIFIEDS_ADVERT_BLOCKED','Advert blocked','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3058','COM_DJCLASSIFIEDS_ADVERT_ACTIVATED','Advert activated','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3059','COM_DJCLASSIFIEDS_SELLER_DETAILS','Seller details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3060','COM_DJCLASSIFIEDS_BUYER_DETAILS','Buyer details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3061','COM_DJCLASSIFIEDS_COPY','Copy','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3062','COM_DJCLASSIFIEDS_COPY_OF_AD','Copy of advert','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3063','COM_DJCLASSIFIEDS_SEARCH_BUTTON','Search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3064','COM_DJCLASSIFIEDS_DISABLED','Disabled','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3065','COM_DJCLASSIFIEDS_SELECT','Please select','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3066','COM_DJCLASSIFIEDS_ACTIVE_UNTILL','Active untill','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3067','COM_DJCLASSIFIEDS_EXPIRED','Expired','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3068','COM_DJCLASSIFIEDS_THANKS_FOR_PAYMENT_ADVERT_PUBLISHED','Thanks for payment, advert published successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3069','COM_DJCLASSIFIEDS_ATTACHMENTS_PROFILE_INFO','Uploaded files are treated as private ones that allows sending documents to administrator.<br /><b>Those files are not published on front.</b>','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3070','COM_DJCLASSIFIEDS_TYPES','Types','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3071','COM_DJCLASSIFIEDS_ADD_SEARCH_ALERT','Save search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3072','COM_DJCLASSIFIEDS_ADD_ADVERT_SEARCH_ALERT','Save search for current category','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3073','COM_DJCLASSIFIEDS_SEARCH_RESULTS_ADDED_TO_SAVED','Search results added to saved','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3074','COM_DJCLASSIFIEDS_SEARCH_RESULTS_REMOVED_FROM_SAVED','Search results removed from saved','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3075','COM_DJCLASSIFIEDS_SEARCH_PHRASE','Phrase','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3076','COM_DJCLASSIFIEDS_LINK','Link','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3077','COM_DJCLASSIFIEDS_YOUR_SAVED_SEARCH','Your saved search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3078','COM_DJCLASSIFIEDS_DELETE_SAVED_SEARCH','Delete saved search?','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3079','COM_DJCLASSIFIEDS_EXTRA_DETAILS','Extra details','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3080','COM_DJCLASSIFIEDS_GHOST_AD','Ghost Ad','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3081','COM_DJCLASSIFIEDS_MAKE_OFFER_BUTTON','Make offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3082','COM_DJCLASSIFIEDS_REGIONS_TREE','Regions tree','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3083','COM_DJCLASSIFIEDS_CATEGORY_NOT_AVAILABLE','This category is not available','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3084','COM_DJCLASSIFIEDS_CHANGE_PASSWORD_EMAIL','Change password/email','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3085','COM_DJCLASSIFIEDS_PLEASE_WAIT_SEVERAL_MINUTES_TO_MAKE_NEW_OFFER','Please wait several minutes before posting new offer','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3086','COM_DJCLASSIFIEDS_PAYMENT_FOR_OFFER_REQUESTED','Payment for offer requested','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3087','COM_DJCLASSIFIEDS_REQUEST','Request','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3088','COM_DJCLASSIFIEDS_REQUEST_SEND','Request send','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3089','COM_DJCLASSIFIEDS_REQUEST_FOR_PAYMENT','Request for payment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3090','COM_DJCLASSIFIEDS_WAITING_FOR_CONFIRMATION','Waiting for confirmation','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3091','COM_DJCLASSIFIEDS_OFFER_CONFIRMED','Offer Confirmed','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3092','COM_DJCLASSIFIEDS_CONFIRM_SERVICE','Confirm service','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3093','COM_DJCLASSIFIEDS_WAITING_FOR_PAYMENT','Waiting for payment','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3094','COM_DJCLASSIFIEDS_SERVICE_COMPLETE_STATUS','Service payment status','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3095','COM_DJCLASSIFIEDS_PLEASE_ACCEPT_TERMS_AND_CONDITIONS','Please accept Terms ans conditions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3096','COM_DJCLASSIFIEDS_VERIFIED_SELLER','Verified Seller','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3097','COM_DJCLASSIFIEDS_REGISTER_GROUP_LABEL','Account type','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3098','COM_DJCLASSIFIEDS_PROFILES','Profiles','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3099','COM_DJCLASSIFIEDS_AUCTION_TIMER_PREFIX_TEXT','Auction ends:','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3100','COM_DJCLASSIFIEDS_AUCTION_TIMER_EXPIRED','EXPIRED','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini');
INSERT INTO `#__overrider` VALUES 
('3101','COM_DJCLASSIFIEDS_ASK_SELLER_FORM','Contact advertiser form','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3102','COM_DJCLASSIFIEDS_PROFILES_SEARCH_BUTTON','Search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3103','COM_DJCLASSIFIEDS_PROFILES_SEARCH_PLACEHOLDER','Search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3104','COM_DJCLASSIFIEDS_SEARCH_ALL','Search profile','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3105','COM_DJCLASSIFIEDS_ALL_PROFILES','Profiles','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3106','COM_DJCLASSIFIEDS_PROFILES_SEARCH_LABEL','Search','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3107','COM_DJCLASSIFIEDS_PROFILES_SELECT_REGION','Select region','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3108','COM_DJCLASSIFIEDS_PROFILES_REGION_LABEL','Regions','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3109','COM_DJCLASSIFIEDS_PRIVACY_POLICY','Privacy Policy','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3110','COM_DJCLASSIFIEDS_GDPR_AGREEMENT_LABEL','Data protection agreement','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3111','COM_DJCLASSIFIEDS_PLEASE_ACCEPT_PRIVACY_POLICY','Please accept Privacy Policy','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3112','COM_DJCLASSIFIEDS_PLEASE_ACCEPT_GDPR_AGREEMENT','Please accept Data protection agreement','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3113','COM_DJCLASSIFIEDS_ADD_PROFILE_SEARCH_ALERT','Search alert for this profile','/home/template/public_html/joomla30/jm-myoffers/components/com_djclassifieds/language/en-GB/en-GB.com_djclassifieds.ini'),
('3114','COM_DJMEDIATOOLS','DJ-MediaTools','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3115','COM_DJMEDIATOOLS_SUBCATEGORIES','Child albums','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3116','COM_DJMEDIATOOLS_EMPTY_CATEGORY','This album doesn\'t contain any items','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3117','COM_DJMEDIATOOLS_ERROR_INVALID_HELPER_CLASS','DJ-Mediatools layout helper class (%s) doesn\'t exist','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3118','COM_DJMEDIATOOLS_READMORE','Read more »','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3119','COM_DJMEDIATOOLS_ITEM_CURRENT_OF_TOTAL','%s of %s','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3120','COM_DJMEDIATOOLS_SHOW_GALLERY','Show Gallery','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3121','COM_DJMEDIATOOLS_ERROR_CATEGORY_NOT_FOUND','Album not found.','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3122','COM_DJMEDIATOOLS_ERROR_ITEM_NOT_FOUND','Item not found in this album.','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3123','COM_DJMEDIATOOLS_MODAL_CREATE_NEW_ALBUM','Create a new Album','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3124','COM_DJMEDIATOOLS_MODAL_CREATE_NEW_ALBUM_DESC','Create and insert a new Album. You can do this easy and quick without leaving the modal window.','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3125','COM_DJMEDIATOOLS_MODAL_SAVE_INSERT','Save & Insert','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3126','COM_DJMEDIATOOLS_ACTIONS','Actions','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3127','COM_DJMEDIATOOLS_INSERT_ALBUM','Insert','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3128','COM_DJMEDIATOOLS_INSERT_LINKED_COVER','Insert Album Cover','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3129','COM_DJMEDIATOOLS_INSERT_LINKED_COVER_DESC','It will insert only the album cover linked to gallery. Gallery will be open on click in modal window.','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3130','COM_DJMEDIATOOLS_MODAL_SAVE_INSERT_COVER','Save & Insert Album Cover','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3131','COM_DJMEDIATOOLS_CATEGORY_IMAGE','Album image','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3132','COM_DJMEDIATOOLS_SOURCE_TYPE','Album source','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3133','COM_DJMEDIATOOLS_PLEASE_LOGIN','Please login first','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3134','COM_DJMEDIATOOLS_NO_PERMISSIONS','You don\'t have required permissions to perform this action.','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3135','COM_DJMEDIATOOLS_APPLY','Apply','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3136','COM_DJMEDIATOOLS_SAVE','Save Album','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3137','COM_DJMEDIATOOLS_CANCEL','Cancel','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3138','COM_DJMEDIATOOLS_CLOSE','Close','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3139','COM_DJMEDIATOOLS_CUSTOM_ITEMS','Custom Items','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3140','COM_DJMEDIATOOLS_EDIT_ALBUM','Edit Album','/home/template/public_html/joomla30/jm-myoffers/components/com_djmediatools/language/en-GB/en-GB.com_djmediatools.ini'),
('3141','COM_DJREVIEWS','DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3142','COM_DJREVIEWS_ERROR_REVIEW_NOT_EXIST','DJ-Reviews: Such review does not exist','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3143','COM_DJREVIEWS_ERROR_OBJECT_ID_NOT_SPECIFIED','DJ-Reviews: Object not specified','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3144','COM_DJREVIEWS_YOUR_REVIEW','Write your review','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3145','COM_DJREVIEWS_USERS_REVIEWS_HEADING','Users\' reviews','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3146','COM_DJREVIEWS_ITEM_RATING_HEADING','Rating','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3147','COM_DJREVIEWS_TITLE','Title','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3148','COM_DJREVIEWS_MESSAGE','Comment','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3149','COM_DJREVIEWS_AUTHOR','Full name','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3150','COM_DJREVIEWS_AUTHOR_LOGIN','Screen name','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini');
INSERT INTO `#__overrider` VALUES 
('3151','COM_DJREVIEWS_EMAIL','Email','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3152','COM_DJREVIEWS_SUBMIT','Confirm','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3153','COM_DJREVIEWS_EDIT','Edit','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3154','COM_DJREVIEWS_REVIEW_SUCCESSFULLY_ADDED','Thank you, your review has been saved successfully','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3155','COM_DJREVIEWS_ADD_REVIEW_BUTTON','Add review','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3156','COM_DJREVIEWS_LOGIN_TO_REVIEW_BUTTON','Log-in to add review','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3157','COM_DJREVIEWS_DELETE','Delete','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3158','COM_DJREVIEWS_NO_ITEM_SELECTED','Nothing has been selected','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3159','COM_DJREVIEWS_ITEM_DELETED','Review has been deleted','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3160','COM_DJREVIEWS_REPORT_ABUSE','Report','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3161','COM_DJREVIEWS_CLOSE','Close','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3162','COM_DJREVIEWS_MAIL_REVIEW_ADDED','New review has been added','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3163','COM_DJREVIEWS_MAIL_REVIEW_CHANGED','Review has been changed','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3164','COM_DJREVIEWS_MAIL_REVIEW_HEADING','Hello,<br /><br />Below you will find all the details about review that has been saved recently.','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3165','COM_DJREVIEWS_OBJECT','Object','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3166','COM_DJREVIEWS_OBJECT_LINK','Object link','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3167','COM_DJREVIEWS_ERROR_FORM_MALFORMED','Submitted form is invalid','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3168','COM_DJREVIEWS_ERROR_RATING_IS_MISSING','You must rate all required fields','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3169','COM_DJREVIEWS_ERROR_YOU_HAVE_ALREADY_RATED','You have already rated this item','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3170','COM_DJREVIEWS_MAIL_REVIEW_PUBLISHED','Review has been published','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3171','COM_DJREVIEWS_MAIL_REVIEW_NOT_PUBLISHED','Review has not been published. Remember to publish it if you accept it.','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3172','COM_DJREVIEWS_MAIL_REVIEW_BACK_END_LINK','Click to see the review in the back-end','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3173','COM_DJREVIEWS_POSTED_BY','Posted by: ','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3174','COM_DJREVIEWS_POSTED_ON','Posted on: ','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3175','COM_DJREVIEWS_POSTED_BY_ON','Posted by <strong>%s</strong> on <em>%s</em>','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3176','COM_DJREVIEWS_CANNOT_ADD_MORE_REVIEWS','You have already rated this entry.','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3177','COM_DJREVIEWS_VOTE_COUNT','%s votes','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3178','COM_DJREVIEWS_CAPTCHA_ERROR','Captcha verification failed','/home/template/public_html/joomla30/jm-myoffers/components/com_djreviews/language/en-GB/en-GB.com_djreviews.ini'),
('3179','MOD_DJCLASSIFIEDS_CATTREE_SORT_TYPE','Category Tree sort type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3180','MOD_DJCLASSIFIEDS_CATTREE_SORT_TYPE_DESC','Category Tree sort type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3181','MOD_DJCLASSIFIEDS_CATTREE_EQUAL_COLUMN','Equal columns/rows','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3182','MOD_DJCLASSIFIEDS_CATTREE_MAINCAT_COLUMN','Main cat in new column/row','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3183','MOD_DJCLASSIFIEDS_CATTREE_COLUMNS_IN_CATTREE','Category Tree columns','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3184','MOD_DJCLASSIFIEDS_CATTREE_COLUMNS_IN_CATTREE_DESC','Number of columns in Category Tree view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3185','MOD_DJCLASSIFIEDS_CATTREE_LEVELS_IN_CATTREE','Category Tree levels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3186','MOD_DJCLASSIFIEDS_CATTREE_LEVELS_IN_CATTREE_DESC','Set number of levels displayed in Category Tree view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3187','MOD_DJCLASSIFIEDS_CATTREE_ALL','All','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3188','MOD_DJCLASSIFIEDS_CATTREE_ITEMS_COUNT_IN_CATTREE','Category ads amount','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3189','MOD_DJCLASSIFIEDS_CATTREE_ITEMS_COUNT_IN_CATTREE_DESC','Set how to display the ads number in Category Tree view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3190','MOD_DJCLASSIFIEDS_CATTREE_HIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3191','MOD_DJCLASSIFIEDS_CATTREE_SHOW_ONLY_MAIN','Show only for 1 level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3192','MOD_DJCLASSIFIEDS_CATTREE_SHOW_ALL','Show for all levels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3193','MOD_DJCLASSIFIEDS_CATTREE_IMG_IN_CATTREE','Image in Category Tree','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3194','MOD_DJCLASSIFIEDS_CATTREE_IMG_IN_CATTREE_DESC','Select maximum levels with Images in Category Tree','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3195','MOD_DJCLASSIFIEDS_CATTREE_DISABLED','Disabled','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3196','MOD_DJCLASSIFIEDS_CATTREE_FIRST_CATTREE_LEVEL_TYPE','Type of First Level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3197','MOD_DJCLASSIFIEDS_CATTREE_FIRST_CATTREE_LEVEL_TYPE_DESC','Type of First Level in Category Tree, you can choose standard category tree link or category with description similar to categories on adverts view.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3198','MOD_DJCLASSIFIEDS_CATTREE_LINK','Link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3199','MOD_DJCLASSIFIEDS_CATTREE_CATEGORY_WITH_DESCRIPTION','Category with description','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3200','MOD_DJCLASSIFIEDS_CATTREE_LAST_CATTREE_LEVEL_TYPE','Type of Last Level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini');
INSERT INTO `#__overrider` VALUES 
('3201','MOD_DJCLASSIFIEDS_CATTREE_LAST_CATTREE_LEVEL_TYPE_DESC','Type of Last Level in Category Tree, for Flat list please select maximum level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3202','MOD_DJCLASSIFIEDS_CATTREE_VERTICAL_LIST','Vertical list','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3203','MOD_DJCLASSIFIEDS_CATTREE_FLAT_LIST','Flat list separated by commas','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3204','MOD_DJCLASSIFIEDS_CATTREE_DEFAULT_CATEGORY','Parent category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3205','MOD_DJCLASSIFIEDS_CATTREE_DEFAULT_CATEGORY_DESC','Parent category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_cattree/language/en-GB/en-GB.mod_djclassifieds_cattree.ini'),
('3206','MOD_DJCLASSIFIEDS_ITEMS_NUMBER_OF_ITEMS','Number of Items','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3207','MOD_DJCLASSIFIEDS_ITEMS_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3208','MOD_DJCLASSIFIEDS_ITEMS_MOST_RECENT','Most recent','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3209','MOD_DJCLASSIFIEDS_ITEMS_POPULAR','Popular','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3210','MOD_DJCLASSIFIEDS_ITEMS_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3211','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED','Only Promoted','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3212','MOD_DJCLASSIFIEDS_ITEMS_NO','No','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3213','MOD_DJCLASSIFIEDS_ITEMS_YES','Yes','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3214','MOD_DJCLASSIFIEDS_ITEMS_SHOW_ICON','Show image','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3215','MOD_DJCLASSIFIEDS_ITEMS_SHOW_DATE','Show date','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3216','MOD_DJCLASSIFIEDS_ITEMS_SHOW_CATEGORY','Show category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3217','MOD_DJCLASSIFIEDS_ITEMS_CATEGORY_LINKED','Category linked','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3218','MOD_DJCLASSIFIEDS_ITEMS_SHOW_PRICE','Show price','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3219','MOD_DJCLASSIFIEDS_ITEMS_SHOW_DESC','Show description','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3220','MOD_DJCLASSIFIEDS_ITEMS_DESC_LINKED','Description linked','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3221','MOD_DJCLASSIFIEDS_ITEMS_CHARS_IN_DESC','Chars in description','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3222','MOD_DJCLASSIFIEDS_ITEMS_CHARS_IN_DESC_DESC','Number of chars in description (for 0 full intro description)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3223','MOD_DJCLASSIFIEDS_ITEMS_IDS','ID of Adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3224','MOD_DJCLASSIFIEDS_ITEMS_IDS_DESC','Only Adverts from this list will be shown (ID separated by coma(,))','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3225','MOD_DJCLASSIFIEDS_ITEMS_NUMBER_OF_COLUMNS','Number of columns','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3226','MOD_DJCLASSIFIEDS_ITEMS_FALLOW_CATEGORY','Follow category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3227','MOD_DJCLASSIFIEDS_ITEMS_FALLOW_CATEGORY_DESC','Show adverts only from current category, if this option is enabled sleected categories are ignored','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3228','MOD_DJCLASSIFIEDS_ITEMS_SHOW_TITLE','Show title','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3229','MOD_DJCLASSIFIEDS_ITEMS_DESC_SOURCE_DESC','Description source','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3230','MOD_DJCLASSIFIEDS_ITEMS_INTRO_DESC','Intro description','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3231','MOD_DJCLASSIFIEDS_ITEMS_FULL_DESC','Full description with HTML','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3232','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_SPECIAL','Only promotion \'\'Special\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3233','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_SPECIAL_DESC','Displays ads only from promotion \'\'Special\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3234','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_FIRST','Only promotion \'\'First\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3235','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_FIRST_DESC','Displays ads only from promotion \'\'First\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3236','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_BOLD','Only promotion \'\'Bold\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3237','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_BOLD_DESC','Displays ads only from promotion \'\'Bold\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3238','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_BORDER','Only promotion \'\'Border\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3239','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_BORDER_DESC','Displays ads only from promotion \'\'Border\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3240','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_BG','Only promotion \'\'Background\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3241','MOD_DJCLASSIFIEDS_ITEMS_ONLY_PROMOTED_BG_DESC','Displays ads only from promotion \'\'Background\'\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3242','MOD_DJCLASSIFIEDS_ITEMS_SHOW_REGION','Show region','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3243','MOD_DJCLASSIFIEDS_ITEMS_SHOW_DEFAULT_ICON','Show default image','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3244','MOD_DJCLASSIFIEDS_ITEMS_SHOW_DEFAULT_ICON_DESC','Show default image if advert don\'t have image','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3245','MOD_DJCLASSIFIEDS_ITEMS_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3246','MOD_DJCLASSIFIEDS_ITEMS_CATEGORIES_DESC','Select one or more Categories, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3247','MOD_DJCLASSIFIEDS_ITEMS_ALL_CATEGORIES','All Categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3248','MOD_DJCLASSIFIEDS_ITEMS_REGIONS','Regions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3249','MOD_DJCLASSIFIEDS_ITEMS_REGIONS_DESC','Select one or more Regions, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3250','MOD_DJCLASSIFIEDS_ITEMS_ALL_REGIONS','All Regions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini');
INSERT INTO `#__overrider` VALUES 
('3251','MOD_DJCLASSIFIEDS_ITEMS_FALLOW_REGION','Follow region','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3252','MOD_DJCLASSIFIEDS_ITEMS_FALLOW_REGION_DESC','Show adverts only from current region, if this option is enabled selected regions are ignored','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3253','MOD_DJCLASSIFIEDS_ITEMS_SHOW_TYPE','Show type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3254','MOD_DJCLASSIFIEDS_ITEMS_LABEL','Label','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3255','MOD_DJCLASSIFIEDS_ITEMS_BUTTON','Button','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3256','MOD_DJCLASSIFIEDS_ITEMS_TYPES','Types','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3257','MOD_DJCLASSIFIEDS_ITEMS_TYPES_DESC','Select one or more Types, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3258','MOD_DJCLASSIFIEDS_ITEMS_CHARS_IN_TITLE','Chars in title','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3259','MOD_DJCLASSIFIEDS_ITEMS_CHARS_IN_TITLE_DESC','Number of chars in TITLE (for 0 full title)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3260','MOD_DJCLASSIFIEDS_ITEMS_DEFAULT_IMAGE_FOR_ADVERTS','Default image from adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3261','MOD_DJCLASSIFIEDS_ITEMS_IMAGE_FROM_CATEGORY','Icon from category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3262','MOD_DJCLASSIFIEDS_SHOW_ONLY_ADS_WITH_IMG','Only adverts with images','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3263','MOD_DJCLASSIFIEDS_ITEMS_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3264','MOD_DJCLASSIFIEDS_ITEMS_USERS_IDS','ID of Users','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3265','MOD_DJCLASSIFIEDS_ITEMS_USERS_IDS_DESC','Only Adverts from those users will be shown (ID separated by coma(,))','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3266','MOD_DJCLASSIFIEDS_ITEMS_SOURCE','Source','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3267','MOD_DJCLASSIFIEDS_ITEMS_SOURCE_DESC','Adverts source, when user is not logged in then \'all adverts\' will be shown instead of \'user adverts\' or \'favourite adverts\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3268','MOD_DJCLASSIFIEDS_ITEMS_ALL_ADVERTS','All adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3269','MOD_DJCLASSIFIEDS_ITEMS_USER_ADVERTS','User adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3270','MOD_DJCLASSIFIEDS_ITEMS_FAVOURITE_ADVERTS','Favourite adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3271','MOD_DJCLASSIFIEDS_ITEMS_IMAGE_THUMB_TYPE','Image type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3272','MOD_DJCLASSIFIEDS_ITEMS_SMALL_THUMB','Small (image from table view)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3273','MOD_DJCLASSIFIEDS_ITEMS_MEDIUM_THUMB','Medium (image from blog view)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3274','MOD_DJCLASSIFIEDS_ITEMS_BIG_THUMB','Big (image from advert view)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3275','MOD_DJCLASSIFIEDS_ITEMS_IMAGE_WIDTH','Thumbnail width','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3276','MOD_DJCLASSIFIEDS_ITEMS_IMAGE_WIDTH_DESC','Leave blank to use default thumbnail dimensions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3277','MOD_DJCLASSIFIEDS_ITEMS_IMAGE_HEIGHT','Thumbnail height','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3278','MOD_DJCLASSIFIEDS_ITEMS_IMAGE_HEIGHT_DESC','Leave blank to use default thumbnail dimensions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3279','MOD_DJCLASSIFIEDS_ITEMS_FOLLOW_USER','Follow Author','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3280','MOD_DJCLASSIFIEDS_ITEMS_FOLLOW_USER_DESC','On advert details page module will display only Author adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3281','MOD_DJCLASSIFIEDS_ITEMS_CUSTOM_FIELDS','Show Custom fields','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3282','MOD_DJCLASSIFIEDS_ITEMS_CATEGORY_FIELDS','Only category fields','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3283','MOD_DJCLASSIFIEDS_ITEMS_CONTACT_FIELDS','Only contact fields','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3284','MOD_DJCLASSIFIEDS_ITEMS_ALL_FIELDS','All fields','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3285','MOD_DJCLASSIFIEDS_ITEMS_RECENTLY_VIEWED_AVERTS','Recently viewed adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3286','MOD_DJCLASSIFIEDS_CURRENT_ITEM_USER_ADVERTS','Current advert author items','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3287','MOD_DJCLASSIFIEDS_ITEMS_ONLY_AUCTIONS','Only Auctions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3288','MOD_DJCLASSIFIEDS_ITEMS_ONLY_AUCTIONS_DESC','With this parameter enabled module will display only adverts with auctions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3289','MOD_DJCLASSIFIEDS_ITEMS_PROM_SPECIAL_DATE_EXP','Promotion \'\'Special\'\' days left','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3290','MOD_DJCLASSIFIEDS_ITEMS_SHOW_FAVOURITED_ICON','Show favourite icon','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_items/language/en-GB/en-GB.mod_djclassifieds_items.ini'),
('3291','MOD_DJCLASSIFIEDS_MAPS_MAP_WIDTH','Map width','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3292','MOD_DJCLASSIFIEDS_MAPS_MAP_WIDTH_DESC','Map width','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3293','MOD_DJCLASSIFIEDS_MAPS_MAP_HEIGHT','Map height','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3294','MOD_DJCLASSIFIEDS_MAPS_MAP_HEIGHT_DESC','Map height','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3295','MOD_DJCLASSIFIEDS_MAPS_ITEMS_LIMIT','Items limit','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3296','MOD_DJCLASSIFIEDS_MAPS_ITEMS_LIMIT_DESC','Items limit','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3297','MOD_DJCLASSIFIEDS_MAPS_DEFAULT_ADDRESS','Default address','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3298','MOD_DJCLASSIFIEDS_MAPS_DEFAULT_ADDRESS_DESC','Default address for centering map on start','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3299','MOD_DJCLASSIFIEDS_MAPS_START_ZOOM','Start zoom','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3300','MOD_DJCLASSIFIEDS_MAPS_START_ZOOM_DESC','Start zoom','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini');
INSERT INTO `#__overrider` VALUES 
('3301','MOD_DJCLASSIFIEDS_FOLLOW_CATEGORY','Follow category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3302','MOD_DJCLASSIFIEDS_FOLLOW_CATEGORY_DESC','When you are in category or item, maps show only adverts from this category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3303','MOD_DJCLASSIFIEDS_MAPS_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3304','MOD_DJCLASSIFIEDS_MAPS_MOST_RECENT','Most recent','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3305','MOD_DJCLASSIFIEDS_MAPS_POPULAR','Popular','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3306','MOD_DJCLASSIFIEDS_MAPS_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3307','MOD_DJCLASSIFIEDS_MAPS_CLUSTERRING','Clusterring items','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3308','MOD_DJCLASSIFIEDS_MAPS_CLUSTERRING_DESC','Clusterring items into groups','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3309','MOD_DJCLASSIFIEDS_ZOOM_CONTROL','Zoom control','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3310','MOD_DJCLASSIFIEDS_ZOOM_CONTROL_DESC','Enable zoom navigation control','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3311','MOD_DJCLASSIFIEDS_MOUSE_SCROLLING','Mouse zoom scrolling','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3312','MOD_DJCLASSIFIEDS_MOUSE_SCROLLING_DESC','Enable mouse wheel zoom scroling','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3313','MOD_DJCLASSIFIEDS_MAPS_MAP_TYPE','Map type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3314','MOD_DJCLASSIFIEDS_MAPS_MAP_TYPE_DESC','Select type of Google Map','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3315','MOD_DJCLASSIFIEDS_MAPS_ROADMAP','Roadmap','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3316','MOD_DJCLASSIFIEDS_MAPS_SATELLITE','Satellite','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3317','MOD_DJCLASSIFIEDS_MAPS_HYBRID','Hybrid','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3318','MOD_DJCLASSIFIEDS_MAPS_TERRAIN','Terrain','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3319','MOD_DJCLASSIFIEDS_FOLLOW_SEARCH_RESULTS','Follow search results','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3320','MOD_DJCLASSIFIEDS_FOLLOW_SEARCH_RESULTS_DESC','When you are in search results, maps show only advers from search results','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3321','MOD_DJCLASSIFIEDS_FOLLOW_ADVERT','Follow advert address','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3322','MOD_DJCLASSIFIEDS_FOLLOW_ADVERT_DESC','When user is in advert details, map will be centralized on address from this advert','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3323','MOD_DJCLASSIFIEDS_MAPS_PLACES_SEARCH','Places search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3324','MOD_DJCLASSIFIEDS_MAPS_PLACES_SEARCH_DESC','Allow users to center map basing on Google Maps Places search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3325','MOD_DJCLASSIFIEDS_MAPS_ENTER_LOCATION','Enter location','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3326','MOD_DJCLASSIFIEDS_DEFAULT_ADDRESS_GEOLOCALIZATION','Start address from geoloc','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3327','MOD_DJCLASSIFIEDS_DEFAULT_ADDRESS_GEOLOCALIZATION_DESC','Start address set basing on user geolocalization','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3328','MOD_DJCLASSIFIEDS_MAPS_ADDRESS_COUNTRY','Default country for places API','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3329','MOD_DJCLASSIFIEDS_MAPS_ADDRESS_COUNTRY_DESC','Default country for Google Maps places API, enter short code of country like uk, us, fr, de, pl','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3330','MOD_DJCLASSIFIEDS_MAPS_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3331','MOD_DJCLASSIFIEDS_MAPS_CATEGORIES_DESC','Select one or more Categories, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3332','MOD_DJCLASSIFIEDS_GUEST_ADVERTS','Guest adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3333','MOD_DJCLASSIFIEDS_GUEST_ADVERTS_DESC','Displaying all adverts or only from registered users','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3334','MOD_DJCLASSIFIEDS_MAPS_STYLES','Custom Map styles','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3335','MOD_DJCLASSIFIEDS_MAPS_STYLES_DESC','Paste the code for custom map styles. Examples can be found on https://mapstyle.withgoogle.com<br />Warning: incorrect usage will most likely break the maps completely.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3336','MOD_DJCLASSIFIEDS_MAP_PROVIDER','Map Provider','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3337','MOD_DJCLASSIFIEDS_MAP_PROVIDER_DESC','Map Provider','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3338','MOD_DJCLASSIFIEDS_GOOGLE_MAPS','Google Maps','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3339','MOD_DJCLASSIFIEDS_BAIDU_MAPS','Baidu Maps','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_maps/language/en-GB/en-GB.mod_djclassifieds_maps.ini'),
('3340','MOD_DJCLASSIFIEDS_MENU_MAX_LEVEL','Maximum level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3341','MOD_DJCLASSIFIEDS_MENU_ALL','All','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3342','MOD_DJCLASSIFIEDS_MENU_LINK_NEW_AD','Link to new ad view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3343','MOD_DJCLASSIFIEDS_MENU_TOP','Top','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3344','MOD_DJCLASSIFIEDS_MENU_BOTTOM','Bottom','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3345','MOD_DJCLASSIFIEDS_MENU_NEW_ADD','Add new advert','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3346','MOD_DJCLASSIFIEDS_MENU_HIDE_EMPTY','Hide empty categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3347','MOD_DJCLASSIFIEDS_MENU_HIDE_EMPTY_DESC','Hide empty categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3348','MOD_DJCLASSIFIEDS_MENU_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3349','MOD_DJCLASSIFIEDS_MENU_ORDERING_DESC','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3350','MOD_DJCLASSIFIEDS_MENU_CATEGORY_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini');
INSERT INTO `#__overrider` VALUES 
('3351','MOD_DJCLASSIFIEDS_MENU_CATEGORY_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3352','MOD_DJCLASSIFIEDS_MENU_SHOW_ONLY_CURRENT_LEVEL','Show only current level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3353','MOD_DJCLASSIFIEDS_MENU_SHOW_ONLY_CURRENT_LEVEL_DESC','Module will show only current level of categories, without subcategories and parent categories. ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3354','MOD_DJCLASSIFIEDS_MENU_EXPAND_TYPE','Expand type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3355','MOD_DJCLASSIFIEDS_MENU_EXPAND_TYPE_DESC','Expand type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3356','MOD_DJCLASSIFIEDS_MENU_CURRENT_PATH','Current path','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3357','MOD_DJCLASSIFIEDS_MENU_ALL_CATEGORIES','All categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3358','MOD_DJCLASSIFIEDS_MENU_CATEGORIES_FROM_ACTIVE_CATEGORY_LEVEL','Categories for active category level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3359','MOD_DJCLASSIFIEDS_MENU_SUBCATEGORIES_FOR_ACTIVE_CATEGORY','Subcategories for active category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3360','MOD_DJCLASSIFIEDS_MENU_CATEGORY','Parent category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3361','MOD_DJCLASSIFIEDS_MENU_CATEGORY_DESC','Parent category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_menu/language/en-GB/en-GB.mod_djclassifieds_menu.ini'),
('3362','MOD_DJCLASSIFIEDS_SEARCH_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3363','MOD_DJCLASSIFIEDS_SEARCH_FILTER_CATEGORY','Category filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3364','MOD_DJCLASSIFIEDS_SEARCH_FILTER_LOCALIZATION','Location filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3365','MOD_DJCLASSIFIEDS_SEARCH_INPUT','Search by word','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3366','MOD_DJCLASSIFIEDS_SEARCH_PRICE','Price','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3367','MOD_DJCLASSIFIEDS_SEARCH_PRICE_FROM','From','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3368','MOD_DJCLASSIFIEDS_SEARCH_PRICE_TO','To','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3369','MOD_DJCLASSIFIEDS_SEARCH_SHOW','Show','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3370','MOD_DJCLASSIFIEDS_SEARCH_HIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3371','MOD_DJCLASSIFIEDS_SEARCH_RESET','Reset','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3372','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_CATEGORY','Default category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3373','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_CATEGORY_DESC','Default category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3374','MOD_DJCLASSIFIEDS_SEARCH_RESULT_VIEW','Result view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3375','MOD_DJCLASSIFIEDS_SEARCH_TABLE','Table','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3376','MOD_DJCLASSIFIEDS_SEARCH_BLOG','Blog','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3377','MOD_DJCLASSIFIEDS_SEARCH_FALLOW_CATEGORY','Follow category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3378','MOD_DJCLASSIFIEDS_SEARCH_FILTER_TYPE','Type filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3379','MOD_DJCLASSIFIEDS_SEARCH_TYPE','Type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3380','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_SELECTOR_EMPTY_VALUE',' - - - ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3381','MOD_DJCLASSIFIEDS_SEARCH_LOCATION_SELECTOR_EMPTY_VALUE',' - - - ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3382','MOD_DJCLASSIFIEDS_SEARCH_FILTER_ONLY_WITH_IMAGES','Filter \'only with images\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3383','MOD_DJCLASSIFIEDS_SEARCH_FILTER_ONLY_WITH_VIDEO','Filter \'only with video\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3384','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_WITH_IMAGES','only with images','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3385','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_WITH_VIDEO','only with video','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3386','MOD_DJCLASSIFIEDS_SEARCH_SHOW_AS_LINK','Show as link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3387','MOD_DJCLASSIFIEDS_SEARCH_SHOW_AS_BUTTON','Show as button','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3388','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_ORDERING','Category ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3389','MOD_DJCLASSIFIEDS_SEARCH_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3390','MOD_DJCLASSIFIEDS_SEARCH_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3391','MOD_DJCLASSIFIEDS_SEARCH_HIDE_EMPTY_CATEGORIES','Hide empty categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3392','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TIME_FILTER','Time filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3393','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TIME_FILTER_DESC','Allow users to select time of publication (past 24 hours, past 3 days, past week, past month)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3394','MOD_DJCLASSIFIEDS_SEARCH_ANY_TIME','Any time','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3395','MOD_DJCLASSIFIEDS_SEARCH_PAST_24_HOURS','Past 24 hours','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3396','MOD_DJCLASSIFIEDS_SEARCH_PAST_THREE_DAYS','Past 3 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3397','MOD_DJCLASSIFIEDS_SEARCH_PAST_WEEK','Past week','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3398','MOD_DJCLASSIFIEDS_SEARCH_PAST_MONTH','Past month','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3399','MOD_DJCLASSIFIEDS_SEARCH_POSTCODE_SEARCH','Search in radius of postcode','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3400','MOD_DJCLASSIFIEDS_SEARCH_POSTCODE_SEARCH_DESC','Allow user to enter postcode and select radius in which they want to search ads','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini');
INSERT INTO `#__overrider` VALUES 
('3401','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_COUNTRY_FOR_POSTCODE','Default country for postcode','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3402','MOD_DJCLASSIFIEDS_SEARCH_RADIUS_LIST','Radius list','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3403','MOD_DJCLASSIFIEDS_SEARCH_RADIUS_LIST_DESC','Enter radiaus values, separated by coma','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3404','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_RADIUS','Default radius','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3405','MOD_DJCLASSIFIEDS_SEARCH_RADIUS_UNIT','Radius unit','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3406','MOD_DJCLASSIFIEDS_SEARCH_KILOMETER','Kilometer','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3407','MOD_DJCLASSIFIEDS_SEARCH_MILE','Mile','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3408','COM_DJCLASSIFIEDS_SEARCH_POSTCODE','Postcode','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3409','COM_DJCLASSIFIEDS_SEARCH_SEARCH_RANGE','Range','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3410','COM_DJCLASSIFIEDS_SEARCH_MILES','miles','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3411','COM_DJCLASSIFIEDS_SEARCH_KM','km','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3412','MOD_DJCLASSIFIEDS_SEARCH_LAYOUT','Layout','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3413','MOD_DJCLASSIFIEDS_SEARCH_VERTICAL','Vertical','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3414','MOD_DJCLASSIFIEDS_SEARCH_HORIZONTAL','Horizontal','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3415','MOD_DJCLASSIFIEDS_MENU_ID_OF_RESULTS_PAGE','Menu ID of results page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3416','MOD_DJCLASSIFIEDS_MENU_ID_OF_RESULTS_PAGE_DESC','Menu ID (Itemid) for results page, for 0 menu will be taken automatically','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3417','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RESTRICTION_18','Show 18+ restriction','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3418','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RESTRICTION_18_DESC','In search module there will be added checkbox with label \'Include adult ads in search\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3419','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RESTRICTION_18_LABEL','include adult ads in search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3420','MOD_DJCLASSIFIEDS_SEARCH_SHOW_INPUT_LABEL','Show \'\'Search by word\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3421','MOD_DJCLASSIFIEDS_SEARCH_INPUT_LABEL','Search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3422','MOD_DJCLASSIFIEDS_SEARCH_SHOW_CATEGORY_LABEL','Show \'\'Category\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3423','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_LABEL','Category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3424','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TYPE_LABEL','Show \'\'Type\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3425','MOD_DJCLASSIFIEDS_SEARCH_TYPE_LABEL','Type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3426','MOD_DJCLASSIFIEDS_SEARCH_SHOW_LOZALIZATION_LABEL','Show \'\'Location\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3427','MOD_DJCLASSIFIEDS_SEARCH_LOZALIZATION_LABEL','Location','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3428','MOD_DJCLASSIFIEDS_SEARCH_SHOW_POSTCODE_LABEL','Show \'\'Range/Address\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3429','MOD_DJCLASSIFIEDS_SEARCH_POSTCODE_LABEL','Range','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3430','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_LABEL','Address range','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3431','MOD_DJCLASSIFIEDS_SEARCH_SHOW_PRICE_LABEL','Show \'\'Price\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3432','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TIME_LABEL','Show \'\'When Added\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3433','MOD_DJCLASSIFIEDS_SEARCH_TIME_LABEL','When Added','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3434','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_SEARCH','Search in radius of address (places API)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3435','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_SEARCH_DESC','Allow users to search in some radius of address with hints from Googla API Places. Only one of the two fields \'\'searching by postcode\'\' or \'\'searching by address\'\' can be enabled','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3436','COM_DJCLASSIFIEDS_SEARCH_ADDRESS','Address','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3437','COM_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION','Geolocation','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3438','COM_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION_DESC','Browser geolocation, basing on HTML5','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3439','MOD_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION_LABEL','Location','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3440','COM_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION_ERROR','Unfortunately we are not able to localise your position','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3441','MOD_DJCLASSIFIEDS_SEARCH_FILTER_SHOW_ONLY_AUCTIONS','Filter \'show only auctions\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3442','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_AUCTIONS','show only auctions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3443','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_COUNTRY','Default country for places API','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3444','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_COUNTRY_DESC','Default country for Google Maps places API, enter short code of country like uk, us, fr, de, pl','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3445','MOD_DJCLASSIFIEDS_SEARCH_OR','or','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3446','MOD_DJCLASSIFIEDS_SEARCH_GEOLOC_TOOLTIP_INFO','Click to provide your location using geolocation. You may be asked for permission to report location information.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3447','MOD_DJCLASSIFIEDS_SEARCH_SHOW_CUSTOM_FIELDS','Show custom fields','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3448','MOD_DJCLASSIFIEDS_SEARCH_INPUT_HINTS','Search Autocomplete','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3449','MOD_DJCLASSIFIEDS_SEARCH_INPUT_HINTS_DESC','Hints in search input basing on categories, regions and adverts names.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3450','MOD_DJCLASSIFIEDS_SEARCH_FILTER_SHOW_ONLY_BUYNOW','Filter \'show only BuyNow\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini');
INSERT INTO `#__overrider` VALUES 
('3451','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_BUYNOW','show only BuyNow','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3452','MOD_DJCLASSIFIEDS_SEARCH_HIDE_ON_ADVERT_PAGE','Hide on advert page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3453','MOD_DJCLASSIFIEDS_SEARCH_HIDE_ON_ADVERT_PAGE_DESC','Hide this search module on Advert details page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3454','MOD_DJCLASSIFIEDS_SEARCH_ADVANCED_SEARCH','Advanced Search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3455','MOD_DJCLASSIFIEDS_SEARCH_ADVANCED_CLOSE','Close','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3456','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_SELECTOR_TYPE','Type of category selector','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3457','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_SELECTOR_TYPE_DESC','Decide if you want to have each level of category in different select or all categories in one select. For big number of categories 1.000+ single select may cause efficiency problems','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3458','MOD_DJCLASSIFIEDS_SEARCH_SELECT_FOR_LEVEL','Select for each level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3459','MOD_DJCLASSIFIEDS_SEARCH_SINGLE_SELECT','Single select','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3460','MOD_DJCLASSIFIEDS_SEARCH_LOCALIZATION_SELECTOR_TYPE','Type of location selector','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3461','MOD_DJCLASSIFIEDS_SEARCH_LOCALIZATION_SELECTOR_TYPE_DESC','Decide if you want to have each level of category in different select or all regions in one select. For big number of regions 1.000+ single select may cause efficiency problems','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3462','MOD_DJCLASSIFIEDS_SEARCH_HORIZONTAL_ONELINE','Horizontal - one line','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3463','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RADIUS_LABEL','Show \'\'radius\'\' label','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_profiles_search/language/en-GB/en-GB.mod_djclassifieds_profiles_search.ini'),
('3464','MOD_DJCLASSIFIEDS_MENU_MAX_LEVEL','Maximum level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3465','MOD_DJCLASSIFIEDS_MENU_ALL','All','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3466','MOD_DJCLASSIFIEDS_MENU_LINK_NEW_AD','Link to new ad view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3467','MOD_DJCLASSIFIEDS_MENU_TOP','Top','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3468','MOD_DJCLASSIFIEDS_MENU_BOTTOM','Bottom','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3469','MOD_DJCLASSIFIEDS_MENU_NEW_ADD','Add new advert','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3470','MOD_DJCLASSIFIEDS_MENU_EXPAND_TYPE','Expand type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3471','MOD_DJCLASSIFIEDS_MENU_EXPAND_TYPE_DESC','Expand type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3472','MOD_DJCLASSIFIEDS_MENU_CURRENT_PATH','Current path','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3473','MOD_DJCLASSIFIEDS_MENU_ALL_REGIONS','All regions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3474','MOD_DJCLASSIFIEDS_MAIN_REGION','Main region','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3475','MOD_DJCLASSIFIEDS_MAIN_REGION_DESC','In module only subregions from selected region willl be displayed','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3476','MOD_DJCLASSIFIEDS_MENU_HIDE_EMPTY','Hide empty regions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3477','MOD_DJCLASSIFIEDS_MENU_HIDE_EMPTY_DESC','Hide regions which doesn\'t contains adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3478','MOD_DJCLASSIFIEDS_MENU_YES','Yes','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3479','MOD_DJCLASSIFIEDS_MENU_NO','No','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3480','MOD_DJCLASSIFIEDS_MENU_ID_OF_RESULTS_PAGE','Menu ID of results page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3481','MOD_DJCLASSIFIEDS_MENU_ID_OF_RESULTS_PAGE_DESC','Menu ID (Itemid) for results page, for 0 menu will be taken automatically','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3482','MOD_DJCLASSIFIEDS_MENU_NUMBER_OF_ADVERTS','Number of adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3483','MOD_DJCLASSIFIEDS_MENU_NUMBER_OF_ADVERTS_DESC','Number of adverts ini each region','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3484','MOD_DJCLASSIFIEDS_MENU_HIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3485','MOD_DJCLASSIFIEDS_MENU_SHOW','Show','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3486','MOD_DJCLASSIFIEDS_MENU_SAVE_REGION_ID','Save region id','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3487','MOD_DJCLASSIFIEDS_MENU_SAVE_REGION_ID_DESC','After selection region will be saved in cookie and only adverts from this region will be displayed in all DJ-Classifieds component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions/language/en-GB/en-GB.mod_djclassifieds_regions.ini'),
('3488','MOD_DJREGIONS_SELECT_PLEASE_SELECT_MAIN_REGION','Select main region','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions_select/language/en-GB/en-GB.mod_djclassifieds_regions_select.ini'),
('3489','MOD_DJREGIONS_SELECT_MAX_LEVEL','Maximum level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions_select/language/en-GB/en-GB.mod_djclassifieds_regions_select.ini'),
('3490','MOD_DJREGIONS_SELECT_ALL_REGIONS','All regions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions_select/language/en-GB/en-GB.mod_djclassifieds_regions_select.ini'),
('3491','MOD_DJREGIONS_SELECT_MAIN_REGION','Main region','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions_select/language/en-GB/en-GB.mod_djclassifieds_regions_select.ini'),
('3492','MOD_DJREGIONS_SELECT_MAIN_REGION_DESC','Main region from which regions will be displayed','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_regions_select/language/en-GB/en-GB.mod_djclassifieds_regions_select.ini'),
('3493','MOD_DJCLASSIFIEDS_SEARCH_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3494','MOD_DJCLASSIFIEDS_SEARCH_FILTER_CATEGORY','Category filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3495','MOD_DJCLASSIFIEDS_SEARCH_FILTER_LOCALIZATION','Location filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3496','MOD_DJCLASSIFIEDS_SEARCH_INPUT','Search by word','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3497','MOD_DJCLASSIFIEDS_SEARCH_PRICE','Price','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3498','MOD_DJCLASSIFIEDS_SEARCH_PRICE_FROM','From','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3499','MOD_DJCLASSIFIEDS_SEARCH_PRICE_TO','To','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3500','MOD_DJCLASSIFIEDS_SEARCH_SHOW','Show','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini');
INSERT INTO `#__overrider` VALUES 
('3501','MOD_DJCLASSIFIEDS_SEARCH_HIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3502','MOD_DJCLASSIFIEDS_SEARCH_RESET','Reset','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3503','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_CATEGORY','Default category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3504','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_CATEGORY_DESC','Default category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3505','MOD_DJCLASSIFIEDS_SEARCH_RESULT_VIEW','Result view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3506','MOD_DJCLASSIFIEDS_SEARCH_TABLE','Table','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3507','MOD_DJCLASSIFIEDS_SEARCH_BLOG','Blog','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3508','MOD_DJCLASSIFIEDS_SEARCH_FALLOW_CATEGORY','Follow category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3509','MOD_DJCLASSIFIEDS_SEARCH_FILTER_TYPE','Type filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3510','MOD_DJCLASSIFIEDS_SEARCH_TYPE','Type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3511','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_SELECTOR_EMPTY_VALUE',' - - - ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3512','MOD_DJCLASSIFIEDS_SEARCH_LOCATION_SELECTOR_EMPTY_VALUE',' - - - ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3513','MOD_DJCLASSIFIEDS_SEARCH_FILTER_ONLY_WITH_IMAGES','Filter \'only with images\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3514','MOD_DJCLASSIFIEDS_SEARCH_FILTER_ONLY_WITH_VIDEO','Filter \'only with video\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3515','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_WITH_IMAGES','only with images','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3516','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_WITH_VIDEO','only with video','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3517','MOD_DJCLASSIFIEDS_SEARCH_SHOW_AS_LINK','Show as link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3518','MOD_DJCLASSIFIEDS_SEARCH_SHOW_AS_BUTTON','Show as button','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3519','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_ORDERING','Category ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3520','MOD_DJCLASSIFIEDS_SEARCH_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3521','MOD_DJCLASSIFIEDS_SEARCH_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3522','MOD_DJCLASSIFIEDS_SEARCH_HIDE_EMPTY_CATEGORIES','Hide empty categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3523','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TIME_FILTER','Time filter','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3524','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TIME_FILTER_DESC','Allow users to select time of publication (past 24 hours, past 3 days, past week, past month)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3525','MOD_DJCLASSIFIEDS_SEARCH_ANY_TIME','Any time','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3526','MOD_DJCLASSIFIEDS_SEARCH_PAST_24_HOURS','Past 24 hours','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3527','MOD_DJCLASSIFIEDS_SEARCH_PAST_THREE_DAYS','Past 3 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3528','MOD_DJCLASSIFIEDS_SEARCH_PAST_WEEK','Past week','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3529','MOD_DJCLASSIFIEDS_SEARCH_PAST_MONTH','Past month','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3530','MOD_DJCLASSIFIEDS_SEARCH_POSTCODE_SEARCH','Search in radius of postcode','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3531','MOD_DJCLASSIFIEDS_SEARCH_POSTCODE_SEARCH_DESC','Allow user to enter postcode and select radius in which they want to search ads','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3532','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_COUNTRY_FOR_POSTCODE','Default country for postcode','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3533','MOD_DJCLASSIFIEDS_SEARCH_RADIUS_LIST','Radius list','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3534','MOD_DJCLASSIFIEDS_SEARCH_RADIUS_LIST_DESC','Enter radiaus values, separated by coma','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3535','MOD_DJCLASSIFIEDS_SEARCH_DEFAULT_RADIUS','Default radius','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3536','MOD_DJCLASSIFIEDS_SEARCH_RADIUS_UNIT','Radius unit','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3537','MOD_DJCLASSIFIEDS_SEARCH_KILOMETER','Kilometer','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3538','MOD_DJCLASSIFIEDS_SEARCH_MILE','Mile','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3539','COM_DJCLASSIFIEDS_SEARCH_POSTCODE','Postcode','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3540','COM_DJCLASSIFIEDS_SEARCH_SEARCH_RANGE','Range','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3541','COM_DJCLASSIFIEDS_SEARCH_MILES','miles','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3542','COM_DJCLASSIFIEDS_SEARCH_KM','km','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3543','MOD_DJCLASSIFIEDS_SEARCH_LAYOUT','Layout','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3544','MOD_DJCLASSIFIEDS_SEARCH_VERTICAL','Vertical','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3545','MOD_DJCLASSIFIEDS_SEARCH_HORIZONTAL','Horizontal','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3546','MOD_DJCLASSIFIEDS_MENU_ID_OF_RESULTS_PAGE','Menu ID of results page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3547','MOD_DJCLASSIFIEDS_MENU_ID_OF_RESULTS_PAGE_DESC','Menu ID (Itemid) for results page, for 0 menu will be taken automatically','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3548','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RESTRICTION_18','Show 18+ restriction','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3549','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RESTRICTION_18_DESC','In search module there will be added checkbox with label \'Include adult ads in search\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3550','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RESTRICTION_18_LABEL','include adult ads in search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini');
INSERT INTO `#__overrider` VALUES 
('3551','MOD_DJCLASSIFIEDS_SEARCH_SHOW_INPUT_LABEL','Show \'\'Search by word\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3552','MOD_DJCLASSIFIEDS_SEARCH_INPUT_LABEL','Search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3553','MOD_DJCLASSIFIEDS_SEARCH_SHOW_CATEGORY_LABEL','Show \'\'Category\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3554','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_LABEL','Category','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3555','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TYPE_LABEL','Show \'\'Type\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3556','MOD_DJCLASSIFIEDS_SEARCH_TYPE_LABEL','Type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3557','MOD_DJCLASSIFIEDS_SEARCH_SHOW_LOZALIZATION_LABEL','Show \'\'Location\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3558','MOD_DJCLASSIFIEDS_SEARCH_LOZALIZATION_LABEL','Location','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3559','MOD_DJCLASSIFIEDS_SEARCH_SHOW_POSTCODE_LABEL','Show \'\'Range/Address\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3560','MOD_DJCLASSIFIEDS_SEARCH_POSTCODE_LABEL','Range','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3561','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_LABEL','Address range','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3562','MOD_DJCLASSIFIEDS_SEARCH_SHOW_PRICE_LABEL','Show \'\'Price\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3563','MOD_DJCLASSIFIEDS_SEARCH_SHOW_TIME_LABEL','Show \'\'When Added\'\' label ','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3564','MOD_DJCLASSIFIEDS_SEARCH_TIME_LABEL','When Added','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3565','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_SEARCH','Search in radius of address (places API)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3566','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_SEARCH_DESC','Allow users to search in some radius of address with hints from Googla API Places. Only one of the two fields \'\'searching by postcode\'\' or \'\'searching by address\'\' can be enabled','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3567','COM_DJCLASSIFIEDS_SEARCH_ADDRESS','Address','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3568','COM_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION','Geolocation','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3569','COM_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION_DESC','Browser geolocation, basing on HTML5','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3570','MOD_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION_LABEL','Location','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3571','COM_DJCLASSIFIEDS_SEARCH_GEOLOCALIZATION_ERROR','Unfortunately we are not able to localise your position','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3572','MOD_DJCLASSIFIEDS_SEARCH_FILTER_SHOW_ONLY_AUCTIONS','Filter \'show only auctions\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3573','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_AUCTIONS','show only auctions','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3574','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_COUNTRY','Default country for places API','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3575','MOD_DJCLASSIFIEDS_SEARCH_ADDRESS_COUNTRY_DESC','Default country for Google Maps places API, enter short code of country like uk, us, fr, de, pl','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3576','MOD_DJCLASSIFIEDS_SEARCH_OR','or','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3577','MOD_DJCLASSIFIEDS_SEARCH_GEOLOC_TOOLTIP_INFO','Click to provide your location using geolocation. You may be asked for permission to report location information.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3578','MOD_DJCLASSIFIEDS_SEARCH_SHOW_CUSTOM_FIELDS','Show custom fields','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3579','MOD_DJCLASSIFIEDS_SEARCH_INPUT_HINTS','Search Autocomplete','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3580','MOD_DJCLASSIFIEDS_SEARCH_INPUT_HINTS_DESC','Hints in search input basing on categories, regions and adverts names.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3581','MOD_DJCLASSIFIEDS_SEARCH_FILTER_SHOW_ONLY_BUYNOW','Filter \'show only BuyNow\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3582','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_BUYNOW','show only BuyNow','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3583','MOD_DJCLASSIFIEDS_SEARCH_HIDE_ON_ADVERT_PAGE','Hide on advert page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3584','MOD_DJCLASSIFIEDS_SEARCH_HIDE_ON_ADVERT_PAGE_DESC','Hide this search module on Advert details page','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3585','MOD_DJCLASSIFIEDS_SEARCH_ADVANCED_SEARCH','Advanced Search','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3586','MOD_DJCLASSIFIEDS_SEARCH_ADVANCED_CLOSE','Close','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3587','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_SELECTOR_TYPE','Type of category selector','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3588','MOD_DJCLASSIFIEDS_SEARCH_CATEGORY_SELECTOR_TYPE_DESC','Decide if you want to have each level of category in different select or all categories in one select. For big number of categories 1.000+ single select may cause efficiency problems','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3589','MOD_DJCLASSIFIEDS_SEARCH_SELECT_FOR_LEVEL','Select for each level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3590','MOD_DJCLASSIFIEDS_SEARCH_SINGLE_SELECT','Single select','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3591','MOD_DJCLASSIFIEDS_SEARCH_LOCALIZATION_SELECTOR_TYPE','Type of location selector','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3592','MOD_DJCLASSIFIEDS_SEARCH_LOCALIZATION_SELECTOR_TYPE_DESC','Decide if you want to have each level of category in different select or all regions in one select. For big number of regions 1.000+ single select may cause efficiency problems','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3593','MOD_DJCLASSIFIEDS_SEARCH_HORIZONTAL_ONELINE','Horizontal - one line','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3594','MOD_DJCLASSIFIEDS_SEARCH_SHOW_RADIUS_LABEL','Show \'\'radius\'\' label','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3595','MOD_DJCLASSIFIEDS_SEARCH_FILTER_SHOW_ONLY_PRICE_NEGOTIABLE','Filter \'price negotiable\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3596','MOD_DJCLASSIFIEDS_SEARCH_SHOW_ONLY_PRICE_NEGOTIABLE','price negotiable','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_search/language/en-GB/en-GB.mod_djclassifieds_search.ini'),
('3597','MOD_DJCLASSIFIEDS_STATS_TEXT_BEFORE','Text before','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3598','MOD_DJCLASSIFIEDS_STATS_TEXT_BEFORE_DESC','Text before module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3599','MOD_DJCLASSIFIEDS_STATS_TEXT_AFTER','Text after','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3600','MOD_DJCLASSIFIEDS_STATS_TEXT_AFTER_DESC','Text after module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini');
INSERT INTO `#__overrider` VALUES 
('3601','MOD_DJCLASSIFIEDS_STATS_HIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3602','MOD_DJCLASSIFIEDS_STATS_LABEL_AND_VALUE','Show label and value','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3603','MOD_DJCLASSIFIEDS_STATS_ONLY_VALUE','Show only value','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3604','MOD_DJCLASSIFIEDS_STATS_ADS_TOTAL','Ads total','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3605','MOD_DJCLASSIFIEDS_STATS_ADS_TOTAL_DESC','Total number of adverts, published and unpublished','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3606','MOD_DJCLASSIFIEDS_STATS_ADS_TOTAL_LABEL','Total ads','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3607','MOD_DJCLASSIFIEDS_STATS_ADS_ACTIVE','Ads active','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3608','MOD_DJCLASSIFIEDS_STATS_ADS_ACTIVE_DESC','Total number of active adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3609','MOD_DJCLASSIFIEDS_STATS_ADS_ACTIVE_LABEL','Active ads','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3610','MOD_DJCLASSIFIEDS_STATS_ADDED_TODAY','Added today','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3611','MOD_DJCLASSIFIEDS_STATS_ADDED_TODAY_DESC','Adverts added today','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3612','MOD_DJCLASSIFIEDS_STATS_ADDED_TODAY_LABEL','Added today','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3613','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_24H','Added last 24h','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3614','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_24H_DESC','Adverts added in last 24h','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3615','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_24H_LABEL','Added last 24h','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3616','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_WEEK','Added current week','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3617','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_WEEK_DESC','Adverts added in the current week','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3618','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_WEEK_LABEL','Added current week','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3619','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_7_DAYS','Added last 7 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3620','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_7_DAYS_DESC','Adverts added in last 7 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3621','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_7_DAYS_LABEL','Added last 7 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3622','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_MONTH','Added current month','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3623','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_MONTH_DESC','Adverts added in the current month','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3624','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_MONTH_LABEL','Added current month','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3625','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_30_DAYS','Added last 30 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3626','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_30_DAYS_DESC','Adverts added in last 30 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3627','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_30_DAYS_LABEL','Added last 30 days','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3628','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_YEAR','Added current year','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3629','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_YEAR_DESC','Adverts added in the current year','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3630','MOD_DJCLASSIFIEDS_STATS_ADDED_CURRENT_YEAR_LABEL','Added current year','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3631','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_365_DAYS','Added last year','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3632','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_365_DAYS_DESC','Adverts added in last yar','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3633','MOD_DJCLASSIFIEDS_STATS_ADDED_LAST_365_DAYS_LABEL','Added last year','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3634','MOD_DJCLASSIFIEDS_STATS_AUCTIONS_COUNT','Auctions number','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3635','MOD_DJCLASSIFIEDS_STATS_AUCTIONS_COUNT_DESC','Number of active adverts with auctions feature','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3636','MOD_DJCLASSIFIEDS_STATS_AUCTIONS_COUNT_LABEL','Active auction','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3637','MOD_DJCLASSIFIEDS_STATS_CATEGORIES_COUNT','Categories number','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3638','MOD_DJCLASSIFIEDS_STATS_CATEGORIES_COUNT_DESC','Number of active categories in DJ-Classifieds component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3639','MOD_DJCLASSIFIEDS_STATS_CATEGORIES_COUNT_LABEL','Categories','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_stats/language/en-GB/en-GB.mod_djclassifieds_stats.ini'),
('3640','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_NEW_AD_LINK','Show new advert link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3641','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_USER_ADS_LINK','Show User ads link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3642','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_USER_FAVOURITES_LINK','Show User Favourites link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3643','MOD_DJCLASSIFIEDS_USER_MENU_NEW_ADD','Add new advert','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3644','MOD_DJCLASSIFIEDS_USER_MENU_USER_ADS','Your adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3645','MOD_DJCLASSIFIEDS_USER_MENU_FAVOURITE_ADS','Your favourite adverts','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3646','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_POINTS_PACKAGES_LINK','Points packages link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3647','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_USER_POINTS_LINK','User points link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3648','MOD_DJCLASSIFIEDS_USER_MENU_POINTS_PACKAGES','Points packages','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3649','MOD_DJCLASSIFIEDS_USER_MENU_USER_POINTS','Your points','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3650','MOD_DJCLASSIFIEDS_USER_MENU_EDIT_PROFILE_LINK','Show edit Profile link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini');
INSERT INTO `#__overrider` VALUES 
('3651','MOD_DJCLASSIFIEDS_USER_MENU_EDIT_PROFILE','Edit profile','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3652','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_SUBSCRIPTION_PLANS_LINK','Subscription plans link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3653','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_SUBSCRIPTION_PLANS_LINK_DESC','You need installed and published special plugin to use Subscription Plans feature','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3654','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_USER_SUBSCRIPTION_PLANS_LINK','User subscription plans link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3655','MOD_DJCLASSIFIEDS_USER_MENU_SHOW_USER_SUBSCRIPTION_PLANS_LINK_DESC','You need installed and published special plugin to use Subscription Plans feature','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3656','MOD_DJCLASSIFIEDS_USER_MENU_SUBSCRIPTION_PLANS','Subscription plans','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3657','MOD_DJCLASSIFIEDS_USER_MENU_USER_SUBSCRIPTION_PLANS','Your subscription plans','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_menu/language/en-GB/en-GB.mod_djclassifieds_user_menu.ini'),
('3658','MOD_DJCLASSIFIEDS_USER_POINTS_SHOW_USER_POINTS','Show user points','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_points/language/en-GB/en-GB.mod_djclassifieds_user_points.ini'),
('3659','MOD_DJCLASSIFIEDS_USER_POINTS_SHOW_POINTS_PACKAGES_LINK','Points packages link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_points/language/en-GB/en-GB.mod_djclassifieds_user_points.ini'),
('3660','MOD_DJCLASSIFIEDS_USER_POINTS_SHOW_USER_POINTS_LINK','User points link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_points/language/en-GB/en-GB.mod_djclassifieds_user_points.ini'),
('3661','MOD_DJCLASSIFIEDS_USER_POINTS_POINTS_PACKAGES','Points packages','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_points/language/en-GB/en-GB.mod_djclassifieds_user_points.ini'),
('3662','MOD_DJCLASSIFIEDS_USER_POINTS_POINTS_HISTORY','Points usage history','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_points/language/en-GB/en-GB.mod_djclassifieds_user_points.ini'),
('3663','MOD_DJCLASSIFIEDS_USER_POINTS_USER_POINTS','Your points','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djclassifieds_user_points/language/en-GB/en-GB.mod_djclassifieds_user_points.ini'),
('3664','MOD_DJMEDIATOOLS','DJ-MediaTools','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3665','MOD_DJMEDIATOOLS_CATEGORY','Album','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3666','MOD_DJMEDIATOOLS_CATEGORY_DESC','Choose DJ-MediaTools album to display','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3667','MOD_DJMEDIATOOLS_INHERIT_DESC','<b>Inherit</b> and <b>empty input</b> means that given value will be taken from general settings. The hierarchy of inheriting from lowest to highest priority: Global component settings » Album settings » Module settings','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3668','COM_DJMEDIATOOLS_CATEGORY_OPTIONS','Basic album options','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3669','COM_MODULES_OTHER_FIELDSET_LABEL','Other Options','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3670','MOD_DJMEDIATOOLS_DESC','Displays DJ-MediaTools Album in module position.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.ini'),
('3671','MOD_DJMEDIATOOLS','DJ-MediaTools','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3672','MOD_DJMEDIATOOLS_LAYOUT_GALLERYGRID','Gallery Grid','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3673','MOD_DJMEDIATOOLS_LAYOUT_NIVOSLIDER','Nivo Slider (experimental)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3674','MOD_DJMEDIATOOLS_LAYOUT_SKITTERSLIDESHOW','Skitter Slideshow (experimental)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3675','MOD_DJMEDIATOOLS_LAYOUT_SLIDER','Slider (based on DJ-ImageSlider)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3676','MOD_DJMEDIATOOLS_LAYOUT_SLIDESHOW','Slideshow','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3677','MOD_DJMEDIATOOLS_LAYOUT_SLIDESHOWTHUMBS','Slideshow with thumbnails','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3678','MOD_DJMEDIATOOLS_LAYOUT_TABBER','Tabber','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3679','MOD_DJMEDIATOOLS_LAYOUT_MSLIDER','Modern Slider (based on new engine)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3680','MOD_DJMEDIATOOLS_LAYOUT_PANELS','Kwicks Panels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3681','MOD_DJMEDIATOOLS_LAYOUT_MASONRY','Masonry','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3682','MOD_DJMEDIATOOLS_DESC','Displays DJ-MediaTools Album in module position.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmediatools/language/en-GB/en-GB.mod_djmediatools.sys.ini'),
('3683','COM_MODULES_EFFECTS_FIELDSET_LABEL','Effects Options','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3684','COM_MODULES_OTHER_FIELDSET_LABEL','Other Options','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3685','MOD_DJMEGAMENU_MODULE_DESC','DJ-MegaMenu Professional Edition','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3686','MOD_DJMEGAMENU_MENU_NAME','Menu Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3687','MOD_DJMEGAMENU_MENU_NAME_DESC','The name of the menu (default is mainmenu)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3688','MOD_DJMEGAMENU_THEME','Theme','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3689','MOD_DJMEGAMENU_THEME_DESC','Choose the theme for DJ-MegaMenu. You can create your own theme by copy the existing one and renaming the folder or copy the djmegamenu.css file from default theme into /templates/[your_template]/css/ and set theme to \'- override from template -\'.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3690','MOD_DJMEGAMENU_THEME_OVERRIDE','- override from template -','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3691','MOD_DJMEGAMENU_MORE_THEMES_INFO','<b>More themes will be available soon. <a href="http://dj-extensions.com">Keep DJ-MegaMenu module up to date</a>.</b>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3692','MOD_DJMEGAMENU_START_LEVEL','Start level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3693','MOD_DJMEGAMENU_START_LEVEL_DESC','Level to start rendering the menu at.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3694','MOD_DJMEGAMENU_END_LEVEL','End level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3695','MOD_DJMEGAMENU_END_LEVEL_DESC','Level to stop rendering the menu at. If you choose \'All\', all levels will be shown.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3696','MOD_DJMEGAMENU_SUBMENU_EXPANDED','Submenu type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3697','MOD_DJMEGAMENU_SUBMENU_EXPANDED_DESC','Show submenu items as a tree or dropdown menu. It can be overridden in menu item settings (DJ-MegaMenu Options).','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3698','MOD_DJMEGAMENU_COLUMN_WIDTH','Column width in pixels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3699','MOD_DJMEGAMENU_COLUMN_WIDTH_DESC','Set default column width in pixels. It can be overridden in menu item settings (DJ-MegaMenu Options).','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3700','MOD_DJMEGAMENU_USE_NOTE','Use Note as subtitle','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini');
INSERT INTO `#__overrider` VALUES 
('3701','MOD_DJMEGAMENU_USE_NOTE_DESC','Use menu item note field as subtitle when subtitle parameter is empty','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3702','MOD_DJMEGAMENU_MOO','CSS3 Animations and script features','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3703','MOD_DJMEGAMENU_MOO_DESC','Enabling makes the menu animate with nice CSS3 animations and also add the extra features such as sticky menu, keeping a submenus inside wrapper, delay before close submenu or touch screens better experience.<br /> Disabling, makes the menu simple css drop-down without any javascript.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3704','MOD_DJMEGAMENU_OPEN_EVENT','Open event','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3705','MOD_DJMEGAMENU_OPEN_EVENT_DESC','Build submenu which will open on click event instead of hover. You can apply click event for all items or just for separators. Touch screens by default use click event for all items.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3706','MOD_DJMEGAMENU_MOUSEENTER','Hover','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3707','MOD_DJMEGAMENU_CLICK','Click (only separators)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3708','MOD_DJMEGAMENU_CLICK_ALL','Click','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3709','MOD_DJMEGAMENU_WRAPPER','Wrapper ID','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3710','MOD_DJMEGAMENU_WRAPPER_DESC','Dropdown submenu direction will be changed if submenu would go out the edges of wrapper container. The Wrapper ID is a property of desire html tag, e.g. for the following tag &lt;div id=\'\'<b>content</b>\'\'&gt; the Wrapper ID is <b>content</b>. Default wrapper is container with .dj-megamenu class','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3711','MOD_DJMEGAMENU_DISPLAY_SELECT','Display SELECT for small screens','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3712','MOD_DJMEGAMENU_DISPLAY_SELECT_DESC','Display SELECT Dropdown box instead of DJ-MegaMenu for devices with small screen','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3713','MOD_DJMEGAMENU_SCREEN_WIDTH','Small screen width','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3714','MOD_DJMEGAMENU_SCREEN_WIDTH_DESC','Devices with screen width narrower that this value will be treated as small screen for SELECT box','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3715','MOD_DJMEGAMENU_EFFECTS_PARAMS','<b><u>Effects settings</u></b>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3716','MOD_DJMEGAMENU_VERTICAL','Vertical','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3717','MOD_DJMEGAMENU_VERTICAL_DESC','Enable vertical transition of submenu at first level. You can mix vertical, horizontal and fade transition as you want.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3718','MOD_DJMEGAMENU_HORIZONTAL','Horizontal','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3719','MOD_DJMEGAMENU_HORIZONTAL_DESC','Enable horizontal transition of submenu at first level. You can mix vertical, horizontal and fade transition as you want.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3720','MOD_DJMEGAMENU_FADE','Fade effect at first level','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3721','MOD_DJMEGAMENU_FADE_DESC','Enable fade transition of submenu at first level. You can mix vertical, horizontal and fade transition as you want.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3722','MOD_DJMEGAMENU_VERTICAL_SUB','Vertical transition at other levels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3723','MOD_DJMEGAMENU_VERTICAL_SUB_DESC','Enable vertical transition of submenu at second and further levels. You can mix vertical, horizontal and fade transition as you want.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3724','MOD_DJMEGAMENU_HORIZONTAL_SUB','Horizontal transition at other levels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3725','MOD_DJMEGAMENU_HORIZONTAL_SUB_DESC','Enable horizontal transition of submenu at second and further levels. You can mix vertical, horizontal and fade transition as you want.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3726','MOD_DJMEGAMENU_FADE_SUB','Fade effect at other levels','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3727','MOD_DJMEGAMENU_FADE_SUB_DESC','Enable fade transition of submenu at second and further levels. You can mix vertical, horizontal and fade transition as you want.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3728','MOD_DJMEGAMENU_TRANSITION','Transition effect','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3729','MOD_DJMEGAMENU_TRANSITION_DESC','Choose the transition effect type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3730','MOD_DJMEGAMENU_DURATION','Effect duration','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3731','MOD_DJMEGAMENU_DURATION_DESC','Set effect duration time in miliseconds (1000 ms = 1 second)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3732','MOD_DJMEGAMENU_DELAY','Delay time before close submenu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3733','MOD_DJMEGAMENU_DELAY_DESC','Set delay time in miliseconds (1000 ms = 1 second)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3734','MOD_DJMEGAMENU_STICKY','Sticky menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3735','MOD_DJMEGAMENU_STICKY_DESC','It makes your DJ-MegaMenu always visible while scrolling page down.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3736','MOD_DJMEGAMENU_STICKY_OFFSET','Sticky offset (px)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3737','MOD_DJMEGAMENU_STICKY_OFFSET_DESC','Change the Sticky menu position from the top of window edge. It can help if your website contains other sticky elements such as header, topbar etc.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3738','MOD_DJMEGAMENU_ANIMATION_OPTIONS','Mega Menu Options','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3739','MOD_DJMEGAMENU_ANIMATION_OPTIONS_DESC','The options below apply only if the \'CSS3 Animations and script features\' option is enabled.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3740','MOD_DJMEGAMENU_ENTRANCE_ANIMATION','Entrance animation','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3741','MOD_DJMEGAMENU_EXIT_ANIMATION','Exit animation','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3742','MOD_DJMEGAMENU_ANIMATION_SPEED','Animation speed','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3743','PLG_DJMEGAMENU_TREE','Tree','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3744','PLG_DJMEGAMENU_DROPDOWN','Dropdown','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3745','PLG_DJMEGAMENU_DROPDOWN_DIRECTION','Dropdown direction','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3746','PLG_DJMEGAMENU_DROPDOWN_DIRECTION_DESC','Use it only if you what to force default dropdown direction, which is based on language direction by default. It can be overridden in menu item settings (DJ-MegaMenu Options).','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3747','PLG_DJMEGAMENU_LEFT','Left','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3748','PLG_DJMEGAMENU_RIGHT','Right','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3749','MOD_DJMEGAMENU_MOBILE_MENU_OPTIONS','Mobile Menu Options','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3750','MOD_DJMEGAMENU_MOBILE_MENU','Mobile Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini');
INSERT INTO `#__overrider` VALUES 
('3751','MOD_DJMEGAMENU_MOBILE_MENU_DESC','Use mobile menu for screens smaller than the width set below.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3752','MOD_DJMEGAMENU_MOBILE_MENU_OFFCANVAS','Offcanvas Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3753','MOD_DJMEGAMENU_MOBILE_MENU_SELECT','Select Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3754','MOD_DJMEGAMENU_MOBILE_MENU_TRIGGER_WIDTH','Mobile Menu trigger width','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3755','MOD_DJMEGAMENU_MOBILE_MENU_TRIGGER_WIDTH_DESC','Mega Menu will be switched to Mobile Menu for screens narrower than set value.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3756','MOD_DJMEGAMENU_OFFCANVAS_EFFECT','Offcanvas effect','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3757','MOD_DJMEGAMENU_OFFCANVAS_EFFECT_DESC','Choose transition effect for opening off-canvas menu. <br /><b>Partially supported effects</b> should be used only if there is no fixed positioned elements on your website.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3758','MOD_DJMEGAMENU_MOBILE_MENU_ACCORDION','Accordion Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3759','MOD_DJMEGAMENU_MOBILE_THEME','Mobile Menu Theme','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3760','MOD_DJMEGAMENU_MOBILE_THEME_DESC','Choose the theme for mobile menu. You can create your own theme by copy the existing one and renaming the folder or copy the djmobilemenu.css file from a mobile theme into /templates/[your_template]/css/ and set mobile theme to \'- override from template -\'.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3761','MOD_DJMEGAMENU_OFFCANVAS_LOGO','Offcanvas Logo','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3762','MOD_DJMEGAMENU_OFFCANVAS_LOGO_DESC','Choose logo image to display at the top of the offcanvas menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3763','MOD_DJMEGAMENU_MODULES_TOP_DESC','<b>Offcanvas Top Modules</b> can be added by publishing modules in the <b><a href="index.php?option=com_modules&view=modules&filter_position=dj-offcanvas-top&filter_search=" target="_blank">dj-offcanvas-top</a></b> module position. <br/>You can set default top modules style below.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3764','MOD_DJMEGAMENU_MODULES_TOP_STYLE','Top Modules Style','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3765','MOD_DJMEGAMENU_MODULES_BOTTOM_DESC','<b>Offcanvas Bottom Modules</b> can be added by publishing modules in the <b><a href="index.php?option=com_modules&view=modules&filter_position=dj-offcanvas-bottom&filter_search=" target="_blank">dj-offcanvas-bottom</a></b> module position. <br/>You can set default bottom modules style below.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3766','MOD_DJMEGAMENU_MODULES_BOTTOM_STYLE','Bottom Modules Style','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3767','MOD_DJMEGAMENU_ACCORDION_ALIGN','Accordion Alignment','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3768','MOD_DJMEGAMENU_ACCORDION_ALIGN_DESC','Choose accordion menu alignment. It will align the open button and rolled out menu to the chosen side.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3769','PLG_DJMEGAMENU_CENTER','Center','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3770','MOD_DJMEGAMENU_SELECT_TYPE','Select Menu Type','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3771','MOD_DJMEGAMENU_SELECT_TYPE_DESC','Display nice mobile button or standard select input field (the old way)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3772','MOD_DJMEGAMENU_MOBILE_BUTTON','Mobile Button','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3773','MOD_DJMEGAMENU_SELECT_INPUT','Select Input','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3774','MOD_DJMEGAMENU_MOBILE_MENU_WRAPPER','Mobile Menu Wrapper Code','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3775','MOD_DJMEGAMENU_MOBILE_MENU_WRAPPER_DESC','You can put the Mobile Menu in another module position using <b>DJ-MegaMenu - Mobile Menu Button</b> module. Alternatively you can copy and paste the <i>Mobile Menu Wrapper Code</i> anywhere in your Joomla template or custom HTML module to display Mobile Menu whereever you need.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3776','MOD_DJMEGAMENU_MOBILE_MENU_WRAPPER_PLACEHOLDER','save the module first','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3777','MOD_DJMEGAMENU_FIXED_LOGO','Sticky Logo','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3778','MOD_DJMEGAMENU_FIXED_LOGO_DESC','Choose logo image to display with Sticky Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3779','MOD_DJMEGAMENU_FIXED_LOGO_ALIGN','Sticky Logo Alignment','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3780','MOD_DJMEGAMENU_FIXED_LOGO_ALIGN_DESC','Choose logo image alignment for sticky menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3781','MOD_DJMEGAMENU_ACCORDION_POSITION','Accordion Position','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3782','MOD_DJMEGAMENU_ACCORDION_POSITION_DESC','You can change the position to absolute to open accordion over the other elements instead of pulling down the content.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3783','MOD_DJMEGAMENU_STATIC','Static','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3784','MOD_DJMEGAMENU_ABSOLUTE','Absolute','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3785','MOD_DJMEGAMENU_SHOW_ICONS','Show icons in','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3786','MOD_DJMEGAMENU_SHOW_ICONS_DESC','Choose to show menu items\' icons in mega menu, mobile menu, both or disable the icons completely.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3787','MOD_DJMEGAMENU_SHOW_SUBTITLES','Show subtitles in','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3788','MOD_DJMEGAMENU_SHOW_SUBTITLES_DESC','Choose to show menu items\' subtitles in mega menu, mobile menu, both or disable the subtitles completely.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3789','MOD_DJMEGAMENU_BOTH','Both','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3790','MOD_DJMEGAMENU_MEGAMENU','Mega Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3791','MOD_DJMEGAMENU_MOBILEMENU','Mobile Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3792','MOD_DJMEGAMENU_START_COLLAPSED','Start collapsed','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3793','MOD_DJMEGAMENU_START_COLLAPSED_DESC','Display collapsed mobile menu on start. Submenus of active items are opened by default.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3794','MOD_DJMEGAMENU_KEYBOARD_ACCESS','Keyboard access (WCAG 2.0)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3795','MOD_DJMEGAMENU_KEYBOARD_ACCESS_DESC','Enable keyboard access to meet WCAG 2.0 recommendations. When this option is disabled keyboard access can be partially supported, but won\'t be optimized.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3796','MOD_DJMEGAMENU_CUSTOM_THEME','- custom -','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3797','MOD_DJMEGAMENU_CUSTOM_THEME_DESC','Choose colors for custom Mega Menu theme. If you want to restore the default color values, simply remove the values from all fields and click on Save button.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3798','MOD_DJMEGAMENU_MENU_BG','Menu background','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3799','MOD_DJMEGAMENU_MENU_COLOR','Menu text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3800','MOD_DJMEGAMENU_MENU_SUBTITLE_COLOR','Menu subtitle','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini');
INSERT INTO `#__overrider` VALUES 
('3801','MOD_DJMEGAMENU_MENU_BG_ACTIVE','Active menu background','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3802','MOD_DJMEGAMENU_MENU_COLOR_ACTIVE','Active menu text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3803','MOD_DJMEGAMENU_MENU_SUBTITLE_COLOR_ACTIVE','Active menu subtitle','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3804','MOD_DJMEGAMENU_SUBMENU_BG','Submenu background','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3805','MOD_DJMEGAMENU_SUBMENU_COLOR','Submenu text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3806','MOD_DJMEGAMENU_SUBMENU_SUBTITLE_COLOR','Submenu subtitle','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3807','MOD_DJMEGAMENU_SUBMENU_BG_ACTIVE','Active submenu background','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3808','MOD_DJMEGAMENU_SUBMENU_COLOR_ACTIVE','Active submenu text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3809','MOD_DJMEGAMENU_SUBMENU_SUBTITLE_COLOR_ACTIVE','Active submenu subtitle','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3810','MOD_DJMEGAMENU_MENU_MODULE_COLOR','Module text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3811','MOD_DJMEGAMENU_OPEN_DELAY','Delay before open submenu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3812','MOD_DJMEGAMENU_OPEN_DELAY_DESC','Setting the delay before opening submenu can prevent open a submenu accidentally','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3813','MOD_DJMEGAMENU_CLOSE_DELAY','Delay before close submenu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3814','MOD_DJMEGAMENU_CLOSE_DELAY_DESC','Setting the delay before closing submenu can prevent close a submenu accidentally','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3815','MOD_DJMEGAMENU_SHORT','Short','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3816','MOD_DJMEGAMENU_MEDIUM','Medium','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3817','MOD_DJMEGAMENU_LONG','Long','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3818','MOD_DJMEGAMENU_CUSTOM_MOBILE_THEME_DESC','Choose colors for custom Mobile Menu theme. If you want to restore the default color values, simply remove the values from all fields and click on Save button.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3819','MOD_DJMEGAMENU_BUTTON_BG','Open button background','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3820','MOD_DJMEGAMENU_BUTTON_COLOR','Open button color','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3821','MOD_DJMEGAMENU_DEBUG','Debug (10 min.)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3822','MOD_DJMEGAMENU_LIGHT_MODULE_DESC','DJ-MegaMenu Light Edition','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3823','MOD_DJMEGAMENU_ONLY_PRO','Available only in Professional Edition','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3824','MOD_DJMEGAMENU_GET_PRO_LINK',' <a class="btn btn-warning" target="_blank" href="https://dj-extensions.com/plans-and-pricing/single-extensions/dj-megamenu">%s</a>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3825','MOD_DJMEGAMENU_MODULES_TOP','Offcanvas Top Modules','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3826','MOD_DJMEGAMENU_MODULES_BOTTOM','Offcanvas Bottom Modules','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3827','MOD_DJMEGAMENU_UPDATER','Updater','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3828','MOD_DJMEGAMENU_FONTAWESOME','Include Font Awesome','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3829','MOD_DJMEGAMENU_FONTAWESOME_DESC','Font Awesome stylesheet is required, but you can disable it in the module if your temeplate or other extension already includes font awesome css.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3830','DJUPDATER_CURL_NOT_INSTALLED','CURL module is not installed on your server. Make sure it\'s enabled in order to register your licence key and get one-click updates.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3831','DJUPDATER_CURL_ERROR','Connection with DJ-Extensions.com Updates Service faild. Please try to refresh the page in a moment.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3832','DJUPDATER_UPDATE_AVAILABLE','New version available:','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3833','DJUPDATER_UPGRADE_TO_PRO','Upgrade to Proffesional Edition to get additional features, one-click updates and support.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3834','DJUPDATER_BUY_LICENSE','Get your license key','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3835','DJUPDATER_LICENSE_INFO','Enter your license key to get update notifications, one-click updates and support.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3836','DJUPDATER_REGISTER_KEY','Register','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3837','DJUPDATER_REGISTER_UPGRADE','Go Professional','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3838','DJUPDATER_PASTE_KEY','paste license key here','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3839','DJUPDATER_LATEST_VERSION_INSTALLED','Latest version is installed.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3840','DJUPDATER_VALID_LICENSE_INFO','Your license <code>%s</code> is valid and active till <strong>%s</strong>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3841','DJUPDATER_UPDATE','Update to the latest version','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3842','DJUPDATER_UPGRADE','Upgrade to the Professional Edition','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3843','MOD_DJMEGAMENU_OPEN_MENU_BTN','Open mobile menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3844','MOD_DJMEGAMENU_CLOSE_MENU_BTN','Close mobile menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3845','MOD_DJMEGAMENU_FIELD_ACTIVE_LABEL','Base Item','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3846','MOD_DJMEGAMENU_FIELD_ACTIVE_DESC','Select a menu item to always be used as the base for the menu display. You must set the Start Level to the same level or higher than the level of the base item. This will cause the module to be displayed on all assigned pages. If Current is selected the currently active item is used as the base. This causes the module to only display when the parent menu item is active.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3847','MOD_DJMEGAMENU_PERCENT_WIDTH','Percent column width<br/><small>(for Full width Submenu)</small>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3848','MOD_DJMEGAMENU_PERCENT_WIDTH_DESC','Set default column width in percent for full width submenu. It can be overridden in menu item settings (DJ-MegaMenu Options).','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3849','MOD_DJMEGAMENU_OFFCANVAS_POSITION','Offcanvas position','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3850','MOD_DJMEGAMENU_OFFCANVAS_POSITION_DESC','Choose the position of the Offcanvas menu.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini');
INSERT INTO `#__overrider` VALUES 
('3851','MOD_DJMEGAMENU_ORIENTATION','Orientation','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3852','MOD_DJMEGAMENU_ORIENTATION_DESC','Choose if the menu will be displayed horozontally or vertically. This option have to be supported by your menu theme to take effect.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3853','MOD_DJMEGAMENU_ORIENTATION_VERTICAL_NOTE','You may need to adjust the <strong>Dropdown direction</strong> depends on the which side of the page you want to publish the menu.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3854','MOD_DJMEGAMENU_ORIENTATION_COMPATIBILITY_NOTE','NOTE: <strong>Vertical Orientation</strong> option has to be supported by your custom menu theme or joomla template (<strong>- override from template -</strong> theme) to take effect. If <strong>override</strong> theme doesn\'t work please contact your <strong>template provider</strong> and update the template if nesessary. This option is not supported by <strong>classic</strong> theme.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3855','MOD_DJMEGAMENU_MOBILE_MENU_HIDDEN','Hidden','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3856','MOD_DJMEGAMENU_MOBILE_MENU_HIDDEN_INFO','Option <strong>Hidden</strong> means that the mobile menu is <strong>Disabled</strong>, however the mega menu will be hidden for the setuped trigger width.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3857','MOD_DJMEGAMENU_MOBILE_BUTTON_TYPE','Mobile Menu Button Type <br/><span class=\'muted\'>(Icon / Icon&Text / Text)</span>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3858','MOD_DJMEGAMENU_MOBILE_BUTTON_TYPE_DESC','Choose type of the button for opeing mobile menu.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3859','MOD_DJMEGAMENU_MOBILE_BUTTON_ICON','Icon','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3860','MOD_DJMEGAMENU_MOBILE_BUTTON_ICON_TEXT','Icon and text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3861','MOD_DJMEGAMENU_MOBILE_BUTTON_TEXT','Text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3862','MOD_DJMEGAMENU_MOBILE_BUTTON_CUSTOM_TEXT','Button Custom Text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3863','MOD_DJMEGAMENU_MOBILE_BUTTON_CUSTOM_TEXT_DESC','If not defined then the text from language file will be used','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3864','MOD_DJMEGAMENU_MOBILE_BUTTON_CUSTOM_TEXT_HINT','Leave empty to use \'Menu\'','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3865','MOD_DJMEGAMENU_DEFAULT_BUTTON_TEXT','Menu','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.ini'),
('3866','MOD_DJMEGAMENU_MODULE_DESC','DJ-MegaMenu Professional Edition','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.sys.ini'),
('3867','MOD_DJMEGAMENU_LIGHT_MODULE_DESC','DJ-MegaMenu Light Edition','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djmegamenu/language/en-GB/en-GB.mod_djmegamenu.sys.ini'),
('3868','MOD_DJREVIEWS','DJ-Reviews Module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3869','MOD_DJREVIEWS_DESC','Module that displays reviews from DJ-Reviews component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3870','COM_DJREVIEWS_SELECT_GROUP','Select groups','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3871','MOD_DJREVIEWS_RATING_GROUP','Rating groups','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3872','MOD_DJREVIEWS_ORDER','Sort order','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3873','MOD_DJREVIEWS_SORT_OLDEST','Oldest','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3874','MOD_DJREVIEWS_SORT_LATEST','Latest','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3875','MOD_DJREVIEWS_SORT_LOWEST','Worst','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3876','MOD_DJREVIEWS_SORT_HIGHEST','Best','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3877','MOD_DJREVIEWS_RATED_ONLY','Rated only','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3878','MOD_DJREVIEWS_RATED_ONLY_DESC','Display only those reviews that include rating','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3879','MOD_DJREVIEWS_LIMIT','Limit','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3880','MOD_DJREVIEWS_POSTED_BY_ON','Posted by <strong>%s</strong> on <em>%s</em>','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3881','MOD_DJREVIEWS_AS_TEXT','As text','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3882','MOD_DJREVIEWS_AS_LINK','As link','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3883','MOD_DJREVIEWS_SHOW_RATING','Rating','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3884','MOD_DJREVIEWS_SHOW_RATING_DESC','Display average rate of each review','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3885','MOD_DJREVIEWS_SHOW_TITLE','Review title','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3886','MOD_DJREVIEWS_SHOW_TITLE_DESC','Display titles of user reviews','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3887','MOD_DJREVIEWS_SHOW_MESSAGE','Review','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3888','MOD_DJREVIEWS_SHOW_MESSAGE_DESC','Display user reviews (comments)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3889','MOD_DJREVIEWS_SHOW_OBJECT_TITLE','Item title','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3890','MOD_DJREVIEWS_SHOW_OBJECT_TITLE_DESC','Display title of rated object/item','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3891','MOD_DJREVIEWS_SHOW_INFO','Review details','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3892','MOD_DJREVIEWS_SHOW_INFO_DESC','Display author nickname and creation date of each review','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3893','MOD_DJREVIEWS_DATE_FORMAT','Date format','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3894','MOD_DJREVIEWS_DATE_FORMAT_DESC','Select which date format you prefer','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.ini'),
('3895','MOD_DJREVIEWS','DJ-Reviews Module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.sys.ini'),
('3896','MOD_DJREVIEWS_DESC','Module that displays reviews from DJ-Reviews component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews/language/en-GB/en-GB.mod_djreviews.sys.ini'),
('3897','MOD_DJREVIEWS_OBJECTS','DJ-Reviews Objects Module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3898','MOD_DJREVIEWS_OBJECTS_DESC','Module that displays commented objects from DJ-Reviews component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3899','COM_DJREVIEWS_SELECT_GROUP','Select groups','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3900','MOD_DJREVIEWS_OBJECTS_RATING_GROUP','Rating groups','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini');
INSERT INTO `#__overrider` VALUES 
('3901','MOD_DJREVIEWS_OBJECTS_ORDER','Sort order','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3902','MOD_DJREVIEWS_OBJECTS_COUNT_ASC','Least reviewed','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3903','MOD_DJREVIEWS_OBJECTS_COUNT_DESC','Most reviewed','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3904','MOD_DJREVIEWS_OBJECTS_RATING_ASC','Lowest rating','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3905','MOD_DJREVIEWS_OBJECTS_RATING_DESC','Highest rating','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3906','MOD_DJREVIEWS_OBJECTS_LIMIT','Limit','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3907','MOD_DJREVIEWS_OBJECTS_SHOW_RATING','Show rating','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3908','MOD_DJREVIEWS_OBJECTS_LINK_TITLE','Link title','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.ini'),
('3909','MOD_DJREVIEWS_OBJECTS','DJ-Reviews Objects Module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.sys.ini'),
('3910','MOD_DJREVIEWS_OBJECTS_DESC','Module that displays commented objects from DJ-Reviews component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.sys.ini'),
('3911','MOD_DJREVIEWS','DJ-Reviews Module','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.sys.ini'),
('3912','MOD_DJREVIEWS_DESC','Module that displays reviews from DJ-Reviews component','/home/template/public_html/joomla30/jm-myoffers/modules/mod_djreviews_objects/language/en-GB/en-GB.mod_djreviews_objects.sys.ini'),
('3913','MOD_JM_OFFCANVAS_BUTTON','JM Offcanvas Button','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3914','MOD_JM_OFFCANVAS_BUTTON_DESC','Offcanvas Button module for Joomla-Monster templates','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3915','MOD_JM_OFFCANVAS_BUTTON_FIELD_IMAGE','Image (priority)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3916','MOD_JM_OFFCANVAS_BUTTON_FIELD_IMAGE_ALT','Open / Close Offcanvas sidebar','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3917','MOD_JM_OFFCANVAS_BUTTON_FIELD_ICON','Icon','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3918','MOD_JM_OFFCANVAS_BUTTON_FIELD_ICON_DESC','Font Awesome or Glypheicons class','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3919','MOD_JM_OFFCANVAS_BUTTON_FIELD_ICON_NOTE','Example: fa fa-bars','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3920','MOD_JM_OFFCANVAS_BUTTON_FIELD_ICON_NOTE_DESC','If you are using Font Awesome icon (from example) make sure font is enabled in Extensions → Templates → JM Template → Fonts → Font Awesome','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.ini'),
('3921','MOD_JM_OFFCANVAS_BUTTON','JM Offcanvas Button','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.sys.ini'),
('3922','MOD_JM_OFFCANVAS_BUTTON_DESC','Offcanvas Button module for Joomla-Monster templates','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_offcanvas_button/language/en-GB/en-GB.mod_jm_offcanvas_button.sys.ini'),
('3923','MOD_JM_SOCIAL_ICONS','JM Social Icons','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3924','MOD_JM_SOCIAL_ICONS_DESC','Simple Joomla module by Joomla-Monster.com Make Joomla easy!','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3925','MOD_JM_SOCIAL_ICONS_FIELD_ITEMS','Social Icons','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3926','MOD_JM_SOCIAL_ICONS_FIELD_ITEMS_DESC','Click Add new to add another social icon','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3927','MOD_JM_SOCIAL_ICONS_FIELD_ITEM','Social icon','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3928','MOD_JM_SOCIAL_ICONS_FIELD_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3929','MOD_JM_SOCIAL_ICONS_FIELD_NAME_DESC','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3930','MOD_JM_SOCIAL_ICONS_FIELD_IMAGE','Icon (image)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3931','MOD_JM_SOCIAL_ICONS_FIELD_ICON','Icon (span with class)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3932','MOD_JM_SOCIAL_ICONS_FIELD_ICON_DESC','Font Awesome or Glypheicons class (only if image not used) Example: fa fa-facebook','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3933','MOD_JM_SOCIAL_ICONS_FIELD_URL','Link URL','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3934','MOD_JM_SOCIAL_ICONS_FIELD_URL_DESC','Link URL','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3935','MOD_JM_SOCIAL_ICONS_FIELD_TARGET','Target attribute','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3936','MOD_JM_SOCIAL_ICONS_FIELD_TARGET_DESC','Target attribute','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3937','MOD_JM_SOCIAL_ICONS_FIELD_TARGET_BLANK','blank','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3938','MOD_JM_SOCIAL_ICONS_FIELD_TARGET_SELF','self','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3939','MOD_JM_SOCIAL_ICONS_FIELD_INTRO','Intro message','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3940','MOD_JM_SOCIAL_ICONS_FIELD_INTRO_DESC','Intro message','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3941','MOD_JM_SOCIAL_ICONS_FIELD_VIEW','Select view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3942','MOD_JM_SOCIAL_ICONS_FIELD_VIEW_DESC','Select view','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3943','MOD_JM_SOCIAL_ICONS_FIELD_VIEW_ICON','Icon','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3944','MOD_JM_SOCIAL_ICONS_FIELD_VIEW_ICON_NAME','Icon and Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3945','MOD_JM_SOCIAL_ICONS_FIELD_VIEW_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3946','MOD_JM_SOCIAL_ICONS_FIELD_COLOR','Color','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3947','MOD_JM_SOCIAL_ICONS_FIELD_COLOR_DESC','Color - %color% in custom css','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3948','MOD_JM_SOCIAL_ICONS_FIELD_COLOR2','Alternative Color (hover)','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3949','MOD_JM_SOCIAL_ICONS_FIELD_COLOR2_DESC','Color on hover - %color2% in custom css','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3950','MOD_JM_SOCIAL_ICONS_FIELD_THEME','Module theme','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini');
INSERT INTO `#__overrider` VALUES 
('3951','MOD_JM_SOCIAL_ICONS_FIELD_THEME_DESC','Module theme','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3952','MOD_JM_SOCIAL_ICONS_FIELD_CSS','Custom CSS','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3953','MOD_JM_SOCIAL_ICONS_FIELD_CSS_DESC','Custom CSS. Use plain CSS only.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3954','MOD_JM_SOCIAL_ICONS_FIELD_CSS_NOTE','You can use','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3955','MOD_JM_SOCIAL_ICONS_FIELD_CSS_NOTE_DESC','%id% as module id<br />%item% as item selector<br />%color% as icon color<br />%color2% as icon hover color','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3956','MOD_JM_SOCIAL_ICONS_FIELD_CSS2_NOTE','Example','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3957','MOD_JM_SOCIAL_ICONS_FIELD_CSS2_NOTE_DESC','%id% %item% a &#123;<br />  color: %color%;<br /> &#125;<br />%id% %item% a:hover &#123;<br />  color: %color2%;<br /> &#125;','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3958','MOD_JM_SOCIAL_ICONS_FIELD_THEME_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3959','MOD_JM_SOCIAL_ICONS_FIELD_THEME_OVERRIDE','Override from template','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3960','MOD_JM_SOCIAL_ICONS_FIELD_THEME_NOTE','Please note','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3961','MOD_JM_SOCIAL_ICONS_FIELD_THEME_NOTE_DESC','If &quot;override from template&quot; theme is selected, none default styles are used. You need to specify your own styles in the template.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3962','MOD_JM_SOCIAL_ICONS_FIELD_AWESOME','Load Font Awesome','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3963','MOD_JM_SOCIAL_ICONS_FIELD_AWESOME_DESC','Load Font Awesome stylesheet from CDN ( maxcdn.bootstrapcdn.com )','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3964','MOD_JM_SOCIAL_ICONS_NO_ITEMS','No items','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3965','MOD_JM_UI_SAVE_BTN','Save item','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3966','MOD_JM_UI_ADD_NEW_BTN','Add new','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3967','MOD_JM_UI_CANCEL_BTN','Cancel','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.ini'),
('3968','MOD_JM_SOCIAL_ICONS','JM Social Icons','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.sys.ini'),
('3969','MOD_JM_SOCIAL_ICONS_DESC','Simple Joomla module by Joomla-Monster.com Make Joomla easy!','/home/template/public_html/joomla30/jm-myoffers/modules/mod_jm_social_icons/language/en-GB/en-GB.mod_jm_social_icons.sys.ini'),
('3970','MOD_WEBLINKS','Weblinks','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3971','MOD_WEBLINKS_FIELD_CATEGORY_DESC','Choose the Web Links category to display.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3972','MOD_WEBLINKS_FIELD_COUNT_DESC','Number of Web Links to display.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3973','MOD_WEBLINKS_FIELD_COUNT_LABEL','Count','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3974','MOD_WEBLINKS_FIELD_COUNTCLICKS_DESC','If set to yes, the number of times the link has been clicked will be recorded.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3975','MOD_WEBLINKS_FIELD_COUNTCLICKS_LABEL','Count Clicks','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3976','MOD_WEBLINKS_FIELD_DESCRIPTION_DESC','Display Web Link description.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3977','MOD_WEBLINKS_FIELD_DESCRIPTION_LABEL','Description','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3978','MOD_WEBLINKS_FIELD_FOLLOW_DESC','Robots index - allow to follow or not.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3979','MOD_WEBLINKS_FIELD_FOLLOW_LABEL','Follow/No Follow','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3980','MOD_WEBLINKS_FIELD_HITS_DESC','Show hits.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3981','MOD_WEBLINKS_FIELD_HITS_LABEL','Hits','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3982','MOD_WEBLINKS_FIELD_ORDERDIRECTION_DESC','Set the ordering direction.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3983','MOD_WEBLINKS_FIELD_ORDERDIRECTION_LABEL','Direction','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3984','MOD_WEBLINKS_FIELD_ORDERING_DESC','Ordering for the Web Links.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3985','MOD_WEBLINKS_FIELD_ORDERING_LABEL','Ordering','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3986','MOD_WEBLINKS_FIELD_TARGET_DESC','Target browser window when the link is clicked.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3987','MOD_WEBLINKS_FIELD_TARGET_LABEL','Target Window','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3988','MOD_WEBLINKS_FIELD_VALUE_ASCENDING','Ascending','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3989','MOD_WEBLINKS_FIELD_VALUE_DESCENDING','Descending','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3990','MOD_WEBLINKS_FIELD_VALUE_FOLLOW','Follow','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3991','MOD_WEBLINKS_FIELD_VALUE_HITS','Hits','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3992','MOD_WEBLINKS_FIELD_VALUE_NOFOLLOW','No follow','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3993','MOD_WEBLINKS_FIELD_VALUE_ORDER','Order','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3994','MOD_WEBLINKS_HITS','Hits','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3995','MOD_WEBLINKS_XML_DESCRIPTION','This modules displays web links from a category defined in the Web Links component.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.ini'),
('3996','MOD_WEBLINKS','Web Links','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.sys.ini'),
('3997','MOD_WEBLINKS_XML_DESCRIPTION','This modules displays Web Links from a category defined in the Web Links component.','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.sys.ini'),
('3998','MOD_WEBLINKS_LAYOUT_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/modules/mod_weblinks/language/en-GB/en-GB.mod_weblinks.sys.ini'),
('3999','TPL_BEEZ3_ADDITIONAL_INFORMATION','Additional information','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4000','TPL_BEEZ3_ALTCLOSE','is closed','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini');
INSERT INTO `#__overrider` VALUES 
('4001','TPL_BEEZ3_ALTOPEN','is open','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4002','TPL_BEEZ3_BIGGER','Bigger','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4003','TPL_BEEZ3_CLICK','select','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4004','TPL_BEEZ3_CLOSEMENU','Close Menu','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4005','TPL_BEEZ3_DECREASE_SIZE','Decrease size','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4006','TPL_BEEZ3_ERROR_JUMP_TO_NAV','Jump to navigation','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4007','TPL_BEEZ3_FIELD_BOOTSTRAP_DESC','Create a comma separated list of any components for which Bootstrap is needed, for example com_name, com_anothername.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4008','TPL_BEEZ3_FIELD_BOOTSTRAP_LABEL','Components Requiring<br /> Bootstrap','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4009','TPL_BEEZ3_FIELD_DESCRIPTION_DESC','Please add your site description here.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4010','TPL_BEEZ3_FIELD_DESCRIPTION_LABEL','Site Description','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4011','TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_DESC','Choose a colour for the Background when Custom is selected as the Template Colour. If left blank the Default (#eeeeee) is used.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4012','TPL_BEEZ3_FIELD_HEADER_BACKGROUND_COLOR_LABEL','Background Colour','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4013','TPL_BEEZ3_FIELD_HEADER_IMAGE_DESC','Use the selected header image when Custom is selected as the Template Colour','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4014','TPL_BEEZ3_FIELD_HEADER_IMAGE_LABEL','Header Image','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4015','TPL_BEEZ3_FIELD_LOGO_DESC','Please choose an image. If you do not want to display a logo, select Clear and leave the field blank.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4016','TPL_BEEZ3_FIELD_LOGO_LABEL','Logo','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4017','TPL_BEEZ3_FIELD_NAVPOSITION_DESC','Navigation before or after content.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4018','TPL_BEEZ3_FIELD_NAVPOSITION_LABEL','Position of Navigation','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4019','TPL_BEEZ3_FIELD_SITETITLE_DESC','Please add your site title here, it\'s only displayed if you don\'t use a logo.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4020','TPL_BEEZ3_FIELD_SITETITLE_LABEL','Site Title','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4021','TPL_BEEZ3_FIELD_TEMPLATECOLOR_DESC','Colour of the template.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4022','TPL_BEEZ3_FIELD_TEMPLATECOLOR_LABEL','Template colour','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4023','TPL_BEEZ3_FIELD_WRAPPERLARGE_DESC','Wrapper width with closed additional columns in percent.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4024','TPL_BEEZ3_FIELD_WRAPPERLARGE_LABEL','Wrapper Large (%)','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4025','TPL_BEEZ3_FIELD_WRAPPERSMALL_DESC','Wrapper width with opened additional columns in percent.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4026','TPL_BEEZ3_FIELD_WRAPPERSMALL_LABEL','Wrapper Small (%)','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4027','TPL_BEEZ3_FONTSIZE','Font size','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4028','TPL_BEEZ3_INCREASE_SIZE','Increase size','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4029','TPL_BEEZ3_JUMP_TO_INFO','Jump to additional information','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4030','TPL_BEEZ3_JUMP_TO_NAV','Jump to main navigation and login','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4031','TPL_BEEZ3_NAVIGATION','Navigation','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4032','TPL_BEEZ3_NAV_VIEW_SEARCH','Nav view search','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4033','TPL_BEEZ3_NEXTTAB','Next Tab','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4034','TPL_BEEZ3_OPENMENU','Open Menu','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4035','TPL_BEEZ3_OPTION_AFTER_CONTENT','after content','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4036','TPL_BEEZ3_OPTION_BEFORE_CONTENT','before content','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4037','TPL_BEEZ3_OPTION_IMAGE','Custom','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4038','TPL_BEEZ3_OPTION_NATURE','Nature','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4039','TPL_BEEZ3_OPTION_PERSONAL','Personal','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4040','TPL_BEEZ3_OPTION_RED','Red','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4041','TPL_BEEZ3_OPTION_TURQ','Turquoise','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4042','TPL_BEEZ3_POWERED_BY','Powered by','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4043','TPL_BEEZ3_RESET','Reset','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4044','TPL_BEEZ3_REVERT_STYLES_TO_DEFAULT','Revert styles to default','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4045','TPL_BEEZ3_SEARCH','Search','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4046','TPL_BEEZ3_SKIP_TO_CONTENT','Skip to content','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4047','TPL_BEEZ3_SKIP_TO_ERROR_CONTENT','Jump to error message and search','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4048','TPL_BEEZ3_SMALLER','Smaller','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4049','TPL_BEEZ3_SYSTEM_MESSAGE','Error','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4050','TPL_BEEZ3_TEXTRIGHTCLOSE','Close info','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini');
INSERT INTO `#__overrider` VALUES 
('4051','TPL_BEEZ3_TEXTRIGHTOPEN','Open info','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4052','TPL_BEEZ3_XML_DESCRIPTION','Accessible site template for Joomla! 3.x. Beez3, the HTML5 version.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4053','TPL_BEEZ3_YOUR_SITE_DESCRIPTION','Your site description','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.ini'),
('4054','TPL_BEEZ3_POSITION_DEBUG','Debug','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4055','TPL_BEEZ3_POSITION_POSITION-0','Search','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4056','TPL_BEEZ3_POSITION_POSITION-10','Footer middle','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4057','TPL_BEEZ3_POSITION_POSITION-11','Footer bottom','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4058','TPL_BEEZ3_POSITION_POSITION-12','Middle top','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4059','TPL_BEEZ3_POSITION_POSITION-13','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4060','TPL_BEEZ3_POSITION_POSITION-14','Footer last','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4061','TPL_BEEZ3_POSITION_POSITION-15','Header','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4062','TPL_BEEZ3_POSITION_POSITION-1','Top','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4063','TPL_BEEZ3_POSITION_POSITION-2','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4064','TPL_BEEZ3_POSITION_POSITION-3','Right bottom','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4065','TPL_BEEZ3_POSITION_POSITION-4','Left middle','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4066','TPL_BEEZ3_POSITION_POSITION-5','Left bottom','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4067','TPL_BEEZ3_POSITION_POSITION-6','Right top','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4068','TPL_BEEZ3_POSITION_POSITION-7','Left top','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4069','TPL_BEEZ3_POSITION_POSITION-8','Right middle','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4070','TPL_BEEZ3_POSITION_POSITION-9','Footer top','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4071','TPL_BEEZ3_XML_DESCRIPTION','Accessible site template for Joomla! 3.x. Beez3, the HTML5 version.','/home/template/public_html/joomla30/jm-myoffers/templates/beez3/language/en-GB/en-GB.tpl_beez3.sys.ini'),
('4072','TPL_JMTEMPLATE_MISSING_JFM','Missing EF4 Joomla-Monster Framework plugin.<br />Please make sure that the plugin is installed and enabled.<br />You can download the latest version from your <a href=https://www.joomla-monster.com/downloads/>download area</a>.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4073','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STICKYBAR_LABEL','Sticky bar','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4074','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STICKYBAR_DESC','Enable if the upper bar should be fixed at the top of the site.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4075','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MATERIALICONS_LABEL','Material icons','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4076','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MATERIALICONS_DESC','Enable if you want to load the Google Material Icons. They are used in several places in your template like in pagination, DJ-Classifieds Regions or DJ-Classifieds Search modules.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4077','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ITEMVIEW_LABEL','Item view','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4078','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ITEMVIEW_DESC','Enable the different content width for single classified ads and single article view.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4079','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ITEMVIEWWIDTH_LABEL','Item view width','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4080','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ITEMVIEWWIDTH_DESC','Enter the width of the item view.<br>Use this option if you want to set the different width for single classified ads and single article view. Then go to the next option and make sure it is enabled.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4081','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ADVERT_COLUMN_LABEL','Columns on single advert view','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4082','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ADVERT_COLUMN_DESC','Hide the left / right column on single advert view of DJ-Classifieds.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4083','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_SPACER','Template & EF4 Framework details','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4084','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FIELDSET_TEMPLATE','Template','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4085','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FIELDSET_COLOR_MODIFICATIONS','Color modifications','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4086','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FIELDSET_EXTENSIONS','Extensions','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4087','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODIFICATIONS_MESSAGE2','If you want to restore the default color values, simply remove the values from all fields and click on Save.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4088','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SCHEME_COLOR','Scheme color','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4089','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MAIN_SCHEME_COLOR','Main color','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4090','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MAIN_SCHEME_COLOR_DESC','Choose the main scheme color. It is used for many elements in the template.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4091','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MAIN_SCHEME_CONTENT','Main color content','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4092','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MAIN_SCHEME_CONTENT_DESC','Choose the content color for the main color scheme.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4093','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMPLEMENTARY_COLOR','Complementary color','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4094','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMPLEMENTARY_COLOR_DESC','Choose the complementary color. It is used for many elements in the template.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4095','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GLOBAL','Global','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4096','PLG_SYSTEM_JMFRAMEWORK_CONFIG_PAGE_BG','Page background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4097','PLG_SYSTEM_JMFRAMEWORK_CONFIG_PAGE_BG_DESC','Choose the page background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4098','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASE_TEXT','Base text','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4099','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASE_TEXT_DESC','Choose the base text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4100','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASE_BORDER','Base border','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini');
INSERT INTO `#__overrider` VALUES 
('4101','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASE_BORDER_DESC','Choose the base border color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4102','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARTICLES_TITLE','Article title','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4103','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARTICLES_TITLE_DESC','Choose the article title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4104','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BG','Background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4105','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TEXT','Text','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4106','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BORDER','Border','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4107','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_TITLE','Module title','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4108','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULE_TITLE_DESC','Choose the module title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4109','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER','Header','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4110','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_BG_DESC','Choose the header background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4111','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_TEXT_DESC','Choose the header text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4112','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU','Top menu','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4113','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_TEXT_DESC','Choose the top menu text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4114','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_TEXT_ACTIVE','Text on hover','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4115','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_TEXT_ACTIVE_DESC','Choose the top menu text color on hover.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4116','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_SUBMENU_BG','Submenu background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4117','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_SUBMENU_BG_DESC','Choose the submenu background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4118','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_SUBMENU_TEXT','Submenu text','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4119','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOPMENU_SUBMENU_TEXT_DESC','Choose the submenu text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4120','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_MOD','Header mod','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4121','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_MOD_BG_DESC','Choose the header-mod background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4122','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_MOD_MODULE_TITLE_DESC','Choose the header-mod module title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4123','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADER_MOD_TEXT_DESC','Choose the header-mod text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4124','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OPACITY_LABEL','Background opacity','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4125','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OPACITY_DESC','Choose the background opacity','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4126','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADERBG_LABEL','Background image','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4127','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADERBG_DESC','Choose the header-mod background image.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4128','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BG_POSITION_LABEL','Background position','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4129','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BG_POSITION_DESC','Choose background position parameter','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4130','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BG_SIZE_LABEL','Background size','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4131','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BG_SIZE_DESC','Choose background size parameter','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4132','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP1','Top1 Top3 Bottom1 Bottom3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4133','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP1_BG_DESC','Choose the top1 &amp; top3 &amp; bottom1 &amp; bottom3 background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4134','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP1_MODULE_TITLE_DESC','Choose the top1 &amp; top3 &amp; bottom1 &amp; bottom3 module title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4135','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TOP1_TEXT_DESC','Choose the top1 &amp; top3 &amp; bottom1 &amp; bottom3 text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4136','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BOTTOM2','Bottom2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4137','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BOTTOM2_BG_DESC','Choose the bottom2 background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4138','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BOTTOM2_MODULE_TITLE_DESC','Choose the bottom2 module title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4139','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BOTTOM2_TEXT_DESC','Choose the bottom2 text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4140','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTERMOD','Footer mod','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4141','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTERMOD_BG_DESC','Choose the footer-mod background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4142','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTERMOD_MODULE_TITLE_DESC','Choose the footer-mod module title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4143','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FOOTERMOD_TEXT_DESC','Choose the footer-mod text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4144','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COPYRIGHTS','Copyrights','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4145','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COPYRIGHTS_BG_DESC','Choose the copyrights background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4146','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COPYRIGHTS_TEXT_DESC','Choose the copyrights text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4147','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MODULES','Modules','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4148','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR1MSBG','Color1-ms title background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4149','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR1MSBG_DESC','Choose the color1-ms title background.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4150','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR1MSTITLE','Color1-ms title','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini');
INSERT INTO `#__overrider` VALUES 
('4151','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR1MSTITLE_DESC','Choose the color1-ms title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4152','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR2MSBG','Color2-ms background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4153','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR2MSBG_DESC','Choose the color2-ms background.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4154','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR2MSTITLE','Color2-ms title','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4155','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR2MSTITLE_DESC','Choose the color2-ms title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4156','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR2MSFONTCOLOR','Color2-ms text','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4157','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COLOR2MSFONTCOLOR_DESC','Choose the color2-ms text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4158','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS','Off-Canvas','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4159','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_BG_DESC','Choose the off-canvas background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4160','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_BORDER_DESC','Choose the off-canvas border color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4161','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_TEXT_DESC','Choose the off-canvas font color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4162','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BLOG_FONT_SETTINGS_SPACER','Blog/table advert &amp; article settings','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4163','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARTICLES_FONT_SETTINGS_SPACER','Single advert &amp; article settings','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4164','PLG_SYSTEM_JMFRAMEWORK_CONFIG_MEDIATOOLS','DJ-Mediatools','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4165','PLG_SYSTEM_JMFRAMEWORK_CONFIG_EXTENSIONS_MEDIATOOLS_TEXT','Text','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4166','PLG_SYSTEM_JMFRAMEWORK_CONFIG_EXTENSIONS_MEDIATOOLS_TEXT_DESC','Choose the DJ-Mediatools text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4167','PLG_SYSTEM_JMFRAMEWORK_CONFIG_EXTENSIONS_MEDIATOOLS_DESCRIPTION_BG','Description background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4168','PLG_SYSTEM_JMFRAMEWORK_CONFIG_EXTENSIONS_MEDIATOOLS_DESCRIPTION_BG_DESC','Choose the DJ-Mediatools description background color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4169','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOX','DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4170','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXBG','Box background','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4171','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXBG_DESC','Choose the box background.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4172','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXTITLE','Box title','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4173','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXTITLE_DESC','Choose the box title color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4174','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXBORDER','Box border','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4175','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXBORDER_DESC','Choose the box border color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4176','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXFONTCOLOR','Box text','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4177','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CLASSIFIEDSBOXFONTCOLOR_DESC','Choose the box text color.','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.ini'),
('4178','TPL_JM-CLASSIFIEDADS_POSITION_TOP-BAR','Top Bar','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4179','TPL_JM-CLASSIFIEDADS_POSITION_TOP-MENU-NAV','Top Menu nav','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4180','TPL_JM-CLASSIFIEDADS_POSITION_HEADER-1','Header 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4181','TPL_JM-CLASSIFIEDADS_POSITION_HEADER-2','Header 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4182','TPL_JM-CLASSIFIEDADS_POSITION_HEADER-3','Header 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4183','TPL_JM-CLASSIFIEDADS_POSITION_HEADER-4','Header 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4184','TPL_JM-CLASSIFIEDADS_POSITION_HEADER-5','Header 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4185','TPL_JM-CLASSIFIEDADS_POSITION_HEADER-6','Header 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4186','TPL_JM-CLASSIFIEDADS_POSITION_TOP1-1','Top1 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4187','TPL_JM-CLASSIFIEDADS_POSITION_TOP1-2','Top1 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4188','TPL_JM-CLASSIFIEDADS_POSITION_TOP1-3','Top1 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4189','TPL_JM-CLASSIFIEDADS_POSITION_TOP1-4','Top1 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4190','TPL_JM-CLASSIFIEDADS_POSITION_TOP1-5','Top1 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4191','TPL_JM-CLASSIFIEDADS_POSITION_TOP1-6','Top1 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4192','TPL_JM-CLASSIFIEDADS_POSITION_TOP2-1','Top2 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4193','TPL_JM-CLASSIFIEDADS_POSITION_TOP2-2','Top2 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4194','TPL_JM-CLASSIFIEDADS_POSITION_TOP2-3','Top2 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4195','TPL_JM-CLASSIFIEDADS_POSITION_TOP2-4','Top2 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4196','TPL_JM-CLASSIFIEDADS_POSITION_TOP2-5','Top2 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4197','TPL_JM-CLASSIFIEDADS_POSITION_TOP2-6','Top2 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4198','TPL_JM-CLASSIFIEDADS_POSITION_TOP3-1','Top3 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4199','TPL_JM-CLASSIFIEDADS_POSITION_TOP3-2','Top3 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4200','TPL_JM-CLASSIFIEDADS_POSITION_TOP3-3','Top3 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini');
INSERT INTO `#__overrider` VALUES 
('4201','TPL_JM-CLASSIFIEDADS_POSITION_TOP3-4','Top3 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4202','TPL_JM-CLASSIFIEDADS_POSITION_TOP3-5','Top3 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4203','TPL_JM-CLASSIFIEDADS_POSITION_TOP3-6','Top3 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4204','TPL_JM-CLASSIFIEDADS_POSITION_BREADCRUMBS','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4205','TPL_JM-CLASSIFIEDADS_POSITION_LEFT-COLUMN','Left Column','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4206','TPL_JM-CLASSIFIEDADS_POSITION_RIGHT-COLUMN','Right Column','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4207','TPL_JM-CLASSIFIEDADS_POSITION_CONTENT-TOP','Content Top','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4208','TPL_JM-CLASSIFIEDADS_POSITION_CONTENT-BOTTOM','Content Bottom','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4209','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM1-1','Bottom1 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4210','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM1-2','Bottom1 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4211','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM1-3','Bottom1 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4212','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM1-4','Bottom1 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4213','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM1-5','Bottom1 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4214','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM1-6','Bottom1 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4215','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM2-1','Bottom2 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4216','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM2-2','Bottom2 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4217','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM2-3','Bottom2 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4218','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM2-4','Bottom2 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4219','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM2-5','Bottom2 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4220','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM2-6','Bottom2 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4221','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM3-1','Bottom3 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4222','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM3-2','Bottom3 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4223','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM3-3','Bottom3 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4224','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM3-4','Bottom3 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4225','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM3-5','Bottom3 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4226','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM3-6','Bottom3 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4227','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM4-1','Bottom4 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4228','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM4-2','Bottom4 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4229','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM4-3','Bottom4 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4230','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM4-4','Bottom4 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4231','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM4-5','Bottom4 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4232','TPL_JM-CLASSIFIEDADS_POSITION_BOTTOM4-6','Bottom4 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4233','TPL_JM-CLASSIFIEDADS_POSITION_FOOTERMOD-1','Footer mod 1','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4234','TPL_JM-CLASSIFIEDADS_POSITION_FOOTERMOD-2','Footer mod 2','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4235','TPL_JM-CLASSIFIEDADS_POSITION_FOOTERMOD-3','Footer mod 3','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4236','TPL_JM-CLASSIFIEDADS_POSITION_FOOTERMOD-4','Footer mod 4','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4237','TPL_JM-CLASSIFIEDADS_POSITION_FOOTERMOD-5','Footer mod 5','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4238','TPL_JM-CLASSIFIEDADS_POSITION_FOOTERMOD-6','Footer mod 6','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4239','TPL_JM-CLASSIFIEDADS_POSITION_FOOTER','Footer','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4240','TPL_JM-CLASSIFIEDADS_POSITION_COPYRIGHTS','Copyrights','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4241','TPL_JM-CLASSIFIEDADS_POSITION_OFFCANVAS','Offcanvas','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4242','TPL_JM-CLASSIFIEDADS_POSITION_COMING-SOON','Coming Soon','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4243','TPL_JM-CLASSIFIEDADS_POSITION_DEBUG','Debug','/home/template/public_html/joomla30/jm-myoffers/templates/jm-myoffers/language/en-GB/en-GB.tpl_jm-myoffers.sys.ini'),
('4244','TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap and the launch of the Joomla User Interface library (JUI).','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4245','TPL_PROTOSTAR_BACKGROUND_COLOR_DESC','Choose a background colour for static layouts. If left blank the Default (#f4f6f7) is used.','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4246','TPL_PROTOSTAR_BACKGROUND_COLOR_LABEL','Background Colour','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4247','TPL_PROTOSTAR_BACKTOTOP','Back to Top','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4248','TPL_PROTOSTAR_COLOR_DESC','Choose an overall colour for the site template. If left blank the Default (#0088cc) is used.','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4249','TPL_PROTOSTAR_COLOR_LABEL','Template Colour','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4250','TPL_PROTOSTAR_FLUID','Fluid','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini');
INSERT INTO `#__overrider` VALUES 
('4251','TPL_PROTOSTAR_FLUID_LABEL','Fluid Layout','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4252','TPL_PROTOSTAR_FLUID_DESC','Use Bootstrap\'s fluid or static container (both are responsive).','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4253','TPL_PROTOSTAR_FONT_LABEL','Google Font for Headings','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4254','TPL_PROTOSTAR_FONT_DESC','Load a Google font for the headings (H1, H2, H3, etc).','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4255','TPL_PROTOSTAR_FONT_NAME_LABEL','Google Font Name','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4256','TPL_PROTOSTAR_FONT_NAME_DESC','Example: Open+Sans or Source+Sans+Pro.','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4257','TPL_PROTOSTAR_LOGO_LABEL','Logo','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4258','TPL_PROTOSTAR_LOGO_DESC','Select or upload a custom logo for the site template.','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4259','TPL_PROTOSTAR_STATIC','Static','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4260','TPL_PROTOSTAR_TOGGLE_MENU','Toggle Navigation','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.ini'),
('4261','TPL_PROTOSTAR_POSITION_BANNER','Banner','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4262','TPL_PROTOSTAR_POSITION_DEBUG','Debug','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4263','TPL_PROTOSTAR_POSITION_POSITION-0','Search','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4264','TPL_PROTOSTAR_POSITION_POSITION-10','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4265','TPL_PROTOSTAR_POSITION_POSITION-11','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4266','TPL_PROTOSTAR_POSITION_POSITION-12','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4267','TPL_PROTOSTAR_POSITION_POSITION-13','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4268','TPL_PROTOSTAR_POSITION_POSITION-14','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4269','TPL_PROTOSTAR_POSITION_POSITION-15','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4270','TPL_PROTOSTAR_POSITION_POSITION-1','Navigation','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4271','TPL_PROTOSTAR_POSITION_POSITION-2','Breadcrumbs','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4272','TPL_PROTOSTAR_POSITION_POSITION-3','Top center','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4273','TPL_PROTOSTAR_POSITION_POSITION-4','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4274','TPL_PROTOSTAR_POSITION_POSITION-5','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4275','TPL_PROTOSTAR_POSITION_POSITION-6','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4276','TPL_PROTOSTAR_POSITION_POSITION-7','Right','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4277','TPL_PROTOSTAR_POSITION_POSITION-8','Left','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4278','TPL_PROTOSTAR_POSITION_POSITION-9','Unused','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4279','TPL_PROTOSTAR_POSITION_FOOTER','Footer','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4280','TPL_PROTOSTAR_XML_DESCRIPTION','Continuing the space theme (Solarflare from 1.0 and Milkyway from 1.5), Protostar is the Joomla 3 site template based on Bootstrap and the launch of the Joomla User Interface library (JUI).','/home/template/public_html/joomla30/jm-myoffers/templates/protostar/language/en-GB/en-GB.tpl_protostar.sys.ini'),
('4281','PLG_CONTENT_DJMEDIATOOLS','DJMediaTools content plugin','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djmediatools/language/en-GB/en-GB.plg_content_djmediatools.ini'),
('4282','PLG_CONTENT_DJMEDIATOOLS_DESCRIPTION','This plugin replaces the code paste by DJ-MediaTools editor button with proper album layout. Syntax: {djmedia ID}, where ID is the id of the DJ-MediaTools category','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djmediatools/language/en-GB/en-GB.plg_content_djmediatools.ini'),
('4283','PLG_CONTENT_DJMEDIATOOLS','DJMediaTools content plugin','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djmediatools/language/en-GB/en-GB.plg_content_djmediatools.sys.ini'),
('4284','PLG_CONTENT_DJMEDIATOOLS_DESCRIPTION','This plugin replaces the code paste by DJ-MediaTools editor button with proper album layout. Syntax: {djmedia ID}, where ID is the id of the DJ-MediaTools category','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djmediatools/language/en-GB/en-GB.plg_content_djmediatools.sys.ini'),
('4285','PLG_CONTENT_DJREVIEWS','Content - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4286','PLG_CONTENT_DJREVIEWS_DESCRIPTION','Content - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4287','PLG_CONTENT_DJREVIEWS_RATING_GROUP','Rating group','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4288','PLG_CONTENT_DJREVIEWS_RATING_GROUP_DESC','Select rating group for this plugin. Warning: if you change the rating group, all existing reviews should be removed!','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4289','COM_DJREVIEWS_SELECT_GROUP','Select group','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4290','PLG_CONTENT_DJREVIEWS_ENABLE_LISTING','Listing pages','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4291','PLG_CONTENT_DJREVIEWS_ENABLE_LISTING_DESC','Displays average rating on article listing pages (e.g. Category Blog)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4292','PLG_CONTENT_DJREVIEWS_EXCLUDED_CATEGORIES','Excluded categories','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4293','PLG_CONTENT_DJREVIEWS_EXCLUDED_CATEGORIES_DESC','Select article categories in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4294','PLG_CONTENT_DJREVIEWS_EXCLUDED_ARTICLES','Excluded article IDs','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4295','PLG_CONTENT_DJREVIEWS_EXCLUDED_ARTICLES_DESC','Comma separated list of article IDs in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.ini'),
('4296','PLG_CONTENT_DJREVIEWS','Content - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.sys.ini'),
('4297','PLG_CONTENT_DJREVIEWS_DESCRIPTION','Content - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviews/language/en-GB/en-GB.plg_content_djreviews.sys.ini'),
('4298','PLG_CONTENT_DJREVIEWSJ2STORE','J2Store Content - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4299','PLG_CONTENT_DJREVIEWSJ2STORE_DESCRIPTION','J2Store Content - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4300','PLG_CONTENT_DJREVIEWSJ2STORE_RATING_GROUP','Rating group','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini');
INSERT INTO `#__overrider` VALUES 
('4301','PLG_CONTENT_DJREVIEWSJ2STORE_RATING_GROUP_DESC','Select rating group for this plugin. Warning: if you change the rating group, all existing reviews should be removed!','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4302','COM_DJREVIEWS_SELECT_GROUP','Select group','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4303','PLG_CONTENT_DJREVIEWSJ2STORE_ENABLE_LISTING','Listing pages','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4304','PLG_CONTENT_DJREVIEWSJ2STORE_ENABLE_LISTING_DESC','Displays average rating on article listing pages (e.g. Category Blog)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4305','PLG_CONTENT_DJREVIEWSJ2STORE_EXCLUDED_CATEGORIES','Excluded categories','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4306','PLG_CONTENT_DJREVIEWSJ2STORE_EXCLUDED_CATEGORIES_DESC','Select article categories in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4307','PLG_CONTENT_DJREVIEWSJ2STORE_EXCLUDED_ARTICLES','Excluded article IDs','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4308','PLG_CONTENT_DJREVIEWSJ2STORE_EXCLUDED_ARTICLES_DESC','Comma separated list of article IDs in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.ini'),
('4309','PLG_CONTENT_DJREVIEWSJ2STORE','J2Store Content - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.sys.ini'),
('4310','PLG_CONTENT_DJREVIEWSJ2STORE_DESCRIPTION','J2Store Content - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsj2store/language/en-GB/en-GB.plg_content_djreviewsj2store.sys.ini'),
('4311','PLG_CONTENT_DJREVIEWSVM','Virtuemart - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4312','PLG_CONTENT_DJREVIEWSVM_DESCRIPTION','Virtuemart - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4313','PLG_CONTENT_DJREVIEWS_RATING_GROUP','Rating group','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4314','PLG_CONTENT_DJREVIEWS_RATING_GROUP_DESC','Select rating group for this plugin. Warning: if you change the rating group, all existing reviews should be removed!','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4315','COM_DJREVIEWS_SELECT_GROUP','Select group','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4316','PLG_CONTENT_DJREVIEWS_ENABLE_LISTING','Listing pages','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4317','PLG_CONTENT_DJREVIEWS_ENABLE_LISTING_DESC','Displays average rating on article listing pages (e.g. Category Blog)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4318','PLG_CONTENT_DJREVIEWS_EXCLUDED_CATEGORIES','Excluded categories','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4319','PLG_CONTENT_DJREVIEWS_EXCLUDED_CATEGORIES_DESC','Select article categories in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4320','PLG_CONTENT_DJREVIEWS_EXCLUDED_ARTICLES','Excluded article IDs','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4321','PLG_CONTENT_DJREVIEWS_EXCLUDED_ARTICLES_DESC','Comma separated list of article IDs in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.ini'),
('4322','PLG_CONTENT_DJREVIEWSVM','Virtuemart - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.sys.ini'),
('4323','PLG_CONTENT_DJREVIEWSVM_DESCRIPTION','Virtuemart - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djreviewsvm/language/en-GB/en-GB.plg_content_djreviewsvm.sys.ini'),
('4324','PLG_CONTENT_DJSUGGESTER','DJ-Suggester','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4325','PLG_CONTENT_DJSUGGESTER_DESCRIPTION','<big>DJ-Suggester</big> displays the box with suggestion of next item from the currently viewed component. It flyouts smoothly when website is scrolled down to the offset from the bottom of page.<br/>You can also display any module in DJ-Suggester box by publishing it in <big>dj-suggester-plugin</big> module position.<br/><br/>Optionally (not recommended, but can be helpful in certain circumstances) you are able to add custom module position into DJ-Suggester flyout box by putting the following code into item descrition - syntax:<br/>{djsuggester modulePosition[|order=(first/last/replace)|style=(none/xhtml/rounded/etc.)]}<br/><b>Example</b>: {djsuggester position-10|order=replace|style=rounded} loads modules published in position-10, renders modules with rounded style and replaces the suggestion automatically generated for component if any. <b>Order</b> and <b>style</b> are optional and they override the plugin settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4326','PLG_DJSUGGESTER_BASIC_SETTINGS','Basic settings','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4327','PLG_DJSUGGESTER_OFFSET','Offset','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4328','PLG_DJSUGGESTER_OFFSET_DESC','Set the offset from the bottom of the site for which suggestion box will flyout. Zero (0) means that box will flyout when user scrolls the site to the end. Default is 400px.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4329','PLG_DJSUGGESTER_THEME','Theme','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4330','PLG_DJSUGGESTER_THEME_DESC','Choose the theme for DJ-Suggester flyout box. You can create your own theme by copy the existing one and renaming the folder or copy the djsuggester.css file from /plugins/content/djsuggester/themes/default/ into /templates/[your_template]/css/ and set theme to \'- override from template -\'.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4331','PLG_DJSUGGESTER_HIDE_IN_TOP','Hide on scroll to top','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4332','PLG_DJSUGGESTER_HIDE_IN_TOP_DESC','If set to \'Yes\', the DJ-Suggester box will be hide when user scrolls to the top above the bottom offset. Option \'No\' means that the box can be closed only by the user.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4333','PLG_DJSUGGESTER_CONTENT_HEADER_TEXT','Article header text','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4334','PLG_DJSUGGESTER_DJCATALOG_HEADER_TEXT','Product Header text','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4335','PLG_DJSUGGESTER_HEADER_TEXT_DESC','Header text for component suggestion. If left blank, it will load \'PLG_DJSUGGESTER_HEADER\' string from your language file.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4336','PLG_DJSUGGESTER_COMPONENT_SETTINGS','Component suggestion settings','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4337','PLG_DJSUGGESTER_ARTICLE_SUGGESTION','Article Suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4338','PLG_DJSUGGESTER_DISABLED','Disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4339','PLG_DJSUGGESTER_ENABLED','Enabled','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4340','PLG_DJSUGGESTER_FOLLOW_CATEGORY','Follow category','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4341','PLG_DJSUGGESTER_FOLLOW_CATEGORY_DESC','You can choose to suggest item from the same category as current item or from all available items in filtered categories.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4342','PLG_DJSUGGESTER_ORDER','Order by','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4343','PLG_DJSUGGESTER_ORDER_DESC','Choose the ordering to find suggested item relative to the current one.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4344','PLG_DJSUGGESTER_TITLE','Title alphabetical','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4345','PLG_DJSUGGESTER_TITLE_REVERSE','Title reverse alphabetical','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4346','PLG_DJSUGGESTER_DATE','Date (suggest newer)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4347','PLG_DJSUGGESTER_DATE_REVERSE','Reverse date (suggest older)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4348','PLG_DJSUGGESTER_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4349','PLG_DJSUGGESTER_ORDERING_REVERSE','Reverse ordering','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4350','PLG_DJSUGGESTER_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini');
INSERT INTO `#__overrider` VALUES 
('4351','PLG_DJSUGGESTER_CATEGORY_FILTER_TYPE','Category filter type','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4352','PLG_DJSUGGESTER_INCLUDE','Include','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4353','PLG_DJSUGGESTER_EXCLUDE','Exclude','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4354','PLG_DJSUGGESTER_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4355','PLG_DJSUGGESTER_CATEGORIES_DESC','The category filtering applies for both: categories of articles to be suggested and the articles from categories where the suggestion flyout box will be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4356','PLG_DJSUGGESTER_ALL_CATEGORIES','- All Categories -','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4357','PLG_DJSUGGESTER_MENU_FILTER_TYPE','Menu filter type','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4358','PLG_DJSUGGESTER_DJCATALOG2_SUGGESTION','DJ-Catalog2 Product Suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4359','PLG_DJSUGGESTER_PRODUCT_NAME','Product name','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4360','PLG_DJSUGGESTER_PRODUCT_NAME_REVERSE','Product name reverse','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4361','PLG_DJSUGGESTER_DISPLAY_IMAGE','Display image','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4362','PLG_DJSUGGESTER_DISPLAY_IMAGE_DESC','Display image','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4363','PLG_DJSUGGESTER_IMG_PROCESS','Image process','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4364','PLG_DJSUGGESTER_IMG_WIDTH','Image width','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4365','PLG_DJSUGGESTER_IMG_HEIGHT','Image height','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4366','PLG_DJSUGGESTER_IMG_PROCESS_DESC','Choose if you want an image to cropped or not','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4367','PLG_DJSUGGESTER_IMG_WIDTH_DESC','Pixel width - numeric value (without \'px\')','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4368','PLG_DJSUGGESTER_IMG_HEIGHT_DESC','Pixel height - numeric value (without \'px\')','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4369','PLG_DJSUGGESTER_IMAGE_RESIZE_AND_CROP','Resize & Crop','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4370','PLG_DJSUGGESTER_IMAGE_RESIZE','Resize','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4371','PLG_DJSUGGESTER_MENU_FILTER_TYPE_DESC','You can disable/enable component suggestions for specified menu items. It doesn\'t affect the module and manual suggestions.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4372','PLG_DJSUGGESTER_MENU_ITEMS','Menu items','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4373','PLG_DJSUGGESTER_ALL_MENU_ITEMS','- All Menu items -','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4374','PLG_DJSUGGESTER_MODULES_SETTINGS','Modules suggestion settings','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4375','PLG_DJSUGGESTER_MODULES_ORDER','Module position order','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4376','PLG_DJSUGGESTER_MODULES_ORDER_DESC','Order of the modules published in dj-suggester-plugin position relative to component suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4377','PLG_DJSUGGESTER_MODULES_STYLE','Modules style','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4378','PLG_DJSUGGESTER_MODULES_STYLE_DESC','Code that will wrap modules in dj-suggester-plugin module position','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4379','PLG_DJSUGGESTER_MANUAL_SUGGESTION','Custom module position','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4380','PLG_DJSUGGESTER_MANUAL_SUGGESTION_DESC','If enabled you can add custom module position into flyout box with syntax: {djsuggester modulePosition[|order=(first/last/replace)|style=(none/xhtml/rounded/etc.)]}','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4381','PLG_DJSUGGESTER_MANUAL_ORDER','Custom module position order','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4382','PLG_DJSUGGESTER_MANUAL_ORDER_DESC','Order of the modules published in custom position relative to component suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4383','PLG_DJSUGGESTER_FIRST','First','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4384','PLG_DJSUGGESTER_LAST','Last','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4385','PLG_DJSUGGESTER_REPLACE','Replace (override)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4386','PLG_DJSUGGESTER_MANUAL_STYLE','Modules style','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4387','PLG_DJSUGGESTER_MANUAL_STYLE_DESC','Code that will wrap modules in custom module position','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4388','PLG_DJSUGGESTER_DIVS','Wrapped by Divs','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4389','PLG_DJSUGGESTER_HORIZONTAL','Wrapped by table (horizontal)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4390','PLG_DJSUGGESTER_MULTIPLEDIVS','Wrapped by Multiple Divs','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4391','PLG_DJSUGGESTER_RAW','No wrapping (raw output)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4392','PLG_DJSUGGESTER_TABLE','Wrapped by table (column)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4393','PLG_DJSUGGESTER_TURNCATE_DESCRIPTION','Truncate description','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4394','PLG_DJSUGGESTER_TURNCATE_DESCRIPTION_DESC','Turning on this options will remove all HTML tags from description','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4395','PLG_DJSUGGESTER_DESCRIPTION_LIMIT','Description length','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4396','PLG_DJSUGGESTER_DESCRIPTION_LIMIT_DESC','Description character limit. Works only with enabled \'Turncate description\' option.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4397','PLG_DJSUGGESTER_K2_SUGGESTION','K2 Item Suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4398','PLG_DJSUGGESTER_K2_HEADER_TEXT','K2 Item header text','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4399','PLG_DJSUGGESTER_DATE_REVERSE_PUBLISH_UP','Published date (suggest older)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4400','PLG_DJSUGGESTER_DATE_REVERSE_MODIFIED','Modified date (suggest older)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini');
INSERT INTO `#__overrider` VALUES 
('4401','PLG_DJSUGGESTER_OPEN_DELAY','Flyout delay (in seconds)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4402','PLG_DJSUGGESTER_OPEN_DELAY_DESC','Set delay in seconds to flyout suggestion box when site content is too small to scroll.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4403','K2_DEFAULT','Default','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4404','K2_ORDERING','Ordering','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4405','K2_ORDERING_REVERSE','Reverse ordering','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4406','K2_MOST_POPULAR','Most popular','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4407','K2_RANDOM_ORDERING','Random','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4408','K2_TITLE_ALPHABETICAL','Title alphabetical','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4409','K2_TITLE_REVERSEALPHABETICAL','Title reverse alphabetical','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4410','K2_IMAGE_SIZE','Image Size','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4411','K2_XSMALL','XSmall','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4412','K2_SMALL','Small','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4413','K2_MEDIUM','Medium','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4414','K2_LARGE','Large','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4415','K2_XLARGE','XLarge','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4416','PLG_DJSUGGESTER_ENTRANCE_ANIMATION','Entrance Animation','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4417','PLG_DJSUGGESTER_EXIT_ANIMATION','Exit Animation','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4418','PLG_DJSUGGESTER_ANIMATION_SPEED','Animation speed','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4419','PLG_DJSUGGESTER_EASYBLOG_SUGGESTION','Easyblog Entry Suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4420','PLG_DJSUGGESTER_EASYBLOG_HEADER_TEXT','Easyblog Entry header text','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4421','PLG_DJSUGGESTER_POPULAR','Most popular','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4422','PLG_DJSUGGESTER_ARTICLES','Articles','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4423','PLG_DJSUGGESTER_DJCATALOG2','DJ-Catalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4424','PLG_DJSUGGESTER_DJCLASSIFIEDS','DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4425','PLG_DJSUGGESTER_K2','K2','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4426','PLG_DJSUGGESTER_EASYBLOG','Easyblog','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4427','PLG_DJSUGGESTER_COMPONENT_NOT_INSTALLED','This component is not installed on your Joomla! or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4428','PLG_DJSUGGESTER_DJCLASSIFIEDS_SUGGESTION','DJ-Classifieds Ad Suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4429','PLG_DJSUGGESTER_DJCLASSIFIEDS_HEADER_TEXT','DJ-Classifieds Ad header text','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4430','PLG_DJSUGGESTER_DJCLASSIFIEDS_ONLY_PROMOTED','Only Promoted ads','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4431','PLG_DJSUGGESTER_DJCLASSIFIEDS_NO','No','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4432','PLG_DJSUGGESTER_DJCLASSIFIEDS_YES','Yes','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4433','PLG_DJSUGGESTER_DJCLASSIFIEDS_IDS','ID of Adverts','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4434','PLG_DJSUGGESTER_DJCLASSIFIEDS_IDS_DESC','Only Adverts from this list will be shown (ID separated by coma(,))','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4435','PLG_DJSUGGESTER_DJCLASSIFIEDS_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4436','PLG_DJSUGGESTER_DJCLASSIFIEDS_CATEGORIES_DESC','Select one or more Categories, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4437','PLG_DJSUGGESTER_DJCLASSIFIEDS_SHOW_DEFAULT_ICON','Show default image','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4438','PLG_DJSUGGESTER_DJCLASSIFIEDS_SHOW_DEFAULT_ICON_DESC','Show default icon if advert don\'t have image','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4439','PLG_DJSUGGESTER_DJCLASSIFIEDS_REGIONS','Regions','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4440','PLG_DJSUGGESTER_DJCLASSIFIEDS_REGIONS_DESC','Select one or more Regions, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4441','PLG_DJSUGGESTER_DJCLASSIFIEDS_ALL_REGIONS','All Regions','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4442','PLG_DJSUGGESTER_DJCLASSIFIEDS_FALLOW_REGION','Follow region','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4443','PLG_DJSUGGESTER_DJCLASSIFIEDS_FALLOW_REGION_DESC','Show adverts only from current region, if this option is enabled selected regions are ignored','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4444','PLG_DJSUGGESTER_DJCLASSIFIEDS_TYPES','Types','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4445','PLG_DJSUGGESTER_DJCLASSIFIEDS_TYPES_DESC','Select one or more Types, leave empty to select all','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4446','PLG_DJSUGGESTER_DJCLASSIFIEDS_DEFAULT_IMAGE_FOR_ADVERTS','Default image for adverts','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4447','PLG_DJSUGGESTER_DJCLASSIFIEDS_IMAGE_FROM_CATEGORY','Image from category','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4448','PLG_DJSUGGESTER_DJCLASSIFIEDS_SHOW_ONLY_ADS_WITH_IMG','Only adverts with images','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4449','PLG_DJSUGGESTER_DJCLASSIFIEDS_NAME','Name','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4450','PLG_DJSUGGESTER_DJCLASSIFIEDS_USERS_IDS','ID of Users','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini');
INSERT INTO `#__overrider` VALUES 
('4451','PLG_DJSUGGESTER_DJCLASSIFIEDS_USERS_IDS_DESC','Only Adverts from those users will be shown (ID separated by coma(,))','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4452','PLG_DJSUGGESTER_DJCLASSIFIEDS_SOURCE','Source','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4453','PLG_DJSUGGESTER_DJCLASSIFIEDS_SOURCE_DESC','Adverts source, when user is not logged in then \'all adverts\' will be shown instead of \'user adverts\' or \'favourite adverts\'','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4454','PLG_DJSUGGESTER_DJCLASSIFIEDS_ALL_ADVERTS','All adverts','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4455','PLG_DJSUGGESTER_DJCLASSIFIEDS_USER_ADVERTS','User adverts','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4456','PLG_DJSUGGESTER_DJCLASSIFIEDS_FAVOURITE_ADVERTS','Favourite adverts','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4457','PLG_DJSUGGESTER_DJCLASSIFIEDS_IMAGE_THUMB_TYPE','Image type','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4458','PLG_DJSUGGESTER_DJCLASSIFIEDS_SMALL_THUMB','Small (image from table view)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4459','PLG_DJSUGGESTER_DJCLASSIFIEDS_MEDIUM_THUMB','Medium (image from blog view)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4460','PLG_DJSUGGESTER_DJCLASSIFIEDS_BIG_THUMB','Big (image from advert view)','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4461','PLG_DJSUGGESTER_DJCLASSIFIEDS_ONLY_PROMOTED_SPECIAL','Promotion \'\'Special\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4462','PLG_DJSUGGESTER_DJCLASSIFIEDS_ONLY_PROMOTED_FIRST','Promotion \'\'First\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4463','PLG_DJSUGGESTER_DJCLASSIFIEDS_ONLY_PROMOTED_BOLD','Promotion \'\'Bold\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4464','PLG_DJSUGGESTER_DJCLASSIFIEDS_ONLY_PROMOTED_BORDER','Promotion \'\'Border\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4465','PLG_DJSUGGESTER_DJCLASSIFIEDS_ONLY_PROMOTED_BG','Promotion \'\'Background\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4466','PLG_DJSUGGESTER_ZOO','Zoo','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4467','PLG_DJSUGGESTER_ZOO_SUGGESTION','Zoo Item Suggestion','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4468','PLG_DJSUGGESTER_ZOO_HEADER_TEXT','Zoo Item header text','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4469','PLG_DJSUGGESTER_ZOO_ALL_APPLICATIONS','All applications and categories','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4470','PLG_DJSUGGESTER_DATE_PUBLISH_DOWN','Publish down date','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4471','PLG_DJSUGGESTER_THEME_OVERRIDE','- override from template -','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4472','PLG_DJSUGGESTER_SHOW_ONCE','Show only once','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4473','PLG_DJSUGGESTER_SHOW_ONCE_DESC','If it\'s enabled the flyout box won\'t be shown again after it\'s closed by the user.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4474','PLG_DJSUGGESTER_PRO_DESC','DJ-Suggester Professional Edition','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4475','PLG_DJSUGGESTER_LIGHT_DESC','DJ-Suggester Light Edition','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4476','PLG_DJSUGGESTER_ONLY_PRO','Available only in Professional Edition','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4477','PLG_DJSUGGESTER_GET_PRO_LINK','<a class="btn btn-warning" target="_blank" href="https://dj-extensions.com/plans-and-pricing/single-extensions/dj-suggester">%s</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4478','PLG_DJSUGGESTER_UPDATER','Updater','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4479','PLG_DJSUGGESTER_MODULES_DESC','You can display any module in the flayout box by publishing it in <code>dj-suggester-plugin</code> module position.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4480','PLG_DJSUGGESTER_MODULES_CUSTOM_DESC','You can also add custom module position into flyout box by putting the following code into article/item descrition:<br/><code>{djsuggester YOURPOSITION[|order=(first/last/replace)|style=(none/xhtml/rounded/etc.)]}</code><br/><br/><strong>Example</strong>: <code>{djsuggester position-10|order=replace|style=rounded}</code> loads modules published in position-10, renders modules with rounded style and replaces the suggestion automatically generated for component if any. <strong>Order</strong> and <strong>style</strong> are optional and they override the plugin settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4481','PLG_DJSUGGESTER_CUSTOM_THEME','- custom -','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4482','PLG_DJSUGGESTER_CUSTOM_THEME_DESC','Choose colors for custom theme. If you want to restore the default color values, simply remove the values from all fields and click on Save button.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4483','PLG_DJSUGGESTER_CUSTOM_BG','Flyout box background','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4484','PLG_DJSUGGESTER_CUSTOM_COLOR','Flyout box text color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4485','PLG_DJSUGGESTER_CUSTOM_BORDER','Flyout box border color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4486','PLG_DJSUGGESTER_CUSTOM_BTN_BG','Close button background','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4487','PLG_DJSUGGESTER_CUSTOM_BTN_COLOR','Close button color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4488','PLG_DJSUGGESTER_CUSTOM_BTN_BG_HOVER','Close button hover background','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4489','PLG_DJSUGGESTER_CUSTOM_BTN_COLOR_HOVER','Close button hover color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4490','PLG_DJSUGGESTER_CUSTOM_HEADING_COLOR','Suggestion heading text color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4491','PLG_DJSUGGESTER_CUSTOM_TITLE_COLOR','Item title color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4492','PLG_DJSUGGESTER_CUSTOM_TITLE_COLOR_HOVER','Item title hover color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4493','PLG_DJSUGGESTER_CUSTOM_IMG_BORDER','Image border color','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4494','DJUPDATER_CURL_NOT_INSTALLED','CURL module is not installed on your server. Make sure it\'s enabled in order to register your licence key and get one-click updates.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4495','DJUPDATER_CURL_ERROR','Connection with DJ-Extensions.com Updates Service faild. Please try to refresh the page in a moment.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4496','DJUPDATER_UPDATE_AVAILABLE','New version available:','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4497','DJUPDATER_UPGRADE_TO_PRO','Upgrade to Proffesional Edition to get additional features, one-click updates and support.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4498','DJUPDATER_BUY_LICENSE','Get your license key','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4499','DJUPDATER_LICENSE_INFO','Enter your license key to get update notifications, one-click updates and support.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4500','DJUPDATER_REGISTER_KEY','Register','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini');
INSERT INTO `#__overrider` VALUES 
('4501','DJUPDATER_REGISTER_UPGRADE','Go Professional','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4502','DJUPDATER_PASTE_KEY','paste license key here','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4503','DJUPDATER_LATEST_VERSION_INSTALLED','Latest version is installed.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4504','DJUPDATER_VALID_LICENSE_INFO','Your license <code>%s</code> is valid and active till <strong>%s</strong>','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4505','DJUPDATER_UPDATE','Update to the latest version','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4506','DJUPDATER_UPGRADE','Upgrade to the Professional Edition','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4507','PLG_DJSUGGESTER_HEADER','You may be interested in:','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.ini'),
('4508','PLG_CONTENT_DJSUGGESTER','DJ-Suggester','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.sys.ini'),
('4509','PLG_CONTENT_DJSUGGESTER_DESCRIPTION','DJ-Suggester plugin displays the box with suggestion of next item from the currently viewed component. It flyouts smoothly when website is scrolled down to the offset from the bottom of page.','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.sys.ini'),
('4510','PLG_DJSUGGESTER_PRO_DESC','DJ-Suggester Professional Edition','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.sys.ini'),
('4511','PLG_DJSUGGESTER_LIGHT_DESC','DJ-Suggester Light Edition','/home/template/public_html/joomla30/jm-myoffers/plugins/content/djsuggester/language/en-GB/en-GB.plg_content_djsuggester.sys.ini'),
('4512','PLG_DJCATALOG2_DJREVIEWS','DJ-Catalog2 - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4513','PLG_DJCATALOG2_DJREVIEWS_DESCRIPTION','DJ-Reviews Integration plugin for DJ-Catalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4514','PLG_DJCATALOG2_DJREVIEWS_RATING_GROUP','Rating group','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4515','PLG_DJCATALOG2_DJREVIEWS_RATING_GROUP_DESC','Select rating group for this plugin. Warning: if you change the rating group, all existing reviews should be removed!','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4516','COM_DJREVIEWS_SELECT_GROUP','Select group','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4517','PLG_DJCATALOG2_DJREVIEWS_BLOG','Blog/grid layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4518','PLG_DJCATALOG2_DJREVIEWS_BLOG_DESC','Show rating in blog layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4519','PLG_DJCATALOG2_DJREVIEWS_TABLE','Table layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4520','PLG_DJCATALOG2_DJREVIEWS_TABLE_DESC','Show rating in table layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4521','PLG_DJCATALOG2_DJREVIEWS_EXCLUDED_CATEGORIES','Excluded categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4522','PLG_DJCATALOG2_DJREVIEWS_EXCLUDED_CATEGORIES_DESC','Select categories in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4523','PLG_DJCATALOG2_DJREVIEWS_EXCLUDED_ITEMS','Excluded product IDs','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4524','PLG_DJCATALOG2_DJREVIEWS_EXCLUDED_ITEMS_DESC','Comma separated list of product IDs in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4525','PLG_DJCATALOG2_DJREVIEWS_NOTIFY_OWNERS','Notifications','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4526','PLG_DJCATALOG2_DJREVIEWS_NOTIFY_OWNERS_DESC','Notify via e-mail product owners','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.ini'),
('4527','PLG_DJCATALOG2_DJREVIEWS','DJ-Catalog2 - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.sys.ini'),
('4528','PLG_DJCATALOG2_DJREVIEWS_DESCRIPTION','DJ-Reviews Integration plugin for DJ-Catalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/djcatalog2/djreviews/language/en-GB/en-GB.plg_djcatalog2_djreviews.sys.ini'),
('4529','PLG_DJCLASSIFIEDS_ACYMAILING_SIGNUP_NEWSLETTER','Sign up for our newsletter','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/acymailing/language/en-GB/en-GB.plg_djclassifieds_acymailing.ini'),
('4530','PLG_DJCLASSIFIEDS_ACYMAILING','DJ-Classifieds - Registration - AcyMailing','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/acymailing/language/en-GB/en-GB.plg_djclassifieds_acymailing.sys.ini'),
('4531','PLG_DJCLASSIFIEDS_ACYMAILING_DJCLASSIFIEDSACYMAILING','Display checkbox with newsletter option during Dj-Classifieds registration.','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/acymailing/language/en-GB/en-GB.plg_djclassifieds_acymailing.sys.ini'),
('4532','PLG_DJCLASSIFIEDS_ACYMAILING_SELECT_LIST','Select default list','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/acymailing/language/en-GB/en-GB.plg_djclassifieds_acymailing.sys.ini'),
('4533','PLG_DJCLASSIFIEDS_ACYMAILING_PLEASE_INSTALL_ACYMAILING','Please install AcyMailing component','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/acymailing/language/en-GB/en-GB.plg_djclassifieds_acymailing.sys.ini'),
('4534','PLG_DJCLASSIFIEDS_DJREVIEWS','DJ-Classifieds - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4535','PLG_DJCLASSIFIEDS_DJREVIEWS_DESCRIPTION','DJ-Reviews Integration plugin for DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4536','PLG_DJCLASSIFIEDS_DJREVIEWS_RATING_GROUP','Rating group','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4537','PLG_DJCLASSIFIEDS_DJREVIEWS_RATING_GROUP_DESC','Select rating group for this plugin. Warning: if you change the rating group, all existing reviews should be removed!','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4538','PLG_DJCLASSIFIEDS_DJREVIEWS_RATING_GROUP_AUTHOR','Author rating group','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4539','PLG_DJCLASSIFIEDS_DJREVIEWS_RATING_GROUP_AUTHOR_DESC','Select rating group for users. Warning: if you change the rating group, all existing reviews should be removed!','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4540','COM_DJREVIEWS_SELECT_GROUP','Select group','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4541','PLG_DJCLASSIFIEDS_DJREVIEWS_BLOG','Blog/grid layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4542','PLG_DJCLASSIFIEDS_DJREVIEWS_BLOG_DESC','Show rating in blog layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4543','PLG_DJCLASSIFIEDS_DJREVIEWS_TABLE','Table layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4544','PLG_DJCLASSIFIEDS_DJREVIEWS_TABLE_DESC','Show rating in table layout','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4545','PLG_DJCLASSIFIEDS_DJREVIEWS_EXCLUDED_CATEGORIES','Excluded categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4546','PLG_DJCLASSIFIEDS_DJREVIEWS_EXCLUDED_CATEGORIES_DESC','Select categories in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4547','PLG_DJCLASSIFIEDS_DJREVIEWS_EXCLUDED_ITEMS','Excluded advert IDs','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4548','PLG_DJCLASSIFIEDS_DJREVIEWS_EXCLUDED_ITEMS_DESC','Comma separated list of advert IDs in which plugin should be disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4549','PLG_DJCLASSIFIEDS_DJREVIEWS_NOTIFY_OWNERS','Notifications','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini'),
('4550','PLG_DJCLASSIFIEDS_DJREVIEWS_NOTIFY_OWNERS_DESC','Notify via e-mail product owners','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.ini');
INSERT INTO `#__overrider` VALUES 
('4551','PLG_DJCLASSIFIEDS_DJREVIEWS','DJ-Classifieds - DJ-Reviews','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.sys.ini'),
('4552','PLG_DJCLASSIFIEDS_DJREVIEWS_DESCRIPTION','DJ-Classifieds - DJ-Reviews Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/djreviews/language/en-GB/en-GB.plg_djclassifieds_djreviews.sys.ini'),
('4553','PLG_DJCLASSIFIEDS_GDPR','DJ-Classifieds - GDPR','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/gdpr/language/en-GB/en-GB.plg_djclassifieds_gdpr.sys.ini'),
('4554','PLG_DJCLASSIFIEDS_DJCLASSIFIEDSGDPR','Support for GDPR in DJ-Classifieds component.','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/gdpr/language/en-GB/en-GB.plg_djclassifieds_gdpr.sys.ini'),
('4555','PLG_DJCLASSIFIEDS_OFFERS','Offers','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/offers/language/en-GB/en-GB.plg_djclassifieds_offers.ini'),
('4556','PLG_DJCLASSIFIEDS_OFFERS','DJ-Classifieds - Offers','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/offers/language/en-GB/en-GB.plg_djclassifieds_offers.sys.ini'),
('4557','PLG_DJCLASSIFIEDS_OFFERS_DJCLASSIFIEDSOFFERS','Offers system for DJ-Classifieds.','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/offers/language/en-GB/en-GB.plg_djclassifieds_offers.sys.ini'),
('4558','PLG_DJCLASSIFIEDS_PAGEBREAK_DJCLASSIFIEDSPAGEBREAK','<strong>\'\'Pagebreak\'\'</strong> button in DJ-Classifieds is managed by <strong>DJ Classifieds - Pagebreak plugin</strong>. It allows to separate from the content (text above first \'\'pagebreak\'\'), named sections which will be displayed in divs, tabs or accordion (depending on the plugin settings).','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4559','PLG_DJCLASSIFIEDS_PAGEBREAK_TOGGLE','Section %s','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4560','PLG_DJCLASSIFIEDS_PAGEBREAK_EFFECT','Effect','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4561','PLG_DJCLASSIFIEDS_PAGEBREAK_EFFECT_DESC','Effect','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4562','PLG_DJCLASSIFIEDS_PAGEBREAK_NONE','None','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4563','PLG_DJCLASSIFIEDS_PAGEBREAK_VERTICAL','Accordion','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4564','PLG_DJCLASSIFIEDS_PAGEBREAK_HORIZONTAL','Tabs','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.ini'),
('4565','PLG_DJCLASSIFIEDS_PAGEBREAK','DJ-Classifieds - Pagebreak','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.sys.ini'),
('4566','PLG_DJCLASSIFIEDS_PAGEBREAK_DJCLASSIFIEDSPAGEBREAK','<strong>\'\'Pagebreak\'\'</strong> button in DJ-Classifieds is managed by <strong>DJ Classifieds - Pagebreak plugin</strong>. It allows to separate from the content (text above first \'\'pagebreak\'\'), named sections which will be displayed in divs, tabs or accordion (depending on the plugin settings).','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/pagebreak/language/en-GB/en-GB.plg_djclassifieds_pagebreak.sys.ini'),
('4567','COM_DJCLASSIFIEDS_CONFIG_PLANS_REQUIRED','Plan required?','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/plans/language/en-GB/en-GB.plg_djclassifieds_plans.ini'),
('4568','COM_DJCLASSIFIEDS_CONFIG_PLANS_REQUIRED_DESC','Adverts can be added only via subsciption plans','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/plans/language/en-GB/en-GB.plg_djclassifieds_plans.ini'),
('4569','COM_DJCLASSIFIEDS_CONFIG_AUTOSELECT_PLAN','Plan autoselect','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/plans/language/en-GB/en-GB.plg_djclassifieds_plans.ini'),
('4570','COM_DJCLASSIFIEDS_CONFIG_AUTOSELECT_PLAN_DESC','If user have active plan then it will be automatically applied during advert creation','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/plans/language/en-GB/en-GB.plg_djclassifieds_plans.ini'),
('4571','PLG_DJCLASSIFIEDS_PLANS','DJ-Classifieds - Subscriptions Plans','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/plans/language/en-GB/en-GB.plg_djclassifieds_plans.sys.ini'),
('4572','PLG_DJCLASSIFIEDS_DJCLASSIFIEDSPLANS','Subscriptions Plans for DJ-Classifieds component','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/plans/language/en-GB/en-GB.plg_djclassifieds_plans.sys.ini'),
('4573','PLG_DJCLASSIFIEDS_REGISTRATION_ENABLE_TERMS_OF_USE','Enable Terms and Conditions','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/registration/language/en-GB/en-GB.plg_djclassifieds_registration.ini'),
('4574','PLG_DJCLASSIFIEDS_REGISTRATION_TERMS_OF_USE_ARTICLE_ID','Terms article ID','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/registration/language/en-GB/en-GB.plg_djclassifieds_registration.ini'),
('4575','PLG_DJCLASSIFIEDS_REGISTRATION_TERMS_OF_USE_ARTICLE_ID_DESC','Terms and Conditions article ID','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/registration/language/en-GB/en-GB.plg_djclassifieds_registration.ini'),
('4576','PLG_DJCLASSIFIEDS_REGISTRATION','DJ-Classifieds - Registration','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/registration/language/en-GB/en-GB.plg_djclassifieds_registration.sys.ini'),
('4577','PLG_DJCLASSIFIEDS_REGISTRATION_DJCLASSIFIEDSREGISTRATION','Registration system for DJ-Classifieds.','/home/template/public_html/joomla30/jm-myoffers/plugins/djclassifieds/registration/language/en-GB/en-GB.plg_djclassifieds_registration.sys.ini'),
('4578','PLG_DJMEDIATOOLS_CONTENT','DJMediaTools Source Plugin - Joomla Content','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.ini'),
('4579','PLG_DJMEDIATOOLS_CONTENT_DESCRIPTION','This plugin allows to use Joomla Content as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.ini'),
('4580','PLG_DJMEDIATOOLS_CONTENT_LABEL','Joomla Articles','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.ini'),
('4581','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.ini'),
('4582','PLG_DJMEDIATOOLS_CONTENT_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.ini'),
('4583','PLG_DJMEDIATOOLS_CONTENT_DEFAULT_IMAGE_DESC','Select default image to display if content doesn\'t contain any images. If you leave this empty then content without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.ini'),
('4584','PLG_DJMEDIATOOLS_CONTENT','DJMediaTools Source Plugin - Joomla Content','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.sys.ini'),
('4585','PLG_DJMEDIATOOLS_CONTENT_DESCRIPTION','This plugin allows to use Joomla Content as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/content/language/en-GB/en-GB.plg_djmediatools_content.sys.ini'),
('4586','PLG_DJMEDIATOOLS_DJCATALOG2','DJ-MediaTools Source - DJ-Catalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4587','PLG_DJMEDIATOOLS_DJCATALOG2_DESCRIPTION','This plugin allows to use DJ-Catalog2 Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4588','PLG_DJMEDIATOOLS_DJCATALOG2_LABEL','DJ-Catalog2 Products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4589','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4590','PLG_DJMEDIATOOLS_DJCATALOG2_CATEGORIESSWITCH','Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4591','PLG_DJMEDIATOOLS_DJCATALOG2_CATEGORIESSWITCH_DESC','Select categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4592','PLG_DJMEDIATOOLS_DJCATALOG2_FEATURED_ONLY','Featured only','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4593','PLG_DJMEDIATOOLS_DJCATALOG2_FEATURED_FIRST','Featured first','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4594','PLG_DJMEDIATOOLS_DJCATALOG2_ORDERBY','Order','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4595','PLG_DJMEDIATOOLS_DJCATALOG2_DEFAULTORDER','Default order','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4596','PLG_DJMEDIATOOLS_DJCATALOG2_NAME','Product name','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4597','PLG_DJMEDIATOOLS_DJCATALOG2_PRICE','Product price','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4598','PLG_DJMEDIATOOLS_DJCATALOG2_PRODUCER','Manufacturer','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4599','PLG_DJMEDIATOOLS_DJCATALOG2_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4600','PLG_DJMEDIATOOLS_DJCATALOG2_ORDERDIR','Order direction','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini');
INSERT INTO `#__overrider` VALUES 
('4601','PLG_DJMEDIATOOLS_DJCATALOG2_ASC','Ascending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4602','PLG_DJMEDIATOOLS_DJCATALOG2_DESC','Descending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4603','PLG_DJMEDIATOOLS_DJCATALOG2_COMPONENT_DISABLED','DJ-Catalog2 component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4604','PLG_DJMEDIATOOLS_DJCATALOG2_ITEM_IDS','Product IDs','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4605','PLG_DJMEDIATOOLS_DJCATALOG2_ITEM_IDS_DESC','Comma separated list of product IDs that you wish to be displayed, eg. 1,2,3,4','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4606','PLG_DJMEDIATOOLS_DJCATALOG2_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4607','PLG_DJMEDIATOOLS_DJCATALOG2_DEFAULT_IMAGE_DESC','Select default image to display if product doesn\'t contain any images. If you leave this empty then products without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4608','PLG_DJMEDIATOOLS_DJCATALOG2_DATE','Date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4609','PLG_DJMEDIATOOLS_DJCATALOG2_HITS','Hits','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.ini'),
('4610','PLG_DJMEDIATOOLS_DJCATALOG2','DJ-MediaTools Source - DJ-Catalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.sys.ini'),
('4611','PLG_DJMEDIATOOLS_DJCATALOG2_DESCRIPTION','This plugin allows to use DJ-Catalog2 Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2/language/en-GB/en-GB.plg_djmediatools_djcatalog2.sys.ini'),
('4612','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY','DJ-MediaTools Source - DJ-Catalog2 Gallery','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.ini'),
('4613','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY_DESCRIPTION','This plugin allows to use DJ-Catalog2 Images as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.ini'),
('4614','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY_LABEL','DJ-Catalog2 Product Gallery','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.ini'),
('4615','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.ini'),
('4616','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY_COMPONENT_DISABLED','DJ-Catalog2 component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.ini'),
('4617','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY_INFO','There is no additional options for this type of album. This album replaces the original DJ-Catalog2 gallery with DJ-MediaTools album. Choose the album layout and settings for DJ-Catalog2 galleries then go to DJ-Catalog2 configuration and enable DJ-MediaTools integration at \'Image Processing\' tab.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.ini'),
('4618','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY','DJ-MediaTools Source - DJ-Catalog2 Gallery','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.sys.ini'),
('4619','PLG_DJMEDIATOOLS_DJCATALOG2GALLERY_DESCRIPTION','This plugin allows to use DJ-Catalog2 as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djcatalog2gallery/language/en-GB/en-GB.plg_djmediatools_djcatalog2gallery.sys.ini'),
('4620','PLG_DJMEDIATOOLS_DJCLASSIFIEDS','DJ-MediaTools Source - DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4621','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_DESCRIPTION','This plugin allows to use DJ-Classifieds ads as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4622','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_LABEL','DJ-Classifieds Ads','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4623','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4624','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ONLY_PROMOTED','Only Promoted ads','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4625','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_MULTIPLE_DESC','- hold CTRL key to select more than one -','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4626','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ONLY_PROMOTED_SPECIAL','Promotion \'\'Special\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4627','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ONLY_PROMOTED_FIRST','Promotion \'\'First\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4628','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ONLY_PROMOTED_BOLD','Promotion \'\'Bold\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4629','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ONLY_PROMOTED_BORDER','Promotion \'\'Border\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4630','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ONLY_PROMOTED_BG','Promotion \'\'Background\'\'','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4631','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4632','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_DEFAULT_IMAGE_DESC','Select default image to display if ad doesn\'t contain any images. If you leave this empty then ads without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4633','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_COMPONENT_DISABLED','DJ-Classifieds component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4634','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_ITEMS_MODULE_NOT_INSTALLED','DJ-Classifieds Items module is not installed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.ini'),
('4635','PLG_DJMEDIATOOLS_DJCLASSIFIEDS','DJ-MediaTools Source - DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.sys.ini'),
('4636','PLG_DJMEDIATOOLS_DJCLASSIFIEDS_DESCRIPTION','This plugin allows to use DJ-Classifieds ads as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifieds/language/en-GB/en-GB.plg_djmediatools_djclassifieds.sys.ini'),
('4637','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY','DJ-MediaTools Source - DJ-Classifieds Gallery','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.ini'),
('4638','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY_DESCRIPTION','This plugin allows to use DJ-Classifieds Images as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.ini'),
('4639','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY_LABEL','DJ-Classifieds Ads Gallery','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.ini'),
('4640','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.ini'),
('4641','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY_COMPONENT_DISABLED','DJ-Classifieds component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.ini'),
('4642','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY_INFO','There is no additional options for this type of album. This album replaces the original DJ-Classifieds gallery with DJ-MediaTools album. Choose the album layout and settings for DJ-Classifieds galleries then go to DJ-Classifieds configuration and enable DJ-MediaTools integration at \'Image Processing\' tab.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.ini'),
('4643','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY','DJ-MediaTools Source - DJ-Classifieds Gallery','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.sys.ini'),
('4644','PLG_DJMEDIATOOLS_DJCLASSIFIEDSGALLERY_DESCRIPTION','This plugin allows to use DJ-Classifieds as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djclassifiedsgallery/language/en-GB/en-GB.plg_djmediatools_djclassifiedsgallery.sys.ini'),
('4645','PLG_DJMEDIATOOLS_DJEVENTS','DJ-MediaTools Source - DJ-Events','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4646','PLG_DJMEDIATOOLS_DJEVENTS_DESCRIPTION','This plugin allows to use DJ-Events items as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4647','PLG_DJMEDIATOOLS_DJEVENTS_LABEL','DJ-Events Items','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4648','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4649','PLG_DJMEDIATOOLS_DJEVENTS_CATEGORIES','Category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4650','PLG_DJMEDIATOOLS_DJEVENTS_FEATURED_ONLY','Featured only','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini');
INSERT INTO `#__overrider` VALUES 
('4651','PLG_DJMEDIATOOLS_DJEVENTS_CITIES','City','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4652','PLG_DJMEDIATOOLS_DJEVENTS_SHOW_DATE','Show date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4653','PLG_DJMEDIATOOLS_DJEVENTS_SHOW_CATEGORY','Show category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4654','PLG_DJMEDIATOOLS_DJEVENTS_CATEGORY_LINKED','Linked category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4655','PLG_DJMEDIATOOLS_DJEVENTS_SHOW_CITY','Show city','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4656','PLG_DJMEDIATOOLS_DJEVENTS_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4657','PLG_DJMEDIATOOLS_DJEVENTS_DEFAULT_IMAGE_DESC','Select default image to display if event doesn\'t contain any images. If you leave this empty then event without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4658','PLG_DJMEDIATOOLS_DJEVENTS_COMPONENT_DISABLED','DJ-Events component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.ini'),
('4659','PLG_DJMEDIATOOLS_DJEVENTS','DJ-MediaTools Source - DJ-Events','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.sys.ini'),
('4660','PLG_DJMEDIATOOLS_DJEVENTS_DESCRIPTION','This plugin allows to use DJ-Events items as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/djevents/language/en-GB/en-GB.plg_djmediatools_djevents.sys.ini'),
('4661','PLG_DJMEDIATOOLS_EASYBLOG','DJ-MediaTools Source - Easyblog','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4662','PLG_DJMEDIATOOLS_EASYBLOG_DESCRIPTION','This plugin allows to use Easyblog Posts as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4663','PLG_DJMEDIATOOLS_EASYBLOG_LABEL','Easyblog Posts','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4664','PLG_DJMEDIATOOLS_EASYBLOG_COMPONENT_DISABLED','Easyblog component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4665','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4666','PLG_DJMEDIATOOLS_EASYBLOG_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4667','PLG_DJMEDIATOOLS_EASYBLOG_CATEGORIES_DESC','Select one or more categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4668','PLG_DJMEDIATOOLS_EASYBLOG_SUBCATEGORIES','Include subcategories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4669','PLG_DJMEDIATOOLS_EASYBLOG_FEATURED','Featured only','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4670','PLG_DJMEDIATOOLS_EASYBLOG_FEATURED_DESC','Fetch only featured posts','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4671','PLG_DJMEDIATOOLS_EASYBLOG_ORDER','Order','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4672','PLG_DJMEDIATOOLS_EASYBLOG_CREATED','Created data','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4673','PLG_DJMEDIATOOLS_EASYBLOG_MODIFIED','Modified data','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4674','PLG_DJMEDIATOOLS_EASYBLOG_PUBLISH_UP','Publish up date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4675','PLG_DJMEDIATOOLS_EASYBLOG_PUBLISH_DOWN','Publish down date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4676','PLG_DJMEDIATOOLS_EASYBLOG_POPULAR','Hits (popularity)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4677','PLG_DJMEDIATOOLS_EASYBLOG_TITLE_ALPHA','Title alphabetical','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4678','PLG_DJMEDIATOOLS_EASYBLOG_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4679','PLG_DJMEDIATOOLS_EASYBLOG_ORDER_DIR','Order direction','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4680','PLG_DJMEDIATOOLS_EASYBLOG_DESCENDING','Descending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4681','PLG_DJMEDIATOOLS_EASYBLOG_ASCENDING','Ascending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4682','PLG_DJMEDIATOOLS_EASYBLOG_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4683','PLG_DJMEDIATOOLS_EASYBLOG_DEFAULT_IMAGE_DESC','Select default image to display if post doesn\'t contain any images. If you leave this empty then posts without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.ini'),
('4684','PLG_DJMEDIATOOLS_EASYBLOG','DJ-MediaTools Source - Easyblog','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.sys.ini'),
('4685','PLG_DJMEDIATOOLS_EASYBLOG_DESCRIPTION','This plugin allows to use Easyblog Posts as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_easyblog.sys.ini'),
('4686','PLG_DJMEDIATOOLS_K2','DJ-MediaTools Source - K2','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4687','PLG_DJMEDIATOOLS_K2_DESCRIPTION','This plugin allows to use K2 Items as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4688','PLG_DJMEDIATOOLS_K2_LABEL','K2 Items','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4689','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4690','PLG_DJMEDIATOOLS_K2_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4691','PLG_DJMEDIATOOLS_K2_DEFAULT_IMAGE_DESC','Select default image to display if content doesn\'t contain any images. If you leave this empty then content without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4692','PLG_DJMEDIATOOLS_K2_COMPONENT_DISABLED','K2 component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4693','PLG_DJMEDIATOOLS_K2_CONTENT_MODULE_NOT_INSTALLED','K2 Content module is not installed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4694','PLG_DJMEDIATOOLS_K2','DJ-MediaTools Source - K2','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.sys.ini'),
('4695','PLG_DJMEDIATOOLS_K2_DESCRIPTION','This plugin allows to use K2 Items as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/easyblog/language/en-GB/en-GB.plg_djmediatools_k2.sys.ini'),
('4696','PLG_DJMEDIATOOLS_FOLDER','DJMediaTools Source Plugin - Folder','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4697','PLG_DJMEDIATOOLS_FOLDER_DESCRIPTION','This plugin allows to use folder as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4698','PLG_DJMEDIATOOLS_FOLDER_LABEL','Folder Images','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4699','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4700','PLG_DJMEDIATOOLS_FOLDER_PATH','Folder path','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini');
INSERT INTO `#__overrider` VALUES 
('4701','PLG_DJMEDIATOOLS_FOLDER_PATH_DESC','Type here path from Joomla! root folder to the image folder for album, ex. images/slides','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4702','PLG_DJMEDIATOOLS_FOLDER_LINK','Link','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4703','PLG_DJMEDIATOOLS_FOLDER_LINK_DESC','The URL to redirect to if the image is clicked upon (e.g. http://www.joomla.org or index.php?option=com_content&view=category&layout=blog&id=1).','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.ini'),
('4704','PLG_DJMEDIATOOLS_FOLDER','DJMediaTools Source Plugin - Folder','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.sys.ini'),
('4705','PLG_DJMEDIATOOLS_FOLDER_DESCRIPTION','This plugin allows to use folder as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/folder/language/en-GB/en-GB.plg_djmediatools_folder.sys.ini'),
('4706','PLG_DJMEDIATOOLS_HIKASHOP','DJ-MediaTools Source Plugin - Hikashop','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4707','PLG_DJMEDIATOOLS_HIKASHOP_DESCRIPTION','This plugin allows to use Hikashop Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4708','PLG_DJMEDIATOOLS_HIKASHOP_LABEL','Hikashop Products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4709','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4710','PLG_DJMEDIATOOLS_HIKASHOP_SYNCHRONIZE','Synchronize with current content if possible','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4711','PLG_DJMEDIATOOLS_HIKASHOP_PRODUCT_SYNCHRONIZE','Synchronization on product page','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4712','PLG_DJMEDIATOOLS_HIKASHOP_SYNCH_TO_CATEGORY','Display products from selected category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4713','PLG_DJMEDIATOOLS_HIKASHOP_SYNCH_TO_RELETED_PRODUCTS','Display related products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4714','PLG_DJMEDIATOOLS_HIKASHOP_SYNCH_TO_PRODUCT_CATEGORIES','Display products from the same categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4715','PLG_DJMEDIATOOLS_HIKASHOP_SYNCH_TO_PRODUCT_BRAND','Display products from the same brand','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4716','PLG_DJMEDIATOOLS_HIKASHOP_RECENTLY_VIEWED','Display recently viewed by the user','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4717','PLG_DJMEDIATOOLS_HIKASHOP_FILTER_TYPE','Filter type','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4718','PLG_DJMEDIATOOLS_HIKASHOP_FILTER_TYPE_DESC','Choose to include also products from subcategories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4719','PLG_DJMEDIATOOLS_HIKASHOP_EXCLUDE_SUB','Exclude products from subcategories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4720','PLG_DJMEDIATOOLS_HIKASHOP_INCLUDE_SUB','Include products from subcategories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4721','PLG_DJMEDIATOOLS_HIKASHOP_CATEGORY','Category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4722','PLG_DJMEDIATOOLS_HIKASHOP_CATEGORY_DESC','Choose Hikashop product category to display','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4723','PLG_DJMEDIATOOLS_HIKASHOP_DISPLAY_OUT_OF_STOCK_PRODUCTS','Display out of stock products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4724','PLG_DJMEDIATOOLS_HIKASHOP_ORDER','Order','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4725','PLG_DJMEDIATOOLS_HIKASHOP_ORDER_DIR','Order direction','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4726','PLG_DJMEDIATOOLS_HIKASHOP_DESCENDING','Descending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4727','PLG_DJMEDIATOOLS_HIKASHOP_ASCENDING','Ascending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4728','PLG_DJMEDIATOOLS_HIKASHOP_MENUITEM','Menu item','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4729','PLG_DJMEDIATOOLS_HIKASHOP_MENUITEM_DESC','Menu item to open product details','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4730','PLG_DJMEDIATOOLS_HIKASHOP_ADD_TO_CART','\'Add to cart\' button','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4731','PLG_DJMEDIATOOLS_HIKASHOP_SHOW_QUANTITY','Quantity field','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4732','PLG_DJMEDIATOOLS_HIKASHOP_PRICE','Price','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4733','PLG_DJMEDIATOOLS_HIKASHOP_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4734','PLG_DJMEDIATOOLS_HIKASHOP_DEFAULT_IMAGE_DESC','Select default image to display if content doesn\'t contain any images. If you leave this empty then products without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.ini'),
('4735','PLG_DJMEDIATOOLS_HIKASHOP','DJ-MediaTools Source Plugin - Hikashop','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.sys.ini'),
('4736','PLG_DJMEDIATOOLS_HIKASHOP_DESCRIPTION','This plugin allows to use Hikashop Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/hikashop/language/en-GB/en-GB.plg_djmediatools_hikashop.sys.ini'),
('4737','PLG_DJMEDIATOOLS_J2STORE','DJ-MediaTools Source Plugin - J2Store','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4738','PLG_DJMEDIATOOLS_J2STORE_DESCRIPTION','This plugin allows to use J2Store Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4739','PLG_DJMEDIATOOLS_J2STORE_LABEL','J2Store Products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4740','PLG_DJMEDIATOOLS_J2STORE_COMPONENT_DISABLED','J2Store component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4741','PLG_DJMEDIATOOLS_J2STORE_COMPONENT_VERSION3_REQUIRED','J2Store version 3+ is required for DJ-MediaTools.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4742','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4743','PLG_DJMEDIATOOLS_J2STORE_FIELD_SOURCE_LABEL','Source','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4744','PLG_DJMEDIATOOLS_J2STORE_FIELD_SOURCE_DESC','Choose whether to fetch items from category or individual items','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4745','PLG_DJMEDIATOOLS_J2STORE_SOURCE_CATEGORIES','Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4746','PLG_DJMEDIATOOLS_J2STORE_SOURCE_INDIVIDUAL_ITEMS','Individual Items','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4747','PLG_DJMEDIATOOLS_J2STORE_FIELD_FEATURED_LABEL','Featured Articles','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4748','PLG_DJMEDIATOOLS_J2STORE_FIELD_ARTICLEGROUPINGDIR_DESC','Select the direction you would like the Article Groupings to be ordered by.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4749','PLG_DJMEDIATOOLS_J2STORE_FIELD_ARTICLEGROUPINGDIR_LABEL','Grouping Direction','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4750','PLG_DJMEDIATOOLS_J2STORE_FIELD_ARTICLEORDERING_DESC','Select which field you would like Articles to be ordered by. Featured Ordering should only be used when Filtering Option for Featured Articles is set to \'Only\'.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini');
INSERT INTO `#__overrider` VALUES 
('4751','PLG_DJMEDIATOOLS_J2STORE_FIELD_ARTICLEORDERING_LABEL','Article Field to Order By','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4752','PLG_DJMEDIATOOLS_J2STORE_FIELD_ARTICLEORDERINGDIR_DESC','Select the direction you would like Articles to be ordered by.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4753','PLG_DJMEDIATOOLS_J2STORE_FIELD_ARTICLEORDERINGDIR_LABEL','Ordering Direction','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4754','PLG_DJMEDIATOOLS_J2STORE_FIELD_CATDEPTH_DESC','The number of child category levels to return.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4755','PLG_DJMEDIATOOLS_J2STORE_FIELD_CATDEPTH_LABEL','Category Depth','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4756','PLG_DJMEDIATOOLS_J2STORE_FIELD_CATEGORY_DESC','Please select one or more categories.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4757','PLG_DJMEDIATOOLS_J2STORE_FIELD_CATFILTERINGTYPE_DESC','Select Inclusive to Include the Selected Categories, Exclusive to Exclude the Selected Categories.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4758','PLG_DJMEDIATOOLS_J2STORE_FIELD_CATFILTERINGTYPE_LABEL','Category Filtering Type','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4759','PLG_DJMEDIATOOLS_J2STORE_FIELD_GROUP_FILTERING_LABEL','Filtering Options for Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4760','PLG_DJMEDIATOOLS_J2STORE_FIELD_SHOWCHILDCATEGORYARTICLES_DESC','Include or Exclude Articles from Child Categories.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4761','PLG_DJMEDIATOOLS_J2STORE_FIELD_SHOWCHILDCATEGORYARTICLES_LABEL','Child Category Articles','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4762','PLG_DJMEDIATOOLS_J2STORE_FIELD_SHOWFEATURED_DESC','Select to Show, Hide, or Only display Featured Articles.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4763','PLG_DJMEDIATOOLS_J2STORE_FIELD_SHOWFEATURED_LABEL','Featured Articles','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4764','PLG_DJMEDIATOOLS_J2STORE_OPTION_ASCENDING_VALUE','Ascending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4765','PLG_DJMEDIATOOLS_J2STORE_OPTION_CREATED_VALUE','Created Date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4766','PLG_DJMEDIATOOLS_J2STORE_OPTION_DESCENDING_VALUE','Descending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4767','PLG_DJMEDIATOOLS_J2STORE_OPTION_EXCLUDE_VALUE','Exclude','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4768','PLG_DJMEDIATOOLS_J2STORE_OPTION_EXCLUSIVE_VALUE','Exclusive','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4769','PLG_DJMEDIATOOLS_J2STORE_OPTION_HITS_VALUE','Hits','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4770','PLG_DJMEDIATOOLS_J2STORE_OPTION_ID_VALUE','ID','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4771','PLG_DJMEDIATOOLS_J2STORE_OPTION_INCLUDE_VALUE','Include','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4772','PLG_DJMEDIATOOLS_J2STORE_OPTION_INCLUSIVE_VALUE','Inclusive','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4773','PLG_DJMEDIATOOLS_J2STORE_OPTION_MODIFIED_VALUE','Modified Date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4774','PLG_DJMEDIATOOLS_J2STORE_OPTION_ONLYFEATURED_VALUE','Only','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4775','PLG_DJMEDIATOOLS_J2STORE_OPTION_ORDERING_VALUE','Article Manager Order','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4776','PLG_DJMEDIATOOLS_J2STORE_OPTION_ORDERINGFEATURED_VALUE','Featured Articles Order','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4777','PLG_DJMEDIATOOLS_J2STORE_OPTION_STARTPUBLISHING_VALUE','Start Publishing Date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4778','PLG_DJMEDIATOOLS_J2STORE_OPTION_FINISHPUBLISHING_VALUE','Finish Publishing Date','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4779','PLG_DJMEDIATOOLS_J2STORE_FIELD_GROUP_LAYOUT_LABEL','Layout Options (common for both sources)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4780','PLG_DJMEDIATOOLS_J2STORE_FIELD_GROUP_INDIVIDUAL_ITEMS_LABEL','Items (Fill this if you choose items as source)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4781','PLG_DJMEDIATOOLS_J2STORE_FIELD_ITEMS_LIST_LABEL','Items list (comma separated Article IDs)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4782','PLG_DJMEDIATOOLS_J2STORE_FIELD_ITEMS_LIST_DESC','Enter a comma separated Article IDS','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4783','PLG_DJMEDIATOOLS_J2STORE_FIELD_PRICE_LABEL','Show Price','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4784','PLG_DJMEDIATOOLS_J2STORE_FIELD_PRICE_DESC','Show Price','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4785','PLG_DJMEDIATOOLS_J2STORE_FIELD_SKU_LABEL','Show SKU','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4786','PLG_DJMEDIATOOLS_J2STORE_FIELD_SKU_DESC','Show SKU','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4787','PLG_DJMEDIATOOLS_J2STORE_FIELD_QUANTITY_INPUT_LABEL','Show Quantity box','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4788','PLG_DJMEDIATOOLS_J2STORE_FIELD_QUANTITY_INPUT_DESC','Enable this option to show Quantity box','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4789','PLG_DJMEDIATOOLS_J2STORE_FIELD_CARTBUTTON_LABEL','Show cart','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4790','PLG_DJMEDIATOOLS_J2STORE_FIELD_CARTBUTTON_DESC','Enable this option to show the J2Store Add to cart block','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4791','PLG_DJMEDIATOOLS_J2STORE_FIELD_QTY_BOX_LABEL','Show Quantity Box','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4792','PLG_DJMEDIATOOLS_J2STORE_FIELD_GET_PRODUCT_IMAGE_FROM','Choose Product Image from','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4793','PLG_DJMEDIATOOLS_J2STORE_FIELD_GET_PRODUCT_IMAGE_FROM_DESC','This will set where to get the images to display for the Product based on the selection of  Article image / J2Store Thumbnail image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4794','PLG_DJMEDIATOOLS_J2STORE_FIELD_SHOW_PRODUCT_DETAIL_PRODUCTS','Link to','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4795','PLG_DJMEDIATOOLS_J2STORE_FIELD_SHOW_PRODUCT_DETAIL_PRODUCTS_DESC','This will set the link to a single Product based on the selection of Article view / J2Store Product view','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4796','PLG_DJMEDIATOOLS_J2STORE_SOURCE_INDIVIDUAL_J2STORE_ITEMS','J2Store Items','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4797','PLG_DJMEDIATOOLS_J2STORE_PRODUCT_ITEM_ADDED','Item added','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4798','PLG_DJMEDIATOOLS_J2STORE_ARTICLE_INTRO_IMAGE','Article Image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4799','PLG_DJMEDIATOOLS_J2STORE_J2STORE_THUMB_IMAGE','J2Store Image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4800','PLG_DJMEDIATOOLS_J2STORE_ARTICLE_LINK','Joomla Article view','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini');
INSERT INTO `#__overrider` VALUES 
('4801','PLG_DJMEDIATOOLS_J2STORE_DETAIL_PRODUCT_LINK','J2Store Product view','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4802','PLG_DJMEDIATOOLS_J2STORE_PRODUCT_SHOW_CART_LABEL','Add to cart <br/> (Note: you can see the options for <br/> products having <strong> simple</strong> types only)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4803','PLG_DJMEDIATOOLS_J2STORE_SHOW_CART_WITH_OPTIONS','Show cart with product options (if available)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4804','PLG_DJMEDIATOOLS_J2STORE_DO_NOT_SHOW_OPTIONS','Do not show options. If options are available, redirect to detail page. If no options available, show the cart','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4805','PLG_DJMEDIATOOLS_J2STORE_ALWAYS_TAKE_TO_DETAIL_PAGE','Always take customer to detail product view','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4806','PLG_DJMEDIATOOLS_J2STORE_SELECT_MENU_ITEM_LABEL','Select a menu ( only supports for Link to option: J2Store Product view)','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4807','PLG_DJMEDIATOOLS_J2STORE_SELECT_MENU_ITEM_LABEL_DESC','Choose a menu from the list','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4808','PLG_DJMEDIATOOLS_J2STORE_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4809','PLG_DJMEDIATOOLS_J2STORE_DEFAULT_IMAGE_DESC','Select default image to display if product doesn\'t contain any images. If you leave this empty then products without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.ini'),
('4810','PLG_DJMEDIATOOLS_J2STORE','DJ-MediaTools Source Plugin - J2Store','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.sys.ini'),
('4811','PLG_DJMEDIATOOLS_J2STORE_DESCRIPTION','This plugin allows to use J2Store Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/j2store/language/en-GB/en-GB.plg_djmediatools_j2store.sys.ini'),
('4812','PLG_DJMEDIATOOLS_K2','DJ-MediaTools Source - K2','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4813','PLG_DJMEDIATOOLS_K2_DESCRIPTION','This plugin allows to use K2 Items as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4814','PLG_DJMEDIATOOLS_K2_LABEL','K2 Items','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4815','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4816','PLG_DJMEDIATOOLS_K2_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4817','PLG_DJMEDIATOOLS_K2_DEFAULT_IMAGE_DESC','Select default image to display if content doesn\'t contain any images. If you leave this empty then content without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4818','PLG_DJMEDIATOOLS_K2_COMPONENT_DISABLED','K2 component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4819','PLG_DJMEDIATOOLS_K2_CONTENT_MODULE_NOT_INSTALLED','K2 Content module is not installed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.ini'),
('4820','PLG_DJMEDIATOOLS_K2','DJ-MediaTools Source - K2','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.sys.ini'),
('4821','PLG_DJMEDIATOOLS_K2_DESCRIPTION','This plugin allows to use K2 Items as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/k2/language/en-GB/en-GB.plg_djmediatools_k2.sys.ini'),
('4822','PLG_DJMEDIATOOLS_SOBIPRO','DJ-MediaTools Source - SobiPro','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4823','PLG_DJMEDIATOOLS_SOBIPRO_DESCRIPTION','This plugin allows to use SobiPro Entries as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4824','PLG_DJMEDIATOOLS_SOBIPRO_LABEL','SobiPro Entries','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4825','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4826','PLG_DJMEDIATOOLS_SOBIPRO_COMPONENT_DISABLED','SobiPro component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4827','PLG_DJMEDIATOOLS_SOBIPRO_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4828','PLG_DJMEDIATOOLS_SOBIPRO_DEFAULT_IMAGE_DESC','Select default image to display if entry doesn\'t contain any images. If you leave this empty then entries without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4829','SOBI_ORDER_BY_FIELDS','Fields','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4830','SOBI_MOD_RANDOM','Random','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4831','PLG_DJMEDIATOOLS_SOBIPRO_SELECT_SECTION','Select section','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4832','PLG_DJMEDIATOOLS_SOBIPRO_ENTRIES_SELECT_CATEGORY','Select Category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4833','PLG_DJMEDIATOOLS_SOBIPRO_ENTRIES_AUTO_LISTING','Current View/Category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4834','PLG_DJMEDIATOOLS_SOBIPRO_ENTRIES_FIELD_ORDER_DIR','Fields Order Direction','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4835','PLG_DJMEDIATOOLS_SOBIPRO_ORDER_BY_FIELD_ASC','Ascending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4836','PLG_DJMEDIATOOLS_SOBIPRO_ORDER_BY_FIELD_DESC','Descending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4837','PLG_DJMEDIATOOLS_SOBIPRO_ORDER_BY_FIELD_NASC','Numeric Ascending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4838','PLG_DJMEDIATOOLS_SOBIPRO_ORDER_BY_FIELD_NDESC','Numeric Descending','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4839','PLG_DJMEDIATOOLS_SOBIPRO_ORDER_BY','Order Entries by','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4840','PLG_DJMEDIATOOLS_SOBIPRO_LIMIT_BY','Limit entries by field value','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4841','PLG_DJMEDIATOOLS_SOBIPRO_IMAGE_FIELD','Image field','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4842','PLG_DJMEDIATOOLS_SOBIPRO_IMAGE_FIELD_DESC','Choose the field from which the image will be fetched','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4843','PLG_DJMEDIATOOLS_SOBIPRO_DESCRIPTION_FIELD','Description field','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4844','PLG_DJMEDIATOOLS_SOBIPRO_DESCRIPTION_FIELD_DESC','Choose the field from which the description will be fetched','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.ini'),
('4845','PLG_DJMEDIATOOLS_SOBIPRO','DJ-MediaTools Source - SobiPro','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.sys.ini'),
('4846','PLG_DJMEDIATOOLS_SOBIPRO_DESCRIPTION','This plugin allows to use SobiPro Entries as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/sobipro/language/en-GB/en-GB.plg_djmediatools_sobipro.sys.ini'),
('4847','PLG_DJMEDIATOOLS_VIRTUEMART','DJ-MediaTools Source - Virtuemart','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4848','PLG_DJMEDIATOOLS_VIRTUEMART_DESCRIPTION','This plugin allows to use Virtuemart Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4849','PLG_DJMEDIATOOLS_VIRTUEMART_LABEL','Virtuemart Products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4850','COM_PLUGINS_SOURCE_SETTINGS_FIELDSET_LABEL','Source settings','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini');
INSERT INTO `#__overrider` VALUES 
('4851','PLG_DJMEDIATOOLS_VIRTUEMART_CATEGORY_ID','Category','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4852','PLG_DJMEDIATOOLS_VIRTUEMART_DISPLAY','Display','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4853','PLG_DJMEDIATOOLS_VIRTUEMART_FEATURED_PRODUCTS','Featured','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4854','PLG_DJMEDIATOOLS_VIRTUEMART_LATEST_PRODUCTS','Latest','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4855','PLG_DJMEDIATOOLS_VIRTUEMART_BEST_SALES','Best sales','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4856','PLG_DJMEDIATOOLS_VIRTUEMART_RANDOM_PRODUCTS','Random','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4857','PLG_DJMEDIATOOLS_VIRTUEMART_SHOW_PRICE','Show price','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4858','PLG_DJMEDIATOOLS_VIRTUEMART_SHOW_ADDTOCART','Show \'Add to cart\' button','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4859','PLG_DJMEDIATOOLS_VIRTUEMART_DEFAULT_IMAGE','Default image','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4860','PLG_DJMEDIATOOLS_VIRTUEMART_DEFAULT_IMAGE_DESC','Select default image to display if product doesn\'t contain any images. If you leave this empty then products without images won\'t be displayed.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4861','PLG_DJMEDIATOOLS_VIRTUEMART_COMPONENT_DISABLED','Virtuemart component is not installed or it\'s disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4862','PLG_DJMEDIATOOLS_VIRTUEMART_DISPLAY_DESC','Choose what type of products you want to display. Time period for latest products is configurable in Virtuemart settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4863','PLG_DJMEDIATOOLS_VIRTUEMART_MENUITEM','Menu item','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4864','PLG_DJMEDIATOOLS_VIRTUEMART_MENUITEM_DESC','Menu item override to open product details','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4865','PLG_DJMEDIATOOLS_VIRTUEMART_RECENT_PRODUCTS','Recently Viewed Products','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.ini'),
('4866','PLG_DJMEDIATOOLS_VIRTUEMART','DJ-MediaTools Source - Virtuemart','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.sys.ini'),
('4867','PLG_DJMEDIATOOLS_VIRTUEMART_DESCRIPTION','This plugin allows to use Virtuemart Products as a source of DJ-MediaTools Albums','/home/template/public_html/joomla30/jm-myoffers/plugins/djmediatools/virtuemart/language/en-GB/en-GB.plg_djmediatools_virtuemart.sys.ini'),
('4868','PLG_DJREVIEWS_CONTENT','DJ-Reviews Handler - com_content','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/content/language/en-GB/en-GB.plg_djreviews_content.ini'),
('4869','PLG_DJREVIEWS_CONTENT_DESCRIPTION','DJ-Reviews - Content Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/content/language/en-GB/en-GB.plg_djreviews_content.ini'),
('4870','PLG_DJREVIEWS_CONTENT','DJ-Reviews Naming - com_content','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/content/language/en-GB/en-GB.plg_djreviews_content.sys.ini'),
('4871','PLG_DJREVIEWS_CONTENT_DESCRIPTION','DJ-Reviews - Content Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/content/language/en-GB/en-GB.plg_djreviews_content.sys.ini'),
('4872','PLG_DJREVIEWS_DJCATALOG2','DJ-Reviews Naming - com_djcatalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djcatalog2/language/en-GB/en-GB.plg_djreviews_djcatalog2.ini'),
('4873','PLG_DJREVIEWS_DJCATALOG2_DESCRIPTION','DJ-Reviews - DJ-Catalog2 Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djcatalog2/language/en-GB/en-GB.plg_djreviews_djcatalog2.ini'),
('4874','PLG_DJREVIEWS_DJCATALOG2','DJ-Reviews Naming - com_djcatalog2','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djcatalog2/language/en-GB/en-GB.plg_djreviews_djcatalog2.sys.ini'),
('4875','PLG_DJREVIEWS_DJCATALOG2_DESCRIPTION','DJ-Reviews - DJ-Catalog2 Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djcatalog2/language/en-GB/en-GB.plg_djreviews_djcatalog2.sys.ini'),
('4876','PLG_DJREVIEWS_DJCLASSIFIEDS','DJ-Reviews Naming - com_djclassifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djclassifieds/language/en-GB/en-GB.plg_djreviews_djclassifieds.ini'),
('4877','PLG_DJREVIEWS_DJCLASSIFIEDS_DESCRIPTION','DJ-Reviews - DJ-Classifieds Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djclassifieds/language/en-GB/en-GB.plg_djreviews_djclassifieds.ini'),
('4878','PLG_DJREVIEWS_DJCLASSIFIEDS','DJ-Reviews Naming - com_djclassifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djclassifieds/language/en-GB/en-GB.plg_djreviews_djclassifieds.sys.ini'),
('4879','PLG_DJREVIEWS_DJCLASSIFIEDS_DESCRIPTION','DJ-Reviews - DJ-Classifieds Integration','/home/template/public_html/joomla30/jm-myoffers/plugins/djreviews/djclassifieds/language/en-GB/en-GB.plg_djreviews_djclassifieds.sys.ini'),
('4880','PLG_EDITORS-XTD_DJMEDIATOOLS','DJ-MediaTools editor button','/home/template/public_html/joomla30/jm-myoffers/plugins/editors-xtd/djmediatools/language/en-GB/en-GB.plg_editors-xtd_djmediatools.ini'),
('4881','PLG_EDITORSXTD_DJMEDIATOOLS_DESCRIPTION','Editor button to put easily the DJ-MediaTools albums into the article content','/home/template/public_html/joomla30/jm-myoffers/plugins/editors-xtd/djmediatools/language/en-GB/en-GB.plg_editors-xtd_djmediatools.ini'),
('4882','PLG_EDITORSXTD_DJMEDIATOOLS_BUTTON','DJ-MediaTools album','/home/template/public_html/joomla30/jm-myoffers/plugins/editors-xtd/djmediatools/language/en-GB/en-GB.plg_editors-xtd_djmediatools.ini'),
('4883','PLG_EDITORS-XTD_DJMEDIATOOLS','DJ-MediaTools editor button','/home/template/public_html/joomla30/jm-myoffers/plugins/editors-xtd/djmediatools/language/en-GB/en-GB.plg_editors-xtd_djmediatools.sys.ini'),
('4884','PLG_EDITORSXTD_DJMEDIATOOLS_DESCRIPTION','Editor button to put easily the DJ-MediaTools albums into the article content','/home/template/public_html/joomla30/jm-myoffers/plugins/editors-xtd/djmediatools/language/en-GB/en-GB.plg_editors-xtd_djmediatools.sys.ini'),
('4885','PLG_EDITORSXTD_DJMEDIATOOLS_BUTTON','DJ-MediaTools album','/home/template/public_html/joomla30/jm-myoffers/plugins/editors-xtd/djmediatools/language/en-GB/en-GB.plg_editors-xtd_djmediatools.sys.ini'),
('4886','PLG_FINDER_WEBLINKS','Smart Search - Web Links','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.ini'),
('4887','PLG_FINDER_WEBLINKS_XML_DESCRIPTION','This plugin indexes Joomla! Web Links.','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.ini'),
('4888','PLG_FINDER_QUERY_FILTER_BRANCH_P_WEB_LINK','Web links','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.ini'),
('4889','PLG_FINDER_QUERY_FILTER_BRANCH_S_WEB_LINK','Web link','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.ini'),
('4890','PLG_FINDER_STATISTICS_WEB_LINK','Web Link','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.sys.ini'),
('4891','PLG_FINDER_WEBLINKS','Smart Search - Web Links','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.sys.ini'),
('4892','PLG_FINDER_WEBLINKS_ERROR_ACTIVATING_PLUGIN','Could not automatically activate the &quot;Smart Search - Web Links&quot; plugin.','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.sys.ini'),
('4893','PLG_FINDER_WEBLINKS_XML_DESCRIPTION','This plugin indexes Joomla! Web Links.','/home/template/public_html/joomla30/jm-myoffers/plugins/finder/weblinks/language/en-GB/en-GB.plg_finder_weblinks.sys.ini'),
('4894','PLG_SEARCH_DJCLASSIFIEDS_DJPLGSEARCHDESC','Joomla! Search Plugin for DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.ini'),
('4895','PLG_SEARCH_DJCLASSIFIEDS_DJCLASSIFIEDSITEMS','Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.ini'),
('4896','PLG_SEARCH_DJCLASSIFIEDS_SEARCHLIMIT','Limit','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.ini'),
('4897','PLG_SEARCH_DJCLASSIFIEDS_SEARCHLIMIT_DESC','Search items limit','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.ini'),
('4898','PLG_SEARCH_DJCLASSIFIEDS','Search - DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.sys.ini'),
('4899','PLG_SEARCH_DJCLASSIFIEDS_DJPLGSEARCHDESC','Joomla! Search Plugin for DJ-Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.sys.ini'),
('4900','PLG_SEARCH_DJCLASSIFIEDS_DJCLASSIFIEDSITEMS','Classifieds','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.sys.ini');
INSERT INTO `#__overrider` VALUES 
('4901','PLG_SEARCH_DJCLASSIFIEDS_SEARCHLIMIT','Limit','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.sys.ini'),
('4902','PLG_SEARCH_DJCLASSIFIEDS_SEARCHLIMIT_DESC','Search items limit','/home/template/public_html/joomla30/jm-myoffers/plugins/search/djclassifieds/language/en-GB/en-GB.plg_search_djclassifieds.sys.ini'),
('4903','﻿﻿﻿﻿PLG_SYSTEM_DJCFAJAX_CONFIG_BASIC_SETTINGS','Basic Options','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4904','PLG_SYSTEM_DJCFAJAX_CONFIG_ON_PAGINATION','On Pagination','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4905','PLG_SYSTEM_DJCFAJAX_CONFIG_ON_PAGINATION_DESC','Enables dynamic Ajax calls also in Items view\'s pagination','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4906','PLG_SYSTEM_DJCFAJAX_CONFIG_ON_SORTING','On Sorting','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4907','PLG_SYSTEM_DJCFAJAX_CONFIG_ON_SORTING_DESC','Enables dynamic Ajax calls also in Items view\'s sorting by columns','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4908','PLG_SYSTEM_DJCFAJAX_CONFIG_ON_CATEGORIES','On Categories','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4909','PLG_SYSTEM_DJCFAJAX_CONFIG_ON_CATEGORIES_DESC','Enables dynamic Ajax calls also in Items view\'s Categories section','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4910','PLG_SYSTEM_DJCFAJAX_CONFIG_UPDATE_URL','Update Url','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4911','PLG_SYSTEM_DJCFAJAX_CONFIG_UPDATE_URL_DESC','Enables updating browser\'s address bar url','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4912','PLG_SYSTEM_DJCFAJAX_CONFIG_INPUT_TIMEOUT','Input Timeout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4913','PLG_SYSTEM_DJCFAJAX_CONFIG_INPUT_TIMEOUT_DESC','<span style=\'color:#3071a9\'>For Search Module text fields only</span> <br>Enter a time (in miliseconds), after which Ajax call will be made, after pressing a key. <br>Leave empty to make Ajax call after the input field loses focus','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4914','PLG_SYSTEM_DJCFAJAX_CONFIG_ITEMS_LAZY_LOADING','Items Lazy Loading','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4915','PLG_SYSTEM_DJCFAJAX_CONFIG_ITEMS_LAZY_LOADING_DESC','Loading new items on page scrolling','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4916','PLG_SYSTEM_DJCFAJAX_CONFIG_PAGINATION_SETTINGS','Pagination Options','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4917','PLG_SYSTEM_DJCFAJAX_CONFIG_BLOG_GRID_LAYOUT','Grid Layout (Masonry)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4918','PLG_SYSTEM_DJCFAJAX_CONFIG_BLOG_GRID_LAYOUT_DESC','<span style=\'color:#3071a9\'>For Blog Layout only</span> <br>Masonry is a JavaScript grid layout library. It works by placing elements in optimal position based on available vertical space, sort of like a mason fitting stones in a wall. <br><a href=\'https://github.com/desandro/masonry\'>https://github.com/desandro/masonry</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4919','PLG_SYSTEM_DJCFAJAX_CONFIG_PAGINATION','Pagination','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4920','PLG_SYSTEM_DJCFAJAX_CONFIG_PAGINATION_DESC','Decide if the pagination element should be hidden, displayed normally, or with fixed position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4921','PLG_SYSTEM_DJCFAJAX_CONFIG_PAGINATION_HIDE','Hide','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4922','PLG_SYSTEM_DJCFAJAX_CONFIG_PAGINATION_FIXED','Fixed','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4923','PLG_SYSTEM_DJCFAJAX_CONFIG_PAGINATION_SHOW','Show','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4924','PLG_SYSTEM_DJCFAJAX_CONFIG_PROGRESS_BAR','Progress Bar','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4925','PLG_SYSTEM_DJCFAJAX_CONFIG_PROGRESS_BAR_DESC','Enables NProgress.js librabry for displaying slim loading bar at the top of the page, during Ajax calls <br><a href=\'https://github.com/rstacruz/nprogress\'>https://github.com/rstacruz/nprogress</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4926','PLG_SYSTEM_DJCFAJAX_CONFIG_ENABLE_IN','Enable In','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4927','PLG_SYSTEM_DJCFAJAX_CONFIG_ENABLE_IN_DESC','Select menu items where the Ajax plugin should be enabled. <br><span style=\'color:#3071a9\'>Leave empty to enable Ajax plugin in all DJ-Classifieds menu items.</span>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.ini'),
('4928','PLG_SYSTEM_DJCFAJAX','System - DJ-Classifieds Ajax','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.sys.ini'),
('4929','PLG_SYSTEM_DJCFAJAX_DESC','DJ-Classifieds Ajax plugin adds Ajax functionality to DJ-Classifieds component & DJ-Classifieds Search module','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfajax/language/en-GB/en-GB.plg_system_djcfajax.sys.ini'),
('4930','PLG_SYSTEM_DJCFREGISTRATION','System - DJ-Classifieds Registration','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfregistration/language/en-GB/en-GB.plg_system_djcfregistration.ini'),
('4931','PLG_SYSTEM_DJCFREGISTRATION','System - DJ-Classifieds Registration','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djcfregistration/language/en-GB/en-GB.plg_system_djcfregistration.sys.ini'),
('4932','PLG_SYSTEM_DJJQUERYMONSTER','System - DJ-jQueryMonster','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4933','PLG_SYSTEM_DJJQUERYMONSTER_DESCRIPTION','DJ-jQueryMonster plugin helps you get rid of the conflicts with jQuery.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4934','PLG_DJJQUERYMONSTER_BASIC_SETTINGS','Basic Options','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4935','PLG_DJJQUERYMONSTER_JQUERY','Enable jQuery','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4936','PLG_DJJQUERYMONSTER_VERSION','Version','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4937','PLG_DJJQUERYMONSTER_V21','jQuery 2.1','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4938','PLG_DJJQUERYMONSTER_V20','jQuery 2.0','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4939','PLG_DJJQUERYMONSTER_V111','jQuery 1.11','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4940','PLG_DJJQUERYMONSTER_V110','jQuery 1.10','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4941','PLG_DJJQUERYMONSTER_V19','jQuery 1.9','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4942','PLG_DJJQUERYMONSTER_V18','jQuery 1.8','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4943','PLG_DJJQUERYMONSTER_V17','jQuery 1.7','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4944','PLG_DJJQUERYMONSTER_V16','jQuery 1.6','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4945','PLG_DJJQUERYMONSTER_V15','jQuery 1.5','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4946','PLG_DJJQUERYMONSTER_V14','jQuery 1.4','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4947','PLG_DJJQUERYMONSTER_V13','jQuery 1.3','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4948','PLG_DJJQUERYMONSTER_CUSTOMPATH','Custom path','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4949','PLG_DJJQUERYMONSTER_CUSTOMVER','Custom version','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4950','PLG_DJJQUERYMONSTER_CUSTOM_VERSION','Custom jQuery version','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini');
INSERT INTO `#__overrider` VALUES 
('4951','PLG_DJJQUERYMONSTER_CUSTOM_VERSION_EXAMPLE','e.g. 1.8.1 or 1.11.0','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4952','PLG_DJJQUERYMONSTER_CUSTOM_PATH','Custom jQuery path','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4953','PLG_DJJQUERYMONSTER_CUSTOM_PATH_DESC','You can use custom jQuery path here.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4954','PLG_DJJQUERYMONSTER_CUSTOM_PATH_EXAMPLE','e.g. /media/jui/js/jquery.min.js','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4955','PLG_DJJQUERYMONSTER_JQUERYUI','Enable jQuery UI','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4956','PLG_DJJQUERYMONSTER_VUI111','jQuery UI 1.11','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4957','PLG_DJJQUERYMONSTER_VUI110','jQuery UI 1.10','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4958','PLG_DJJQUERYMONSTER_VUI19','jQuery UI 1.9','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4959','PLG_DJJQUERYMONSTER_VUI18','jQuery UI 1.8','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4960','PLG_DJJQUERYMONSTER_VUI17','jQuery UI 1.7','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4961','PLG_DJJQUERYMONSTER_CUSTOM_UI_VERSION','Custom jQuery UI version','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4962','PLG_DJJQUERYMONSTER_CUSTOM_UI_VERSION_EXAMPLE','e.g. 1.8.19 or 1.10.2','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4963','PLG_DJJQUERYMONSTER_CUSTOMUIPATH','Custom jQuery UI path','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4964','PLG_DJJQUERYMONSTER_CUSTOMUIPATH_DESC','You can use custom jQuery UI path here.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4965','PLG_DJJQUERYMONSTER_CUSTOM_UI_PATH_EXAMPLE','e.g. /media/jui/js/jquery-ui.min.js','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4966','PLG_DJJQUERYMONSTER_UITHEME','jQuery UI theme','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4967','PLG_DJJQUERYMONSTER_NONE','None','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4968','PLG_DJJQUERYMONSTER_CUSTOM_THEME','Custom theme path','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4969','PLG_DJJQUERYMONSTER_CUSTOMTHEME','jQuery UI custom theme path','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4970','PLG_DJJQUERYMONSTER_CUSTOMTHEME_DESC','You can use custom jQuery UI css theme path.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4971','PLG_DJJQUERYMONSTER_CUSTOMTHEME_EXAMPLE','e.g. /media/jui/custom/jquery-ui.css','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4972','PLG_DJJQUERYMONSTER_PROTOCOL','Protocol','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4973','PLG_DJJQUERYMONSTER_PROTOCOL_DESC','The protocol to use for the loading of the libraries from the Google\'s CDN','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4974','PLG_DJJQUERYMONSTER_HTTP','http','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4975','PLG_DJJQUERYMONSTER_HTTPS','https','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4976','PLG_DJJQUERYMONSTER_COMPRESSION','Compressed libriaries','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4977','PLG_DJJQUERYMONSTER_COMPRESSION_DESC','Use compressed or uncompressed jQuery libraries','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4978','PLG_DJJQUERYMONSTER_PROTECTSCRIPTS','Protect scripts','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4979','PLG_DJJQUERYMONSTER_PROTECTSCRIPTS_DESC','Protect scripts from removal. Type each script SRC in new line.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4980','PLG_DJJQUERYMONSTER_JOOMLA_JQUERY','Joomla! jQuery (recommended)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4981','PLG_DJJQUERYMONSTER_JOOMLA_JQUERYUI','Joomla! jQuery UI (only ui.core)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4982','PLG_DJJQUERYMONSTER_V112','jQuery 1.12','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4983','PLG_DJJQUERYMONSTER_V22','jQuery 2.2','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4984','PLG_DJJQUERYMONSTER_REMOVE_MOOTOOLS','Remove Mootools','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4985','PLG_DJJQUERYMONSTER_REMOVE_MOOTOOLS_DESC','You can force to remove Mootools if you are sure it\'s not used on your webside. Joomla!3 still contains some code which include mootools even if it\'s not used and this option is intended to remove mootools only in that kind of situations. In case there are some scripts on your website which are based on mootools you should leave this option disabled.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4986','PLG_DJJQUERYMONSTER_REMOVE_MODAL','Remove Joomla Modal','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4987','PLG_DJJQUERYMONSTER_REMOVE_MODAL_DESC','You can force to remove Joomla Modal which is based on Mootools. Note that if this option is disabled and modal is loaded then mootools also will be loaded even if it\'s disabled in the option above. Both mootools and modal can be also loaded in some part of your website while Joomla still need them, e.g. editor buttons.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4988','PLG_DJJQUERYMONSTER_KEEP_FOR','Keep for','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4989','PLG_DJJQUERYMONSTER_KEEP_FOR_DESC','Some of the components can still use Mootools and Modal scripts, so you can choose them here to prevent removing those scripts for those components.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4990','PLG_DJJQUERYMONSTER_DEBUG','Debug mode','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4991','PLG_DJJQUERYMONSTER_DEBUG_DESC','Enable this option to display information how plugin manupulates the scripts and styles. This option should be disabled on productive websites.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4992','PLG_DJJQUERYMONSTER_REMOVESCRIPTS','Remove scripts','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4993','PLG_DJJQUERYMONSTER_REMOVESCRIPTS_DESC','Remove scripts from the document. Type each script SRC in new line.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4994','PLG_DJJQUERYMONSTER_V30','jQuery 3.0','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4995','PLG_DJJQUERYMONSTER_V31','jQuery 3.1','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4996','PLG_DJJQUERYMONSTER_V32','jQuery 3.2','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4997','PLG_DJJQUERYMONSTER_VUI112','jQuery UI 1.12','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4998','PLG_DJJQUERYMONSTER_V33','jQuery 3.3','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('4999','PLG_DJJQUERYMONSTER_JQUERY_NOCONFLICT_CLEANUP','jQuery.noConflict inline script cleanup','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini'),
('5000','PLG_DJJQUERYMONSTER_JQUERY_NOCONFLICT_CLEANUP_DESC','Disable <strong>jQuery.noConflict inline script cleanup</strong> option if your website loads very slow (long server response) and/or timeout errors occur.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.ini');
INSERT INTO `#__overrider` VALUES 
('5001','PLG_SYSTEM_DJJQUERYMONSTER','System - DJ-jQueryMonster','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.sys.ini'),
('5002','PLG_SYSTEM_DJJQUERYMONSTER_DESCRIPTION','DJ-jQueryMonster plugin helps you get rid of the conflicts with jQuery.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djjquerymonster/language/en-GB/en-GB.plg_system_djjquerymonster.sys.ini'),
('5003','PLG_SYSTEM_DJMEGAMENU','DJ-MegaMenu system plugin','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5004','PLG_SYSTEM_DJMEGAMENU_DESCRIPTION','This plugin add extra parameters group for menu item','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5005','PLG_DJMEGAMENU_PARAMS_LABEL','DJ-MegaMenu Options','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5006','PLG_DJMEGAMENU_SUBTITLE','Menu Subtitle','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5007','PLG_DJMEGAMENU_SUBTITLE_DESC','This text will be displayed below the Menu Title','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5008','PLG_DJMEGAMENU_SUBMENU_EXPANDED','Submenu type','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5009','PLG_DJMEGAMENU_SUBMENU_EXPANDED_DESC','Choose submenu type for this menu item. If \'Inherit\' option is selected then the submenu type of the parent menu item is used or - if it\'s the first level menu item - submenu type from the module setting is used.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5010','PLG_DJMEGAMENU_COLUMN_BREAK','Start new column','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5011','PLG_DJMEGAMENU_COLUMN_BREAK_DESC','<b>Start new column</b> (break point) - if set to YES the new column in submenu will be started from this menu item. You can set few break points to get desired number of columns in submenu','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5012','PLG_DJMEGAMENU_COLUMN_WIDTH','Column width','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5013','PLG_DJMEGAMENU_COLUMN_WIDTH_DESC','Set first or new column width. If \'Full width Submenu\' option is enabled provide width in percents, otherwise provide width in pixels.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5014','PLG_DJMEGAMENU_MODULE_POSITION','Module position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5015','PLG_DJMEGAMENU_MODULE_POSITION_DESC','<b>Modules</b> - you can add modules into this Menu Item by publishing modules in the custom module position typed below.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5016','PLG_DJMEGAMENU_MODULES_STYLE','Module style','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5017','PLG_DJMEGAMENU_MODULES_STYLE_DESC','Code that will wrap modules loaded into menu item','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5018','PLG_DJMEGAMENU_MODULE_SHOW_LINK','Show link with module','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5019','PLG_DJMEGAMENU_MODULE_SHOW_LINK_DESC','Item menu anchor is hidden by default if module position is used, but you can force it to show anyway - it will make this menu item visible in standard joomla menu.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5020','PLG_DJMEGAMENU_ACCESSKEY','Access Key','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5021','PLG_DJMEGAMENU_ACCESSKEY_DESC','Define Access Key for immediately jump to a specific part of a web page via the keyboard.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5022','PLG_DJMEGAMENU_TREE','Tree','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5023','PLG_DJMEGAMENU_DROPDOWN','Dropdown','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5024','PLG_DJMEGAMENU_SUBMENU_BG_IMAGE','Background Image','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5025','PLG_DJMEGAMENU_SUBMENU_BG_HOR_POS','BG Horizontal Position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5026','PLG_DJMEGAMENU_SUBMENU_BG_VER_POS','BG Vertical Position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5027','PLG_DJMEGAMENU_LEFT','Left','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5028','PLG_DJMEGAMENU_RIGHT','Right','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5029','PLG_DJMEGAMENU_CENTER','Center','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5030','PLG_DJMEGAMENU_TOP','Top','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5031','PLG_DJMEGAMENU_BOTTOM','Bottom','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5032','PLG_DJMEGAMENU_DROPDOWN_DIRECTION','Dropdown direction','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5033','PLG_DJMEGAMENU_FA_ICON','Menu Icon','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5034','PLG_DJMEGAMENU_FA_ICON_DESC','<b>Menu Icon</b> - set Font Awesome or Bootstrap icon for this menu item by typing a proper classes into the filed below. <b>Examples:</b> Font Awesome: <i>fa fa-home fa-2x</i> / Bootstrap: <i>icon-home</i><br/><a href="http://fortawesome.github.io/Font-Awesome/icons/" target="_balnk">Available Font Awesome Icons (500+)</a> | <a href="http://getbootstrap.com/2.3.2/base-css.html#icons" target="_balnk">Available Bootstrap Icons (140)</a> - to use Bootstrap Icons your template have to load bootstrap, icons set may be different for different templates.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5035','PLG_DJMEGAMENU_SUBMENU_BG_DESC','<b>Submenu Background</b> - you can set background image for submenu of this menu item. You can choose the image and its position below.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5036','PLG_DJMEGAMENU_MOBILE_MODULE_POSITION','Mobile module position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5037','PLG_DJMEGAMENU_MOBILE_MODULE_POSITION_DESC','<b>Mobile Modules</b> - you can add modules into this Menu Item for Mobile Menu by publishing modules in the custom module position typed below.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5038','PLG_DJMEGAMENU_MOBILE_MODULES_STYLE','Mobile module style','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5039','PLG_DJMEGAMENU_MOBILE_MODULES_STYLE_DESC','Code that will wrap modules loaded into menu item','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5040','PLG_DJMEGAMENU_MOBILE_MODULE_SHOW_LINK','Show link with module','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5041','PLG_DJMEGAMENU_MOBILE_MODULE_SHOW_LINK_DESC','Item menu anchor is hidden by default if mobile module position is used, but you can force it to show anyway - it will make this menu item visible in standard joomla menu.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5042','PLG_DJMEGAMENU_SHOW_ITEM_IN','Show menu item in','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5043','PLG_DJMEGAMENU_SHOW_ITEM_IN_DESC','Choose to show menu item in mega menu, mobile menu or both.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5044','PLG_DJMEGAMENU_BOTH','Both','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5045','PLG_DJMEGAMENU_MEGAMENU','Mega Menu','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5046','PLG_DJMEGAMENU_MOBILEMENU','Mobile Menu','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5047','PLG_DJMEGAMENU_INHERIT','Inherit','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5048','PLG_DJMEGAMENU_FULL_WIDTH_SUBMENU','Full width Submenu','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5049','PLG_DJMEGAMENU_FULL_WIDTH_SUBMENU_DESC','<strong>Full width Submenu</strong> - make the submenu of this menu item to be 100% menu wide and the columns divided in percents. <br />NOTE: This option applies only for 1st level menu items.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5050','PLG_DJMEGAMENU_WRAPPERS','Add Offcanvas Wrappers','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini');
INSERT INTO `#__overrider` VALUES 
('5051','PLG_DJMEGAMENU_WRAPPERS_DESC','Enable this option if you want to avoid adding offcanvas wrapper with javascript what can cause repaining the page and problems width other scripts or html5 video autoplay. Disable this option if you don\'t use DJ-MegaMenu Offcanvas Mobile Menu on your website.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.ini'),
('5052','PLG_SYSTEM_DJMEGAMENU','DJ-MegaMenu system plugin','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.sys.ini'),
('5053','PLG_SYSTEM_DJMEGAMENU_DESCRIPTION','This plugin add extra parameters group for menu item','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djmegamenu/language/en-GB/en-GB.plg_system_djmegamenu.sys.ini'),
('5054','PLG_SYSTEM_DJTOP','JM Demo Bar','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5055','PLG_SYSTEM_DJTOP_DESCRIPTION','Joomla-Monster Demo bar','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5056','PLG_DJTOP_BUY','Buy this template','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5057','PLG_DJTOP_DOWNLOAD','Download','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5058','PLG_DJTOP_MORE','More details','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5059','PLG_DJTOP_MOBILE','Mobile devices test','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5060','PLG_DJTOP_DRIVE','Test drive','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5061','PLG_DJTOP_POSITION','Bar position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5062','PLG_DJTOP_OTHER_DEMO','Other demo versions','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.ini'),
('5063','PLG_SYSTEM_DJTOP','JM Demo Bar','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.sys.ini'),
('5064','PLG_SYSTEM_DJTOP_DESCRIPTION','Joomla-Monster Demo bar','/home/template/public_html/joomla30/jm-myoffers/plugins/system/djtop/language/en-GB/en-GB.plg_system_djtop.sys.ini'),
('5065','PLG_SYSTEM_JMFRAMEWORK','EF4 Joomla-Monster Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5066','PLG_SYSTEM_EF4_JMFRAMEWORK','EF4 Joomla-Monster Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5067','PLG_SYSTEM_JMFRAMEWORK_DESC','EF4 Joomla-Monster Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5068','PLG_SYSTEM_JMFRAMEWORK_MISSING_BLOCK_FILE','<strong>Error:</strong> Layout file <code>%s</code> is missing.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5069','PLG_SYSTEM_JMFRAMEWORK_CACHE_FOLDER_NOT_ACCESSIBLE','Error: Cache folder cannot be created. Check your server\'s permissions.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5070','PLG_SYSTEM_JMFRAMEWORK_MISSING_CSS_GENERATOR','Error: Following CSS generator file is missing %s','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5071','PLG_SYSTEM_JMFRAMEWORK_LESS_ERROR','Less Parser -  %s','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5072','PLG_SYSTEM_JMFRAMEWORK_CAN_NOT_WRITE_TO_FILE','Error: Cannot write to file. Please check the file permissions on your server.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5073','PLG_SYSTEM_JMFRAMEWORK_WARNING_DEV_MODE_ENABLED','Developer mode is currently enabled.<br />Remember to turn off developer mode at the template manager after finishing modifications. Enabled developer mode will slow down your site.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5074','PLG_SYSTEM_JMFRAMEWORK_WARNING_FOLDER_ISSUES','There are following issues with folders inside your template','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5075','PLG_SYSTEM_JMFRAMEWORK_WARNING_FOLDER_NOT_EXISTS','Directory does not exist','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5076','PLG_SYSTEM_JMFRAMEWORK_WARNING_FOLDER_NOT_WRITABLE','Directory is not writable','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5077','PLG_SYSTEM_JMFRAMEWORK_THEME_CUSTOMIZER_LINK','More about Theme Customizer','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5078','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FIELDSET_TEMPLATE','Template','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5079','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FIELDSET_EXTENSIONS','Extensions','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5080','PLG_SYSTEM_JMFRAMEWORK_THEME_PREVIEW','Preview','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5081','PLG_SYSTEM_JMFRAMEWORK_THEME_RESET','Reset','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5082','PLG_SYSTEM_JMFRAMEWORK_THEME_SAVE','Save','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5083','PLG_SYSTEM_JMFRAMEWORK_THEME_SAVE_TO_FILE','Save as file','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5084','PLG_SYSTEM_JMFRAMEWORK_THEME_USERNAME','Username','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5085','PLG_SYSTEM_JMFRAMEWORK_THEME_PASSWORD','Password','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5086','PLG_SYSTEM_JMFRAMEWORK_THEME_LOGIN','Log in','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5087','PLG_SYSTEM_JMFRAMEWORK_THEME_LOGOUT','Logout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5088','PLG_SYSTEM_JMFRAMEWORK_THEME_LOGIN_LEGEND','Want to store your modifications? Log-in as administrator.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5089','PLG_SYSTEM_JMFRAMEWORK_THEMER_WAIT','Loading Theme Customizer. Please wait...','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5090','PLG_SYSTEM_JMFRAMEWORK_THEMER_WAIT_APPLYING','Applying changes. Please wait...','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5091','PLG_SYSTEM_JMFRAMEWORK_THEMER_WAIT_SAVING','Saving changes. Please wait...','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5092','PLG_SYSTEM_JMFRAMEWORK_THEMER_WAIT_RELOADING','Template\'s configuration has been modified in the back-end. The page will be be refreshed.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5093','PLG_SYSTEM_JMFRAMEWORK_THEME_LOGIN_ERROR','You have to log-in as administrator to store the settings!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5094','PLG_SYSTEM_JMFRAMEWORK_THEME_ACCESS_ERROR','You do not have permissions to store settings!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5095','PLG_SYSTEM_JMFRAMEWORK_THEME_BAD_REQUEST_ERROR','Bad request!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5096','PLG_SYSTEM_JMFRAMEWORK_THEME_SETTINGS_SAVED_TO_DB','Settings have been saved to your template.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5097','PLG_SYSTEM_JMFRAMEWORK_THEME_SETTINGS_SAVED_TO_FILE','Settings have been saved to following file: %s. You can load them via back-end control panel in Settings Storage tab.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5098','PLG_SYSTEM_JMFRAMEWORK_THEME_SETTINGS_SAVING_ERROR','Settings could not have been saved. Please check your file/directory permissions.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5099','PLG_SYSTEM_JMFRAMEWORK_JERROR_PAGE_DOESNT_EXIST','The page you are looking for does not exist or an other error occurred.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5100','PLG_SYSTEM_JMFRAMEWORK_JERROR_GO_BACK_OR_HEAD_OVER','Go back or head over to the home page to choose a new direction.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini');
INSERT INTO `#__overrider` VALUES 
('5101','PLG_SYSTEM_JMFRAMEWORK_JERROR_BACK','Back','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5102','PLG_SYSTEM_JMFRAMEWORK_JERROR_HOME_PAGE','Home','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5103','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ENABLE_LABEL','Enabled','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5104','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DISABLE_LABEL','Disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5105','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ENTER_COLOR_DESC','Choose the color value from the color palette.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5106','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ENABLED','Enabled','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5107','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DISABLED','Disabled','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5108','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LOGO_FAVICON_LABEL','Logo and favicon','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5109','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BASIC_SETTINGS_LABEL','Basic settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5110','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LOGO_LABEL','Logo','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5111','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LOGO_DESC','Select your logo image from the images directory or leave it empty.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5112','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LOGO_TEXT_LABEL','Logo text','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5113','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LOGO_TEXT_DESC','The logo text is displayed if the logo image is not selected.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5114','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SITE_DESCRIPTION_LABEL','Site description','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5115','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SITE_DESCRIPTION_DESC','A site description is displayed under the logo.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5116','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FAVICON_LABEL','Favicon image','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5117','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FAVICON_DESC','Select your website favicon. Leave it blank to use the default image from the template directory. It is displayed in the browser\'s address bar, on the browser\'s tab or in a list of bookmarks. Recommended size for a favicon is 16x16 pixels.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5118','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SITE_TOOLS_LABEL','Site tools','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5119','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_SIZE_SWITCHER_LABEL','Font size switcher','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5120','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_SIZE_SWITCHER_DESC','Font size switcher is usually displayed above the component area of a template. This tool allows to enlarge or reduce the font size of the component area.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5121','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BACKTOTOP_LABEL','Back to top button','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5122','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BACKTOTOP_DESC','Back to top button is usually displayed in the bottom corner or in the footer area of a website. This button allows smoothing scroll to the top of the page.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5123','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAYOUT_SETTINGS_LABEL','Other settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5124','PLG_SYSTEM_JMFRAMEWORK_CONFIG_RESPONSIVE_LABEL','Responsive layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5125','PLG_SYSTEM_JMFRAMEWORK_CONFIG_RESPONSIVE_DESC','When disabled, your site will have the same width for all devices: desktops, tablets, and mobiles. Customers asked us for this option, so don\'t be surprised :)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5126','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DISABLE_COMPONENT_DISPLAY_LABEL','Disable component','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5127','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DISABLE_COMPONENT_DISPLAY_DESC','Select the pages on which you want to hide the component area. This feature can be useful for you if you decide to publish only modules on one of your site\'s pages.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5128','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_LABEL','Off-canvas sidebar','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5129','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_DESC','Off-canvas is a sidebar with additional module position that can be displayed by clicking on a custom button.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5130','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_WIDTH_LABEL','Off-canvas width','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5131','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_WIDTH_DESC','Set the offcanvas sidebar width in pixels.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5132','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_POSITION_LABEL','Off-canvas position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5133','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OFFCANVAS_POSITION_DESC','Display the off-canvas sidebar on the left or right side of your template.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5134','PLG_SYSTEM_JMFRAMEWORK_CONFIG_RIGHT_LABEL','Right','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5135','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LEFT_LABEL','Left','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5136','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMINGSOON_PAGE_LABEL','Coming soon page','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5137','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMINGSOON_LABEL','Coming soon','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5138','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMINGSOON_DESC','Coming soon page displays a countdown clock to count the time left to launch a website.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5139','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMINGSOON_DATE_LABEL','Coming soon date','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5140','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COMINGSOON_DATE_DESC','Set a date when you plan to launch a website. The countdown clock will count the time left to that date.<br/>Format: Day - Month - Year HH:MM','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5141','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_DAY','day','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5142','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_DAYS','days','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5143','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_HOUR','hour','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5144','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_HOURS','hours','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5145','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_MINUTE','minute','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5146','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_MINUTES','minutes','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5147','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_SECOND','second','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5148','PLG_SYSTEM_JMFRAMEWORK_COMINGSOON_SECONDS','seconds','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5149','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ERROR_PAGE_LABEL','Error page','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5150','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ERROR_PAGE_DESC','Select an article that you wish to display as custom 404 error page. Otherwise, the standard error page will be used.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini');
INSERT INTO `#__overrider` VALUES 
('5151','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_SETTINGS_LABEL','Font settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5152','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_SIZE_SELECTOR_LABEL','Font size','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5153','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_SIZE_SELECTOR_DESC','Select the font size.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5154','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BODY_FONT_LABEL','Font type','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5155','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BODY_FONT_DESC','Choose the font type in order to specify the font family.<br/>For \'Generated webfont\' upload web font in Other settings tab.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5156','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STANDARD_FONT_LABEL','Font from the list','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5157','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CUSTOM_FONT_NAME_DESC','Select the web font from the list.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5158','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GOOGLEWEBFONT_LABEL','Google webfont','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5159','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GENERATEDWEBFONT_LABEL','Generated webfont','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5160','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_NAME_LABEL','Font family','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5161','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_NAME_DESC','Select the web font from the list.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5162','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARIAL_LABEL','Arial','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5163','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARIAL_BLACK_LABEL','Arial Black','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5164','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARIAL_NARROW_LABEL','Arial Narrow','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5165','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TAHOMA_LABEL','Tahoma','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5166','PLG_SYSTEM_JMFRAMEWORK_CONFIG_VERDANA_LABEL','Verdana','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5167','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TIMESNEWROMAN_LABEL','Times New Roman','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5168','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GEORGIA_LABEL','Georgia','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5169','PLG_SYSTEM_JMFRAMEWORK_CONFIG_COURIER_LABEL','Courier','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5170','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TREBUCHET_LABEL','Trebuchet','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5171','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LUCIDA_LABEL','Lucida','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5172','PLG_SYSTEM_JMFRAMEWORK_CONFIG_IMPACT_LABEL','Impact','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5173','PLG_SYSTEM_JMFRAMEWORK_CONFIG_PALATINO_LABEL','Palatino','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5174','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CENTURY_GOTHIC_LABEL','Century Gothic','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5175','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GOOGLE_FONT_URL_LABEL','Google webfont url','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5176','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GOOGLE_FONT_URL_DESC','Enter the url address for the google web font you want to use<br/>www.google.com/webfonts','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5177','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GOOGLE_FONT_FAMILY_LABEL','Google webfont family','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5178','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GOOGLE_FONT_FAMILY_DESC','Enter the google webfont family','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5179','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BODY_FONT_SETTINGS_SPACER','Base font','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5180','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HEADINGS_FONT_SETTINGS_SPACER','Module headings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5181','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DJMENU_FONT_SETTINGS_SPACER','Horizontal menu','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5182','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BLOG_FONT_SETTINGS_SPACER','Blog article headings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5183','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ARTICLES_FONT_SETTINGS_SPACER','Single article headings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5184','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ADVANCED_FONT_SETTINGS_SPACER','Font styles for specific selectors','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5185','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ADVANCED_SELECTORS_LABEL','Selectors','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5186','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ADVANCED_SELECTORS_DESC','Enter id\'s or classes for any template part to modify font settings, e.g. h1, #jm-sitedesc, use comma to separate them.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5187','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONTAWESOME_LABEL','Font Awesome support','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5188','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONTAWESOME_DESC','Add Font Awesome icons support for the template. Once enabled you may use Font Awesome classes for example in the HTML modules or articles.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5189','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_UPLOAD','Generated Web Font upload','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5190','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_UPLOAD_FIELD','Select file(s) to upload','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5191','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FONT_UPLOAD_FIELD_DESC','Upload at least 3 font formats and make sure that all font files are named exactly the same. Accepted font extensions: ttf, eot, woff, svg.<br />Example: arial.ttf, arial.eot, arial.woff, arial.svg','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5192','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BROWSE','Browse','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5193','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPLOAD','Upload','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5194','PLG_SYSTEM_JMFRAMEWORK_PLUPLOAD_UPLOAD','Upload','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5195','PLG_SYSTEM_JMFRAMEWORK_PLUPLOAD_BROWSE','Browse','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5196','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OTHER_SETTINGS_SPACER','Other settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5197','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GENERATEDWEBFONT_EMPTY_INFO','No fonts uploaded. Upload Web Font in Other settings tab.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5198','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPLOAD_COMPLETE_INFO','Upload complete.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5199','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FIELDSET_COLOR_MODIFICATIONS','Color modifications','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5200','PLG_SYSTEM_JMFRAMEWORK_CONFIG_IMAGES_DIRECTORY','Images directory','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini');
INSERT INTO `#__overrider` VALUES 
('5201','PLG_SYSTEM_JMFRAMEWORK_CONFIG_ADVANCED_FEATURES_LABEL','Advanced features','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5202','PLG_SYSTEM_JMFRAMEWORK_CONFIG_THEMER_MODE_LABEL','Theme Customizer','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5203','PLG_SYSTEM_JMFRAMEWORK_CONFIG_THEMER_MODE_DESC','Theme Customizer on the front-end allows you to change the template design and preview on front-end using a user-friendly panel. You can save your changes directly to the template parameters.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5204','PLG_SYSTEM_JMFRAMEWORK_CONFIG_THEMER_LOGIN_FORM_LABEL','Theme Customizer login','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5205','PLG_SYSTEM_JMFRAMEWORK_CONFIG_THEMER_LOGIN_FORM_DESC','The login form on the Theme Customizer panel. If you log in to the Theme Customizer panel, you will see additional buttons to save your settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5206','PLG_SYSTEM_JMFRAMEWORK_CONFIG_THEMER_ADMIN_ACCESS_LABEL','Administrator restriction','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5207','PLG_SYSTEM_JMFRAMEWORK_CONFIG_THEMER_ADMIN_ACCESS_DESC','Once the option is enabled, only logged users with an administrator or manager permissions may use Theme Customizer.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5208','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LESS_MAP_LABEL','Source map (LESS)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5209','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEVELOPER_TOOLS_LABEL','Developer Tools','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5210','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEVELOPER_MODE','Developer mode','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5211','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEVELOPER_MODE_DESC','Enable this option if:<br/>- you want to modify the template LESS files<br/>- you want to use the Theme Customizer or Color Modifications<br/>Otherwise it should be disabled, since it may affect the load speed of your site.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5212','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LESS_MAP_DESC','Creates source map for every LESS file that has been compiled to CSS. As a result, web inspectors know from which .less file and (usually) its line number does the output CSS come from.<br /><strong>Notice: After you finish making changes in the template, it is advised to disable this option.</strong>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5213','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CODE_INJECTION_LABEL','Code injection (Google Analytics, Google Webmaster Tools, etc.)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5214','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CODE_INJECTION_DESC','Add custom code into the head section if needed. Here you can paste Google Analytics script, Google Webmaster meta tag or any other custom code which needs to be pasted into the head section of the template.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5215','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OPTIMIZATION_LABEL','Optimization','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5216','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CSS_COMPRESS_LABEL','Compress CSS','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5217','PLG_SYSTEM_JMFRAMEWORK_CONFIG_CSS_COMPRESS_DESC','Compress and merge CSS files into one file.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5218','PLG_SYSTEM_JMFRAMEWORK_CONFIG_JS_COMPRESS_LABEL','Compress JS','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5219','PLG_SYSTEM_JMFRAMEWORK_CONFIG_JS_COMPRESS_DESC','Compress and merge javascript files into one file.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5220','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HTML_COMPRESS_LABEL','Compress HTML','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5221','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HTML_COMPRESS_DESC','HTML compressor removes comments, spaces and line breaks from the HTML code output.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5222','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HTML_COMPRESS_COMPACT','Compact','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5223','PLG_SYSTEM_JMFRAMEWORK_CONFIG_HTML_COMPRESS_NORMAL','Standard','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5224','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LESS_COMPRESS_LABEL','Compress LESS','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5225','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LESS_COMPRESS_DESC','Enable if you would like to enable built-in compression in LESS compiler. You can disable this setting on low-end servers as it requires more computing power.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5226','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SKIP_COMPRESS_LABEL','Skip js & css','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5227','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SKIP_COMPRESS_DESC','Add CSS or javascript files (file name or part of the path) to be skipped during the compression. Each file should be added to a new line.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5228','PLG_SYSTEM_JMFRAMEWORK_CONFIG_OPEN_GRAPH_LABEL','Open Graph','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5229','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FACEBOOK_OG','Facebook Open Graph','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5230','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FACEBOOK_OG_DESC','Attaches articles\' information for Open Graph Facebook API','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5231','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FACEBOOK_OG_APPID','Facebook app ID','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5232','PLG_SYSTEM_JMFRAMEWORK_CONFIG_FACEBOOK_OG_APPID_DESC','Optional. The unique ID that lets Facebook know the identity of your site. This is crucial for Facebook Insights to work properly. Please see Facebook\'s documentation to learn more.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5233','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEFER_SCRIPTS','Defer scripts loading','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5234','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEFER_SCRIPTS_DESC','Enable to defer loading of all the scripts. This option can improve your page speed loading, but turning it on can also cause javascript errors. You can exclude individual scripts which are causing bugs by listing them in the field below. jQuery and Mootools are excluded from deferring loading by default.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5235','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SKIP_DEFER_DEFAULT','Excluded scripts','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5236','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SKIP_DEFER_DEFAULT_DESC','Those scripts (paths) are excluded from deferring loading by default, because of script dependencies.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5237','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SKIP_DEFER','Exclude scripts','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5238','PLG_SYSTEM_JMFRAMEWORK_CONFIG_SKIP_DEFER_DESC','Add scripts (file name or part of the path) to be excluded from deferring loading. Each file should be added to a new line.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5239','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DELETE_CACHE_LABEL','Purge cached files','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5240','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DELETE_CACHE_DESC','Delete merged javascript and CSS files from template cache folder.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5241','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DELETE_CACHE_BUTTON','Delete %s files','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5242','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DELETE_CACHE_EMPTY','Nothing to delete','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5243','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DELETE_CACHE_SUCCESS','%s files have been deleted','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5244','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DELETE_CACHE_FAILED','%s files have not been deleted','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5245','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEBUG_OPTIMIZATION','Debug optimization','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5246','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DEBUG_OPTIMIZATION_DESC','Enable this option to display information how optimization manipulates the scripts and styles. This option should be disabled on live websites.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5247','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_LOADING','Lazy loading','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5248','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_LOADING_DESC','Enable lazy loading of images and iframes on your website. This feature can reduce your page loading time and save a lot of unnecessary data transfer.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5249','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_EXCLUDE','Exclude from lazy loading','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5250','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_EXCLUDE_DESC','You need to be aware that lazy loading can conflicts with 3rd party extensions or other lazy loading scripts, so you can exclude specific images and iframes on the list below from lazy loading. Use part of image path, iframe URL, CSS class or any IMG attribute to exclude the images which contain it. Put each of them in a new line.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini');
INSERT INTO `#__overrider` VALUES 
('5251','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_MIN_WIDTH','Minimum width','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5252','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_MIN_WIDTH_DESC','Set the minimum image width for lazy loading. Images with lower width will be excluded from lazy loading.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5253','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_MIN_HEIGHT','Minimum height','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5254','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAZY_MIN_HEIGHT_DESC','Set the minimum image height for lazy loading. Images with lower height will be excluded from lazy loading.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5255','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LABEL','Configuration','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5256','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SETTINGS_STORAGE','Settings storage','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5257','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_DESCRIPTION','You can save and restore various template settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5258','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_BUTTON','Load','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5259','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_UPLOAD_BUTTON','Upload','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5260','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_DOWNLOAD_BUTTON','Download settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5261','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_DOWNLOAD_DESC','Click the right mouse button and<br/> choose the <i>Save link as...</i> option','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5262','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_BUTTON','Save','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5263','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_LABEL','Save settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5264','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_DESC','Save the template settings as file. The file will appear on the list for \'Stored settings\' option. <b>Please note:</b> You have to save the template settings first in order to save them as a file.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5265','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_LABEL','Stored settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5266','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_DESC','A list of previously saved settings files. Choose the item and click the \'Load\' button to use settings or download them as a file using the \'Download settings\' button.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5267','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_UPLOAD_SHORT_LABEL','Upload settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5268','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_UPLOAD_LABEL','Upload settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5269','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_UPLOAD_DESC','Choose a file with stored settings and upload it. The file will appear on the list for \'Stored settings\' option. <b>Please note:</b> IE browser does not support uploading.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5270','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_NO_FILE_TO_LOAD','Select configuration file','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5271','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_OK','Settings have been loaded!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5272','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_FAIL','Settings cannot be loaded!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5273','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_FILE_FAIL','Error reading config file!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5274','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_LOAD_MISSING_FILE','Configuration file is missing','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5275','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_FILE_EXISTS','Configuration file already exists','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5276','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_OK','Settings have been stored!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5277','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_FAIL','Settings cannot be stored!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5278','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_SAVE_INFO','Remember to save the template settings before exporting them to the file. <br/><b>Please note:</b> Uploading is not supported on Internet Explorer browser.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5279','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_FILE_NAME','File name','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5280','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_STORAGE_LOCATION','Storage location','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5281','PLG_SYSTEM_JMFRAMEWORK_CONFIG_STORAGE_STORAGE_LOCATION_DESC','The path where all your config files are being kept.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5282','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DOCUMENTATION_LABEL','Documentation','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5283','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GENERAL_INFO_LABEL','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/index.php?option=com_content&catid=137&id=897&view=article&Itemid=1027\' target=\'_blank\'>EF4 Framework documentation</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5284','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TEMPLATE_MANUAL_LABEL','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/my-account/downloads\' target=\'_blank\'>Joomla template manual is available to download at your account</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5285','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DOCS_EXTENSIONS_LABEL','<a class=\'jm-anchor\' href=\'https://www.dj-extensions.com/\' target=\'_blank\'>Documentation for Joomla extensions created by DJ-Extensions.com</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5286','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DOCS_JM_LABEL','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/documentation\' target=\'_blank\'>Joomla basics and advanced tutorials</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5287','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BOOTSTRAP_DOCS_LABEL','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/knowledge-base-area/templates-documentation/general-info-framework-for-joomla-3-0/how-to-understand-bootstrap-grid-system\' target=\'_blank\'>How to understand Bootstrap grid system?</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5288','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DOCS_MODULES_JM_LABEL','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/joomla-modules\' target=\'_blank\'>Configuration details about free Joomla modules created by Joomla-Montser.com</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5289','PLG_SYSTEM_JMFRAMEWORK_CONFIG_DOCS_AMP_LABEL','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/documentation/joomla-tutorials/amp-theme-for-joomla-website\' target=\'_blank\'>Amp theme plugin for Joomla website - step by step tutorial</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5290','PLG_SYSTEM_JMFRAMEWORK_UPDATES_SPACER','Template &amp; EF4 Framework details','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5291','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_TEMPLATE_VERSION','The template version','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5292','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_PLUGIN_VERSION','The template works with EF4 Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5293','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_CHECK_FOR_UPDATES','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/template-updates/templates-for-joomla-3-0\' target=\'_blank\'>Check the template changelog</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5294','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_CHECK_FOR_FRAMEWORK_UPDATES','<a class=\'jm-anchor\' href=\'https://www.joomla-monster.com/changelogs/frameworks/ef4-framework\' target=\'_blank\'>Check the framework changelog</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5295','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_NOTIFICATIONS_ALERT','You can display information about template updates in your Joomla Control Panel. In order to enable or disable this feature, please the check configuration of <a href=\'%s\'>EF4 Framework plugin</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5296','PLG_SYSTEM_JMFRAMEWORK_CONFIG_UPDATES_NOTIFICATIONS_STATUS','Updates notifications status','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5297','PLG_SYSTEM_JMFRAMEWORK_CONFIG_LAYOUT_BUILDER_LABEL','Layout builder','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5298','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LOGO','Logo','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5299','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_INFO','Customize the template layout to suit your needs. Create different layouts for desktops, tablets and mobiles. Layout configuration has never been easier!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5300','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_LABEL','Current layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini');
INSERT INTO `#__overrider` VALUES 
('5301','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_DESC','Choose a layout from the selector that you want to edit and configure. You may clone the default layout to make some layout modifications and then assign it to a menu item to get a  different layout for a specific area of your website.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5302','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_COPY','Copy the selected layout.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5303','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_REMOVE','Delete the selected layout.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5304','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_LAYOUT','Restore the selected layout to default settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5305','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_CUSTOM_MODULE_POS','Layout structure','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5306','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_CUSTOM_MODULE_POS_DESC','This is the global configuration of the layout structure for this template. The layout structure must be set at first then you may configure responsive layout views for mobile devices.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5307','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_CUSTOM_LAYOUT_RESPONSIVENESS','Customize responsive layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5308','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_MODULE_POS','Restore default module positions','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5309','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_SCREEN','Restore default screen settings','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5310','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_ORDER','Restore blocks and main columns order','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5311','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_WIDE','Extra large devices','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5312','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_WIDE_DESC','1200px and above - usually desktops','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5313','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_NORMAL','Large devices','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5314','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_NORMAL_DESC','980px up to 1199px - usually landscape tablets to desktops','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5315','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_XTABLET','Medium devices','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5316','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_XTABLET_DESC','768px up to 979px - usually tablets','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5317','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_TABLET','Small devices','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5318','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_TABLET_DESC','481px up to 767px - usually landscape phones to portrait tablets','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5319','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_MOBILE','Extra small devices','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5320','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_SCREEN_MOBILE_DESC','480px and below - usually portrait phones','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5321','PLG_SYSTEM_JMFRAMEWORK_SORT_BLOCKS','Drag and drop to change the blocks order.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5322','PLG_SYSTEM_JMFRAMEWORK_HIDE_BLOCK','Hide the whole block for the current screen.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5323','PLG_SYSTEM_JMFRAMEWORK_SHOW_BLOCK','Show block for current screen','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5324','PLG_SYSTEM_JMFRAMEWORK_SELECT_MODULE_POSITION','Select module position','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5325','PLG_SYSTEM_JMFRAMEWORK_EMPTY_POSITION','None','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5326','COM_MODULES_CUSTOM_POSITION','Custom positions','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5327','PLG_SYSTEM_JMFRAMEWORK_EDIT_MODULE_POSITION','Change the module position.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5328','PLG_SYSTEM_JMFRAMEWORK_ELEMENT_WIDTH','Module position size','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5329','PLG_SYSTEM_JMFRAMEWORK_MODULE_POSITION_NAME','Module position name','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5330','PLG_SYSTEM_JMFRAMEWORK_DRAG_TO_RESIZE','Drag to resize the module position.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5331','PLG_SYSTEM_JMFRAMEWORK_HIDE_POSITION','Hide module position for the current screen.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5332','PLG_SYSTEM_JMFRAMEWORK_SHOW_POSITION','Show module position for the current screen.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5333','PLG_SYSTEM_JMFRAMEWORK_HIDDEN_POSITION_DESC','Hidden module positions for current screen','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5334','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_COPY_HEAD','Layout copy','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5335','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_COPY_DESC','Choose the name for layout copy. Layout will be cloned with current layout settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5336','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_REMOVE_HEAD','Are you really sure?','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5337','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_REMOVE_DESC','Are you sure you want to remove this layout? You can\'t undone this action!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5338','PLG_SYSTEM_JMFRAMEWORK_CORRECT_LAYOUT_NAME','Please type correct layout name.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5339','PLG_SYSTEM_JMFRAMEWORK_UNKNOWN_WIDTH','auto','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5340','PLG_SYSTEM_JMFRAMEWORK_CHANGE_POSITOIN_NUMBER','Choose the number of module positions to display in a line.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5341','PLG_SYSTEM_JMFRAMEWORK_MODULE_BOOTSTRAP_SIZE','Module Bootstrap Size','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5342','PLG_SYSTEM_JMFRAMEWORK_BOOTSTRAP_AUTO_SIZE','Auto Size','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5343','PLG_SYSTEM_JMFRAMEWORK_UNKNOWN_TASK','Unknown task','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5344','PLG_SYSTEM_JMFRAMEWORK_UNKNOWN_TEMPLATE_ERROR','Could not determine target directory!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5345','PLG_SYSTEM_JMFRAMEWORK_MODULES_CHROME','Template modules render style','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5346','PLG_SYSTEM_JMFRAMEWORK_LAYOUT_ALREADY_EXISTS','Layout <code>%s</code> already exists.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5347','PLG_SYSTEM_JMFRAMEWORK_LAYOUT_SAVED','Layout <code>%s</code> has been successfully saved.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5348','PLG_SYSTEM_JMFRAMEWORK_LAYOUT_REMOVED','Layout <code>%s</code> has been successfully removed.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5349','PLG_SYSTEM_JMFRAMEWORK_CANT_REMOVE_DEFAULT_LAYOUT','Sorry, you can\'t remove default layout. It\'s protected because of template integrity. If you really want to remove default layout you need to do it manually.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5350','PLG_SYSTEM_JMFRAMEWORK_CANT_LOAD_LAYOUT','Can\'t load layout. It may be caused by bugs in layout file.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini');
INSERT INTO `#__overrider` VALUES 
('5351','PLG_SYSTEM_JMFRAMEWORK_SORT_MAIN_COLUMNS','Change order of main columns','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5352','PLG_SYSTEM_JMFRAMEWORK_EXCLUDED_BLOCKS','EXCLUDED BLOCKS: <span>include/exclude by dragging block between layout and this area</span>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5353','PLG_SYSTEM_JMFRAMEWORK_FULLWIDTH_ON','Enable full width recalculations depending on modules are published or not at a specific page. It will make the position\'s widths proportionally fluid and modules will fit 100% of the page width.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5354','PLG_SYSTEM_JMFRAMEWORK_FULLWIDTH_OFF','Disable full width recalculations. The module positions will have fixed width regrdless any modules are published in a specific position.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5355','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_SAVE','Save layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5356','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_SAVE_DESC','Save the selected layout.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5357','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_SET_AS_DEFAULT','Set the selected layout as default.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5358','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_SET_AS_DEFAULT_DESC','Setting default layout for current template style will also remove all menu items assignment for current style.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5359','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_LAYOUT_ASSIGN_TO_MENU_ITEMS','Assign the selected layout to menu items to get a  different layout for a specific area of your website. By default, the template uses the default layout.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5360','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_MENU_ASSIGNMENTS','Menu assignments for the selected layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5361','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_ASSIGNED_TO_LAYOUT','It\'s assigned to the <strong>%s</strong> layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5362','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_ASSIGNED_TO_DIFFERENT_STYLE','Unchecked disabled menu items are assigned to a different template style and can\'t be used with this style.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5363','PLG_SYSTEM_JMFRAMEWORK_MISSING_FILE','<strong>Error:</strong> EF4 Framework core file <code>%s</code> is missing.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5364','PLG_SYSTEM_JMFRAMEWORK_LAYOUT_HAS_BEEN_SET_AS_DEFAULT','Layout has been set as default','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5365','PLG_SYSTEM_JMFRAMEWORK_ASSIGNS_SAVED','Menu assignments for <code>%s</code> layout has been successfully saved.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5366','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_DEFAULT_LAYOUT_LABEL','Default Layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5367','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_DEFAULT_LAYOUT_DESC','this is a default layout for this template style.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5368','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_LAYOUT_DONE','Layout has been restored to default settings.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5369','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_MODULE_POS_DONE','Default module positions have been restored.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5370','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_ORDER_DONE','Blocks and main columns order have been restored.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5371','PLG_SYSTEM_JMFRAMEWORK_LAYOUTBUILDER_RESTORE_SCREEN_DONE','Default screen settings has been restored.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5372','PLG_SYSTEM_JMFRAMEWORK_COLUMN_SIZE_SWITCHER','Increase or decrease column width','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5373','PLG_SYSTEM_JMFRAMEWORK_COLUMN_SIZE_MAX','Column width can\'t be set to 0!','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5374','PLG_SYSTEM_JMFRAMEWORK_RESPONSIVE_DISABLED_MESSAGE','Responsive settings are available only when Responsive Layout option is enabled. If it\'s disabled you can only change the module position\'s widths.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5375','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TEMPLATE_LAYOUT_LABEL','Template layout','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5376','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TEMPLATE_WIDTH_PERCENT_LABEL','Template width','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5377','PLG_SYSTEM_JMFRAMEWORK_CONFIG_TEMPLATE_WIDTH_PERCENT_DESC','Enter the template width in percent or pixels, e.g. 100% or 1170px.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5378','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GUTTER_WIDTH_LABEL','Gutter size','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5379','PLG_SYSTEM_JMFRAMEWORK_CONFIG_GUTTER_WIDTH_DESC','Enter the gutter size in percent or pixels. The gutter is a space between blocks, modules and other elements on the site.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5380','PLG_SYSTEM_JMFRAMEWORK_CONFIG_BOOTSTRAP_HOWTO_LABEL','<a class=jm-anchor href=http://www.joomla-monster.com/knowledge-base-area/templates-documentation/general-info-framework-for-joomla-3-0/how-to-understand-bootstrap-grid-system target=_blank>How to understand the bootstrap grid system?</a>','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5381','PLG_SYSTEM_JMFRAMEWORK_FULLWIDTH_SECTION_ON','Disable full window width for this block section.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5382','PLG_SYSTEM_JMFRAMEWORK_FULLWIDTH_SECTION_OFF','Enable full window width for this block section.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5383','PLG_SYSTEM_JMFRAMEWORK_CONTENT_SECTION_DESC','This is the component area.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5384','PLG_SYSTEM_JMFRAMEWORK_MESSAGE_SECTION_DESC','The area for displaying system errors.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5385','PLG_SYSTEM_EF4_JMFRAMEWORK_CFG_CHECK_UPDATES_LABEL','Check for updates','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5386','PLG_SYSTEM_EF4_JMFRAMEWORK_CFG_CHECK_UPDATES_DESC','This setting will enable notifications about template updates in your Administrator Dashboard (Control Panel).','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5387','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_AVAILABLE','Joomla Monster template update(s) available:','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5388','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_BUTTON','View updates','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5389','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_HEADER','List of your Joomla Monster templates','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5390','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_FOOTER','You can disable this sort of notifications in plugin configuration (Extensions &raquo; Plugins &raquo; <a href="%s">EF4 Joomla-Monster Framework</a>)','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5391','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_TABLE_NAME','Template','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5392','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_TABLE_LINK','Summary','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5393','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_TABLE_YOUR_VERSION','Installed ver.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5394','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_TABLE_LATEST_VERSION','Latest ver.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5395','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_TABLE_BUTTON','Update information','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5396','PLG_SYSTEM_EF4_JMFRAMEWORK_UPDATES_TABLE_NOUPDATE','you have the latest version','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.ini'),
('5397','PLG_SYSTEM_JMFRAMEWORK','EF4 Joomla-Monster Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.sys.ini'),
('5398','PLG_SYSTEM_EF4_JMFRAMEWORK','EF4 Joomla-Monster Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.sys.ini'),
('5399','PLG_SYSTEM_JMFRAMEWORK_DESC','EF4 Joomla-Monster Framework','/home/template/public_html/joomla30/jm-myoffers/plugins/system/ef4_jmframework/language/en-GB/en-GB.plg_system_ef4_jmframework.sys.ini'),
('5400','PLG_SYSTEM_LANGUAGECODE','System - Language Code','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.ini');
INSERT INTO `#__overrider` VALUES 
('5401','PLG_SYSTEM_LANGUAGECODE_FIELD_DESC','Changes the language code used for the <em>%s</em> language.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.ini'),
('5402','PLG_SYSTEM_LANGUAGECODE_FIELDSET_DESC','Changes the language code for the generated HTML document. Example usage: You have installed the fr-FR language pack and want the Search Engines to recognise the page as aimed at French-speaking Canada. Add the tag \'fr-CA\' to the corresponding field for \'fr-FR\' to resolve this.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.ini'),
('5403','PLG_SYSTEM_LANGUAGECODE_FIELDSET_LABEL','Language codes','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.ini'),
('5404','PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION','Provides the ability to change the language code in the generated HTML document to improve SEO.<br />The fields will appear when the plugin is enabled and saved.<br />More information at <a href="http://www.w3.org/TR/xhtml1/#docconf">W3.org</a>.','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.ini'),
('5405','PLG_SYSTEM_LANGUAGECODE','System - Language Code','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.sys.ini'),
('5406','PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION','Provides ability to change the language code in the generated HTML document to improve SEO','/home/template/public_html/joomla30/jm-myoffers/plugins/system/languagecode/language/en-GB/en-GB.plg_system_languagecode.sys.ini'),
('5407','PLG_DJCFPLANS_USERS','User - DJ Classifieds Subscription Plans','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5408','PLG_DJCFPLANS_GROUP1','Group 1','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5409','PLG_DJCFPLANS_USER_GROUP1','Users group 1','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5410','PLG_DJCFPLANS_USER_GROUP_DESC','Please select user group','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5411','PLG_DJCFPLANS_PLAN_FOR_GROUP1','Plan for user group 1','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5412','PLG_DJCFPLANS_PLAN_FOR_GROUP_DESC','Please select Subscription Plan for group','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5413','PLG_DJCFPLANS_SELECT_PLAN','Please select plan','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5414','PLG_DJCFPLANS_RENEW_PLAN1','Renew type for group 1','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5415','PLG_DJCFPLANS_RENEW_PLAN_DESC','Decide if plan should be assigned once or every time when plan is expired','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5416','PLG_DJCFPLANS_ONLY_ONCE','Only once on start','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5417','PLG_DJCFPLANS_REPEATABLE','Repeatable','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5418','PLG_DJCFPLANS_GROUP2','Group 2','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5419','PLG_DJCFPLANS_USER_GROUP2','Users group 2','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5420','PLG_DJCFPLANS_PLAN_FOR_GROUP2','Plan for user group 2','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5421','PLG_DJCFPLANS_RENEW_PLAN2','Renew type for group 2','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5422','PLG_DJCFPLANS_GROUP3','Group 3','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5423','PLG_DJCFPLANS_USER_GROUP3','Users group 3','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5424','PLG_DJCFPLANS_PLAN_FOR_GROUP3','Plan for user group 3','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5425','PLG_DJCFPLANS_RENEW_PLAN3','Renew type for group 3','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5426','PLG_DJCFPLANS_GROUP4','Group 4','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5427','PLG_DJCFPLANS_USER_GROUP4','Users group 4','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5428','PLG_DJCFPLANS_PLAN_FOR_GROUP4','Plan for user group 4','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5429','PLG_DJCFPLANS_RENEW_PLAN4','Renew type for group 4','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5430','PLG_DJCFPLANS_GROUP5','Group 5','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5431','PLG_DJCFPLANS_USER_GROUP5','Users group 5','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5432','PLG_DJCFPLANS_PLAN_FOR_GROUP5','Plan for user group 5','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5433','PLG_DJCFPLANS_RENEW_PLAN5','Renew type for group 5','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5434','PLG_DJCFPLANS_GROUP6','Group 6','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5435','PLG_DJCFPLANS_USER_GROUP6','Users group 6','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5436','PLG_DJCFPLANS_PLAN_FOR_GROUP6','Plan for user group 6','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5437','PLG_DJCFPLANS_RENEW_PLAN6','Renew type for group 6','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5438','PLG_DJCFPLANS_GROUP7','Group 7','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5439','PLG_DJCFPLANS_USER_GROUP7','Users group 7','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5440','PLG_DJCFPLANS_PLAN_FOR_GROUP7','Plan for user group 7','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5441','PLG_DJCFPLANS_RENEW_PLAN7','Renew type for group 7','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5442','PLG_DJCFPLANS_GROUP8','Group 8','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5443','PLG_DJCFPLANS_USER_GROUP8','Users group 8','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5444','PLG_DJCFPLANS_PLAN_FOR_GROUP8','Plan for user group 8','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5445','PLG_DJCFPLANS_RENEW_PLAN8','Renew type for group 8','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5446','PLG_DJCFPLANS_GROUP9','Group 9','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5447','PLG_DJCFPLANS_USER_GROUP9','Users group 9','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5448','PLG_DJCFPLANS_PLAN_FOR_GROUP9','Plan for user group 9','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5449','PLG_DJCFPLANS_RENEW_PLAN9','Renew type for group 9','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5450','PLG_DJCFPLANS_GROUP10','Group 10','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini');
INSERT INTO `#__overrider` VALUES 
('5451','PLG_DJCFPLANS_USER_GROUP10','Users group 10','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5452','PLG_DJCFPLANS_PLAN_FOR_GROUP10','Plan for user group 10','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini'),
('5453','PLG_DJCFPLANS_RENEW_PLAN10','Renew type for group 10','/home/template/public_html/joomla30/jm-myoffers/plugins/user/djcfplans/language/en-GB/en-GB.plg_user_djcfplans.sys.ini');

DROP TABLE IF EXISTS #__postinstall_messages;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` VALUES 
('1','700','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY','PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION','plg_twofactorauth_totp','1','action','site://plugins/twofactorauth/totp/postinstall/actions.php','twofactorauth_postinstall_action','site://plugins/twofactorauth/totp/postinstall/actions.php','twofactorauth_postinstall_condition','3.2.0','1'),
('2','700','COM_CPANEL_MSG_EACCELERATOR_TITLE','COM_CPANEL_MSG_EACCELERATOR_BODY','COM_CPANEL_MSG_EACCELERATOR_BUTTON','com_cpanel','1','action','admin://components/com_admin/postinstall/eaccelerator.php','admin_postinstall_eaccelerator_action','admin://components/com_admin/postinstall/eaccelerator.php','admin_postinstall_eaccelerator_condition','3.2.0','1'),
('5','700','COM_CPANEL_MSG_HTACCESS_TITLE','COM_CPANEL_MSG_HTACCESS_BODY','','com_cpanel','1','message','','','admin://components/com_admin/postinstall/htaccess.php','admin_postinstall_htaccess_condition','3.4.0','1'),
('6','700','COM_CPANEL_MSG_ROBOTS_TITLE','COM_CPANEL_MSG_ROBOTS_BODY','','com_cpanel','1','message','','','','','3.3.0','1'),
('12','700','COM_CPANEL_MSG_LANGUAGEACCESS340_TITLE','COM_CPANEL_MSG_LANGUAGEACCESS340_BODY','','com_cpanel','1','message','','','admin://components/com_admin/postinstall/languageaccess340.php','admin_postinstall_languageaccess340_condition','3.4.1','1'),
('18','700','COM_CPANEL_MSG_STATS_COLLECTION_TITLE','COM_CPANEL_MSG_STATS_COLLECTION_BODY','','com_cpanel','1','message','','','admin://components/com_admin/postinstall/statscollection.php','admin_postinstall_statscollection_condition','3.5.0','1'),
('19','700','PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME','PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY','PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION','plg_system_updatenotification','1','action','site://plugins/system/updatenotification/postinstall/updatecachetime.php','updatecachetime_postinstall_action','site://plugins/system/updatenotification/postinstall/updatecachetime.php','updatecachetime_postinstall_condition','3.6.3','1'),
('20','700','COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE','COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY','','com_cpanel','1','message','','','admin://components/com_admin/postinstall/joomla40checks.php','admin_postinstall_joomla40checks_condition','3.7.0','1'),
('21','700','TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE','TPL_HATHOR_MESSAGE_POSTINSTALL_BODY','TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION','tpl_hathor','1','action','admin://templates/hathor/postinstall/hathormessage.php','hathormessage_postinstall_action','admin://templates/hathor/postinstall/hathormessage.php','hathormessage_postinstall_condition','3.7.0','1'),
('22','700','PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_TITLE','PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_BODY','PLG_PLG_RECAPTCHA_VERSION_1_POSTINSTALL_ACTION','plg_captcha_recaptcha','1','action','site://plugins/captcha/recaptcha/postinstall/actions.php','recaptcha_postinstall_action','site://plugins/captcha/recaptcha/postinstall/actions.php','recaptcha_postinstall_condition','3.8.6','1'),
('23','700','COM_CPANEL_MSG_UPDATEDEFAULTSETTINGS_TITLE','COM_CPANEL_MSG_UPDATEDEFAULTSETTINGS_BODY','','com_cpanel','1','message','','','admin://components/com_admin/postinstall/updatedefaultsettings.php','admin_postinstall_updatedefaultsettings_condition','3.8.8','1'),
('24','700','COM_ACTIONLOGS_POSTINSTALL_TITLE','COM_ACTIONLOGS_POSTINSTALL_BODY','','com_actionlogs','1','message','','','','','3.9.0','1'),
('25','700','COM_PRIVACY_POSTINSTALL_TITLE','COM_PRIVACY_POSTINSTALL_BODY','','com_privacy','1','message','','','','','3.9.0','1'),
('26','700','COM_CPANEL_MSG_ADDNOSNIFF_TITLE','COM_CPANEL_MSG_ADDNOSNIFF_BODY','','com_cpanel','1','message','','','admin://components/com_admin/postinstall/addnosniff.php','admin_postinstall_addnosniff_condition','3.9.3','1');

DROP TABLE IF EXISTS #__privacy_consents;
CREATE TABLE `#__privacy_consents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `state` int(10) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT '0',
  `token` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__privacy_requests;
CREATE TABLE `#__privacy_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(4) NOT NULL DEFAULT '0',
  `request_type` varchar(25) NOT NULL DEFAULT '',
  `confirm_token` varchar(100) NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__schemas;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` VALUES 
('21','3.5.1'),
('700','3.9.3-2019-02-07'),
('10007','2.13.0'),
('10024','3.7.7'),
('10047','1.3.2-2018-08.28');

DROP TABLE IF EXISTS #__tags;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` mediumtext NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext NOT NULL,
  `urls` mediumtext NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` VALUES 
('1','0','0','11','0','','ROOT','root','','','1','0','0000-00-00 00:00:00','1','{}','','','','867','2011-01-01 00:00:01','','0','0000-00-00 00:00:00','','','0','*','1','0000-00-00 00:00:00','0000-00-00 00:00:00'),
('2','1','1','2','1','lorem','lorem','lorem','','','1','0','0000-00-00 00:00:00','1','','','','','867','2015-08-28 07:16:16','','0','2015-08-28 07:16:16','','','266','*','1','0000-00-00 00:00:00','0000-00-00 00:00:00'),
('3','1','3','4','1','ipsum','ipsum','ipsum','','','1','0','0000-00-00 00:00:00','1','','','','','867','2015-08-28 07:16:16','','0','2015-08-28 07:16:16','','','217','*','1','0000-00-00 00:00:00','0000-00-00 00:00:00'),
('4','1','5','6','1','dolor','dolor','dolor','','','1','0','2016-07-05 13:25:25','1','{"tag_layout":"","tag_link_class":"label label-info"}','','','{"author":"","robots":""}','867','2016-07-05 13:25:25','','0','2016-07-05 13:25:25','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{}','249','*','1','2016-07-05 13:25:25','2016-07-05 13:25:25'),
('5','1','7','8','1','sit','sit','sit','','','1','0','2016-07-05 13:25:30','1','{"tag_layout":"","tag_link_class":"label label-info"}','','','{"author":"","robots":""}','867','2016-07-05 13:25:30','','0','2016-07-05 13:25:30','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{}','214','*','1','2016-07-05 13:25:30','2016-07-05 13:25:30'),
('6','1','9','10','1','amet','amet','amet','','','1','0','2016-07-05 13:25:39','1','{"tag_layout":"","tag_link_class":"label label-info"}','','','{"author":"","robots":""}','867','2016-07-05 13:25:39','','0','2016-07-05 13:25:39','{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{}','244','*','1','2016-07-05 13:25:39','2016-07-05 13:25:39');

DROP TABLE IF EXISTS #__template_styles;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` VALUES 
('5','hathor','1','0','Hathor - Default','{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
('8','isis','1','1','isis - Default','{"templateColor":"","logoFile":""}'),
('19','beez3','0','0','beez3 - Default','{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature","backgroundcolor":"#eee"}'),
('20','protostar','0','0','protostar - Default','{"templateColor":"#08C","templateBackgroundColor":"#F4F6F7","logoFile":"","sitetitle":"","sitedescription":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
('32','jm-myoffers','0','1','jm-myoffers - Default','{"logo":"images\\/tut-logo.png","logoText":"","siteDescription":"","favIconImg":"","fontSizeSwitcher":"0","backToTop":"1","offCanvas":"0","JMoffCanvasWidth":"300px","offCanvasPosition":"right","comingSoon":"0","comingSoonDate":"30-11-2017","error404article":"","responsiveLayout":"1","layout":"default","JMbaseFontSize":"14px","bodyFontType":"1;bodyGoogleWebFontUrl;bodyGoogleWebFontFamily","bodyFontFamily":"Arial, Helvetica, sans-serif","bodyGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Lato:400,700,900,900i","bodyGoogleWebFontFamily":"\'Lato\', sans-serif","JMtopmenuFontSize":"13px","djmenuFontType":"1;djmenuGoogleWebFontUrl;djmenuGoogleWebFontFamily","djmenuFontFamily":"Arial, Helvetica, sans-serif","djmenuGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Lato:400,700,900,900i","djmenuGoogleWebFontFamily":"\'Lato\', sans-serif","JMmoduleTitleFontSize":"16px","headingsFontType":"1;headingsGoogleWebFontUrl;headingsGoogleWebFontFamily","headingsFontFamily":"Arial, Helvetica, sans-serif","headingsGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Lato:400,700,900,900i","headingsGoogleWebFontFamily":"\'Lato\', sans-serif","JMblogTitleFontSize":"16px","blogFontType":"1;blogGoogleWebFontUrl;blogGoogleWebFontFamily","blogFontFamily":"Arial, Helvetica, sans-serif","blogGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Lato:400,700,900,900i","blogGoogleWebFontFamily":"\'Lato\', sans-serif","JMarticleTitleFontSize":"20px","articlesFontType":"1;articlesGoogleWebFontUrl;articlesGoogleWebFontFamily","articlesFontFamily":"Arial, Helvetica, sans-serif","articlesGoogleWebFontUrl":"\\/\\/fonts.googleapis.com\\/css?family=Lato:400,700,900,900i","articlesGoogleWebFontFamily":"\'Lato\', sans-serif","advancedFontAwesome":"1","advancedFontSize":"18px","advancedFontType":"0;advancedFontFamily","advancedFontFamily":"Arial, Helvetica, sans-serif","advancedGoogleWebFontUrl":"","advancedGoogleWebFontFamily":"","advancedSelectors":"","themermode":"1","themerlogin":"0","themeradminaccess":"0","sourceMap":"1","codeInjection":"","cssCompress":"0","jsCompress":"0","htmlCompress":"0","skipCompress":"","jsDefer":"1","skipDefer":"","debug":"0","lazyLoading":"0","lazyExclude":"","lazyWidth":"50","lazyHeight":"50","facebookOpenGraph":"0","facebookOpenGraphAppID":"","config":"default.cfg.json","stickyBar":"0","materialIcons":"1","JMitemViewWidth":"950px","itemView":"1","advertColumn":"0","JMcolorVersion":"#1b3f75","JMcolorVersionContent":"#f2f2f2","JMcomplementaryColor":"#1b3f75","JMimagesDir":"","JMpageBackground":"#f2f2f2","JMbaseBorderColor":"#d2d7da","JMbaseFontColor":"#454545","JMarticleTitleColor":"#212121","JMmoduleTitleColor":"#212121","JMheaderBackground":"#f9f9f9","JMheaderFontColor":"#ffffff","JMheaderBorderColor":"#e2e1e1","JMtopmenuFontColor":"#212121","JMtopmenuFontColorActive":"#ed0457","JMtopmenuSubmenuBackground":"#ffffff","JMtopmenuSubmenuFontColor":"#212121","JMheadermodBackground":"#ffffff","JMheadermodTitleFontColor":"#ffffff","JMheadermodFontColor":"#ffffff","headerimg":"images\\/headers-2.jpg","JMheadermodOpacity":"100","headerbgPosition":"center","headerbgSize":"cover","JMtop1Background":"#f9f9f9","JMtop1TitleFontColor":"#212121","JMtop1FontColor":"#757575","JMbottom2Background":"#ffffff","JMbottom2TitleFontColor":"#212121","JMbottom2FontColor":"#212121","JMfootermodBackground":"#212121","JMfootermodModuleTitle":"#ffffff","JMfootermodFontColor":"#ffffff","JMcopyrightsBackground":"#0f0f0f","JMcopyrightsFontColor":"#3c3e42","JMcolor1msBackground":"#ffffff","JMcolor1msTitleFontColor":"#212121","JMcolor2msBackground":"#3b5998","JMcolor2msTitleFontColor":"#ffffff","JMcolor2msFontColor":"#ffffff","JMoffCanvasBackground":"#ffffff","JMoffCanvasBorder":"#eeeeee","JMoffCanvasFontColor":"#757575","JMclassifiedsBoxBackground":"#ffffff","JMclassifiedsBoxTitleFontColor":"#212121","JMclassifiedsBoxBorder":"#d2d7da","JMclassifiedsBoxFontColor":"#757575","JMmediatoolsDescriptionFontColor":"#000000","JMmediatoolsDescriptionBackground":"#ffffff","JMmediatoolsDescriptionBackgroundOpacity":"70"}');

DROP TABLE IF EXISTS #__ucm_base;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` VALUES 
('3','96','1','0'),
('4','95','1','0'),
('5','94','1','0'),
('6','93','1','0'),
('7','92','1','0'),
('8','91','1','0'),
('9','90','1','0'),
('10','89','1','0');

DROP TABLE IF EXISTS #__ucm_content;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_language` (`core_language`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_content_type` (`core_type_alias`(100))
) AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields';

INSERT INTO `#__ucm_content` VALUES 
('3','com_content.article','Lorem ipsum','leading-article','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"article_layout":"","show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","info_block_show_title":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_associations":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_page_title":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:10:05','867','2018-05-18 12:48:43','*','2014-02-12 13:10:05','0000-00-00 00:00:00','96','453','{"image_intro":"images\\/modules\\/articles\\/article02.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article02.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','3333','12','0','','','83','','1'),
('4','com_content.article','Dolor sit amet','blog-article-7','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:09:51','867','2016-07-28 08:35:50','*','2014-02-12 13:09:51','0000-00-00 00:00:00','95','454','{"image_intro":"images\\/modules\\/articles\\/article03.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article03.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','1','9','1','','','83','','1'),
('5','com_content.article','Consectetur adipiscing elit','blog-article-6','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:09:33','867','2016-07-28 08:36:02','*','2014-02-12 13:09:33','0000-00-00 00:00:00','94','455','{"image_intro":"images\\/modules\\/articles\\/article05.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article05.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','0','9','2','','','83','','1'),
('6','com_content.article','Nam egestas','blog-article-5','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:09:16','867','2016-07-28 08:36:14','*','2014-02-12 13:09:16','0000-00-00 00:00:00','93','456','{"image_intro":"images\\/modules\\/articles\\/article06.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article06.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','4','9','3','','','83','','1'),
('7','com_content.article','Sapien in efficitur','blog-article-4','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:09:01','867','2016-07-28 08:36:20','*','2014-02-12 13:09:01','0000-00-00 00:00:00','92','457','{"image_intro":"images\\/modules\\/articles\\/article07.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article07.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','0','9','4','','','83','','1'),
('8','com_content.article','Etiam malesuada','blog-article-3','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:08:46','867','2016-07-28 08:36:25','*','2014-02-12 13:08:46','0000-00-00 00:00:00','91','458','{"image_intro":"images\\/modules\\/articles\\/article01.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article01.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','1','9','5','','','83','','1'),
('9','com_content.article','Praesent porttitor','blog-article-2','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:08:30','867','2016-07-28 08:37:24','*','2014-02-12 13:08:30','0000-00-00 00:00:00','90','459','{"image_intro":"images\\/modules\\/articles\\/article08.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article08.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','4','10','6','','','83','','1'),
('10','com_content.article','Ut vitae varius','blog-article-1','<p>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.</p>\r\n','1','','0','1','{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}','0','{"robots":"","author":"","rights":"","xreference":""}','867','','2014-02-12 13:08:13','867','2016-07-28 08:36:39','*','2014-02-12 13:08:13','0000-00-00 00:00:00','89','460','{"image_intro":"images\\/modules\\/articles\\/article04.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/modules\\/articles\\/article04.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}','{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}','4','10','7','','','83','','1');

DROP TABLE IF EXISTS #__ucm_history;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` longtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__update_sites;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` mediumtext NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) AUTO_INCREMENT=39 DEFAULT CHARSET=utf8 COMMENT='Update Sites';

INSERT INTO `#__update_sites` VALUES 
('1','Joomla! Core','collection','https://update.joomla.org/core/list.xml','1','1560258243',''),
('3','Accredited Joomla! Translations','collection','https://update.joomla.org/language/translationlist_3.xml','1','1560237725',''),
('5','DJ-MegaMenu Package','extension','http://dj-extensions.com/updates/djmegamenu.xml','0','0',''),
('6','Joomla! Update Component Update Site','extension','https://update.joomla.org/core/extensions/com_joomlaupdate.xml','1','1560237725',''),
('7','Weblinks Update Site','extension','https://raw.githubusercontent.com/joomla-extensions/weblinks/master/manifest.xml','1','1560237725',''),
('9','EF4 Joomla Monster Framework','extension','http://www.joomla-monster.com/updates/ef4framework.xml','1','1560237725',''),
('10','DJ-jQueryMonster Plugin','extension','http://dj-extensions.com/updates/djjquerymonster.xml','1','1560237725',''),
('16','Accredited Joomla! Translations','collection','http://update.joomla.org/language/translationlist_3.xml','1','1560237725',''),
('17','DJ-Reviews','extension','https://dj-extensions.com/api/getUpdateInfo?extension=djreviews.xml','1','1560237725','license=&v=1.3.2&site=https://jmref.dev.pax2.eu/jm-myoffers-v2/'),
('18','DJ-MediaTools','extension','https://dj-extensions.com/api/getUpdateInfo?extension=djmediatools.xml','1','1560237726','license=&v=2.12.0&site=https://jmref.dev.pax2.eu/jm-myoffers-v2/'),
('19','DJ-MegaMenu','extension','https://dj-extensions.com/api/getUpdateInfo?extension=djmegamenu.xml','1','1560237726','license=&v=3.7.0&site=https://jmref.dev.pax2.eu/jm-myoffers-v2/'),
('21','DJ-Classifieds','extension','https://dj-extensions.com/api/getUpdateInfo?extension=djclassifieds.xml','1','1560237726','license=&v=3.7.7.1&site=https://jmref.dev.pax2.eu/jm-myoffers-v2/'),
('25','MOD_JM_SOCIAL_ICONS','extension','https://joomla-monster.com/updates/mod_jm_social_icons.xml','1','1560237726',''),
('30','Akeeba Backup Core','extension','https://cdn.akeebabackup.com/updates/pkgakeebacore.xml','1','1560237726',''),
('35','DJ-Suggester','extension','https://dj-extensions.com/api/getUpdateInfo?extension=djsuggester_light.xml','1','1560237726','');

DROP TABLE IF EXISTS #__update_sites_extensions;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` VALUES 
('1','700'),
('3','802'),
('3','10043'),
('5','10011'),
('6','28'),
('7','801'),
('9','10034'),
('10','10035'),
('16','10043'),
('17','10056'),
('18','10008'),
('19','10011'),
('21','10025'),
('25','10083'),
('30','10061'),
('35','10099');

DROP TABLE IF EXISTS #__user_keys;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  KEY `user_id` (`user_id`)
) AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;

INSERT INTO `#__user_keys` VALUES 
('40','demo','$2y$10$i.cWQ1nI9xu/mGxAF8WxC.GpGma/NKN0h2G1E/cXRu4Vxik3nPiuK','7ktwIEg6Jq3aYB3PqO6l','0','1509886882','joomla_remember_me_86042d72a7ff1aa9207b3899f7ffbebe'),
('41','demo','$2y$10$UdkLSo1WraAtfK73RzMssOVu6EfcoHkZ6IfoYPUj2Zb2IuDJUMkqy','wCuBsZAX1PdsffIVjNB8','0','1509889277','joomla_remember_me_7ac8db9d0cfea751bda00dec6d158312'),
('42','demo','$2y$10$uhEPFCeFg64kbTCLnkVYve34cmSA5pi/ievOINoLMe08Ft5Scrtxa','XupCUSBbi0XNVy1LzIBA','0','1519557250','joomla_remember_me_1810b0b3185ee85b748d14da0020cfc2');

DROP TABLE IF EXISTS #__user_notes;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS #__user_profiles;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` mediumtext NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';

INSERT INTO `#__user_profiles` VALUES 
('969','profile.aboutme','""','10'),
('969','profile.address1','""','1'),
('969','profile.address2','""','2'),
('969','profile.city','""','3'),
('969','profile.country','""','5'),
('969','profile.dob','""','11'),
('969','profile.favoritebook','""','9'),
('969','profile.phone','""','7'),
('969','profile.postal_code','""','6'),
('969','profile.region','""','4'),
('969','profile.website','false','8'),
('970','profile.aboutme','""','10'),
('970','profile.address1','""','1'),
('970','profile.address2','""','2'),
('970','profile.city','""','3'),
('970','profile.country','""','5'),
('970','profile.dob','""','11'),
('970','profile.favoritebook','""','9'),
('970','profile.phone','""','7'),
('970','profile.postal_code','""','6'),
('970','profile.region','""','4'),
('970','profile.website','false','8'),
('842','profile.phone','""','7'),
('842','profile.postal_code','""','6'),
('842','profile.region','""','4'),
('842','profile.country','""','5'),
('842','profile.address1','""','1'),
('842','profile.address2','""','2'),
('842','profile.city','""','3'),
('841','profile.favoritebook','""','9'),
('841','profile.website','false','8'),
('841','profile.phone','""','7'),
('841','profile.postal_code','""','6'),
('841','profile.country','""','5'),
('841','profile.region','""','4'),
('841','profile.city','""','3'),
('841','profile.address2','""','2'),
('841','profile.address1','""','1'),
('841','profile.aboutme','""','10'),
('841','profile.dob','""','11'),
('842','profile.website','false','8'),
('842','profile.favoritebook','""','9'),
('842','profile.aboutme','""','10'),
('842','profile.dob','""','11'),
('845','profile.address1','""','1'),
('845','profile.address2','""','2'),
('845','profile.city','""','3'),
('845','profile.region','""','4'),
('845','profile.country','""','5'),
('845','profile.postal_code','""','6');
INSERT INTO `#__user_profiles` VALUES 
('845','profile.phone','""','7'),
('845','profile.website','false','8'),
('845','profile.favoritebook','""','9'),
('845','profile.aboutme','""','10'),
('845','profile.dob','""','11'),
('867','profile.favoritebook','""','9'),
('867','profile.website','false','8'),
('867','profile.phone','"123123123"','7'),
('867','profile.postal_code','""','6'),
('867','profile.country','""','5'),
('867','profile.region','""','4'),
('867','profile.city','""','3'),
('867','profile.address2','""','2'),
('867','profile.address1','""','1'),
('869','profile.address1','""','1'),
('869','profile.address2','""','2'),
('869','profile.city','""','3'),
('869','profile.region','""','4'),
('869','profile.country','""','5'),
('869','profile.postal_code','""','6'),
('869','profile.phone','""','7'),
('869','profile.website','false','8'),
('869','profile.favoritebook','""','9'),
('869','profile.aboutme','""','10'),
('869','profile.dob','""','11'),
('870','profile.address1','""','1'),
('870','profile.address2','""','2'),
('870','profile.city','""','3'),
('870','profile.region','""','4'),
('870','profile.country','""','5'),
('870','profile.postal_code','""','6'),
('870','profile.phone','""','7'),
('870','profile.website','false','8'),
('870','profile.favoritebook','""','9'),
('870','profile.aboutme','""','10'),
('870','profile.dob','""','11'),
('867','profile.aboutme','""','10'),
('867','profile.dob','""','11');

DROP TABLE IF EXISTS #__utf8_conversion;
CREATE TABLE `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8;

INSERT INTO `#__utf8_conversion` VALUES 
('2');

DROP TABLE IF EXISTS #__viewlevels;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` VALUES 
('1','Public','0','[1]'),
('2','Registered','1','[6,2,8]'),
('3','Special','2','[6,3,8]'),
('4','Customer Access Level (Example)','3','[6,3,12]'),
('5','Guest','0','[9]');

DROP TABLE IF EXISTS #__weblinks;
CREATE TABLE `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(400) NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` mediumtext NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `images` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) DEFAULT CHARSET=utf8;


